#include "pmu-events/pmu-events.h"
struct pmu_event pme_broadwell[] = {
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts the unhalted core cycles during which the thread is in the ring 0 privileged mode",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts when there is a transition from ring 1,2 or 3 to ring0",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "This event counts unhalted core cycles during which the thread is in rings 1, 2, or 3",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "This event counts cycles in which the L1 and L2 are locked due to a UC lock or split lock. A lock is asserted in case of locked memory access, due to noncacheable memory, locked operation that spans two cache lines, or a page walk from the noncacheable page table. L1D and L2 locks have a very high performance penalty and it is highly recommended to avoid such access",
},
{
	.name = "unc_cbo_cache_lookup.any_es",
	.event = "umask=0x86,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_i",
	.event = "umask=0x88,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in I-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_m",
	.event = "umask=0x81,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in M-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_mesi",
	.event = "umask=0x8f,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_es",
	.event = "umask=0x16,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_i",
	.event = "umask=0x18,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in I-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_m",
	.event = "umask=0x11,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in M-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_mesi",
	.event = "umask=0x1f,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in any MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in any MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_es",
	.event = "umask=0x26,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_m",
	.event = "umask=0x21,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in M-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_mesi",
	.event = "umask=0x2f,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_xcore",
	.event = "umask=0x48,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_xcore",
	.event = "umask=0x44,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_xcore",
	.event = "umask=0x41,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x60,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_2m",
	.event = "period=2000003,umask=0x40,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_4k",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles for an extended page table walk. The Extended Page directory cache differs from standard TLB caches by the operating system that use it. Virtual machine operating systems use the extended page directory cache, while guest operating systems use the standard TLB caches",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x85",
	.desc = "Code misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Core misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "page_walker_loads.dtlb_l1",
	.event = "period=2000003,umask=0x11,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l2",
	.event = "period=2000003,umask=0x12,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l3",
	.event = "period=2000003,umask=0x14,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_memory",
	.event = "period=2000003,umask=0x18,event=0xbc",
	.desc = "Number of DTLB page walker hits in Memory  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l1",
	.event = "period=2000003,umask=0x21,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l2",
	.event = "period=2000003,umask=0x22,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l3",
	.event = "period=2000003,umask=0x24,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, and so on)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "This event counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. \nMM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.\nPenalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
	.long_desc = "This event counts the number of both cacheable and noncacheable Instruction Cache, Streaming Buffer and Victim Cache Reads including UC fetches",
},
{
	.name = "icache.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the demand fetch waits for data (wfdM104H) from L2 or iSB (opportunistic hit)",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes Uncacheable accesses",
	.topic = "frontend",
	.long_desc = "This event counts the number of instruction cache, streaming buffer and victim cache misses. Counting includes UC accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
	.long_desc = "This counts the number of cycles that the instruction decoder queue is empty and can indicate that the application may be bound in the front end.  It does not determine whether there are uops being delivered to the Alloc stage since uops can be delivered by bypass skipping the Instruction Decode Queue (IDQ) when it is empty",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the total number of uops delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when:\n a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread;\n b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions); \n c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when less than 1 uop is  delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >=3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
	.long_desc = "This event counts the number of the divide operations executed. Uses edge-detect and a cmask value of 1 on ARITH.FPU_DIV_ACTIVE to get the number of the divide operations executed",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired branch instructions",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-unconditional branch instructions, excluding calls and indirects",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions excluding calls and indirect branches",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect calls including both register and memory indirect",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all (macro) branch instructions retired",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired. (Precise Event - PEBS)  Spec update: BDW98 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: BDW98 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: BDW98",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: BDW98",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted branch instructions",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches that have a return mnemonic",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all mispredicted macro branch instructions retired",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "This is a fixed-frequency event programmed to general counters. It counts when the core is unhalted at 100 Mhz",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. \nNote: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  This event is clocked by base clock (100 Mhz) on Sandy Bridge. The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand* load request missing the L2 cache",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request (that is cycles with non-completed load waiting for its data from memory subsystem)",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand* load request missing the L2 cache.(as a footprint) * includes also L1 HW prefetch requests that may or may not be required by demands",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "This event counts stalls occured due to changing prefix length (66, 67 or REX.W when they change the length of the decoded instruction). Occurrences counting is proportional to the number of prefixes in a 16B-line. This may result in the following penalties: three-cycle penalty for each LCP in a 16-byte chunk",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. \nNotes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. \nCounting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event  Spec update: BDM61",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: BDM61",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: BDM11, BDM55 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts instructions retired  Spec update: BDM11, BDM55 (Must be precise)",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "FP operations  retired. X87 FP operations that have no exceptions:",
	.topic = "pipeline",
	.long_desc = "This event counts FP operations retired. For X87 FP operations that have no exceptions counting also includes flows that have several X87, or flows that use X87 uops in the exception handling",
},
{
	.name = "int_misc.rat_stall_cycles",
	.event = "period=2000003,umask=0x8,event=0xd",
	.desc = "Cycles when Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles during which Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the current thread. This also includes the cycles during which the Allocator is serving another thread",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Cycles checkpoints in Resource Allocation Table (RAT) are recovering from JEClear or machine clear",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "This event counts how many times the load operation got the true Block-on-Store blocking code preventing store forwarding. This includes cases when:\n - preceding store conflicts with the load (incomplete overlap);\n - store forwarding is impossible due to u-arch limitations;\n - preceding lock RMW operations are not forwarded;\n - store has the no-forward bit set (uncacheable/page-split/masked stores);\n - all-blocking stores are used (mostly, fences and port I/O);\nand others.\nThe most common case is a load blocked due to its address range overlapping with a preceding smaller uncompleted store. Note: This event does not take into account cases of out-of-SW-control (for example, SbTailHit), unknown physical STA, and cases of blocking loads on store due to being non-WB memory type or a lock. These cases are covered by other events.\nSee the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare",
	.topic = "pipeline",
	.long_desc = "This event counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the hardware prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by asm inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=2000003,umask=0x1,event=0xc3",
	.desc = "Cycles there was a Nuke. Account for both thread-specific and All Thread Nukes",
	.topic = "pipeline",
	.long_desc = "This event counts both thread-specific (TS) and all-thread (AT) nukes",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Maskmov false fault - counts number of time ucode passes through Maskmov flow due to instruction's mask being 0 while the flow was completed without raising a fault",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x40,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "This event counts resource-related stall cycles",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
	.long_desc = "This event counts ROB full stall cycles. This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by absence of eligible entries in the reservation station (RS). This may result from RS overflow, or from RS deallocation because of the RS array Write Port allocation scheme (each RS entry has two write ports instead of four. As a result, empty entries could not be used, although RS is not really full). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by the store buffer (SB) overflow (excluding draining from synch). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "This event counts cases of saving new LBR records by hardware. This assumes proper enabling of LBRs and takes into account LBR filtering done by the LBR_SELECT register",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the reservation station (RS) is empty for the thread.\nNote: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_executed_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_executed_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_executed_port.port_2_core",
	.event = "any=1,period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_executed_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_executed_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_executed_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_executed_port.port_6_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed_port.port_7_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 7",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS)",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive; added by GSR u-arch",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive\n added by GSR u-arch",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts all actually retired uops. Counting increments by two for micro-fused uops, and by one for macro-fused and other uops. Maximal increment value for one cycle is eight (Precise event)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 4 calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 4 calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 8 calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.double",
	.event = "period=2000006,umask=0x15,event=0xc7",
	.desc = "Number of SSE/AVX computational double precision floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* scalar and packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.packed",
	.event = "period=2000004,umask=0x3c,event=0xc7",
	.desc = "Number of SSE/AVX computational packed floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* packed double and single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar",
	.event = "period=2000003,umask=0x3,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar floating-point instructions retired; some instructions will count twice as noted below. Each count represents 1 computation operation.   Applies to SSE* and AVX* scalar double and single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.single",
	.event = "period=2000005,umask=0x2a,event=0xc7",
	.desc = "Number of SSE/AVX computational single precision floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* scalar and packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "This event counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "This event counts any input SSE* FP assist - invalid operation, denormal operand, dividing by zero, SNaN operand. Counting includes only cases involving penalties that required micro-code assist intervention",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "This event counts the number of SSE* floating point (FP) micro-code assist (numeric overflow/underflow) when the output value (destination register) is invalid. Counting covers only cases involving penalties that require micro-code assist intervention",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "This event counts x87 floating point (FP) micro-code assist (invalid operation, denormal operand, SNaN operand) when the input value (one of the source operands to an FP instruction) is invalid",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "This event counts the number of x87 floating point (FP) micro-code assist (numeric overflow/underflow, inexact result) when the output value (destination register) is invalid",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from AVX-256 to legacy SSE when penalty is applicable  Spec update: BDM30",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from legacy SSE to AVX-256 when penalty is applicable  Spec update: BDM30",
},
{
	.name = "uop_dispatches_cancelled.simd_prf",
	.event = "period=2000003,umask=0x3,event=0xa0",
	.desc = "Micro-op dispatches cancelled due to insufficient SIMD physical register file read ports",
	.topic = "floating point",
	.long_desc = "This event counts the number of micro-operations cancelled after they were dispatched from the scheduler to the execution units when the total number of physical register read ports across all dispatch ports exceeds the read bandwidth of the physical register file.  The SIMD_PRF subevent applies to the following instructions: VDPPS, DPPS, VPCMPESTRI, PCMPESTRI, VPCMPESTRM, PCMPESTRM, VFMADD*, VFMADDSUB*, VFMSUB*, VMSUBADD*, VFNMADD*, VFNMSUB*.  See the Broadwell Optimization Guide for more information",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times HLE abort was triggered (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (Precise event)",
},
{
	.name = "hle_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an HLE abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "hle_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to uncommon conditions",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an HLE abort",
},
{
	.name = "hle_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an HLE abort",
},
{
	.name = "hle_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times HLE caused a fault",
},
{
	.name = "hle_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
	.topic = "memory",
	.long_desc = "Number of times HLE aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times HLE commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times we entered an HLE region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region\n does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:\n1. memory disambiguation,\n2. external snoop, or\n3. cross SMT-HW-thread snoop (stores) hitting load buffer",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Randomly selected loads with latency value being above 4  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above four  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Randomly selected loads with latency value being above 8  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above eight  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache-line split load uops dispatched to the L1 cache",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache line split store-address (STA) uops dispatched to the L1 cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020240",
	.desc = "Counts all prefetch code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020090",
	.desc = "Counts all prefetch data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020120",
	.desc = "Counts prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C8000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000028000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x043C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x023C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00BC000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x013C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0404000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0204000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0084000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0104000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times RTM abort was triggered (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered  (Precise event)",
},
{
	.name = "rtm_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "rtm_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times a RTM caused a fault",
},
{
	.name = "rtm_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times RTM aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times RTM commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times we entered an RTM region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region\n does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by  a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a TSX line had a cache conflict",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times we could not allocate Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of entries allocated. Account for Any type: e.g. Snoop, Core aperture, etc. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Each cycle count number of all Core outgoing valid entries. Such entry is defined as valid from it's allocation till first of IDI0 or DRS0 messages is sent out. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_with_any_request",
	.event = "cmask=1,umask=0x1,event=0x80",
	.desc = "Cycles with at least one request outstanding is waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC.;. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.drd_direct",
	.event = "umask=0x2,event=0x80",
	.desc = "Each cycle count number of 'valid' coherent Data Read entries that are in DirectData mode. Such entry is defined as valid when it is allocated till data sent to Core (first chunk, IDI0). Applicable for IA Cores' requests in normal case. Unit: uncore_arb ",
	.topic = "uncore other",
	.long_desc = "Each cycle count number of valid coherent Data Read entries that are in DirectData mode. Such entry is defined as valid when it is allocated till data sent to Core (first chunk, IDI0). Applicable for IA Cores' requests in normal case",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Total number of Core outgoing entries allocated. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.drd_direct",
	.event = "umask=0x2,event=0x81",
	.desc = "Number of Core coherent Data Read entries allocated in DirectData mode. Unit: uncore_arb ",
	.topic = "uncore other",
	.long_desc = "Number of Core coherent Data Read entries allocated in DirectData mode",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.writes",
	.event = "umask=0x20,event=0x81",
	.desc = "Number of Writes allocated - any write transactions: full/partials writes and evictions. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_clock ",
	.topic = "uncore other",
	.long_desc = "This 48-bit fixed counter counts the UCLK cycles",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "bdw metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "icache.ifdata_stall / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(14 * itlb_misses.stlb_hit + cpu@itlb_misses.walk_duration\\,cmask\\=1@ + 7 * itlb_misses.walk_completed) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "machine_clears.count * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: BACLEARS.ANY",
	.unit = "100%",
	.metric_expr = "tma_branch_resteers - tma_mispredicts_resteers - tma_clears_resteers",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "bdw metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "bdw metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "bdw metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + resource_stalls.sb) / (cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_UOPS_RETIRED.L1_HIT_PS;MEM_LOAD_UOPS_RETIRED.HIT_LFB_PS",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "bdw metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_load_misses.stlb_hit + cpu@dtlb_load_misses.walk_duration\\,cmask\\=1@ + 7 * dtlb_load_misses.walk_completed) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "bdw metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_UOPS_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_UOPS_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "bdw metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss) * cycle_activity.stalls_l2_miss / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(60 * (mem_load_uops_l3_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) + 43 * (mem_load_uops_l3_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss)))) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "43 * (mem_load_uops_l3_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "29 * (mem_load_uops_retired.l3_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "bdw metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss)) * cycle_activity.stalls_l2_miss / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "bdw metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "60 * offcore_response.demand_rfo.l3_hit.snoop_hitm / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "bdw metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_UOPS_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "bdw metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_UOPS_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_store_misses.stlb_hit + cpu@dtlb_store_misses.walk_duration\\,cmask\\=1@ + 7 * dtlb_store_misses.walk_completed) / clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - cycle_activity.stalls_mem_any) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\,cmask\\=1@ / 2 if #smt_on else (cycle_activity.stalls_total - rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) / core_clks)",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / 2 if #smt_on else (uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_2_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / 2 if #smt_on else (uops_executed.cycles_ge_2_uops_exec - uops_executed.cycles_ge_3_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=3@ / 2 if #smt_on else uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED_PORT.PORT_0",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_1",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_6",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_2",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_3",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data) Sample with: UOPS_DISPATCHED_PORT.PORT_4",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address) Sample with: UOPS_DISPATCHED_PORT.PORT_7",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "bdw metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "bdw metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "bdw metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "bdw metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "bdw metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "bdw metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "bdw metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "bdw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: OTHER_ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * other_assists.any_wb_assist / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "bdw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "bdw metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdw metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "bdw metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "bdw metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "bdw metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "bdw metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "bdw metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "bdw metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "bdw metrics",
	.metric_expr = "uops_executed.thread / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "bdw metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "bdw metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "bdw metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "bdw metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "bdw metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "bdw metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "bdw metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "bdw metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "bdw metrics",
	.metric_expr = "(cpu@itlb_misses.walk_duration\\,cmask\\=1@ + cpu@dtlb_load_misses.walk_duration\\,cmask\\=1@ + cpu@dtlb_store_misses.walk_duration\\,cmask\\=1@ + 7 * (dtlb_store_misses.walk_completed + dtlb_load_misses.walk_completed + itlb_misses.walk_completed)) / core_clks",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "bdw metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "bdw metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "bdw metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "bdw metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "bdw metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "bdw metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "bdw metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "bdw metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of all requests to external memory (in Uncore cycles)",
	.topic = "bdw metrics",
	.metric_expr = "mem_parallel_requests",
	.metric_name = "MEM_Request_Latency",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "bdw metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "bdw metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "bdw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "bdw metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "bdw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand; from the demand Hit FB, if it is allocated by hardware or software prefetch.\nNote: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_demand_rqsts.wb_hit",
	.event = "period=200003,umask=0x50,event=0x27",
	.desc = "Not rejected writebacks that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of WB requests that hit L2 cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Exclusive state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Invalidate state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Shared state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x5,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "This event counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "This event counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.l2_pf_hit",
	.event = "period=200003,umask=0xd0,event=0x24",
	.desc = "L2 prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that hit L2 cache. L3 prefetch new types",
},
{
	.name = "l2_rqsts.l2_pf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that miss L2 cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or L3 HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 or L3 HW prefetches that access L2 cache including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "This event counts transactions that access the L2 pipe including snoops, pagewalks, and so on",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Demand Data Read requests that access L2 cache, including rejects",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Read for Ownership (RFO) requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "This event counts the number of cycles when the L1D is locked. It is a superset of the 0x1 mask (BUS_LOCK_CLOCKS.BUS_LOCK_DURATION)",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that miss the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that refer to the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were L3 hit and a cross-core snoop hit in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared L3  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were HitM responses from a core on same socket (shared L3)  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were L3 Hit and a cross-core snoop missed in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in L3 without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Data from local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: BDE70, BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uop whose Data Source was: local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: BDE70, BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were load uops missed L1 but hit a fill buffer due to a preceding miss to the same cache line with the data not ready.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the nearest-level (L1) cache.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load. This event also counts SW prefetches independent of the actual data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops misses in L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were misses in the nearest-level (L1) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the mid-level (L2) cache  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Miss in mid-level (L2) cache. Excludes Unknown data-source  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were misses in the mid-level (L2) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in L3 without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were data hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: BDM100, BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event counts AVX-256bit load/store double-pump memory uops as a single uop at retirement. This event also counts SW prefetches  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts store uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event counts AVX-256bit load/store double-pump memory uops as a single uop at retirement  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops with locked access retired to the architected path  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted load uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted store uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops with true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts store uops with true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "This event counts the demand and prefetch data reads. All Core Data Reads include cacheable Demands and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "This event counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, and so on",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "This event counts both cacheable and noncachaeble code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "This event counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "This event counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "This event counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.\nNote: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.\nNote: A prefetch promoted to Demand is counted from the promotion point  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010091",
	.desc = "Counts all demand & prefetch data reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020091",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010240",
	.desc = "Counts all prefetch code reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020240",
	.desc = "Counts all prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010090",
	.desc = "Counts all prefetch data reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020090",
	.desc = "Counts all prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010120",
	.desc = "Counts prefetch RFOs have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020120",
	.desc = "Counts prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010122",
	.desc = "Counts all demand & prefetch RFOs have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020122",
	.desc = "Counts all demand & prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010008",
	.desc = "Counts writebacks (modified to exclusive) have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020008",
	.desc = "Counts writebacks (modified to exclusive)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010004",
	.desc = "Counts all demand code reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010001",
	.desc = "Counts demand data reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010002",
	.desc = "Counts all demand data writes (RFOs) have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000018000",
	.desc = "Counts any other requests have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010010",
	.desc = "Counts prefetch (that bring data to L2) data reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0000010100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x04003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x02003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x01003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0400020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0200020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0080020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x0100020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
	.long_desc = "This event counts the number of split locks in the super queue",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_bonnell[] = {
{
	.name = "busq_empty.self",
	.event = "period=200000,umask=0x40,event=0x7d",
	.desc = "Bus queue is empty",
	.topic = "other",
},
{
	.name = "bus_bnr_drv.all_agents",
	.event = "period=200000,umask=0x20,event=0x61",
	.desc = "Number of Bus Not Ready signals asserted",
	.topic = "other",
},
{
	.name = "bus_bnr_drv.this_agent",
	.event = "period=200000,event=0x61",
	.desc = "Number of Bus Not Ready signals asserted",
	.topic = "other",
},
{
	.name = "bus_data_rcv.self",
	.event = "period=200000,umask=0x40,event=0x64",
	.desc = "Bus cycles while processor receives data",
	.topic = "other",
},
{
	.name = "bus_drdy_clocks.all_agents",
	.event = "period=200000,umask=0x20,event=0x62",
	.desc = "Bus cycles when data is sent on the bus",
	.topic = "other",
},
{
	.name = "bus_drdy_clocks.this_agent",
	.event = "period=200000,event=0x62",
	.desc = "Bus cycles when data is sent on the bus",
	.topic = "other",
},
{
	.name = "bus_hitm_drv.all_agents",
	.event = "period=200000,umask=0x20,event=0x7b",
	.desc = "HITM signal asserted",
	.topic = "other",
},
{
	.name = "bus_hitm_drv.this_agent",
	.event = "period=200000,event=0x7b",
	.desc = "HITM signal asserted",
	.topic = "other",
},
{
	.name = "bus_hit_drv.all_agents",
	.event = "period=200000,umask=0x20,event=0x7a",
	.desc = "HIT signal asserted",
	.topic = "other",
},
{
	.name = "bus_hit_drv.this_agent",
	.event = "period=200000,event=0x7a",
	.desc = "HIT signal asserted",
	.topic = "other",
},
{
	.name = "bus_io_wait.self",
	.event = "period=200000,umask=0x40,event=0x7f",
	.desc = "IO requests waiting in the bus queue",
	.topic = "other",
},
{
	.name = "bus_lock_clocks.all_agents",
	.event = "period=200000,umask=0xe0,event=0x63",
	.desc = "Bus cycles when a LOCK signal is asserted",
	.topic = "other",
},
{
	.name = "bus_lock_clocks.self",
	.event = "period=200000,umask=0x40,event=0x63",
	.desc = "Bus cycles when a LOCK signal is asserted",
	.topic = "other",
},
{
	.name = "bus_request_outstanding.all_agents",
	.event = "period=200000,umask=0xe0,event=0x60",
	.desc = "Outstanding cacheable data read bus requests duration",
	.topic = "other",
},
{
	.name = "bus_request_outstanding.self",
	.event = "period=200000,umask=0x40,event=0x60",
	.desc = "Outstanding cacheable data read bus requests duration",
	.topic = "other",
},
{
	.name = "bus_trans_any.all_agents",
	.event = "period=200000,umask=0xe0,event=0x70",
	.desc = "All bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_any.self",
	.event = "period=200000,umask=0x40,event=0x70",
	.desc = "All bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_brd.all_agents",
	.event = "period=200000,umask=0xe0,event=0x65",
	.desc = "Burst read bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_brd.self",
	.event = "period=200000,umask=0x40,event=0x65",
	.desc = "Burst read bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_burst.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6e",
	.desc = "Burst (full cache-line) bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_burst.self",
	.event = "period=200000,umask=0x40,event=0x6e",
	.desc = "Burst (full cache-line) bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_def.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6d",
	.desc = "Deferred bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_def.self",
	.event = "period=200000,umask=0x40,event=0x6d",
	.desc = "Deferred bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_ifetch.all_agents",
	.event = "period=200000,umask=0xe0,event=0x68",
	.desc = "Instruction-fetch bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_ifetch.self",
	.event = "period=200000,umask=0x40,event=0x68",
	.desc = "Instruction-fetch bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_inval.all_agents",
	.event = "period=200000,umask=0xe0,event=0x69",
	.desc = "Invalidate bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_inval.self",
	.event = "period=200000,umask=0x40,event=0x69",
	.desc = "Invalidate bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_io.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6c",
	.desc = "IO bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_io.self",
	.event = "period=200000,umask=0x40,event=0x6c",
	.desc = "IO bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_mem.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6f",
	.desc = "Memory bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_mem.self",
	.event = "period=200000,umask=0x40,event=0x6f",
	.desc = "Memory bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_p.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6b",
	.desc = "Partial bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_p.self",
	.event = "period=200000,umask=0x40,event=0x6b",
	.desc = "Partial bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_pwr.all_agents",
	.event = "period=200000,umask=0xe0,event=0x6a",
	.desc = "Partial write bus transaction",
	.topic = "other",
},
{
	.name = "bus_trans_pwr.self",
	.event = "period=200000,umask=0x40,event=0x6a",
	.desc = "Partial write bus transaction",
	.topic = "other",
},
{
	.name = "bus_trans_rfo.all_agents",
	.event = "period=200000,umask=0xe0,event=0x66",
	.desc = "RFO bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_rfo.self",
	.event = "period=200000,umask=0x40,event=0x66",
	.desc = "RFO bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_wb.all_agents",
	.event = "period=200000,umask=0xe0,event=0x67",
	.desc = "Explicit writeback bus transactions",
	.topic = "other",
},
{
	.name = "bus_trans_wb.self",
	.event = "period=200000,umask=0x40,event=0x67",
	.desc = "Explicit writeback bus transactions",
	.topic = "other",
},
{
	.name = "cycles_int_masked.cycles_int_masked",
	.event = "period=2000000,umask=0x1,event=0xc6",
	.desc = "Cycles during which interrupts are disabled",
	.topic = "other",
},
{
	.name = "cycles_int_masked.cycles_int_pending_and_masked",
	.event = "period=2000000,umask=0x2,event=0xc6",
	.desc = "Cycles during which interrupts are pending and disabled",
	.topic = "other",
},
{
	.name = "dispatch_blocked.any",
	.event = "period=200000,umask=0x20,event=0x9",
	.desc = "Memory cluster signals to block micro-op dispatch for any reason",
	.topic = "other",
},
{
	.name = "eist_trans",
	.event = "period=200000,event=0x3a",
	.desc = "Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions",
	.topic = "other",
},
{
	.name = "ext_snoop.all_agents.any",
	.event = "period=200000,umask=0x2b,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.all_agents.clean",
	.event = "period=200000,umask=0x21,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.all_agents.hit",
	.event = "period=200000,umask=0x22,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.all_agents.hitm",
	.event = "period=200000,umask=0x28,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.this_agent.any",
	.event = "period=200000,umask=0xb,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.this_agent.clean",
	.event = "period=200000,umask=0x1,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.this_agent.hit",
	.event = "period=200000,umask=0x2,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "ext_snoop.this_agent.hitm",
	.event = "period=200000,umask=0x8,event=0x77",
	.desc = "External snoops",
	.topic = "other",
},
{
	.name = "hw_int_rcv",
	.event = "period=200000,event=0xc8",
	.desc = "Hardware interrupts received",
	.topic = "other",
},
{
	.name = "segment_reg_loads.any",
	.event = "period=200000,umask=0x80,event=0x6",
	.desc = "Number of segment register loads",
	.topic = "other",
},
{
	.name = "snoop_stall_drv.all_agents",
	.event = "period=200000,umask=0xe0,event=0x7e",
	.desc = "Bus stalled for snoops",
	.topic = "other",
},
{
	.name = "snoop_stall_drv.self",
	.event = "period=200000,umask=0x40,event=0x7e",
	.desc = "Bus stalled for snoops",
	.topic = "other",
},
{
	.name = "thermal_trip",
	.event = "period=200000,umask=0xc0,event=0x3b",
	.desc = "Number of thermal trips",
	.topic = "other",
},
{
	.name = "data_tlb_misses.dtlb_miss",
	.event = "period=200000,umask=0x7,event=0x8",
	.desc = "Memory accesses that missed the DTLB",
	.topic = "virtual memory",
},
{
	.name = "data_tlb_misses.dtlb_miss_ld",
	.event = "period=200000,umask=0x5,event=0x8",
	.desc = "DTLB misses due to load operations",
	.topic = "virtual memory",
},
{
	.name = "data_tlb_misses.dtlb_miss_st",
	.event = "period=200000,umask=0x6,event=0x8",
	.desc = "DTLB misses due to store operations",
	.topic = "virtual memory",
},
{
	.name = "data_tlb_misses.l0_dtlb_miss_ld",
	.event = "period=200000,umask=0x9,event=0x8",
	.desc = "L0 DTLB misses due to load operations",
	.topic = "virtual memory",
},
{
	.name = "data_tlb_misses.l0_dtlb_miss_st",
	.event = "period=200000,umask=0xa,event=0x8",
	.desc = "L0 DTLB misses due to store operations",
	.topic = "virtual memory",
},
{
	.name = "itlb.flush",
	.event = "period=200000,umask=0x4,event=0x82",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "ITLB hits",
	.topic = "virtual memory",
},
{
	.name = "itlb.misses",
	.event = "period=200000,umask=0x2,event=0x82",
	.desc = "ITLB misses (Must be precise)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x4,event=0xcb",
	.desc = "Retired loads that miss the DTLB (precise event) (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "page_walks.cycles",
	.event = "period=2000000,umask=0x3,event=0xc",
	.desc = "Duration of page-walks in core cycles",
	.topic = "virtual memory",
},
{
	.name = "page_walks.d_side_cycles",
	.event = "period=2000000,umask=0x1,event=0xc",
	.desc = "Duration of D-side only page walks",
	.topic = "virtual memory",
},
{
	.name = "page_walks.d_side_walks",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Number of D-side only page walks",
	.topic = "virtual memory",
},
{
	.name = "page_walks.i_side_cycles",
	.event = "period=2000000,umask=0x2,event=0xc",
	.desc = "Duration of I-Side page walks",
	.topic = "virtual memory",
},
{
	.name = "page_walks.i_side_walks",
	.event = "period=200000,umask=0x2,event=0xc",
	.desc = "Number of I-Side page walks",
	.topic = "virtual memory",
},
{
	.name = "page_walks.walks",
	.event = "period=200000,umask=0x3,event=0xc",
	.desc = "Number of page-walks executed",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEARS asserted",
	.topic = "frontend",
},
{
	.name = "cycles_icache_mem_stalled.icache_mem_stalled",
	.event = "period=2000000,umask=0x1,event=0x86",
	.desc = "Cycles during which instruction fetches are  stalled",
	.topic = "frontend",
},
{
	.name = "decode_stall.iq_full",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Decode stall due to IQ full",
	.topic = "frontend",
},
{
	.name = "decode_stall.pfb_empty",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Decode stall due to PFB empty",
	.topic = "frontend",
},
{
	.name = "icache.accesses",
	.event = "period=200000,umask=0x3,event=0x80",
	.desc = "Instruction fetches",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=200000,umask=0x1,event=0x80",
	.desc = "Icache hit",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200000,umask=0x2,event=0x80",
	.desc = "Icache miss",
	.topic = "frontend",
},
{
	.name = "macro_insts.all_decoded",
	.event = "period=2000000,umask=0x3,event=0xaa",
	.desc = "All Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.cisc_decoded",
	.event = "period=2000000,umask=0x2,event=0xaa",
	.desc = "CISC macro instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.non_cisc_decoded",
	.event = "period=2000000,umask=0x1,event=0xaa",
	.desc = "Non-CISC nacro instructions decoded",
	.topic = "frontend",
},
{
	.name = "uops.ms_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa9",
	.desc = "This event counts the cycles where 1 or more uops are issued by the micro-sequencer (MS), including microcode assists and inserted flows, and written to the IQ",
	.topic = "frontend",
},
{
	.name = "bogus_br",
	.event = "period=2000000,umask=0x1,event=0xe4",
	.desc = "Bogus branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.any",
	.event = "period=2000000,event=0xc4",
	.desc = "Retired branch instructions",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.any1",
	.event = "period=2000000,umask=0xf,event=0xc4",
	.desc = "Retired branch instructions",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.mispred",
	.event = "period=200000,event=0xc5",
	.desc = "Retired mispredicted branch instructions (precise event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.mispred_not_taken",
	.event = "period=200000,umask=0x2,event=0xc4",
	.desc = "Retired branch instructions that were mispredicted not-taken",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.mispred_taken",
	.event = "period=200000,umask=0x8,event=0xc4",
	.desc = "Retired branch instructions that were mispredicted taken",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.pred_not_taken",
	.event = "period=2000000,umask=0x1,event=0xc4",
	.desc = "Retired branch instructions that were predicted not-taken",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.pred_taken",
	.event = "period=2000000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions that were predicted taken",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.taken",
	.event = "period=2000000,umask=0xc,event=0xc4",
	.desc = "Retired taken branch instructions",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.cond",
	.event = "period=2000000,umask=0x1,event=0x88",
	.desc = "All macro conditional branch instructions",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.cond_taken",
	.event = "period=2000000,umask=0x41,event=0x88",
	.desc = "Only taken macro conditional branch instructions",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.dir_call",
	.event = "period=2000000,umask=0x10,event=0x88",
	.desc = "All non-indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.ind",
	.event = "period=2000000,umask=0x4,event=0x88",
	.desc = "All indirect branches that are not calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.ind_call",
	.event = "period=2000000,umask=0x20,event=0x88",
	.desc = "All indirect calls, including both register and memory indirect",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.ret",
	.event = "period=2000000,umask=0x8,event=0x88",
	.desc = "All indirect branches that have a return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_inst_type_retired.uncond",
	.event = "period=2000000,umask=0x2,event=0x88",
	.desc = "All macro unconditional branch instructions, excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_missp_type_retired.cond",
	.event = "period=200000,umask=0x1,event=0x89",
	.desc = "Mispredicted cond branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_missp_type_retired.cond_taken",
	.event = "period=200000,umask=0x11,event=0x89",
	.desc = "Mispredicted and taken cond branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_missp_type_retired.ind",
	.event = "period=200000,umask=0x2,event=0x89",
	.desc = "Mispredicted ind branches that are not calls",
	.topic = "pipeline",
},
{
	.name = "br_missp_type_retired.ind_call",
	.event = "period=200000,umask=0x8,event=0x89",
	.desc = "Mispredicted indirect calls, including both register and memory indirect",
	.topic = "pipeline",
},
{
	.name = "br_missp_type_retired.return",
	.event = "period=200000,umask=0x4,event=0x89",
	.desc = "Mispredicted return branches",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.bus",
	.event = "period=200000,umask=0x1,event=0x3c",
	.desc = "Bus cycles when core is not halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when core is not halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Core cycles when core is not halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when core is not halted",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "div.ar",
	.event = "period=2000000,umask=0x81,event=0x13",
	.desc = "Divide operations retired",
	.topic = "pipeline",
},
{
	.name = "div.s",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Divide operations executed",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (precise event) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=200000,umask=0x1,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "mul.ar",
	.event = "period=2000000,umask=0x81,event=0x12",
	.desc = "Multiply operations retired",
	.topic = "pipeline",
},
{
	.name = "mul.s",
	.event = "period=2000000,umask=0x1,event=0x12",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "reissue.any",
	.event = "period=200000,umask=0x7f,event=0x3",
	.desc = "Micro-op reissues for any cause",
	.topic = "pipeline",
},
{
	.name = "reissue.any.ar",
	.event = "period=200000,umask=0xff,event=0x3",
	.desc = "Micro-op reissues for any cause (At Retirement)",
	.topic = "pipeline",
},
{
	.name = "reissue.overlap_store",
	.event = "period=200000,umask=0x1,event=0x3",
	.desc = "Micro-op reissues on a store-load collision",
	.topic = "pipeline",
},
{
	.name = "reissue.overlap_store.ar",
	.event = "period=200000,umask=0x81,event=0x3",
	.desc = "Micro-op reissues on a store-load collision (At Retirement)",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.div_busy",
	.event = "period=2000000,umask=0x2,event=0xdc",
	.desc = "Cycles issue is stalled due to div busy",
	.topic = "pipeline",
},
{
	.name = "store_forwards.any",
	.event = "period=200000,umask=0x83,event=0x2",
	.desc = "All store forwards",
	.topic = "pipeline",
},
{
	.name = "store_forwards.good",
	.event = "period=200000,umask=0x81,event=0x2",
	.desc = "Good store forwards",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x10,event=0xc2",
	.desc = "Micro-ops retired",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stalled_cycles",
	.event = "period=2000000,umask=0x10,event=0xc2",
	.desc = "Cycles no micro-ops retired",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stalls",
	.event = "period=2000000,umask=0x10,event=0xc2",
	.desc = "Periods no micro-ops retired",
	.topic = "pipeline",
},
{
	.name = "fp_assist.ar",
	.event = "period=10000,umask=0x81,event=0x11",
	.desc = "Floating point assists for retired operations",
	.topic = "floating point",
},
{
	.name = "fp_assist.s",
	.event = "period=10000,umask=0x1,event=0x11",
	.desc = "Floating point assists",
	.topic = "floating point",
},
{
	.name = "simd_assist",
	.event = "period=100000,event=0xcd",
	.desc = "SIMD assists invoked",
	.topic = "floating point",
},
{
	.name = "simd_comp_inst_retired.packed_single",
	.event = "period=2000000,umask=0x1,event=0xca",
	.desc = "Retired computational Streaming SIMD Extensions (SSE) packed-single instructions",
	.topic = "floating point",
},
{
	.name = "simd_comp_inst_retired.scalar_double",
	.event = "period=2000000,umask=0x8,event=0xca",
	.desc = "Retired computational Streaming SIMD Extensions 2 (SSE2) scalar-double instructions",
	.topic = "floating point",
},
{
	.name = "simd_comp_inst_retired.scalar_single",
	.event = "period=2000000,umask=0x2,event=0xca",
	.desc = "Retired computational Streaming SIMD Extensions (SSE) scalar-single instructions",
	.topic = "floating point",
},
{
	.name = "simd_instr_retired",
	.event = "period=2000000,event=0xce",
	.desc = "SIMD Instructions retired",
	.topic = "floating point",
},
{
	.name = "simd_inst_retired.packed_single",
	.event = "period=2000000,umask=0x1,event=0xc7",
	.desc = "Retired Streaming SIMD Extensions (SSE) packed-single instructions",
	.topic = "floating point",
},
{
	.name = "simd_inst_retired.scalar_double",
	.event = "period=2000000,umask=0x8,event=0xc7",
	.desc = "Retired Streaming SIMD Extensions 2 (SSE2) scalar-double instructions",
	.topic = "floating point",
},
{
	.name = "simd_inst_retired.scalar_single",
	.event = "period=2000000,umask=0x2,event=0xc7",
	.desc = "Retired Streaming SIMD Extensions (SSE) scalar-single instructions",
	.topic = "floating point",
},
{
	.name = "simd_inst_retired.vector",
	.event = "period=2000000,umask=0x10,event=0xc7",
	.desc = "Retired Streaming SIMD Extensions 2 (SSE2) vector instructions",
	.topic = "floating point",
},
{
	.name = "simd_sat_instr_retired",
	.event = "period=2000000,event=0xcf",
	.desc = "Saturated arithmetic instructions retired",
	.topic = "floating point",
},
{
	.name = "simd_sat_uop_exec.ar",
	.event = "period=2000000,umask=0x80,event=0xb1",
	.desc = "SIMD saturated arithmetic micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_sat_uop_exec.s",
	.event = "period=2000000,event=0xb1",
	.desc = "SIMD saturated arithmetic micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uops_exec.ar",
	.event = "period=2000000,umask=0x80,event=0xb0",
	.desc = "SIMD micro-ops retired (excluding stores) (Must be precise)",
	.topic = "floating point",
},
{
	.name = "simd_uops_exec.s",
	.event = "period=2000000,event=0xb0",
	.desc = "SIMD micro-ops executed (excluding stores)",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.arithmetic.ar",
	.event = "period=2000000,umask=0xa0,event=0xb3",
	.desc = "SIMD packed arithmetic micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.arithmetic.s",
	.event = "period=2000000,umask=0x20,event=0xb3",
	.desc = "SIMD packed arithmetic micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.logical.ar",
	.event = "period=2000000,umask=0x90,event=0xb3",
	.desc = "SIMD packed logical micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.logical.s",
	.event = "period=2000000,umask=0x10,event=0xb3",
	.desc = "SIMD packed logical micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.mul.ar",
	.event = "period=2000000,umask=0x81,event=0xb3",
	.desc = "SIMD packed multiply micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.mul.s",
	.event = "period=2000000,umask=0x1,event=0xb3",
	.desc = "SIMD packed multiply micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.pack.ar",
	.event = "period=2000000,umask=0x84,event=0xb3",
	.desc = "SIMD packed micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.pack.s",
	.event = "period=2000000,umask=0x4,event=0xb3",
	.desc = "SIMD packed micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.shift.ar",
	.event = "period=2000000,umask=0x82,event=0xb3",
	.desc = "SIMD packed shift micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.shift.s",
	.event = "period=2000000,umask=0x2,event=0xb3",
	.desc = "SIMD packed shift micro-ops executed",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.unpack.ar",
	.event = "period=2000000,umask=0x88,event=0xb3",
	.desc = "SIMD unpacked micro-ops retired",
	.topic = "floating point",
},
{
	.name = "simd_uop_type_exec.unpack.s",
	.event = "period=2000000,umask=0x8,event=0xb3",
	.desc = "SIMD unpacked micro-ops executed",
	.topic = "floating point",
},
{
	.name = "x87_comp_ops_exe.any.ar",
	.event = "period=2000000,umask=0x81,event=0x10",
	.desc = "Floating point computational micro-ops retired (Must be precise)",
	.topic = "floating point",
},
{
	.name = "x87_comp_ops_exe.any.s",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Floating point computational micro-ops executed",
	.topic = "floating point",
},
{
	.name = "x87_comp_ops_exe.fxch.ar",
	.event = "period=2000000,umask=0x82,event=0x10",
	.desc = "FXCH uops retired (Must be precise)",
	.topic = "floating point",
},
{
	.name = "x87_comp_ops_exe.fxch.s",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "FXCH uops executed",
	.topic = "floating point",
},
{
	.name = "misalign_mem_ref.bubble",
	.event = "period=200000,umask=0x97,event=0x5",
	.desc = "Nonzero segbase 1 bubble",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.ld_bubble",
	.event = "period=200000,umask=0x91,event=0x5",
	.desc = "Nonzero segbase load 1 bubble",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.ld_split",
	.event = "period=200000,umask=0x9,event=0x5",
	.desc = "Load splits",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.ld_split.ar",
	.event = "period=200000,umask=0x89,event=0x5",
	.desc = "Load splits (At Retirement)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.rmw_bubble",
	.event = "period=200000,umask=0x94,event=0x5",
	.desc = "Nonzero segbase ld-op-st 1 bubble",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.rmw_split",
	.event = "period=200000,umask=0x8c,event=0x5",
	.desc = "ld-op-st splits",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.split",
	.event = "period=200000,umask=0xf,event=0x5",
	.desc = "Memory references that cross an 8-byte boundary",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.split.ar",
	.event = "period=200000,umask=0x8f,event=0x5",
	.desc = "Memory references that cross an 8-byte boundary (At Retirement)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.st_bubble",
	.event = "period=200000,umask=0x92,event=0x5",
	.desc = "Nonzero segbase store 1 bubble",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.st_split",
	.event = "period=200000,umask=0xa,event=0x5",
	.desc = "Store splits",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.st_split.ar",
	.event = "period=200000,umask=0x8a,event=0x5",
	.desc = "Store splits (Ar Retirement)",
	.topic = "memory",
},
{
	.name = "prefetch.hw_prefetch",
	.event = "period=2000000,umask=0x10,event=0x7",
	.desc = "L1 hardware prefetch request",
	.topic = "memory",
},
{
	.name = "prefetch.prefetchnta",
	.event = "period=200000,umask=0x88,event=0x7",
	.desc = "Streaming SIMD Extensions (SSE) Prefetch NTA instructions executed",
	.topic = "memory",
},
{
	.name = "prefetch.prefetcht0",
	.event = "period=200000,umask=0x81,event=0x7",
	.desc = "Streaming SIMD Extensions (SSE) PrefetchT0 instructions executed",
	.topic = "memory",
},
{
	.name = "prefetch.prefetcht1",
	.event = "period=200000,umask=0x82,event=0x7",
	.desc = "Streaming SIMD Extensions (SSE) PrefetchT1 instructions executed",
	.topic = "memory",
},
{
	.name = "prefetch.prefetcht2",
	.event = "period=200000,umask=0x84,event=0x7",
	.desc = "Streaming SIMD Extensions (SSE) PrefetchT2 instructions executed",
	.topic = "memory",
},
{
	.name = "prefetch.software_prefetch",
	.event = "period=200000,umask=0xf,event=0x7",
	.desc = "Any Software prefetch",
	.topic = "memory",
},
{
	.name = "prefetch.software_prefetch.ar",
	.event = "period=200000,umask=0x8f,event=0x7",
	.desc = "Any Software prefetch",
	.topic = "memory",
},
{
	.name = "prefetch.sw_l2",
	.event = "period=200000,umask=0x86,event=0x7",
	.desc = "Streaming SIMD Extensions (SSE) PrefetchT1 and PrefetchT2 instructions executed",
	.topic = "memory",
},
{
	.name = "l1d_cache.all_cache_ref",
	.event = "period=2000000,umask=0xa3,event=0x40",
	.desc = "L1 Data Cacheable reads and writes",
	.topic = "cache",
},
{
	.name = "l1d_cache.all_ref",
	.event = "period=2000000,umask=0x83,event=0x40",
	.desc = "L1 Data reads and writes",
	.topic = "cache",
},
{
	.name = "l1d_cache.evict",
	.event = "period=200000,umask=0x10,event=0x40",
	.desc = "Modified cache lines evicted from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l1d_cache.ld",
	.event = "period=2000000,umask=0xa1,event=0x40",
	.desc = "L1 Cacheable Data Reads",
	.topic = "cache",
},
{
	.name = "l1d_cache.repl",
	.event = "period=200000,umask=0x8,event=0x40",
	.desc = "L1 Data line replacements",
	.topic = "cache",
},
{
	.name = "l1d_cache.replm",
	.event = "period=200000,umask=0x48,event=0x40",
	.desc = "Modified cache lines allocated in the L1 data cache",
	.topic = "cache",
},
{
	.name = "l1d_cache.st",
	.event = "period=2000000,umask=0xa2,event=0x40",
	.desc = "L1 Cacheable Data Writes",
	.topic = "cache",
},
{
	.name = "l2_ads.self",
	.event = "period=200000,umask=0x40,event=0x21",
	.desc = "Cycles L2 address bus is in use",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.self.e_state",
	.event = "period=200000,umask=0x44,event=0x2c",
	.desc = "All data requests from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.self.i_state",
	.event = "period=200000,umask=0x41,event=0x2c",
	.desc = "All data requests from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.self.mesi",
	.event = "period=200000,umask=0x4f,event=0x2c",
	.desc = "All data requests from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.self.m_state",
	.event = "period=200000,umask=0x48,event=0x2c",
	.desc = "All data requests from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.self.s_state",
	.event = "period=200000,umask=0x42,event=0x2c",
	.desc = "All data requests from the L1 data cache",
	.topic = "cache",
},
{
	.name = "l2_dbus_busy.self",
	.event = "period=200000,umask=0x40,event=0x22",
	.desc = "Cycles the L2 cache data bus is busy",
	.topic = "cache",
},
{
	.name = "l2_dbus_busy_rd.self",
	.event = "period=200000,umask=0x40,event=0x23",
	.desc = "Cycles the L2 transfers data to the core",
	.topic = "cache",
},
{
	.name = "l2_ifetch.self.e_state",
	.event = "period=200000,umask=0x44,event=0x28",
	.desc = "L2 cacheable instruction fetch requests",
	.topic = "cache",
},
{
	.name = "l2_ifetch.self.i_state",
	.event = "period=200000,umask=0x41,event=0x28",
	.desc = "L2 cacheable instruction fetch requests",
	.topic = "cache",
},
{
	.name = "l2_ifetch.self.mesi",
	.event = "period=200000,umask=0x4f,event=0x28",
	.desc = "L2 cacheable instruction fetch requests",
	.topic = "cache",
},
{
	.name = "l2_ifetch.self.m_state",
	.event = "period=200000,umask=0x48,event=0x28",
	.desc = "L2 cacheable instruction fetch requests",
	.topic = "cache",
},
{
	.name = "l2_ifetch.self.s_state",
	.event = "period=200000,umask=0x42,event=0x28",
	.desc = "L2 cacheable instruction fetch requests",
	.topic = "cache",
},
{
	.name = "l2_ld.self.any.e_state",
	.event = "period=200000,umask=0x74,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.any.i_state",
	.event = "period=200000,umask=0x71,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.any.mesi",
	.event = "period=200000,umask=0x7f,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.any.m_state",
	.event = "period=200000,umask=0x78,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.any.s_state",
	.event = "period=200000,umask=0x72,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.demand.e_state",
	.event = "period=200000,umask=0x44,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.demand.i_state",
	.event = "period=200000,umask=0x41,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.demand.mesi",
	.event = "period=200000,umask=0x4f,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.demand.m_state",
	.event = "period=200000,umask=0x48,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.demand.s_state",
	.event = "period=200000,umask=0x42,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.prefetch.e_state",
	.event = "period=200000,umask=0x54,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.prefetch.i_state",
	.event = "period=200000,umask=0x51,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.prefetch.mesi",
	.event = "period=200000,umask=0x5f,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.prefetch.m_state",
	.event = "period=200000,umask=0x58,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld.self.prefetch.s_state",
	.event = "period=200000,umask=0x52,event=0x29",
	.desc = "L2 cache reads",
	.topic = "cache",
},
{
	.name = "l2_ld_ifetch.self.e_state",
	.event = "period=200000,umask=0x44,event=0x2d",
	.desc = "All read requests from L1 instruction and data caches",
	.topic = "cache",
},
{
	.name = "l2_ld_ifetch.self.i_state",
	.event = "period=200000,umask=0x41,event=0x2d",
	.desc = "All read requests from L1 instruction and data caches",
	.topic = "cache",
},
{
	.name = "l2_ld_ifetch.self.mesi",
	.event = "period=200000,umask=0x4f,event=0x2d",
	.desc = "All read requests from L1 instruction and data caches",
	.topic = "cache",
},
{
	.name = "l2_ld_ifetch.self.m_state",
	.event = "period=200000,umask=0x48,event=0x2d",
	.desc = "All read requests from L1 instruction and data caches",
	.topic = "cache",
},
{
	.name = "l2_ld_ifetch.self.s_state",
	.event = "period=200000,umask=0x42,event=0x2d",
	.desc = "All read requests from L1 instruction and data caches",
	.topic = "cache",
},
{
	.name = "l2_lines_in.self.any",
	.event = "period=200000,umask=0x70,event=0x24",
	.desc = "L2 cache misses",
	.topic = "cache",
},
{
	.name = "l2_lines_in.self.demand",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 cache misses",
	.topic = "cache",
},
{
	.name = "l2_lines_in.self.prefetch",
	.event = "period=200000,umask=0x50,event=0x24",
	.desc = "L2 cache misses",
	.topic = "cache",
},
{
	.name = "l2_lines_out.self.any",
	.event = "period=200000,umask=0x70,event=0x26",
	.desc = "L2 cache lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.self.demand",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 cache lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.self.prefetch",
	.event = "period=200000,umask=0x50,event=0x26",
	.desc = "L2 cache lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lock.self.e_state",
	.event = "period=200000,umask=0x44,event=0x2b",
	.desc = "L2 locked accesses",
	.topic = "cache",
},
{
	.name = "l2_lock.self.i_state",
	.event = "period=200000,umask=0x41,event=0x2b",
	.desc = "L2 locked accesses",
	.topic = "cache",
},
{
	.name = "l2_lock.self.mesi",
	.event = "period=200000,umask=0x4f,event=0x2b",
	.desc = "L2 locked accesses",
	.topic = "cache",
},
{
	.name = "l2_lock.self.m_state",
	.event = "period=200000,umask=0x48,event=0x2b",
	.desc = "L2 locked accesses",
	.topic = "cache",
},
{
	.name = "l2_lock.self.s_state",
	.event = "period=200000,umask=0x42,event=0x2b",
	.desc = "L2 locked accesses",
	.topic = "cache",
},
{
	.name = "l2_m_lines_in.self",
	.event = "period=200000,umask=0x40,event=0x25",
	.desc = "L2 cache line modifications",
	.topic = "cache",
},
{
	.name = "l2_m_lines_out.self.any",
	.event = "period=200000,umask=0x70,event=0x27",
	.desc = "Modified lines evicted from the L2 cache",
	.topic = "cache",
},
{
	.name = "l2_m_lines_out.self.demand",
	.event = "period=200000,umask=0x40,event=0x27",
	.desc = "Modified lines evicted from the L2 cache",
	.topic = "cache",
},
{
	.name = "l2_m_lines_out.self.prefetch",
	.event = "period=200000,umask=0x50,event=0x27",
	.desc = "Modified lines evicted from the L2 cache",
	.topic = "cache",
},
{
	.name = "l2_no_req.self",
	.event = "period=200000,umask=0x40,event=0x32",
	.desc = "Cycles no L2 cache requests are pending",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.any.e_state",
	.event = "period=200000,umask=0x74,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.any.i_state",
	.event = "period=200000,umask=0x71,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.any.mesi",
	.event = "period=200000,umask=0x7f,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.any.m_state",
	.event = "period=200000,umask=0x78,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.any.s_state",
	.event = "period=200000,umask=0x72,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.demand.e_state",
	.event = "period=200000,umask=0x44,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.demand.i_state",
	.event = "period=200000,umask=0x41,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.demand.mesi",
	.event = "period=200000,umask=0x4f,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.demand.m_state",
	.event = "period=200000,umask=0x48,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.demand.s_state",
	.event = "period=200000,umask=0x42,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.prefetch.e_state",
	.event = "period=200000,umask=0x54,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.prefetch.i_state",
	.event = "period=200000,umask=0x51,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.prefetch.mesi",
	.event = "period=200000,umask=0x5f,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.prefetch.m_state",
	.event = "period=200000,umask=0x58,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_reject_busq.self.prefetch.s_state",
	.event = "period=200000,umask=0x52,event=0x30",
	.desc = "Rejected L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.any.e_state",
	.event = "period=200000,umask=0x74,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.any.i_state",
	.event = "period=200000,umask=0x71,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.any.mesi",
	.event = "period=200000,umask=0x7f,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.any.m_state",
	.event = "period=200000,umask=0x78,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.any.s_state",
	.event = "period=200000,umask=0x72,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.demand.e_state",
	.event = "period=200000,umask=0x44,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.demand.i_state",
	.event = "period=200000,umask=0x41,event=0x2e",
	.desc = "L2 cache demand requests from this core that missed the L2",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.demand.mesi",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "L2 cache demand requests from this core",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.demand.m_state",
	.event = "period=200000,umask=0x48,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.demand.s_state",
	.event = "period=200000,umask=0x42,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.prefetch.e_state",
	.event = "period=200000,umask=0x54,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.prefetch.i_state",
	.event = "period=200000,umask=0x51,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.prefetch.mesi",
	.event = "period=200000,umask=0x5f,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.prefetch.m_state",
	.event = "period=200000,umask=0x58,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.self.prefetch.s_state",
	.event = "period=200000,umask=0x52,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
},
{
	.name = "l2_st.self.e_state",
	.event = "period=200000,umask=0x44,event=0x2a",
	.desc = "L2 store requests",
	.topic = "cache",
},
{
	.name = "l2_st.self.i_state",
	.event = "period=200000,umask=0x41,event=0x2a",
	.desc = "L2 store requests",
	.topic = "cache",
},
{
	.name = "l2_st.self.mesi",
	.event = "period=200000,umask=0x4f,event=0x2a",
	.desc = "L2 store requests",
	.topic = "cache",
},
{
	.name = "l2_st.self.m_state",
	.event = "period=200000,umask=0x48,event=0x2a",
	.desc = "L2 store requests",
	.topic = "cache",
},
{
	.name = "l2_st.self.s_state",
	.event = "period=200000,umask=0x42,event=0x2a",
	.desc = "L2 store requests",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=10000,umask=0x2,event=0xcb",
	.desc = "Retired loads that miss the L2 cache",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_jaketown[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 800 MHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core0_transition_cycles",
	.event = "event=0x3",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core1_transition_cycles",
	.event = "event=0x4",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core2_transition_cycles",
	.event = "event=0x5",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core3_transition_cycles",
	.event = "event=0x6",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core4_transition_cycles",
	.event = "event=0x7",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core5_transition_cycles",
	.event = "event=0x8",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core6_transition_cycles",
	.event = "event=0x9",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core7_transition_cycles",
	.event = "event=0xa",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core0",
	.event = "event=0x1e",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core1",
	.event = "event=0x1f",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core2",
	.event = "event=0x20",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core3",
	.event = "event=0x21",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core4",
	.event = "event=0x22",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core5",
	.event = "event=0x23",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core6",
	.event = "event=0x24",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core7",
	.event = "event=0x25",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band0_cycles",
	.event = "event=0xb",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band1_cycles",
	.event = "event=0xc",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band2_cycles",
	.event = "event=0xd",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band3_cycles",
	.event = "event=0xe",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_current_cycles",
	.event = "event=0x7",
	.desc = "Current Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when current is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_os_cycles",
	.event = "event=0x6",
	.desc = "OS Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the OS is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x1",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_perf_p_cycles",
	.event = "event=0x2",
	.desc = "Perf P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when Perf P Limit is preventing us from dropping the frequency lower.  Perf P Limit is an algorithm that takes input from remote sockets when determining if a socket should drop it's frequency down.  This is largely to minimize increases in snoop and remote read latencies",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in C0.  It can be used by itself to get the average number of cores in C0, with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in C0.  It can be used by itself to get the average number of cores in C0, with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in C0.  It can be used by itself to get the average number of cores in C0, with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Interal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0xb",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_change",
	.event = "event=0x3",
	.desc = "Cycles Changing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition.  This event is calculated by or'ing together the increasing and decreasing events",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_decrease",
	.event = "event=0x2",
	.desc = "Cycles Decreasing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is decreasing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_increase",
	.event = "event=0x1",
	.desc = "Cycles Increasing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is increasing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x32",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
},
{
	.name = "hw_pre_req.dl1_miss",
	.event = "period=2000003,umask=0x2,event=0x4e",
	.desc = "Hardware Prefetch requests that miss the L1D cache. This accounts for both L1 streamer and IP-based (IPP) HW prefetchers. A request is being counted each time it access the cache & miss it, including if a block is applicable or if hit the Fill Buffer for ",
	.topic = "other",
},
{
	.name = "insts_written_to_iq.insts",
	.event = "period=2000003,umask=0x1,event=0x17",
	.desc = "Valid instructions written to IQ per cycle",
	.topic = "other",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ismq_drd_miss_occ",
	.event = "event=0x21",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups; Data Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.nid",
	.event = "umask=0x41,event=0x34",
	.desc = "Cache Lookups; RTID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups; External Snoop Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups; Write Requests. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.miss",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized; Lines in M state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.nid",
	.event = "umask=0x40,event=0x37",
	.desc = "Lines Victimized; Victimized Lines that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Cbo Misc; RFO HitS. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.started",
	.event = "umask=0x4,event=0x39",
	.desc = "Cbo Misc. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the 'UP' direction is on the clockwise ring and 'DN' is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak_core",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Acknowledgements to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl_core",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Data Responses to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv_core",
	.event = "umask=0x8,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.any",
	.event = "umask=0xf,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in JKT.  Therefore, if one wants to monitor the 'Even' ring, they should select both UP_EVEN and DN_EVEN.  To monitor the 'Odd' ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad_cache",
	.event = "umask=0x1,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ak_core",
	.event = "umask=0x2,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.bl_core",
	.event = "umask=0x4,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.iv_core",
	.event = "umask=0x8,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0x7",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ipq",
	.event = "umask=0x2,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.irq",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq",
	.event = "umask=0x4,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq_bids",
	.event = "umask=0x8,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ_BID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rejected",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.vfifo",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; VFIFO. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.addr_conflict",
	.event = "umask=0x4,event=0x31",
	.desc = "Probe Queue Retries; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.any",
	.event = "umask=0x1,event=0x31",
	.desc = "Probe Queue Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.full",
	.event = "umask=0x2,event=0x31",
	.desc = "Probe Queue Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.qpi_credits",
	.event = "umask=0x10,event=0x31",
	.desc = "Probe Queue Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.addr_conflict",
	.event = "umask=0x4,event=0x32",
	.desc = "Ingress Request Queue Rejects; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.any",
	.event = "umask=0x1,event=0x32",
	.desc = "Ingress Request Queue Rejects; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.full",
	.event = "umask=0x2,event=0x32",
	.desc = "Ingress Request Queue Rejects; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.qpi_credits",
	.event = "umask=0x10,event=0x32",
	.desc = "Ingress Request Queue Rejects; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.rtid",
	.event = "umask=0x8,event=0x32",
	.desc = "Ingress Request Queue Rejects; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.any",
	.event = "umask=0x1,event=0x33",
	.desc = "ISMQ Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.full",
	.event = "umask=0x2,event=0x33",
	.desc = "ISMQ Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.iio_credits",
	.event = "umask=0x20,event=0x33",
	.desc = "ISMQ Retries; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.qpi_credits",
	.event = "umask=0x10,event=0x33",
	.desc = "ISMQ Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.rtid",
	.event = "umask=0x8,event=0x33",
	.desc = "ISMQ Retries; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rejected",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.vfifo",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Occupancy; VFIFO. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.eviction",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_all",
	.event = "umask=0xa,event=0x35",
	.desc = "TOR Inserts; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_opcode",
	.event = "umask=0x3,event=0x35",
	.desc = "TOR Inserts; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_all",
	.event = "umask=0x48,event=0x35",
	.desc = "TOR Inserts; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_eviction",
	.event = "umask=0x44,event=0x35",
	.desc = "TOR Inserts; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_all",
	.event = "umask=0x4a,event=0x35",
	.desc = "TOR Inserts; NID Matched Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_opcode",
	.event = "umask=0x43,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_opcode",
	.event = "umask=0x41,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_wb",
	.event = "umask=0x50,event=0x35",
	.desc = "TOR Inserts; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.opcode",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.wb",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.all",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.eviction",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_all",
	.event = "umask=0xa,event=0x36",
	.desc = "TOR Occupancy; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_opcode",
	.event = "umask=0x3,event=0x36",
	.desc = "TOR Occupancy; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_all",
	.event = "umask=0x48,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_eviction",
	.event = "umask=0x44,event=0x36",
	.desc = "TOR Occupancy; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_all",
	.event = "umask=0x4a,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_opcode",
	.event = "umask=0x43,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_opcode",
	.event = "umask=0x41,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.opcode",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select 'MISS_OPC_MATCH' and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used",
	.event = "event=0x4",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_cache",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_core",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AD - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_cache",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AK - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_core",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; AK - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_cache",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Cacheno. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_core",
	.event = "umask=0x40,event=0x2",
	.desc = "Egress Allocations; BL - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.iv_cache",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; IV - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.bl",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.not_taken",
	.event = "umask=0x2,event=0x14",
	.desc = "HA to iMC Bypass; Not Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.taken",
	.event = "umask=0x1,event=0x14",
	.desc = "HA to iMC Bypass; Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of uclks in the HA.  This will be slightly different than the count in the Ubox because of enable/freeze delays.  The HA is on the other side of the die from the fixed Ubox uclk counter, so the drift could be somewhat larger than in units that are closer like the QPI Agent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.conflict",
	.event = "umask=0x2,event=0xb",
	.desc = "Conflict Checks; Conflict Detected. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.no_conflict",
	.event = "umask=0x1,event=0xb",
	.desc = "Conflict Checks; No Conflict. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_count",
	.event = "event=0x11",
	.desc = "Direct2Core Messages Sent. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Direct2Core messages sent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_cycles_disabled",
	.event = "event=0x12",
	.desc = "Cycles when Direct2Core was Disabled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles in which Direct2Core was disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_txn_override",
	.event = "event=0x13",
	.desc = "Number of Reads that had Direct2Core Overridden. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Reads where Direct2Core overridden",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.no_snp",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups; Snoop Not Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snp",
	.event = "umask=0x1,event=0xc",
	.desc = "Directory Lookups; Snoop Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.any",
	.event = "umask=0x3,event=0xd",
	.desc = "Directory Updates; Any Directory Update. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.clear",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates; Directory Clear. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.set",
	.event = "umask=0x1,event=0xd",
	.desc = "Directory Updates; Directory Set. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi0",
	.event = "umask=0x1,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi1",
	.event = "umask=0x2,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi0",
	.event = "umask=0x4,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi1",
	.event = "umask=0x8,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_retry",
	.event = "event=0x1e",
	.desc = "Retry Events. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.all",
	.event = "umask=0xf,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; All Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full",
	.event = "umask=0x1,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Full Line. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial",
	.event = "umask=0x2,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Partial Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Partial. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x1",
	.desc = "Read and Write Requests; Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x1",
	.desc = "Read and Write Requests; Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and 'special' requests such as ISOCH reads.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region0",
	.event = "umask=0x1,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region1",
	.event = "umask=0x2,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region2",
	.event = "umask=0x4,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region3",
	.event = "umask=0x8,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region4",
	.event = "umask=0x10,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 4. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region5",
	.event = "umask=0x20,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 5. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region6",
	.event = "umask=0x40,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 6. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region7",
	.event = "umask=0x80,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 7. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region10",
	.event = "umask=0x4,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 10. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region11",
	.event = "umask=0x8,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 11. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region8",
	.event = "umask=0x1,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 8. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region9",
	.event = "umask=0x2,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 9. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for 'Monroe' systems that use the TAD to enable individual channels to enter self-refresh to save power",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_inserts.all",
	.event = "umask=0x3,event=0x6",
	.desc = "Tracker Allocations; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of allocations into the local HA tracker pool.  This can be used in conjunction with the occupancy accumulation event in order to calculate average latency.  One cannot filter between reads and writes.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.ndr",
	.event = "umask=0x1,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Non-data Responses. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.snp",
	.event = "umask=0x2,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Snoops. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.all",
	.event = "umask=0x3,event=0x2a",
	.desc = "AD Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched0",
	.event = "umask=0x1,event=0x2a",
	.desc = "AD Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched1",
	.event = "umask=0x2,event=0x2a",
	.desc = "AD Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.all",
	.event = "umask=0x3,event=0x29",
	.desc = "AD Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched0",
	.event = "umask=0x1,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched1",
	.event = "umask=0x2,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.all",
	.event = "umask=0x3,event=0x27",
	.desc = "AD Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched0",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched1",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_occupancy.all",
	.event = "umask=0x3,event=0x28",
	.desc = "AD Egress Occupancy; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_occupancy.sched0",
	.event = "umask=0x1,event=0x28",
	.desc = "AD Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_occupancy.sched1",
	.event = "umask=0x2,event=0x28",
	.desc = "AD Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.all",
	.event = "umask=0x3,event=0x32",
	.desc = "AK Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched0",
	.event = "umask=0x1,event=0x32",
	.desc = "AK Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched1",
	.event = "umask=0x2,event=0x32",
	.desc = "AK Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x31",
	.desc = "AK Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched0",
	.event = "umask=0x1,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched1",
	.event = "umask=0x2,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.all",
	.event = "umask=0x3,event=0x2f",
	.desc = "AK Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched0",
	.event = "umask=0x1,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched1",
	.event = "umask=0x2,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_ndr",
	.event = "event=0xe",
	.desc = "Outbound NDR Ring Transactions. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound NDR transactions sent on the AK ring.  NDR stands for 'non-data response' and is generally used for completions that do not include data.  AK NDR is used for messages to the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_occupancy.all",
	.event = "umask=0x3,event=0x30",
	.desc = "AK Egress Occupancy; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_occupancy.sched0",
	.event = "umask=0x1,event=0x30",
	.desc = "AK Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_occupancy.sched1",
	.event = "umask=0x2,event=0x30",
	.desc = "AK Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_cache",
	.event = "umask=0x1,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_core",
	.event = "umask=0x2,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_qpi",
	.event = "umask=0x4,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.all",
	.event = "umask=0x3,event=0x36",
	.desc = "BL Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched0",
	.event = "umask=0x1,event=0x36",
	.desc = "BL Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched1",
	.event = "umask=0x2,event=0x36",
	.desc = "BL Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x35",
	.desc = "BL Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched0",
	.event = "umask=0x1,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched1",
	.event = "umask=0x2,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.all",
	.event = "umask=0x3,event=0x33",
	.desc = "BL Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched0",
	.event = "umask=0x1,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched1",
	.event = "umask=0x2,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.all",
	.event = "umask=0x3,event=0x34",
	.desc = "BL Egress Occupancy; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.sched0",
	.event = "umask=0x1,event=0x34",
	.desc = "BL Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.sched1",
	.event = "umask=0x2,event=0x34",
	.desc = "BL Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'regular' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no 'special' credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and 'special' requests such as ISOCH writes.  This count only tracks the 'special' credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations that miss the first DTLB level but hit the second and do not cause any page walks. The penalty in this case is approximately 7 cycles",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x8",
	.desc = "Load misses at all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB load misses",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event count cycles when Page Miss Handler (PMH) is servicing page walks caused by ITLB misses",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "This event counts the cycles attributed to a switch from the Decoded Stream Buffer (DSB), which holds decoded instructions, to the legacy decode pipeline.  It excludes cycles when the back-end cannot  accept new micro-ops.  The penalty for these switches is potentially several cycles of instruction starvation, where no micro-ops are delivered to the back-end",
},
{
	.name = "dsb_fill.all_cancel",
	.event = "period=2000003,umask=0xa,event=0xac",
	.desc = "Cases of cancelling valid Decode Stream Buffer (DSB) fill not because of exceeding way limit",
	.topic = "frontend",
},
{
	.name = "dsb_fill.exceed_dsb_lines",
	.event = "period=2000003,umask=0x8,event=0xac",
	.desc = "Cycles when Decode Stream Buffer (DSB) fill encounter more than 3 Decode Stream Buffer (DSB) lines",
	.topic = "frontend",
},
{
	.name = "dsb_fill.other_cancel",
	.event = "period=2000003,umask=0x2,event=0xac",
	.desc = "Cases of cancelling valid DSB fill not because of exceeding way limit",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Instruction cache, streaming buffer and victim cache misses",
	.topic = "frontend",
	.long_desc = "This event counts the number of instruction cache, streaming buffer and victim cache misses. Counting includes unchacheable accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the microcode sequencer assisted the front-end in delivering uops.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance.  See the Intel? 64 and IA-32 Architectures Optimization Reference Manual for more information",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled ",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops not delivered to the back-end per cycle, per thread, when the back-end was not stalled.  In the ideal case 4 uops can be delivered each cycle.  The event counts the undelivered uops - so if 3 were delivered in one cycle, the counter would be incremented by 1 for that cycle (4 - 3). If the back-end is stalled, the count for this event is not incremented even when uops were not delivered, because the back-end would not have been able to accept them.  This event is used in determining the front-end bound category of the top-down pipeline slots characterization",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_ge_1_uop_deliv.core",
	.event = "cmask=4,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles when 1 or more uops were delivered to the by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "agu_bypass_cancel.count",
	.event = "period=100003,umask=0x1,event=0xb6",
	.desc = "This event counts executed load operations with all the following traits: 1. addressing of the format [base + offset], 2. the offset is between 1 and 2047, 3. the address specified in the base register is in one page and the address [base+offset] is in an",
	.topic = "pipeline",
},
{
	.name = "arith.fpu_div",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0x14",
	.desc = "Divide operations executed",
	.topic = "pipeline",
	.long_desc = "This event counts the number of the divide operations executed",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x89",
	.desc = "Speculative and retired mispredicted direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x89",
	.desc = "Taken speculative and retired mispredicted direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc5",
	.desc = "Direct and indirect mispredicted near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc5",
	.desc = "Mispredicted not taken branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Mispredicted taken branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Each cycle there was a miss-pending demand load this thread, increment by 1. Note this is in DCU and connected to Umask 1. Miss Pending demand load should be deduced by OR-ing increment bits of DCACHE_MISS_PEND.PENDING",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Each cycle there was a MLC-miss pending demand load this thread (i.e. Non-completed valid SQ entry allocated for demand load and waiting for Uncore), increment by 1. Note this is in MLC and connected to Umask 0",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_dispatch",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Each cycle there was no dispatch for this thread, increment by 1. Note this is connect to Umask 2. No dispatch can be deduced from the UOPS_EXECUTED event",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Each cycle there was a miss-pending demand load this thread and no uops dispatched, increment by 1. Note this is in DCU and connected to Umask 1 and 2. Miss Pending demand load should be deduced by OR-ing increment bits of DCACHE_MISS_PEND.PENDING",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Each cycle there was a MLC-miss pending demand load and no uops dispatched on this thread (i.e. Non-completed valid SQ entry allocated for demand load and waiting for Uncore), increment by 1. Note this is in MLC and connected to Umask 0 and 2",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "int_misc.rat_stall_cycles",
	.event = "period=2000003,umask=0x40,event=0xd",
	.desc = "Cycles when Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the thread",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of cycles waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc...)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_stalls_count",
	.event = "cmask=1,edge=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of occurrences waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc...)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.all_block",
	.event = "period=100003,umask=0x10,event=0x3",
	.desc = "Number of cases where any load ends up with a valid block-code written to the load buffer (including blocks due to Memory Order Buffer (MOB), Data Cache Unit (DCU), TLB, but load has no DCU miss)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=100003,umask=0x1,event=0x3",
	.desc = "Loads delayed due to SB blocks, preceding store operations with known addresses but unknown data",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "This event counts loads that followed a store to the same address, where the data could not be forwarded inside the pipeline from the store to the load.  The most common reason why store forwarding would be blocked is when a load's address range overlaps with a preceeding smaller uncompleted store.  See the table of not supported store forwards in the Intel? 64 and IA-32 Architectures Optimization Reference Manual.  The penalty for blocked store forwarding is that the load must wait for the store to complete before it can be issued",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare",
	.topic = "pipeline",
	.long_desc = "Aliasing occurs when a load is issued after a store and their memory addresses are offset by 4K.  This event counts the number of loads that aliased with a preceding store, resulting in an extended address check in the pipeline.  The enhanced address check typically has a performance penalty of 5 cycles",
},
{
	.name = "ld_blocks_partial.all_sta_block",
	.event = "period=100003,umask=0x8,event=0x7",
	.desc = "This event counts the number of times that load operations are temporarily blocked because of older stores, with addresses that are not yet known. A load operation may incur more than one block of this type",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Maskmov false fault - counts number of time ucode passes through Maskmov flow due to instruction's mask being 0 while the flow was completed without raising a fault",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event is incremented when self-modifying code (SMC) is detected, which causes a machine clear.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "other_assists.itlb_miss_retired",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Retired instructions experiencing ITLB misses",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.flags_merge_uop",
	.event = "period=2000003,umask=0x20,event=0x59",
	.desc = "Increments the number of flags-merge uops in flight each cycle",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.flags_merge_uop_cycles",
	.event = "cmask=1,period=2000003,umask=0x20,event=0x59",
	.desc = "Performance sensitive flags-merging uops added by Sandy Bridge u-arch",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles spent executing performance-sensitive flags-merging uops. For example, shift CL (merge_arith_flags). For more details, See the Intel? 64 and IA-32 Architectures Optimization Reference Manual",
},
{
	.name = "partial_rat_stalls.mul_single_uop",
	.event = "period=2000003,umask=0x80,event=0x59",
	.desc = "Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.slow_lea_window",
	.event = "period=2000003,umask=0x40,event=0x59",
	.desc = "Cycles with at least one slow LEA uop being allocated",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles with at least one slow LEA uop being allocated. A uop is generally considered as slow LEA if it has three sources (for example, two sources and immediate) regardless of whether it is a result of LEA instruction or not. Examples of the slow LEA uop are or uops with base, index, and offset source operands using base and index reqisters, where base is EBR/RBP/R13, using RIP relative or 16-bit addressing modes. See the Intel? 64 and IA-32 Architectures Optimization Reference Manual for more details about slow LEA instructions",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.lb",
	.event = "period=2000003,umask=0x2,event=0xa2",
	.desc = "Counts the cycles of stall due to lack of load buffers",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.lb_sb",
	.event = "period=2000003,umask=0xa,event=0xa2",
	.desc = "Resource stalls due to load or store buffers all being in use",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mem_rs",
	.event = "period=2000003,umask=0xe,event=0xa2",
	.desc = "Resource stalls due to memory buffers or Reservation Station (RS) being fully utilized",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.ooo_rsrc",
	.event = "period=2000003,umask=0xf0,event=0xa2",
	.desc = "Resource stalls due to Rob being full, FCSW, MXCSR and OTHER",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.all_fl_empty",
	.event = "period=2000003,umask=0xc,event=0x5b",
	.desc = "Cycles with either free list is empty",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.all_prf_control",
	.event = "period=2000003,umask=0xf,event=0x5b",
	.desc = "Resource stalls2 control structures full for physical registers",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.bob_full",
	.event = "period=2000003,umask=0x40,event=0x5b",
	.desc = "Cycles when Allocator is stalled if BOB is full and new branch needs it",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.ooo_rsrc",
	.event = "period=2000003,umask=0x4f,event=0x5b",
	.desc = "Resource stalls out of order resources full",
	.topic = "pipeline",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=2000003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Uops dispatched from any thread",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Uops dispatched per thread",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2_core",
	.event = "any=1,period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 5",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of Uops issued by the front-end of the pipeilne to the back-end",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops retired (Precise event)",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used each cycle.  There are potentially 4 slots that can be used each cycle - meaning, 4 micro-ops or 4 instructions could retire each cycle.  This event is used in determining the 'Retiring' category of the Top-Down pipeline slots characterization (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_packed_double",
	.event = "period=2000003,umask=0x10,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_packed_single",
	.event = "period=2000003,umask=0x40,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_double",
	.event = "period=2000003,umask=0x80,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar double-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_single",
	.event = "period=2000003,umask=0x20,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000003,umask=0x1,event=0x10",
	.desc = "Number of FP Computational Uops Executed this cycle. The number of FADD, FSUB, FCOM, FMULs, integer MULsand IMULs, FDIVs, FPREMs, FSQRTS, integer DIVs, and IDIVs. This event does not distinguish an FADD used in the middle of a transcendental flow from a s",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_store",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of GSSE memory assist for stores. GSSE microcode assist is being invoked whenever the hardware is unable to properly handle GSSE-256b operations",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x20,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_double",
	.event = "period=2000003,umask=0x2,event=0x11",
	.desc = "Number of AVX-256 Computational FP double precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_single",
	.event = "period=2000003,umask=0x1,event=0x11",
	.desc = "Number of GSSE-256 Computational FP single precision uops issued this cycle",
	.topic = "floating point",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "jkt metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(12 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "jkt metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "jkt metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(min(cpu_clk_unhalted.thread, cycle_activity.stalls_l1d_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_dispatch) + cpu@uops_dispatched.thread\\,cmask\\=1@ - cpu@uops_dispatched.thread\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_dispatched.thread\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "jkt metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss)) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=6@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "jkt metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_dispatch) + cpu@uops_dispatched.thread\\,cmask\\=1@ - cpu@uops_dispatched.thread\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_dispatched.thread\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_l1d_pending)) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "jkt metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "jkt metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "jkt metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots * fp_comp_ops_exe.x87 / uops_dispatched.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "jkt metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double) / uops_dispatched.thread",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "jkt metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_packed_double + fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_single + simd_fp_256.packed_double) / uops_dispatched.thread",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "jkt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "jkt metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "jkt metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "jkt metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "jkt metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "jkt metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "jkt metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_dispatched.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "jkt metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "jkt metrics",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "jkt metrics",
	.metric_expr = "uops_dispatched.thread / (cpu@uops_dispatched.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_dispatched.core\\,cmask\\=1@)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "jkt metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "jkt metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "jkt metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "jkt metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average CPU Utilization",
	.topic = "jkt metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "jkt metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "jkt metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "jkt metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "jkt metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "jkt metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "jkt metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "jkt metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "jkt metrics",
	.metric_expr = "1e9 * (unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_inserts.miss_opcode@filter_opc\\=0x182@) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "jkt metrics",
	.metric_expr = "unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182\\,thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "jkt metrics",
	.metric_expr = "cbox_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "jkt metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "jkt metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "jkt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from memory disambiguation, external snoops, or cross SMT-HW-thread snoop (stores) hitting load buffers.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Loads with latency value being above 128 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Loads with latency value being above 16 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Loads with latency value being above 256 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Loads with latency value being above 32 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Loads with latency value being above 4  (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Loads with latency value being above 512 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Loads with latency value being above 64 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Loads with latency value being above 8 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.precise_store",
	.event = "period=2000003,umask=0x2,event=0xcd",
	.desc = "Sample stores and collect precise store operation via PEBS record. PMC3 only. (Precise Event - PEBS) (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_demand_mlc_pref_reads.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC20077",
	.desc = "This event counts all LLC misses for all demand and L2 prefetches. LLC prefetches are excluded",
	.topic = "memory",
},
{
	.name = "offcore_response.all_demand_mlc_pref_reads.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400077",
	.desc = "Counts all local dram accesses for all demand and L2 prefetches. LLC prefetches are excluded",
	.topic = "memory",
},
{
	.name = "offcore_response.all_demand_mlc_pref_reads.llc_miss.remote_hitm_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x187FC20077",
	.desc = "This event counts all remote cache-to-cache transfers (includes HITM and HIT-Forward) for all demand and L2 prefetches. LLC prefetches are excluded",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20004",
	.desc = "Counts all demand code reads that miss the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400004",
	.desc = "Counts all demand code reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800004",
	.desc = "Counts all demand code reads that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00004",
	.desc = "Counts all demand code reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820004",
	.desc = "Counts all demand code reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.any_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67fc00001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20001",
	.desc = "Counts demand data reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00001",
	.desc = "Counts demand data reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820001",
	.desc = "Counts demand data reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.any_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67fc00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800010",
	.desc = "Counts prefetch (that bring data to L2) data reads  that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "memory",
},
{
	.name = "unc_i_address_match.merge_count",
	.event = "umask=0x2,event=0x17",
	.desc = "Address Match (Conflict) Count; Conflict Merges. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when an inbound write (from a device to memory or another device) had an address match with another request in the write cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_address_match.stall_count",
	.event = "umask=0x1,event=0x17",
	.desc = "Address Match (Conflict) Count; Conflict Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when an inbound write (from a device to memory or another device) had an address match with another request in the write cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_ack_pending_occupancy.any",
	.event = "umask=0x1,event=0x14",
	.desc = "Write Ack Pending Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes that have acquired ownership but have not yet returned their data to the uncore.  These writes are generally queued up in the switch trying to get to the head of their queues so that they can post their data.  The queue occuapancy increments when the ACK is received, and decrements when either the data is returned OR a tickle is received and ownership is released.  Note that a single tickle can result in multiple decrements",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_ack_pending_occupancy.source",
	.event = "umask=0x2,event=0x14",
	.desc = "Write Ack Pending Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes that have acquired ownership but have not yet returned their data to the uncore.  These writes are generally queued up in the switch trying to get to the head of their queues so that they can post their data.  The queue occuapancy increments when the ACK is received, and decrements when either the data is returned OR a tickle is received and ownership is released.  Note that a single tickle can result in multiple decrements",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_own_occupancy.any",
	.event = "umask=0x1,event=0x13",
	.desc = "Outstanding Write Ownership Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches) that are outstanding in the uncore trying to acquire ownership in each cycle.  This can be used with the write transaction count to calculate the average write latency in the uncore.  The occupancy increments when a write request is issued, and decrements when the data is returned",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_own_occupancy.source",
	.event = "umask=0x2,event=0x13",
	.desc = "Outstanding Write Ownership Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches) that are outstanding in the uncore trying to acquire ownership in each cycle.  This can be used with the write transaction count to calculate the average write latency in the uncore.  The occupancy increments when a write request is issued, and decrements when the data is returned",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_read_occupancy.any",
	.event = "umask=0x1,event=0x10",
	.desc = "Outstanding Read Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads that are outstanding in the uncore in each cycle.  This can be used with the read transaction count to calculate the average read latency in the uncore.  The occupancy increments when a read request is issued, and decrements when the data is returned",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_read_occupancy.source",
	.event = "umask=0x2,event=0x10",
	.desc = "Outstanding Read Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads that are outstanding in the uncore in each cycle.  This can be used with the read transaction count to calculate the average read latency in the uncore.  The occupancy increments when a read request is issued, and decrements when the data is returned",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0x12",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.source",
	.event = "umask=0x2,event=0x12",
	.desc = "Total Write Cache Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_write_occupancy.any",
	.event = "umask=0x1,event=0x11",
	.desc = "Outstanding Write Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches)  that are outstanding in the uncore in each cycle.  This can be used with the transaction count event to calculate the average latency in the uncore.  The occupancy increments when the ownership fetch/prefetch is issued, and decrements the data is returned to the uncore",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_write_occupancy.source",
	.event = "umask=0x2,event=0x11",
	.desc = "Outstanding Write Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches)  that are outstanding in the uncore in each cycle.  This can be used with the transaction count event to calculate the average latency in the uncore.  The occupancy increments when the ownership fetch/prefetch is issued, and decrements the data is returned to the uncore",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0",
	.desc = "Clocks in the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of clocks in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_cycles_full",
	.event = "event=0xb",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the AK Ingress is full.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_inserts",
	.event = "event=0xa",
	.desc = "AK Ingress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the AK Ingress.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_occupancy",
	.event = "event=0xc",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the AK Ingress in each cycles.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_cycles_full",
	.event = "event=0x4",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_inserts",
	.event = "event=0x1",
	.desc = "BL Ingress Occupancy - DRS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_occupancy",
	.event = "event=0x7",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_cycles_full",
	.event = "event=0x5",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_inserts",
	.event = "event=0x2",
	.desc = "BL Ingress Occupancy - NCB. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_occupancy",
	.event = "event=0x8",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_cycles_full",
	.event = "event=0x6",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_inserts",
	.event = "event=0x3",
	.desc = "BL Ingress Occupancy - NCS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_occupancy",
	.event = "event=0x9",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_tickles.lost_ownership",
	.event = "umask=0x1,event=0x16",
	.desc = "Tickle Count; Ownership Lost. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of tickles that are received.  This is for both explicit (from Cbo) and implicit (internal conflict) tickles",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_tickles.top_of_queue",
	.event = "umask=0x2,event=0x16",
	.desc = "Tickle Count; Data Returned. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of tickles that are received.  This is for both explicit (from Cbo) and implicit (internal conflict) tickles",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.pd_prefetches",
	.event = "umask=0x4,event=0x15",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of 'Inbound' transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x15",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of 'Inbound' transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x15",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of 'Inbound' transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_ad_stall_credit_cycles",
	.event = "event=0x18",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_bl_stall_credit_cycles",
	.event = "event=0x19",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncb",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncs",
	.event = "event=0xf",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_request_occupancy",
	.event = "event=0xd",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_write_ordering_stall_cycles",
	.event = "event=0x1a",
	.desc = "Write Ordering Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when there are pending write ACK's in the switch but the switch->IRP pipeline is not utilized",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_r2_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the R2PCIe uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the R2PCIe is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "R2PCIe IIO Failed to Acquire a Credit; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "R2PCIe IIO Failed to Acquire a Credit; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "R2PCIe IIO Failed to Acquire a Credit; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.drs",
	.event = "umask=0x8,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly)",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_ak_bounces",
	.event = "event=0x12",
	.desc = "AK Ingress Bounced. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.drs",
	.event = "umask=0x8,event=0x10",
	.desc = "Ingress Cycles Not Empty; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ad",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress Cycles Full; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ak",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress Cycles Full; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.bl",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress Cycles Full; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ad",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress Cycles Not Empty; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ak",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress Cycles Not Empty; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.bl",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress Cycles Not Empty; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nacks.ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress NACK; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that the Egress received a NACK from the ring and could not issue a transaction",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nacks.ak",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress NACK; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that the Egress received a NACK from the ring and could not issue a transaction",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nacks.bl",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress NACK; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that the Egress received a NACK from the ring and could not issue a transaction",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r3_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the QPI uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the QPI Agent is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x20",
	.desc = "to IIO BL Credit Acquired. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the NCS/NCB/DRS credit is acquried in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x20",
	.desc = "to IIO BL Credit Acquired. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the NCS/NCB/DRS credit is acquried in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x20",
	.desc = "to IIO BL Credit Acquired. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the NCS/NCB/DRS credit is acquried in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_reject.drs",
	.event = "umask=0x8,event=0x21",
	.desc = "to IIO BL Credit Rejected. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request attempted to acquire an NCS/NCB/DRS credit in the QPI for sending messages on BL to the IIO but was rejected because no credit was available.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_reject.ncb",
	.event = "umask=0x10,event=0x21",
	.desc = "to IIO BL Credit Rejected. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request attempted to acquire an NCS/NCB/DRS credit in the QPI for sending messages on BL to the IIO but was rejected because no credit was available.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_reject.ncs",
	.event = "umask=0x20,event=0x21",
	.desc = "to IIO BL Credit Rejected. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request attempted to acquire an NCS/NCB/DRS credit in the QPI for sending messages on BL to the IIO but was rejected because no credit was available.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_used.drs",
	.event = "umask=0x8,event=0x22",
	.desc = "to IIO BL Credit In Use. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the NCS/NCB/DRS credit is in use in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x22",
	.desc = "to IIO BL Credit In Use. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the NCS/NCB/DRS credit is in use in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x22",
	.desc = "to IIO BL Credit In Use. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the NCS/NCB/DRS credit is in use in the QPI for sending messages on BL to the IIO.  There is one credit for each of these three message classes (three credits total).  NCS is used for reads to PCIe space, NCB is used for transfering data without coherency, and DRS is used for transfering data with coherency (cachable PCI transactions).  This event can only track one message class at a time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R3 IV Ring in Use; Any. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_bypassed.ad",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Bypassed. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the Ingress was bypassed and an incoming transaction was bypassed directly across the BGF and into the qfclk domain",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.drs",
	.event = "umask=0x8,event=0x10",
	.desc = "Ingress Cycles Not Empty; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.hom",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ndr",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.snp",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.drs",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.hom",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ndr",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.snp",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.hom",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Occupancy Accumulator; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ncb",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ncs",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ndr",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.snp",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Occupancy Accumulator; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.drs",
	.event = "umask=0x8,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.hom",
	.event = "umask=0x1,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncb",
	.event = "umask=0x10,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncs",
	.event = "umask=0x20,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ndr",
	.event = "umask=0x4,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.snp",
	.event = "umask=0x2,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.drs",
	.event = "umask=0x8,event=0x36",
	.desc = "VN0 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.hom",
	.event = "umask=0x1,event=0x36",
	.desc = "VN0 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x36",
	.desc = "VN0 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x36",
	.desc = "VN0 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ndr",
	.event = "umask=0x4,event=0x36",
	.desc = "VN0 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x36",
	.desc = "VN0 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired",
	.event = "event=0x33",
	.desc = "VNA credit Acquisitions. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credts from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transfered).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transfered in a given message class using an qfclk event",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "VNA Credit Reject; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.hom",
	.event = "umask=0x1,event=0x34",
	.desc = "VNA Credit Reject; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "VNA Credit Reject; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "VNA Credit Reject; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ndr",
	.event = "umask=0x4,event=0x34",
	.desc = "VNA Credit Reject; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.snp",
	.event = "umask=0x2,event=0x34",
	.desc = "VNA Credit Reject; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credit_cycles_out",
	.event = "event=0x31",
	.desc = "Cycles with no VNA credits available. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI uclk cycles when the transmitted has no VNA credits available and therefore cannot send any requests on this channel.  Note that this does not mean that no flits can be transmitted, as those holding VN0 credits will still (potentially) be able to transmit.  Generally it is the goal of the uncore that VNA credits should not run out, as this can substantially throttle back useful QPI bandwidth",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credit_cycles_used",
	.event = "event=0x32",
	.desc = "Cycles with 1 or more VNA credits in use. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI uclk cycles with one or more VNA credits in use.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average number of used VNA credits",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0",
	.desc = "Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.disable",
	.event = "umask=0x2,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.enable",
	.event = "umask=0x1,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_disable",
	.event = "umask=0x8,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_enable",
	.event = "umask=0x4,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_msg_chnl_size_count.4b",
	.event = "umask=0x1,event=0x47",
	.desc = "MsgCh Requests by Size; 4B Requests. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of transactions on the message channel filtered by request size.  This includes both reads and writes",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_msg_chnl_size_count.8b",
	.event = "umask=0x2,event=0x47",
	.desc = "MsgCh Requests by Size; 8B Requests. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of transactions on the message channel filtered by request size.  This includes both reads and writes",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.ack_to_deassert",
	.event = "umask=0x2,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; ACK to Deassert. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests.count",
	.event = "umask=0x1,event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.cmc",
	.event = "umask=0x10,event=0x43",
	.desc = "Monitor Sent to T0; Correctable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.livelock",
	.event = "umask=0x4,event=0x43",
	.desc = "Monitor Sent to T0; Livelock. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.lterror",
	.event = "umask=0x8,event=0x43",
	.desc = "Monitor Sent to T0; LTError. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t0",
	.event = "umask=0x1,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T0. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t1",
	.event = "umask=0x2,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T1. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.other",
	.event = "umask=0x80,event=0x43",
	.desc = "Monitor Sent to T0; Other. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.trap",
	.event = "umask=0x40,event=0x43",
	.desc = "Monitor Sent to T0; Trap. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.umc",
	.event = "umask=0x20,event=0x43",
	.desc = "Monitor Sent to T0; Uncorrectable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "l1d.allocated_in_m",
	.event = "period=2000003,umask=0x2,event=0x51",
	.desc = "Allocated L1D data cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.all_m_replacement",
	.event = "period=2000003,umask=0x8,event=0x51",
	.desc = "Cache lines in M state evicted out of L1D due to Snoop HitM or dirty line replacement",
	.topic = "cache",
},
{
	.name = "l1d.eviction",
	.event = "period=2000003,umask=0x4,event=0x51",
	.desc = "L1D data cache lines in M state evicted due to replacement",
	.topic = "cache",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts L1D data line replacements.  Replacements occur when a new line is brought into the cache, causing eviction of a line loaded earlier",
},
{
	.name = "l1d_blocks.bank_conflict_cycles",
	.event = "cmask=1,period=100003,umask=0x5,event=0xbf",
	.desc = "Cycles when dispatched loads are cancelled due to L1D bank conflicts with other load ports",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_s",
	.event = "period=200003,umask=0x2,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in S state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x28",
	.desc = "Count the number of modified Lines evicted from L1 and missed L2. (Non-rejected WBs from the DCU.)",
	.topic = "cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines brought into the L2 cache.  Lines are filled into the L2 cache when there was an L2 miss",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x1,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x2,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_lines_out.dirty_all",
	.event = "period=100003,umask=0xa,event=0xf2",
	.desc = "Dirty L2 cache lines filling the L2",
	.topic = "cache",
},
{
	.name = "l2_lines_out.pf_clean",
	.event = "period=100003,umask=0x4,event=0xf2",
	.desc = "Clean L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
},
{
	.name = "l2_lines_out.pf_dirty",
	.event = "period=100003,umask=0x8,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0x3,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xc0,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xc,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0x10,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x20,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0x40,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x80,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x8,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x27",
	.desc = "RFOs that access cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x27",
	.desc = "RFOs that hit cache lines in E state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x27",
	.desc = "RFOs that hit cache lines in M state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x27",
	.desc = "RFOs that miss cache lines",
	.topic = "cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or LLC HW prefetches that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed LLC",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to LLC",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were LLC and cross-core snoop hits in on-pkg core cache",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level cache (L3) and were found in a non-modified state in a neighboring core's private cache (same package).  Since the last level cache is inclusive, hits to the L3 may require snooping the private L2 caches of any cores on the same socket that have the line.  In this case, a snoop was required, and another L2 had the line in a non-modified state",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared LLC",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level cache (L3) and were found in a non-modified state in a neighboring core's private cache (same package).  Since the last level cache is inclusive, hits to the L3 may require snooping the private L2 caches of any cores on the same socket that have the line.  In this case, a snoop was required, and another L2 had the line in a modified state, so the line had to be invalidated in that L2 cache and transferred to the requesting L2",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were LLC hit and cross-core snoop missed in on-pkg core cache",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in LLC without snoops required",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Data from local DRAM either Snoop not needed or Snoop Miss (RspI)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.remote_dram",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Data from remote DRAM either Snoop not needed or Snoop Miss (RspI)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in LLC without snoops required",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level (L3) cache without snoops required",
},
{
	.name = "mem_load_uops_retired.llc_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of load uops retired (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of store uops retired (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted load uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K) (Precise event)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted store uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K) (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB (Precise event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Cases when offcore requests buffer cannot take more entries for core",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_c6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000105B3",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0090",
	.desc = "Counts all prefetch data reads that hit the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000107F7",
	.desc = "Counts all data/code/rfo references (demand & prefetch)",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010122",
	.desc = "Counts all demand & prefetch prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "Counts all writebacks from the core to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0004",
	.desc = "Counts all demand code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010001",
	.desc = "Counts all demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0001",
	.desc = "Counts all demand data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010002",
	.desc = "Counts all demand rfo's",
	.topic = "cache",
},
{
	.name = "offcore_response.other.lru_hints",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803c8000",
	.desc = "Counts L2 hints sent to LLC to keep a line from being evicted out of the core caches",
	.topic = "cache",
},
{
	.name = "offcore_response.other.portio_mmio_uc",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23ffc08000",
	.desc = "Counts miscellaneous accesses that include port i/o, MMIO and uncacheable memory accesses",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.split_lock_uc_lock.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts requests where the address of an atomic lock instruction spans a cache line boundary or the lock instruction is executed on uncacheable address",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts non-temporal stores",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.name = "unc_q_clockticks",
	.event = "event=0x14",
	.desc = "Number of qfclks. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of clocks in the QPI LL.  This clock runs at 1/8th the 'GT/s' speed of the QPI link.  For example, a 8GT/s link will have qfclk or 1GHz.  JKT does not support dynamic link speeds, so this frequency is fixed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_cto_count",
	.event = "event=0x38",
	.desc = "Count of CTO Events. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of CTO (cluster trigger outs) events that were asserted across the two slots.  If both slots trigger in a given cycle, the event will increment by 2.  You can use edge detect to count the number of cases when both events triggered",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits",
	.event = "umask=0x2,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt",
	.event = "umask=0x8,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt",
	.event = "umask=0x4,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Not Set. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.success",
	.event = "umask=0x1,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Success. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_l1_power_cycles",
	.event = "event=0x12",
	.desc = "Cycles in L1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a QPI link.  Use edge detect to count the number of instances when the QPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0p_power_cycles",
	.event = "event=0x10",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0_power_cycles",
	.event = "event=0xf",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_bypassed",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transfered, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.link_init",
	.event = "umask=0x1,event=0x3",
	.desc = "CRC Errors Detected; LinkInit. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.normal_op",
	.event = "umask=0x2,event=0x3",
	.desc = "CRC Errors Detected; Normal Operations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.drs",
	.event = "umask=0x1,event=0x1e",
	.desc = "VN0 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.hom",
	.event = "umask=0x8,event=0x1e",
	.desc = "VN0 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncb",
	.event = "umask=0x2,event=0x1e",
	.desc = "VN0 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncs",
	.event = "umask=0x4,event=0x1e",
	.desc = "VN0 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ndr",
	.event = "umask=0x20,event=0x1e",
	.desc = "VN0 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.snp",
	.event = "umask=0x10,event=0x1e",
	.desc = "VN0 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vna",
	.event = "event=0x1d",
	.desc = "VNA Credit Consumed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne",
	.event = "event=0xa",
	.desc = "RxQ Cycles Not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.data",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Received - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.idle",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Received - Group 0; Idle and Null Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.non_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Received - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs",
	.event = "umask=0x18,event=0x2",
	.desc = "Flits Received - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_data",
	.event = "umask=0x8,event=0x2",
	.desc = "Flits Received - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0x2",
	.desc = "Flits Received - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom",
	.event = "umask=0x6,event=0x2",
	.desc = "Flits Received - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0x2",
	.desc = "Flits Received - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_req",
	.event = "umask=0x2,event=0x2",
	.desc = "Flits Received - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.snp",
	.event = "umask=0x1,event=0x2",
	.desc = "Flits Received - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb",
	.event = "umask=0xc,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent non-data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncs",
	.event = "umask=0x10,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent standard Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts",
	.event = "event=0x8",
	.desc = "Rx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom",
	.event = "event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb",
	.event = "event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs",
	.event = "event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr",
	.event = "event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp",
	.event = "event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy",
	.event = "event=0xb",
	.desc = "RxQ Occupancy - All Packets. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs",
	.event = "event=0x15",
	.desc = "RxQ Occupancy - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom",
	.event = "event=0x18",
	.desc = "RxQ Occupancy - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb",
	.event = "event=0x16",
	.desc = "RxQ Occupancy - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs",
	.event = "event=0x17",
	.desc = "RxQ Occupancy - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr",
	.event = "event=0x1a",
	.desc = "RxQ Occupancy - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp",
	.event = "event=0x19",
	.desc = "RxQ Occupancy - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_drs",
	.event = "umask=0x1,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_hom",
	.event = "umask=0x8,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_ncb",
	.event = "umask=0x2,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_ncs",
	.event = "umask=0x4,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_ndr",
	.event = "umask=0x20,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.bgf_snp",
	.event = "umask=0x10,event=0x35",
	.desc = "Stalls Sending to R3QPI; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.egress_credits",
	.event = "umask=0x40,event=0x35",
	.desc = "Stalls Sending to R3QPI; Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls.gv",
	.event = "umask=0x80,event=0x35",
	.desc = "Stalls Sending to R3QPI; GV. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0p_power_cycles",
	.event = "event=0xd",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0_power_cycles",
	.event = "event=0xc",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_bypassed",
	.event = "event=0x5",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the QPI Link. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.almost_full",
	.event = "umask=0x2,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is almost full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.full",
	.event = "umask=0x1,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_cycles_ne",
	.event = "event=0x6",
	.desc = "Tx Flit Buffer Cycles not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles when the TxQ is not empty. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.data",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.idle",
	.event = "umask=0x1,event=0",
	.desc = "Flits Transferred - Group 0; Idle and Null Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.non_data",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs",
	.event = "umask=0x18,event=0",
	.desc = "Flits Transferred - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_data",
	.event = "umask=0x8,event=0",
	.desc = "Flits Transferred - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0",
	.desc = "Flits Transferred - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom",
	.event = "umask=0x6,event=0",
	.desc = "Flits Transferred - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_req",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.snp",
	.event = "umask=0x1,event=0",
	.desc = "Flits Transferred - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb",
	.event = "umask=0xc,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent Bypass Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent non-data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncs",
	.event = "umask=0x10,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent standard Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three 'groups' that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each 'flit' is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four 'fits', each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI 'speed' (for example, 8.0 GT/s), the 'transfers' here refer to 'fits'.  Therefore, in L0, the system will transfer 1 'flit' at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as 'data' bandwidth.  For example, when we are transfering a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual 'data' and an additional 16 bits of other information.  To calculate 'data' bandwidth, one should therefore do: data flits * 8B / time",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_inserts",
	.event = "event=0x4",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Tx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_occupancy",
	.event = "event=0x7",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_returns",
	.event = "event=0x1c",
	.desc = "VNA Credits Returned. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits returned",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_return_occupancy",
	.event = "event=0x1b",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count",
	.event = "event=0x1",
	.desc = "DRAM Activate Count. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM Reads (RD_CAS + Underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM RD_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Underfill Read Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (both Modes). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Uncore Fixed Counter - uclks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit erros in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "DRAM Precharge commands.; Precharges due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full",
	.event = "event=0x12",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts",
	.event = "event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy",
	.event = "event=0x81",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the 'not posted' filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The 'posted' filter, on the other hand, provides information about how much queueing is actually happenning in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_ivybridge[] = {
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is in ring 0",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
	.long_desc = "Number of intervals between processor halts while thread is in ring 0",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is not in ring 0",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "Cycles in which the L1D and L2 are locked, due to a UC lock or split lock",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "ivb metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "icache.ifetch_stall / clks - tma_itlb_misses",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(12 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "ivb metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "ivb metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "ivb metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_UOPS_RETIRED.L1_HIT_PS;MEM_LOAD_UOPS_RETIRED.HIT_LFB_PS",
	.unit = "100%",
	.metric_expr = "max((min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) - cycle_activity.stalls_l1d_pending) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "ivb metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "ivb metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_UOPS_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_UOPS_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "ivb metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_pending - cycle_activity.stalls_l2_pending) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(60 * (mem_load_uops_llc_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_retired.llc_miss))) + 43 * (mem_load_uops_llc_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_retired.llc_miss)))) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "43 * (mem_load_uops_llc_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_retired.llc_miss))) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "29 * (mem_load_uops_retired.llc_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_retired.llc_miss))) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "ivb metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss)) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=6@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "ivb metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "60 * offcore_response.demand_rfo.llc_hit.hitm_other_core / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "ivb metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_UOPS_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "ivb metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_UOPS_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_store_misses.stlb_hit + dtlb_store_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending)) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\,cmask\\=1@ / 2 if #smt_on else (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) - rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) / core_clks)",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / 2 if #smt_on else (uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_2_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / 2 if #smt_on else (uops_executed.cycles_ge_2_uops_exec - uops_executed.cycles_ge_3_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=3@ / 2 if #smt_on else uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5) / (3 * core_clks)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED_PORT.PORT_0",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_1",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_2",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_3",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data) Sample with: UOPS_DISPATCHED_PORT.PORT_4",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "ivb metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "ivb metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "ivb metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots * fp_comp_ops_exe.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "ivb metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double) / uops_executed.thread",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "ivb metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_packed_double + fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_single + simd_fp_256.packed_double) / uops_executed.thread",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "ivb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: OTHER_ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * other_assists.any_wb_assist / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "ivb metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "ivb metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "ivb metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "ivb metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "ivb metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "ivb metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "ivb metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "ivb metrics",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "ivb metrics",
	.metric_expr = "uops_executed.thread / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "ivb metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "ivb metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "1 / (tma_fp_scalar + tma_fp_vector)",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "ivb metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "ivb metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "ivb metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "ivb metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "ivb metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivb metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivb metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivb metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.llc_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "ivb metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration) / core_clks",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "ivb metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "ivb metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "ivb metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "ivb metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "ivb metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "ivb metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "ivb metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "ivb metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of all requests to external memory (in Uncore cycles)",
	.topic = "ivb metrics",
	.metric_expr = "mem_parallel_requests",
	.metric_name = "MEM_Request_Latency",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "ivb metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "ivb metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "ivb metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "ivb metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "ivb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_cbo_cache_lookup.any_es",
	.event = "umask=0x86,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_i",
	.event = "umask=0x88,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_m",
	.event = "umask=0x81,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_mesi",
	.event = "umask=0x8f,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_es",
	.event = "umask=0x46,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_i",
	.event = "umask=0x48,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_m",
	.event = "umask=0x41,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_mesi",
	.event = "umask=0x4f,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_es",
	.event = "umask=0x16,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_i",
	.event = "umask=0x18,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_m",
	.event = "umask=0x11,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_mesi",
	.event = "umask=0x1f,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in any MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_es",
	.event = "umask=0x26,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_i",
	.event = "umask=0x28,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_m",
	.event = "umask=0x21,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_mesi",
	.event = "umask=0x2f,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_eviction",
	.event = "umask=0x88,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_external",
	.event = "umask=0x28,event=0x22",
	.desc = "An external snoop hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_xcore",
	.event = "umask=0x48,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_eviction",
	.event = "umask=0x84,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_external",
	.event = "umask=0x24,event=0x22",
	.desc = "An external snoop hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_xcore",
	.event = "umask=0x44,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_external",
	.event = "umask=0x21,event=0x22",
	.desc = "An external snoop misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_xcore",
	.event = "umask=0x41,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.large_page_walk_completed",
	.event = "period=100003,umask=0x88,event=0x8",
	.desc = "Page walk for a large page completed for Demand load",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x81,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes an page walk of any page size",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that cause a page walk of any page size from demand loads",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x4,event=0x5f",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts load operations that missed 1st level DTLB but hit the 2nd level",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0x82,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that caused page walk completed of any size by demand loads",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x84,event=0x8",
	.desc = "Demand load cycles page miss handler (PMH) is busy with this walk",
	.topic = "virtual memory",
	.long_desc = "Cycle PMH is busy with a walk due to demand loads",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk that completes of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "Cycles PMH is busy with this walk",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of ITLB flushes, includes 4k/2M/4M pages",
},
{
	.name = "itlb_misses.large_page_walk_completed",
	.event = "period=100003,umask=0x80,event=0x85",
	.desc = "Completed page walks in ITLB due to STLB load misses for large pages",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in ITLB due to STLB load misses for large pages",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all ITLB levels that cause page walks",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
	.long_desc = "Number of cache load STLB hits. No page walk",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all ITLB levels that cause completed page walks",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "Cycle PMH is busy with a walk",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Count number of STLB flush attempts",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Number of front end re-steers due to BPU misprediction",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
	.long_desc = "Number of DSB to MITE switches",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Cycles DSB to MITE switches caused delay",
},
{
	.name = "dsb_fill.exceed_dsb_lines",
	.event = "period=2000003,umask=0x8,event=0xac",
	.desc = "Cycles when Decode Stream Buffer (DSB) fill encounter more than 3 Decode Stream Buffer (DSB) lines",
	.topic = "frontend",
	.long_desc = "DSB Fill encountered > 3 DSB lines",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
	.long_desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
},
{
	.name = "icache.ifetch_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code-fetch stalled due to L1 instruction-cache miss or an iTLB miss",
	.topic = "frontend",
	.long_desc = "Cycles where a code-fetch stalled due to L1 instruction-cache miss or an iTLB miss",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Instruction cache, streaming buffer and victim cache misses",
	.topic = "frontend",
	.long_desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes UC accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Increment each cycle. # of uops delivered to IDQ from DSB path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
	.long_desc = "Counts cycles the IDQ is empty",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Number of uops delivered to IDQ from any path",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MITE path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by DSB. Set Cmask = 1 to count cycles. Add Edge=1 to count # of delivery",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MS by either DSB or MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Count issue pipeline slots where no uop was delivered from the front end to the back end when there is no back-end stall",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "arith.fpu_div",
	.event = "cmask=1,edge=1,period=100003,umask=0x4,event=0x14",
	.desc = "Divide operations executed",
	.topic = "pipeline",
	.long_desc = "Divide operations executed",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
	.long_desc = "Cycles that the divider is active, includes INT and FP. Set 'edge =1, cmask=1' to count the number of divides",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Speculative and retired macro-conditional branches",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "Speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Speculative and retired indirect branches excluding calls and returns",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Not taken macro-conditional branches",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired macro-conditional branches",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect branches excluding calls and returns",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect calls",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect branches with return mnemonic",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Branch instructions at retirement",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Number of far branches retired",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts the number of not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Not taken speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect calls",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Mispredicted branch instructions at retirement",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Increments at the frequency of XCLK (100 MHz) when not halted",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted. (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted. (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted. (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Core cycles when at least one thread on the physical core is not in halt state",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Core cycles when at least one thread on the physical core is not in halt state",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles with pending L1 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L1 cache miss loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss load* is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles with pending L2 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L2 miss loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles with pending memory loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending memory loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "Total execution stalls",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls due to L1 data cache misses",
	.topic = "pipeline",
	.long_desc = "Execution stalls due to L1 data cache miss loads. Set Cmask=0CH",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss load* is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls due to L2 cache misses",
	.topic = "pipeline",
	.long_desc = "Number of loads missed L2",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls due to memory subsystem",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
	.long_desc = "Stall cycles due to IQ is full",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of instructions at retirement",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution (Must be precise)",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of cycles waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc.)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_stalls_count",
	.event = "cmask=1,edge=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of occurrences waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc.)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "Loads blocked by overlapping with store buffer that cannot be forwarded",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "False dependencies in MOB due to partial compare on address",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for H/W prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for S/W prefetch",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Counts the number of executed AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Number of self-modifying-code machine clears detected",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x80,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "Cycles Allocation is stalled due to Resource Related reason",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Cycles stalled due to no store buffers available (not including draining form sync)",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "Count cases of saving new LBR records by hardware",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Cycles the RS is empty for the thread",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 0",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 0",
},
{
	.name = "uops_dispatched_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 0",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 1",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 1",
},
{
	.name = "uops_dispatched_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 1",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 2",
},
{
	.name = "uops_dispatched_port.port_2_core",
	.event = "any=1,period=2000003,umask=0xc,event=0xa1",
	.desc = "Uops dispatched to port 2, loads and stores per core (speculative and retired)",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 3",
},
{
	.name = "uops_dispatched_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
	.long_desc = "Cycles per core when load or STA uops are dispatched to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 4",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 4",
},
{
	.name = "uops_dispatched_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 4",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 5",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 5",
},
{
	.name = "uops_dispatched_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 5",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 5",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-core each cycle",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles with no micro-ops executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-thread each cycle. Set Cmask = 1, INV =1 to count stall cycles",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "Increments each cycle the # of Uops issued by the RAT to RS. Set Cmask = 1, Inv = 1, Any= 1to count stalled cycles of this core",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
	.long_desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops allocated. Such uops adds delay",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
	.long_desc = "Number of multiply packed/scalar single precision uops allocated",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
	.long_desc = "Number of slow LEA or similar uops allocated. Such uop has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Retired uops (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Cycles with any input/output SSE* or FP assists",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to input values",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to output values",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to input values",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to output values",
},
{
	.name = "fp_comp_ops_exe.sse_packed_double",
	.event = "period=2000003,umask=0x10,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.sse_packed_single",
	.event = "period=2000003,umask=0x40,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_double",
	.event = "period=2000003,umask=0x80,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar double-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts number of SSE* or AVX-128 double precision FP scalar uops executed",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_single",
	.event = "period=2000003,umask=0x20,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000003,umask=0x1,event=0x10",
	.desc = "Number of FP Computational Uops Executed this cycle. The number of FADD, FSUB, FCOM, FMULs, integer MULsand IMULs, FDIVs, FPREMs, FSQRTS, integer DIVs, and IDIVs. This event does not distinguish an FADD used in the middle of a transcendental flow from a s",
	.topic = "floating point",
	.long_desc = "Counts number of X87 uops executed",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_store",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of GSSE memory assist for stores. GSSE microcode assist is being invoked whenever the hardware is unable to properly handle GSSE-256b operations",
	.topic = "floating point",
	.long_desc = "Number of assists associated with 256-bit AVX store operations",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x20,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_double",
	.event = "period=2000003,umask=0x2,event=0x11",
	.desc = "number of AVX-256 Computational FP double precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts 256-bit packed double-precision floating-point instructions",
},
{
	.name = "simd_fp_256.packed_single",
	.event = "period=2000003,umask=0x1,event=0x11",
	.desc = "number of GSSE-256 Computational FP single precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts 256-bit packed single-precision floating-point instructions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Loads with latency value being above 128 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 128 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Loads with latency value being above 16 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 16 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Loads with latency value being above 256 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 256 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Loads with latency value being above 32 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 32 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Loads with latency value being above 4 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 4 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Loads with latency value being above 512 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 512 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Loads with latency value being above 64 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 64 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Loads with latency value being above 8 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 8 (Must be precise)",
},
{
	.name = "mem_trans_retired.precise_store",
	.event = "period=2000003,umask=0x2,event=0xcd",
	.desc = "Sample stores and collect precise store operation via PEBS record. PMC3 only (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split load uops dispatched to L1D",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split Store-address uops dispatched to L1D",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400244",
	.desc = "Counts all demand & prefetch code reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400091",
	.desc = "Counts all demand & prefetch data reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3004003f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in_socket.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6004001b3",
	.desc = "Counts LLC replacements",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400004",
	.desc = "Counts demand code reads that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400001",
	.desc = "Counts demand data reads that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "page_walks.llc_miss",
	.event = "period=100003,umask=0x1,event=0xbe",
	.desc = "Number of any page walk that had a miss in LLC",
	.topic = "memory",
},
{
	.name = "unc_arb_coh_trk_occupancy.all",
	.event = "umask=0x1,event=0x83",
	.desc = "Cycles weighted by number of requests pending in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of requests allocated in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Counts cycles weighted by the number of requests waiting for data returning from the memory controller. Accounts for coherent and non-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_over_half_full",
	.event = "cmask=10,umask=0x1,event=0x80",
	.desc = "Cycles with at least half of the requests outstanding are waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_with_any_request",
	.event = "cmask=1,umask=0x1,event=0x80",
	.desc = "Cycles with at least one request outstanding is waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Counts the number of coherent and in-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.evictions",
	.event = "umask=0x80,event=0x81",
	.desc = "Counts the number of LLC evictions allocated. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.writes",
	.event = "umask=0x20,event=0x81",
	.desc = "Counts the number of allocated write entries, include full, partial, and LLC evictions. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "Counts the number of lines brought into the L1 data cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
	.long_desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
	.long_desc = "Increments the number of outstanding L1D misses every cycle. Set Cmask = 1 and Edge =1 to count occurrences",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
	.long_desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
},
{
	.name = "l2_l1d_wb_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
	.topic = "cache",
	.long_desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
},
{
	.name = "l2_l1d_wb_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
	.topic = "cache",
	.long_desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
},
{
	.name = "l2_l1d_wb_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x28",
	.desc = "Count the number of modified Lines evicted from L1 and missed L2. (Non-rejected WBs from the DCU.)",
	.topic = "cache",
	.long_desc = "Not rejected writebacks that missed LLC",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines filling L2",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in E state filling L2",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in I state filling L2",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in S state filling L2",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x1,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x2,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.dirty_all",
	.event = "period=100003,umask=0xa,event=0xf2",
	.desc = "Dirty L2 cache lines filling the L2",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines filling the L2",
},
{
	.name = "l2_lines_out.pf_clean",
	.event = "period=100003,umask=0x4,event=0xf2",
	.desc = "Clean L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by the MLC prefetcher",
},
{
	.name = "l2_lines_out.pf_dirty",
	.event = "period=100003,umask=0x8,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by the MLC prefetcher",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts all L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0x3,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts any demand and L1 HW prefetch data load requests to L2",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xc0,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xc,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 store RFO requests",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0x10,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that hit the L2 cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x20,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that missed the L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Demand Data Read requests that hit L2 cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0x40,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that hit L2",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x80,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that missed L2",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x8,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that miss the L2 cache",
},
{
	.name = "l2_store_lock_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x27",
	.desc = "RFOs that access cache lines in any state",
	.topic = "cache",
	.long_desc = "RFOs that access cache lines in any state",
},
{
	.name = "l2_store_lock_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x27",
	.desc = "RFOs that hit cache lines in M state",
	.topic = "cache",
	.long_desc = "RFOs that hit cache lines in M state",
},
{
	.name = "l2_store_lock_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x27",
	.desc = "RFOs that miss cache lines",
	.topic = "cache",
	.long_desc = "RFOs that miss cache lines",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or LLC HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "Any MLC or LLC HW prefetch accessing L2, including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "Transactions accessing L2 pipe",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "Demand Data Read requests that access L2 cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "Cycles in which the L1D is locked",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed LLC",
	.topic = "cache",
	.long_desc = "This event counts each cache miss condition for references to the last level cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to LLC",
	.topic = "cache",
	.long_desc = "This event counts requests originating from the core that reference a cache line in the last level cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were LLC and cross-core snoop hits in on-pkg core cache (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared LLC (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were LLC hit and cross-core snoop missed in on-pkg core cache (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in LLC without snoops required (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load uops which data sources missed LLC but serviced from local dram",
	.topic = "cache",
	.long_desc = "Retired load uops whose data source was local memory (cross-socket snoop not needed or missed)",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops which data sources following L1 data-cache miss (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load uops with L2 cache misses as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in LLC without snoops required (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB. (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Data read requests sent to uncore (demand and prefetch)",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "Demand code read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Demand data read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Demand RFO read requests sent to uncore, including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Cases when offcore requests buffer cannot take more entries for core",
	.topic = "cache",
	.long_desc = "Cases when offcore requests buffer cannot take more entries for core",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Offcore outstanding cacheable data read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand Code Read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand Data Read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Offcore outstanding RFO store transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0244",
	.desc = "Counts all demand & prefetch code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0244",
	.desc = "Counts demand & prefetch code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000105B3",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0091",
	.desc = "Counts all demand & prefetch data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000107F7",
	.desc = "Counts all data/code/rfo references (demand & prefetch)",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010122",
	.desc = "Counts all demand & prefetch prefetch RFOs",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0122",
	.desc = "Counts demand & prefetch RFOs that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "Counts all writebacks from the core to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0004",
	.desc = "Counts all demand code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0004",
	.desc = "Counts demand code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010001",
	.desc = "Counts all demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0001",
	.desc = "Counts all demand data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010002",
	.desc = "Counts all demand rfo's",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous accesses that include port i/o, MMIO and uncacheable memory accesses. It also includes L2 hints sent to LLC to keep a line from being evicted out of the core caches",
	.topic = "cache",
},
{
	.name = "offcore_response.split_lock_uc_lock.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts requests where the address of an atomic lock instruction spans a cache line boundary or the lock instruction is executed on uncacheable address",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts non-temporal stores",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_skylakex[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 1 GHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core_transition_cycles",
	.event = "event=0x60",
	.desc = "UNC_P_CORE_TRANSITION_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions",
	.event = "event=0x30",
	.desc = "UNC_P_DEMOTIONS. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps0_cycles",
	.event = "event=0x75",
	.desc = "Phase Shed 0 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 0",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps1_cycles",
	.event = "event=0x76",
	.desc = "Phase Shed 1 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 1",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps2_cycles",
	.event = "event=0x77",
	.desc = "Phase Shed 2 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 2",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps3_cycles",
	.event = "event=0x78",
	.desc = "Phase Shed 3 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_mcp_prochot_cycles",
	.event = "event=0x6",
	.desc = "UNC_P_MCP_PROCHOT_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pmax_throttled_cycles",
	.event = "event=0x7",
	.desc = "UNC_P_PMAX_THROTTLED_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "skx metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "skx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "skx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "skx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "skx metrics",
	.metric_expr = "100 * ((br_inst_retired.conditional + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "skx metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "skx metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "skx metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "skx metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "skx metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "skx metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "skx metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "skx metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "skx metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "skx metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "skx metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "skx metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "skx metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "skx metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "skx metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "skx metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "skx metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "skx metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "skx metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / dsb2mite_switches.count",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "skx metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "skx metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "skx metrics",
	.metric_expr = "br_inst_retired.not_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "skx metrics",
	.metric_expr = "(br_inst_retired.conditional - br_inst_retired.not_taken) / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "skx metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "skx metrics",
	.metric_expr = "(br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "skx metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "skx metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "skx metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "skx metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "skx metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "skx metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending + ept.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Rate of silent evictions from the L2 cache per Kilo instruction where the evicted lines are dropped (no writeback to L3 or memory)",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_lines_out.silent / instructions",
	.metric_name = "L2_Evictions_Silent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Rate of non silent evictions from the L2 cache per Kilo instruction",
	.topic = "skx metrics",
	.metric_expr = "1e3 * l2_lines_out.non_silent / instructions",
	.metric_name = "L2_Evictions_NonSilent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "skx metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "skx metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "skx metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "skx metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0",
	.topic = "skx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
	.metric_expr = "(core_power.lvl0_turbo_license / 2 / core_clks if #smt_on else core_power.lvl0_turbo_license / core_clks)",
	.metric_name = "Power_License0_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1",
	.topic = "skx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
	.metric_expr = "(core_power.lvl1_turbo_license / 2 / core_clks if #smt_on else core_power.lvl1_turbo_license / core_clks)",
	.metric_name = "Power_License1_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX)",
	.topic = "skx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX).  This includes high current AVX 512-bit instructions",
	.metric_expr = "(core_power.lvl2_turbo_license / 2 / core_clks if #smt_on else core_power.lvl2_turbo_license / core_clks)",
	.metric_name = "Power_License2_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "skx metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "skx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "skx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "skx metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "skx metrics",
	.metric_expr = "unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_occupancy.ia_miss_drd@thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external DRAM memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "skx metrics",
	.metric_expr = "1e9 * (unc_m_rpq_occupancy / unc_m_rpq_inserts) / imc_0@event\\=0x0@",
	.metric_name = "MEM_DRAM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Writes [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3) * 4 / 1e9 / duration_time",
	.metric_name = "IO_Write_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Reads [GB / sec]",
	.topic = "skx metrics",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_write.part0 + unc_iio_data_req_of_cpu.mem_write.part1 + unc_iio_data_req_of_cpu.mem_write.part2 + unc_iio_data_req_of_cpu.mem_write.part3) * 4 / 1e9 / duration_time",
	.metric_name = "IO_Read_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "skx metrics",
	.metric_expr = "cha_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "skx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "skx metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "Percentage of time spent in the active CPU power state C0",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "cpu_utilization",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "skx metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions ",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions ",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x12d4043300000000@ / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "skx metrics",
	.unit = "1per_instr",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x12cc023300000000@ / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) in nano seconds",
	.topic = "skx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043300000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043300000000@) / (unc_cha_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "skx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043200000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@) / (unc_cha_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "skx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043100000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@) / (unc_cha_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_remote_requests",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "skx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "skx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "skx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "skx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the Data Translation Lookaside Buffer (DTLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "dtlb_2mb_large_page_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "skx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_store_mpi",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ / (cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ + cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@ / (cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ + cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "skx metrics",
	.unit = "1GHz",
	.metric_expr = "unc_cha_clockticks / (#num_cores / #num_packages * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Ultra Path Interconnect (UPI) data transmit bandwidth (MB/sec)",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_upi_txl_flits.all_data * 7.111111111111111 / 1e6 / duration_time",
	.metric_name = "upi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3) * 4 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_iio_payload_bytes_in.mem_write.part0 + unc_iio_payload_bytes_in.mem_write.part1 + unc_iio_payload_bytes_in.mem_write.part2 + unc_iio_payload_bytes_in.mem_write.part3) * 4 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to local memory",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to local memory",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_write",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "skx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_read",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "skx metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(icache_16b.ifdata_stall + 2 * cpu@icache_16b.ifdata_stall\\,cmask\\=0x1\\,edge\\=0x1@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit)",
	.unit = "100%",
	.metric_expr = "9 * baclears.any / cpu_clk_unhalted.thread",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "skx metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "skx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=0x1@ - cpu@inst_decoded.decoders\\,cmask\\=0x2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_L4_group;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "skx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "skx metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "skx metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - tma_frontend_bound - (uops_issued.any + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "skx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "min(9 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "skx metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min((12 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (11 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / cpu_clk_unhalted.thread",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "skx metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=0x1@ / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + cpu@l1d_pend_miss.fb_full\\,cmask\\=0x1@) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min(((47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hitm * (offcore_response.demand_data_rd.l3_hit.hitm_other_core / (offcore_response.demand_data_rd.l3_hit.hitm_other_core + offcore_response.demand_data_rd.l3_hit.snoop_hit_with_fwd))) + (47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min((47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hit + mem_load_l3_hit_retired.xsnp_hitm * (1 - offcore_response.demand_data_rd.l3_hit.hitm_other_core / (offcore_response.demand_data_rd.l3_hit.hitm_other_core + offcore_response.demand_data_rd.l3_hit.snoop_hit_with_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min((20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "skx metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound, 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x4@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((80 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((147.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(((110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_hitm + (110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_fwd) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "skx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 11 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "skx metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min((110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * (offcore_response.demand_rfo.l3_miss.remote_hitm + offcore_response.pf_l2_rfo.l3_miss.remote_hitm) + 47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * (offcore_response.demand_rfo.l3_hit.hitm_other_core + offcore_response.pf_l2_rfo.l3_hit.hitm_other_core)) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "skx metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "skx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((9 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_store_misses.walk_active) / core_clks, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "arith.divider_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((exe_activity.exe_bound_0_ports + (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util)) / cpu_clk_unhalted.thread if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util) / cpu_clk_unhalted.thread)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_none / 2 if #smt_on else cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / core_clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance",
	.unit = "100%",
	.metric_expr = "partial_rat_stalls.scoreboard / cpu_clk_unhalted.thread",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "skx metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread * uops_issued.vector_width_mismatch / uops_issued.any, 1)",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_1 - uops_executed.core_cycles_ge_2) / 2 if #smt_on else exe_activity.1_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_2 - uops_executed.core_cycles_ge_3) / 2 if #smt_on else exe_activity.2_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_ge_3 / 2 if #smt_on else uops_executed.core_cycles_ge_3) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "tma_store_op_utilization",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address)",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "skx metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "tma_retiring - (uops_retired.retire_slots + uops_retired.macro_fused - inst_retired.any) / slots",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "skx metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "skx metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "skx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "skx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "skx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "skx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "skx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. The instruction pairs of CMP+JCC or DEC+JCC are commonly used examples",
	.unit = "100%",
	.metric_expr = "tma_light_operations * uops_retired.macro_fused / uops_retired.retire_slots",
	.metric_name = "tma_fused_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Non-conditional branches like direct JMP or CALL would count here. Can be used to examine fusible conditional jumps that were not fused",
	.unit = "100%",
	.metric_expr = "tma_light_operations * (br_inst_retired.all_branches - uops_retired.macro_fused) / uops_retired.retire_slots",
	.metric_name = "tma_non_fused_branches",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / uops_retired.retire_slots",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_fused_instructions + tma_non_fused_branches + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "(uops_retired.retire_slots + uops_retired.macro_fused - inst_retired.any) / slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "skx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * (fp_assist.any + other_assists.any) / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "skx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C3 residency percent per core",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "skx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "core_power.lvl0_turbo_license",
	.event = "period=200003,umask=0x7,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the Non-AVX turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
},
{
	.name = "core_power.lvl1_turbo_license",
	.event = "period=200003,umask=0x18,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX2 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
},
{
	.name = "core_power.lvl2_turbo_license",
	.event = "period=200003,umask=0x20,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX512 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 2 (introduced in Skylake Server michroarchtecture).  This includes high current AVX 512-bit instructions",
},
{
	.name = "core_power.throttle",
	.event = "period=200003,umask=0x40,event=0x28",
	.desc = "Core cycles the core was throttled due to a pending power level request",
	.topic = "other",
	.long_desc = "Core cycles the out-of-order engine was throttled due to a pending power level request",
},
{
	.name = "core_snoop_response.rsp_ifwdfe",
	.event = "period=2000003,umask=0x20,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IFWDFE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ifwdm",
	.event = "period=2000003,umask=0x10,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IFWDM",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ihitfse",
	.event = "period=2000003,umask=0x2,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IHITFSE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ihiti",
	.event = "period=2000003,umask=0x1,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IHITI",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_sfwdfe",
	.event = "period=2000003,umask=0x40,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SFWDFE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_sfwdm",
	.event = "period=2000003,umask=0x8,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SFWDM",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_shitfse",
	.event = "period=2000003,umask=0x4,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SHITFSE",
	.topic = "other",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Number of hardware interrupts received by the processor",
	.topic = "other",
	.long_desc = "Counts the number of hardware interruptions received by the processor",
},
{
	.name = "idi_misc.wb_downgrade",
	.event = "period=100003,umask=0x4,event=0xfe",
	.desc = "Counts number of cache lines that are dropped and not written back to L3 as they are deemed to be less likely to be reused shortly",
	.topic = "other",
	.long_desc = "Counts number of cache lines that are dropped and not written back to L3 as they are deemed to be less likely to be reused shortly",
},
{
	.name = "idi_misc.wb_upgrade",
	.event = "period=100003,umask=0x2,event=0xfe",
	.desc = "Counts number of cache lines that are allocated and written back to L3 with the intention that they are more likely to be reused shortly",
	.topic = "other",
	.long_desc = "Counts number of cache lines that are allocated and written back to L3 with the intention that they are more likely to be reused shortly",
},
{
	.name = "memory_disambiguation.history_reset",
	.event = "period=2000003,umask=0x1,event=0x9",
	.desc = "MEMORY_DISAMBIGUATION.HISTORY_RESET",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data loads that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data stores that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x49",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "ept.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Counts 1 per cycle for each PMH that is busy with a EPT (Extended Page Table) walk for any request type",
	.topic = "virtual memory",
	.long_desc = "Counts cycles for each PMH (Page Miss Handler) that is busy with an EPT (Extended Page Table) walk for any request type",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts page walks of any page size (4K/2M/4M/1G) caused by a code fetch. This implies it missed in the ITLB and further levels of TLB, but the walk need not have completed",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (1G page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH (Page Miss Handler) that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake michroarchitecture",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
	.long_desc = "This event counts the number of the Decode Stream Buffer (DSB)-to-MITE switches including all misses because of missing Decode Stream Buffer (DSB) cache and u-arch forced misses.\nNote: Invoking MITE requires two or three cycles delay",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. MM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.Penalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Must be precise)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Must be precise)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x408006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x401006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400206",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x410006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x200206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 2 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_3",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x300206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 3 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x402006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x420006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x404006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when: a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread. b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions).  c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when less than 1 uop is delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >= 3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 2 uops delivered by the front-end",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 3 uops delivered by the front-end",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "Counts all (macro) branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts conditional branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts return instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts taken branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=400009,umask=0x2,event=0xc5",
	.desc = "Mispredicted direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both taken and not taken retired mispredicted direct and indirect near calls, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,event=0x3c",
	.desc = "Counts when there is a transition from ring 1, 2 or 3 to ring 0",
	.topic = "pipeline",
	.long_desc = "Counts when the Current Privilege Level (CPL) transitions from ring 1, 2 or 3 to ring 0 (Kernel)",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=2000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=2000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "period=2000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no outstanding load",
	.topic = "pipeline",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=2000003,umask=0x1,event=0xa6",
	.desc = "Cycles where no uops were executed, the Reservation Station was not empty, the Store Buffer was full and there was no outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, Counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. Counting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event  Spec update: SKL091, SKL044",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: SKL091, SKL044",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Number of all retired NOP instructions  Spec update: SKL091, SKL044 (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc0",
	.desc = "Number of cycles using always true condition applied to  PEBS instructions retired event  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Number of cycles using an always true condition applied to  PEBS instructions retired event. (inst_ret< 16)  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=2000003,umask=0x80,event=0xd",
	.desc = "Cycles the issue-stage is waiting for front-end to fetch from resteered path following branch misprediction or machine clear events",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Core cycles the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when 4 uops are delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "other_assists.any",
	.event = "period=100003,umask=0x3f,event=0xc1",
	.desc = "Number of times a microcode assist is invoked by HW other than FP-assist. Examples include AD (page Access Dirty) and AVX* related assists",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.scoreboard",
	.event = "period=2000003,umask=0x1,event=0x59",
	.desc = "Cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the microcode scoreboard stalls happen",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "Counts resource-related stall cycles",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
},
{
	.name = "rob_misc_events.pause_inst",
	.event = "period=2000003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions (that do not end up with a VMExit to the VMM; TSX aborted Instructions may be counted). This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for the thread.; Note: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=2000003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate front-end Latency Bound issues",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=2000003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to Mixing Intel AVX and Intel SSE Code section of the Optimization Guide",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000003,umask=0x4,event=0xc2",
	.desc = "Number of macro-fused uops retired. (non precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of macro-fused uops retired. (non precise)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instruction retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=2000003,umask=0x40,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=2000003,umask=0x80,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.name = "cycle_activity.cycles_l3_miss",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (Precise event)",
},
{
	.name = "hle_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to unfriendly events (such as interrupts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an HLE execution aborted due to incompatible memory type",
},
{
	.name = "hle_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to hardware timer expiration",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions and certain unfriendly events (such as AD assists etc.)",
	.topic = "memory",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region. Does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts  Spec update: SKL089",
	.topic = "memory",
	.long_desc = "Counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:a. memory disambiguation,b. external snoop, orc. cross SMT-HW-thread snoop (stores) hitting load buffer  Spec update: SKL089",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Demand Data Read requests who miss L3 cache",
	.topic = "memory",
	.long_desc = "Demand Data Read requests who miss L3 cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_l3_miss_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 1 Demand Data Read requests who miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x60",
	.desc = "Counts number of Offcore outstanding Demand Data Read requests that miss L3 cache in the superQ every cycle",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 6 Demand Data Read requests that miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000491",
	.desc = "Counts all demand & prefetch data reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00491",
	.desc = "Counts all demand & prefetch data reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00491",
	.desc = "Counts all demand & prefetch data reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00491",
	.desc = "Counts all demand & prefetch data reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000491",
	.desc = "Counts all demand & prefetch data reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800491",
	.desc = "Counts all demand & prefetch data reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000490",
	.desc = "Counts all prefetch data reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00490",
	.desc = "Counts all prefetch data reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00490",
	.desc = "Counts all prefetch data reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00490",
	.desc = "Counts all prefetch data reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000490",
	.desc = "Counts all prefetch data reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800490",
	.desc = "Counts all prefetch data reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000120",
	.desc = "Counts prefetch RFOs that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00120",
	.desc = "Counts prefetch RFOs that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00120",
	.desc = "Counts prefetch RFOs that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00120",
	.desc = "Counts prefetch RFOs that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000120",
	.desc = "Counts prefetch RFOs that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800120",
	.desc = "Counts prefetch RFOs that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000122",
	.desc = "Counts all demand & prefetch RFOs that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00122",
	.desc = "Counts all demand & prefetch RFOs that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00122",
	.desc = "Counts all demand & prefetch RFOs that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00122",
	.desc = "Counts all demand & prefetch RFOs that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000122",
	.desc = "Counts all demand & prefetch RFOs that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800122",
	.desc = "Counts all demand & prefetch RFOs that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000004",
	.desc = "Counts all demand code reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00004",
	.desc = "Counts all demand code reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00004",
	.desc = "Counts all demand code reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00004",
	.desc = "Counts all demand code reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000004",
	.desc = "Counts all demand code reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800004",
	.desc = "Counts all demand code reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000001",
	.desc = "Counts demand data reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00001",
	.desc = "Counts demand data reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00001",
	.desc = "Counts demand data reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00001",
	.desc = "Counts demand data reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000001",
	.desc = "Counts demand data reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800001",
	.desc = "Counts demand data reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000002",
	.desc = "Counts all demand data writes (RFOs) that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00002",
	.desc = "Counts all demand data writes (RFOs) that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00002",
	.desc = "Counts all demand data writes (RFOs) that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00002",
	.desc = "Counts all demand data writes (RFOs) that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000002",
	.desc = "Counts all demand data writes (RFOs) that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800002",
	.desc = "Counts all demand data writes (RFOs) that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63FC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the L3 and the data is returned from local or remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered (Precise event)",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to uncommon conditions",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
},
{
	.name = "tx_mem.abort_capacity",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data capacity limitation for transactional reads or writes",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "llc_misses.pcie_read",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth reading at IIO. Derived from unc_iio_data_req_of_cpu.mem_read.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3",
	.metric_name = "LLC_MISSES.PCIE_READ",
},
{
	.name = "llc_misses.pcie_write",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth writing at IIO. Derived from unc_iio_data_req_of_cpu.mem_write.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_write.part0 + unc_iio_data_req_of_cpu.mem_write.part1 + unc_iio_data_req_of_cpu.mem_write.part2 + unc_iio_data_req_of_cpu.mem_write.part3",
	.metric_name = "LLC_MISSES.PCIE_WRITE",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "CHA to iMC Bypass; Intermediate bypass Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the intermediate bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "CHA to iMC Bypass; Not Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass, and issues a read to memory. Note that transactions that did not take the bypass but did not issue read to memory will not be counted",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "CHA to iMC Bypass; Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the full bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the uncore caching & home agent (CHA). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the clock controlling the uncore caching and home agent (CHA)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c1_state",
	.event = "umask=0x1,event=0x17",
	.desc = "Core PMA Events; C1  State. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c1_transition",
	.event = "umask=0x2,event=0x17",
	.desc = "Core PMA Events; C1 Transition. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c6_state",
	.event = "umask=0x4,event=0x17",
	.desc = "Core PMA Events; C6 State. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c6_transition",
	.event = "umask=0x8,event=0x17",
	.desc = "Core PMA Events; C6 Transition. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.gv",
	.event = "umask=0x10,event=0x17",
	.desc = "Core PMA Events; GV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_gtone",
	.event = "umask=0xe2,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Cycle with Multiple Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_one",
	.event = "umask=0xe1,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Single Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_remote",
	.event = "umask=0xe4,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Snoop to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "Core Cross Snoops Issued; Single Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_remote",
	.event = "umask=0x44,event=0x33",
	.desc = "Core Cross Snoops Issued; Core Request to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "Core Cross Snoops Issued; Single Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_remote",
	.event = "umask=0x84,event=0x33",
	.desc = "Core Cross Snoops Issued; Eviction to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "Core Cross Snoops Issued; Single External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_remote",
	.event = "umask=0x24,event=0x33",
	.desc = "Core Cross Snoops Issued; External Snoop to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Not Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts transactions that looked into the multi-socket cacheline Directory state, and therefore did not send a snoop because the Directory indicated it was not needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  transactions that looked into the multi-socket cacheline Directory state, and sent one or more snoops, because the Directory indicated it was needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from the HA pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates memory writes issued from the HA pipe. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from TOR pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates due to memory writes issued from the TOR pipe which are the result of remote transaction hitting the SF/LLC and returning data Core2Core. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.ex_rds",
	.event = "umask=0x1,event=0x5f",
	.desc = "Read request from a remote socket which hit in the HitMe Cache to a line In the E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests from a remote socket which hit in the HitME cache (used to cache the multi-socket Directory state) to a line in the E(Exclusive) state.  This includes the following read opcodes (RdCode, RdData, RdDataMigratory, RdCur, RdInv*, Inv*)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.shared_ownreq",
	.event = "umask=0x4,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; Shared hit and op is RdInvOwn, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoe",
	.event = "umask=0x8,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoi_or_s",
	.event = "umask=0x10,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoI, WbPushMtoI, WbFlush, or WbMtoS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.read",
	.event = "umask=0x1,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RdCode, RdData, RdDataMigratory, RdCur, RdInvOwn, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.write",
	.event = "umask=0x2,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoE, WbMtoI, WbPushMtoI, WbFlush, or WbMtoS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.notshared_rdinvown",
	.event = "umask=0x40,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; No SF/LLC HitS/F and op is RdInvOwn. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.read_or_inv",
	.event = "umask=0x80,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; op is RdCode, RdData, RdDataMigratory, RdCur, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.shared_rdinvown",
	.event = "umask=0x20,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; SF/LLC HitS/F and op is RdInvOwn. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate",
	.event = "umask=0x10,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Deallocate HtiME$ on Reads without RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate_rspfwdi_loc",
	.event = "umask=0x1,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Received RspFwdI* for a local request, but converted HitME$ to SF entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rdinvown",
	.event = "umask=0x8,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Update HitMe Cache on RdInvOwn even if not RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rspfwdi_rem",
	.event = "umask=0x2,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Updated HitME$ on RspFwdI* or local HitM/E received for a remote request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.shared",
	.event = "umask=0x4,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Update HitMe Cache to SHARed. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "Normal priority reads issued to the memory controller from the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) read is issued to any of the memory controller channels from the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "HA to iMC Reads Issued; ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) full line write is issued from the CHA to the any of the memory controller channels",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_mig",
	.event = "umask=0x10,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Full Line MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; ISOCH Full Line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Partial Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_mig",
	.event = "umask=0x20,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Partial MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; ISOCH Partial. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.invitom",
	.event = "umask=0x1,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IODC allocations. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.iodcfull",
	.event = "umask=0x2,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IODC allocations dropped due to IODC Full. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.osbgated",
	.event = "umask=0x4,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IDOC allocation dropped due to OSB gate. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.all",
	.event = "umask=0x10,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to any reason. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.snpout",
	.event = "umask=0x8,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to conflicting transaction. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbmtoe",
	.event = "umask=0x1,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbMtoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbmtoi",
	.event = "umask=0x2,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbMtoI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbpushmtoi",
	.event = "umask=0x4,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbPushMtoI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Moved to Cbo section",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Any Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.local",
	.event = "umask=0x31,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote",
	.event = "umask=0x91,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; External Snoop Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Write Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_E. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_F. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.local",
	.event = "umask=0x20,event=0x37",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.local_all",
	.event = "umask=0x2f,event=0x37",
	.desc = "Lines Victimized; Local - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_e",
	.event = "umask=0x22,event=0x37",
	.desc = "Lines Victimized; Local - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_f",
	.event = "umask=0x28,event=0x37",
	.desc = "Lines Victimized; Local - Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_m",
	.event = "umask=0x21,event=0x37",
	.desc = "Lines Victimized; Local - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_s",
	.event = "umask=0x24,event=0x37",
	.desc = "Lines Victimized; Local - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_M. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.remote",
	.event = "umask=0x80,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.REMOTE_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.remote_all",
	.event = "umask=0x8f,event=0x37",
	.desc = "Lines Victimized; Remote - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_e",
	.event = "umask=0x82,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_f",
	.event = "umask=0x88,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_m",
	.event = "umask=0x81,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_s",
	.event = "umask=0x84,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.total_e",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_f",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized; Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_m",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized; Lines in M state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_s",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc; CV0 Prefetch Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc; CV0 Prefetch Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Number of times that an RFO hit in S state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a RFO (the Read for Ownership issued before a  write) request hit a cacheline in the S (Shared) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb",
	.event = "event=0x55",
	.desc = "OSB Snoop Broadcast. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "Local requests for exclusive ownership of a cache line  without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_remote",
	.event = "umask=0x20,event=0x50",
	.desc = "Local requests for exclusive ownership of a cache line without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a remote socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "Read requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write) ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "Read requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a unit on this socket made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "Read requests from a remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a remote socket made into the CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "Write requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts write requests made into the CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "Write Requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  write requests coming from a unit on this socket made into this CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "Read and Write Requests; Writes Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress (from CMS) Allocations; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress (from CMS) Allocations; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.rrq",
	.event = "umask=0x40,event=0x13",
	.desc = "Ingress (from CMS) Allocations; RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.wbq",
	.event = "umask=0x80,event=0x13",
	.desc = "Ingress (from CMS) Allocations; WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "Ingress Probe Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "Ingress Probe Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x22",
	.desc = "Ingress Probe Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x22",
	.desc = "Ingress Probe Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.any0",
	.event = "umask=0x1,event=0x23",
	.desc = "Ingress Probe Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.ha",
	.event = "umask=0x2,event=0x23",
	.desc = "Ingress Probe Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_victim",
	.event = "umask=0x4,event=0x23",
	.desc = "Ingress Probe Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "Ingress Probe Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "Ingress Probe Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.victim",
	.event = "umask=0x10,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.any0",
	.event = "umask=0x1,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "ISMQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "ISMQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x24",
	.desc = "ISMQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "ISMQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "ISMQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "ISMQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "ISMQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x24",
	.desc = "ISMQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "ISMQ Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "ISMQ Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2c",
	.desc = "ISMQ Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "ISMQ Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "ISMQ Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "ISMQ Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "ISMQ Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2c",
	.desc = "ISMQ Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.any0",
	.event = "umask=0x1,event=0x25",
	.desc = "ISMQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "ISMQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.any0",
	.event = "umask=0x1,event=0x2d",
	.desc = "ISMQ Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "ISMQ Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.rrq",
	.event = "umask=0x40,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.wbq",
	.event = "umask=0x80,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "Other Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "Other Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2e",
	.desc = "Other Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "Other Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "Other Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "Other Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "Other Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2e",
	.desc = "Other Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "Other Retries; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.any0",
	.event = "umask=0x1,event=0x2f",
	.desc = "Other Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "Other Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "Other Retries; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "Other Retries; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "Other Retries; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "Other Retries; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "Other Retries; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.any0",
	.event = "umask=0x1,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "Request Queue Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "Request Queue Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2a",
	.desc = "Request Queue Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "Request Queue Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "Request Queue Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "Request Queue Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "Request Queue Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2a",
	.desc = "Request Queue Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "Request Queue Retries; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.any0",
	.event = "umask=0x1,event=0x2b",
	.desc = "Request Queue Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "Request Queue Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "Request Queue Retries; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "Request Queue Retries; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "Request Queue Retries; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "Request Queue Retries; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "Request Queue Retries; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "RRQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x26",
	.desc = "RRQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x26",
	.desc = "RRQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x26",
	.desc = "RRQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x26",
	.desc = "RRQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x26",
	.desc = "RRQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x26",
	.desc = "RRQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x26",
	.desc = "RRQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.allow_snp",
	.event = "umask=0x40,event=0x27",
	.desc = "RRQ Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.any0",
	.event = "umask=0x1,event=0x27",
	.desc = "RRQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.ha",
	.event = "umask=0x2,event=0x27",
	.desc = "RRQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x27",
	.desc = "RRQ Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_victim",
	.event = "umask=0x4,event=0x27",
	.desc = "RRQ Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.pa_match",
	.event = "umask=0x80,event=0x27",
	.desc = "RRQ Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.sf_victim",
	.event = "umask=0x8,event=0x27",
	.desc = "RRQ Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.victim",
	.event = "umask=0x10,event=0x27",
	.desc = "RRQ Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "WBQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x28",
	.desc = "WBQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x28",
	.desc = "WBQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x28",
	.desc = "WBQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x28",
	.desc = "WBQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x28",
	.desc = "WBQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x28",
	.desc = "WBQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x28",
	.desc = "WBQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.allow_snp",
	.event = "umask=0x40,event=0x29",
	.desc = "WBQ Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.any0",
	.event = "umask=0x1,event=0x29",
	.desc = "WBQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.ha",
	.event = "umask=0x2,event=0x29",
	.desc = "WBQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x29",
	.desc = "WBQ Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_victim",
	.event = "umask=0x4,event=0x29",
	.desc = "WBQ Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.pa_match",
	.event = "umask=0x80,event=0x29",
	.desc = "WBQ Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.sf_victim",
	.event = "umask=0x8,event=0x29",
	.desc = "WBQ Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.victim",
	.event = "umask=0x10,event=0x29",
	.desc = "WBQ Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop filter capacity evictions for E-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking exclusive lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop filter capacity evictions for M-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking modified lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop filter capacity evictions for S-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking shared lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.all",
	.event = "umask=0x1,event=0x51",
	.desc = "Snoops Sent; All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_local",
	.event = "umask=0x10,event=0x51",
	.desc = "Snoops Sent; Broadcast snoop for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast snoops issued by the HA. This filter includes only requests coming from local sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_remote",
	.event = "umask=0x20,event=0x51",
	.desc = "Snoops Sent; Broadcast snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast snoops issued by the HA.This filter includes only requests coming from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_local",
	.event = "umask=0x40,event=0x51",
	.desc = "Snoops Sent; Directed snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of directed snoops issued by the HA. This filter includes only requests coming from local sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_remote",
	.event = "umask=0x80,event=0x51",
	.desc = "Snoops Sent; Directed snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of directed snoops issued by the HA. This filter includes only requests coming from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "Snoops Sent; Broadcast or directed Snoops sent for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast or directed snoops issued by the HA per request. This filter includes only requests coming from the local socket",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.remote",
	.event = "umask=0x8,event=0x51",
	.desc = "Snoops Sent; Broadcast or directed Snoops sent for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast or directed snoops issued by the HA per request. This filter includes only requests coming from the remote socket",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspcnflcts",
	.event = "umask=0x40,event=0x5c",
	.desc = "RspCnflct* Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspCnflct* Snoop Response was received. This is returned when a snoop finds an existing outstanding transaction in a remote caching agent. This triggers conflict resolution hardware. This covers both the opcode RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspfwd",
	.event = "umask=0x80,event=0x5c",
	.desc = "Snoop Responses Received; RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspFwd to a CA request.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspi",
	.event = "umask=0x1,event=0x5c",
	.desc = "RspI Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type RspI Snoop Response was received which indicates the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO: the Read for Ownership issued before a write hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x5c",
	.desc = "RspIFwd Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspIFwd Snoop Response was received which indicates a remote caching agent forwarded the data and the requesting agent is able to acquire the data in E (Exclusive) or M (modified) states.  This is commonly returned with RFO (the Read for Ownership issued before a write) transactions.  The snoop could have either been to a cacheline in the M,E,F (Modified, Exclusive or Forward)  states",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsps",
	.event = "umask=0x2,event=0x5c",
	.desc = "Snoop Responses Received : RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : RspS : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x5c",
	.desc = "RspSFwd Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspSFwd Snoop Response was received which indicates a remote caching agent forwarded the data but held on to its current copy.  This is common for data and code reads that hit in a remote socket in E (Exclusive) or F (Forward) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5c",
	.desc = "Rsp*Fwd*WB Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type Rsp*Fwd*WB Snoop Response was received which indicates the data was written back to its home socket, and the cacheline was forwarded to the requestor socket.  This snoop response is only used in &gt;= 4 socket systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to its home socket to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsp_wbwb",
	.event = "umask=0x10,event=0x5c",
	.desc = "Rsp*WB Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type Rsp*WB Snoop Response was received which indicates which indicates the data was written back to its home.  This is returned when a non-RFO request hits a cacheline in the Modified state. The Cache can either downgrade the cacheline to a S (Shared) or I (Invalid) state depending on how the system has been configured.  This response will also be sent when a cache requests E (Exclusive) ownership of a cache line without receiving data, because the cache must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict to local CA requests.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "Snoop Responses Received Local; RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspFwd to local CA requests.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI to local CA requests.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd to local CA requests.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS to local CA requests.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd to local CA requests.  This is returned when a remote caching agent forwards data but holds on to its current copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5d",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB to local CA requests.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsp_wb",
	.event = "umask=0x10,event=0x5d",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB to local CA requests.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_hit",
	.event = "umask=0x15,event=0x35",
	.desc = "TOR Inserts; Hits from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_io_ia",
	.event = "umask=0x35,event=0x35",
	.desc = "TOR Inserts; All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_miss",
	.event = "umask=0x25,event=0x35",
	.desc = "TOR Inserts; Misses from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "TOR Inserts; SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.hit",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; HITs (hit is defined to be not a miss [see below], as a result for any request allocated into the TOR, one of either HIT or MISS must be true)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia",
	.event = "umask=0x31,event=0x35",
	.desc = "TOR Inserts; All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit",
	.event = "umask=0x11,event=0x35",
	.desc = "TOR Inserts; Hits from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd",
	.event = "umask=0x11,event=0x35,config1=0x40233",
	.desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd",
	.event = "umask=0x11,event=0x35,config1=0x40433",
	.desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefcrd",
	.event = "umask=0x11,event=0x35,config1=0x4b233",
	.desc = "UNC_CHA_TOR_INSERTS.IA_HIT_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefdrd",
	.event = "umask=0x11,event=0x35,config1=0x4b433",
	.desc = "UNC_CHA_TOR_INSERTS.IA_HIT_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefrfo",
	.event = "umask=0x11,event=0x35,config1=0x4b033",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo",
	.event = "umask=0x11,event=0x35,config1=0x40033",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd",
	.event = "umask=0x21,event=0x35,config1=0x40233",
	.desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd",
	.event = "umask=0x21,event=0x35,config1=0x40433",
	.desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefcrd",
	.event = "umask=0x21,event=0x35,config1=0x4b233",
	.desc = "UNC_CHA_TOR_INSERTS.IA_MISS_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefdrd",
	.event = "umask=0x21,event=0x35,config1=0x4b433",
	.desc = "UNC_CHA_TOR_INSERTS.IA_MISS_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefrfo",
	.event = "umask=0x21,event=0x35,config1=0x4b033",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo",
	.event = "umask=0x21,event=0x35,config1=0x40033",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io",
	.event = "umask=0x34,event=0x35",
	.desc = "TOR Inserts; All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit",
	.event = "umask=0x14,event=0x35",
	.desc = "TOR Inserts; Hits from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss",
	.event = "umask=0x24,event=0x35",
	.desc = "TOR Inserts; Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itom",
	.event = "umask=0x24,event=0x35,config1=0x49033",
	.desc = "TOR Inserts; ItoM misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO ItoM requests that miss the LLC. An ItoM request is used by IIO to request a data write without first reading the data for ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rdcur",
	.event = "umask=0x24,event=0x35,config1=0x43C33",
	.desc = "TOR Inserts; RdCur misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO RdCur requests and miss the LLC. A RdCur request is used by IIO to read data without changing state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rfo",
	.event = "umask=0x24,event=0x35,config1=0x40033",
	.desc = "TOR Inserts; RFO misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO RFO requests that miss the LLC. A read for ownership (RFO) requests a cache line to be cached in E state with the intent to modify",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq_hit",
	.event = "umask=0x18,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq_miss",
	.event = "umask=0x28,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.irq",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_all",
	.event = "umask=0x37,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.miss",
	.event = "umask=0x20,event=0x35",
	.desc = "TOR Inserts; Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; Misses.  (a miss is defined to be any transaction from the IRQ, PRQ, RRQ, IPQ or (in the victim case) the ISMQ, that required the CHA to spawn a new UPI/SMI3 request on the UPI fabric (including UPI snoops and/or any RD/WR to a local memory controller, in the event that the CHA is the home node)).  Basically, if the LLC/SF/MLC complex were not able to service the request without involving another agent...it is a miss.  If only IDI snoops were required, it is not a miss (that means the SF/MLC com",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rem_all",
	.event = "umask=0x30,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq_hit",
	.event = "umask=0x50,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq_miss",
	.event = "umask=0x60,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq_hit",
	.event = "umask=0x90,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq_miss",
	.event = "umask=0xa0,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_from_loc",
	.event = "umask=0x37,event=0x36",
	.desc = "TOR Occupancy; All from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All remotely generated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_hit",
	.event = "umask=0x17,event=0x36",
	.desc = "TOR Occupancy; Hits from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_miss",
	.event = "umask=0x27,event=0x36",
	.desc = "TOR Occupancy; Misses from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "TOR Occupancy; SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.hit",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; HITs (hit is defined to be not a miss [see below], as a result for any request allocated into the TOR, one of either HIT or MISS must be true)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia",
	.event = "umask=0x31,event=0x36",
	.desc = "TOR Occupancy; All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit",
	.event = "umask=0x11,event=0x36",
	.desc = "TOR Occupancy; Hits from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd",
	.event = "umask=0x11,event=0x36,config1=0x40233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd",
	.event = "umask=0x11,event=0x36,config1=0x40433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_DRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefcrd",
	.event = "umask=0x11,event=0x36,config1=0x4b233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefdrd",
	.event = "umask=0x11,event=0x36,config1=0x4b433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefrfo",
	.event = "umask=0x11,event=0x36,config1=0x4b033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefRFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo",
	.event = "umask=0x11,event=0x36,config1=0x40033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_RFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Misses from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd",
	.event = "umask=0x21,event=0x36,config1=0x40233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd",
	.event = "umask=0x21,event=0x36,config1=0x40433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_DRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefcrd",
	.event = "umask=0x21,event=0x36,config1=0x4b233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefdrd",
	.event = "umask=0x21,event=0x36,config1=0x4b433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefrfo",
	.event = "umask=0x21,event=0x36,config1=0x4b033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefRFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo",
	.event = "umask=0x21,event=0x36,config1=0x40033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_RFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io",
	.event = "umask=0x34,event=0x36",
	.desc = "TOR Occupancy; All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit",
	.event = "umask=0x14,event=0x36",
	.desc = "TOR Occupancy; Hits from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss",
	.event = "umask=0x24,event=0x36",
	.desc = "TOR Occupancy; Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itom",
	.event = "umask=0x24,event=0x36,config1=0x49033",
	.desc = "TOR Occupancy;  ITOM Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO ItoM requests that miss the LLC. An ItoM is used by IIO to request a data write without first reading the data for ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rdcur",
	.event = "umask=0x24,event=0x36,config1=0x43C33",
	.desc = "TOR Occupancy;  RDCUR misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO RdCur requests that miss the LLC. A RdCur request is used by IIO to read data without changing state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rfo",
	.event = "umask=0x24,event=0x36,config1=0x40033",
	.desc = "TOR Occupancy;  RFO misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO RFO requests that miss the LLC. A read for ownership (RFO) requests data to be cached in E state with the intent to modify",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq_hit",
	.event = "umask=0x18,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq_miss",
	.event = "umask=0x28,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_all",
	.event = "umask=0x37,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.ALL_FROM_LOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.miss",
	.event = "umask=0x20,event=0x36",
	.desc = "TOR Occupancy; Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; Misses.  (a miss is defined to be any transaction from the IRQ, PRQ, RRQ, IPQ or (in the victim case) the ISMQ, that required the CHA to spawn a new UPI/SMI3 request on the UPI fabric (including UPI snoops and/or any RD/WR to a local memory controller, in the event that the CHA is the home node)).  Basically, if the LLC/SF/MLC complex were not able to service the request without involving another agent...it is a miss.  If only IDI snoops were required, it is not a miss (that means the SF/MLC com",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.ad_req",
	.event = "umask=0x4,event=0x38",
	.desc = "UPI Ingress Credit Allocations; AD REQ Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.ad_rsp",
	.event = "umask=0x8,event=0x38",
	.desc = "UPI Ingress Credit Allocations; AD RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_ncb",
	.event = "umask=0x40,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL NCB Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_ncs",
	.event = "umask=0x80,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL NCS Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_rsp",
	.event = "umask=0x10,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL RSP Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_wb",
	.event = "umask=0x20,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL DRS Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.vn0",
	.event = "umask=0x2,event=0x38",
	.desc = "UPI Ingress Credit Allocations; VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.vna",
	.event = "umask=0x1,event=0x38",
	.desc = "UPI Ingress Credit Allocations; VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_ad_req",
	.event = "umask=0x4,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD REQ VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_ad_rsp",
	.event = "umask=0x8,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_ncb",
	.event = "umask=0x40,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL NCB VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_ncs",
	.event = "umask=0x80,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL NCS VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_rsp",
	.event = "umask=0x10,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_wb",
	.event = "umask=0x20,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL DRS VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vna_ad",
	.event = "umask=0x1,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vna_bl",
	.event = "umask=0x2,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "WbPushMtoI; Pushed to LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was received WbPushMtoI; Counts the number of times when the CHA was able to push WbPushMToI to LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "WbPushMtoI; Pushed to Memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was received WbPushMtoI; Counts the number of times when the CHA was unable to push WbPushMToI to LLC (hence pushed it to MEM)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rspi_fwdfe",
	.event = "umask=0xe4,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rspi_fwdm",
	.event = "umask=0xf0,event=0x32",
	.desc = "Core Cross Snoop Responses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsps_fwdfe",
	.event = "umask=0xe2,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsps_fwdm",
	.event = "umask=0xe8,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsp_hitfse",
	.event = "umask=0xe1,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rspi_fwdfe",
	.event = "umask=0x44,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rspi_fwdm",
	.event = "umask=0x50,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsps_fwdfe",
	.event = "umask=0x42,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsps_fwdm",
	.event = "umask=0x48,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsp_hitfse",
	.event = "umask=0x41,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rspi_fwdfe",
	.event = "umask=0x84,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rspi_fwdm",
	.event = "umask=0x90,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsps_fwdfe",
	.event = "umask=0x82,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsps_fwdm",
	.event = "umask=0x88,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsp_hitfse",
	.event = "umask=0x81,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rspi_fwdfe",
	.event = "umask=0x24,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rspi_fwdm",
	.event = "umask=0x30,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsps_fwdfe",
	.event = "umask=0x22,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsps_fwdm",
	.event = "umask=0x28,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsp_hitfse",
	.event = "umask=0x21,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CLOCKTICKS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_fast_asserted",
	.event = "umask=0x2,event=0xa5",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_FAST_ASSERTED.HORZ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.ANY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.local",
	.event = "umask=0x31,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.remote",
	.event = "umask=0x91,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.REMOTE_SNOOP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.WRITE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_E. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_F. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.local",
	.event = "umask=0x2f,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.LOCAL_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_M. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.remote",
	.event = "umask=0x80,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.REMOTE_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SRC_THRTL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.EVICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.hit",
	.event = "umask=0x10,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq_hit",
	.event = "umask=0x18,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq_miss",
	.event = "umask=0x28,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq",
	.event = "umask=0x31,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq_hit",
	.event = "umask=0x11,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq_miss",
	.event = "umask=0x21,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_all",
	.event = "umask=0x37,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_ia",
	.event = "umask=0x31,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_io",
	.event = "umask=0x34,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.miss",
	.event = "umask=0x20,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq",
	.event = "umask=0x4,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq_hit",
	.event = "umask=0x14,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq_miss",
	.event = "umask=0x24,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rem_all",
	.event = "umask=0x30,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rrq_hit",
	.event = "umask=0x50,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rrq_miss",
	.event = "umask=0x60,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.wbq_hit",
	.event = "umask=0x90,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.wbq_miss",
	.event = "umask=0xa0,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.EVICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.hit",
	.event = "umask=0x10,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq_hit",
	.event = "umask=0x18,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq_miss",
	.event = "umask=0x28,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq",
	.event = "umask=0x31,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq_hit",
	.event = "umask=0x11,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq_miss",
	.event = "umask=0x21,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_all",
	.event = "umask=0x37,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_ia",
	.event = "umask=0x31,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_io",
	.event = "umask=0x34,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.miss",
	.event = "umask=0x20,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq_hit",
	.event = "umask=0x14,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq_miss",
	.event = "umask=0x24,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.INTERMEDIATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.NOT_TAKEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.TAKEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_clock",
	.event = "event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CMS_CLOCKTICKS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c1_state",
	.event = "umask=0x1,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C1_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c1_transition",
	.event = "umask=0x2,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C1_TRANSITION. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c6_state",
	.event = "umask=0x4,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C6_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c6_transition",
	.event = "umask=0x8,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C6_TRANSITION. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.gv",
	.event = "umask=0x10,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.GV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_gtone",
	.event = "umask=0xe2,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_one",
	.event = "umask=0xe1,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_remote",
	.event = "umask=0xe4,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_remote",
	.event = "umask=0x44,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_remote",
	.event = "umask=0x84,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_remote",
	.event = "umask=0x24,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_COUNTER0_OCCUPANCY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_LOOKUP.NO_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_LOOKUP.SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_UPDATE.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_UPDATE.TOR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_EGRESS_ORDERING.IV_SNOOPGO_DN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_EGRESS_ORDERING.IV_SNOOPGO_UP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.ex_rds",
	.event = "umask=0x1,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.EX_RDS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.shared_ownreq",
	.event = "umask=0x4,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.SHARED_OWNREQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoe",
	.event = "umask=0x8,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.WBMTOE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoi_or_s",
	.event = "umask=0x10,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.WBMTOI_OR_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_lookup.read",
	.event = "umask=0x1,event=0x5e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_LOOKUP.READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_lookup.write",
	.event = "umask=0x2,event=0x5e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_LOOKUP.WRITE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.notshared_rdinvown",
	.event = "umask=0x40,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.NOTSHARED_RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.read_or_inv",
	.event = "umask=0x80,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.READ_OR_INV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.shared_rdinvown",
	.event = "umask=0x20,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.SHARED_RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.deallocate",
	.event = "umask=0x10,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.DEALLOCATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.deallocate_rspfwdi_loc",
	.event = "umask=0x1,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.DEALLOCATE_RSPFWDI_LOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.rdinvown",
	.event = "umask=0x8,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.rspfwdi_rem",
	.event = "umask=0x2,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.RSPFWDI_REM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.shared",
	.event = "umask=0x4,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.SHARED. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_IV_IN_USE.LEFT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_IV_IN_USE.RIGHT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_READS_COUNT.NORMAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_READS_COUNT.PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full_mig",
	.event = "umask=0x10,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL_MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL_PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial_mig",
	.event = "umask=0x20,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL_MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL_PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.invitom",
	.event = "umask=0x1,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.INVITOM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.iodcfull",
	.event = "umask=0x2,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.IODCFULL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.osbgated",
	.event = "umask=0x4,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.OSBGATED. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.all",
	.event = "umask=0x10,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.snpout",
	.event = "umask=0x8,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.SNPOUT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbmtoe",
	.event = "umask=0x1,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBMTOE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbmtoi",
	.event = "umask=0x2,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBMTOI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbpushmtoi",
	.event = "umask=0x4,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBPUSHMTOI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.CV0_PREF_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.CV0_PREF_VIC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.RFO_HIT_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.RSPI_WAS_FSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.WC_ALIASING. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_osb",
	.event = "event=0x55",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_OSB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_REQUESTS.INVITOE_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x50",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_REQUESTS.INVITOE_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "read requests from home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "read requests from local home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "read requests from remote home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "write requests from home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "write requests from local home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "write requests from remote home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IRQ_REJ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.PRQ_REJ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.rrq",
	.event = "umask=0x40,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.wbq",
	.event = "umask=0x80,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.any_ipq0",
	.event = "umask=0x1,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.ha",
	.event = "umask=0x2,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.llc_victim",
	.event = "umask=0x4,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.victim",
	.event = "umask=0x10,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.any_reject_irq0",
	.event = "umask=0x1,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_reject.any_ismq0",
	.event = "umask=0x1,event=0x25",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_retry.any",
	.event = "umask=0x1,event=0x2d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.rrq",
	.event = "umask=0x40,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.wbq",
	.event = "umask=0x80,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.any",
	.event = "umask=0x1,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.any_prq0",
	.event = "umask=0x1,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.any",
	.event = "umask=0x1,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.allow_snp",
	.event = "umask=0x40,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.any_rrq0",
	.event = "umask=0x1,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.ha",
	.event = "umask=0x2,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.llc_victim",
	.event = "umask=0x4,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.pa_match",
	.event = "umask=0x80,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.sf_victim",
	.event = "umask=0x8,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.victim",
	.event = "umask=0x10,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.allow_snp",
	.event = "umask=0x40,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.any_wbq0",
	.event = "umask=0x1,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.ha",
	.event = "umask=0x2,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.llc_victim",
	.event = "umask=0x4,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.pa_match",
	.event = "umask=0x80,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.sf_victim",
	.event = "umask=0x8,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.victim",
	.event = "umask=0x10,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.IFV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.E_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.M_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.S_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.",
	.event = "umask=0x1,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.bcst_loc",
	.event = "umask=0x10,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.BCST_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.bcst_rem",
	.event = "umask=0x20,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.BCST_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.direct_loc",
	.event = "umask=0x40,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.DIRECT_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.direct_rem",
	.event = "umask=0x80,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.DIRECT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.remote",
	.event = "umask=0x8,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPCNFLCTS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspfwd",
	.event = "umask=0x80,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPIFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPSFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSP_FWD_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSP_WBWB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPCNFLCT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPIFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPSFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSP_FWD_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsp_wb",
	.event = "umask=0x10,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSP_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.iv_ag0",
	.event = "umask=0x8,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.iv_ag0",
	.event = "umask=0x8,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_IV_IN_USE.DN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_IV_IN_USE.UP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WB_PUSH_MTOI.LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WB_PUSH_MTOI.MEM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rspi_fwdfe",
	.event = "umask=0xe4,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rspi_fwdm",
	.event = "umask=0xf0,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsps_fwdfe",
	.event = "umask=0xe2,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsps_fwdm",
	.event = "umask=0xe8,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsp_hitfse",
	.event = "umask=0xe1,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rspi_fwdfe",
	.event = "umask=0x44,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rspi_fwdm",
	.event = "umask=0x50,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsps_fwdfe",
	.event = "umask=0x42,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsps_fwdm",
	.event = "umask=0x48,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsp_hitfse",
	.event = "umask=0x41,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rspi_fwdfe",
	.event = "umask=0x84,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rspi_fwdm",
	.event = "umask=0x90,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsps_fwdfe",
	.event = "umask=0x82,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsps_fwdm",
	.event = "umask=0x88,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsp_hitfse",
	.event = "umask=0x81,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rspi_fwdfe",
	.event = "umask=0x24,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rspi_fwdm",
	.event = "umask=0x30,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsps_fwdfe",
	.event = "umask=0x22,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsps_fwdm",
	.event = "umask=0x28,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsp_hitfse",
	.event = "umask=0x21,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the IIO Traffic Controller. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the 1GHz trafiic controller clock in the IIO unit",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all_parts",
	.event = "fc_mask=0x4,ch_mask=0x0f,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0-3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part0",
	.event = "fc_mask=0x4,ch_mask=0x01,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part1",
	.event = "fc_mask=0x4,ch_mask=0x02,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part2",
	.event = "fc_mask=0x4,ch_mask=0x04,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part3",
	.event = "fc_mask=0x4,ch_mask=0x08,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port0",
	.event = "fc_mask=0x7,ch_mask=0x01,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port1",
	.event = "fc_mask=0x7,ch_mask=0x02,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port2",
	.event = "fc_mask=0x7,ch_mask=0x04,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port3",
	.event = "fc_mask=0x7,ch_mask=0x08,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all_parts",
	.event = "fc_mask=0x04,umask=0xf,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 0-3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part0",
	.event = "fc_mask=0x04,umask=0x1,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part1",
	.event = "fc_mask=0x04,umask=0x2,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part2",
	.event = "fc_mask=0x04,umask=0x4,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part3",
	.event = "fc_mask=0x04,umask=0x8,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part0. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part1. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part2. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part3. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part0 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part1 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part2 by  a unit on the main die (generally a core) or by another IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part3 by  a unit on the main die (generally a core) or by another IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part0. Does not include requests made by the same IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part1. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part2. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part3. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part0 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part0 by a different IIO unit. Does not include requests made by the same IIO unit.  In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part1 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part1 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part2 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part2 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part3 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part3 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_link_num_corr_err",
	.event = "event=0xf",
	.desc = "Num Link  Correctable Errors. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_link_num_retries",
	.event = "event=0xe",
	.desc = "Num Link Retries. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match",
	.event = "event=0x21",
	.desc = "Number packets that passed the Mask/Match Filter. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0",
	.event = "umask=0x1,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_bus1",
	.event = "umask=0x8,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_not_bus1",
	.event = "umask=0x4,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus1",
	.event = "umask=0x2,event=0x2",
	.desc = "AND Mask/match for debug bus; PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_bus1",
	.event = "umask=0x10,event=0x2",
	.desc = "AND Mask/match for debug bus; !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x2",
	.desc = "AND Mask/match for debug bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0",
	.event = "umask=0x1,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_bus1",
	.event = "umask=0x8,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_not_bus1",
	.event = "umask=0x4,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus1",
	.event = "umask=0x2,event=0x3",
	.desc = "OR Mask/match for debug bus; PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_bus1",
	.event = "umask=0x10,event=0x3",
	.desc = "OR Mask/match for debug bus; !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x3",
	.desc = "OR Mask/match for debug bus; !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_nothing",
	.event = "event=0",
	.desc = "UNC_IIO_NOTHING. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_symbol_times",
	.event = "event=0x82",
	.desc = "Symbol Times on Link. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Gen1 - increment once every 4nS, Gen2 - increment once every 2nS, Gen3 - increment once every 1nS",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part0. In the general case, part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part1. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part2. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part3. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part0 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part1 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part2 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part3 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part0. Does not include requests made by the same IIO unit. In the general case, part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part1. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part2. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part3. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part0 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part0 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part1 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part1 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part2 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part2 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part3 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part3 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is  made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part1 to the MMIO space of an IIO target.In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.ctxt_miss",
	.event = "umask=0x2,event=0x41",
	.desc = "VTd Access; context cache miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l1_miss",
	.event = "umask=0x4,event=0x41",
	.desc = "VTd Access; L1 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l2_miss",
	.event = "umask=0x8,event=0x41",
	.desc = "VTd Access; L2 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l3_miss",
	.event = "umask=0x10,event=0x41",
	.desc = "VTd Access; L3 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l4_page_hit",
	.event = "umask=0x1,event=0x41",
	.desc = "VTd Access; Vtd hit. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb1_miss",
	.event = "umask=0x80,event=0x41",
	.desc = "VTd Access; TLB miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb_full",
	.event = "umask=0x40,event=0x41",
	.desc = "VTd Access; TLB is full. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb_miss",
	.event = "umask=0x20,event=0x41",
	.desc = "VTd Access; TLB miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_occupancy",
	.event = "event=0x40",
	.desc = "VTd Occupancy. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0xf",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.iv_q",
	.event = "umask=0x2,event=0xf",
	.desc = "Total Write Cache Occupancy; Snoops. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.mem",
	.event = "umask=0x4,event=0xf",
	.desc = "Total IRP occupancy of inbound read and write requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total IRP occupancy of inbound read and write requests.  This is effectively the sum of read occupancy and write occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0x1",
	.desc = "IRP Clocks. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x10",
	.desc = "Coherent Ops; CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.crd",
	.event = "umask=0x2,event=0x10",
	.desc = "Coherent Ops; CRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.drd",
	.event = "umask=0x4,event=0x10",
	.desc = "Coherent Ops; DRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcidcahint",
	.event = "umask=0x20,event=0x10",
	.desc = "Coherent Ops; PCIDCAHin5t. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcirdcur",
	.event = "umask=0x1,event=0x10",
	.desc = "Coherent Ops; PCIRdCur. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x10",
	.desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline to coherent memory, without a RFO.  PCIITOM is a speculative Invalidate to Modified command that requests ownership of the cacheline and does not move data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x10",
	.desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline to coherent memory.  RFO is a Read For Ownership command that requests ownership of the cacheline and moves data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x10",
	.desc = "Coherent Ops; WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_full",
	.event = "event=0x17",
	.desc = "FAF RF full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_inserts",
	.event = "event=0x18",
	.desc = "Inbound read requests received by the IRP and inserted into the FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound read requests to coherent memory, received by the IRP and inserted into the Fire and Forget queue (FAF), a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_occupancy",
	.event = "event=0x19",
	.desc = "Occupancy of the IRP FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Occupancy of the IRP Fire and Forget (FAF) queue, a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_transactions",
	.event = "event=0x16",
	.desc = "FAF allocation -- sent to ADQ. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.inbound_inserts",
	.event = "umask=0x1,event=0x1e",
	.desc = "All Inserts Inbound (p2p + faf + cset). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.outbound_inserts",
	.event = "umask=0x2,event=0x1e",
	.desc = "All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x1c",
	.desc = "Misc Events - Set 0; Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.unknown",
	.event = "umask=0x80,event=0x1c",
	.desc = "Misc Events - Set 0. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x1d",
	.desc = "Misc Events - Set 1; Lost Forward. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x1d",
	.desc = "Misc Events - Set 1; Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x1d",
	.desc = "Misc Events - Set 1; Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_inserts",
	.event = "event=0x14",
	.desc = "P2P Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P requests from the ITC",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_occupancy",
	.event = "event=0x15",
	.desc = "P2P Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P B & S Queue Occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.cmpl",
	.event = "umask=0x8,event=0x13",
	.desc = "P2P Transactions; P2P completions. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc",
	.event = "umask=0x40,event=0x13",
	.desc = "P2P Transactions; match if local only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc_and_tgt_match",
	.event = "umask=0x80,event=0x13",
	.desc = "P2P Transactions; match if local and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.msg",
	.event = "umask=0x4,event=0x13",
	.desc = "P2P Transactions; P2P Message. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rd",
	.event = "umask=0x1,event=0x13",
	.desc = "P2P Transactions; P2P reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem",
	.event = "umask=0x10,event=0x13",
	.desc = "P2P Transactions; Match if remote only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem_and_tgt_match",
	.event = "umask=0x20,event=0x13",
	.desc = "P2P Transactions; match if remote and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.wr",
	.event = "umask=0x2,event=0x13",
	.desc = "P2P Transactions; P2P Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit",
	.event = "umask=0x7e,event=0x12",
	.desc = "Responses to snoops of any type that hit M, E, S or I line in the IIO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M, E, S or I line in the IIO",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_es",
	.event = "umask=0x74,event=0x12",
	.desc = "Responses to snoops of any type that hit E or S line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit E or S line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_i",
	.event = "umask=0x72,event=0x12",
	.desc = "Responses to snoops of any type that hit I line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit I line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_m",
	.event = "umask=0x78,event=0x12",
	.desc = "Responses to snoops of any type that hit M line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_miss",
	.event = "umask=0x71,event=0x12",
	.desc = "Responses to snoops of any type that miss the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that miss the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x12",
	.desc = "Snoop Responses; Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x12",
	.desc = "Snoop Responses; Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x12",
	.desc = "Snoop Responses; Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x12",
	.desc = "Snoop Responses; Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x12",
	.desc = "Snoop Responses; SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x12",
	.desc = "Snoop Responses; SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x12",
	.desc = "Snoop Responses; SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x11",
	.desc = "Inbound Transaction Count; Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x11",
	.desc = "Inbound Transaction Count; Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_pref",
	.event = "umask=0x4,event=0x11",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x11",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x11",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x11",
	.desc = "Inbound write (fast path) requests received by the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound write (fast path) requests to coherent memory, received by the IRP resulting in write ownership requests issued by IRP to the mesh",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_ak_inserts",
	.event = "event=0xb",
	.desc = "AK Egress Allocations. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_cycles_full",
	.event = "event=0x5",
	.desc = "BL DRS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_inserts",
	.event = "event=0x2",
	.desc = "BL DRS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_occupancy",
	.event = "event=0x8",
	.desc = "BL DRS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_cycles_full",
	.event = "event=0x6",
	.desc = "BL NCB Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_inserts",
	.event = "event=0x3",
	.desc = "BL NCB Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_occupancy",
	.event = "event=0x9",
	.desc = "BL NCB Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_cycles_full",
	.event = "event=0x7",
	.desc = "BL NCS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_inserts",
	.event = "event=0x4",
	.desc = "BL NCS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_occupancy",
	.event = "event=0xa",
	.desc = "BL NCS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad_stall_credit_cycles",
	.event = "event=0x1a",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_bl_stall_credit_cycles",
	.event = "event=0x1b",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncb",
	.event = "event=0xd",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncs",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_request_occupancy",
	.event = "event=0xc",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.not_taken",
	.event = "umask=0x2,event=0x22",
	.desc = "Traffic in which the M2M to iMC Bypass was not taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts traffic in which the M2M (Mesh to Memory) to iMC (Memory Controller) bypass was not taken",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.taken",
	.event = "umask=0x1,event=0x22",
	.desc = "M2M to iMC Bypass; Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.not_taken",
	.event = "umask=0x2,event=0x21",
	.desc = "M2M to iMC Bypass; Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.taken",
	.event = "umask=0x1,event=0x21",
	.desc = "M2M to iMC Bypass; Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_clockticks",
	.event = "event=0",
	.desc = "Cycles - at UCLK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_dirstate",
	.event = "event=0x24",
	.desc = "Cycles when direct to core mode (which bypasses the CHA) was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when direct to core mode (which bypasses the CHA) was disabled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_taken",
	.event = "event=0x23",
	.desc = "Messages sent direct to core (bypassing the CHA). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when messages were sent direct to core (bypassing the CHA)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_txn_override",
	.event = "event=0x25",
	.desc = "Number of reads in which direct to core transaction were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts reads in which direct to core transactions (which would have bypassed the CHA) were overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_credits",
	.event = "event=0x28",
	.desc = "Number of reads in which direct to Intel UPI transactions were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts reads in which direct to Intel Ultra Path Interconnect (UPI) transactions (which would have bypassed the CHA) were overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_dirstate",
	.event = "event=0x27",
	.desc = "Cycles when direct to Intel UPI was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the ability to send messages direct to the Intel Ultra Path Interconnect (bypassing the CHA) was disabled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_taken",
	.event = "event=0x26",
	.desc = "Messages sent direct to the Intel UPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when messages were sent direct to the Intel Ultra Path Interconnect (bypassing the CHA)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_txn_override",
	.event = "event=0x29",
	.desc = "Number of reads that a message sent direct2 Intel UPI was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when a read message that was sent direct to the Intel Ultra Path Interconnect (bypassing the CHA) was overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_a",
	.event = "umask=0x80,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_i",
	.event = "umask=0x10,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_p",
	.event = "umask=0x40,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_s",
	.event = "umask=0x20,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_a",
	.event = "umask=0x8,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_i",
	.event = "umask=0x1,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_p",
	.event = "umask=0x4,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_s",
	.event = "umask=0x2,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.any",
	.event = "umask=0x1,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookups (any state found). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state, and found the cacheline marked in Any State (A, I, S or unused)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_a",
	.event = "umask=0x8,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookups (cacheline found in A state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state, and found the cacheline marked in the A (SnoopAll) state, indicating the cacheline is stored in another socket in any state, and we must snoop the other sockets to make sure we get the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_i",
	.event = "umask=0x2,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in I state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state , and found the cacheline marked in the I (Invalid) state indicating the cacheline is not stored in another socket, and so there is no need to snoop the other sockets for the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_s",
	.event = "umask=0x4,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in S state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state , and found the cacheline marked in the S (Shared) state indicating the cacheline is either stored in another socket in the S(hared) state , and so there is no need to snoop the other sockets for the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_a",
	.event = "umask=0x80,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_i",
	.event = "umask=0x10,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_p",
	.event = "umask=0x40,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_s",
	.event = "umask=0x20,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_a",
	.event = "umask=0x8,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_i",
	.event = "umask=0x1,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_p",
	.event = "umask=0x4,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_s",
	.event = "umask=0x2,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2i",
	.event = "umask=0x20,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from A to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from A (SnoopAll) to I (Invalid)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2s",
	.event = "umask=0x40,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from A to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from A (SnoopAll) to S (Shared)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.any",
	.event = "umask=0x1,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from/to Any state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory to a new state",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2a",
	.event = "umask=0x4,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from I to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from I (Invalid) to A (SnoopAll)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2s",
	.event = "umask=0x2,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from I to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from I (Invalid) to S (Shared)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2a",
	.event = "umask=0x10,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from S to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from S (Shared) to A (SnoopAll)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2i",
	.event = "umask=0x8,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from S to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from S (Shared) to I (Invalid)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.all",
	.event = "umask=0x4,event=0x37",
	.desc = "Reads to iMC issued. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues reads to the iMC (Memory Controller)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.from_transgress",
	.event = "umask=0x10,event=0x37",
	.desc = "M2M Reads Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.isoch",
	.event = "umask=0x2,event=0x37",
	.desc = "M2M Reads Issued to iMC; Critical Priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.normal",
	.event = "umask=0x1,event=0x37",
	.desc = "Reads to iMC issued at Normal Priority (Non-Isochronous). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues reads to the iMC (Memory Controller).  It only counts  normal priority non-isochronous reads",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.all",
	.event = "umask=0x10,event=0x38",
	.desc = "Writes to iMC issued. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues writes to the iMC (Memory Controller)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.from_transgress",
	.event = "umask=0x40,event=0x38",
	.desc = "M2M Writes Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full",
	.event = "umask=0x1,event=0x38",
	.desc = "M2M Writes Issued to iMC; Full Line Non-ISOCH. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x38",
	.desc = "M2M Writes Issued to iMC; ISOCH Full Line. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ni",
	.event = "umask=0x80,event=0x38",
	.desc = "M2M Writes Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial",
	.event = "umask=0x2,event=0x38",
	.desc = "Partial Non-Isochronous writes to the iMC. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues partial writes to the iMC (Memory Controller).  It only counts normal priority non-isochronous writes",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x38",
	.desc = "M2M Writes Issued to iMC; ISOCH Partial. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mc",
	.event = "umask=0x2,event=0x4c",
	.desc = "Number Packet Header Matches; MC Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mesh",
	.event = "umask=0x1,event=0x4c",
	.desc = "Number Packet Header Matches; Mesh Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full",
	.event = "event=0x53",
	.desc = "Prefetch CAM Cycles Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne",
	.event = "event=0x54",
	.desc = "Prefetch CAM Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_promotions",
	.event = "event=0x56",
	.desc = "Prefetch requests that got turn into a demand request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) promotes a outstanding request in the prefetch queue due to a subsequent demand read request that entered the M2M with the same address.  Explanatory Side Note: The Prefetch queue is made of CAM (Content Addressable Memory)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts",
	.event = "event=0x57",
	.desc = "Inserts into the Memory Controller Prefetch Queue. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) receives a prefetch request and inserts it into its outstanding prefetch queue.  Explanatory Side Note: the prefect queue is made from CAM: Content Addressable Memory",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy",
	.event = "event=0x55",
	.desc = "Prefetch CAM Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn0",
	.event = "umask=0x1,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn1",
	.event = "umask=0x2,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn2",
	.event = "umask=0x4,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_full",
	.event = "event=0x4",
	.desc = "AD Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_ne",
	.event = "event=0x3",
	.desc = "AD Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_inserts",
	.event = "event=0x1",
	.desc = "AD Ingress (from CMS) Queue Inserts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the a new entry is Received(RxC) and then added to the AD (Address Ring) Ingress Queue from the CMS (Common Mesh Stop).  This is generally used for reads, and",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_occupancy",
	.event = "event=0x2",
	.desc = "AD Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_full",
	.event = "event=0x8",
	.desc = "BL Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_ne",
	.event = "event=0x7",
	.desc = "BL Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_inserts",
	.event = "event=0x5",
	.desc = "BL Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_occupancy",
	.event = "event=0x6",
	.desc = "BL Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_ad_credits",
	.event = "event=0x41",
	.desc = "Number AD Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_bl_credits",
	.event = "event=0x42",
	.desc = "Number BL Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch0",
	.event = "umask=0x1,event=0x45",
	.desc = "Tracker Cycles Full; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch1",
	.event = "umask=0x2,event=0x45",
	.desc = "Tracker Cycles Full; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch2",
	.event = "umask=0x4,event=0x45",
	.desc = "Tracker Cycles Full; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch0",
	.event = "umask=0x1,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch1",
	.event = "umask=0x2,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch2",
	.event = "umask=0x4,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x49",
	.desc = "Tracker Inserts; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x49",
	.desc = "Tracker Inserts; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x49",
	.desc = "Tracker Inserts; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x47",
	.desc = "Tracker Occupancy; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x47",
	.desc = "Tracker Occupancy; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x47",
	.desc = "Tracker Occupancy; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_pending_occupancy",
	.event = "event=0x48",
	.desc = "Data Pending Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credits_acquired",
	.event = "event=0xd",
	.desc = "AD Egress (to CMS) Credit Acquired. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credit_occupancy",
	.event = "event=0xe",
	.desc = "AD Egress (to CMS) Credits Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_full",
	.event = "event=0xc",
	.desc = "AD Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_ne",
	.event = "event=0xb",
	.desc = "AD Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_inserts",
	.event = "event=0x9",
	.desc = "AD Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_cycles",
	.event = "event=0xf",
	.desc = "Cycles with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_stalled",
	.event = "event=0x10",
	.desc = "Cycles Stalled with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_occupancy",
	.event = "event=0xa",
	.desc = "AD Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.crd_cbo",
	.event = "umask=0x2,event=0x39",
	.desc = "Outbound Ring Transactions on AK; CRD Transactions to Cbo. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.ndr",
	.event = "umask=0x1,event=0x39",
	.desc = "Outbound Ring Transactions on AK; NDR Transactions. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms0",
	.event = "umask=0x1,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms1",
	.event = "umask=0x2,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credit_occupancy.cms0",
	.event = "umask=0x1,event=0x1e",
	.desc = "AK Egress (to CMS) Credits Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credit_occupancy.cms1",
	.event = "umask=0x2,event=0x1e",
	.desc = "AK Egress (to CMS) Credits Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.all",
	.event = "umask=0x3,event=0x14",
	.desc = "AK Egress (to CMS) Full; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms0",
	.event = "umask=0x1,event=0x14",
	.desc = "AK Egress (to CMS) Full; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms1",
	.event = "umask=0x2,event=0x14",
	.desc = "AK Egress (to CMS) Full; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd0",
	.event = "umask=0x8,event=0x14",
	.desc = "AK Egress (to CMS) Full; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd1",
	.event = "umask=0x88,event=0x14",
	.desc = "AK Egress (to CMS) Full; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp0",
	.event = "umask=0x20,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp1",
	.event = "umask=0xa0,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd0",
	.event = "umask=0x10,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd1",
	.event = "umask=0x90,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms0",
	.event = "umask=0x1,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms1",
	.event = "umask=0x2,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.rdcrd",
	.event = "umask=0x8,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcmp",
	.event = "umask=0x20,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcrd",
	.event = "umask=0x10,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.all",
	.event = "umask=0x3,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms0",
	.event = "umask=0x1,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms1",
	.event = "umask=0x2,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.pref_rd_cam_hit",
	.event = "umask=0x40,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Prefetch Read Cam Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.rdcrd",
	.event = "umask=0x8,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcmp",
	.event = "umask=0x20,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcrd",
	.event = "umask=0x10,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.all",
	.event = "umask=0x3,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms0",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms1",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.rdcrd",
	.event = "umask=0x8,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcmp",
	.event = "umask=0x20,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcrd",
	.event = "umask=0x10,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_sideband.rd",
	.event = "umask=0x1,event=0x6b",
	.desc = "AK Egress (to CMS) Sideband. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_sideband.wr",
	.event = "umask=0x2,event=0x6b",
	.desc = "AK Egress (to CMS) Sideband. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_cache",
	.event = "umask=0x1,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_core",
	.event = "umask=0x2,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_upi",
	.event = "umask=0x4,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms0",
	.event = "umask=0x1,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms1",
	.event = "umask=0x2,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credit_occupancy.cms0",
	.event = "umask=0x1,event=0x1a",
	.desc = "BL Egress (to CMS) Credits Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credit_occupancy.cms1",
	.event = "umask=0x2,event=0x1a",
	.desc = "BL Egress (to CMS) Credits Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.all",
	.event = "umask=0x3,event=0x18",
	.desc = "BL Egress (to CMS) Full; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms0",
	.event = "umask=0x1,event=0x18",
	.desc = "BL Egress (to CMS) Full; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms1",
	.event = "umask=0x2,event=0x18",
	.desc = "BL Egress (to CMS) Full; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms0",
	.event = "umask=0x1,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms1",
	.event = "umask=0x2,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.all",
	.event = "umask=0x3,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms0",
	.event = "umask=0x1,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms1",
	.event = "umask=0x2,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.all",
	.event = "umask=0x3,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.cms0",
	.event = "umask=0x1,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.cms1",
	.event = "umask=0x2,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn0",
	.event = "umask=0x1,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn1",
	.event = "umask=0x2,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn2",
	.event = "umask=0x4,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch0",
	.event = "umask=0x1,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch1",
	.event = "umask=0x2,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch2",
	.event = "umask=0x4,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch0",
	.event = "umask=0x1,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch1",
	.event = "umask=0x2,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch2",
	.event = "umask=0x4,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x61",
	.desc = "Write Tracker Inserts; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x61",
	.desc = "Write Tracker Inserts; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x61",
	.desc = "Write Tracker Inserts; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.req",
	.event = "umask=0x4,event=0x22",
	.desc = "CBox AD Credits Empty; Requests. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.snp",
	.event = "umask=0x8,event=0x22",
	.desc = "CBox AD Credits Empty; Snoops. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x22",
	.desc = "CBox AD Credits Empty; VNA Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.wb",
	.event = "umask=0x2,event=0x22",
	.desc = "CBox AD Credits Empty; Writebacks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the M3 uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the M3 is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2c_sent",
	.event = "event=0x2b",
	.desc = "D2C Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases BL sends direct to core",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2u_sent",
	.event = "event=0x2a",
	.desc = "D2U Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cases where SMI3 sends D2U command",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio0_iio1_ncb",
	.event = "umask=0x1,event=0x23",
	.desc = "M2 BL Credits Empty; IIO0 and IIO1 share the same ring destination. (1 VN0 credit only). Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio2_ncb",
	.event = "umask=0x2,event=0x23",
	.desc = "M2 BL Credits Empty; IIO2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio3_ncb",
	.event = "umask=0x4,event=0x23",
	.desc = "M2 BL Credits Empty; IIO3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio4_ncb",
	.event = "umask=0x8,event=0x23",
	.desc = "M2 BL Credits Empty; IIO4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio5_ncb",
	.event = "umask=0x10,event=0x23",
	.desc = "M2 BL Credits Empty; IIO5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs",
	.event = "umask=0x20,event=0x23",
	.desc = "M2 BL Credits Empty; All IIO targets for NCS are in single mask. ORs them together. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs_sel",
	.event = "umask=0x40,event=0x23",
	.desc = "M2 BL Credits Empty; Selected M2p BL NCS credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot0",
	.event = "umask=0x1,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot1",
	.event = "umask=0x2,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot2",
	.event = "umask=0x4,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot0",
	.event = "umask=0x10,event=0x3e",
	.desc = "Multi Slot Flit Received; AK - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot2",
	.event = "umask=0x20,event=0x3e",
	.desc = "Multi Slot Flit Received; AK - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.bl_slot0",
	.event = "umask=0x8,event=0x3e",
	.desc = "Multi Slot Flit Received; BL - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_req",
	.event = "umask=0x1,event=0x4b",
	.desc = "Lost Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4b",
	.desc = "Lost Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_snp",
	.event = "umask=0x2,event=0x4b",
	.desc = "Lost Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4b",
	.desc = "Lost Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4b",
	.desc = "Lost Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4b",
	.desc = "Lost Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_wb",
	.event = "umask=0x10,event=0x4b",
	.desc = "Lost Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_req",
	.event = "umask=0x1,event=0x4c",
	.desc = "Lost Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4c",
	.desc = "Lost Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_snp",
	.event = "umask=0x2,event=0x4c",
	.desc = "Lost Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4c",
	.desc = "Lost Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4c",
	.desc = "Lost Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4c",
	.desc = "Lost Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_wb",
	.event = "umask=0x10,event=0x4c",
	.desc = "Lost Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.adbl_parallel_win",
	.event = "umask=0x40,event=0x4d",
	.desc = "Arb Miscellaneous; AD, BL Parallel Win. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD and BL messages won arbitration concurrently / in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn0",
	.event = "umask=0x4,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending AD VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending ad vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn1",
	.event = "umask=0x8,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending AD VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending ad vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn0",
	.event = "umask=0x10,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending BL VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending bl vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn1",
	.event = "umask=0x20,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending BL VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending bl vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.par_bias_vn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "Arb Miscellaneous; Parallel Bias to VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0/VN1 arbiter gave second, consecutive win to vn0, delaying vn1 win, because vn0 offered parallel ad/bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.par_bias_vn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "Arb Miscellaneous; Parallel Bias to VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0/VN1 arbiter gave second, consecutive win to vn1, delaying vn0 win, because vn1 offered parallel ad/bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_req",
	.event = "umask=0x1,event=0x49",
	.desc = "Can't Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_rsp",
	.event = "umask=0x4,event=0x49",
	.desc = "Can't Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_snp",
	.event = "umask=0x2,event=0x49",
	.desc = "Can't Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_ncb",
	.event = "umask=0x20,event=0x49",
	.desc = "Can't Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_ncs",
	.event = "umask=0x40,event=0x49",
	.desc = "Can't Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_rsp",
	.event = "umask=0x8,event=0x49",
	.desc = "Can't Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_wb",
	.event = "umask=0x10,event=0x49",
	.desc = "Can't Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_req",
	.event = "umask=0x1,event=0x4a",
	.desc = "Can't Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4a",
	.desc = "Can't Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_snp",
	.event = "umask=0x2,event=0x4a",
	.desc = "Can't Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4a",
	.desc = "Can't Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4a",
	.desc = "Can't Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4a",
	.desc = "Can't Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_wb",
	.event = "umask=0x10,event=0x4a",
	.desc = "Can't Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_req",
	.event = "umask=0x1,event=0x47",
	.desc = "No Credits to Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_rsp",
	.event = "umask=0x4,event=0x47",
	.desc = "No Credits to Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_snp",
	.event = "umask=0x2,event=0x47",
	.desc = "No Credits to Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_ncb",
	.event = "umask=0x20,event=0x47",
	.desc = "No Credits to Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_ncs",
	.event = "umask=0x40,event=0x47",
	.desc = "No Credits to Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_rsp",
	.event = "umask=0x8,event=0x47",
	.desc = "No Credits to Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_wb",
	.event = "umask=0x10,event=0x47",
	.desc = "No Credits to Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_req",
	.event = "umask=0x1,event=0x48",
	.desc = "No Credits to Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_rsp",
	.event = "umask=0x4,event=0x48",
	.desc = "No Credits to Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_snp",
	.event = "umask=0x2,event=0x48",
	.desc = "No Credits to Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_ncb",
	.event = "umask=0x20,event=0x48",
	.desc = "No Credits to Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_ncs",
	.event = "umask=0x40,event=0x48",
	.desc = "No Credits to Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_rsp",
	.event = "umask=0x8,event=0x48",
	.desc = "No Credits to Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_wb",
	.event = "umask=0x10,event=0x48",
	.desc = "No Credits to Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_bl_arb",
	.event = "umask=0x2,event=0x40",
	.desc = "Ingress Queue Bypasses; AD to Slot 0 on BL Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times message is bypassed around the Ingress Queue; AD is taking bypass to slot 0 of independent flit while bl message is in arbitration",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_idle",
	.event = "umask=0x1,event=0x40",
	.desc = "Ingress Queue Bypasses; AD to Slot 0 on Idle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times message is bypassed around the Ingress Queue; AD is taking bypass to slot 0 of independent flit while pipeline is idle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s1_bl_slot",
	.event = "umask=0x4,event=0x40",
	.desc = "Ingress Queue Bypasses; AD + BL to Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times message is bypassed around the Ingress Queue; AD is taking bypass to flit slot 1 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s2_bl_slot",
	.event = "umask=0x8,event=0x40",
	.desc = "Ingress Queue Bypasses; AD + BL to Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times message is bypassed around the Ingress Queue; AD is taking bypass to flit slot 2 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_req",
	.event = "umask=0x1,event=0x50",
	.desc = "VN0 message lost contest for flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_rsp",
	.event = "umask=0x4,event=0x50",
	.desc = "VN0 message lost contest for flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_snp",
	.event = "umask=0x2,event=0x50",
	.desc = "VN0 message lost contest for flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_ncb",
	.event = "umask=0x20,event=0x50",
	.desc = "VN0 message lost contest for flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_ncs",
	.event = "umask=0x40,event=0x50",
	.desc = "VN0 message lost contest for flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_rsp",
	.event = "umask=0x8,event=0x50",
	.desc = "VN0 message lost contest for flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_wb",
	.event = "umask=0x10,event=0x50",
	.desc = "VN0 message lost contest for flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_req",
	.event = "umask=0x1,event=0x51",
	.desc = "VN1 message lost contest for flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_rsp",
	.event = "umask=0x4,event=0x51",
	.desc = "VN1 message lost contest for flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_snp",
	.event = "umask=0x2,event=0x51",
	.desc = "VN1 message lost contest for flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_ncb",
	.event = "umask=0x20,event=0x51",
	.desc = "VN1 message lost contest for flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_ncs",
	.event = "umask=0x40,event=0x51",
	.desc = "VN1 message lost contest for flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_rsp",
	.event = "umask=0x8,event=0x51",
	.desc = "VN1 message lost contest for flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_wb",
	.event = "umask=0x10,event=0x51",
	.desc = "VN1 message lost contest for flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_fifo",
	.event = "umask=0x1,event=0x60",
	.desc = "Miscellaneous Credit Events; Any In BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Indication that at least one packet (flit) is in the bgf (fifo only)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_path",
	.event = "umask=0x2,event=0x60",
	.desc = "Miscellaneous Credit Events; Any in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Indication that at least one packet (flit) is in the bgf path (i.e. pipe to fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.no_d2k_for_arb",
	.event = "umask=0x4,event=0x60",
	.desc = "Miscellaneous Credit Events; No D2K For Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 or VN1 BL RSP message was blocked from arbitration request due to lack of D2K CMP credits",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.d2k_crd",
	.event = "umask=0x10,event=0x61",
	.desc = "Credit Occupancy; D2K Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2K completion fifo credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_fifo",
	.event = "umask=0x2,event=0x61",
	.desc = "Credit Occupancy; Packets in BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy of m3upi ingress -&gt; upi link layer bgf; packets (flits) in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_path",
	.event = "umask=0x4,event=0x61",
	.desc = "Credit Occupancy; Packets in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy of m3upi ingress -&gt; upi link layer bgf; packets (flits) in path (i.e. pipe to fifo or fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_fifo",
	.event = "umask=0x40,event=0x61",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "count of bl messages in pump-1-pending state, in completion fifo only",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_total",
	.event = "umask=0x20,event=0x61",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "count of bl messages in pump-1-pending state, in marker table and in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.txq_crd",
	.event = "umask=0x8,event=0x61",
	.desc = "Credit Occupancy; Transmit Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Link layer transmit queue credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.vna_in_use",
	.event = "umask=0x1,event=0x61",
	.desc = "Credit Occupancy; VNA In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote UPI VNA credit occupancy (number of credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_req",
	.event = "umask=0x1,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_rsp",
	.event = "umask=0x4,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_snp",
	.event = "umask=0x2,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncb",
	.event = "umask=0x20,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncs",
	.event = "umask=0x40,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_rsp",
	.event = "umask=0x8,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_wb",
	.event = "umask=0x10,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_req",
	.event = "umask=0x1,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_rsp",
	.event = "umask=0x4,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_snp",
	.event = "umask=0x2,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncb",
	.event = "umask=0x20,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncs",
	.event = "umask=0x40,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_rsp",
	.event = "umask=0x8,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_wb",
	.event = "umask=0x10,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.all",
	.event = "umask=0x1,event=0x57",
	.desc = "Data Flit Not Sent; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.no_bgf",
	.event = "umask=0x2,event=0x57",
	.desc = "Data Flit Not Sent; No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.no_txq",
	.event = "umask=0x4,event=0x57",
	.desc = "Data Flit Not Sent; No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p0_wait",
	.event = "umask=0x1,event=0x59",
	.desc = "Generating BL Data Flit Sequence; Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "generating bl data flit sequence; waiting for data pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_at_limit",
	.event = "umask=0x10,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is at capacity (pending table plus completion fifo at limit)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_busy",
	.event = "umask=0x8,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is tracking at least one message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_fifo_full",
	.event = "umask=0x40,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending completion fifo is full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_hold_p0",
	.event = "umask=0x20,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is at or near capacity, such that pump-0-only bl messages are getting stalled in slotting stage",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_to_limbo",
	.event = "umask=0x4,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "a bl message finished but is in limbo and moved to pump-1-pending logic",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1_wait",
	.event = "umask=0x2,event=0x59",
	.desc = "Generating BL Data Flit Sequence; Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "generating bl data flit sequence; waiting for data pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc",
	.event = "event=0x5a",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.1_msg",
	.event = "umask=0x1,event=0x56",
	.desc = "Sent Header Flit; One Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "One message in flit; VNA or non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.1_msg_vnx",
	.event = "umask=0x8,event=0x56",
	.desc = "Sent Header Flit; One Message in non-VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "One message in flit; non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.2_msgs",
	.event = "umask=0x2,event=0x56",
	.desc = "Sent Header Flit; Two Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Two messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.3_msgs",
	.event = "umask=0x4,event=0x56",
	.desc = "Sent Header Flit; Three Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Three messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_1",
	.event = "umask=0x10,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_2",
	.event = "umask=0x20,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_3",
	.event = "umask=0x40,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.all",
	.event = "umask=0x1,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.need_data",
	.event = "umask=0x2,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Needs Data Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL message requires data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p0_wait",
	.event = "umask=0x4,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Waiting for header pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req",
	.event = "umask=0x10,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_but_bubble",
	.event = "umask=0x20,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1 - Bubble. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit but flit transmission delayed",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_not_avail",
	.event = "umask=0x40,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1 - Not Avail. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit and not available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_wait",
	.event = "umask=0x8,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Waiting for header pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum",
	.event = "umask=0x1,event=0x53",
	.desc = "Flit Gen - Header 1; Acumullate. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting control state machine is in any accumulate state; multi-message flit may be assembled over multiple cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_read",
	.event = "umask=0x2,event=0x53",
	.desc = "Flit Gen - Header 1; Accumulate Ready. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; header flit slotting control state machine is in accum_ready state; flit is ready to send but transmission is blocked; more messages may be slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_wasted",
	.event = "umask=0x4,event=0x53",
	.desc = "Flit Gen - Header 1; Accumulate Wasted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Flit is being assembled over multiple cycles, but no additional message is being slotted into flit in current cycle; accumulate cycle is wasted",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_blocked",
	.event = "umask=0x8,event=0x53",
	.desc = "Flit Gen - Header 1; Run-Ahead - Blocked. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting entered run-ahead state; new header flit is started while transmission of prior, fully assembled flit is blocked",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg",
	.event = "umask=0x10,event=0x53",
	.desc = "Flit Gen - Header 1; Run-Ahead - Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting is in run-ahead to start new flit, and message is actually slotted into new flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par",
	.event = "umask=0x20,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Ok. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; New header flit construction may proceed in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par_flit",
	.event = "umask=0x80,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Flit Finished. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit finished assembly in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par_msg",
	.event = "umask=0x40,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Message is slotted into header flit in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall",
	.event = "umask=0x1,event=0x54",
	.desc = "Flit Gen - Header 2; Rate-matching Stall. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 2; Rate-matching stall injected",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall_nomsg",
	.event = "umask=0x2,event=0x54",
	.desc = "Flit Gen - Header 2; Rate-matching Stall - No Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 2; Rate matching stall injected, but no additional message slotted during stall cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.all",
	.event = "umask=0x1,event=0x55",
	.desc = "Header Not Sent; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_bgf_crd",
	.event = "umask=0x2,event=0x55",
	.desc = "Header Not Sent; No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No BGF credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_bgf_no_msg",
	.event = "umask=0x8,event=0x55",
	.desc = "Header Not Sent; No BGF Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No BGF credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_txq_crd",
	.event = "umask=0x4,event=0x55",
	.desc = "Header Not Sent; No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No TxQ credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_txq_no_msg",
	.event = "umask=0x10,event=0x55",
	.desc = "Header Not Sent; No TxQ Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No TxQ credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.one_taken",
	.event = "umask=0x20,event=0x55",
	.desc = "Header Not Sent; Sent - One Slot Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with only one slot taken (two slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.three_taken",
	.event = "umask=0x80,event=0x55",
	.desc = "Header Not Sent; Sent - Three Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with three slots taken (no slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.two_taken",
	.event = "umask=0x40,event=0x55",
	.desc = "Header Not Sent; Sent - Two Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with only two slots taken (one slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_ad",
	.event = "umask=0x40,event=0x52",
	.desc = "Message Held; Can't Slot AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some AD message could not be slotted (logical OR of all AD events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_bl",
	.event = "umask=0x80,event=0x52",
	.desc = "Message Held; Can't Slot BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some BL message could not be slotted (logical OR of all BL events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_ad_lost",
	.event = "umask=0x10,event=0x52",
	.desc = "Message Held; Parallel AD Lost. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some AD message lost contest for slot 0 (logical OR of all AD events under INGR_SLOT_LOST_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_attempt",
	.event = "umask=0x4,event=0x52",
	.desc = "Message Held; Parallel Attempt. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "ad and bl messages attempted to slot into the same flit in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_bl_lost",
	.event = "umask=0x20,event=0x52",
	.desc = "Message Held; Parallel BL Lost. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some BL message lost contest for slot 0 (logical OR of all BL events under INGR_SLOT_LOST_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_success",
	.event = "umask=0x8,event=0x52",
	.desc = "Message Held; Parallel Success. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "ad and bl messages were actually slotted into the same flit in paralle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn0",
	.event = "umask=0x1,event=0x52",
	.desc = "Message Held; VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "vn0 message(s) that couldn't be slotted into last vn0 flit are held in slotting stage while processing vn1 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn1",
	.event = "umask=0x2,event=0x52",
	.desc = "Message Held; VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "vn1 message(s) that couldn't be slotted into last vn1 flit are held in slotting stage while processing vn0 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_req",
	.event = "umask=0x1,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_rsp",
	.event = "umask=0x4,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_snp",
	.event = "umask=0x2,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncb",
	.event = "umask=0x20,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncs",
	.event = "umask=0x40,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_rsp",
	.event = "umask=0x8,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_wb",
	.event = "umask=0x10,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_req",
	.event = "umask=0x1,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_rsp",
	.event = "umask=0x4,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_snp",
	.event = "umask=0x2,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncb",
	.event = "umask=0x20,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncs",
	.event = "umask=0x40,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_rsp",
	.event = "umask=0x8,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_wb",
	.event = "umask=0x10,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_req",
	.event = "umask=0x1,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_rsp",
	.event = "umask=0x4,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_snp",
	.event = "umask=0x2,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncb",
	.event = "umask=0x20,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncs",
	.event = "umask=0x40,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_rsp",
	.event = "umask=0x8,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_wb",
	.event = "umask=0x10,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_req",
	.event = "umask=0x1,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_rsp",
	.event = "umask=0x4,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_snp",
	.event = "umask=0x2,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncb",
	.event = "umask=0x20,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncs",
	.event = "umask=0x40,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_rsp",
	.event = "umask=0x8,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_wb",
	.event = "umask=0x10,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_req",
	.event = "umask=0x1,event=0x4e",
	.desc = "VN0 message can't slot into flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4e",
	.desc = "VN0 message can't slot into flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_snp",
	.event = "umask=0x2,event=0x4e",
	.desc = "VN0 message can't slot into flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4e",
	.desc = "VN0 message can't slot into flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4e",
	.desc = "VN0 message can't slot into flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4e",
	.desc = "VN0 message can't slot into flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_wb",
	.event = "umask=0x10,event=0x4e",
	.desc = "VN0 message can't slot into flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_req",
	.event = "umask=0x1,event=0x4f",
	.desc = "VN1 message can't slot into flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4f",
	.desc = "VN1 message can't slot into flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_snp",
	.event = "umask=0x2,event=0x4f",
	.desc = "VN1 message can't slot into flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4f",
	.desc = "VN1 message can't slot into flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4f",
	.desc = "VN1 message can't slot into flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4f",
	.desc = "VN1 message can't slot into flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_wb",
	.event = "umask=0x10,event=0x4f",
	.desc = "VN1 message can't slot into flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.arb_lost",
	.event = "umask=0x2,event=0x62",
	.desc = "SMI3 Prefetch Messages; Lost Arbitration. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.arrived",
	.event = "umask=0x1,event=0x62",
	.desc = "SMI3 Prefetch Messages; Arrived. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.drop_old",
	.event = "umask=0x8,event=0x62",
	.desc = "SMI3 Prefetch Messages; Dropped - Old. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.drop_wrap",
	.event = "umask=0x10,event=0x62",
	.desc = "SMI3 Prefetch Messages; Dropped - Wrap. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Dropped because it was overwritten by new message while prefetch queue was full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.slotted",
	.event = "umask=0x4,event=0x62",
	.desc = "SMI3 Prefetch Messages; Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.any_in_use",
	.event = "umask=0x20,event=0x5b",
	.desc = "Remote VNA Credits; Any In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "At least one remote vna credit is in use",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.corrected",
	.event = "umask=0x2,event=0x5b",
	.desc = "Remote VNA Credits; Corrected. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of remote vna credits corrected (local return) per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt1",
	.event = "umask=0x4,event=0x5b",
	.desc = "Remote VNA Credits; Level &lt; 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 1 (i.e. no vna credits available)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt4",
	.event = "umask=0x8,event=0x5b",
	.desc = "Remote VNA Credits; Level &lt; 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 4; bl (or ad requiring 4 vna) cannot arb on vna",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt5",
	.event = "umask=0x10,event=0x5b",
	.desc = "Remote VNA Credits; Level &lt; 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 5; parallel ad/bl arb on vna not possible",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.used",
	.event = "umask=0x1,event=0x5b",
	.desc = "Remote VNA Credits; Used. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of remote vna credits consumed per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_req",
	.event = "umask=0x1,event=0x30",
	.desc = "Failed ARB for AD; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_rsp",
	.event = "umask=0x4,event=0x30",
	.desc = "Failed ARB for AD; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_snp",
	.event = "umask=0x2,event=0x30",
	.desc = "Failed ARB for AD; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_wb",
	.event = "umask=0x8,event=0x30",
	.desc = "Failed ARB for AD; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_req",
	.event = "umask=0x10,event=0x30",
	.desc = "Failed ARB for AD; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_rsp",
	.event = "umask=0x40,event=0x30",
	.desc = "Failed ARB for AD; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_snp",
	.event = "umask=0x20,event=0x30",
	.desc = "Failed ARB for AD; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_wb",
	.event = "umask=0x80,event=0x30",
	.desc = "Failed ARB for AD; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot0",
	.event = "umask=0x1,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot1",
	.event = "umask=0x2,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot2",
	.event = "umask=0x4,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.bl_early_rsp",
	.event = "umask=0x8,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_req",
	.event = "umask=0x1,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_rsp",
	.event = "umask=0x4,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_snp",
	.event = "umask=0x2,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_wb",
	.event = "umask=0x8,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_req",
	.event = "umask=0x10,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_rsp",
	.event = "umask=0x40,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_snp",
	.event = "umask=0x20,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_req",
	.event = "umask=0x1,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_rsp",
	.event = "umask=0x4,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_snp",
	.event = "umask=0x2,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_wb",
	.event = "umask=0x8,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_req",
	.event = "umask=0x10,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_rsp",
	.event = "umask=0x40,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_snp",
	.event = "umask=0x20,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_cha",
	.event = "umask=0x4,event=0x3c",
	.desc = "Number of Snoop Targets; CHA on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to CHA",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_non_idle",
	.event = "umask=0x40,event=0x3c",
	.desc = "Number of Snoop Targets; Non Idle cycles on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of non-idle cycles in issuing Vn0 Snpf",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_peer_upi0",
	.event = "umask=0x1,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI0 on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to peer UPI0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_peer_upi1",
	.event = "umask=0x2,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI1 on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to peer UPI1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_cha",
	.event = "umask=0x20,event=0x3c",
	.desc = "Number of Snoop Targets; CHA on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to CHA",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_non_idle",
	.event = "umask=0x80,event=0x3c",
	.desc = "Number of Snoop Targets; Non Idle cycles on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of non-idle cycles in issuing Vn1 Snpf",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_peer_upi0",
	.event = "umask=0x8,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI0 on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to peer UPI0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_peer_upi1",
	.event = "umask=0x10,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI1 on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to peer UPI1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn0_snpfp_nonsnp",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ txn issued when SnpF pending on Vn0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn0_snpfp_vn2snp",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ SnpF Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ Vn0 SnpF issued when SnpF pending on Vn1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn1_snpfp_nonsnp",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ txn issued when SnpF pending on Vn1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn1_snpfp_vn0snp",
	.event = "umask=0x8,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ SnpF Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ Vn1 SnpF issued when SnpF pending on Vn0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_req",
	.event = "umask=0x1,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_snp",
	.event = "umask=0x2,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_wb",
	.event = "umask=0x8,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_req",
	.event = "umask=0x10,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_snp",
	.event = "umask=0x20,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_wb",
	.event = "umask=0x80,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_req",
	.event = "umask=0x1,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_snp",
	.event = "umask=0x2,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_wb",
	.event = "umask=0x8,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_req",
	.event = "umask=0x10,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_snp",
	.event = "umask=0x20,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_wb",
	.event = "umask=0x80,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_req",
	.event = "umask=0x1,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_rsp",
	.event = "umask=0x4,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_snp",
	.event = "umask=0x2,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_wb",
	.event = "umask=0x8,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_req",
	.event = "umask=0x10,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_rsp",
	.event = "umask=0x40,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_snp",
	.event = "umask=0x20,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_wb",
	.event = "umask=0x80,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_inserts",
	.event = "event=0x2f",
	.desc = "AK Flow Q Inserts. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_occupancy",
	.event = "event=0x1e",
	.desc = "AK Flow Q Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncb",
	.event = "umask=0x4,event=0x35",
	.desc = "Failed ARB for BL; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncs",
	.event = "umask=0x8,event=0x35",
	.desc = "Failed ARB for BL; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_rsp",
	.event = "umask=0x1,event=0x35",
	.desc = "Failed ARB for BL; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_wb",
	.event = "umask=0x2,event=0x35",
	.desc = "Failed ARB for BL; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncb",
	.event = "umask=0x40,event=0x35",
	.desc = "Failed ARB for BL; VN1 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncs",
	.event = "umask=0x80,event=0x35",
	.desc = "Failed ARB for BL; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_rsp",
	.event = "umask=0x10,event=0x35",
	.desc = "Failed ARB for BL; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_wb",
	.event = "umask=0x20,event=0x35",
	.desc = "Failed ARB for BL; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncb",
	.event = "umask=0x1,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncs",
	.event = "umask=0x2,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_rsp",
	.event = "umask=0x8,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_wb",
	.event = "umask=0x4,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncb",
	.event = "umask=0x10,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncs",
	.event = "umask=0x20,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_rsp",
	.event = "umask=0x80,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_wb",
	.event = "umask=0x40,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncb",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncs",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_rsp",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_wb",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncb",
	.event = "umask=0x40,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncs",
	.event = "umask=0x80,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_rsp",
	.event = "umask=0x10,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_wb",
	.event = "umask=0x20,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_ncb",
	.event = "umask=0x2,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_ncs",
	.event = "umask=0x8,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_wb",
	.event = "umask=0x1,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_ncb",
	.event = "umask=0x20,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_ncs",
	.event = "umask=0x80,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_wb",
	.event = "umask=0x10,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_ncb",
	.event = "umask=0x4,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_ncs",
	.event = "umask=0x8,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_rsp",
	.event = "umask=0x1,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_wb",
	.event = "umask=0x2,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_ncb",
	.event = "umask=0x40,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_ncs",
	.event = "umask=0x80,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_rsp",
	.event = "umask=0x10,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_wb",
	.event = "umask=0x20,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_req",
	.event = "umask=0x2,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_rsp",
	.event = "umask=0x8,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_req",
	.event = "umask=0x10,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_rsp",
	.event = "umask=0x40,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x20",
	.desc = "UPI0 AD Credits Empty; VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_ncs_ncb",
	.event = "umask=0x4,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_rsp",
	.event = "umask=0x2,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_wb",
	.event = "umask=0x8,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_ncs_ncb",
	.event = "umask=0x20,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_rsp",
	.event = "umask=0x10,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_wb",
	.event = "umask=0x40,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x21",
	.desc = "UPI0 BL Credits Empty; VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_prefetch_spawn",
	.event = "event=0x29",
	.desc = "Prefetches generated by the flow control queue of the M3UPI unit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where flow control queue that sits between the Intel Ultra Path Interconnect (UPI) and the mesh spawns a prefetch to the iMC (Memory Controller)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x5c",
	.desc = "VN0 Credit Used; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x5c",
	.desc = "VN0 Credit Used; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.req",
	.event = "umask=0x1,event=0x5c",
	.desc = "VN0 Credit Used; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.rsp",
	.event = "umask=0x4,event=0x5c",
	.desc = "VN0 Credit Used; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x5c",
	.desc = "VN0 Credit Used; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.wb",
	.event = "umask=0x8,event=0x5c",
	.desc = "VN0 Credit Used; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncb",
	.event = "umask=0x10,event=0x5e",
	.desc = "VN0 No Credits; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncs",
	.event = "umask=0x20,event=0x5e",
	.desc = "VN0 No Credits; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.req",
	.event = "umask=0x1,event=0x5e",
	.desc = "VN0 No Credits; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.rsp",
	.event = "umask=0x4,event=0x5e",
	.desc = "VN0 No Credits; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.snp",
	.event = "umask=0x2,event=0x5e",
	.desc = "VN0 No Credits; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.wb",
	.event = "umask=0x8,event=0x5e",
	.desc = "VN0 No Credits; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x5d",
	.desc = "VN1 Credit Used; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x5d",
	.desc = "VN1 Credit Used; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.req",
	.event = "umask=0x1,event=0x5d",
	.desc = "VN1 Credit Used; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.rsp",
	.event = "umask=0x4,event=0x5d",
	.desc = "VN1 Credit Used; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x5d",
	.desc = "VN1 Credit Used; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.wb",
	.event = "umask=0x8,event=0x5d",
	.desc = "VN1 Credit Used; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncb",
	.event = "umask=0x10,event=0x5f",
	.desc = "VN1 No Credits; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncs",
	.event = "umask=0x20,event=0x5f",
	.desc = "VN1 No Credits; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.req",
	.event = "umask=0x1,event=0x5f",
	.desc = "VN1 No Credits; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.rsp",
	.event = "umask=0x4,event=0x5f",
	.desc = "VN1 No Credits; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.snp",
	.event = "umask=0x2,event=0x5f",
	.desc = "VN1 No Credits; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.wb",
	.event = "umask=0x8,event=0x5f",
	.desc = "VN1 No Credits; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_nounit_txc_bl.drs_upi",
	.event = "umask=0x4,event=0x40",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_TxC_BL.DRS_UPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_clockticks",
	.event = "event=0x1",
	.desc = "Clocks of the Intel Ultra Path Interconnect (UPI). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the fixed frequency clock controlling the Intel Ultra Path Interconnect (UPI).  This clock runs at1/8th the 'GT/s' speed of the UPI link.  For example, a  9.6GT/s  link will have a fixed Frequency of 1.2 Ghz",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2c",
	.event = "umask=0x1,event=0x12",
	.desc = "Data Response packets that go direct to core. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts Data Response (DRS) packets that attempted to go direct to core bypassing the CHA",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2k",
	.event = "umask=0x2,event=0x12",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_DIRECT_ATTEMPTS.D2U. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_direct_attempts.d2u",
	.event = "umask=0x2,event=0x12",
	.desc = "Data Response packets that go direct to Intel UPI. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts Data Response (DRS) packets that attempted to go direct to Intel Ultra Path Interconnect (UPI) bypassing the CHA ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq0",
	.event = "umask=0x1,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq1",
	.event = "umask=0x2,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq2",
	.event = "umask=0x4,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq0",
	.event = "umask=0x10,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq1",
	.event = "umask=0x20,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq2",
	.event = "umask=0x40,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq3",
	.event = "umask=0x80,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.bl_vna_eq0",
	.event = "umask=0x8,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_l1_power_cycles",
	.event = "event=0x21",
	.desc = "Cycles Intel UPI is in L1 power mode (shutdown). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the Intel Ultra Path Interconnect (UPI) is in L1 power mode.  L1 is a mode that totally shuts down the UPI link.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another, this event only coutns when both links are shutdown",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.bgf_crd",
	.event = "umask=0x8,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ak_vna_le3",
	.event = "umask=0x4,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x2,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.gv_block",
	.event = "umask=0x10,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_crd_return_blocked",
	.event = "event=0x16",
	.desc = "UNC_UPI_M3_CRD_RETURN_BLOCKED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.bgf_crd",
	.event = "umask=0x20,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_btw_2_thresh",
	.event = "umask=0x2,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_BTW_2_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ak_vna_le3",
	.event = "umask=0x10,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_btw_0_thresh",
	.event = "umask=0x8,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_BTW_0_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x4,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.gv_block",
	.event = "umask=0x40,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_phy_init_cycles",
	.event = "event=0x20",
	.desc = "Cycles where phy is not in L0, L0c, L0p, L1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_nack",
	.event = "event=0x23",
	.desc = "L1 Req Nack. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times a link sends/receives a LinkReqNAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqNAck refers to receiving an NAck (meaning this agent's Tx originally requested the power change).  A Tx LinkReqNAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_req",
	.event = "event=0x22",
	.desc = "L1 Req (same as L1 Ack). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times a link sends/receives a LinkReqAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqAck refers to receiving an Ack (meaning this agent's Tx originally requested the power change).  A Tx LinkReqAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.ack",
	.event = "umask=0x8,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.ACK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn0",
	.event = "umask=0x2,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn1",
	.event = "umask=0x4,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vna",
	.event = "umask=0x1,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VNA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0p_power_cycles",
	.event = "event=0x25",
	.desc = "Cycles the Rx of the Intel UPI is in L0p power mode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the receive side (Rx) of the Intel Ultra Path Interconnect(UPI) is in L0p power mode. L0p is a mode where we disable 60% of the UPI lanes, decreasing our bandwidth in order to save power",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0_power_cycles",
	.event = "event=0x24",
	.desc = "Cycles in L0. Receive side. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "REQ Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Request Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match REQ Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "SNP Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Snoop Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match SNP Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot0",
	.event = "umask=0x1,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot0 RxQ buffer (Receive Queue) and passed directly to the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot1",
	.event = "umask=0x2,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot1 RxQ buffer  (Receive Queue) and passed directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot2",
	.event = "umask=0x4,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot2 RxQ buffer (Receive Queue)  and passed directly to the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_crc_errors",
	.event = "event=0xb",
	.desc = "CRC Errors Detected. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of CRC errors detected in the UPI Agent.  Each UPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the UPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_crc_llr_req_transmit",
	.event = "event=0x8",
	.desc = "LLR Requests Sent. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of LLR Requests were transmitted.  This should generally be &lt;= the number of CRC errors detected.  If multiple errors are detected before the Rx side receives a LLC_REQ_ACK from the Tx side, there is no need to send more LLR_REQ_NACKs",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn0",
	.event = "event=0x39",
	.desc = "VN0 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn1",
	.event = "event=0x3a",
	.desc = "VN1 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vna",
	.event = "event=0x38",
	.desc = "VNA Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_data",
	.event = "umask=0xf,event=0x3",
	.desc = "Valid data FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs  (80 bit FLow control unITs: 64bits of data) received from any of the 3 Intel Ultra Path Interconnect (UPI) Receive Queue slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_null",
	.event = "umask=0x27,event=0x3",
	.desc = "Null FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts null FLITs (80 bit FLow control unITs) received from any of the 3 Intel Ultra Path Interconnect (UPI) Receive Queue slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.data",
	.event = "umask=0x8,event=0x3",
	.desc = "Valid Flits Received; Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.idle",
	.event = "umask=0x47,event=0x3",
	.desc = "Valid Flits Received; Idle. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llcrd",
	.event = "umask=0x10,event=0x3",
	.desc = "Valid Flits Received; LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llctrl",
	.event = "umask=0x40,event=0x3",
	.desc = "Valid Flits Received; LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.non_data",
	.event = "umask=0x97,event=0x3",
	.desc = "Protocol header and credit FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts protocol header and credit FLITs  (80 bit FLow control unITs) received from any of the 3 UPI slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.null",
	.event = "umask=0x20,event=0x3",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_FLITS.ALL_NULL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_flits.prothdr",
	.event = "umask=0x80,event=0x3",
	.desc = "Valid Flits Received; Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.prot_hdr",
	.event = "umask=0x80,event=0x3",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_FLITS.PROTHDR. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_flits.slot0",
	.event = "umask=0x1,event=0x3",
	.desc = "Valid Flits Received; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot1",
	.event = "umask=0x2,event=0x3",
	.desc = "Valid Flits Received; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot2",
	.event = "umask=0x4,event=0x3",
	.desc = "Valid Flits Received; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.ncb",
	.event = "umask=0xc,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.NCB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.ncs",
	.event = "umask=0xd,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.NCS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.req",
	.event = "umask=0x8,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.REQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.rsp",
	.event = "umask=0xa,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.RSP_DATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.snp",
	.event = "umask=0x9,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.SNP. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.wb",
	.event = "umask=0xb,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.WB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot0",
	.event = "umask=0x1,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot1",
	.event = "umask=0x2,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot2",
	.event = "umask=0x4,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot0",
	.event = "umask=0x1,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot1",
	.event = "umask=0x2,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot2",
	.event = "umask=0x4,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq1",
	.event = "umask=0x1,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq2",
	.event = "umask=0x2,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq0",
	.event = "umask=0x4,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq2",
	.event = "umask=0x8,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq0",
	.event = "umask=0x10,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq1",
	.event = "umask=0x20,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.cfg_ctl",
	.event = "umask=0x1,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.CFG_CTL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.dfx",
	.event = "umask=0x40,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.DFX. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.retry",
	.event = "umask=0x20,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RETRY. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq",
	.event = "umask=0x2,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_bypass",
	.event = "umask=0x4,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_BYPASS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_cred",
	.event = "umask=0x8,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_CRED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.spare",
	.event = "umask=0x80,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.SPARE. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.txq",
	.event = "umask=0x10,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.TXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles",
	.event = "event=0x27",
	.desc = "Cycles in which the Tx of the Intel Ultra Path Interconnect (UPI) is in L0p power mode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the transmit side (Tx) of the Intel Ultra Path Interconnect(UPI) is in L0p power mode. L0p is a mode where we disable 60% of the UPI lanes, decreasing our bandwidth in order to save power",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_ll_enter",
	.event = "event=0x28",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_LL_ENTER. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_m3_exit",
	.event = "event=0x29",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_M3_EXIT. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0_power_cycles",
	.event = "event=0x26",
	.desc = "Cycles in L0. Transmit side. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "REQ Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Request Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match REQ Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "SNP Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Snoop Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match SNP Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_bypassed",
	.event = "event=0x41",
	.desc = "FLITs that bypassed the TxL Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the TxL(transmit) FLIT buffer and pass directly out the UPI Link. Generally, when data is transmitted across the Intel Ultra Path Interconnect (UPI), it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used in L0p (Low Power) mode and (Link Layer Retry) LLR  mode, increasing latency to transfer out to the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_data",
	.event = "umask=0xf,event=0x2",
	.desc = "Valid data FLITs transmitted via any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs (80 bit FLow control unITs: 64bits of data) transmitted (TxL) via any of the 3 Intel Ultra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_null",
	.event = "umask=0x27,event=0x2",
	.desc = "Null FLITs transmitted from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts null FLITs (80 bit FLow control unITs) transmitted via any of the 3 Intel Ulra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.data",
	.event = "umask=0x8,event=0x2",
	.desc = "Valid Flits Sent; Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.idle",
	.event = "umask=0x47,event=0x2",
	.desc = "Idle FLITs transmitted. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts when the Intel Ultra Path Interconnect(UPI) transmits an idle FLIT(80 bit FLow control unITs).  Every UPI cycle must be sending either data FLITs, protocol/credit FLITs or idle FLITs",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llcrd",
	.event = "umask=0x10,event=0x2",
	.desc = "Valid Flits Sent; LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llctrl",
	.event = "umask=0x40,event=0x2",
	.desc = "Valid Flits Sent; LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.non_data",
	.event = "umask=0x97,event=0x2",
	.desc = "Protocol header and credit FLITs transmitted across any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts protocol header and credit FLITs (80 bit FLow control unITs) transmitted across any of the 3 UPI (Ultra Path Interconnect) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.null",
	.event = "umask=0x20,event=0x2",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_FLITS.ALL_NULL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_flits.prothdr",
	.event = "umask=0x80,event=0x2",
	.desc = "Valid Flits Sent; Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.prot_hdr",
	.event = "umask=0x80,event=0x2",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_FLITS.PROTHDR. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_flits.slot0",
	.event = "umask=0x1,event=0x2",
	.desc = "Valid Flits Sent; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot1",
	.event = "umask=0x2,event=0x2",
	.desc = "Valid Flits Sent; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot2",
	.event = "umask=0x4,event=0x2",
	.desc = "Valid Flits Sent; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_hdr_match.data_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.dual_slot_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.loc",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.NCB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.NCS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.non_data_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rem",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.req",
	.event = "umask=0x8,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.REQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.RSP_DATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.RSP_NODATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.sgl_slot_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.snp",
	.event = "umask=0x9,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.SNP. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.wb",
	.event = "umask=0xc,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.WB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_inserts",
	.event = "event=0x40",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Tx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_occupancy",
	.event = "event=0x42",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_blocked_vn01",
	.event = "event=0x45",
	.desc = "UNC_UPI_VNA_CREDIT_RETURN_BLOCKED_VN01. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_occupancy",
	.event = "event=0x44",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the UBOX using a dedicated 48-bit Fixed Counter. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "Message Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "Message Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "Message Received; IPI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.; Inter Processor Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "Message Received; MSI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.; Message Signaled Interrupts - interrupts sent by devices (including PCIe via IOxAPIC) (Socket Mode only)",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "Message Received; VLW. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.pftch_buf_empty",
	.event = "umask=0x4,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.PFTCH_BUF_EMPTY. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdrand",
	.event = "umask=0x1,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDRAND. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdseed",
	.event = "umask=0x2,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDSEED. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "upi_data_bandwidth_tx",
	.event = "umask=0xf,event=0x2",
	.desc = "UPI interconnect send bandwidth for payload. Derived from unc_upi_txl_flits.all_data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs (80 bit FLow control unITs: 64bits of data) transmitted (TxL) via any of the 3 Intel Ultra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.unit = "7.11E-06Bytes",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=2000003,umask=0x2,event=0x48",
	.desc = "Number of times a request needed a FB entry but there was no entry available for it. That is the FB unavailability was dominant reason for blocking the request. A request includes cacheable/uncacheable demands that is load, store or SW prefetch",
	.topic = "cache",
	.long_desc = "Number of times a request needed a FB (Fill Buffer) entry but there was no entry available for it. A request includes cacheable/uncacheable demands that are load, store or SW prefetch instructions",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstandings duration in cycles",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch.Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines can be either in modified state or clean state. Modified lines may either be written back to L3 or directly written to memory and not allocated in L3.  Clean lines may either be allocated in L3 or dropped",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines can be either in modified state or clean state. Modified lines may either be written back to L3 or directly written to memory and not allocated in L3.  Clean lines may either be allocated in L3 or dropped",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared state. A non-threaded event",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "Counts the number of lines that have been hardware prefetched but not used and now evicted by L2 cache",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_pref",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "This event is deprecated. Refer to new event L2_LINES_OUT.USELESS_HWPF",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests to L2 cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches",
	.topic = "cache",
	.long_desc = "Counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "All requests that miss L2 cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0xd8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x38,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
	.long_desc = "All L2 requests",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2. It does not include all misses to the L3  Spec update: SKL057",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the  L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2.  It does not include all accesses to the L3  Spec update: SKL057",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=2000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from local dram  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources missed L3 but serviced from local DRAM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_dram",
	.event = "period=100007,umask=0x2,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from remote dram  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x8,event=0xd3",
	.desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or lock  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Retired load instructions which data sources were load missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "Counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, etc.",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "Counts both cacheable and non-cacheable code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "Counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.Note: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x60",
	.desc = "Cycles with offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Cycles with offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.Note: A prefetch promoted to Demand is counted from the promotion point",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
	.long_desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10491",
	.desc = "Counts all demand & prefetch data reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0491",
	.desc = "Counts all demand & prefetch data reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0491",
	.desc = "Counts all demand & prefetch data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0491",
	.desc = "Counts all demand & prefetch data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0491",
	.desc = "Counts all demand & prefetch data reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0491",
	.desc = "OFFCORE_RESPONSE.ALL_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10490",
	.desc = "Counts all prefetch data reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0490",
	.desc = "Counts all prefetch data reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0490",
	.desc = "Counts all prefetch data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0490",
	.desc = "Counts all prefetch data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0490",
	.desc = "Counts all prefetch data reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0490",
	.desc = "OFFCORE_RESPONSE.ALL_PF_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10120",
	.desc = "Counts prefetch RFOs that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0120",
	.desc = "Counts prefetch RFOs that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0120",
	.desc = "Counts prefetch RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0120",
	.desc = "Counts prefetch RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0120",
	.desc = "Counts prefetch RFOs that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0120",
	.desc = "OFFCORE_RESPONSE.ALL_PF_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10122",
	.desc = "Counts all demand & prefetch RFOs that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0122",
	.desc = "OFFCORE_RESPONSE.ALL_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts all demand code reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0004",
	.desc = "Counts all demand code reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts all demand code reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts all demand code reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "Counts all demand code reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0004",
	.desc = "OFFCORE_RESPONSE.DEMAND_CODE_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "Counts demand data reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "OFFCORE_RESPONSE.DEMAND_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts all demand data writes (RFOs) that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0002",
	.desc = "OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0400",
	.desc = "OFFCORE_RESPONSE.PF_L1D_AND_SW.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "Counts prefetch (that bring data to L2) data reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0010",
	.desc = "OFFCORE_RESPONSE.PF_L2_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0020",
	.desc = "OFFCORE_RESPONSE.PF_L2_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0080",
	.desc = "OFFCORE_RESPONSE.PF_L3_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that hit in the L3 and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0100",
	.desc = "OFFCORE_RESPONSE.PF_L3_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Number of cache line split locks sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of cache line split locks sent to the uncore",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=2000003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=2000003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=2000003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=2000003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
},
{
	.name = "llc_misses.mem_read",
	.event = "umask=0x3,event=0x4",
	.desc = "read requests to memory controller. Derived from unc_m_cas_count.rd. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Access Select) read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every read.  This event includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_write",
	.event = "umask=0xc,event=0x4",
	.desc = "write requests to memory controller. Derived from unc_m_cas_count.wr. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Page Activate commands sent due to a write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts DRAM Page Activate commands sent on this channel due to a write request to the iMC (Memory Controller).  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS (Column Access Select) command",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "All DRAM CAS Commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, so this event increments for every read and write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "All DRAM Read CAS Commands issued (including underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Access Select) read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every read.  This event includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_isoch",
	.event = "umask=0x40,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in Read ISOCH Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "All DRAM Read CAS Commands issued (does not include underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts CAS (Column Access Select) regular read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every regular read.  This event only counts regular reads and does not includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM Underfill Read CAS Commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts CAS (Column Access Select) underfill read commands issued to DRAM due to a partial write, on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this command counts underfill reads.  Partial writes must be completed by first reading in the underfill from DRAM and then merging in the partial write data before writing the full line back to DRAM. This event will generally count about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ (due to a previous write request)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "All DRAM Write CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_isoch",
	.event = "umask=0x80,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in Write ISOCH Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "Memory controller clock ticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts clockticks of the fixed frequency clock of the memory controller using one of the programmable counters",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks_f",
	.event = "event=0xff",
	.desc = "Clockticks in the Memory Controller using a dedicated 48-bit Fixed Counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit errors in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Cycles where DRAM ranks are in power down (CKE) mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts cycles when all the ranks in the channel are in PPD (PreCharge Power Down) mode. If IBT (Input Buffer Terminators)=off is enabled, then this event counts the cycles in PPD mode. If IBT=off is not enabled, then this event counts the number of cycles when being in PPD mode could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_channel_ppd / unc_m_clockticks) * 100",
	.metric_name = "power_channel_ppd",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "UNC_M_POWER_PCU_THROTTLING. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Cycles Memory is in self refresh power mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC (memory controller) is in self-refresh and has a clock. This happens in some ACPI CPU package C-states for the sleep levels. For example, the PCU (Power Control Unit) may ask the iMC to enter self-refresh even though some of the cores are still processing. One use of this is for Intel? Dynamic Power Technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_self_refresh / unc_m_clockticks) * 100",
	.metric_name = "power_self_refresh",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "Pre-charges due to page misses. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of explicit DRAM Precharge commands sent on this channel as a result of a DRAM page miss. This does not include the implicit precharge commands sent with CAS commands in Auto-Precharge mode. This does not include Precharge commands sent as a result of a page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "Pre-charge for reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of explicit DRAM Precharge commands issued on a per channel basis due to a read, so as to close the previous DRAM page, before opening the requested page",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "Pre-charge for writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.allbanks",
	.event = "umask=0x10,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank1",
	.event = "umask=0x1,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank10",
	.event = "umask=0xa,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank11",
	.event = "umask=0xb,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank12",
	.event = "umask=0xc,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank13",
	.event = "umask=0xd,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank14",
	.event = "umask=0xe,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank15",
	.event = "umask=0xf,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank2",
	.event = "umask=0x2,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank3",
	.event = "umask=0x3,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank4",
	.event = "umask=0x4,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank5",
	.event = "umask=0x5,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank6",
	.event = "umask=0x6,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank7",
	.event = "umask=0x7,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank8",
	.event = "umask=0x8,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank9",
	.event = "umask=0x9,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg0",
	.event = "umask=0x11,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg1",
	.event = "umask=0x12,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg2",
	.event = "umask=0x13,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg3",
	.event = "umask=0x14,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.allbanks",
	.event = "umask=0x10,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank0",
	.event = "event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank1",
	.event = "umask=0x1,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank10",
	.event = "umask=0xa,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank11",
	.event = "umask=0xb,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank12",
	.event = "umask=0xc,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank13",
	.event = "umask=0xd,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank14",
	.event = "umask=0xe,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank15",
	.event = "umask=0xf,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank2",
	.event = "umask=0x2,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank3",
	.event = "umask=0x3,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank4",
	.event = "umask=0x4,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank5",
	.event = "umask=0x5,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank6",
	.event = "umask=0x6,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank7",
	.event = "umask=0x7,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank8",
	.event = "umask=0x8,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank9",
	.event = "umask=0x9,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg0",
	.event = "umask=0x11,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg1",
	.event = "umask=0x12,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg2",
	.event = "umask=0x13,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg3",
	.event = "umask=0x14,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank10",
	.event = "umask=0xa,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank11",
	.event = "umask=0xb,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank12",
	.event = "umask=0xc,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank13",
	.event = "umask=0xd,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank14",
	.event = "umask=0xe,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank15",
	.event = "umask=0xf,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x3,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x5,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x6,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x7,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank8",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank9",
	.event = "umask=0x9,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank10",
	.event = "umask=0xa,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank11",
	.event = "umask=0xb,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank12",
	.event = "umask=0xc,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank13",
	.event = "umask=0xd,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank14",
	.event = "umask=0xe,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank15",
	.event = "umask=0xf,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x3,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x5,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x6,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x7,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank8",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank9",
	.event = "umask=0x9,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank10",
	.event = "umask=0xa,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank11",
	.event = "umask=0xb,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank12",
	.event = "umask=0xc,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank13",
	.event = "umask=0xd,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank14",
	.event = "umask=0xe,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank15",
	.event = "umask=0xf,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x3,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x5,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x6,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x7,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank8",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank9",
	.event = "umask=0x9,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank10",
	.event = "umask=0xa,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank11",
	.event = "umask=0xb,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank12",
	.event = "umask=0xc,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank13",
	.event = "umask=0xd,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank14",
	.event = "umask=0xe,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank15",
	.event = "umask=0xf,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x3,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x5,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x6,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x7,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank8",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank9",
	.event = "umask=0x9,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full",
	.event = "event=0x12",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of read requests allocated into the Read Pending Queue (RPQ).  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  The requests deallocate after the read CAS command has been issued to DRAM.  This event counts both Isochronous and non-Isochronous requests which were issued to the RPQ",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of entries in the Read Pending Queue (RPQ) at each cycle.  This can then be used to calculate both the average occupancy of the queue (in conjunction with the number of cycles not empty) and the average latency in the queue (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC. They deallocate from the RPQ after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts",
	.event = "event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of writes requests allocated into the Write Pending Queue (WPQ).  The WPQ is used to schedule writes out to the memory controller and to track the requests.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC (Memory Controller).  The write requests deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy",
	.event = "event=0x81",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of entries in the Write Pending Queue (WPQ) at each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule writes out to the memory controller and to track the requests.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC (memory controller).  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the 'not posted' filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The 'posted' filter, on the other hand, provides information about how much queueing is actually happenning in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts. Is there a filter of sorts???",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.allbanks",
	.event = "umask=0x10,event=0xba",
	.desc = "WR_CAS Access to Rank 2; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank0",
	.event = "event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank1",
	.event = "umask=0x1,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank10",
	.event = "umask=0xa,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank11",
	.event = "umask=0xb,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank12",
	.event = "umask=0xc,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank13",
	.event = "umask=0xd,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank14",
	.event = "umask=0xe,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank15",
	.event = "umask=0xf,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank2",
	.event = "umask=0x2,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank3",
	.event = "umask=0x3,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank4",
	.event = "umask=0x4,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank5",
	.event = "umask=0x5,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank6",
	.event = "umask=0x6,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank7",
	.event = "umask=0x7,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank8",
	.event = "umask=0x8,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank9",
	.event = "umask=0x9,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg0",
	.event = "umask=0x11,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg1",
	.event = "umask=0x12,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg2",
	.event = "umask=0x13,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg3",
	.event = "umask=0x14,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.allbanks",
	.event = "umask=0x10,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank0",
	.event = "event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank1",
	.event = "umask=0x1,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank10",
	.event = "umask=0xa,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank11",
	.event = "umask=0xb,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank12",
	.event = "umask=0xc,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank13",
	.event = "umask=0xd,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank14",
	.event = "umask=0xe,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank15",
	.event = "umask=0xf,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank2",
	.event = "umask=0x2,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank3",
	.event = "umask=0x3,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank4",
	.event = "umask=0x4,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank5",
	.event = "umask=0x5,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank6",
	.event = "umask=0x6,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank7",
	.event = "umask=0x7,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank8",
	.event = "umask=0x8,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank9",
	.event = "umask=0x9,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg0",
	.event = "umask=0x11,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg1",
	.event = "umask=0x12,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg2",
	.event = "umask=0x13,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg3",
	.event = "umask=0x14,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank10",
	.event = "umask=0xa,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank11",
	.event = "umask=0xb,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank12",
	.event = "umask=0xc,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank13",
	.event = "umask=0xd,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank14",
	.event = "umask=0xe,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank15",
	.event = "umask=0xf,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x3,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x5,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x6,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x7,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank8",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank9",
	.event = "umask=0x9,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank10",
	.event = "umask=0xa,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank11",
	.event = "umask=0xb,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank12",
	.event = "umask=0xc,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank13",
	.event = "umask=0xd,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank14",
	.event = "umask=0xe,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank15",
	.event = "umask=0xf,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x3,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x5,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x6,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x7,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank8",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank9",
	.event = "umask=0x9,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank10",
	.event = "umask=0xa,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank11",
	.event = "umask=0xb,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank12",
	.event = "umask=0xc,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank13",
	.event = "umask=0xd,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank14",
	.event = "umask=0xe,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank15",
	.event = "umask=0xf,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x3,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x5,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x6,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x7,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank8",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank9",
	.event = "umask=0x9,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank10",
	.event = "umask=0xa,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank11",
	.event = "umask=0xb,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank12",
	.event = "umask=0xc,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank13",
	.event = "umask=0xd,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank14",
	.event = "umask=0xe,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank15",
	.event = "umask=0xf,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x3,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x5,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x6,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x7,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank8",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank9",
	.event = "umask=0x9,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_skylake[] = {
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Number of hardware interrupts received by the processor",
	.topic = "other",
	.long_desc = "Counts the number of hardware interruptions received by the processor",
},
{
	.name = "memory_disambiguation.history_reset",
	.event = "period=2000003,umask=0x1,event=0x9",
	.desc = "(null)",
	.topic = "other",
},
{
	.name = "unc_cbo_cache_lookup.any_es",
	.event = "umask=0x86,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_i",
	.event = "umask=0x88,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in I-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_m",
	.event = "umask=0x81,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in M-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_mesi",
	.event = "umask=0x8f,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup any request that access cache and found line in MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_es",
	.event = "umask=0x16,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_i",
	.event = "umask=0x18,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in I-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_mesi",
	.event = "umask=0x1f,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in any MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup read request that access cache and found line in any MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_es",
	.event = "umask=0x26,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in E or S-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_m",
	.event = "umask=0x21,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in M-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_mesi",
	.event = "umask=0x2f,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "L3 Lookup write request that access cache and found line in MESI-state",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_xcore",
	.event = "umask=0x48,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_xcore",
	.event = "umask=0x44,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_xcore",
	.event = "umask=0x41,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data loads that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data stores that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x49",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "ept.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Counts 1 per cycle for each PMH that is busy with a EPT (Extended Page Table) walk for any request type",
	.topic = "virtual memory",
	.long_desc = "Counts cycles for each PMH (Page Miss Handler) that is busy with an EPT (Extended Page Table) walk for any request type",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts page walks of any page size (4K/2M/4M/1G) caused by a code fetch. This implies it missed in the ITLB and further levels of TLB, but the walk need not have completed",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (1G page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH (Page Miss Handler) that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake michroarchitecture",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
	.long_desc = "This event counts the number of the Decode Stream Buffer (DSB)-to-MITE switches including all misses because of missing Decode Stream Buffer (DSB) cache and u-arch forced misses.\nNote: Invoking MITE requires two or three cycles delay",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. MM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.Penalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Must be precise)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Must be precise)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x408006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x401006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400206",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x410006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x200206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 2 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_3",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x300206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 3 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x402006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x420006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x404006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when: a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread. b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions).  c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when less than 1 uop is delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >= 3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 2 uops delivered by the front-end",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 3 uops delivered by the front-end",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "Counts all (macro) branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts conditional branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts return instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts taken branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=400009,umask=0x2,event=0xc5",
	.desc = "Mispredicted direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both taken and not taken retired mispredicted direct and indirect near calls, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,event=0x3c",
	.desc = "Counts when there is a transition from ring 1, 2 or 3 to ring 0",
	.topic = "pipeline",
	.long_desc = "Counts when the Current Privilege Level (CPL) transitions from ring 1, 2 or 3 to ring 0 (Kernel)",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=2000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=2000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "period=2000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no outstanding load",
	.topic = "pipeline",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=2000003,umask=0x1,event=0xa6",
	.desc = "Cycles where no uops were executed, the Reservation Station was not empty, the Store Buffer was full and there was no outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, Counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. Counting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event  Spec update: SKL091, SKL044",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: SKL091, SKL044",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Number of all retired NOP instructions  Spec update: SKL091, SKL044 (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc0",
	.desc = "Number of cycles using always true condition applied to  PEBS instructions retired event  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Number of cycles using an always true condition applied to  PEBS instructions retired event. (inst_ret< 16)  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=2000003,umask=0x80,event=0xd",
	.desc = "Cycles the issue-stage is waiting for front-end to fetch from resteered path following branch misprediction or machine clear events",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Core cycles the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when 4 uops are delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "other_assists.any",
	.event = "period=100003,umask=0x3f,event=0xc1",
	.desc = "Number of times a microcode assist is invoked by HW other than FP-assist. Examples include AD (page Access Dirty) and AVX* related assists",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.scoreboard",
	.event = "period=2000003,umask=0x1,event=0x59",
	.desc = "Cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the microcode scoreboard stalls happen",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "Counts resource-related stall cycles",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
},
{
	.name = "rob_misc_events.pause_inst",
	.event = "period=2000003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions (that do not end up with a VMExit to the VMM; TSX aborted Instructions may be counted). This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for the thread.; Note: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=2000003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate front-end Latency Bound issues",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=2000003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to Mixing Intel AVX and Intel SSE Code section of the Optimization Guide",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000003,umask=0x4,event=0xc2",
	.desc = "Number of macro-fused uops retired. (non precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of macro-fused uops retired. (non precise)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instruction retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "skl metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound. Sample with: FRONTEND_RETIRED.LATENCY_GE_4_PS",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: FRONTEND_RETIRED.LATENCY_GE_16_PS;FRONTEND_RETIRED.LATENCY_GE_8_PS",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Sample with: FRONTEND_RETIRED.L2_MISS_PS;FRONTEND_RETIRED.L1I_MISS_PS",
	.unit = "100%",
	.metric_expr = "(icache_16b.ifdata_stall + 2 * cpu@icache_16b.ifdata_stall\\,cmask\\=1\\,edge@) / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: FRONTEND_RETIRED.STLB_MISS_PS;FRONTEND_RETIRED.ITLB_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / clks + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: BACLEARS.ANY",
	.unit = "100%",
	.metric_expr = "9 * baclears.any / clks",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty. Sample with: FRONTEND_RETIRED.DSB_MISS_PS",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "skl metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend. Sample with: FRONTEND_RETIRED.LATENCY_GE_2_BUBBLES_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_2_PS",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "skl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck. Sample with: FRONTEND_RETIRED.ANY_DSB_MISS",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=1@ - cpu@inst_decoded.decoders\\,cmask\\=2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "skl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "skl metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "skl metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - tma_frontend_bound - (uops_issued.any + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_RETIRED.L1_HIT_PS;MEM_LOAD_RETIRED.FB_HIT_PS",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "skl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_INST_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "min(9 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / clks",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "skl metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_INST_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(12 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (9 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_INST_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "skl metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + cpu@l1d_pend_miss.fb_full\\,cmask\\=1@) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(18.5 * average_frequency * mem_load_l3_hit_retired.xsnp_hitm + 16.5 * average_frequency * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "16.5 * average_frequency * mem_load_l3_hit_retired.xsnp_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "6.5 * average_frequency * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "skl metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "cycle_activity.stalls_l3_miss / clks + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks - tma_l2_bound",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "skl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_INST_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "skl metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "22 * average_frequency * offcore_response.demand_rfo.l3_hit.snoop_hitm / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "skl metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_INST_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "skl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_INST_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(9 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=1@ + dtlb_store_misses.walk_active) / core_clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_ACTIVE",
	.unit = "100%",
	.metric_expr = "arith.divider_active / clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((exe_activity.exe_bound_0_ports + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util)) / clks if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) / clks)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_none / 2 if #smt_on else cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / core_clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance. Sample with: PARTIAL_RAT_STALLS.SCOREBOARD",
	.unit = "100%",
	.metric_expr = "partial_rat_stalls.scoreboard / clks",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "skl metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "clks * uops_issued.vector_width_mismatch / uops_issued.any",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_1 - uops_executed.core_cycles_ge_2) / 2 if #smt_on else exe_activity.1_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_2 - uops_executed.core_cycles_ge_3) / 2 if #smt_on else exe_activity.2_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_ge_3 / 2 if #smt_on else uops_executed.core_cycles_ge_3) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED_PORT.PORT_0",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_1",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_6",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_2",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_3",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data) Sample with: UOPS_DISPATCHED_PORT.PORT_4",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address) Sample with: UOPS_DISPATCHED_PORT.PORT_7",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "skl metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "skl metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "skl metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "skl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "skl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "skl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "skl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. The instruction pairs of CMP+JCC or DEC+JCC are commonly used examples",
	.unit = "100%",
	.metric_expr = "tma_light_operations * uops_retired.macro_fused / uops_retired.retire_slots",
	.metric_name = "tma_fused_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Non-conditional branches like direct JMP or CALL would count here. Can be used to examine fusible conditional jumps that were not fused",
	.unit = "100%",
	.metric_expr = "tma_light_operations * (br_inst_retired.all_branches - uops_retired.macro_fused) / uops_retired.retire_slots",
	.metric_name = "tma_non_fused_branches",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body. Sample with: INST_RETIRED.NOP",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / uops_retired.retire_slots",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_fused_instructions + tma_non_fused_branches + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "(uops_retired.retire_slots + uops_retired.macro_fused - inst_retired.any) / slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "skl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: OTHER_ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * (fp_assist.any + other_assists.any) / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "skl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "skl metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "skl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "skl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "skl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "skl metrics",
	.metric_expr = "100 * ((br_inst_retired.conditional + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "skl metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "skl metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "skl metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "skl metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "skl metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "skl metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "skl metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "skl metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "skl metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "skl metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "skl metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "skl metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "skl metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "skl metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "skl metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "skl metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "skl metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "skl metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "skl metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / dsb2mite_switches.count",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "skl metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "skl metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "skl metrics",
	.metric_expr = "br_inst_retired.not_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "skl metrics",
	.metric_expr = "(br_inst_retired.conditional - br_inst_retired.not_taken) / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "skl metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "skl metrics",
	.metric_expr = "(br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "skl metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "skl metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "skl metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "skl metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "skl metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "skl metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "skl metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending + ept.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "skl metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "skl metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "skl metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "skl metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "skl metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "skl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "skl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "skl metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of all requests to external memory (in Uncore cycles)",
	.topic = "skl metrics",
	.metric_expr = "mem_parallel_requests",
	.metric_name = "MEM_Request_Latency",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "skl metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "skl metrics",
	.metric_expr = "1e9 * (unc_arb_trk_occupancy.data_read / unc_arb_trk_requests.data_read) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "skl metrics",
	.metric_expr = "unc_arb_trk_occupancy.data_read / unc_arb_trk_occupancy.data_read@thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "skl metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "skl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "skl metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "skl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "cycle_activity.cycles_l3_miss",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (Precise event)",
},
{
	.name = "hle_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to unfriendly events (such as interrupts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an HLE execution aborted due to incompatible memory type",
},
{
	.name = "hle_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to hardware timer expiration",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions and certain unfriendly events (such as AD assists etc.)",
	.topic = "memory",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region. Does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts  Spec update: SKL089",
	.topic = "memory",
	.long_desc = "Counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:a. memory disambiguation,b. external snoop, orc. cross SMT-HW-thread snoop (stores) hitting load buffer  Spec update: SKL089",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Demand Data Read requests who miss L3 cache",
	.topic = "memory",
	.long_desc = "Demand Data Read requests who miss L3 cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_l3_miss_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 1 Demand Data Read requests who miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x60",
	.desc = "Counts number of Offcore outstanding Demand Data Read requests that miss L3 cache in the superQ every cycle",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 6 Demand Data Read requests that miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20001C0004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000080004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000040004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000100004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFC400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x203C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x7C400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC4000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x44000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000400004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20001C0001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000080001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000040001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000100001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFC400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x203C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x7C400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC4000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x44000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000400001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20001C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFC400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x203C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x7C400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC4000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x44000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_hit.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x20001C8000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000088000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000048000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000108000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFC408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x203C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x7C408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC4008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2004008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x44008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000408000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "offcore_response.other.supplier_none.snoop_non_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000028000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered (Precise event)",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to uncommon conditions",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
},
{
	.name = "tx_mem.abort_capacity",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data capacity limitation for transactional reads or writes",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of entries allocated. Account for Any type: e.g. Snoop, Core aperture, etc. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Number of all Core entries outstanding for the memory controller. The outstanding interval starts after LLC miss till return of first data chunk. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_with_any_request",
	.event = "cmask=1,umask=0x1,event=0x80",
	.desc = "Cycles with at least one request outstanding is waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.data_read",
	.event = "umask=0x2,event=0x80",
	.desc = "Number of Core Data Read entries outstanding for the memory controller. The outstanding interval starts after LLC miss till return of first data chunk. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.data_read",
	.event = "umask=0x2,event=0x81",
	.desc = "Number of Core coherent Data Read requests sent to memory controller whose data is returned directly to requesting agent. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.drd_direct",
	.event = "umask=0x2,event=0x81",
	.desc = "Number of Core coherent Data Read requests sent to memory controller whose data is returned directly to requesting agent. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.writes",
	.event = "umask=0x20,event=0x81",
	.desc = "Number of Writes allocated - any write transactions: full/partials writes and evictions. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_clock ",
	.topic = "uncore other",
	.long_desc = "This 48-bit fixed counter counts the UCLK cycles",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=2000003,umask=0x2,event=0x48",
	.desc = "Number of times a request needed a FB entry but there was no entry available for it. That is the FB unavailability was dominant reason for blocking the request. A request includes cacheable/uncacheable demands that is load, store or SW prefetch",
	.topic = "cache",
	.long_desc = "Number of times a request needed a FB (Fill Buffer) entry but there was no entry available for it. A request includes cacheable/uncacheable demands that are load, store or SW prefetch instructions",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstandings duration in cycles",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch.Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines are in Modified state. Modified lines are written back to L3",
	.topic = "cache",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared or Exclusive state. A non-threaded event",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "Counts the number of lines that have been hardware prefetched but not used and now evicted by L2 cache",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_pref",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "This event is deprecated. Refer to new event L2_LINES_OUT.USELESS_HWPF",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests to L2 cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches",
	.topic = "cache",
	.long_desc = "Counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "All requests that miss L2 cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0xd8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x38,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
	.long_desc = "All L2 requests",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2. It does not include all misses to the L3  Spec update: SKL057",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the  L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2.  It does not include all accesses to the L3  Spec update: SKL057",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=2000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or lock  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Retired load instructions which data sources were load missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "Counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, etc.",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "Counts both cacheable and non-cacheable code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "Counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.Note: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x60",
	.desc = "Cycles with offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Cycles with offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.Note: A prefetch promoted to Demand is counted from the promotion point",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
	.long_desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts all demand code readshave any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC01C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l4_hit_local_l4.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40400004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40020004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data readshave any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC01C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l4_hit_local_l4.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40400001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40020001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts all demand data writes (RFOs)have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC01C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l4_hit_local_l4.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40400002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts any other requestshave any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC01C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_e.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_m.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l3_hit_s.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.l4_hit_local_l4.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40408000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC0028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.supplier_none.spl_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x40028000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Number of cache line split locks sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of cache line split locks sent to the uncore",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=2000003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=2000003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=2000003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=2000003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_elkhartlake[] = {
{
	.name = "bus_lock.all",
	.event = "edge=1,period=200003,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.SELF_LOCKS",
	.topic = "other",
},
{
	.name = "bus_lock.block_cycles",
	.event = "period=200003,umask=0x2,event=0x63",
	.desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock issued by other cores",
	.topic = "other",
	.long_desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock issued by other cores. Counts on a per core basis",
},
{
	.name = "bus_lock.cycles_other_block",
	.event = "period=200003,umask=0x2,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.BLOCK_CYCLES",
	.topic = "other",
},
{
	.name = "bus_lock.cycles_self_block",
	.event = "period=200003,umask=0x1,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.LOCK_CYCLES",
	.topic = "other",
},
{
	.name = "bus_lock.lock_cycles",
	.event = "period=200003,umask=0x1,event=0x63",
	.desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock it issued",
	.topic = "other",
	.long_desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock it issued. Counts on a per core basis",
},
{
	.name = "bus_lock.self_locks",
	.event = "edge=1,period=200003,event=0x63",
	.desc = "Counts the number of bus locks a core issued its self (e.g. lock to UC or Split Lock) and does not include cache locks",
	.topic = "other",
	.long_desc = "Counts the number of bus locks a core issued its self (e.g. lock to UC or Split Lock) and does not include cache locks. Counts on a per core basis",
},
{
	.name = "c0_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_DRAM_HIT",
	.topic = "other",
},
{
	.name = "c0_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_L2_HIT",
	.topic = "other",
},
{
	.name = "c0_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_LLC_HIT",
	.topic = "other",
},
{
	.name = "hw_interrupts.masked",
	.event = "period=200003,umask=0x2,event=0xcb",
	.desc = "Counts the number of core cycles during which interrupts are masked (disabled)",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which interrupts are masked (disabled). Increments by 1 each core cycle that EFLAGS.IF is 0, regardless of whether interrupts are pending or not",
},
{
	.name = "hw_interrupts.pending_and_masked",
	.event = "period=200003,umask=0x4,event=0xcb",
	.desc = "Counts the number of core cycles during which there are pending interrupts while interrupts are masked (disabled)",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which there are pending interrupts while interrupts are masked (disabled). Increments by 1 each core cycle that both EFLAGS.IF is 0 and an INTR is pending (which means the APIC is telling the ROB to cause an INTR). This event does not increment if EFLAGS.IF is 0 but all interrupt in the APICs Interrupt Request Register (IRR) are inhibited by the PPR (thus either by ISRV or TPR)  because in these cases the interrupts would be held up in the APIC and would not be pended to the ROB. This event does count when an interrupt is only inhibited by MOV/POP SS state machines or the STI state machine. These extra inhibits only last for a single instructions and would not be important",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Counts the number of hardware interrupts received by the processor",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10044",
	.desc = "Counts all code reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000044",
	.desc = "Counts all code reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000044",
	.desc = "Counts all code reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000044",
	.desc = "Counts all code reads that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.corewb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3000000010000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.corewb_m.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003000000000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.ANY_RESPONSE",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.LOCAL_DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.OUTSTANDING",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.full_streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800000010000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts L1 data cache hardware prefetches and software prefetches (except PREFETCHW and PFRFO) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.l1wb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000000010000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.l2wb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000000010000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.partial_streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400000010000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.prefetches.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10470",
	.desc = "Counts all hardware and software prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100000010000",
	.desc = "Counts uncached memory reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100184000000",
	.desc = "Counts uncached memory reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100184000000",
	.desc = "Counts uncached memory reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000100000000000",
	.desc = "Counts uncached memory reads that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.uc_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200000010000",
	.desc = "Counts uncached memory writes that have any type of response",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.pde_cache_miss",
	.event = "period=200003,umask=0x80,event=0x8",
	.desc = "Counts the number of page walks due to loads that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=200003,umask=0x20,event=0x8",
	.desc = "Counts the number of first level TLB misses but second level hits due to a demand load that did not start a page walk. Account for all page sizes. Will result in a DTLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1GB pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=200003,umask=0x4,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=200003,umask=0x2,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x8",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for demand loads every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for demand loads every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk). Includes EPT-walk intervals",
},
{
	.name = "dtlb_store_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x49",
	.desc = "Counts the number of page walks due to stores that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x49",
	.desc = "Counts the number of first level TLB misses but second level hits due to stores that did not start a page walk. Account for all pages sizes. Will result in a DTLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1G pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x49",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for stores every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for stores every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk). Includes EPT-walk intervals",
},
{
	.name = "ept.epde_hit",
	.event = "period=2000003,umask=0x1,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Entry hits",
	.topic = "virtual memory",
	.long_desc = "Counts the number of Extended Page Directory Entry hits.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epde_miss",
	.event = "period=2000003,umask=0x2,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Entry misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Entry misses.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epdpe_hit",
	.event = "period=2000003,umask=0x4,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Pointer Entry hits",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Pointer Entry hits.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epdpe_miss",
	.event = "period=2000003,umask=0x8,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Pointer Entry misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Pointer Entry misses.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.walk_pending",
	.event = "period=200003,umask=0x10,event=0x4f",
	.desc = "Counts the number of page walks outstanding for an Extended Page table walk including GTLB hits per cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an Extended Page table walk including GTLB hits per cycle.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "itlb.fills",
	.event = "period=200003,umask=0x4,event=0x81",
	.desc = "Counts the number of times there was an ITLB miss and a new translation was filled into the ITLB",
	.topic = "virtual memory",
	.long_desc = "Counts the number of times the machine was unable to find a translation in the Instruction Translation Lookaside Buffer (ITLB) and a new translation was filled into the ITLB. The event is speculative in nature, but will not count translations (page walks) that are begun and not finished, or translations that are finished but not filled into the ITLB",
},
{
	.name = "itlb_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x85",
	.desc = "Counts the number of page walks due to an instruction fetch that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x85",
	.desc = "Counts the number of first level TLB misses but second level hits due to an instruction fetch that did not start a page walk. Account for all pages sizes. Will result in an ITLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1G pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x85",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for instruction fetches every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for instruction fetches every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk)",
},
{
	.name = "ld_blocks.dtlb_miss",
	.event = "period=1000003,umask=0x8,event=0x3",
	.desc = "Counts the number of retired loads that are blocked due to a first level TLB miss (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss",
	.event = "period=200003,umask=0x13,event=0xd0",
	.desc = "Counts the number of memory uops retired that missed in the second level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x11,event=0xd0",
	.desc = "Counts the number of load uops retired that miss in the second Level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss_stores",
	.event = "period=200003,umask=0x12,event=0xd0",
	.desc = "Counts the number of store uops retired that miss in the second level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "Counts the total number of BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.topic = "frontend",
	.long_desc = "Counts the total number of BACLEARS, which occur when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend.  Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a conditional jump",
	.topic = "frontend",
},
{
	.name = "baclears.indirect",
	.event = "period=200003,umask=0x2,event=0xe6",
	.desc = "Counts the number of BACLEARS due to an indirect branch",
	.topic = "frontend",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a return branch",
	.topic = "frontend",
},
{
	.name = "baclears.uncond",
	.event = "period=200003,umask=0x4,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a direct, unconditional jump",
	.topic = "frontend",
},
{
	.name = "decode_restriction.predecode_wrong",
	.event = "period=200003,umask=0x1,event=0xe9",
	.desc = "Counts the number of times a decode restriction reduces the decode throughput due to wrong instruction length prediction",
	.topic = "frontend",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts the number of requests to the instruction cache for one or more bytes of a cache line",
	.topic = "frontend",
	.long_desc = "Counts the total number of requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line or byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "Counts the number of instruction cache hits",
	.topic = "frontend",
	.long_desc = "Counts the number of requests that hit in the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts the number of instruction cache misses",
	.topic = "frontend",
	.long_desc = "Counts the number of missed requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the total number of branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions in which the instruction pointer (IP) of the processor is resteered due to a branch instruction and the branch instruction successfully retires.  All branch type instructions are accounted for (Precise event)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired, includes far jump, far call and return, and interrupt call and return (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of retired JCC (Jump on Conditional Code) branch instructions retired, includes both taken and not taken branches (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the total number of mispredicted branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of mispredicted branch instructions retired.  All branch type instructions are accounted for.  Prediction of the branch target address enables the processor to begin executing instructions before the non-speculative execution path is known. The branch prediction unit (BPU) predicts the target address based on the instruction pointer (IP) of the branch and on the execution path through which execution reached this IP.    A branch misprediction occurs when the prediction is wrong, and results in discarding all instructions executed in the speculative path and re-fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "btclear.any",
	.event = "period=200003,event=0xe8",
	.desc = "Counts the total number of BTCLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the total number of BTCLEARS which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses fixed counter 1",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses a programmable general purpose performance counter",
},
{
	.name = "cycles_div_busy.any",
	.event = "period=2000003,event=0xcd",
	.desc = "This event is deprecated",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy.idiv",
	.event = "period=200003,umask=0x1,event=0xcd",
	.desc = "Counts the number of cycles the integer divider is busy",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles the integer divider is busy.  Does not imply a stall waiting for the divider",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired. (Fixed event) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses fixed counter 0 (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses a programmable general purpose performance counter (Precise event)",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because it initially appears to be store forward blocked, but subsequently is shown not to be blocked based on 4K alias check (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.all",
	.event = "period=1000003,umask=0x10,event=0x3",
	.desc = "Counts the number of retired loads that are blocked for any of the following reasons:  DTLB miss, address alias, store forward or data unknown (includes memory disambiguation blocks and ESP consuming load blocks) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=1000003,umask=0x1,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address exactly matches an older store whose data is not ready (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=1000003,umask=0x2,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address partially overlapped with an older store (Precise event)",
	.topic = "pipeline",
},
{
	.name = "machine_clears.any",
	.event = "period=20003,event=0xc3",
	.desc = "Counts the total number of machine clears for any reason including, but not limited to, memory ordering, memory disambiguation, SMC, and FP assist",
	.topic = "pipeline",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=20003,umask=0x8,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering in which an internal load passes an older store within the same CPU",
	.topic = "pipeline",
},
{
	.name = "machine_clears.page_fault",
	.event = "period=20003,umask=0x20,event=0xc3",
	.desc = "Counts the number of machine clears due to a page fault.  Counts both I-Side and D-Side (Loads/Stores) page faults.  A page fault occurs when either the page is not present, or an access violation occurs",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20003,umask=0x1,event=0xc3",
	.desc = "Counts the number of machine clears due to program modifying data (self modifying code) within 1K of a recently fetched code page",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.all",
	.event = "period=1000003,umask=0x6,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear",
	.topic = "pipeline",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ) even if an FE_bound event occurs during this period. Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
},
{
	.name = "topdown_bad_speculation.fastnuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to fast nukes such as memory ordering and memory disambiguation machine clears",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.machine_clears",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.mispredict",
	.event = "period=1000003,umask=0x4,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to branch mispredicts",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.monuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "This event is deprecated. Refer to new event TOPDOWN_BAD_SPECULATION.FASTNUKE",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.all",
	.event = "period=1000003,event=0x74",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to backend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.alloc_restrictions",
	.event = "period=1000003,umask=0x1,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to certain allocation restrictions",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.mem_scheduler",
	.event = "period=1000003,umask=0x2,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.non_mem_scheduler",
	.event = "period=1000003,umask=0x8,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.register",
	.event = "period=1000003,umask=0x20,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.reorder_buffer",
	.event = "period=1000003,umask=0x40,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the reorder buffer being full (ROB stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.serialization",
	.event = "period=1000003,umask=0x10,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.store_buffer",
	.event = "period=1000003,umask=0x4,event=0x74",
	.desc = "This event is deprecated",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.all",
	.event = "period=1000003,event=0x71",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to frontend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.branch_detect",
	.event = "period=1000003,umask=0x2,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "topdown_fe_bound.branch_resteer",
	.event = "period=1000003,umask=0x40,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
},
{
	.name = "topdown_fe_bound.cisc",
	.event = "period=1000003,umask=0x1,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to the microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.decode",
	.event = "period=1000003,umask=0x8,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to decode stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.itlb",
	.event = "period=1000003,umask=0x10,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to ITLB misses",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses",
},
{
	.name = "topdown_fe_bound.other",
	.event = "period=1000003,umask=0x80,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to other common frontend stalls not categorized",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.predecode",
	.event = "period=1000003,umask=0x4,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to wrong predecodes",
	.topic = "pipeline",
},
{
	.name = "topdown_retiring.all",
	.event = "period=1000003,event=0xc2",
	.desc = "Counts the total number of consumed retirement slots (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=200003,event=0xe",
	.desc = "Counts the number of uops issued by the front end every cycle",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops issued by the front end every cycle. When 4-uops are requested and only 2-uops are delivered, the event counts 2.  Uops_issued correlates to the number of ROB entries.  If uop takes 2 ROB slots it counts as 2 uops_issued",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,event=0xc2",
	.desc = "Counts the total number of uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Counts the number of integer divide uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Counts the number of uops that are from complex flows issued by the micro-sequencer (MS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that are from complex flows issued by the Microcode Sequencer (MS). This includes uops from flows due to complex instructions, faults, assists, and inserted flows (Precise event)",
},
{
	.name = "uops_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Counts the number of x87 uops retired, includes those in MS flows (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy.fpdiv",
	.event = "period=200003,umask=0x2,event=0xcd",
	.desc = "Counts the number of cycles the floating point divider is busy",
	.topic = "floating point",
	.long_desc = "Counts the number of cycles the floating point divider is busy.  Does not imply a stall waiting for the divider",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=20003,umask=0x4,event=0xc3",
	.desc = "Counts the number of floating point operations retired that required microcode assist",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point operations retired that required microcode assist, which is not a reflection of the number of FP operations, instructions or uops",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Counts the number of floating point divide uops retired (x87 and SSE, including x87 sqrt) (Precise event)",
	.topic = "floating point",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=20003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering caused by a snoop from an external agent. Does not count internally generated machine clears such as those due to memory disambiguation",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.load_page_split",
	.event = "period=200003,umask=0x2,event=0x13",
	.desc = "Counts the number of misaligned load uops that are 4K page splits (Precise event)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.store_page_split",
	.event = "period=200003,umask=0x4,event=0x13",
	.desc = "Counts the number of misaligned store uops that are 4K page splits (Precise event)",
	.topic = "memory",
},
{
	.name = "ocr.all_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000044",
	.desc = "Counts all code reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.all_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000044",
	.desc = "Counts all code reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.corewb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3002184000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.corewb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3002184000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_MISS",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_MISS_LOCAL",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.full_streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802184000000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.full_streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802184000000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l1wb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002184000000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l1wb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002184000000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l2wb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002184000000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l2wb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002184000000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184008000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184008000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.partial_streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x402184000000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.partial_streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x402184000000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.prefetches.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000470",
	.desc = "Counts all hardware and software prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000800",
	.desc = "Counts streaming stores that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000800",
	.desc = "Counts streaming stores that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x102184000000",
	.desc = "Counts uncached memory reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x102184000000",
	.desc = "Counts uncached memory reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x202184000000",
	.desc = "Counts uncached memory writes that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x202184000000",
	.desc = "Counts uncached memory writes that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "core_reject_l2q.any",
	.event = "period=200003,event=0x31",
	.desc = "Counts the number of core requests (demand and L1 prefetchers) rejected by the L2 queue (L2Q) due to a full condition",
	.topic = "cache",
	.long_desc = "Counts the number of (demand and L1 prefetchers) core requests rejected by the L2 queue (L2Q) due to a full or nearly full condition, which likely indicates back pressure from L2Q.  It also counts requests that would have gone directly to the External Queue (XQ), but are rejected due to a full or nearly full condition, indicating back pressure from the IDI link.  The L2Q may also reject transactions  from a core to ensure fairness between cores, or to delay a cores dirty eviction when the address conflicts incoming external snoops.  (Note that L2 prefetcher requests that are dropped are not counted by this event).  Counts on a per core basis",
},
{
	.name = "dl1.dirty_eviction",
	.event = "period=200003,umask=0x1,event=0x51",
	.desc = "Counts the number of L1D cacheline (dirty) evictions caused by load misses, stores, and prefetches",
	.topic = "cache",
	.long_desc = "Counts the number of L1D cacheline (dirty) evictions caused by load misses, stores, and prefetches.  Does not count evictions or dirty writebacks caused by snoops.  Does not count a replacement unless a (dirty) line was written back",
},
{
	.name = "l2_reject_xq.any",
	.event = "period=200003,event=0x30",
	.desc = "Counts the number of demand and prefetch transactions that the External Queue (XQ) rejects due to a full or near full condition",
	.topic = "cache",
	.long_desc = "Counts the number of demand and prefetch transactions that the External Queue (XQ) rejects due to a full or near full condition which likely indicates back pressure from the IDI link.  The XQ may reject transactions from the L2Q (non-cacheable requests), BBL (L2 misses) and WOB (L2 write-back victims)",
},
{
	.name = "l2_request.all",
	.event = "period=200003,event=0x24",
	.desc = "Counts the total number of L2 Cache accesses. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 Cache Accesses, includes hits, misses, rejects  front door requests for CRd/DRd/RFO/ItoM/L2 Prefetches only.  Counts on a per core basis",
},
{
	.name = "l2_request.hit",
	.event = "period=200003,umask=0x2,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that resulted in a hit. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that resulted in a hit from a front door request only (does not include rejects or recycles), Counts on a per core basis",
},
{
	.name = "l2_request.miss",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that resulted in a miss. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that resulted in a miss from a front door request only (does not include rejects or recycles). Counts on a per core basis",
},
{
	.name = "l2_request.rejects",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that miss the L2 and get rejected. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that miss the L2 and get BBL reject  short and long rejects (includes those counted in L2_reject_XQ.any). Counts on a per core basis",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that miss in the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that miss in the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that access the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that access the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "mem_bound_stalls.ifetch",
	.event = "period=200003,umask=0x38,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.ifetch_dram_hit",
	.event = "period=200003,umask=0x20,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in DRAM or MMIO (non-DRAM)",
},
{
	.name = "mem_bound_stalls.ifetch_l2_hit",
	.event = "period=200003,umask=0x8,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the L2 cache",
},
{
	.name = "mem_bound_stalls.ifetch_llc_hit",
	.event = "period=200003,umask=0x10,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_bound_stalls.load",
	.event = "period=200003,umask=0x7,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the L2 cache",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_bound_stalls.store_buffer_full",
	.event = "period=200003,umask=0x40,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a store buffer being full",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in DRAM  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache, in which a snoop was required and modified data was forwarded from another core or module  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=200003,umask=0x1,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L1 data cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Counts the number of load uops retired that miss in the L1 data cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L2 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=200003,umask=0x10,event=0xd1",
	.desc = "Counts the number of load uops retired that miss in the L2 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=200003,umask=0x4,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all",
	.event = "period=200003,umask=0x83,event=0xd0",
	.desc = "Counts the number of memory uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the number of memory uops retired.  A single uop that performs both a load AND a store will be counted as 1, not 2 (e.g. ADD [mem], CONST)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Counts the number of load uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of load uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Counts the number of store uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of store uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=200003,umask=0x21,event=0xd0",
	.desc = "Counts the number of load uops retired that performed one or more locks  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split",
	.event = "period=200003,umask=0x43,event=0xd0",
	.desc = "Counts the number of memory uops retired that were splits  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Counts the number of retired split load uops  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=200003,umask=0x42,event=0xd0",
	.desc = "Counts the number of retired split store uops  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.corewb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3001F803C0000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HITM",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HIT_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_NOT_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.full_streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801F803C0000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0400",
	.desc = "Counts L1 data cache hardware prefetches and software prefetches (except PREFETCHW and PFRFO) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.l1wb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001F803C0000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.l2wb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001F803C0000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.partial_streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401F803C0000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0800",
	.desc = "Counts streaming stores that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x101F803C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.uc_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x201F803C0000",
	.desc = "Counts uncached memory writes that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "topdown_fe_bound.icache",
	.event = "period=1000003,umask=0x20,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to instruction cache misses",
	.topic = "cache",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "ehl metrics",
	.metric_expr = "inst_retired.any / cycles",
	.metric_name = "IPC",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "ehl metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "ehl metrics",
	.metric_expr = "cycles",
	.metric_name = "CLKS",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear)",
	.topic = "ehl metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "ehl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
},
{
	.desc = "Total number of retired Instructions",
	.topic = "ehl metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "ehl metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1000000000 ",
	.metric_name = "L3_Cache_Fill_BW",
},
{
	.desc = "Average CPU Utilization",
	.topic = "ehl metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / msr@tsc@",
	.metric_name = "CPU_Utilization",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "ehl metrics",
	.metric_expr = "(cycles / cpu_clk_unhalted.ref_tsc) * msr@tsc@ / 1000000000 ",
	.metric_name = "Average_Frequency",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "ehl metrics",
	.metric_expr = "cycles / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "ehl metrics",
	.metric_expr = "cycles:k / cycles",
	.metric_name = "Kernel_Utilization",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_broadwellx[] = {
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "bdx metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdx metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "bdx metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "bdx metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "bdx metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "bdx metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "bdx metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "bdx metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "bdx metrics",
	.metric_expr = "uops_executed.thread / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "bdx metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "bdx metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "bdx metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "bdx metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "bdx metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "bdx metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "bdx metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "bdx metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "bdx metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration + 7 * (dtlb_store_misses.walk_completed + dtlb_load_misses.walk_completed + itlb_misses.walk_completed)) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "bdx metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "bdx metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "bdx metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "bdx metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "bdx metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "bdx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "bdx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "bdx metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "bdx metrics",
	.metric_expr = "1e9 * (unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_inserts.miss_opcode@filter_opc\\=0x182@) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "bdx metrics",
	.metric_expr = "unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182\\,thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "bdx metrics",
	.metric_expr = "cbox_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "bdx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "bdx metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "bdx metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_uops_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_uops_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "(cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x192@) / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "bdx metrics",
	.unit = "1per_instr",
	.metric_expr = "(cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x181@ + cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x191@) / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) in nano seconds",
	.topic = "bdx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "bdx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_local_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "bdx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_remote_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_remote_requests",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "bdx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "bdx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "bdx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "bdx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_store_mpi",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ / (cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@ / (cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "bdx metrics",
	.unit = "1GHz",
	.metric_expr = "unc_c_clockticks / (#num_cores / #num_packages * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Quick Path Interconnect (QPI) data transmit bandwidth (MB/sec)",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_q_txl_flits_g0.data * 8 / 1e6 / duration_time",
	.metric_name = "qpi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "cbox@unc_c_tor_inserts.opcode\\,filter_opc\\=0x19e@ * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "bdx metrics",
	.unit = "1MB/s",
	.metric_expr = "(cbox@unc_c_tor_inserts.opcode\\,filter_opc\\=0x1c8\\,filter_tid\\=0x3e@ + cbox@unc_c_tor_inserts.opcode\\,filter_opc\\=0x180\\,filter_tid\\=0x3e@) * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Uops delivered from loop stream detector(LSD) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "lsd.uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_loop_stream_detector",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "bdx metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "icache.ifdata_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "(14 * itlb_misses.stlb_hit + cpu@itlb_misses.walk_duration\\,cmask\\=0x1@ + 7 * itlb_misses.walk_completed) / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / cpu_clk_unhalted.thread",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "machine_clears.count * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit)",
	.unit = "100%",
	.metric_expr = "tma_branch_resteers - tma_mispredicts_resteers - tma_clears_resteers",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "bdx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "bdx metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "bdx metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + uops_retired.retire_slots / slots)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + resource_stalls.sb) / (cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - (uops_executed.cycles_ge_3_uops_exec if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else uops_executed.cycles_ge_2_uops_exec) - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "bdx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_load_misses.stlb_hit + cpu@dtlb_load_misses.walk_duration\\,cmask\\=0x1@ + 7 * dtlb_load_misses.walk_completed) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "bdx metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min(mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / cpu_clk_unhalted.thread",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "bdx metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=0x1@ / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss) * cycle_activity.stalls_l2_miss / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min((60 * (mem_load_uops_l3_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) + 43 * (mem_load_uops_l3_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd)))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min(43 * (mem_load_uops_l3_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min(41 * (mem_load_uops_retired.l3_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "bdx metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((1 - mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss)) * cycle_activity.stalls_l2_miss / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x4@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(200 * (mem_load_uops_l3_miss_retired.local_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(310 * (mem_load_uops_l3_miss_retired.remote_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((200 * (mem_load_uops_l3_miss_retired.remote_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) + 180 * (mem_load_uops_l3_miss_retired.remote_fwd * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd)))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "bdx metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min((200 * offcore_response.demand_rfo.llc_miss.remote_hitm + 60 * offcore_response.demand_rfo.llc_hit.hitm_other_core) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "bdx metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "bdx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((8 * dtlb_store_misses.stlb_hit + cpu@dtlb_store_misses.walk_duration\\,cmask\\=0x1@ + 7 * dtlb_store_misses.walk_completed) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - (uops_executed.cycles_ge_3_uops_exec if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else uops_executed.cycles_ge_2_uops_exec) - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb - resource_stalls.sb - cycle_activity.stalls_mem_any) / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\=0x1\\,cmask\\=0x1@ / 2 if #smt_on else cycle_activity.stalls_total - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0)) / core_clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=0x1@ - cpu@uops_executed.core\\,cmask\\=0x2@) / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_2_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=0x2@ - cpu@uops_executed.core\\,cmask\\=0x3@) / 2 if #smt_on else uops_executed.cycles_ge_2_uops_exec - uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=0x3@ / 2 if #smt_on else uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "tma_store_op_utilization",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address)",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "bdx metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "tma_retiring - uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "bdx metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "bdx metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "bdx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "bdx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "bdx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "bdx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "bdx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * other_assists.any_wb_assist / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "bdx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_heavy_operations - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C3 residency percent per core",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "bdx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 1 GHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core0_transition_cycles",
	.event = "event=0x60",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core10_transition_cycles",
	.event = "event=0x6a",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core11_transition_cycles",
	.event = "event=0x6b",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core12_transition_cycles",
	.event = "event=0x6c",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core13_transition_cycles",
	.event = "event=0x6d",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core14_transition_cycles",
	.event = "event=0x6e",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core15_transition_cycles",
	.event = "event=0x6f",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core16_transition_cycles",
	.event = "event=0x70",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core17_transition_cycles",
	.event = "event=0x71",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core1_transition_cycles",
	.event = "event=0x61",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core2_transition_cycles",
	.event = "event=0x62",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core3_transition_cycles",
	.event = "event=0x63",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core4_transition_cycles",
	.event = "event=0x64",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core5_transition_cycles",
	.event = "event=0x65",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core6_transition_cycles",
	.event = "event=0x66",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core7_transition_cycles",
	.event = "event=0x67",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core8_transition_cycles",
	.event = "event=0x68",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core9_transition_cycles",
	.event = "event=0x69",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core0",
	.event = "event=0x30",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core1",
	.event = "event=0x31",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core10",
	.event = "event=0x3a",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core11",
	.event = "event=0x3b",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core12",
	.event = "event=0x3c",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core13",
	.event = "event=0x3d",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core14",
	.event = "event=0x3e",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core15",
	.event = "event=0x3f",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core16",
	.event = "event=0x40",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core17",
	.event = "event=0x41",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core2",
	.event = "event=0x32",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core3",
	.event = "event=0x33",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core4",
	.event = "event=0x34",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core5",
	.event = "event=0x35",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core6",
	.event = "event=0x36",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core7",
	.event = "event=0x37",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core8",
	.event = "event=0x38",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core9",
	.event = "event=0x39",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_os_cycles",
	.event = "event=0x6",
	.desc = "OS Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the OS is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c1e_cycles",
	.event = "event=0x4e",
	.desc = "Package C State Residency - C1E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C1E.  This event can be used in conjunction with edge detect to count C1E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c7_cycles",
	.event = "event=0x2e",
	.desc = "Package C7 State Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C7.  This event can be used in conjunction with edge detect to count C7 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Interal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_ufs_transitions_ring_gv",
	.event = "event=0x79",
	.desc = "UNC_P_UFS_TRANSITIONS_RING_GV. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Ring GV with same final and initial frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "UNC_P_VR_HOT_CYCLES",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts the unhalted core cycles during which the thread is in the ring 0 privileged mode",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts when there is a transition from ring 1,2 or 3 to ring0",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "This event counts unhalted core cycles during which the thread is in rings 1, 2, or 3",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "This event counts cycles in which the L1 and L2 are locked due to a UC lock or split lock. A lock is asserted in case of locked memory access, due to noncacheable memory, locked operation that spans two cache lines, or a page walk from the noncacheable page table. L1D and L2 locks have a very high performance penalty and it is highly recommended to avoid such access",
},
{
	.name = "llc_misses.code_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x191",
	.desc = "LLC prefetch misses for code reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.data_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x192",
	.desc = "LLC prefetch misses for data reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.data_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x182",
	.desc = "LLC misses - demand and prefetch data reads - excludes LLC prefetches. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x187,filter_nc=1",
	.desc = "MMIO reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x18f,filter_nc=1",
	.desc = "MMIO writes. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_non_snoop_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x1c8,filter_tid=0x3e",
	.desc = "PCIe write misses (full cache line). Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x19e",
	.desc = "LLC misses for PCIe read current. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x1c8",
	.desc = "ItoM write misses (as part of fast string memcpy stores) + PCIe full line writes. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.rfo_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x190",
	.desc = "LLC prefetch misses for RFO. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.uncacheable",
	.event = "umask=0x3,event=0x35,filter_opc=0x187",
	.desc = "LLC misses - Uncacheable reads (from cpu) . Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.code_llc_prefetch",
	.event = "umask=0x1,event=0x35,filter_opc=0x181",
	.desc = "L2 demand and L2 prefetch code references to LLC. Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_ns_partial_write",
	.event = "umask=0x1,event=0x35,filter_opc=0x180,filter_tid=0x3e",
	.desc = "PCIe writes (partial cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_read",
	.event = "umask=0x1,event=0x35,filter_opc=0x19e",
	.desc = "PCIe read current. Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_write",
	.event = "umask=0x1,event=0x35,filter_opc=0x1c8,filter_tid=0x3e",
	.desc = "PCIe write references (full cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_full",
	.event = "umask=0x1,event=0x35,filter_opc=0x18c",
	.desc = "Streaming stores (full cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_partial",
	.event = "umask=0x1,event=0x35,filter_opc=0x18d",
	.desc = "Streaming stores (partial cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_bounce_control",
	.event = "event=0xa",
	.desc = "Bounce Control. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_BOUNCE_CONTROL",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_CLOCKTICKS",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_fast_asserted",
	.event = "event=0x9",
	.desc = "FaST wire asserted. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles either the local distress or incoming distress signals are asserted.  Incoming distress includes both up and dn",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34,filter_state=0x1",
	.desc = "All LLC Misses (code+ data rd + data wr - including demand and prefetch). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups; Data Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.nid",
	.event = "umask=0x41,event=0x34",
	.desc = "Cache Lookups; Lookups that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.read",
	.event = "umask=0x21,event=0x34",
	.desc = "Cache Lookups; Any Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups; External Snoop Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups; Write Requests. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cachable and UC",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.i_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.miss",
	.event = "umask=0x10,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "M line evictions from LLC (writebacks to memory). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.nid",
	.event = "umask=0x40,event=0x37",
	.desc = "Lines Victimized; Victimized Lines that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc; DRd hitting non-M with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_victim",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc; Clean Victim with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Cbo Misc; RFO HitS. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Number of times that an RFO hit in S state.  This is useful for determining if it might be good for a workload to use RspIWB instead of RspSWB",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.started",
	.event = "umask=0x4,event=0x39",
	.desc = "Cbo Misc. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age0",
	.event = "umask=0x1,event=0x3c",
	.desc = "LRU Queue; LRU Age 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age1",
	.event = "umask=0x2,event=0x3c",
	.desc = "LRU Queue; LRU Age 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age2",
	.event = "umask=0x4,event=0x3c",
	.desc = "LRU Queue; LRU Age 2. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 2",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age3",
	.event = "umask=0x8,event=0x3c",
	.desc = "LRU Queue; LRU Age 3. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 3",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.lru_decrement",
	.event = "umask=0x10,event=0x3c",
	.desc = "LRU Queue; LRU Bits Decremented. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often all LRU bits were decremented by 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.victim_non_zero",
	.event = "umask=0x20,event=0x3c",
	.desc = "LRU Queue; Non-0 Aged Victim. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often we picked a victim that had a non-zero age",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.all",
	.event = "umask=0xf,event=0x1b",
	.desc = "AD Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX-- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.all",
	.event = "umask=0xf,event=0x1c",
	.desc = "AK Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.all",
	.event = "umask=0xf,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ad",
	.event = "umask=0x1,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_BOUNCES.AD",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_BOUNCES.AK",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_BOUNCES.BL",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv",
	.event = "umask=0x10,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_BOUNCES.IV",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.any",
	.event = "umask=0xf,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.dn",
	.event = "umask=0xc,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.down",
	.event = "umask=0xcc,event=0x1e",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters for Down polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.up",
	.event = "umask=0x3,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad",
	.event = "umask=0x1,event=0x6",
	.desc = "AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_SINK_STARVED.AD",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ak",
	.event = "umask=0x2,event=0x6",
	.desc = "AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_SINK_STARVED.AK",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.bl",
	.event = "umask=0x4,event=0x6",
	.desc = "BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_SINK_STARVED.BL",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.iv",
	.event = "umask=0x8,event=0x6",
	.desc = "IV. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_SINK_STARVED.IV",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0x7",
	.desc = "Number of cycles the Cbo is actively throttling traffic onto the Ring in order to limit bounce traffic. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_RING_SRC_THRTL",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ipq",
	.event = "umask=0x2,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IPQ is externally startved and therefore we are blocking the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.irq",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IRQ is externally starved and therefore we are blocking the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq_bids",
	.event = "umask=0x8,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ_BID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; Number of times that the ISMQ Bid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.prq",
	.event = "umask=0x4,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IPQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IRQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the ISMQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.prq",
	.event = "umask=0x10,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.addr_conflict",
	.event = "umask=0x4,event=0x31",
	.desc = "Probe Queue Retries; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from an address conflicts.  Address conflicts out of the IPQ should be rare.  They will generally only occur if two different sockets are sending requests to the same address at the same time.  This is a true conflict case, unlike the IPQ Address Conflict which is commonly caused by prefetching characteristics",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.any",
	.event = "umask=0x1,event=0x31",
	.desc = "Probe Queue Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject.  TOR rejects from the IPQ can be caused by the Egress being full or Address Conflicts",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.full",
	.event = "umask=0x2,event=0x31",
	.desc = "Probe Queue Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from the Egress being full.  IPQ requests make use of the AD Egress for regular responses, the BL egress to forward data, and the AK egress to return credits",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.qpi_credits",
	.event = "umask=0x10,event=0x31",
	.desc = "Probe Queue Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x28",
	.desc = "Probe Queue Retries; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.target",
	.event = "umask=0x40,event=0x28",
	.desc = "Probe Queue Retries; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.addr_conflict",
	.event = "umask=0x4,event=0x32",
	.desc = "Ingress Request Queue Rejects; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because of an address match in the TOR.  In order to maintain coherency, requests to the same address are not allowed to pass each other up in the Cbo.  Therefore, if there is an outstanding request to a given address, one cannot issue another request to that address until it is complete.  This comes up most commonly with prefetches.  Outstanding prefetches occasionally will not complete their memory fetch and a demand request to the same address will then sit in the IRQ and get retried until the prefetch fills the data into the LLC.  Therefore, it will not be uncommon to see this case in high bandwidth streaming workloads when the LLC Prefetcher in the core is enabled",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.any",
	.event = "umask=0x1,event=0x32",
	.desc = "Ingress Request Queue Rejects; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of IRQ retries that occur.  Requests from the IRQ are retried if they are rejected from the TOR pipeline for a variety of reasons.  Some of the most common reasons include if the Egress is full, there are no RTIDs, or there is a Physical Address match to another outstanding request",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.full",
	.event = "umask=0x2,event=0x32",
	.desc = "Ingress Request Queue Rejects; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because it failed to acquire an entry in the Egress.  The egress is the buffer that queues up for allocating onto the ring.  IRQ requests can make use of all four rings and all four Egresses.  If any of the queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.iio_credits",
	.event = "umask=0x20,event=0x32",
	.desc = "Ingress Request Queue Rejects; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.nid",
	.event = "umask=0x40,event=0x32",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.qpi_credits",
	.event = "umask=0x10,event=0x32",
	.desc = "Ingress Request Queue Rejects; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of requests rejects because of lack of QPI Ingress credits.  These credits are required in order to send transactions to the QPI agent.  Please see the QPI_IGR_CREDITS events for more information",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.rtid",
	.event = "umask=0x8,event=0x32",
	.desc = "Ingress Request Queue Rejects; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that requests from the IRQ were retried because there were no RTIDs available.  RTIDs are required after a request misses the LLC and needs to send snoops and/or requests to memory.  If there are no RTIDs available, requests will queue up in the IRQ and retry until one becomes available.  Note that there are multiple RTID pools for the different sockets.  There may be cases where the local RTIDs are all used, but requests destined for remote memory can still acquire an RTID because there are remote RTIDs available.  This event does not provide any filtering for this case",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x29",
	.desc = "Ingress Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x29",
	.desc = "Ingress Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.target",
	.event = "umask=0x40,event=0x29",
	.desc = "Ingress Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.any",
	.event = "umask=0x1,event=0x33",
	.desc = "ISMQ Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the total number of times that a request from the ISMQ retried because of a TOR reject.  ISMQ requests generally will not need to retry (or at least ISMQ retries are less common than IRQ retries).  ISMQ requests will retry if they are not able to acquire a needed Egress credit to get onto the ring, or for cache evictions that need to acquire an RTID.  Most ISMQ requests already have an RTID, so eviction retries will be less common here",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.full",
	.event = "umask=0x2,event=0x33",
	.desc = "ISMQ Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by a lack of Egress credits. The egress is the buffer that queues up for allocating onto the ring.  If any of the Egress queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.iio_credits",
	.event = "umask=0x20,event=0x33",
	.desc = "ISMQ Retries; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.nid",
	.event = "umask=0x40,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.qpi_credits",
	.event = "umask=0x10,event=0x33",
	.desc = "ISMQ Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.rtid",
	.event = "umask=0x8,event=0x33",
	.desc = "ISMQ Retries; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by no RTIDs.  M-state cache evictions are serviced through the ISMQ, and must acquire an RTID in order to write back to memory.  If no RTIDs are available, they will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.wb_credits",
	.event = "umask=0x80,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.target",
	.event = "umask=0x40,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rej",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.prq_rej",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy; PRQ Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.ad",
	.event = "umask=0x1,event=0x3d",
	.desc = "SBo Credits Acquired; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.bl",
	.event = "umask=0x2,event=0x3d",
	.desc = "SBo Credits Acquired; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.ad",
	.event = "umask=0x1,event=0x3e",
	.desc = "SBo Credits Occupancy; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.bl",
	.event = "umask=0x2,event=0x3e",
	.desc = "SBo Credits Occupancy; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.all",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR.    This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.eviction",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Eviction transactions inserted into the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local",
	.event = "umask=0x28,event=0x35",
	.desc = "TOR Inserts; Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local_opcode",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local",
	.event = "umask=0x2a,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local_opcode",
	.event = "umask=0x23,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisifed by an opcode, inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_opcode",
	.event = "umask=0x3,event=0x35",
	.desc = "TOR Inserts; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote",
	.event = "umask=0x8a,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote_opcode",
	.event = "umask=0x83,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_all",
	.event = "umask=0x48,event=0x35",
	.desc = "TOR Inserts; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched (matches an RTID destination) transactions inserted into the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.  In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_eviction",
	.event = "umask=0x44,event=0x35",
	.desc = "TOR Inserts; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched eviction transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_all",
	.event = "umask=0x4a,event=0x35",
	.desc = "TOR Inserts; NID Matched Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched miss requests that were inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_opcode",
	.event = "umask=0x43,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_opcode",
	.event = "umask=0x41,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_wb",
	.event = "umask=0x50,event=0x35",
	.desc = "TOR Inserts; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched write transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.opcode",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote",
	.event = "umask=0x88,event=0x35",
	.desc = "TOR Inserts; Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote_opcode",
	.event = "umask=0x81,event=0x35",
	.desc = "TOR Inserts; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.wb",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Write transactions inserted into the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.all",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All valid TOR entries.  This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.eviction",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding eviction transactions in the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.llc_data_read",
	.event = "umask=0x3,event=0x36,filter_opc=0x182",
	.desc = "Occupancy counter for LLC data reads (demand and L2 prefetch). Derived from unc_c_tor_occupancy.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local",
	.event = "umask=0x28,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local_opcode",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisifed by an opcode,  in the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_all",
	.event = "umask=0xa,event=0x36",
	.desc = "TOR Occupancy; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding miss requests in the TOR.  'Miss' means the allocation requires an RTID.  This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local",
	.event = "umask=0x2a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local_opcode",
	.event = "umask=0x23,event=0x36",
	.desc = "TOR Occupancy; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisifed by an opcode, in the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_opcode",
	.event = "umask=0x3,event=0x36",
	.desc = "TOR Occupancy; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote",
	.event = "umask=0x8a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote_opcode",
	.event = "umask=0x83,event=0x36",
	.desc = "TOR Occupancy; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisifed by an opcode, in the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_all",
	.event = "umask=0x48,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of NID matched outstanding requests in the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_eviction",
	.event = "umask=0x44,event=0x36",
	.desc = "TOR Occupancy; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding NID matched eviction transactions in the TOR ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_all",
	.event = "umask=0x4a,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_opcode",
	.event = "umask=0x43,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_opcode",
	.event = "umask=0x41,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_wb",
	.event = "umask=0x50,event=0x36",
	.desc = "TOR Occupancy; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); NID matched write transactions int the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.opcode",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote",
	.event = "umask=0x88,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote_opcode",
	.event = "umask=0x81,event=0x36",
	.desc = "TOR Occupancy; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisifed by an opcode,  in the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.wb",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Write transactions in the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "Onto AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_TxR_ADS_USED.AD",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_TxR_ADS_USED.AK",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "UNC_C_TxR_ADS_USED.BL",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_cache",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_core",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AD - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_cache",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AK - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_core",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; AK - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AK ring.  This is commonly used for snoop responses coming from the core and destined for a Cachebo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_cache",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Cacheno. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_core",
	.event = "umask=0x40,event=0x2",
	.desc = "Egress Allocations; BL - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.iv_cache",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; IV - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ad_core",
	.event = "umask=0x10,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring (to core). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the core AD egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ak_both",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both AK egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.bl_both",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both BL egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the cachebo IV egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne",
	.event = "event=0x42",
	.desc = "BT Cycles Not Empty. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_bl_hazard",
	.event = "umask=0x4,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_snp_hazard",
	.event = "umask=0x2,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Snoop Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming snoop hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.rspackcflt_hazard",
	.event = "umask=0x8,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.wbmdata_hazard",
	.event = "umask=0x10,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.not_taken",
	.event = "umask=0x2,event=0x14",
	.desc = "HA to iMC Bypass; Not Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.taken",
	.event = "umask=0x1,event=0x14",
	.desc = "HA to iMC Bypass; Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of uclks in the HA.  This will be slightly different than the count in the Ubox because of enable/freeze delays.  The HA is on the other side of the die from the fixed Ubox uclk counter, so the drift could be somewhat larger than in units that are closer like the QPI Agent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_count",
	.event = "event=0x11",
	.desc = "Direct2Core Messages Sent. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Direct2Core messages sent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_cycles_disabled",
	.event = "event=0x12",
	.desc = "Cycles when Direct2Core was Disabled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles in which Direct2Core was disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_txn_override",
	.event = "event=0x13",
	.desc = "Number of Reads that had Direct2Core Overridden. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Reads where Direct2Core overridden",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lat_opt",
	.event = "event=0x41",
	.desc = "Directory Lat Opt Return. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Directory Latency Optimization Data Return Path Taken. When directory mode is enabled and the directory returned for a read is Dir=I, then data can be returned using a faster path if certain conditions are met (credits, free pipeline, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.no_snp",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups; Snoop Not Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that did not have to send any snoops because the directory bit was clear",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snp",
	.event = "umask=0x1,event=0xc",
	.desc = "Directory Lookups; Snoop Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that had to send one or more snoops because the directory bit was set",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.any",
	.event = "umask=0x3,event=0xd",
	.desc = "Directory Updates; Any Directory Update. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.clear",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates; Directory Clear. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory clears.  This occurs when snoops were sent and all returned with RspI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.set",
	.event = "umask=0x1,event=0xd",
	.desc = "Directory Updates; Directory Set. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory sets.  This occurs when a remote read transaction requests memory, bringing it to a remote cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.ackcnfltwbi",
	.event = "umask=0x4,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.ACKCNFLTWBI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.all",
	.event = "umask=0xff,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.ALL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.allocs",
	.event = "umask=0x70,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.ALLOCS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.evicts",
	.event = "umask=0x42,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.EVICTS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.hom",
	.event = "umask=0xf,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.HOM",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.invals",
	.event = "umask=0x26,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.INVALS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.read_or_invitoe",
	.event = "umask=0x1,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.READ_OR_INVITOE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rsp",
	.event = "umask=0x80,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.RSP",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_local",
	.event = "umask=0x20,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.RSPFWDI_LOCAL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_remote",
	.event = "umask=0x10,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.RSPFWDI_REMOTE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwds",
	.event = "umask=0x40,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.RSPFWDS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoe_or_s",
	.event = "umask=0x8,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.WBMTOE_OR_S",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoi",
	.event = "umask=0x2,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT.WBMTOI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.ackcnfltwbi",
	.event = "umask=0x4,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.ACKCNFLTWBI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.all",
	.event = "umask=0xff,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.ALL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.hom",
	.event = "umask=0xf,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.HOM",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.read_or_invitoe",
	.event = "umask=0x1,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.READ_OR_INVITOE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rsp",
	.event = "umask=0x80,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.RSP",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_local",
	.event = "umask=0x20,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.RSPFWDI_LOCAL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_remote",
	.event = "umask=0x10,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.RSPFWDI_REMOTE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwds",
	.event = "umask=0x40,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.RSPFWDS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoe_or_s",
	.event = "umask=0x8,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.WBMTOE_OR_S",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoi",
	.event = "umask=0x2,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_HIT_PV_BITS_SET.WBMTOI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.ackcnfltwbi",
	.event = "umask=0x4,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.ACKCNFLTWBI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.all",
	.event = "umask=0xff,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.ALL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.allocs",
	.event = "umask=0x70,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.ALLOCS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.hom",
	.event = "umask=0xf,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.HOM",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.invals",
	.event = "umask=0x26,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.INVALS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.read_or_invitoe",
	.event = "umask=0x1,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.READ_OR_INVITOE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rsp",
	.event = "umask=0x80,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.RSP",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_local",
	.event = "umask=0x20,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.RSPFWDI_LOCAL",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_remote",
	.event = "umask=0x10,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.RSPFWDI_REMOTE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwds",
	.event = "umask=0x40,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.RSPFWDS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoe_or_s",
	.event = "umask=0x8,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.WBMTOE_OR_S",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoi",
	.event = "umask=0x2,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_HITME_LOOKUP.WBMTOI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi0",
	.event = "umask=0x1,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi1",
	.event = "umask=0x2,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi2",
	.event = "umask=0x10,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi0",
	.event = "umask=0x4,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi1",
	.event = "umask=0x8,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi2",
	.event = "umask=0x20,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_reads.normal",
	.event = "umask=0x1,event=0x17",
	.desc = "HA to iMC Normal Priority Reads Issued; Normal Priority. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_retry",
	.event = "event=0x1e",
	.desc = "Retry Events. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_IMC_RETRY",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.all",
	.event = "umask=0xf,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; All Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full",
	.event = "umask=0x1,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Full Line. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial",
	.event = "umask=0x2,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Partial Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Partial. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.hub",
	.event = "umask=0x2,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_IOT_BACKPRESSURE.HUB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.sat",
	.event = "umask=0x1,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "UNC_H_IOT_BACKPRESSURE.SAT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts0",
	.event = "umask=0x1,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts1",
	.event = "umask=0x2,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts2",
	.event = "umask=0x1,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts3",
	.event = "umask=0x2,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts0",
	.event = "umask=0x1,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts1",
	.event = "umask=0x2,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.cancelled",
	.event = "umask=0x10,event=0x53",
	.desc = "OSB Snoop Broadcast; Cancelled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB.; OSB Snoop broadcast cancelled due to D2C or Other. OSB cancel is counted when OSB local read is not allowed even when the transaction in local InItoE. It also counts D2C OSB cancel, but also includes the cases were D2C was not set in the first place for the transaction coming from the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.invitoe_local",
	.event = "umask=0x4,event=0x53",
	.desc = "OSB Snoop Broadcast; Local InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local",
	.event = "umask=0x2,event=0x53",
	.desc = "OSB Snoop Broadcast; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local_useful",
	.event = "umask=0x20,event=0x53",
	.desc = "OSB Snoop Broadcast; Reads Local -  Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote",
	.event = "umask=0x8,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote_useful",
	.event = "umask=0x40,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote - Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.all",
	.event = "umask=0x1,event=0x54",
	.desc = "OSB Early Data Return; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_i",
	.event = "umask=0x2,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local  I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_s",
	.event = "umask=0x8,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_i",
	.event = "umask=0x4,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_s",
	.event = "umask=0x10,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x1",
	.desc = "Read and Write Requests; Local InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x1",
	.desc = "Read and Write Requests; Remote InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x1",
	.desc = "Read and Write Requests; Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming ead requests.  This is a good proxy for LLC Read Misses (including RFOs)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x1",
	.desc = "Read and Write Requests; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the local socket.  This is a good proxy for LLC Read Misses (including RFOs) from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x1",
	.desc = "Read and Write Requests; Remote Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the remote socket.  This is a good proxy for LLC Read Misses (including RFOs) from the remote socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x1",
	.desc = "Read and Write Requests; Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming write requests",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x1",
	.desc = "Read and Write Requests; Local Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x1",
	.desc = "Read and Write Requests; Remote Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw",
	.event = "umask=0x3,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.all",
	.event = "umask=0xf,event=0x3f",
	.desc = "HA AK Ring in Use; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw",
	.event = "umask=0x3,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.all",
	.event = "umask=0xf,event=0x40",
	.desc = "HA BL Ring in Use; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw",
	.event = "umask=0x3,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x68",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x68",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.ad",
	.event = "umask=0x1,event=0x69",
	.desc = "SBo1 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.bl",
	.event = "umask=0x2,event=0x69",
	.desc = "SBo1 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.local",
	.event = "umask=0x1,event=0xa",
	.desc = "Data beat the Snoop Responses; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.remote",
	.event = "umask=0x2,event=0xa",
	.desc = "Data beat the Snoop Responses; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.all",
	.event = "umask=0x3,event=0x8",
	.desc = "Cycles with Snoops Outstanding; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; Tracked for snoops from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.local",
	.event = "umask=0x1,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.remote",
	.event = "umask=0x2,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.local",
	.event = "umask=0x1,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.remote",
	.event = "umask=0x2,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x21",
	.desc = "Snoop Responses Received; RSPCNFLCT*. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x21",
	.desc = "Snoop Responses Received; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x21",
	.desc = "M line forwarded from remote cache with no writeback to memory. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x21",
	.desc = "Shared line response from remote cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x21",
	.desc = "Shared line forwarded from remote cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currentl copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x21",
	.desc = "M line forwarded from remote cache along with writeback to memory. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x21",
	.desc = "Snoop Responses Received; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.other",
	.event = "umask=0x80,event=0x60",
	.desc = "Snoop Responses Received Local; Other. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for all other snoop responses",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspcnflct",
	.event = "umask=0x40,event=0x60",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspi",
	.event = "umask=0x1,event=0x60",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspifwd",
	.event = "umask=0x4,event=0x60",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rsps",
	.event = "umask=0x2,event=0x60",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspsfwd",
	.event = "umask=0x8,event=0x60",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currentl copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxfwdxwb",
	.event = "umask=0x20,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxwb",
	.event = "umask=0x10,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region0",
	.event = "umask=0x1,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region1",
	.event = "umask=0x2,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region2",
	.event = "umask=0x4,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 2",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region3",
	.event = "umask=0x8,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 3",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region4",
	.event = "umask=0x10,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 4. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 4",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region5",
	.event = "umask=0x20,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 5. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 5",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region6",
	.event = "umask=0x40,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 6. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 6",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region7",
	.event = "umask=0x80,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 7. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 7",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region10",
	.event = "umask=0x4,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 10. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 10",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region11",
	.event = "umask=0x8,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 11. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 11",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region8",
	.event = "umask=0x1,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 8. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 8",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region9",
	.event = "umask=0x2,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 9. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 9",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.all",
	.event = "umask=0x2,event=0x2",
	.desc = "Tracker Cycles Full; Cycles Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the HA tracker pool (HT) is completely used including reserved HT entries.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.gp",
	.event = "umask=0x1,event=0x2",
	.desc = "Tracker Cycles Full; Cycles GP Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the general purpose (GP) HA tracker pool (HT) is completely used.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.all",
	.event = "umask=0x3,event=0x3",
	.desc = "Tracker Cycles Not Empty; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Requests coming from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.local",
	.event = "umask=0x1,event=0x3",
	.desc = "Tracker Cycles Not Empty; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.remote",
	.event = "umask=0x2,event=0x3",
	.desc = "Tracker Cycles Not Empty; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_local",
	.event = "umask=0x40,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_remote",
	.event = "umask=0x80,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_local",
	.event = "umask=0x4,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_remote",
	.event = "umask=0x8,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_local",
	.event = "umask=0x10,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_remote",
	.event = "umask=0x20,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.local",
	.event = "umask=0x1,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.remote",
	.event = "umask=0x2,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.hom",
	.event = "umask=0x4,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Non-data Responses. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details.; Filter for outbound NDR transactions sent on the AD ring.  NDR stands for non-data response and is generally used for completions that do not include data.  AD NDR is used for transactions to remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.all",
	.event = "umask=0x3,event=0x2a",
	.desc = "AD Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched0",
	.event = "umask=0x1,event=0x2a",
	.desc = "AD Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched1",
	.event = "umask=0x2,event=0x2a",
	.desc = "AD Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.all",
	.event = "umask=0x3,event=0x29",
	.desc = "AD Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched0",
	.event = "umask=0x1,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched1",
	.event = "umask=0x2,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.all",
	.event = "umask=0x3,event=0x27",
	.desc = "AD Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched0",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched1",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.all",
	.event = "umask=0x3,event=0x32",
	.desc = "AK Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched0",
	.event = "umask=0x1,event=0x32",
	.desc = "AK Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched1",
	.event = "umask=0x2,event=0x32",
	.desc = "AK Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x31",
	.desc = "AK Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched0",
	.event = "umask=0x1,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched1",
	.event = "umask=0x2,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.all",
	.event = "umask=0x3,event=0x2f",
	.desc = "AK Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched0",
	.event = "umask=0x1,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched1",
	.event = "umask=0x2,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_cache",
	.event = "umask=0x1,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to the cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_core",
	.event = "umask=0x2,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent directly to the requesting core",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_qpi",
	.event = "umask=0x4,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to a remote socket over QPI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.all",
	.event = "umask=0x3,event=0x36",
	.desc = "BL Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched0",
	.event = "umask=0x1,event=0x36",
	.desc = "BL Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched1",
	.event = "umask=0x2,event=0x36",
	.desc = "BL Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x35",
	.desc = "BL Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched0",
	.event = "umask=0x1,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched1",
	.event = "umask=0x2,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.all",
	.event = "umask=0x3,event=0x33",
	.desc = "BL Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched0",
	.event = "umask=0x1,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched1",
	.event = "umask=0x2,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.ak",
	.event = "umask=0x1,event=0x6d",
	.desc = "Injection Starvation; For AK Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.bl",
	.event = "umask=0x2,event=0x6d",
	.desc = "Injection Starvation; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x60,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_2m",
	.event = "period=2000003,umask=0x40,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_4k",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles for an extended page table walk. The Extended Page directory cache differs from standard TLB caches by the operating system that use it. Virtual machine operating systems use the extended page directory cache, while guest operating systems use the standard TLB caches",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x85",
	.desc = "Code misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Core misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "page_walker_loads.dtlb_l1",
	.event = "period=2000003,umask=0x11,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l2",
	.event = "period=2000003,umask=0x12,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l3",
	.event = "period=2000003,umask=0x14,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_memory",
	.event = "period=2000003,umask=0x18,event=0xbc",
	.desc = "Number of DTLB page walker hits in Memory  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l1",
	.event = "period=2000003,umask=0x21,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l2",
	.event = "period=2000003,umask=0x22,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l3",
	.event = "period=2000003,umask=0x24,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, and so on)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "This event counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. \nMM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.\nPenalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
	.long_desc = "This event counts the number of both cacheable and noncacheable Instruction Cache, Streaming Buffer and Victim Cache Reads including UC fetches",
},
{
	.name = "icache.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the demand fetch waits for data (wfdM104H) from L2 or iSB (opportunistic hit)",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes Uncacheable accesses",
	.topic = "frontend",
	.long_desc = "This event counts the number of instruction cache, streaming buffer and victim cache misses. Counting includes UC accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
	.long_desc = "This counts the number of cycles that the instruction decoder queue is empty and can indicate that the application may be bound in the front end.  It does not determine whether there are uops being delivered to the Alloc stage since uops can be delivered by bypass skipping the Instruction Decode Queue (IDQ) when it is empty",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the total number of uops delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when:\n a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread;\n b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions); \n c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when less than 1 uop is  delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >=3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
	.long_desc = "This event counts the number of the divide operations executed. Uses edge-detect and a cmask value of 1 on ARITH.FPU_DIV_ACTIVE to get the number of the divide operations executed",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired branch instructions",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-unconditional branch instructions, excluding calls and indirects",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions excluding calls and indirect branches",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect calls including both register and memory indirect",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all (macro) branch instructions retired",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired. (Precise Event - PEBS)  Spec update: BDW98 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: BDW98 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: BDW98",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: BDW98",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted branch instructions",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches that have a return mnemonic",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all mispredicted macro branch instructions retired",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "This is a fixed-frequency event programmed to general counters. It counts when the core is unhalted at 100 Mhz",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. \nNote: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  This event is clocked by base clock (100 Mhz) on Sandy Bridge. The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand* load request missing the L2 cache",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request (that is cycles with non-completed load waiting for its data from memory subsystem)",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand* load request missing the L2 cache.(as a footprint) * includes also L1 HW prefetch requests that may or may not be required by demands",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "This event counts stalls occured due to changing prefix length (66, 67 or REX.W when they change the length of the decoded instruction). Occurrences counting is proportional to the number of prefixes in a 16B-line. This may result in the following penalties: three-cycle penalty for each LCP in a 16-byte chunk",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. \nNotes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. \nCounting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event  Spec update: BDM61",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: BDM61",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: BDM11, BDM55 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts instructions retired  Spec update: BDM11, BDM55 (Must be precise)",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "FP operations  retired. X87 FP operations that have no exceptions:",
	.topic = "pipeline",
	.long_desc = "This event counts FP operations retired. For X87 FP operations that have no exceptions counting also includes flows that have several X87, or flows that use X87 uops in the exception handling",
},
{
	.name = "int_misc.rat_stall_cycles",
	.event = "period=2000003,umask=0x8,event=0xd",
	.desc = "Cycles when Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles during which Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the current thread. This also includes the cycles during which the Allocator is serving another thread",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Cycles checkpoints in Resource Allocation Table (RAT) are recovering from JEClear or machine clear",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "This event counts how many times the load operation got the true Block-on-Store blocking code preventing store forwarding. This includes cases when:\n - preceding store conflicts with the load (incomplete overlap);\n - store forwarding is impossible due to u-arch limitations;\n - preceding lock RMW operations are not forwarded;\n - store has the no-forward bit set (uncacheable/page-split/masked stores);\n - all-blocking stores are used (mostly, fences and port I/O);\nand others.\nThe most common case is a load blocked due to its address range overlapping with a preceding smaller uncompleted store. Note: This event does not take into account cases of out-of-SW-control (for example, SbTailHit), unknown physical STA, and cases of blocking loads on store due to being non-WB memory type or a lock. These cases are covered by other events.\nSee the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare",
	.topic = "pipeline",
	.long_desc = "This event counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the hardware prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by asm inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=2000003,umask=0x1,event=0xc3",
	.desc = "Cycles there was a Nuke. Account for both thread-specific and All Thread Nukes",
	.topic = "pipeline",
	.long_desc = "This event counts both thread-specific (TS) and all-thread (AT) nukes",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Maskmov false fault - counts number of time ucode passes through Maskmov flow due to instruction's mask being 0 while the flow was completed without raising a fault",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x40,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "This event counts resource-related stall cycles",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
	.long_desc = "This event counts ROB full stall cycles. This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by absence of eligible entries in the reservation station (RS). This may result from RS overflow, or from RS deallocation because of the RS array Write Port allocation scheme (each RS entry has two write ports instead of four. As a result, empty entries could not be used, although RS is not really full). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by the store buffer (SB) overflow (excluding draining from synch). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "This event counts cases of saving new LBR records by hardware. This assumes proper enabling of LBRs and takes into account LBR filtering done by the LBR_SELECT register",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the reservation station (RS) is empty for the thread.\nNote: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_executed_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_executed_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_executed_port.port_2_core",
	.event = "any=1,period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_executed_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_executed_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_executed_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_executed_port.port_6_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed_port.port_7_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 7",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS)",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive; added by GSR u-arch",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive\n added by GSR u-arch",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts all actually retired uops. Counting increments by two for micro-fused uops, and by one for macro-fused and other uops. Maximal increment value for one cycle is eight (Precise event)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 4 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 4 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 8 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.double",
	.event = "period=2000006,umask=0x15,event=0xc7",
	.desc = "Number of SSE/AVX computational double precision floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* scalar and packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.packed",
	.event = "period=2000004,umask=0x3c,event=0xc7",
	.desc = "Number of SSE/AVX computational packed floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* packed double and single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar",
	.event = "period=2000003,umask=0x3,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar floating-point instructions retired; some instructions will count twice as noted below. Each count represents 1 computation operation.   Applies to SSE* and AVX* scalar double and single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision and double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.single",
	.event = "period=2000005,umask=0x2a,event=0xc7",
	.desc = "Number of SSE/AVX computational single precision floating-point instructions retired; some instructions will count twice as noted below. Applies to SSE* and AVX* scalar and packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "This event counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "This event counts any input SSE* FP assist - invalid operation, denormal operand, dividing by zero, SNaN operand. Counting includes only cases involving penalties that required micro-code assist intervention",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "This event counts the number of SSE* floating point (FP) micro-code assist (numeric overflow/underflow) when the output value (destination register) is invalid. Counting covers only cases involving penalties that require micro-code assist intervention",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "This event counts x87 floating point (FP) micro-code assist (invalid operation, denormal operand, SNaN operand) when the input value (one of the source operands to an FP instruction) is invalid",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "This event counts the number of x87 floating point (FP) micro-code assist (numeric overflow/underflow, inexact result) when the output value (destination register) is invalid",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from AVX-256 to legacy SSE when penalty is applicable  Spec update: BDM30",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from legacy SSE to AVX-256 when penalty is applicable  Spec update: BDM30",
},
{
	.name = "uop_dispatches_cancelled.simd_prf",
	.event = "period=2000003,umask=0x3,event=0xa0",
	.desc = "Micro-op dispatches cancelled due to insufficient SIMD physical register file read ports",
	.topic = "floating point",
	.long_desc = "This event counts the number of micro-operations cancelled after they were dispatched from the scheduler to the execution units when the total number of physical register read ports across all dispatch ports exceeds the read bandwidth of the physical register file.  The SIMD_PRF subevent applies to the following instructions: VDPPS, DPPS, VPCMPESTRI, PCMPESTRI, VPCMPESTRM, PCMPESTRM, VFMADD*, VFMADDSUB*, VFMSUB*, VMSUBADD*, VFNMADD*, VFNMSUB*.  See the Broadwell Optimization Guide for more information",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times HLE abort was triggered (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (Precise event)",
},
{
	.name = "hle_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an HLE abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "hle_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to uncommon conditions",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an HLE abort",
},
{
	.name = "hle_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an HLE abort",
},
{
	.name = "hle_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times HLE caused a fault",
},
{
	.name = "hle_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
	.topic = "memory",
	.long_desc = "Number of times HLE aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times HLE commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times we entered an HLE region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region\n does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:\n1. memory disambiguation,\n2. external snoop, or\n3. cross SMT-HW-thread snoop (stores) hitting load buffer",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Randomly selected loads with latency value being above 4  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above four  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Randomly selected loads with latency value being above 8  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads with latency value being above eight  Supports address when precise.  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache-line split load uops dispatched to the L1 cache",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache line split store-address (STA) uops dispatched to the L1 cache",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00244",
	.desc = "Counts all demand & prefetch code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000244",
	.desc = "Counts all demand & prefetch code reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00091",
	.desc = "Counts all demand & prefetch data reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63BC00091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87FC00091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6040007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63BC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87FC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_requests.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC08FFF",
	.desc = "Counts all requests miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00122",
	.desc = "Counts all demand & prefetch RFOs miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000122",
	.desc = "Counts all demand & prefetch RFOs miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00002",
	.desc = "Counts all demand data writes (RFOs) miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00002",
	.desc = "Counts all demand data writes (RFOs) miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs miss in the L3",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times RTM abort was triggered (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered  (Precise event)",
},
{
	.name = "rtm_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "rtm_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times a RTM caused a fault",
},
{
	.name = "rtm_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times RTM aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times RTM commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times we entered an RTM region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region\n does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by  a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a TSX line had a cache conflict",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times we could not allocate Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0x12",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.source",
	.event = "umask=0x2,event=0x12",
	.desc = "Total Write Cache Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0",
	.desc = "Clocks in the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of clocks in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x13",
	.desc = "Coherent Ops; CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.crd",
	.event = "umask=0x2,event=0x13",
	.desc = "Coherent Ops; CRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.drd",
	.event = "umask=0x4,event=0x13",
	.desc = "Coherent Ops; DRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcidcahint",
	.event = "umask=0x20,event=0x13",
	.desc = "Coherent Ops; PCIDCAHin5t. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcirdcur",
	.event = "umask=0x1,event=0x13",
	.desc = "Coherent Ops; PCIRdCur. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x13",
	.desc = "Coherent Ops; PCIItoM. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x13",
	.desc = "Coherent Ops; RFO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x13",
	.desc = "Coherent Ops; WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.2ND_ATOMIC_INSERT",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.2ND_RD_INSERT",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.2ND_WR_INSERT",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.FAST_REJ",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.FAST_REQ",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.FAST_XFER",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC0.PF_ACK_HINT",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_timeout",
	.event = "umask=0x80,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch TimeOut. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Indicates the fetch for a previous prefetch wasn't accepted by the prefetch.   This happens in the case of a prefetch TimeOut",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.data_throttle",
	.event = "umask=0x80,event=0x15",
	.desc = "Misc Events - Set 1; Data Throttled. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "IRP throttled switch data",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x15",
	.desc = "Misc Events - Set 1. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_MISC1.LOST_FWD",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x15",
	.desc = "Misc Events - Set 1; Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x15",
	.desc = "Misc Events - Set 1; Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_inserts",
	.event = "event=0xa",
	.desc = "AK Ingress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the AK Ingress.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_cycles_full",
	.event = "event=0x4",
	.desc = "UNC_I_RxR_BL_DRS_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_inserts",
	.event = "event=0x1",
	.desc = "BL Ingress Occupancy - DRS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_occupancy",
	.event = "event=0x7",
	.desc = "UNC_I_RxR_BL_DRS_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_cycles_full",
	.event = "event=0x5",
	.desc = "UNC_I_RxR_BL_NCB_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_inserts",
	.event = "event=0x2",
	.desc = "BL Ingress Occupancy - NCB. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_occupancy",
	.event = "event=0x8",
	.desc = "UNC_I_RxR_BL_NCB_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_cycles_full",
	.event = "event=0x6",
	.desc = "UNC_I_RxR_BL_NCS_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_inserts",
	.event = "event=0x3",
	.desc = "BL Ingress Occupancy - NCS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_occupancy",
	.event = "event=0x9",
	.desc = "UNC_I_RxR_BL_NCS_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x17",
	.desc = "Snoop Responses; Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.HIT_ES",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x17",
	.desc = "Snoop Responses; Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.HIT_I",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x17",
	.desc = "Snoop Responses; Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.HIT_M",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x17",
	.desc = "Snoop Responses; Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.MISS",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x17",
	.desc = "Snoop Responses; SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.SNPCODE",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x17",
	.desc = "Snoop Responses; SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.SNPDATA",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x17",
	.desc = "Snoop Responses; SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "UNC_I_SNOOP_RESP.SNPINV",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x16",
	.desc = "Inbound Transaction Count; Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x16",
	.desc = "Inbound Transaction Count; Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_pref",
	.event = "umask=0x4,event=0x16",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x16",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x16",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x16",
	.desc = "Inbound Transaction Count; Write Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of write prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_ad_stall_credit_cycles",
	.event = "event=0x18",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_bl_stall_credit_cycles",
	.event = "event=0x19",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncb",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncs",
	.event = "event=0xf",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_request_occupancy",
	.event = "event=0xd",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_r2_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the R2PCIe uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the R2PCIe is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi0",
	.event = "umask=0x4,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.ISOCH_QPI0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi1",
	.event = "umask=0x8,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.ISOCH_QPI1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi0",
	.event = "umask=0x1,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.PRQ_QPI0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi1",
	.event = "umask=0x2,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.PRQ_QPI1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.drs",
	.event = "umask=0x8,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.all",
	.event = "umask=0xf,event=0x7",
	.desc = "R2 AD Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw",
	.event = "umask=0x3,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.dn",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Ingress Bounced; Dn. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.up",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Ingress Bounced; Up. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.all",
	.event = "umask=0xf,event=0x8",
	.desc = "R2 AK Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw",
	.event = "umask=0x3,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.all",
	.event = "umask=0xf,event=0x9",
	.desc = "R2 BL Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw",
	.event = "umask=0x3,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.ccw",
	.event = "umask=0xc,event=0xa",
	.desc = "R2 IV Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.cw",
	.event = "umask=0x3,event=0xa",
	.desc = "R2 IV Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given R2PCIe Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the R2PCIe Ingress Not Empty event to calculate average occupancy or the R2PCIe Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x28",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ad",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress Cycles Full; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ak",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress Cycles Full; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.bl",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress Cycles Full; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ad",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress Cycles Not Empty; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ak",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress Cycles Not Empty; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.bl",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress Cycles Not Empty; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ak",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_bl",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ad",
	.event = "umask=0x8,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ak",
	.event = "umask=0x20,event=0x26",
	.desc = "Egress CCW NACK; BL CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_bl",
	.event = "umask=0x10,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r3_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the QPI uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the QPI Agent is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo10",
	.event = "umask=0x4,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 10",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo11",
	.event = "umask=0x8,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 11",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo12",
	.event = "umask=0x10,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 12",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo13",
	.event = "umask=0x20,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 13",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo14_16",
	.event = "umask=0x40,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 14&16",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo8",
	.event = "umask=0x1,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 8",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo9",
	.event = "umask=0x2,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 9",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo_15_17",
	.event = "umask=0x80,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 15&17",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo0",
	.event = "umask=0x1,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo1",
	.event = "umask=0x2,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo2",
	.event = "umask=0x4,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 2",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo3",
	.event = "umask=0x8,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 3",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo4",
	.event = "umask=0x10,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 4",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo5",
	.event = "umask=0x20,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 5",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo6",
	.event = "umask=0x40,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 6",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo7",
	.event = "umask=0x80,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 7",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha0",
	.event = "umask=0x1,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha1",
	.event = "umask=0x2,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncb",
	.event = "umask=0x4,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCB Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncs",
	.event = "umask=0x8,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCS Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_backpressure.hub",
	.event = "umask=0x2,event=0xb",
	.desc = "IOT Backpressure. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "UNC_R3_IOT_BACKPRESSURE.HUB",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_backpressure.sat",
	.event = "umask=0x1,event=0xb",
	.desc = "IOT Backpressure. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "UNC_R3_IOT_BACKPRESSURE.SAT",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_hi.cts2",
	.event = "umask=0x1,event=0xd",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_hi.cts3",
	.event = "umask=0x2,event=0xd",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_lo.cts0",
	.event = "umask=0x1,event=0xc",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_lo.cts1",
	.event = "umask=0x2,event=0xc",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.all",
	.event = "umask=0xf,event=0x7",
	.desc = "R3 AD Ring in Use; All. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw",
	.event = "umask=0x3,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.all",
	.event = "umask=0xf,event=0x8",
	.desc = "R3 AK Ring in Use; All. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw",
	.event = "umask=0x3,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.all",
	.event = "umask=0xf,event=0x9",
	.desc = "R3 BL Ring in Use; All. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw",
	.event = "umask=0x3,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R3 IV Ring in Use; Any. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.cw",
	.event = "umask=0x3,event=0xa",
	.desc = "R3 IV Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_sink_starved.ak",
	.event = "umask=0x2,event=0xe",
	.desc = "Ring Stop Starved; AK. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the ringstop is in starvation (per ring)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.hom",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ndr",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.snp",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.drs",
	.event = "umask=0x8,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.hom",
	.event = "umask=0x1,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ncb",
	.event = "umask=0x10,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ncs",
	.event = "umask=0x20,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ndr",
	.event = "umask=0x4,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.snp",
	.event = "umask=0x2,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.drs",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.hom",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ndr",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.snp",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.drs",
	.event = "umask=0x8,event=0x15",
	.desc = "VN1 Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.hom",
	.event = "umask=0x1,event=0x15",
	.desc = "VN1 Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ncb",
	.event = "umask=0x10,event=0x15",
	.desc = "VN1 Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ncs",
	.event = "umask=0x20,event=0x15",
	.desc = "VN1 Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ndr",
	.event = "umask=0x4,event=0x15",
	.desc = "VN1 Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.snp",
	.event = "umask=0x2,event=0x15",
	.desc = "VN1 Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.hom",
	.event = "umask=0x1,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ncb",
	.event = "umask=0x10,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ncs",
	.event = "umask=0x20,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ndr",
	.event = "umask=0x4,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.snp",
	.event = "umask=0x2,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x28",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credits_acquired.ad",
	.event = "umask=0x1,event=0x29",
	.desc = "SBo1 Credits Acquired; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credits_acquired.bl",
	.event = "umask=0x2,event=0x29",
	.desc = "SBo1 Credits Acquired; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2b",
	.desc = "SBo1 Credits Occupancy; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2b",
	.desc = "SBo1 Credits Occupancy; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_ak",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_bl",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_ad",
	.event = "umask=0x8,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_ak",
	.event = "umask=0x20,event=0x26",
	.desc = "Egress CCW NACK; BL CW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_bl",
	.event = "umask=0x10,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.drs",
	.event = "umask=0x8,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.hom",
	.event = "umask=0x1,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncb",
	.event = "umask=0x10,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncs",
	.event = "umask=0x20,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ndr",
	.event = "umask=0x4,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.snp",
	.event = "umask=0x2,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.drs",
	.event = "umask=0x8,event=0x36",
	.desc = "VN0 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.hom",
	.event = "umask=0x1,event=0x36",
	.desc = "VN0 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x36",
	.desc = "VN0 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x36",
	.desc = "VN0 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ndr",
	.event = "umask=0x4,event=0x36",
	.desc = "VN0 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x36",
	.desc = "VN0 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.drs",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.hom",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncb",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncs",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ndr",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.snp",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.drs",
	.event = "umask=0x8,event=0x38",
	.desc = "VN1 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.hom",
	.event = "umask=0x1,event=0x38",
	.desc = "VN1 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x38",
	.desc = "VN1 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x38",
	.desc = "VN1 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ndr",
	.event = "umask=0x4,event=0x38",
	.desc = "VN1 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x38",
	.desc = "VN1 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.ad",
	.event = "umask=0x1,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credts from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.bl",
	.event = "umask=0x4,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credts from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "VNA Credit Reject; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.hom",
	.event = "umask=0x1,event=0x34",
	.desc = "VNA Credit Reject; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "VNA Credit Reject; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "VNA Credit Reject; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Standard (NCS)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ndr",
	.event = "umask=0x4,event=0x34",
	.desc = "VNA Credit Reject; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.snp",
	.event = "umask=0x2,event=0x34",
	.desc = "VNA Credit Reject; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_s_bounce_control",
	.event = "event=0xa",
	.desc = "Bounce Control. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_BOUNCE_CONTROL",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_CLOCKTICKS",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_fast_asserted",
	.event = "event=0x9",
	.desc = "FaST wire asserted. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.all",
	.event = "umask=0xf,event=0x1b",
	.desc = "AD Ring In Use; All. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.all",
	.event = "umask=0xf,event=0x1c",
	.desc = "AK Ring In Use; All. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.all",
	.event = "umask=0xf,event=0x1d",
	.desc = "BL Ring in Use; All. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.ad_cache",
	.event = "umask=0x1,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_RING_BOUNCES.AD_CACHE",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.ak_core",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Acknowledgements to core. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_RING_BOUNCES.AK_CORE",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.bl_core",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Data Responses to core. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_RING_BOUNCES.BL_CORE",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.iv_core",
	.event = "umask=0x8,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "UNC_S_RING_BOUNCES.IV_CORE",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_iv_used.dn",
	.event = "umask=0xc,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  There is only 1 IV ring in HSX.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_iv_used.up",
	.event = "umask=0x3,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  There is only 1 IV ring in HSX.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.ad_cache",
	.event = "umask=0x1,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.AD_CACHE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.ak_core",
	.event = "umask=0x2,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.AK_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.bl_core",
	.event = "umask=0x4,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.BL_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.iv_core",
	.event = "umask=0x8,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.IV_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.ad_bnc",
	.event = "umask=0x2,event=0x15",
	.desc = "Injection Starvation; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.ad_crd",
	.event = "umask=0x1,event=0x15",
	.desc = "Injection Starvation; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.bl_bnc",
	.event = "umask=0x8,event=0x15",
	.desc = "Injection Starvation; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.bl_crd",
	.event = "umask=0x4,event=0x15",
	.desc = "Injection Starvation; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ad_bnc",
	.event = "umask=0x2,event=0x12",
	.desc = "Bypass; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ad_crd",
	.event = "umask=0x1,event=0x12",
	.desc = "Bypass; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ak",
	.event = "umask=0x10,event=0x12",
	.desc = "Bypass; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.bl_bnc",
	.event = "umask=0x8,event=0x12",
	.desc = "Bypass; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.bl_crd",
	.event = "umask=0x4,event=0x12",
	.desc = "Bypass; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.iv",
	.event = "umask=0x20,event=0x12",
	.desc = "Bypass; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ad_bnc",
	.event = "umask=0x2,event=0x14",
	.desc = "Injection Starvation; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ad_crd",
	.event = "umask=0x1,event=0x14",
	.desc = "Injection Starvation; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ak",
	.event = "umask=0x10,event=0x14",
	.desc = "Injection Starvation; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.bl_bnc",
	.event = "umask=0x8,event=0x14",
	.desc = "Injection Starvation; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.bl_crd",
	.event = "umask=0x4,event=0x14",
	.desc = "Injection Starvation; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ifv",
	.event = "umask=0x40,event=0x14",
	.desc = "Injection Starvation; IVF Credit. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.iv",
	.event = "umask=0x20,event=0x14",
	.desc = "Injection Starvation; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ad_bnc",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ad_crd",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ak",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.bl_bnc",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Allocations; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.bl_crd",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.iv",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ad_bnc",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ad_crd",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ak",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Occupancy; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.bl_bnc",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Occupancy; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.bl_crd",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.iv",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.AD. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.BL. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ad_bnc",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ad_crd",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ak",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.bl_bnc",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.bl_crd",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.iv",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ad_bnc",
	.event = "umask=0x2,event=0x1",
	.desc = "Egress Occupancy; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ad_crd",
	.event = "umask=0x1,event=0x1",
	.desc = "Egress Occupancy; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ak",
	.event = "umask=0x10,event=0x1",
	.desc = "Egress Occupancy; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.bl_bnc",
	.event = "umask=0x8,event=0x1",
	.desc = "Egress Occupancy; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.bl_crd",
	.event = "umask=0x4,event=0x1",
	.desc = "Egress Occupancy; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.iv",
	.event = "umask=0x20,event=0x1",
	.desc = "Egress Occupancy; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.bl",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the UBOX using a dedicated 48-bit Fixed Counter. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.disable",
	.event = "umask=0x2,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.enable",
	.event = "umask=0x1,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_disable",
	.event = "umask=0x8,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_enable",
	.event = "umask=0x4,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.cmc",
	.event = "umask=0x10,event=0x43",
	.desc = "Monitor Sent to T0; Correctable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.livelock",
	.event = "umask=0x4,event=0x43",
	.desc = "Monitor Sent to T0; Livelock. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.lterror",
	.event = "umask=0x8,event=0x43",
	.desc = "Monitor Sent to T0; LTError. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t0",
	.event = "umask=0x1,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T0. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t1",
	.event = "umask=0x2,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T1. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.other",
	.event = "umask=0x80,event=0x43",
	.desc = "Monitor Sent to T0; Other. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; PREQ, PSMI, P2U, Thermal, PCUSMI, PMI",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.trap",
	.event = "umask=0x40,event=0x43",
	.desc = "Monitor Sent to T0; Trap. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.umc",
	.event = "umask=0x20,event=0x43",
	.desc = "Monitor Sent to T0; Uncorrectable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand; from the demand Hit FB, if it is allocated by hardware or software prefetch.\nNote: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_demand_rqsts.wb_hit",
	.event = "period=200003,umask=0x50,event=0x27",
	.desc = "Not rejected writebacks that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of WB requests that hit L2 cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Exclusive state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Invalidate state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Shared state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x5,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "This event counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "This event counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.l2_pf_hit",
	.event = "period=200003,umask=0xd0,event=0x24",
	.desc = "L2 prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that hit L2 cache. L3 prefetch new types",
},
{
	.name = "l2_rqsts.l2_pf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that miss L2 cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or L3 HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 or L3 HW prefetches that access L2 cache including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "This event counts transactions that access the L2 pipe including snoops, pagewalks, and so on",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Demand Data Read requests that access L2 cache, including rejects",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Read for Ownership (RFO) requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "This event counts the number of cycles when the L1D is locked. It is a superset of the 0x1 mask (BUS_LOCK_CLOCKS.BUS_LOCK_DURATION)",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that miss the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that refer to the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were L3 hit and a cross-core snoop hit in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared L3  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were HitM responses from a core on same socket (shared L3)  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were L3 Hit and a cross-core snoop missed in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in L3 without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Data from local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: BDE70, BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uop whose Data Source was: local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: BDE70, BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_dram",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Retired load uop whose Data Source was: remote DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x20,event=0xd3",
	.desc = "Retired load uop whose Data Source was: forwarded from remote cache  Supports address when precise.  Spec update: BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Retired load uop whose Data Source was: Remote cache HITM  Supports address when precise.  Spec update: BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were load uops missed L1 but hit a fill buffer due to a preceding miss to the same cache line with the data not ready.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the nearest-level (L1) cache.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load. This event also counts SW prefetches independent of the actual data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops misses in L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were misses in the nearest-level (L1) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were hits in the mid-level (L2) cache  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Miss in mid-level (L2) cache. Excludes Unknown data-source  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were misses in the mid-level (L2) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in L3 without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops which data sources were data hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: BDM100, BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event counts AVX-256bit load/store double-pump memory uops as a single uop at retirement. This event also counts SW prefetches  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts store uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event counts AVX-256bit load/store double-pump memory uops as a single uop at retirement  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops with locked access retired to the architected path  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted load uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted store uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts load uops with true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts store uops with true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "This event counts the demand and prefetch data reads. All Core Data Reads include cacheable Demands and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "This event counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, and so on",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "This event counts both cacheable and noncachaeble code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "This event counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "This event counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "This event counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.\nNote: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.\nNote: A prefetch promoted to Demand is counted from the promotion point  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0244",
	.desc = "Counts all demand & prefetch code reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0091",
	.desc = "Counts all demand & prefetch data reads hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0091",
	.desc = "Counts all demand & prefetch data reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C07F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C07F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_requests.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8FFF",
	.desc = "Counts all requests hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "Counts all demand & prefetch RFOs hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "Counts all demand & prefetch RFOs hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts all demand data writes (RFOs) hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs) hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs hit in the L3",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
	.long_desc = "This event counts the number of split locks in the super queue",
},
{
	.name = "qpi_ctl_bandwidth_tx",
	.event = "umask=0x4,event=0",
	.desc = "Number of non data (control) flits transmitted . Derived from unc_q_txl_flits_g0.non_data. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits transmitted across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.unit = "8Bytes",
	.perpkg = "1",
},
{
	.name = "qpi_data_bandwidth_tx",
	.event = "umask=0x2,event=0",
	.desc = "Number of data flits transmitted . Derived from unc_q_txl_flits_g0.data. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits transmitted over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.unit = "8Bytes",
	.perpkg = "1",
},
{
	.name = "unc_q_clockticks",
	.event = "event=0x14",
	.desc = "Number of qfclks. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of clocks in the QPI LL.  This clock runs at 1/4th the GT/s speed of the QPI link.  For example, a 4GT/s link will have qfclk or 1GHz.  BDX does not support dynamic link speeds, so this frequency is fixed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_cto_count",
	.event = "event=0x38",
	.desc = "Count of CTO Events. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of CTO (cluster trigger outs) events that were asserted across the two slots.  If both slots trigger in a given cycle, the event will increment by 2.  You can use edge detect to count the number of cases when both events triggered",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits",
	.event = "umask=0x2,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits.  Had there been enough credits, the spawn would have worked as the RBT bit was set and the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_miss",
	.event = "umask=0x20,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and there weren't enough Egress credits.   The valid bit was set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt",
	.event = "umask=0x8,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits AND the RBT bit was not set, but the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt_miss",
	.event = "umask=0x80,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss, Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match, the valid bit was not set and there weren't enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_miss",
	.event = "umask=0x10,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match although the valid bit was set and there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_hit",
	.event = "umask=0x4,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the route-back table (RBT) specified that the transaction should not trigger a direct2core tranaction.  This is common for IO transactions.  There were enough Egress credits and the RBT tag matched but the valid bit was not set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_miss",
	.event = "umask=0x40,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss and Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and the valid bit was not set although there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.success_rbt_hit",
	.event = "umask=0x1,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Success. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exlusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn was successful.  There were sufficient credits, the RBT valid bit was set and there was an RBT tag match.  The message was marked to spawn direct2core",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_l1_power_cycles",
	.event = "event=0x12",
	.desc = "Cycles in L1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a QPI link.  Use edge detect to count the number of instances when the QPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0p_power_cycles",
	.event = "event=0x10",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0_power_cycles",
	.event = "event=0xf",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_bypassed",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.link_init",
	.event = "umask=0x1,event=0x3",
	.desc = "CRC Errors Detected; LinkInit. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it).; CRC errors detected during link initialization",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.normal_op",
	.event = "umask=0x2,event=0x3",
	.desc = "UNC_Q_RxL_CRC_ERRORS.NORMAL_OP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.drs",
	.event = "umask=0x1,event=0x1e",
	.desc = "VN0 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.hom",
	.event = "umask=0x8,event=0x1e",
	.desc = "VN0 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncb",
	.event = "umask=0x2,event=0x1e",
	.desc = "VN0 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncs",
	.event = "umask=0x4,event=0x1e",
	.desc = "VN0 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ndr",
	.event = "umask=0x20,event=0x1e",
	.desc = "VN0 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.snp",
	.event = "umask=0x10,event=0x1e",
	.desc = "VN0 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.drs",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.hom",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncb",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncs",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ndr",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.snp",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vna",
	.event = "event=0x1d",
	.desc = "VNA Credit Consumed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne",
	.event = "event=0xa",
	.desc = "RxQ Cycles Not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn0",
	.event = "umask=0x1,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn1",
	.event = "umask=0x2,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn0",
	.event = "umask=0x1,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn1",
	.event = "umask=0x2,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn0",
	.event = "umask=0x1,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn1",
	.event = "umask=0x2,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn0",
	.event = "umask=0x1,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn1",
	.event = "umask=0x2,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn0",
	.event = "umask=0x1,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn1",
	.event = "umask=0x2,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn0",
	.event = "umask=0x1,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn1",
	.event = "umask=0x2,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.idle",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Received - Group 0; Idle and Null Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of flits received over QPI that do not hold protocol payload.  When QPI is not in a power saving state, it continuously transmits flits across the link.  When there are no protocol flits to send, it will send IDLE and NULL flits  across.  These flits sometimes do carry a payload, such as credit returns, but are generall not considered part of the QPI bandwidth",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs",
	.event = "umask=0x18,event=0x2",
	.desc = "Flits Received - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_data",
	.event = "umask=0x8,event=0x2",
	.desc = "Flits Received - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0x2",
	.desc = "Flits Received - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom",
	.event = "umask=0x6,event=0x2",
	.desc = "Flits Received - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits received over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0x2",
	.desc = "Flits Received - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits received over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_req",
	.event = "umask=0x2,event=0x2",
	.desc = "Flits Received - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request received over QPI on the home channel.  This basically counts the number of remote memory requests received over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.snp",
	.event = "umask=0x1,event=0x2",
	.desc = "Flits Received - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits received over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are received on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb",
	.event = "umask=0xc,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not the NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent non-data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncs",
	.event = "umask=0x10,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent standard Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits received over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts",
	.event = "event=0x8",
	.desc = "Rx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn0",
	.event = "umask=0x1,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn1",
	.event = "umask=0x2,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn0",
	.event = "umask=0x1,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn1",
	.event = "umask=0x2,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn0",
	.event = "umask=0x1,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn1",
	.event = "umask=0x2,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn0",
	.event = "umask=0x1,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn1",
	.event = "umask=0x2,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn0",
	.event = "umask=0x1,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn1",
	.event = "umask=0x2,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn0",
	.event = "umask=0x1,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn1",
	.event = "umask=0x2,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy",
	.event = "event=0xb",
	.desc = "RxQ Occupancy - All Packets. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn0",
	.event = "umask=0x1,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn1",
	.event = "umask=0x2,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn1",
	.event = "umask=0x2,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn0",
	.event = "umask=0x1,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn1",
	.event = "umask=0x2,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn0",
	.event = "umask=0x1,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn1",
	.event = "umask=0x2,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn0",
	.event = "umask=0x1,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn1",
	.event = "umask=0x2,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn0",
	.event = "umask=0x1,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn1",
	.event = "umask=0x2,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_drs",
	.event = "umask=0x1,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_hom",
	.event = "umask=0x8,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncb",
	.event = "umask=0x2,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncs",
	.event = "umask=0x4,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ndr",
	.event = "umask=0x20,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_snp",
	.event = "umask=0x10,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.egress_credits",
	.event = "umask=0x40,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet because there were insufficient BGF credits.  For details on a message class granularity, use the Egress Credit Occupancy events",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.gv",
	.event = "umask=0x80,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; GV. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled because a GV transition (frequency transition) was taking place",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_drs",
	.event = "umask=0x1,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_hom",
	.event = "umask=0x8,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncb",
	.event = "umask=0x2,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncs",
	.event = "umask=0x4,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ndr",
	.event = "umask=0x20,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_snp",
	.event = "umask=0x10,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0p_power_cycles",
	.event = "event=0xd",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0_power_cycles",
	.event = "event=0xc",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_bypassed",
	.event = "event=0x5",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the QPI Link. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.almost_full",
	.event = "umask=0x2,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is almost full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is almost full, we block some but not all packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.full",
	.event = "umask=0x1,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is totally full, we are not allowed to send any packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_cycles_ne",
	.event = "event=0x6",
	.desc = "Tx Flit Buffer Cycles not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles when the TxQ is not empty. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.data",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits transmitted over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.non_data",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits transmitted across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs",
	.event = "umask=0x18,event=0",
	.desc = "Flits Transferred - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_data",
	.event = "umask=0x8,event=0",
	.desc = "Flits Transferred - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0",
	.desc = "Flits Transferred - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom",
	.event = "umask=0x6,event=0",
	.desc = "Flits Transferred - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits transmitted over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits transmitted over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_req",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request transmitted over QPI on the home channel.  This basically counts the number of remote memory requests transmitted over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.snp",
	.event = "umask=0x1,event=0",
	.desc = "Flits Transferred - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits transmitted over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are transmitted on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb",
	.event = "umask=0xc,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent Bypass Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not te NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent non-data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncs",
	.event = "umask=0x10,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent standard Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits transmitted over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits trasmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_inserts",
	.event = "event=0x4",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Tx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_occupancy",
	.event = "event=0x7",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn1",
	.event = "umask=0x2,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn1",
	.event = "umask=0x2,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn0",
	.event = "umask=0x1,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn1",
	.event = "umask=0x2,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO fro Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO fro Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_acquired",
	.event = "event=0x29",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_occupancy",
	.event = "event=0x25",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn_shr",
	.event = "umask=0x4,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn_shr",
	.event = "umask=0x4,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_returns",
	.event = "event=0x1c",
	.desc = "VNA Credits Returned. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits returned",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_return_occupancy",
	.event = "event=0x1b",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_read",
	.event = "umask=0x3,event=0x4",
	.desc = "read requests to memory controller. Derived from unc_m_cas_count.rd. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_write",
	.event = "umask=0xc,event=0x4",
	.desc = "write requests to memory controller. Derived from unc_m_cas_count.wr. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_BYP_CMDS.ACT",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_BYP_CMDS.CAS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_BYP_CMDS.PRE",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM Reads (RD_CAS + Underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM RD_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Underfill Read Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the number of underfill reads that are issued by the memory controller.  This will generally be about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ.  While it is possible for underfills to be issed in both WMM and RMM, this event counts both",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (both Modes). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the Memory Controller using a dedicated 48-bit Fixed Counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks_p",
	.event = "event=0",
	.desc = "Clockticks in the Memory Controller using one of the programmable counters. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dclockticks",
	.event = "event=0",
	.desc = "This event is deprecated. Refer to new event UNC_M_CLOCKTICKS_P. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit erros in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "UNC_M_POWER_PCU_THROTTLING. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "DRAM Precharge commands.; Precharges due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of page misses.  This does not include explicit precharge commands sent with CAS commands in Auto-Precharge mode.  This does not include PRE commands sent as a result of the page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_PRIO.HIGH",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_PRIO.LOW",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_PRIO.MED",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_PRIO.PANIC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK0.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK1.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK2.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank10",
	.event = "umask=0xa,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank11",
	.event = "umask=0xb,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank12",
	.event = "umask=0xc,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank13",
	.event = "umask=0xd,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank14",
	.event = "umask=0xe,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank15",
	.event = "umask=0xf,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x3,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x5,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x6,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x7,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank8",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank9",
	.event = "umask=0x9,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK4.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank10",
	.event = "umask=0xa,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank11",
	.event = "umask=0xb,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank12",
	.event = "umask=0xc,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank13",
	.event = "umask=0xd,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank14",
	.event = "umask=0xe,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank15",
	.event = "umask=0xf,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x3,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x5,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x6,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x7,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank8",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank9",
	.event = "umask=0x9,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK5.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank10",
	.event = "umask=0xa,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank11",
	.event = "umask=0xb,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank12",
	.event = "umask=0xc,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank13",
	.event = "umask=0xd,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank14",
	.event = "umask=0xe,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank15",
	.event = "umask=0xf,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x3,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x5,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x6,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x7,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank8",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank9",
	.event = "umask=0x9,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK6.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank10",
	.event = "umask=0xa,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank11",
	.event = "umask=0xb,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank12",
	.event = "umask=0xc,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank13",
	.event = "umask=0xd,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank14",
	.event = "umask=0xe,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank15",
	.event = "umask=0xf,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x3,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x5,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x6,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x7,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank8",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank9",
	.event = "umask=0x9,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_RD_CAS_RANK7.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_mxb_wr_occupancy",
	.event = "event=0x91",
	.desc = "VMSE MXB write buffer occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_VMSE_MXB_WR_OCCUPANCY",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.rmm",
	.event = "umask=0x2,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_VMSE_WR_PUSH.RMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.wmm",
	.event = "umask=0x1,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_VMSE_WR_PUSH.WMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WMM_TO_RMM.LOW_THRESH",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WMM_TO_RMM.STARVE",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WMM_TO_RMM.VMSE_RETRY",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WRONG_MM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK0.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK1.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank10",
	.event = "umask=0xa,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank11",
	.event = "umask=0xb,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank12",
	.event = "umask=0xc,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank13",
	.event = "umask=0xd,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank14",
	.event = "umask=0xe,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank15",
	.event = "umask=0xf,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x3,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x5,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x6,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x7,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank8",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank9",
	.event = "umask=0x9,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK4.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank10",
	.event = "umask=0xa,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank11",
	.event = "umask=0xb,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank12",
	.event = "umask=0xc,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank13",
	.event = "umask=0xd,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank14",
	.event = "umask=0xe,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank15",
	.event = "umask=0xf,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x3,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x5,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x6,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x7,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank8",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank9",
	.event = "umask=0x9,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK5.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank10",
	.event = "umask=0xa,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank11",
	.event = "umask=0xb,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank12",
	.event = "umask=0xc,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank13",
	.event = "umask=0xd,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank14",
	.event = "umask=0xe,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank15",
	.event = "umask=0xf,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x3,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x5,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x6,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x7,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank8",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank9",
	.event = "umask=0x9,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK6.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.ALLBANKS",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank10",
	.event = "umask=0xa,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank11",
	.event = "umask=0xb,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank12",
	.event = "umask=0xc,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank13",
	.event = "umask=0xd,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank14",
	.event = "umask=0xe,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank15",
	.event = "umask=0xf,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x3,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x5,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x6,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x7,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank8",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank9",
	.event = "umask=0x9,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANK9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANKG0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANKG1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANKG2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_WR_CAS_RANK7.BANKG3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_westmereex[] = {
{
	.name = "es_reg_renames",
	.event = "period=2000000,umask=0x1,event=0xd5",
	.desc = "ES segment renames",
	.topic = "other",
},
{
	.name = "io_transactions",
	.event = "period=2000000,umask=0x1,event=0x6c",
	.desc = "I/O transactions",
	.topic = "other",
},
{
	.name = "l1i.cycles_stalled",
	.event = "period=2000000,umask=0x4,event=0x80",
	.desc = "L1I instruction fetch stall cycles",
	.topic = "other",
},
{
	.name = "l1i.hits",
	.event = "period=2000000,umask=0x1,event=0x80",
	.desc = "L1I instruction fetch hits",
	.topic = "other",
},
{
	.name = "l1i.misses",
	.event = "period=2000000,umask=0x2,event=0x80",
	.desc = "L1I instruction fetch misses",
	.topic = "other",
},
{
	.name = "l1i.reads",
	.event = "period=2000000,umask=0x3,event=0x80",
	.desc = "L1I Instruction fetches",
	.topic = "other",
},
{
	.name = "large_itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "Large ITLB hit",
	.topic = "other",
},
{
	.name = "load_block.overlap_store",
	.event = "period=200000,umask=0x2,event=0x3",
	.desc = "Loads that partially overlap an earlier store",
	.topic = "other",
},
{
	.name = "load_dispatch.any",
	.event = "period=2000000,umask=0x7,event=0x13",
	.desc = "All loads dispatched",
	.topic = "other",
},
{
	.name = "load_dispatch.mob",
	.event = "period=2000000,umask=0x4,event=0x13",
	.desc = "Loads dispatched from the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Loads dispatched that bypass the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs_delayed",
	.event = "period=2000000,umask=0x2,event=0x13",
	.desc = "Loads dispatched from stage 305",
	.topic = "other",
},
{
	.name = "partial_address_alias",
	.event = "period=200000,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial address aliasing",
	.topic = "other",
},
{
	.name = "sb_drain.any",
	.event = "period=200000,umask=0x7,event=0x4",
	.desc = "All Store buffer stall cycles",
	.topic = "other",
},
{
	.name = "seg_rename_stalls",
	.event = "period=2000000,umask=0x1,event=0xd4",
	.desc = "Segment rename stall cycles",
	.topic = "other",
},
{
	.name = "snoopq_requests.code",
	.event = "period=100000,umask=0x4,event=0xb4",
	.desc = "Snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.data",
	.event = "period=100000,umask=0x1,event=0xb4",
	.desc = "Snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.invalidate",
	.event = "period=100000,umask=0x2,event=0xb4",
	.desc = "Snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code",
	.event = "period=2000000,umask=0x4,event=0xb3",
	.desc = "Outstanding snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0xb3",
	.desc = "Cycles snoop code requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data",
	.event = "period=2000000,umask=0x1,event=0xb3",
	.desc = "Outstanding snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xb3",
	.desc = "Cycles snoop data requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate",
	.event = "period=2000000,umask=0x2,event=0xb3",
	.desc = "Outstanding snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xb3",
	.desc = "Cycles snoop invalidate requests queued",
	.topic = "other",
},
{
	.name = "snoop_response.hit",
	.event = "period=100000,umask=0x1,event=0xb8",
	.desc = "Thread responded HIT to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hite",
	.event = "period=100000,umask=0x2,event=0xb8",
	.desc = "Thread responded HITE to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hitm",
	.event = "period=100000,umask=0x4,event=0xb8",
	.desc = "Thread responded HITM to snoop",
	.topic = "other",
},
{
	.name = "sq_full_stall_cycles",
	.event = "period=2000000,umask=0x1,event=0xf6",
	.desc = "Super Queue full stall cycles",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.any",
	.event = "period=200000,umask=0x1,event=0x8",
	.desc = "DTLB load misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x8",
	.desc = "DTLB load miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x8",
	.desc = "DTLB load miss caused by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000000,umask=0x10,event=0x8",
	.desc = "DTLB second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x8",
	.desc = "DTLB load miss page walks complete",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_cycles",
	.event = "period=200000,umask=0x4,event=0x8",
	.desc = "DTLB load miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x49",
	.desc = "DTLB misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x49",
	.desc = "DTLB miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x49",
	.desc = "DTLB misses caused by low part of address. Count also includes 2M page references because 2M pages do not use the PDE",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.stlb_hit",
	.event = "period=200000,umask=0x10,event=0x49",
	.desc = "DTLB first level misses but second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x49",
	.desc = "DTLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x49",
	.desc = "DTLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000000,umask=0x10,event=0x4f",
	.desc = "Extended Page Table walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_flush",
	.event = "period=2000000,umask=0x1,event=0xae",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x85",
	.desc = "ITLB miss",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x85",
	.desc = "ITLB miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x85",
	.desc = "ITLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x85",
	.desc = "ITLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_miss_retired",
	.event = "period=200000,umask=0x20,event=0xc8",
	.desc = "Retired instructions that missed the ITLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x80,event=0xcb",
	.desc = "Retired loads that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_store_retired.dtlb_miss",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Retired stores that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "macro_insts.decoded",
	.event = "period=2000000,umask=0x1,event=0xd0",
	.desc = "Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.fusions_decoded",
	.event = "period=2000000,umask=0x1,event=0xa6",
	.desc = "Macro-fused instructions decoded",
	.topic = "frontend",
},
{
	.name = "two_uop_insts_decoded",
	.event = "period=2000000,umask=0x1,event=0x19",
	.desc = "Two Uop instructions decoded",
	.topic = "frontend",
},
{
	.name = "arith.cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.div",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1,event=0x14",
	.desc = "Divide Operations executed",
	.topic = "pipeline",
},
{
	.name = "arith.mul",
	.event = "period=2000000,umask=0x2,event=0x14",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "baclear.bad_target",
	.event = "period=2000000,umask=0x2,event=0xe6",
	.desc = "BACLEAR asserted with bad target address",
	.topic = "pipeline",
},
{
	.name = "baclear.clear",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEAR asserted, regardless of cause",
	.topic = "pipeline",
},
{
	.name = "baclear_force_iq",
	.event = "period=2000000,umask=0x1,event=0xa7",
	.desc = "Instruction queue forced BACLEAR",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.early",
	.event = "period=2000000,umask=0x1,event=0xe8",
	.desc = "Early Branch Prediciton Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.late",
	.event = "period=2000000,umask=0x2,event=0xe8",
	.desc = "Late Branch Prediction Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_missed_call_ret",
	.event = "period=2000000,umask=0x1,event=0xe5",
	.desc = "Branch prediction unit missed call or return",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.any",
	.event = "period=200000,umask=0x7f,event=0x88",
	.desc = "Branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.cond",
	.event = "period=200000,umask=0x1,event=0x88",
	.desc = "Conditional branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct",
	.event = "period=200000,umask=0x2,event=0x88",
	.desc = "Unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct_near_call",
	.event = "period=20000,umask=0x10,event=0x88",
	.desc = "Unconditional call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_near_call",
	.event = "period=20000,umask=0x20,event=0x88",
	.desc = "Indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_non_call",
	.event = "period=20000,umask=0x4,event=0x88",
	.desc = "Indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.near_calls",
	.event = "period=20000,umask=0x30,event=0x88",
	.desc = "Call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.non_calls",
	.event = "period=200000,umask=0x7,event=0x88",
	.desc = "All non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.return_near",
	.event = "period=20000,umask=0x8,event=0x88",
	.desc = "Indirect return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken",
	.event = "period=200000,umask=0x40,event=0x88",
	.desc = "Taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=200000,umask=0x1,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=20000,umask=0x2,event=0xc4",
	.desc = "Retired near call instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.any",
	.event = "period=20000,umask=0x7f,event=0x89",
	.desc = "Mispredicted branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.cond",
	.event = "period=20000,umask=0x1,event=0x89",
	.desc = "Mispredicted conditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct",
	.event = "period=20000,umask=0x2,event=0x89",
	.desc = "Mispredicted unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct_near_call",
	.event = "period=2000,umask=0x10,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_near_call",
	.event = "period=2000,umask=0x20,event=0x89",
	.desc = "Mispredicted indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_non_call",
	.event = "period=2000,umask=0x4,event=0x89",
	.desc = "Mispredicted indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.near_calls",
	.event = "period=2000,umask=0x30,event=0x89",
	.desc = "Mispredicted call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.non_calls",
	.event = "period=20000,umask=0x7,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.return_near",
	.event = "period=2000,umask=0x8,event=0x89",
	.desc = "Mispredicted return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken",
	.event = "period=20000,umask=0x40,event=0x89",
	.desc = "Mispredicted taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=20000,umask=0x4,event=0xc5",
	.desc = "Mispredicted retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=20000,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional retired branches (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=2000,umask=0x2,event=0xc5",
	.desc = "Mispredicted near retired calls (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_p",
	.event = "period=100000,umask=0x1,event=0x3c",
	.desc = "Reference base clock (133 Mhz) cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.total_cycles",
	.event = "cmask=2,inv=1,period=2000000,event=0x3c",
	.desc = "Total CPU cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.any",
	.event = "period=2000000,umask=0xf,event=0x87",
	.desc = "Any Instruction Length Decoder stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000000,umask=0x4,event=0x87",
	.desc = "Instruction Queue full stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Length Change Prefix stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.mru",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Stall cycles due to BPU MRU bypass",
	.topic = "pipeline",
},
{
	.name = "ild_stall.regen",
	.event = "period=2000000,umask=0x8,event=0x87",
	.desc = "Regen stall cycles",
	.topic = "pipeline",
},
{
	.name = "inst_decoded.dec0",
	.event = "period=2000000,umask=0x1,event=0x18",
	.desc = "Instructions that must be decoded by decoder 0",
	.topic = "pipeline",
},
{
	.name = "inst_queue_writes",
	.event = "period=2000000,umask=0x1,event=0x17",
	.desc = "Instructions written to instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_queue_write_cycles",
	.event = "period=2000000,umask=0x1,event=0x1e",
	.desc = "Cycles instructions are written to the instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Programmable counter and Precise Event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.mmx",
	.event = "period=2000000,umask=0x4,event=0xc0",
	.desc = "Retired MMX instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000000,umask=0x2,event=0xc0",
	.desc = "Retired floating-point operations (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre",
	.event = "period=200000,umask=0x1,event=0x4c",
	.desc = "Load operations conflicting with software prefetches",
	.topic = "pipeline",
},
{
	.name = "lsd.active",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles when uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd.inactive",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles no uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd_overflow",
	.event = "period=2000000,umask=0x1,event=0x20",
	.desc = "Loops that can't stream from the instruction queue",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=20000,umask=0x1,event=0xc3",
	.desc = "Cycles machine clear asserted",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mem_order",
	.event = "period=20000,umask=0x2,event=0xc3",
	.desc = "Execution pipeline restart due to Memory ordering conflicts",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20000,umask=0x4,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.any",
	.event = "period=2000000,umask=0xf,event=0xd2",
	.desc = "All RAT stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.flags",
	.event = "period=2000000,umask=0x1,event=0xd2",
	.desc = "Flag stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.registers",
	.event = "period=2000000,umask=0x2,event=0xd2",
	.desc = "Partial register stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.rob_read_port",
	.event = "period=2000000,umask=0x4,event=0xd2",
	.desc = "ROB read port stalls cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.scoreboard",
	.event = "period=2000000,umask=0x8,event=0xd2",
	.desc = "Scoreboard stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000000,umask=0x1,event=0xa2",
	.desc = "Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.fpcw",
	.event = "period=2000000,umask=0x20,event=0xa2",
	.desc = "FPU control word write stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.load",
	.event = "period=2000000,umask=0x2,event=0xa2",
	.desc = "Load buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mxcsr",
	.event = "period=2000000,umask=0x40,event=0xa2",
	.desc = "MXCSR rename stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.other",
	.event = "period=2000000,umask=0x80,event=0xa2",
	.desc = "Other Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob_full",
	.event = "period=2000000,umask=0x10,event=0xa2",
	.desc = "ROB full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs_full",
	.event = "period=2000000,umask=0x4,event=0xa2",
	.desc = "Reservation Station full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.store",
	.event = "period=2000000,umask=0x8,event=0xa2",
	.desc = "Store buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_double",
	.event = "period=200000,umask=0x4,event=0xc7",
	.desc = "SIMD Packed-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_single",
	.event = "period=200000,umask=0x1,event=0xc7",
	.desc = "SIMD Packed-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_double",
	.event = "period=200000,umask=0x8,event=0xc7",
	.desc = "SIMD Scalar-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_single",
	.event = "period=200000,umask=0x2,event=0xc7",
	.desc = "SIMD Scalar-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.vector_integer",
	.event = "period=200000,umask=0x10,event=0xc7",
	.desc = "SIMD Vector Integer Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_folding",
	.event = "period=2000000,umask=0x4,event=0xd1",
	.desc = "Stack pointer instructions decoded",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_sync",
	.event = "period=2000000,umask=0x8,event=0xd1",
	.desc = "Stack pointer sync operations",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.ms_cycles_active",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xd1",
	.desc = "Uops decoded by Microcode Sequencer",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xd1",
	.desc = "Cycles no Uops are decoded",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles",
	.event = "any=1,cmask=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles_no_port5",
	.event = "any=1,cmask=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count_no_port5",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles no Uops issued on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles_no_port5",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port0",
	.event = "period=2000000,umask=0x1,event=0xb1",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015",
	.event = "period=2000000,umask=0x40,event=0xb1",
	.desc = "Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015_stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x40,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port1",
	.event = "period=2000000,umask=0x2,event=0xb1",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port234_core",
	.event = "any=1,period=2000000,umask=0x80,event=0xb1",
	.desc = "Uops issued on ports 2, 3 or 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port2_core",
	.event = "any=1,period=2000000,umask=0x4,event=0xb1",
	.desc = "Uops executed on port 2 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port3_core",
	.event = "any=1,period=2000000,umask=0x8,event=0xb1",
	.desc = "Uops executed on port 3 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port4_core",
	.event = "any=1,period=2000000,umask=0x10,event=0xb1",
	.desc = "Uops executed on port 4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port5",
	.event = "period=2000000,umask=0x20,event=0xb1",
	.desc = "Uops executed on port 5",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000000,umask=0x1,event=0xe",
	.desc = "Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued on any thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.cycles_all_threads",
	.event = "any=1,cmask=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles Uops were issued on either thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.fused",
	.event = "period=2000000,umask=0x2,event=0xe",
	.desc = "Fused Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued",
	.topic = "pipeline",
},
{
	.name = "uops_retired.active_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are being retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x1,event=0xc2",
	.desc = "Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000000,umask=0x4,event=0xc2",
	.desc = "Macro-fused Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000000,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are not retiring (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Total cycles using precise uop retired event (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uop_unfusion",
	.event = "period=2000000,umask=0x1,event=0xdb",
	.desc = "Uop unfusions due to FP exceptions",
	.topic = "pipeline",
},
{
	.name = "fp_assist.all",
	.event = "period=20000,umask=0x1,event=0xf7",
	.desc = "X87 Floating point assists (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.input",
	.event = "period=20000,umask=0x4,event=0xf7",
	.desc = "X87 Floating poiint assists for invalid input value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.output",
	.event = "period=20000,umask=0x2,event=0xf7",
	.desc = "X87 Floating point assists for invalid output value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.mmx",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "MMX Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse2_integer",
	.event = "period=2000000,umask=0x8,event=0x10",
	.desc = "SSE2 integer Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_double_precision",
	.event = "period=2000000,umask=0x80,event=0x10",
	.desc = "SSE* FP double precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp",
	.event = "period=2000000,umask=0x4,event=0x10",
	.desc = "SSE and SSE2 FP Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_packed",
	.event = "period=2000000,umask=0x10,event=0x10",
	.desc = "SSE FP packed Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_scalar",
	.event = "period=2000000,umask=0x20,event=0x10",
	.desc = "SSE FP scalar Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_single_precision",
	.event = "period=2000000,umask=0x40,event=0x10",
	.desc = "SSE* FP single precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Computational floating-point operations executed",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.any",
	.event = "period=2000000,umask=0x3,event=0xcc",
	.desc = "All Floating Point to and from MMX transitions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_fp",
	.event = "period=2000000,umask=0x1,event=0xcc",
	.desc = "Transitions from MMX to Floating Point instructions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_mmx",
	.event = "period=2000000,umask=0x2,event=0xcc",
	.desc = "Transitions from Floating Point to MMX instructions",
	.topic = "floating point",
},
{
	.name = "simd_int_128.pack",
	.event = "period=200000,umask=0x4,event=0x12",
	.desc = "128 bit SIMD integer pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_arith",
	.event = "period=200000,umask=0x20,event=0x12",
	.desc = "128 bit SIMD integer arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_logical",
	.event = "period=200000,umask=0x10,event=0x12",
	.desc = "128 bit SIMD integer logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_mpy",
	.event = "period=200000,umask=0x1,event=0x12",
	.desc = "128 bit SIMD integer multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_shift",
	.event = "period=200000,umask=0x2,event=0x12",
	.desc = "128 bit SIMD integer shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.shuffle_move",
	.event = "period=200000,umask=0x40,event=0x12",
	.desc = "128 bit SIMD integer shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.unpack",
	.event = "period=200000,umask=0x8,event=0x12",
	.desc = "128 bit SIMD integer unpack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.pack",
	.event = "period=200000,umask=0x4,event=0xfd",
	.desc = "SIMD integer 64 bit pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_arith",
	.event = "period=200000,umask=0x20,event=0xfd",
	.desc = "SIMD integer 64 bit arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_logical",
	.event = "period=200000,umask=0x10,event=0xfd",
	.desc = "SIMD integer 64 bit logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_mpy",
	.event = "period=200000,umask=0x1,event=0xfd",
	.desc = "SIMD integer 64 bit packed multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_shift",
	.event = "period=200000,umask=0x2,event=0xfd",
	.desc = "SIMD integer 64 bit shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.shuffle_move",
	.event = "period=200000,umask=0x40,event=0xfd",
	.desc = "SIMD integer 64 bit shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.unpack",
	.event = "period=200000,umask=0x8,event=0xfd",
	.desc = "SIMD integer 64 bit unpack operations",
	.topic = "floating point",
},
{
	.name = "misalign_mem_ref.store",
	.event = "period=200000,umask=0x2,event=0x5",
	.desc = "Misaligned store references",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6011",
	.desc = "Offcore data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF811",
	.desc = "Offcore data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4011",
	.desc = "Offcore data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2011",
	.desc = "Offcore data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6044",
	.desc = "Offcore code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF844",
	.desc = "Offcore code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4044",
	.desc = "Offcore code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2044",
	.desc = "Offcore code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x60FF",
	.desc = "Offcore requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF8FF",
	.desc = "Offcore requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x40FF",
	.desc = "Offcore requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x20FF",
	.desc = "Offcore requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6022",
	.desc = "Offcore RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF822",
	.desc = "Offcore RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4022",
	.desc = "Offcore RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2022",
	.desc = "Offcore RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6008",
	.desc = "Offcore writebacks to any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF808",
	.desc = "Offcore writebacks that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4008",
	.desc = "Offcore writebacks to the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2008",
	.desc = "Offcore writebacks to a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6077",
	.desc = "Offcore code or data read requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF877",
	.desc = "Offcore code or data read requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4077",
	.desc = "Offcore code or data read requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2077",
	.desc = "Offcore code or data read requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6033",
	.desc = "Offcore request = all data, response = any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF833",
	.desc = "Offcore request = all data, response = any LLC miss",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6003",
	.desc = "Offcore demand data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF803",
	.desc = "Offcore demand data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4003",
	.desc = "Offcore demand data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2003",
	.desc = "Offcore demand data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6001",
	.desc = "Offcore demand data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF801",
	.desc = "Offcore demand data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4001",
	.desc = "Offcore demand data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2001",
	.desc = "Offcore demand data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6004",
	.desc = "Offcore demand code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF804",
	.desc = "Offcore demand code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4004",
	.desc = "Offcore demand code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2004",
	.desc = "Offcore demand code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6002",
	.desc = "Offcore demand RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF802",
	.desc = "Offcore demand RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4002",
	.desc = "Offcore demand RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2002",
	.desc = "Offcore demand RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6080",
	.desc = "Offcore other requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF880",
	.desc = "Offcore other requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.other.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2080",
	.desc = "Offcore other requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6030",
	.desc = "Offcore prefetch data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF830",
	.desc = "Offcore prefetch data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4030",
	.desc = "Offcore prefetch data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2030",
	.desc = "Offcore prefetch data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6010",
	.desc = "Offcore prefetch data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF810",
	.desc = "Offcore prefetch data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4010",
	.desc = "Offcore prefetch data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2010",
	.desc = "Offcore prefetch data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6040",
	.desc = "Offcore prefetch code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF840",
	.desc = "Offcore prefetch code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4040",
	.desc = "Offcore prefetch code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2040",
	.desc = "Offcore prefetch code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6020",
	.desc = "Offcore prefetch RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF820",
	.desc = "Offcore prefetch RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4020",
	.desc = "Offcore prefetch RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2020",
	.desc = "Offcore prefetch RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6070",
	.desc = "Offcore prefetch requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF870",
	.desc = "Offcore prefetch requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4070",
	.desc = "Offcore prefetch requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2070",
	.desc = "Offcore prefetch requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "cache_lock_cycles.l1d",
	.event = "period=2000000,umask=0x2,event=0x63",
	.desc = "Cycles L1D locked",
	.topic = "cache",
},
{
	.name = "cache_lock_cycles.l1d_l2",
	.event = "period=2000000,umask=0x1,event=0x63",
	.desc = "Cycles L1D and L2 locked",
	.topic = "cache",
},
{
	.name = "l1d.m_evict",
	.event = "period=2000000,umask=0x4,event=0x51",
	.desc = "L1D cache lines replaced in M state",
	.topic = "cache",
},
{
	.name = "l1d.m_repl",
	.event = "period=2000000,umask=0x2,event=0x51",
	.desc = "L1D cache lines allocated in the M state",
	.topic = "cache",
},
{
	.name = "l1d.m_snoop_evict",
	.event = "period=2000000,umask=0x8,event=0x51",
	.desc = "L1D snoop eviction of cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.repl",
	.event = "period=2000000,umask=0x1,event=0x51",
	.desc = "L1 data cache lines allocated",
	.topic = "cache",
},
{
	.name = "l1d_cache_prefetch_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x52",
	.desc = "L1D prefetch load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.miss",
	.event = "period=200000,umask=0x2,event=0x4e",
	.desc = "L1D hardware prefetch misses",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.requests",
	.event = "period=200000,umask=0x1,event=0x4e",
	.desc = "L1D hardware prefetch requests",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.triggers",
	.event = "period=200000,umask=0x4,event=0x4e",
	.desc = "L1D hardware prefetch requests triggered",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.e_state",
	.event = "period=100000,umask=0x4,event=0x28",
	.desc = "L1 writebacks to L2 in E state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.i_state",
	.event = "period=100000,umask=0x1,event=0x28",
	.desc = "L1 writebacks to L2 in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.mesi",
	.event = "period=100000,umask=0xf,event=0x28",
	.desc = "All L1 writebacks to L2",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.m_state",
	.event = "period=100000,umask=0x8,event=0x28",
	.desc = "L1 writebacks to L2 in M state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.s_state",
	.event = "period=100000,umask=0x2,event=0x28",
	.desc = "L1 writebacks to L2 in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.any",
	.event = "period=200000,umask=0xff,event=0x26",
	.desc = "All L2 data requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.e_state",
	.event = "period=200000,umask=0x4,event=0x26",
	.desc = "L2 data demand loads in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.i_state",
	.event = "period=200000,umask=0x1,event=0x26",
	.desc = "L2 data demand loads in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.mesi",
	.event = "period=200000,umask=0xf,event=0x26",
	.desc = "L2 data demand requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.m_state",
	.event = "period=200000,umask=0x8,event=0x26",
	.desc = "L2 data demand loads in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.s_state",
	.event = "period=200000,umask=0x2,event=0x26",
	.desc = "L2 data demand loads in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.e_state",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 data prefetches in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.i_state",
	.event = "period=200000,umask=0x10,event=0x26",
	.desc = "L2 data prefetches in the I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.mesi",
	.event = "period=200000,umask=0xf0,event=0x26",
	.desc = "All L2 data prefetches",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.m_state",
	.event = "period=200000,umask=0x80,event=0x26",
	.desc = "L2 data prefetches in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.s_state",
	.event = "period=200000,umask=0x20,event=0x26",
	.desc = "L2 data prefetches in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.any",
	.event = "period=100000,umask=0x7,event=0xf1",
	.desc = "L2 lines alloacated",
	.topic = "cache",
},
{
	.name = "l2_lines_in.e_state",
	.event = "period=100000,umask=0x4,event=0xf1",
	.desc = "L2 lines allocated in the E state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s_state",
	.event = "period=100000,umask=0x2,event=0xf1",
	.desc = "L2 lines allocated in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_out.any",
	.event = "period=100000,umask=0xf,event=0xf2",
	.desc = "L2 lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100000,umask=0x1,event=0xf2",
	.desc = "L2 lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100000,umask=0x2,event=0xf2",
	.desc = "L2 modified lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_clean",
	.event = "period=100000,umask=0x4,event=0xf2",
	.desc = "L2 lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_dirty",
	.event = "period=100000,umask=0x8,event=0xf2",
	.desc = "L2 modified lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetches",
	.event = "period=200000,umask=0x30,event=0x24",
	.desc = "L2 instruction fetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_hit",
	.event = "period=200000,umask=0x10,event=0x24",
	.desc = "L2 instruction fetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_miss",
	.event = "period=200000,umask=0x20,event=0x24",
	.desc = "L2 instruction fetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_hit",
	.event = "period=200000,umask=0x1,event=0x24",
	.desc = "L2 load hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_miss",
	.event = "period=200000,umask=0x2,event=0x24",
	.desc = "L2 load misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.loads",
	.event = "period=200000,umask=0x3,event=0x24",
	.desc = "L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200000,umask=0xaa,event=0x24",
	.desc = "All L2 misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetches",
	.event = "period=200000,umask=0xc0,event=0x24",
	.desc = "All L2 prefetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_hit",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 prefetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_miss",
	.event = "period=200000,umask=0x80,event=0x24",
	.desc = "L2 prefetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200000,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfos",
	.event = "period=200000,umask=0xc,event=0x24",
	.desc = "L2 RFO requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200000,umask=0x4,event=0x24",
	.desc = "L2 RFO hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200000,umask=0x8,event=0x24",
	.desc = "L2 RFO misses",
	.topic = "cache",
},
{
	.name = "l2_transactions.any",
	.event = "period=200000,umask=0x80,event=0xf0",
	.desc = "All L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.fill",
	.event = "period=200000,umask=0x20,event=0xf0",
	.desc = "L2 fill transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.ifetch",
	.event = "period=200000,umask=0x4,event=0xf0",
	.desc = "L2 instruction fetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.l1d_wb",
	.event = "period=200000,umask=0x10,event=0xf0",
	.desc = "L1D writeback to L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.load",
	.event = "period=200000,umask=0x1,event=0xf0",
	.desc = "L2 Load transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.prefetch",
	.event = "period=200000,umask=0x8,event=0xf0",
	.desc = "L2 prefetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.rfo",
	.event = "period=200000,umask=0x2,event=0xf0",
	.desc = "L2 RFO transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.wb",
	.event = "period=200000,umask=0x40,event=0xf0",
	.desc = "L2 writeback to LLC transactions",
	.topic = "cache",
},
{
	.name = "l2_write.lock.e_state",
	.event = "period=100000,umask=0x40,event=0x27",
	.desc = "L2 demand lock RFOs in E state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.hit",
	.event = "period=100000,umask=0xe0,event=0x27",
	.desc = "All demand L2 lock RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.lock.i_state",
	.event = "period=100000,umask=0x10,event=0x27",
	.desc = "L2 demand lock RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.lock.mesi",
	.event = "period=100000,umask=0xf0,event=0x27",
	.desc = "All demand L2 lock RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.lock.m_state",
	.event = "period=100000,umask=0x80,event=0x27",
	.desc = "L2 demand lock RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.s_state",
	.event = "period=100000,umask=0x20,event=0x27",
	.desc = "L2 demand lock RFOs in S state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.hit",
	.event = "period=100000,umask=0xe,event=0x27",
	.desc = "All L2 demand store RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.i_state",
	.event = "period=100000,umask=0x1,event=0x27",
	.desc = "L2 demand store RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.mesi",
	.event = "period=100000,umask=0xf,event=0x27",
	.desc = "All L2 demand store RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.m_state",
	.event = "period=100000,umask=0x8,event=0x27",
	.desc = "L2 demand store RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.s_state",
	.event = "period=100000,umask=0x2,event=0x27",
	.desc = "L2 demand store RFOs in S state",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100000,umask=0x41,event=0x2e",
	.desc = "Longest latency cache miss",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "Longest latency cache reference",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_0",
	.event = "period=2000000,umask=0x10,event=0xb,ldlat=",
	.desc = "Memory instructions retired above 0 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_1024",
	.event = "period=100,umask=0x10,event=0xb,ldlat=0x400",
	.desc = "Memory instructions retired above 1024 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_128",
	.event = "period=1000,umask=0x10,event=0xb,ldlat=0x80",
	.desc = "Memory instructions retired above 128 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16",
	.event = "period=10000,umask=0x10,event=0xb,ldlat=0x10",
	.desc = "Memory instructions retired above 16 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16384",
	.event = "period=5,umask=0x10,event=0xb,ldlat=0x4000",
	.desc = "Memory instructions retired above 16384 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_2048",
	.event = "period=50,umask=0x10,event=0xb,ldlat=0x800",
	.desc = "Memory instructions retired above 2048 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_256",
	.event = "period=500,umask=0x10,event=0xb,ldlat=0x100",
	.desc = "Memory instructions retired above 256 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32",
	.event = "period=5000,umask=0x10,event=0xb,ldlat=0x20",
	.desc = "Memory instructions retired above 32 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32768",
	.event = "period=3,umask=0x10,event=0xb,ldlat=0x8000",
	.desc = "Memory instructions retired above 32768 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4",
	.event = "period=50000,umask=0x10,event=0xb,ldlat=0x4",
	.desc = "Memory instructions retired above 4 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4096",
	.event = "period=20,umask=0x10,event=0xb,ldlat=0x1000",
	.desc = "Memory instructions retired above 4096 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_512",
	.event = "period=200,umask=0x10,event=0xb,ldlat=0x200",
	.desc = "Memory instructions retired above 512 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_64",
	.event = "period=2000,umask=0x10,event=0xb,ldlat=0x40",
	.desc = "Memory instructions retired above 64 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8",
	.event = "period=20000,umask=0x10,event=0xb,ldlat=0x8",
	.desc = "Memory instructions retired above 8 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8192",
	.event = "period=10,umask=0x10,event=0xb,ldlat=0x2000",
	.desc = "Memory instructions retired above 8192 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.loads",
	.event = "period=2000000,umask=0x1,event=0xb",
	.desc = "Instructions retired which contains a load (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.stores",
	.event = "period=2000000,umask=0x2,event=0xb",
	.desc = "Instructions retired which contains a store (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.hit_lfb",
	.event = "period=200000,umask=0x40,event=0xcb",
	.desc = "Retired loads that miss L1D and hit an previously allocated LFB (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l1d_hit",
	.event = "period=2000000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L1 data cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x2,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_miss",
	.event = "period=10000,umask=0x10,event=0xcb",
	.desc = "Retired loads that miss the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_unshared_hit",
	.event = "period=40000,umask=0x4,event=0xcb",
	.desc = "Retired loads that hit valid versions in the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.other_core_l2_hit_hitm",
	.event = "period=40000,umask=0x8,event=0xcb",
	.desc = "Retired loads that hit sibling core's L2 in modified or unmodified states (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.local_dram_and_remote_cache_hit",
	.event = "period=20000,umask=0x8,event=0xf",
	.desc = "Load instructions retired local dram and remote cache HIT data sources (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.local_hitm",
	.event = "period=40000,umask=0x2,event=0xf",
	.desc = "Load instructions retired that HIT modified data in sibling core (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_dram",
	.event = "period=10000,umask=0x20,event=0xf",
	.desc = "Load instructions retired remote DRAM and remote home-remote cache HITM (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_hitm",
	.event = "period=40000,umask=0x4,event=0xf",
	.desc = "Retired loads that hit remote socket in modified state (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.uncacheable",
	.event = "period=4000,umask=0x80,event=0xf",
	.desc = "Load instructions retired IO (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.any",
	.event = "period=100000,umask=0x80,event=0xb0",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.read",
	.event = "period=100000,umask=0x8,event=0xb0",
	.desc = "Offcore read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.rfo",
	.event = "period=100000,umask=0x10,event=0xb0",
	.desc = "Offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_code",
	.event = "period=100000,umask=0x2,event=0xb0",
	.desc = "Offcore demand code read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_data",
	.event = "period=100000,umask=0x1,event=0xb0",
	.desc = "Offcore demand data read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.rfo",
	.event = "period=100000,umask=0x4,event=0xb0",
	.desc = "Offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.l1d_writeback",
	.event = "period=100000,umask=0x40,event=0xb0",
	.desc = "Offcore L1 data cache writebacks",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read",
	.event = "period=2000000,umask=0x8,event=0x60",
	.desc = "Outstanding offcore reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read_not_empty",
	.event = "cmask=1,period=2000000,umask=0x8,event=0x60",
	.desc = "Cycles offcore reads busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code",
	.event = "period=2000000,umask=0x2,event=0x60",
	.desc = "Outstanding offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0x60",
	.desc = "Cycles offcore demand code read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data",
	.event = "period=2000000,umask=0x1,event=0x60",
	.desc = "Outstanding offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0x60",
	.desc = "Cycles offcore demand data read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo",
	.event = "period=2000000,umask=0x4,event=0x60",
	.desc = "Outstanding offcore demand RFOs",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0x60",
	.desc = "Cycles offcore demand RFOs busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_sq_full",
	.event = "period=100000,umask=0x1,event=0xb2",
	.desc = "Offcore requests blocked due to Super Queue full",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F11",
	.desc = "Offcore data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF11",
	.desc = "All offcore data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8011",
	.desc = "Offcore data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x111",
	.desc = "Offcore data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x211",
	.desc = "Offcore data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x411",
	.desc = "Offcore data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x711",
	.desc = "Offcore data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4711",
	.desc = "Offcore data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1811",
	.desc = "Offcore data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3811",
	.desc = "Offcore data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1011",
	.desc = "Offcore data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x811",
	.desc = "Offcore data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F44",
	.desc = "Offcore code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF44",
	.desc = "All offcore code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8044",
	.desc = "Offcore code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x144",
	.desc = "Offcore code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x244",
	.desc = "Offcore code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x444",
	.desc = "Offcore code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x744",
	.desc = "Offcore code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4744",
	.desc = "Offcore code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1844",
	.desc = "Offcore code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3844",
	.desc = "Offcore code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1044",
	.desc = "Offcore code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x844",
	.desc = "Offcore code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FFF",
	.desc = "Offcore requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFFFF",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x80FF",
	.desc = "Offcore requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1FF",
	.desc = "Offcore requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2FF",
	.desc = "Offcore requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4FF",
	.desc = "Offcore requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FF",
	.desc = "Offcore requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x47FF",
	.desc = "Offcore requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x18FF",
	.desc = "Offcore requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x38FF",
	.desc = "Offcore requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x10FF",
	.desc = "Offcore requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8FF",
	.desc = "Offcore requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F22",
	.desc = "Offcore RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF22",
	.desc = "All offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8022",
	.desc = "Offcore RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x122",
	.desc = "Offcore RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x222",
	.desc = "Offcore RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x422",
	.desc = "Offcore RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x722",
	.desc = "Offcore RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4722",
	.desc = "Offcore RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1822",
	.desc = "Offcore RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3822",
	.desc = "Offcore RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1022",
	.desc = "Offcore RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x822",
	.desc = "Offcore RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F08",
	.desc = "Offcore writebacks to any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF08",
	.desc = "All offcore writebacks",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8008",
	.desc = "Offcore writebacks to the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x108",
	.desc = "Offcore writebacks to the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x408",
	.desc = "Offcore writebacks to the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x708",
	.desc = "Offcore writebacks to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4708",
	.desc = "Offcore writebacks to the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1808",
	.desc = "Offcore writebacks to a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3808",
	.desc = "Offcore writebacks to a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1008",
	.desc = "Offcore writebacks that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x808",
	.desc = "Offcore writebacks that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F77",
	.desc = "Offcore code or data read requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF77",
	.desc = "All offcore code or data read requests",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8077",
	.desc = "Offcore code or data read requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x177",
	.desc = "Offcore code or data read requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x277",
	.desc = "Offcore code or data read requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x477",
	.desc = "Offcore code or data read requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x777",
	.desc = "Offcore code or data read requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4777",
	.desc = "Offcore code or data read requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1877",
	.desc = "Offcore code or data read requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3877",
	.desc = "Offcore code or data read requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1077",
	.desc = "Offcore code or data read requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x877",
	.desc = "Offcore code or data read requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F33",
	.desc = "Offcore request = all data, response = any cache_dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF33",
	.desc = "Offcore request = all data, response = any location",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x133",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x233",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x433",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x733",
	.desc = "Offcore request = all data, response = local cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4733",
	.desc = "Offcore request = all data, response = local cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1833",
	.desc = "Offcore request = all data, response = remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3833",
	.desc = "Offcore request = all data, response = remote cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1033",
	.desc = "Offcore data reads, RFOs, and prefetches that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x833",
	.desc = "Offcore data reads, RFOs, and prefetches that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F03",
	.desc = "Offcore demand data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF03",
	.desc = "All offcore demand data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8003",
	.desc = "Offcore demand data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x103",
	.desc = "Offcore demand data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x203",
	.desc = "Offcore demand data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x403",
	.desc = "Offcore demand data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x703",
	.desc = "Offcore demand data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4703",
	.desc = "Offcore demand data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1803",
	.desc = "Offcore demand data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3803",
	.desc = "Offcore demand data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1003",
	.desc = "Offcore demand data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x803",
	.desc = "Offcore demand data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F01",
	.desc = "Offcore demand data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF01",
	.desc = "All offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8001",
	.desc = "Offcore demand data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x101",
	.desc = "Offcore demand data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x201",
	.desc = "Offcore demand data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x401",
	.desc = "Offcore demand data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x701",
	.desc = "Offcore demand data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4701",
	.desc = "Offcore demand data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1801",
	.desc = "Offcore demand data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3801",
	.desc = "Offcore demand data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1001",
	.desc = "Offcore demand data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x801",
	.desc = "Offcore demand data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F04",
	.desc = "Offcore demand code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF04",
	.desc = "All offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8004",
	.desc = "Offcore demand code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x104",
	.desc = "Offcore demand code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x204",
	.desc = "Offcore demand code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x404",
	.desc = "Offcore demand code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x704",
	.desc = "Offcore demand code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4704",
	.desc = "Offcore demand code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1804",
	.desc = "Offcore demand code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3804",
	.desc = "Offcore demand code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1004",
	.desc = "Offcore demand code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x804",
	.desc = "Offcore demand code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F02",
	.desc = "Offcore demand RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF02",
	.desc = "All offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8002",
	.desc = "Offcore demand RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x102",
	.desc = "Offcore demand RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x202",
	.desc = "Offcore demand RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x402",
	.desc = "Offcore demand RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x702",
	.desc = "Offcore demand RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4702",
	.desc = "Offcore demand RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1002",
	.desc = "Offcore demand RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x802",
	.desc = "Offcore demand RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F80",
	.desc = "Offcore other requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF80",
	.desc = "All offcore other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8080",
	.desc = "Offcore other requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x180",
	.desc = "Offcore other requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x280",
	.desc = "Offcore other requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x480",
	.desc = "Offcore other requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x780",
	.desc = "Offcore other requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4780",
	.desc = "Offcore other requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1880",
	.desc = "Offcore other requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3880",
	.desc = "Offcore other requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1080",
	.desc = "Offcore other requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x880",
	.desc = "Offcore other requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F30",
	.desc = "Offcore prefetch data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF30",
	.desc = "All offcore prefetch data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8030",
	.desc = "Offcore prefetch data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x130",
	.desc = "Offcore prefetch data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x230",
	.desc = "Offcore prefetch data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x430",
	.desc = "Offcore prefetch data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x730",
	.desc = "Offcore prefetch data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4730",
	.desc = "Offcore prefetch data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1030",
	.desc = "Offcore prefetch data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x830",
	.desc = "Offcore prefetch data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F10",
	.desc = "Offcore prefetch data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF10",
	.desc = "All offcore prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8010",
	.desc = "Offcore prefetch data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x110",
	.desc = "Offcore prefetch data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x210",
	.desc = "Offcore prefetch data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x410",
	.desc = "Offcore prefetch data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x710",
	.desc = "Offcore prefetch data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4710",
	.desc = "Offcore prefetch data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1010",
	.desc = "Offcore prefetch data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x810",
	.desc = "Offcore prefetch data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F40",
	.desc = "Offcore prefetch code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF40",
	.desc = "All offcore prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8040",
	.desc = "Offcore prefetch code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x140",
	.desc = "Offcore prefetch code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x240",
	.desc = "Offcore prefetch code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x440",
	.desc = "Offcore prefetch code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x740",
	.desc = "Offcore prefetch code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4740",
	.desc = "Offcore prefetch code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1040",
	.desc = "Offcore prefetch code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x840",
	.desc = "Offcore prefetch code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F20",
	.desc = "Offcore prefetch RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF20",
	.desc = "All offcore prefetch RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8020",
	.desc = "Offcore prefetch RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x120",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x220",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x420",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1020",
	.desc = "Offcore prefetch RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x820",
	.desc = "Offcore prefetch RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F70",
	.desc = "Offcore prefetch requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF70",
	.desc = "All offcore prefetch requests",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8070",
	.desc = "Offcore prefetch requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x170",
	.desc = "Offcore prefetch requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x270",
	.desc = "Offcore prefetch requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x470",
	.desc = "Offcore prefetch requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x770",
	.desc = "Offcore prefetch requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4770",
	.desc = "Offcore prefetch requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1870",
	.desc = "Offcore prefetch requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3870",
	.desc = "Offcore prefetch requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1070",
	.desc = "Offcore prefetch requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x870",
	.desc = "Offcore prefetch requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "sq_misc.lru_hints",
	.event = "period=2000000,umask=0x4,event=0xf4",
	.desc = "Super Queue LRU hints sent to LLC",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=2000000,umask=0x10,event=0xf4",
	.desc = "Super Queue lock splits across a cache line",
	.topic = "cache",
},
{
	.name = "store_blocks.at_ret",
	.event = "period=200000,umask=0x4,event=0x6",
	.desc = "Loads delayed with at-Retirement block code",
	.topic = "cache",
},
{
	.name = "store_blocks.l1d_block",
	.event = "period=200000,umask=0x8,event=0x6",
	.desc = "Cacheable loads delayed with L1D block code",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_haswell[] = {
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is in ring 0",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is not in ring 0",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "Cycles in which the L1D and L2 are locked, due to a UC lock or split lock",
},
{
	.name = "unc_cbo_cache_lookup.any_es",
	.event = "umask=0x86,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_i",
	.event = "umask=0x88,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_m",
	.event = "umask=0x81,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_mesi",
	.event = "umask=0x8f,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_es",
	.event = "umask=0x46,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_i",
	.event = "umask=0x48,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_m",
	.event = "umask=0x41,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_mesi",
	.event = "umask=0x4f,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_es",
	.event = "umask=0x16,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_i",
	.event = "umask=0x18,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_m",
	.event = "umask=0x11,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_mesi",
	.event = "umask=0x1f,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in any MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_es",
	.event = "umask=0x26,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_i",
	.event = "umask=0x28,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_m",
	.event = "umask=0x21,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_mesi",
	.event = "umask=0x2f,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_eviction",
	.event = "umask=0x88,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_external",
	.event = "umask=0x28,event=0x22",
	.desc = "An external snoop hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_xcore",
	.event = "umask=0x48,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_eviction",
	.event = "umask=0x84,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_external",
	.event = "umask=0x24,event=0x22",
	.desc = "An external snoop hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_xcore",
	.event = "umask=0x44,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_external",
	.event = "umask=0x21,event=0x22",
	.desc = "An external snoop misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_xcore",
	.event = "umask=0x41,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that cause a page walk of any page size",
},
{
	.name = "dtlb_load_misses.pde_cache_miss",
	.event = "period=100003,umask=0x80,event=0x8",
	.desc = "DTLB demand load misses with low part of linear-to-physical address translation missed",
	.topic = "virtual memory",
	.long_desc = "DTLB demand load misses with low part of linear-to-physical address translation missed",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x60,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Number of cache load STLB hits. No page walk",
},
{
	.name = "dtlb_load_misses.stlb_hit_2m",
	.event = "period=2000003,umask=0x40,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations from a 2M page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_load_misses.stlb_hit_4k",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations from a 4K page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in any TLB of any page size due to demand load misses",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to demand load misses that caused 2M/4M page walks in any TLB levels",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to demand load misses that caused 4K page walks in any TLB levels",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB load misses",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.pde_cache_miss",
	.event = "period=100003,umask=0x80,event=0x49",
	.desc = "DTLB store misses with low part of linear-to-physical address translation missed",
	.topic = "virtual memory",
	.long_desc = "DTLB store misses with low part of linear-to-physical address translation missed",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "This event counts store operations from a 2M page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "This event counts store operations from a 4K page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store miss in any TLB levels of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks. (1G)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store misses in one or more TLB levels of 2M/4M page structure",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store misses in one or more TLB levels of 4K page structure",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB store misses",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100003,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of ITLB flushes, includes 4k/2M/4M pages",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in ITLB that causes a page walk of any page size",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB. No page walk",
},
{
	.name = "itlb_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x85",
	.desc = "Code misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB (2M)",
},
{
	.name = "itlb_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Core misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB (4K)",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in ITLB of any page size",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to misses in ITLB 2M/4M page entries",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to misses in ITLB 4K page entries",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by ITLB misses",
},
{
	.name = "page_walker_loads.dtlb_l1",
	.event = "period=2000003,umask=0x11,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L1+FB",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L1+FB",
},
{
	.name = "page_walker_loads.dtlb_l2",
	.event = "period=2000003,umask=0x12,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L2",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L2",
},
{
	.name = "page_walker_loads.dtlb_l3",
	.event = "period=2000003,umask=0x14,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L3 + XSNP  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L3  Spec update: HSD25",
},
{
	.name = "page_walker_loads.dtlb_memory",
	.event = "period=2000003,umask=0x18,event=0xbc",
	.desc = "Number of DTLB page walker hits in Memory  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads from memory  Spec update: HSD25",
},
{
	.name = "page_walker_loads.ept_dtlb_l1",
	.event = "period=2000003,umask=0x41,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L1 and FB",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_l2",
	.event = "period=2000003,umask=0x42,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_l3",
	.event = "period=2000003,umask=0x44,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L3",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_memory",
	.event = "period=2000003,umask=0x48,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in memory",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l1",
	.event = "period=2000003,umask=0x81,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L1 and FB",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l2",
	.event = "period=2000003,umask=0x82,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l3",
	.event = "period=2000003,umask=0x84,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_memory",
	.event = "period=2000003,umask=0x88,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in memory",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l1",
	.event = "period=2000003,umask=0x21,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L1+FB",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L1+FB",
},
{
	.name = "page_walker_loads.itlb_l2",
	.event = "period=2000003,umask=0x22,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L2",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L2",
},
{
	.name = "page_walker_loads.itlb_l3",
	.event = "period=2000003,umask=0x24,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L3 + XSNP  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L3  Spec update: HSD25",
},
{
	.name = "page_walker_loads.itlb_memory",
	.event = "period=2000003,umask=0x28,event=0xbc",
	.desc = "Number of ITLB page walker hits in Memory  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads from memory  Spec update: HSD25",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100003,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100003,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Count number of STLB flush attempts",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Number of front end re-steers due to BPU misprediction",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
},
{
	.name = "icache.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
},
{
	.name = "icache.ifetch_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes Uncacheable accesses",
	.topic = "frontend",
	.long_desc = "This event counts Instruction Cache (ICACHE) misses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered at least one uop. Set Cmask = 1",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Increment each cycle. # of uops delivered to IDQ from DSB path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "Counts cycles the IDQ is empty  Spec update: HSD135",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Number of uops delivered to IDQ from any path",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MITE path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the microcode sequencer assisted the Front-end in delivering uops.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by DSB. Set Cmask = 1 to count cycles. Add Edge=1 to count # of delivery",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts uops delivered by the Front-end with the assistance of the microcode sequencer.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "This event count the number of undelivered (unallocated) uops from the Front-end to the Resource Allocation Table (RAT) while the Back-end of the processor is not stalled. The Front-end can allocate up to 4 uops per cycle so this event can increment 0-4 times per cycle depending on the number of unallocated uops. This event is counted on a per-core basis  Spec update: HSD135",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "This event counts the number cycles during which the Front-end allocated exactly zero uops to the Resource Allocation Table (RAT) while the Back-end of the processor is not stalled.  This event is counted on a per-core basis  Spec update: HSD135",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end  Spec update: HSD135",
	.topic = "frontend",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "hsw metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "icache.ifdata_stall / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(14 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "hsw metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "hsw metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "hsw metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + (cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=3@ if ipc > 1.8 else cpu@uops_executed.core\\,cmask\\=2@) / 2 - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb) if #smt_on else (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_executed.core\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb))) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_UOPS_RETIRED.L1_HIT_PS;MEM_LOAD_UOPS_RETIRED.HIT_LFB_PS",
	.unit = "100%",
	.metric_expr = "max((min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) - cycle_activity.stalls_l1d_pending) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "hsw metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "hsw metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_UOPS_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_UOPS_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "hsw metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.request_fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_pending - cycle_activity.stalls_l2_pending) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(60 * (mem_load_uops_l3_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) + 43 * (mem_load_uops_l3_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss)))) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "43 * (mem_load_uops_l3_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "29 * (mem_load_uops_retired.l3_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "hsw metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss)) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=6@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "hsw metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "60 * offcore_response.demand_rfo.l3_hit.hitm_other_core / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "hsw metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_UOPS_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "hsw metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_UOPS_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_store_misses.stlb_hit + dtlb_store_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "10 * arith.divider_uops / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + (cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=3@ if ipc > 1.8 else cpu@uops_executed.core\\,cmask\\=2@) / 2 - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb) if #smt_on else (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_executed.core\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending)) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\,cmask\\=1@ / 2 if #smt_on else (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) - rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) / core_clks)",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / 2 if #smt_on else (cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / core_clks)",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / 2 if #smt_on else (cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / core_clks)",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=3@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=3@) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED_PORT.PORT_0",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_1",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_6",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_2",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_3",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data) Sample with: UOPS_DISPATCHED_PORT.PORT_4",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address) Sample with: UOPS_DISPATCHED_PORT.PORT_7",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "hsw metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "hsw metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "hsw metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: OTHER_ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * other_assists.any_wb_assist / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "hsw metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "hsw metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "hsw metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "hsw metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "hsw metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "hsw metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "hsw metrics",
	.metric_expr = "(uops_executed.core / 2 / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=1@) if #smt_on else uops_executed.core / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=1@))",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "hsw metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "hsw metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "hsw metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "hsw metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "hsw metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "hsw metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsw metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "hsw metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration) / core_clks",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "hsw metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "hsw metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "hsw metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "hsw metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "hsw metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "hsw metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "hsw metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of all requests to external memory (in Uncore cycles)",
	.topic = "hsw metrics",
	.metric_expr = "mem_parallel_requests",
	.metric_name = "MEM_Request_Latency",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "hsw metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "hsw metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "hsw metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "hsw metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "hsw metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "arith.divider_uops",
	.event = "period=2000003,umask=0x2,event=0x14",
	.desc = "Any uop executed by the Divider. (This includes all divide uops, sqrt, ...)",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Branch instructions at retirement",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100003,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Number of far branches retired",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100003,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100003,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100003,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of near return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near taken branches retired (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts the number of not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Mispredicted branch instructions at retirement",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This event counts all mispredicted branch instructions retired. This is a precise event (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near branch instructions retired that were taken but mispredicted (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Increments at the frequency of XCLK (100 MHz) when not halted",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted. (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles with pending L1 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L1 data cache miss loads. Set Cmask=8 to count cycle",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles with pending L2 cache miss loads  Spec update: HSD78, HSM63, HSM80",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L2 miss loads. Set Cmask=2 to count cycle  Spec update: HSD78, HSM63, HSM80",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles with pending memory loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending memory loads. Set Cmask=2 to count cycle",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were executed in the execution stage of the pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls due to L1 data cache misses",
	.topic = "pipeline",
	.long_desc = "Execution stalls due to L1 data cache miss loads. Set Cmask=0CH",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls due to L2 cache misses  Spec update: HSM63, HSM80",
	.topic = "pipeline",
	.long_desc = "Number of loads missed L2  Spec update: HSM63, HSM80",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls due to memory subsystem",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were executed in the execution stage of the pipeline and there were memory instructions pending (waiting for data)",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
	.long_desc = "Stall cycles due to IQ is full",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "This event counts cycles where the decoder is stalled on an instruction with a length changing prefix (LCP)",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution  Spec update: HSD140, HSD143",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. INST_RETIRED.ANY is counted by a designated fixed counter, leaving the programmable counters available for other events. Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions  Spec update: HSD140, HSD143",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event  Spec update: HSD11, HSD140",
	.topic = "pipeline",
	.long_desc = "Number of instructions at retirement  Spec update: HSD11, HSD140",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: HSD140 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: HSD140 (Must be precise)",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "FP operations retired. X87 FP operations that have no exceptions: Counts also flows that have several X87 or flows that use X87 uops in the exception handling",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts FP operations retired. For X87 FP operations that have no exceptions counting also includes flows that have several X87, or flows that use X87 uops in the exception handling",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles spent waiting for a recovery after an event such as a processor nuke, JEClear, assist, hle/rtm abort etc",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "loads blocked by overlapping with store buffer that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "This event counts loads that followed a store to the same address, where the data could not be forwarded inside the pipeline from the store to the load.  The most common reason why store forwarding would be blocked is when a load's address range overlaps with a preceding smaller uncompleted store. The penalty for blocked store forwarding is that the load must wait for the store to write its value to the cache before it can be issued",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Aliasing occurs when a load is issued after a store and their memory addresses are offset by 4K.  This event counts the number of loads that aliased with a preceding store, resulting in an extended address check in the pipeline which can have a performance impact",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for H/W prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for S/W prefetch",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Number of uops delivered by the LSD",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=2000003,umask=0x1,event=0xc3",
	.desc = "Cycles there was a Nuke. Account for both thread-specific and All Thread Nukes",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event is incremented when self-modifying code (SMC) is detected, which causes a machine clear.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
	.long_desc = "Number of integer move elimination candidate uops that were eliminated",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
	.long_desc = "Number of integer move elimination candidate uops that were not eliminated",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x40,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
	.long_desc = "Number of microcode assists invoked by HW upon uop writeback",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles  Spec update: HSD135",
	.topic = "pipeline",
	.long_desc = "Cycles allocation is stalled due to resource related reason  Spec update: HSD135",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were allocated because no Store Buffers (SB) were available",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "Count cases of saving new LBR records by hardware",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles when the Reservation Station ( RS ) is empty for the thread. The RS is a structure that buffers allocated micro-ops from the Front-end. If there are many cycles when the RS is empty, it may represent an underflow of instructions delivered from the Front-end",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-core each cycle  Spec update: HSD30, HSM31",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least one uop was executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least two uop were executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least three uop were executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 0 in this thread",
},
{
	.name = "uops_executed_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 1 in this thread",
},
{
	.name = "uops_executed_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 2 in this thread",
},
{
	.name = "uops_executed_port.port_2_core",
	.event = "any=1,period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 3 in this thread",
},
{
	.name = "uops_executed_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 4 in this thread",
},
{
	.name = "uops_executed_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 5 in this thread",
},
{
	.name = "uops_executed_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 6 in this thread",
},
{
	.name = "uops_executed_port.port_6_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 7 in this thread",
},
{
	.name = "uops_executed_port.port_7_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 7",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of uops issued by the Front-end of the pipeline to the Back-end. This event is counted at the allocation stage and will count both retired and non-retired uops",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive; added by GSR u-arch",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops allocated. Such uops add delay",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
	.long_desc = "Number of multiply packed/scalar single precision uops allocated",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
	.long_desc = "Number of slow LEA or similar uops allocated. Such uop has 3 sources (for example, 2 sources + immediate) regardless of whether it is a result of LEA instruction or not",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of micro-ops retired. Use Cmask=1 and invert to count active cycles or stalled cycles (Precise event)",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used each cycle.  There are potentially 4 slots that can be used each cycle - meaning, 4 uops or 4 instructions could retire each cycle (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "avx_insts.all",
	.event = "period=2000003,umask=0x7,event=0xc6",
	.desc = "Approximate counts of AVX & AVX2 256-bit instructions, including non-arithmetic instructions, loads, and stores.  May count non-AVX instructions that employ 256-bit operations, including (but not necessarily limited to) rep string instructions that use 256-bit loads and stores for optimized performance, XSAVE* and XRSTOR*, and operations that transition the x87 FPU data registers between x87 and MMX",
	.topic = "floating point",
	.long_desc = "Note that a whole rep string only counts AVX_INST.ALL once",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Cycles with any input/output SSE* or FP assists",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to input values",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to output values",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to input values",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to output values",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
	.long_desc = "Number of SIMD move elimination candidate uops that were eliminated",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
	.long_desc = "Number of SIMD move elimination candidate uops that were not eliminated",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable  Spec update: HSD56, HSM57",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable  Spec update: HSD56, HSM57",
	.topic = "floating point",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to uncommon conditions",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type  Spec update: HSD65",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
	.topic = "memory",
	.long_desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering machine clears detected. Memory ordering machine clears can result from memory address aliasing or snoops from another hardware thread or core to data inflight in the pipeline.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Randomly selected loads with latency value being above 4  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Randomly selected loads with latency value being above 8  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split load uops dispatched to L1D",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split store-address uops dispatched to L1D",
},
{
	.name = "offcore_response.all_code_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00244",
	.desc = "Counts all demand & prefetch code readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400244",
	.desc = "Counts all demand & prefetch code readsmiss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00091",
	.desc = "Counts all demand & prefetch data readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400091",
	.desc = "Counts all demand & prefetch data readsmiss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC007F7",
	.desc = "miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004007F7",
	.desc = "miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_requests.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC08FFF",
	.desc = "Counts all requestsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00122",
	.desc = "Counts all demand & prefetch RFOsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400122",
	.desc = "Counts all demand & prefetch RFOsmiss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00004",
	.desc = "Counts all demand code readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400004",
	.desc = "Counts all demand code readsmiss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00001",
	.desc = "Counts demand data readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400001",
	.desc = "Counts demand data readsmiss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00002",
	.desc = "Counts all demand data writes (RFOs)miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400002",
	.desc = "Counts all demand data writes (RFOs)miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00040",
	.desc = "Counts all prefetch (that bring data to LLC only) code readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00010",
	.desc = "Counts prefetch (that bring data to L2) data readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00200",
	.desc = "Counts prefetch (that bring data to LLC only) code readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data readsmiss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOsmiss in the L3",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type  Spec update: HSD65",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data capacity limitation for transactional writes",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
},
{
	.name = "unc_arb_coh_trk_occupancy.all",
	.event = "umask=0x1,event=0x83",
	.desc = "Each cycle count number of valid entries in Coherency Tracker queue from allocation till deallocation. Aperture requests (snoops) appear as NC decoded internally and become coherent (snoop L3, access memory). Unit: uncore_arb ",
	.topic = "uncore other",
	.long_desc = "Each cycle count number of valid entries in Coherency Tracker queue from allocation till deallocation. Aperture requests (snoops) appear as NC decoded internally and become coherent (snoop L3, access memory)",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of entries allocated. Account for Any type: e.g. Snoop, Core aperture, etc. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Each cycle counts number of all Core outgoing valid entries. Such entry is defined as valid from its allocation till first of IDI0 or DRS0 messages is sent out. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_with_any_request",
	.event = "cmask=1,umask=0x1,event=0x80",
	.desc = "Cycles with at least one request outstanding is waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Total number of Core outgoing entries allocated. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.writes",
	.event = "umask=0x20,event=0x81",
	.desc = "Number of Writes allocated - any write transactions: full/partials writes and evictions. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_clock ",
	.topic = "uncore other",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts when new data lines are brought into the L1 Data cache, which cause other lines to be evicted from the cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstanding duration in cycles",
	.topic = "cache",
	.long_desc = "Increments the number of outstanding L1D misses every cycle. Set Cmask = 1 and Edge =1 to count occurrences",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.request_fb_full",
	.event = "period=2000003,umask=0x2,event=0x48",
	.desc = "Number of times a request needed a FB entry but there was no entry available for it. That is the FB unavailability was dominant reason for blocking the request. A request includes cacheable/uncacheable demands that is load, store or SW prefetch. HWP are e",
	.topic = "cache",
},
{
	.name = "l2_demand_rqsts.wb_hit",
	.event = "period=200003,umask=0x50,event=0x27",
	.desc = "Not rejected writebacks that hit L2 cache",
	.topic = "cache",
	.long_desc = "Not rejected writebacks that hit L2 cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines brought into the L2 cache.  Lines are filled into the L2 cache when there was an L2 miss",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in E state filling L2",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in I state filling L2",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in S state filling L2",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x5,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x6,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by demand",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts all L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Counts any demand and L1 HW prefetch data load requests to L2  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand requests that miss L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand requests to L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 store RFO requests",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that hit the L2 cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that missed the L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand data read requests that missed L2, no rejects  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.l2_pf_hit",
	.event = "period=200003,umask=0xd0,event=0x24",
	.desc = "L2 prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that hit L2",
},
{
	.name = "l2_rqsts.l2_pf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that missed L2",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "All requests that missed L2  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "All requests to L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that hit the L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that miss the L2 cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or L3 HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "Any MLC or L3 HW prefetch accessing L2, including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "Transactions accessing L2 pipe",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "Demand data read requests that access L2 cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "Cycles in which the L1D is locked",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3",
	.topic = "cache",
	.long_desc = "This event counts each cache miss condition for references to the last level cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3",
	.topic = "cache",
	.long_desc = "This event counts requests originating from the core that reference a cache line in the last level cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared L3  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in L3 without snoops required  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.local_dram",
	.event = "period=100003,umask=0x1,event=0xd3",
	.desc = "Data from local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops where the data came from local DRAM. This does not include hardware prefetches  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops misses in L1 cache as data sources  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L1 cache as data sources  Supports address when precise.  Spec update: HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources  Supports address when precise.  Spec update: HSD76, HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Miss in mid-level (L2) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L2. Unknown data source excluded  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in L3 without snoops required  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops with L3 cache hits as data sources  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_miss",
	.event = "period=100003,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L3. Excludes unknown data source   Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "Retired load uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load uops. This event accounts for SW prefetch uops of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "Retired store uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100003,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access  Supports address when precise.  Spec update: HSD76, HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Data read requests sent to uncore (demand and prefetch)",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncacheable code read requests",
	.topic = "cache",
	.long_desc = "Demand code read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand data read requests sent to uncore  Spec update: HSD78, HSM80",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Demand RFO read requests sent to uncore, including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding cacheable data read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand code Read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
	.long_desc = "Offcore outstanding demand data read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding RFO store transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0244",
	.desc = "Counts all demand & prefetch code readshit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0091",
	.desc = "Counts all demand & prefetch data readshit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0091",
	.desc = "Counts all demand & prefetch data readshit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C07F7",
	.desc = "hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C07F7",
	.desc = "hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_requests.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8FFF",
	.desc = "Counts all requestshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "Counts all demand & prefetch RFOshit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "Counts all demand & prefetch RFOshit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts all demand code readshit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts all demand code readshit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data readshit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data readshit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs)hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts all demand data writes (RFOs)hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code readshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "Counts prefetch (that bring data to L2) data readshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_code_rd.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code readshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data readshit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOshit in the L3",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_haswellx[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 800 MHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core0_transition_cycles",
	.event = "event=0x60",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core10_transition_cycles",
	.event = "event=0x6a",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core11_transition_cycles",
	.event = "event=0x6b",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core12_transition_cycles",
	.event = "event=0x6c",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core13_transition_cycles",
	.event = "event=0x6d",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core14_transition_cycles",
	.event = "event=0x6e",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core15_transition_cycles",
	.event = "event=0x6f",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core16_transition_cycles",
	.event = "event=0x70",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core17_transition_cycles",
	.event = "event=0x71",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core1_transition_cycles",
	.event = "event=0x61",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core2_transition_cycles",
	.event = "event=0x62",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core3_transition_cycles",
	.event = "event=0x63",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core4_transition_cycles",
	.event = "event=0x64",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core5_transition_cycles",
	.event = "event=0x65",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core6_transition_cycles",
	.event = "event=0x66",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core7_transition_cycles",
	.event = "event=0x67",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core8_transition_cycles",
	.event = "event=0x68",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core9_transition_cycles",
	.event = "event=0x69",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core0",
	.event = "event=0x30",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core1",
	.event = "event=0x31",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core10",
	.event = "event=0x3a",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core11",
	.event = "event=0x3b",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core12",
	.event = "event=0x3c",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core13",
	.event = "event=0x3d",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core14",
	.event = "event=0x3e",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core15",
	.event = "event=0x3f",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core16",
	.event = "event=0x40",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core17",
	.event = "event=0x41",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core2",
	.event = "event=0x32",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core3",
	.event = "event=0x33",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core4",
	.event = "event=0x34",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core5",
	.event = "event=0x35",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core6",
	.event = "event=0x36",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core7",
	.event = "event=0x37",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core8",
	.event = "event=0x38",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core9",
	.event = "event=0x39",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band0_cycles",
	.event = "event=0xb",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band1_cycles",
	.event = "event=0xc",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band2_cycles",
	.event = "event=0xd",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band3_cycles",
	.event = "event=0xe",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_os_cycles",
	.event = "event=0x6",
	.desc = "OS Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the OS is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c1e_cycles",
	.event = "event=0x4e",
	.desc = "Package C State Residency - C1E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C1E.  This event can be used in conjunction with edge detect to count C1E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c7_cycles",
	.event = "event=0x2e",
	.desc = "Package C7 State Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C7.  This event can be used in conjunction with edge detect to count C7 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_ufs_transitions_no_change",
	.event = "event=0x79",
	.desc = "UNC_P_UFS_TRANSITIONS_NO_CHANGE. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Ring GV with same final and initial frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_ufs_transitions_ring_gv",
	.event = "event=0x79",
	.desc = "UNC_P_UFS_TRANSITIONS_RING_GV. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Ring GV with same final and initial frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "VR Hot : Number of cycles that a CPU SVID VR is hot.  Does not cover DRAM VRs",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "hsx metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "hsx metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "hsx metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "hsx metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "hsx metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "hsx metrics",
	.metric_expr = "(uops_executed.core / 2 / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=1@) if #smt_on else uops_executed.core / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=1@))",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "hsx metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "hsx metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "hsx metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "hsx metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "hsx metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "hsx metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "hsx metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "hsx metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration) / core_clks",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "hsx metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "hsx metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "hsx metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "hsx metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "hsx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "hsx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "hsx metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "hsx metrics",
	.metric_expr = "1e9 * (unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_inserts.miss_opcode@filter_opc\\=0x182@) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "hsx metrics",
	.metric_expr = "unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182\\,thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "hsx metrics",
	.metric_expr = "cbox_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "hsx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "hsx metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "hsx metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_uops_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_uops_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) in nano seconds",
	.topic = "hsx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "hsx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_local_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "hsx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cbox@unc_c_tor_occupancy.miss_remote_opcode\\,filter_opc\\=0x182@ / cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@) / (unc_c_clockticks / (#num_cores / #num_packages * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_remote_requests",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "hsx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "hsx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "hsx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "hsx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_store_mpi",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "hsx metrics",
	.unit = "1GHz",
	.metric_expr = "unc_c_clockticks / (#num_cores / #num_packages * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Quick Path Interconnect (QPI) data transmit bandwidth (MB/sec)",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_q_txl_flits_g0.data * 8 / 1e6 / duration_time",
	.metric_name = "qpi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "cbox@unc_c_tor_inserts.opcode\\,filter_opc\\=0x19e@ * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "hsx metrics",
	.unit = "1MB/s",
	.metric_expr = "cbox@unc_c_tor_inserts.opcode\\,filter_opc\\=0x1c8\\,filter_tid\\=0x3e@ * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Uops delivered from loop stream detector(LSD) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - idq.mite_uops - idq.ms_uops - idq.dsb_uops) / uops_issued.any",
	.metric_name = "percent_uops_delivered_from_loop_stream_detector",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "(cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x192@) / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "hsx metrics",
	.unit = "1per_instr",
	.metric_expr = "(cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x181@ + cbox@unc_c_tor_inserts.miss_opcode\\,filter_opc\\=0x191@) / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ / (cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@ / (cbox@unc_c_tor_inserts.miss_local_opcode\\,filter_opc\\=0x182@ + cbox@unc_c_tor_inserts.miss_remote_opcode\\,filter_opc\\=0x182@)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "hsx metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "icache.ifdata_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "(14 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / cpu_clk_unhalted.thread",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "hsx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "hsx metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "hsx metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + uops_retired.retire_slots / slots)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + (cpu@uops_executed.core\\,cmask\\=0x1@ - (cpu@uops_executed.core\\,cmask\\=0x3@ if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else cpu@uops_executed.core\\,cmask\\=0x2@)) / 2 - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb if #smt_on else min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + cpu@uops_executed.core\\,cmask\\=0x1@ - (cpu@uops_executed.core\\,cmask\\=0x3@ if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else cpu@uops_executed.core\\,cmask\\=0x2@) - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) - cycle_activity.stalls_l1d_pending) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "hsx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "hsx metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min(mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / cpu_clk_unhalted.thread",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "hsx metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.request_fb_full\\,cmask\\=0x1@ / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_pending - cycle_activity.stalls_l2_pending) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss) * cycle_activity.stalls_l2_pending / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min((60 * (mem_load_uops_l3_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) + 43 * (mem_load_uops_l3_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd)))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min(43 * (mem_load_uops_l3_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min(41 * (mem_load_uops_retired.l3_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "hsx metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((1 - mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss)) * cycle_activity.stalls_l2_pending / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x6@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(200 * (mem_load_uops_l3_miss_retired.local_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(310 * (mem_load_uops_l3_miss_retired.remote_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((200 * (mem_load_uops_l3_miss_retired.remote_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd))) + 180 * (mem_load_uops_l3_miss_retired.remote_fwd * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_l3_miss_retired.local_dram + mem_load_uops_l3_miss_retired.remote_dram + mem_load_uops_l3_miss_retired.remote_hitm + mem_load_uops_l3_miss_retired.remote_fwd)))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "hsx metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min((200 * offcore_response.demand_rfo.llc_miss.remote_hitm + 60 * offcore_response.demand_rfo.llc_hit.hitm_other_core) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "hsx metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "hsx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((8 * dtlb_store_misses.stlb_hit + dtlb_store_misses.walk_duration) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "10 * arith.divider_uops / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + (cpu@uops_executed.core\\,cmask\\=0x1@ - (cpu@uops_executed.core\\,cmask\\=0x3@ if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else cpu@uops_executed.core\\,cmask\\=0x2@)) / 2 - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb if #smt_on else min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + cpu@uops_executed.core\\,cmask\\=0x1@ - (cpu@uops_executed.core\\,cmask\\=0x3@ if inst_retired.any / cpu_clk_unhalted.thread > 1.8 else cpu@uops_executed.core\\,cmask\\=0x2@) - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) + resource_stalls.sb) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\=0x1\\,cmask\\=0x1@ / 2 if #smt_on else min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) - (rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0)) / core_clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=0x1@ - cpu@uops_executed.core\\,cmask\\=0x2@) / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=0x1@ - cpu@uops_executed.core\\,cmask\\=0x2@) / core_clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=0x2@ - cpu@uops_executed.core\\,cmask\\=0x3@) / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=0x2@ - cpu@uops_executed.core\\,cmask\\=0x3@) / core_clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=0x3@ / 2 if #smt_on else cpu@uops_executed.core\\,cmask\\=0x3@) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "tma_store_op_utilization",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address)",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "hsx metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "tma_retiring - uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "hsx metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "hsx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * other_assists.any_wb_assist / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "hsx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_heavy_operations - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C3 residency percent per core",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "hsx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is in ring 0",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is not in ring 0",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "Cycles in which the L1D and L2 are locked, due to a UC lock or split lock",
},
{
	.name = "llc_misses.code_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x191",
	.desc = "LLC prefetch misses for code reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.data_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x192",
	.desc = "LLC prefetch misses for data reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.data_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x182",
	.desc = "LLC misses - demand and prefetch data reads - excludes LLC prefetches. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x187,filter_nc=1",
	.desc = "MMIO reads. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x18f,filter_nc=1",
	.desc = "MMIO writes. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_non_snoop_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x1c8,filter_tid=0x3e",
	.desc = "PCIe write misses (full cache line). Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_read",
	.event = "umask=0x3,event=0x35,filter_opc=0x19e",
	.desc = "LLC misses for PCIe read current. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_write",
	.event = "umask=0x3,event=0x35,filter_opc=0x1c8",
	.desc = "ItoM write misses (as part of fast string memcpy stores) + PCIe full line writes. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.rfo_llc_prefetch",
	.event = "umask=0x3,event=0x35,filter_opc=0x190",
	.desc = "LLC prefetch misses for RFO. Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.uncacheable",
	.event = "umask=0x3,event=0x35,filter_opc=0x187",
	.desc = "LLC misses - Uncacheable reads (from cpu) . Derived from unc_c_tor_inserts.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.code_llc_prefetch",
	.event = "umask=0x1,event=0x35,filter_opc=0x181",
	.desc = "L2 demand and L2 prefetch code references to LLC. Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_ns_partial_write",
	.event = "umask=0x1,event=0x35,filter_opc=0x180,filter_tid=0x3e",
	.desc = "PCIe writes (partial cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_read",
	.event = "umask=0x1,event=0x35,filter_opc=0x19e",
	.desc = "PCIe read current. Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.pcie_write",
	.event = "umask=0x1,event=0x35,filter_opc=0x1c8,filter_tid=0x3e",
	.desc = "PCIe write references (full cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_full",
	.event = "umask=0x1,event=0x35,filter_opc=0x18c",
	.desc = "Streaming stores (full cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_partial",
	.event = "umask=0x1,event=0x35,filter_opc=0x18d",
	.desc = "Streaming stores (partial cache line). Derived from unc_c_tor_inserts.opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_bounce_control",
	.event = "event=0xa",
	.desc = "Bounce Control. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_fast_asserted",
	.event = "event=0x9",
	.desc = "FaST wire asserted. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles either the local distress or incoming distress signals are asserted.  Incoming distress includes both up and dn",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34,filter_state=0x1",
	.desc = "All LLC Misses (code+ data rd + data wr - including demand and prefetch). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups; Data Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.nid",
	.event = "umask=0x41,event=0x34",
	.desc = "Cache Lookups; Lookups that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.read",
	.event = "umask=0x21,event=0x34",
	.desc = "Cache Lookups; Any Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups; External Snoop Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups; Write Requests. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.i_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.miss",
	.event = "umask=0x10,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "M line evictions from LLC (writebacks to memory). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.nid",
	.event = "umask=0x40,event=0x37",
	.desc = "Lines Victimized; Victimized Lines that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc; DRd hitting non-M with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_victim",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc; Clean Victim with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Cbo Misc; RFO HitS. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Number of times that an RFO hit in S state.  This is useful for determining if it might be good for a workload to use RspIWB instead of RspSWB",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.started",
	.event = "umask=0x4,event=0x39",
	.desc = "Cbo Misc. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age0",
	.event = "umask=0x1,event=0x3c",
	.desc = "LRU Queue; LRU Age 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age1",
	.event = "umask=0x2,event=0x3c",
	.desc = "LRU Queue; LRU Age 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age2",
	.event = "umask=0x4,event=0x3c",
	.desc = "LRU Queue; LRU Age 2. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 2",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age3",
	.event = "umask=0x8,event=0x3c",
	.desc = "LRU Queue; LRU Age 3. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 3",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.lru_decrement",
	.event = "umask=0x10,event=0x3c",
	.desc = "LRU Queue; LRU Bits Decremented. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often all LRU bits were decremented by 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.victim_non_zero",
	.event = "umask=0x20,event=0x3c",
	.desc = "LRU Queue; Non-0 Aged Victim. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often we picked a victim that had a non-zero age",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.all",
	.event = "umask=0xf,event=0x1b",
	.desc = "AD Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.all",
	.event = "umask=0xf,event=0x1c",
	.desc = "AK Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.all",
	.event = "umask=0xf,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ad",
	.event = "umask=0x1,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv",
	.event = "umask=0x10,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.any",
	.event = "umask=0xf,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in HSX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.dn",
	.event = "umask=0xc,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in HSX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.down",
	.event = "umask=0xcc,event=0x1e",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in HSX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters for Down polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.up",
	.event = "umask=0x3,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in HSX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad",
	.event = "umask=0x1,event=0x6",
	.desc = "UNC_C_RING_SINK_STARVED.AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ak",
	.event = "umask=0x2,event=0x6",
	.desc = "UNC_C_RING_SINK_STARVED.AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.bl",
	.event = "umask=0x4,event=0x6",
	.desc = "UNC_C_RING_SINK_STARVED.BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.iv",
	.event = "umask=0x8,event=0x6",
	.desc = "UNC_C_RING_SINK_STARVED.IV. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0x7",
	.desc = "Number of cycles the Cbo is actively throttling traffic onto the Ring in order to limit bounce traffic. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ipq",
	.event = "umask=0x2,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IPQ is externally startved and therefore we are blocking the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.irq",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IRQ is externally starved and therefore we are blocking the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq_bids",
	.event = "umask=0x8,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ_BID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; Number of times that the ISMQ Bid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.prq",
	.event = "umask=0x4,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IPQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IRQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the ISMQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.prq",
	.event = "umask=0x10,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.addr_conflict",
	.event = "umask=0x4,event=0x31",
	.desc = "Probe Queue Retries; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from an address conflicts.  Address conflicts out of the IPQ should be rare.  They will generally only occur if two different sockets are sending requests to the same address at the same time.  This is a true conflict case, unlike the IPQ Address Conflict which is commonly caused by prefetching characteristics",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.any",
	.event = "umask=0x1,event=0x31",
	.desc = "Probe Queue Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject.  TOR rejects from the IPQ can be caused by the Egress being full or Address Conflicts",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.full",
	.event = "umask=0x2,event=0x31",
	.desc = "Probe Queue Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from the Egress being full.  IPQ requests make use of the AD Egress for regular responses, the BL egress to forward data, and the AK egress to return credits",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.qpi_credits",
	.event = "umask=0x10,event=0x31",
	.desc = "Probe Queue Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x28",
	.desc = "Probe Queue Retries; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.target",
	.event = "umask=0x40,event=0x28",
	.desc = "Probe Queue Retries; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.addr_conflict",
	.event = "umask=0x4,event=0x32",
	.desc = "Ingress Request Queue Rejects; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because of an address match in the TOR.  In order to maintain coherency, requests to the same address are not allowed to pass each other up in the Cbo.  Therefore, if there is an outstanding request to a given address, one cannot issue another request to that address until it is complete.  This comes up most commonly with prefetches.  Outstanding prefetches occasionally will not complete their memory fetch and a demand request to the same address will then sit in the IRQ and get retried until the prefetch fills the data into the LLC.  Therefore, it will not be uncommon to see this case in high bandwidth streaming workloads when the LLC Prefetcher in the core is enabled",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.any",
	.event = "umask=0x1,event=0x32",
	.desc = "Ingress Request Queue Rejects; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of IRQ retries that occur.  Requests from the IRQ are retried if they are rejected from the TOR pipeline for a variety of reasons.  Some of the most common reasons include if the Egress is full, there are no RTIDs, or there is a Physical Address match to another outstanding request",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.full",
	.event = "umask=0x2,event=0x32",
	.desc = "Ingress Request Queue Rejects; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because it failed to acquire an entry in the Egress.  The egress is the buffer that queues up for allocating onto the ring.  IRQ requests can make use of all four rings and all four Egresses.  If any of the queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.iio_credits",
	.event = "umask=0x20,event=0x32",
	.desc = "Ingress Request Queue Rejects; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.nid",
	.event = "umask=0x40,event=0x32",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.qpi_credits",
	.event = "umask=0x10,event=0x32",
	.desc = "Ingress Request Queue Rejects; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of requests rejects because of lack of QPI Ingress credits.  These credits are required in order to send transactions to the QPI agent.  Please see the QPI_IGR_CREDITS events for more information",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.rtid",
	.event = "umask=0x8,event=0x32",
	.desc = "Ingress Request Queue Rejects; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that requests from the IRQ were retried because there were no RTIDs available.  RTIDs are required after a request misses the LLC and needs to send snoops and/or requests to memory.  If there are no RTIDs available, requests will queue up in the IRQ and retry until one becomes available.  Note that there are multiple RTID pools for the different sockets.  There may be cases where the local RTIDs are all used, but requests destined for remote memory can still acquire an RTID because there are remote RTIDs available.  This event does not provide any filtering for this case",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x29",
	.desc = "Ingress Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x29",
	.desc = "Ingress Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.target",
	.event = "umask=0x40,event=0x29",
	.desc = "Ingress Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.any",
	.event = "umask=0x1,event=0x33",
	.desc = "ISMQ Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the total number of times that a request from the ISMQ retried because of a TOR reject.  ISMQ requests generally will not need to retry (or at least ISMQ retries are less common than IRQ retries).  ISMQ requests will retry if they are not able to acquire a needed Egress credit to get onto the ring, or for cache evictions that need to acquire an RTID.  Most ISMQ requests already have an RTID, so eviction retries will be less common here",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.full",
	.event = "umask=0x2,event=0x33",
	.desc = "ISMQ Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by a lack of Egress credits. The egress is the buffer that queues up for allocating onto the ring.  If any of the Egress queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.iio_credits",
	.event = "umask=0x20,event=0x33",
	.desc = "ISMQ Retries; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.nid",
	.event = "umask=0x40,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.qpi_credits",
	.event = "umask=0x10,event=0x33",
	.desc = "ISMQ Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.rtid",
	.event = "umask=0x8,event=0x33",
	.desc = "ISMQ Retries; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by no RTIDs.  M-state cache evictions are serviced through the ISMQ, and must acquire an RTID in order to write back to memory.  If no RTIDs are available, they will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.wb_credits",
	.event = "umask=0x80,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.target",
	.event = "umask=0x40,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rej",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.prq_rej",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy; PRQ Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.ad",
	.event = "umask=0x1,event=0x3d",
	.desc = "SBo Credits Acquired; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.bl",
	.event = "umask=0x2,event=0x3d",
	.desc = "SBo Credits Acquired; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.ad",
	.event = "umask=0x1,event=0x3e",
	.desc = "SBo Credits Occupancy; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.bl",
	.event = "umask=0x2,event=0x3e",
	.desc = "SBo Credits Occupancy; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.all",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR.    This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.eviction",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Eviction transactions inserted into the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local",
	.event = "umask=0x28,event=0x35",
	.desc = "TOR Inserts; Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local_opcode",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local",
	.event = "umask=0x2a,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local_opcode",
	.event = "umask=0x23,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisfied by an opcode, inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_opcode",
	.event = "umask=0x3,event=0x35",
	.desc = "TOR Inserts; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote",
	.event = "umask=0x8a,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote_opcode",
	.event = "umask=0x83,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_all",
	.event = "umask=0x48,event=0x35",
	.desc = "TOR Inserts; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched (matches an RTID destination) transactions inserted into the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.  In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_eviction",
	.event = "umask=0x44,event=0x35",
	.desc = "TOR Inserts; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched eviction transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_all",
	.event = "umask=0x4a,event=0x35",
	.desc = "TOR Inserts; NID Matched Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched miss requests that were inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_opcode",
	.event = "umask=0x43,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_opcode",
	.event = "umask=0x41,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_wb",
	.event = "umask=0x50,event=0x35",
	.desc = "TOR Inserts; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched write transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.opcode",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote",
	.event = "umask=0x88,event=0x35",
	.desc = "TOR Inserts; Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote_opcode",
	.event = "umask=0x81,event=0x35",
	.desc = "TOR Inserts; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.wb",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Write transactions inserted into the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.all",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All valid TOR entries.  This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.eviction",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding eviction transactions in the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.llc_data_read",
	.event = "umask=0x3,event=0x36,filter_opc=0x182",
	.desc = "Occupancy counter for LLC data reads (demand and L2 prefetch). Derived from unc_c_tor_occupancy.miss_opcode. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local",
	.event = "umask=0x28,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local_opcode",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisfied by an opcode,  in the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_all",
	.event = "umask=0xa,event=0x36",
	.desc = "TOR Occupancy; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding miss requests in the TOR.  'Miss' means the allocation requires an RTID.  This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local",
	.event = "umask=0x2a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local_opcode",
	.event = "umask=0x23,event=0x36",
	.desc = "TOR Occupancy; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisfied by an opcode, in the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_opcode",
	.event = "umask=0x3,event=0x36",
	.desc = "TOR Occupancy; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote",
	.event = "umask=0x8a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote_opcode",
	.event = "umask=0x83,event=0x36",
	.desc = "TOR Occupancy; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisfied by an opcode, in the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_all",
	.event = "umask=0x48,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of NID matched outstanding requests in the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_eviction",
	.event = "umask=0x44,event=0x36",
	.desc = "TOR Occupancy; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding NID matched eviction transactions in the TOR ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_all",
	.event = "umask=0x4a,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_opcode",
	.event = "umask=0x43,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_opcode",
	.event = "umask=0x41,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_wb",
	.event = "umask=0x50,event=0x36",
	.desc = "TOR Occupancy; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); NID matched write transactions int the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.opcode",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote",
	.event = "umask=0x88,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote_opcode",
	.event = "umask=0x81,event=0x36",
	.desc = "TOR Occupancy; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisfied by an opcode,  in the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.wb",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Write transactions in the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "Onto AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_cache",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_core",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AD - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_cache",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AK - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_core",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; AK - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AK ring.  This is commonly used for snoop responses coming from the core and destined for a Cachebo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_cache",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Cacheno. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_core",
	.event = "umask=0x40,event=0x2",
	.desc = "Egress Allocations; BL - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.iv_cache",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; IV - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ad_core",
	.event = "umask=0x10,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring (to core). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the core AD egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ak_both",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both AK egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.bl_both",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both BL egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the cachebo IV egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne",
	.event = "event=0x42",
	.desc = "BT Cycles Not Empty. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_bl_hazard",
	.event = "umask=0x4,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_snp_hazard",
	.event = "umask=0x2,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Snoop Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming snoop hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.rspackcflt_hazard",
	.event = "umask=0x8,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.wbmdata_hazard",
	.event = "umask=0x10,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.not_taken",
	.event = "umask=0x2,event=0x14",
	.desc = "HA to iMC Bypass; Not Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.taken",
	.event = "umask=0x1,event=0x14",
	.desc = "HA to iMC Bypass; Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of uclks in the HA.  This will be slightly different than the count in the Ubox because of enable/freeze delays.  The HA is on the other side of the die from the fixed Ubox uclk counter, so the drift could be somewhat larger than in units that are closer like the QPI Agent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_count",
	.event = "event=0x11",
	.desc = "Direct2Core Messages Sent. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Direct2Core messages sent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_cycles_disabled",
	.event = "event=0x12",
	.desc = "Cycles when Direct2Core was Disabled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles in which Direct2Core was disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_txn_override",
	.event = "event=0x13",
	.desc = "Number of Reads that had Direct2Core Overridden. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Reads where Direct2Core overridden",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lat_opt",
	.event = "event=0x41",
	.desc = "Directory Lat Opt Return. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Directory Latency Optimization Data Return Path Taken. When directory mode is enabled and the directory returned for a read is Dir=I, then data can be returned using a faster path if certain conditions are met (credits, free pipeline, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.no_snp",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups; Snoop Not Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that did not have to send any snoops because the directory bit was clear",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snp",
	.event = "umask=0x1,event=0xc",
	.desc = "Directory Lookups; Snoop Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that had to send one or more snoops because the directory bit was set",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.any",
	.event = "umask=0x3,event=0xd",
	.desc = "Directory Updates; Any Directory Update. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.clear",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates; Directory Clear. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory clears.  This occurs when snoops were sent and all returned with RspI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.set",
	.event = "umask=0x1,event=0xd",
	.desc = "Directory Updates; Directory Set. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory sets.  This occurs when a remote read transaction requests memory, bringing it to a remote cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.ackcnfltwbi",
	.event = "umask=0x4,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.all",
	.event = "umask=0xff,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.allocs",
	.event = "umask=0x70,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.evicts",
	.event = "umask=0x42,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.hom",
	.event = "umask=0xf,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.invals",
	.event = "umask=0x26,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.read_or_invitoe",
	.event = "umask=0x1,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rsp",
	.event = "umask=0x80,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_local",
	.event = "umask=0x20,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_remote",
	.event = "umask=0x10,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwds",
	.event = "umask=0x40,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoe_or_s",
	.event = "umask=0x8,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoi",
	.event = "umask=0x2,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.ackcnfltwbi",
	.event = "umask=0x4,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.all",
	.event = "umask=0xff,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.hom",
	.event = "umask=0xf,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.read_or_invitoe",
	.event = "umask=0x1,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rsp",
	.event = "umask=0x80,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_local",
	.event = "umask=0x20,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_remote",
	.event = "umask=0x10,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwds",
	.event = "umask=0x40,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoe_or_s",
	.event = "umask=0x8,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoi",
	.event = "umask=0x2,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.ackcnfltwbi",
	.event = "umask=0x4,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.all",
	.event = "umask=0xff,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.allocs",
	.event = "umask=0x70,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.hom",
	.event = "umask=0xf,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.invals",
	.event = "umask=0x26,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.read_or_invitoe",
	.event = "umask=0x1,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rsp",
	.event = "umask=0x80,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_local",
	.event = "umask=0x20,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_remote",
	.event = "umask=0x10,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwds",
	.event = "umask=0x40,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoe_or_s",
	.event = "umask=0x8,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoi",
	.event = "umask=0x2,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi0",
	.event = "umask=0x1,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi1",
	.event = "umask=0x2,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi2",
	.event = "umask=0x10,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi0",
	.event = "umask=0x4,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi1",
	.event = "umask=0x8,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi2",
	.event = "umask=0x20,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_reads.normal",
	.event = "umask=0x1,event=0x17",
	.desc = "HA to iMC Normal Priority Reads Issued; Normal Priority. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_retry",
	.event = "event=0x1e",
	.desc = "Retry Events. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.all",
	.event = "umask=0xf,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; All Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full",
	.event = "umask=0x1,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Full Line. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial",
	.event = "umask=0x2,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Partial Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Partial. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.hub",
	.event = "umask=0x2,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.sat",
	.event = "umask=0x1,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts0",
	.event = "umask=0x1,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts1",
	.event = "umask=0x2,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts2",
	.event = "umask=0x1,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts3",
	.event = "umask=0x2,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts0",
	.event = "umask=0x1,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts1",
	.event = "umask=0x2,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.cancelled",
	.event = "umask=0x10,event=0x53",
	.desc = "OSB Snoop Broadcast; Cancelled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB.; OSB Snoop broadcast cancelled due to D2C or Other. OSB cancel is counted when OSB local read is not allowed even when the transaction in local InItoE. It also counts D2C OSB cancel, but also includes the cases were D2C was not set in the first place for the transaction coming from the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.invitoe_local",
	.event = "umask=0x4,event=0x53",
	.desc = "OSB Snoop Broadcast; Local InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local",
	.event = "umask=0x2,event=0x53",
	.desc = "OSB Snoop Broadcast; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local_useful",
	.event = "umask=0x20,event=0x53",
	.desc = "OSB Snoop Broadcast; Reads Local -  Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote",
	.event = "umask=0x8,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote_useful",
	.event = "umask=0x40,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote - Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.all",
	.event = "umask=0x1,event=0x54",
	.desc = "OSB Early Data Return; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_i",
	.event = "umask=0x2,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local  I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_s",
	.event = "umask=0x8,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_i",
	.event = "umask=0x4,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_s",
	.event = "umask=0x10,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x1",
	.desc = "Read and Write Requests; Local InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x1",
	.desc = "Read and Write Requests; Remote InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x1",
	.desc = "Read and Write Requests; Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming ead requests.  This is a good proxy for LLC Read Misses (including RFOs)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x1",
	.desc = "Read and Write Requests; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the local socket.  This is a good proxy for LLC Read Misses (including RFOs) from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x1",
	.desc = "Read and Write Requests; Remote Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the remote socket.  This is a good proxy for LLC Read Misses (including RFOs) from the remote socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x1",
	.desc = "Read and Write Requests; Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming write requests",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x1",
	.desc = "Read and Write Requests; Local Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x1",
	.desc = "Read and Write Requests; Remote Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw",
	.event = "umask=0x3,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw",
	.event = "umask=0x3,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw",
	.event = "umask=0x3,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x68",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x68",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.ad",
	.event = "umask=0x1,event=0x69",
	.desc = "SBo1 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.bl",
	.event = "umask=0x2,event=0x69",
	.desc = "SBo1 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.local",
	.event = "umask=0x1,event=0xa",
	.desc = "Data beat the Snoop Responses; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.remote",
	.event = "umask=0x2,event=0xa",
	.desc = "Data beat the Snoop Responses; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.all",
	.event = "umask=0x3,event=0x8",
	.desc = "Cycles with Snoops Outstanding; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; Tracked for snoops from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.local",
	.event = "umask=0x1,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.remote",
	.event = "umask=0x2,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.local",
	.event = "umask=0x1,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.remote",
	.event = "umask=0x2,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x21",
	.desc = "Snoop Responses Received; RSPCNFLCT*. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x21",
	.desc = "Snoop Responses Received; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x21",
	.desc = "M line forwarded from remote cache with no writeback to memory. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x21",
	.desc = "Shared line response from remote cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x21",
	.desc = "Shared line forwarded from remote cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x21",
	.desc = "M line forwarded from remote cache along with writeback to memory. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x21",
	.desc = "Snoop Responses Received; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.other",
	.event = "umask=0x80,event=0x60",
	.desc = "Snoop Responses Received Local; Other. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for all other snoop responses",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspcnflct",
	.event = "umask=0x40,event=0x60",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspi",
	.event = "umask=0x1,event=0x60",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspifwd",
	.event = "umask=0x4,event=0x60",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rsps",
	.event = "umask=0x2,event=0x60",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspsfwd",
	.event = "umask=0x8,event=0x60",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxfwdxwb",
	.event = "umask=0x20,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxwb",
	.event = "umask=0x10,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region0",
	.event = "umask=0x1,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region1",
	.event = "umask=0x2,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region2",
	.event = "umask=0x4,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 2",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region3",
	.event = "umask=0x8,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 3",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region4",
	.event = "umask=0x10,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 4. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 4",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region5",
	.event = "umask=0x20,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 5. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 5",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region6",
	.event = "umask=0x40,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 6. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 6",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region7",
	.event = "umask=0x80,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 7. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 7",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region10",
	.event = "umask=0x4,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 10. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 10",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region11",
	.event = "umask=0x8,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 11. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 11",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region8",
	.event = "umask=0x1,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 8. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 8",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region9",
	.event = "umask=0x2,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 9. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 9",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.all",
	.event = "umask=0x2,event=0x2",
	.desc = "Tracker Cycles Full; Cycles Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the HA tracker pool (HT) is completely used including reserved HT entries.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.gp",
	.event = "umask=0x1,event=0x2",
	.desc = "Tracker Cycles Full; Cycles GP Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the general purpose (GP) HA tracker pool (HT) is completely used.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.all",
	.event = "umask=0x3,event=0x3",
	.desc = "Tracker Cycles Not Empty; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Requests coming from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.local",
	.event = "umask=0x1,event=0x3",
	.desc = "Tracker Cycles Not Empty; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.remote",
	.event = "umask=0x2,event=0x3",
	.desc = "Tracker Cycles Not Empty; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_local",
	.event = "umask=0x40,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_remote",
	.event = "umask=0x80,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_local",
	.event = "umask=0x4,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_remote",
	.event = "umask=0x8,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_local",
	.event = "umask=0x10,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_remote",
	.event = "umask=0x20,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.local",
	.event = "umask=0x1,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.remote",
	.event = "umask=0x2,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.hom",
	.event = "umask=0x4,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Non-data Responses. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details.; Filter for outbound NDR transactions sent on the AD ring.  NDR stands for non-data response and is generally used for completions that do not include data.  AD NDR is used for transactions to remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.all",
	.event = "umask=0x3,event=0x2a",
	.desc = "AD Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched0",
	.event = "umask=0x1,event=0x2a",
	.desc = "AD Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched1",
	.event = "umask=0x2,event=0x2a",
	.desc = "AD Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.all",
	.event = "umask=0x3,event=0x29",
	.desc = "AD Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched0",
	.event = "umask=0x1,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched1",
	.event = "umask=0x2,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.all",
	.event = "umask=0x3,event=0x27",
	.desc = "AD Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched0",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched1",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.all",
	.event = "umask=0x3,event=0x32",
	.desc = "AK Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched0",
	.event = "umask=0x1,event=0x32",
	.desc = "AK Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched1",
	.event = "umask=0x2,event=0x32",
	.desc = "AK Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x31",
	.desc = "AK Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched0",
	.event = "umask=0x1,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched1",
	.event = "umask=0x2,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.all",
	.event = "umask=0x3,event=0x2f",
	.desc = "AK Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched0",
	.event = "umask=0x1,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched1",
	.event = "umask=0x2,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_cache",
	.event = "umask=0x1,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to the cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_core",
	.event = "umask=0x2,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent directly to the requesting core",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_qpi",
	.event = "umask=0x4,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to a remote socket over QPI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.all",
	.event = "umask=0x3,event=0x36",
	.desc = "BL Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched0",
	.event = "umask=0x1,event=0x36",
	.desc = "BL Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched1",
	.event = "umask=0x2,event=0x36",
	.desc = "BL Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x35",
	.desc = "BL Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched0",
	.event = "umask=0x1,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched1",
	.event = "umask=0x2,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.all",
	.event = "umask=0x3,event=0x33",
	.desc = "BL Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched0",
	.event = "umask=0x1,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched1",
	.event = "umask=0x2,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.ak",
	.event = "umask=0x1,event=0x6d",
	.desc = "Injection Starvation; For AK Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.bl",
	.event = "umask=0x2,event=0x6d",
	.desc = "Injection Starvation; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that cause a page walk of any page size",
},
{
	.name = "dtlb_load_misses.pde_cache_miss",
	.event = "period=100003,umask=0x80,event=0x8",
	.desc = "DTLB demand load misses with low part of linear-to-physical address translation missed",
	.topic = "virtual memory",
	.long_desc = "DTLB demand load misses with low part of linear-to-physical address translation missed",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x60,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Number of cache load STLB hits. No page walk",
},
{
	.name = "dtlb_load_misses.stlb_hit_2m",
	.event = "period=2000003,umask=0x40,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations from a 2M page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_load_misses.stlb_hit_4k",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations from a 4K page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in any TLB of any page size due to demand load misses",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to demand load misses that caused 2M/4M page walks in any TLB levels",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to demand load misses that caused 4K page walks in any TLB levels",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB load misses",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.pde_cache_miss",
	.event = "period=100003,umask=0x80,event=0x49",
	.desc = "DTLB store misses with low part of linear-to-physical address translation missed",
	.topic = "virtual memory",
	.long_desc = "DTLB store misses with low part of linear-to-physical address translation missed",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "This event counts store operations from a 2M page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "This event counts store operations from a 4K page that miss the first DTLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store miss in any TLB levels of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks. (1G)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store misses in one or more TLB levels of 2M/4M page structure",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to store misses in one or more TLB levels of 4K page structure",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB store misses",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100003,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of ITLB flushes, includes 4k/2M/4M pages",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in ITLB that causes a page walk of any page size",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB. No page walk",
},
{
	.name = "itlb_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x85",
	.desc = "Code misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB (2M)",
},
{
	.name = "itlb_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Core misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
	.long_desc = "ITLB misses that hit STLB (4K)",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in ITLB of any page size",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to misses in ITLB 2M/4M page entries",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Completed page walks due to misses in ITLB 4K page entries",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by ITLB misses",
},
{
	.name = "page_walker_loads.dtlb_l1",
	.event = "period=2000003,umask=0x11,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L1+FB",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L1+FB",
},
{
	.name = "page_walker_loads.dtlb_l2",
	.event = "period=2000003,umask=0x12,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L2",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L2",
},
{
	.name = "page_walker_loads.dtlb_l3",
	.event = "period=2000003,umask=0x14,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L3 + XSNP  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads that hit in the L3  Spec update: HSD25",
},
{
	.name = "page_walker_loads.dtlb_memory",
	.event = "period=2000003,umask=0x18,event=0xbc",
	.desc = "Number of DTLB page walker hits in Memory  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of DTLB page walker loads from memory  Spec update: HSD25",
},
{
	.name = "page_walker_loads.ept_dtlb_l1",
	.event = "period=2000003,umask=0x41,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L1 and FB",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_l2",
	.event = "period=2000003,umask=0x42,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_l3",
	.event = "period=2000003,umask=0x44,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in the L3",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_dtlb_memory",
	.event = "period=2000003,umask=0x48,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the DTLB that hit in memory",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l1",
	.event = "period=2000003,umask=0x81,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L1 and FB",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l2",
	.event = "period=2000003,umask=0x82,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_l3",
	.event = "period=2000003,umask=0x84,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in the L2",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.ept_itlb_memory",
	.event = "period=2000003,umask=0x88,event=0xbc",
	.desc = "Counts the number of Extended Page Table walks from the ITLB that hit in memory",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l1",
	.event = "period=2000003,umask=0x21,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L1+FB",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L1+FB",
},
{
	.name = "page_walker_loads.itlb_l2",
	.event = "period=2000003,umask=0x22,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L2",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L2",
},
{
	.name = "page_walker_loads.itlb_l3",
	.event = "period=2000003,umask=0x24,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L3 + XSNP  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads that hit in the L3  Spec update: HSD25",
},
{
	.name = "page_walker_loads.itlb_memory",
	.event = "period=2000003,umask=0x28,event=0xbc",
	.desc = "Number of ITLB page walker hits in Memory  Spec update: HSD25",
	.topic = "virtual memory",
	.long_desc = "Number of ITLB page walker loads from memory  Spec update: HSD25",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100003,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100003,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Count number of STLB flush attempts",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Number of front end re-steers due to BPU misprediction",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
},
{
	.name = "icache.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
},
{
	.name = "icache.ifetch_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes Uncacheable accesses",
	.topic = "frontend",
	.long_desc = "This event counts Instruction Cache (ICACHE) misses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered at least one uop. Set Cmask = 1",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Increment each cycle. # of uops delivered to IDQ from DSB path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "Counts cycles the IDQ is empty  Spec update: HSD135",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Number of uops delivered to IDQ from any path",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MITE path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the microcode sequencer assisted the Front-end in delivering uops.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by DSB. Set Cmask = 1 to count cycles. Add Edge=1 to count # of delivery",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts uops delivered by the Front-end with the assistance of the microcode sequencer.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "This event count the number of undelivered (unallocated) uops from the Front-end to the Resource Allocation Table (RAT) while the Back-end of the processor is not stalled. The Front-end can allocate up to 4 uops per cycle so this event can increment 0-4 times per cycle depending on the number of unallocated uops. This event is counted on a per-core basis  Spec update: HSD135",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
	.long_desc = "This event counts the number cycles during which the Front-end allocated exactly zero uops to the Resource Allocation Table (RAT) while the Back-end of the processor is not stalled.  This event is counted on a per-core basis  Spec update: HSD135",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end  Spec update: HSD135",
	.topic = "frontend",
},
{
	.name = "arith.divider_uops",
	.event = "period=2000003,umask=0x2,event=0x14",
	.desc = "Any uop executed by the Divider. (This includes all divide uops, sqrt, ...)",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Branch instructions at retirement",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100003,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Number of far branches retired",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100003,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100003,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100003,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of near return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near taken branches retired (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts the number of not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Mispredicted branch instructions at retirement",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This event counts all mispredicted branch instructions retired. This is a precise event (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near branch instructions retired that were taken but mispredicted (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Increments at the frequency of XCLK (100 MHz) when not halted",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=100003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted. (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=100003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles with pending L1 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L1 data cache miss loads. Set Cmask=8 to count cycle",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles with pending L2 cache miss loads  Spec update: HSD78, HSM63, HSM80",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L2 miss loads. Set Cmask=2 to count cycle  Spec update: HSD78, HSM63, HSM80",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles with pending memory loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending memory loads. Set Cmask=2 to count cycle",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were executed in the execution stage of the pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls due to L1 data cache misses",
	.topic = "pipeline",
	.long_desc = "Execution stalls due to L1 data cache miss loads. Set Cmask=0CH",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls due to L2 cache misses  Spec update: HSM63, HSM80",
	.topic = "pipeline",
	.long_desc = "Number of loads missed L2  Spec update: HSM63, HSM80",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls due to memory subsystem",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were executed in the execution stage of the pipeline and there were memory instructions pending (waiting for data)",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
	.long_desc = "Stall cycles due to IQ is full",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "This event counts cycles where the decoder is stalled on an instruction with a length changing prefix (LCP)",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution  Spec update: HSD140, HSD143",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. INST_RETIRED.ANY is counted by a designated fixed counter, leaving the programmable counters available for other events. Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions  Spec update: HSD140, HSD143",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event  Spec update: HSD11, HSD140",
	.topic = "pipeline",
	.long_desc = "Number of instructions at retirement  Spec update: HSD11, HSD140",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: HSD140 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: HSD140 (Must be precise)",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "FP operations retired. X87 FP operations that have no exceptions: Counts also flows that have several X87 or flows that use X87 uops in the exception handling",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts FP operations retired. For X87 FP operations that have no exceptions counting also includes flows that have several X87, or flows that use X87 uops in the exception handling",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles spent waiting for a recovery after an event such as a processor nuke, JEClear, assist, hle/rtm abort etc",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "loads blocked by overlapping with store buffer that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "This event counts loads that followed a store to the same address, where the data could not be forwarded inside the pipeline from the store to the load.  The most common reason why store forwarding would be blocked is when a load's address range overlaps with a preceding smaller uncompleted store. The penalty for blocked store forwarding is that the load must wait for the store to write its value to the cache before it can be issued",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Aliasing occurs when a load is issued after a store and their memory addresses are offset by 4K.  This event counts the number of loads that aliased with a preceding store, resulting in an extended address check in the pipeline which can have a performance impact",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for H/W prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for S/W prefetch",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Number of uops delivered by the LSD",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=2000003,umask=0x1,event=0xc3",
	.desc = "Cycles there was a Nuke. Account for both thread-specific and All Thread Nukes",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event is incremented when self-modifying code (SMC) is detected, which causes a machine clear.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
	.long_desc = "Number of integer move elimination candidate uops that were eliminated",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
	.long_desc = "Number of integer move elimination candidate uops that were not eliminated",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x40,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
	.long_desc = "Number of microcode assists invoked by HW upon uop writeback",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles  Spec update: HSD135",
	.topic = "pipeline",
	.long_desc = "Cycles allocation is stalled due to resource related reason  Spec update: HSD135",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no instructions were allocated because no Store Buffers (SB) were available",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "Count cases of saving new LBR records by hardware",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles when the Reservation Station ( RS ) is empty for the thread. The RS is a structure that buffers allocated micro-ops from the Front-end. If there are many cycles when the RS is empty, it may represent an underflow of instructions delivered from the Front-end",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-core each cycle  Spec update: HSD30, HSM31",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core  Spec update: HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least one uop was executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least two uop were executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
	.long_desc = "This events counts the cycles where at least three uop were executed. It is counted per thread  Spec update: HSD144, HSD30, HSM31",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread  Spec update: HSD144, HSD30, HSM31",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 0 in this thread",
},
{
	.name = "uops_executed_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 1 in this thread",
},
{
	.name = "uops_executed_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 2 in this thread",
},
{
	.name = "uops_executed_port.port_2_core",
	.event = "any=1,period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 3 in this thread",
},
{
	.name = "uops_executed_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 4 in this thread",
},
{
	.name = "uops_executed_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 5 in this thread",
},
{
	.name = "uops_executed_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 6 in this thread",
},
{
	.name = "uops_executed_port.port_6_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are executed in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "Cycles which a uop is dispatched on port 7 in this thread",
},
{
	.name = "uops_executed_port.port_7_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 7",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of uops issued by the Front-end of the pipeline to the Back-end. This event is counted at the allocation stage and will count both retired and non-retired uops",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive; added by GSR u-arch",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops allocated. Such uops add delay",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
	.long_desc = "Number of multiply packed/scalar single precision uops allocated",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
	.long_desc = "Number of slow LEA or similar uops allocated. Such uop has 3 sources (for example, 2 sources + immediate) regardless of whether it is a result of LEA instruction or not",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of micro-ops retired. Use Cmask=1 and invert to count active cycles or stalled cycles (Precise event)",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used each cycle.  There are potentially 4 slots that can be used each cycle - meaning, 4 uops or 4 instructions could retire each cycle (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "avx_insts.all",
	.event = "period=2000003,umask=0x7,event=0xc6",
	.desc = "Approximate counts of AVX & AVX2 256-bit instructions, including non-arithmetic instructions, loads, and stores.  May count non-AVX instructions that employ 256-bit operations, including (but not necessarily limited to) rep string instructions that use 256-bit loads and stores for optimized performance, XSAVE* and XRSTOR*, and operations that transition the x87 FPU data registers between x87 and MMX",
	.topic = "floating point",
	.long_desc = "Note that a whole rep string only counts AVX_INST.ALL once",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Cycles with any input/output SSE* or FP assists",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to input values",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to output values",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to input values",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to output values",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
	.long_desc = "Number of SIMD move elimination candidate uops that were eliminated",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
	.long_desc = "Number of SIMD move elimination candidate uops that were not eliminated",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable  Spec update: HSD56, HSM57",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable  Spec update: HSD56, HSM57",
	.topic = "floating point",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to uncommon conditions",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type  Spec update: HSD65",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
	.topic = "memory",
	.long_desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering machine clears detected. Memory ordering machine clears can result from memory address aliasing or snoops from another hardware thread or core to data inflight in the pipeline.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Randomly selected loads with latency value being above 128  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Randomly selected loads with latency value being above 16  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Randomly selected loads with latency value being above 256  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Randomly selected loads with latency value being above 32  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Randomly selected loads with latency value being above 4  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Randomly selected loads with latency value being above 512  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Randomly selected loads with latency value being above 64  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Randomly selected loads with latency value being above 8  Supports address when precise.  Spec update: HSD76, HSD25, HSM26 (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split load uops dispatched to L1D",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split store-address uops dispatched to L1D",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00244",
	.desc = "Counts all demand & prefetch code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400244",
	.desc = "Counts all demand & prefetch code reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00091",
	.desc = "Counts all demand & prefetch data reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63F800091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00091",
	.desc = "Counts all demand & prefetch data reads miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6004007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63F8007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the data is returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC007F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) miss the L3 and clean or shared data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_requests.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC08FFF",
	.desc = "Counts all requests miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00122",
	.desc = "Counts all demand & prefetch RFOs miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400122",
	.desc = "Counts all demand & prefetch RFOs miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00004",
	.desc = "Counts all demand code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400004",
	.desc = "Counts all demand code reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00001",
	.desc = "Counts demand data reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400001",
	.desc = "Counts demand data reads miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00002",
	.desc = "Counts all demand data writes (RFOs) miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400002",
	.desc = "Counts all demand data writes (RFOs) miss the L3 and the data is returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00002",
	.desc = "Counts all demand data writes (RFOs) miss the L3 and the modified data is transferred from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads miss in the L3",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs miss in the L3",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type  Spec update: HSD65",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data capacity limitation for transactional writes",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0x12",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.source",
	.event = "umask=0x2,event=0x12",
	.desc = "Total Write Cache Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0",
	.desc = "Clocks in the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of clocks in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x13",
	.desc = "Coherent Ops; CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.crd",
	.event = "umask=0x2,event=0x13",
	.desc = "Coherent Ops; CRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.drd",
	.event = "umask=0x4,event=0x13",
	.desc = "Coherent Ops; DRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcidcahint",
	.event = "umask=0x20,event=0x13",
	.desc = "Coherent Ops; PCIDCAHin5t. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcirdcur",
	.event = "umask=0x1,event=0x13",
	.desc = "Coherent Ops; PCIRdCur. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x13",
	.desc = "Coherent Ops; PCIItoM. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x13",
	.desc = "Coherent Ops; RFO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x13",
	.desc = "Coherent Ops; WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Cache Inserts of Atomic Transactions as Secondary",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Cache Inserts of Read Transactions as Secondary",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Cache Inserts of Write Transactions as Secondary",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Fastpath Rejects",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Fastpath Requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Fastpath Transfers From Primary to Secondary",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts Timeouts - Set 0 : Prefetch Ack Hints From Primary to Secondary",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_timeout",
	.event = "umask=0x80,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch TimeOut. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Indicates the fetch for a previous prefetch wasn't accepted by the prefetch.   This happens in the case of a prefetch TimeOut",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.data_throttle",
	.event = "umask=0x80,event=0x15",
	.desc = "Misc Events - Set 1; Data Throttled. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "IRP throttled switch data",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x15",
	.desc = "Misc Events - Set 1. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Lost Forward : Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x15",
	.desc = "Misc Events - Set 1; Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x15",
	.desc = "Misc Events - Set 1; Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_inserts",
	.event = "event=0xa",
	.desc = "AK Ingress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the AK Ingress.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_cycles_full",
	.event = "event=0x4",
	.desc = "UNC_I_RxR_BL_DRS_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_inserts",
	.event = "event=0x1",
	.desc = "BL Ingress Occupancy - DRS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_occupancy",
	.event = "event=0x7",
	.desc = "UNC_I_RxR_BL_DRS_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_cycles_full",
	.event = "event=0x5",
	.desc = "UNC_I_RxR_BL_NCB_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_inserts",
	.event = "event=0x2",
	.desc = "BL Ingress Occupancy - NCB. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_occupancy",
	.event = "event=0x8",
	.desc = "UNC_I_RxR_BL_NCB_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_cycles_full",
	.event = "event=0x6",
	.desc = "UNC_I_RxR_BL_NCS_CYCLES_FULL. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_inserts",
	.event = "event=0x3",
	.desc = "BL Ingress Occupancy - NCS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_occupancy",
	.event = "event=0x9",
	.desc = "UNC_I_RxR_BL_NCS_OCCUPANCY. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x17",
	.desc = "Snoop Responses; Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : Hit E or S",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x17",
	.desc = "Snoop Responses; Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : Hit I",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x17",
	.desc = "Snoop Responses; Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : Hit M",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x17",
	.desc = "Snoop Responses; Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : Miss",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x17",
	.desc = "Snoop Responses; SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : SnpCode",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x17",
	.desc = "Snoop Responses; SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : SnpData",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x17",
	.desc = "Snoop Responses; SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses : SnpInv",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x16",
	.desc = "Inbound Transaction Count; Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x16",
	.desc = "Inbound Transaction Count; Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_pref",
	.event = "umask=0x4,event=0x16",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x16",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x16",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x16",
	.desc = "Inbound Transaction Count; Write Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of write prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_ad_stall_credit_cycles",
	.event = "event=0x18",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_bl_stall_credit_cycles",
	.event = "event=0x19",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncb",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncs",
	.event = "event=0xf",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_request_occupancy",
	.event = "event=0xd",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_r2_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the R2PCIe uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the R2PCIe is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi0",
	.event = "umask=0x4,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.ISOCH_QPI0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi1",
	.event = "umask=0x8,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.ISOCH_QPI1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi0",
	.event = "umask=0x1,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.PRQ_QPI0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi1",
	.event = "umask=0x2,event=0x2d",
	.desc = "UNC_R2_IIO_CREDIT.PRQ_QPI1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.drs",
	.event = "umask=0x8,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw",
	.event = "umask=0x3,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.dn",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Ingress Bounced; Dn. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.up",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Ingress Bounced; Up. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw",
	.event = "umask=0x3,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw",
	.event = "umask=0x3,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.ccw",
	.event = "umask=0xc,event=0xa",
	.desc = "R2 IV Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.cw",
	.event = "umask=0x3,event=0xa",
	.desc = "R2 IV Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given R2PCIe Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the R2PCIe Ingress Not Empty event to calculate average occupancy or the R2PCIe Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x28",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ad",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress Cycles Full; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ak",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress Cycles Full; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.bl",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress Cycles Full; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ad",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress Cycles Not Empty; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ak",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress Cycles Not Empty; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.bl",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress Cycles Not Empty; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ak",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_bl",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ad",
	.event = "umask=0x8,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ak",
	.event = "umask=0x20,event=0x26",
	.desc = "Egress CCW NACK; BL CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_bl",
	.event = "umask=0x10,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r3_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the QPI uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the QPI Agent is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo10",
	.event = "umask=0x4,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 10",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo11",
	.event = "umask=0x8,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 11",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo12",
	.event = "umask=0x10,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 12",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo13",
	.event = "umask=0x20,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 13",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo14_16",
	.event = "umask=0x40,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 14&16",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo8",
	.event = "umask=0x1,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 8",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo9",
	.event = "umask=0x2,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 9",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo_15_17",
	.event = "umask=0x80,event=0x1f",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 15&17",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo0",
	.event = "umask=0x1,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo1",
	.event = "umask=0x2,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo2",
	.event = "umask=0x4,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 2",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo3",
	.event = "umask=0x8,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 3",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo4",
	.event = "umask=0x10,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 4",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo5",
	.event = "umask=0x20,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 5",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo6",
	.event = "umask=0x40,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 6",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo7",
	.event = "umask=0x80,event=0x22",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 7",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha0",
	.event = "umask=0x1,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha1",
	.event = "umask=0x2,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncb",
	.event = "umask=0x4,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCB Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncs",
	.event = "umask=0x8,event=0x2d",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCS Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_backpressure.hub",
	.event = "umask=0x2,event=0xb",
	.desc = "IOT Backpressure. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_backpressure.sat",
	.event = "umask=0x1,event=0xb",
	.desc = "IOT Backpressure. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_hi.cts2",
	.event = "umask=0x1,event=0xd",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_hi.cts3",
	.event = "umask=0x2,event=0xd",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_lo.cts0",
	.event = "umask=0x1,event=0xc",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_iot_cts_lo.cts1",
	.event = "umask=0x2,event=0xc",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x20",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x21",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x2e",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x2f",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw",
	.event = "umask=0x3,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw",
	.event = "umask=0x3,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw",
	.event = "umask=0x3,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Even. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Odd. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R3 IV Ring in Use; Any. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.cw",
	.event = "umask=0x3,event=0xa",
	.desc = "R3 IV Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_sink_starved.ak",
	.event = "umask=0x2,event=0xe",
	.desc = "Ring Stop Starved; AK. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the ringstop is in starvation (per ring)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.hom",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ndr",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.snp",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.drs",
	.event = "umask=0x8,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.hom",
	.event = "umask=0x1,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ncb",
	.event = "umask=0x10,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ncs",
	.event = "umask=0x20,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.ndr",
	.event = "umask=0x4,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne_vn1.snp",
	.event = "umask=0x2,event=0x14",
	.desc = "VN1 Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI VN1  Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.drs",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.hom",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ndr",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.snp",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.drs",
	.event = "umask=0x8,event=0x15",
	.desc = "VN1 Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.hom",
	.event = "umask=0x1,event=0x15",
	.desc = "VN1 Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ncb",
	.event = "umask=0x10,event=0x15",
	.desc = "VN1 Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ncs",
	.event = "umask=0x20,event=0x15",
	.desc = "VN1 Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.ndr",
	.event = "umask=0x4,event=0x15",
	.desc = "VN1 Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts_vn1.snp",
	.event = "umask=0x2,event=0x15",
	.desc = "VN1 Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI VN1  Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.hom",
	.event = "umask=0x1,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ncb",
	.event = "umask=0x10,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ncs",
	.event = "umask=0x20,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.ndr",
	.event = "umask=0x4,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy_vn1.snp",
	.event = "umask=0x2,event=0x13",
	.desc = "VN1 Ingress Occupancy Accumulator; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI VN1  Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI VN1  Ingress Not Empty event to calculate average occupancy or the QPI VN1  Ingress Allocations event in order to calculate average queuing latency.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x28",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credits_acquired.ad",
	.event = "umask=0x1,event=0x29",
	.desc = "SBo1 Credits Acquired; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credits_acquired.bl",
	.event = "umask=0x2,event=0x29",
	.desc = "SBo1 Credits Acquired; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2b",
	.desc = "SBo1 Credits Occupancy; For AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_sbo1_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2b",
	.desc = "SBo1 Credits Occupancy; For BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_ak",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.dn_bl",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_ad",
	.event = "umask=0x8,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_ak",
	.event = "umask=0x20,event=0x26",
	.desc = "Egress CCW NACK; BL CW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack.up_bl",
	.event = "umask=0x10,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.drs",
	.event = "umask=0x8,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.hom",
	.event = "umask=0x1,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncb",
	.event = "umask=0x10,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncs",
	.event = "umask=0x20,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ndr",
	.event = "umask=0x4,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.snp",
	.event = "umask=0x2,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.drs",
	.event = "umask=0x8,event=0x36",
	.desc = "VN0 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.hom",
	.event = "umask=0x1,event=0x36",
	.desc = "VN0 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x36",
	.desc = "VN0 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x36",
	.desc = "VN0 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ndr",
	.event = "umask=0x4,event=0x36",
	.desc = "VN0 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x36",
	.desc = "VN0 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.drs",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.hom",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncb",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncs",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ndr",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.snp",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.drs",
	.event = "umask=0x8,event=0x38",
	.desc = "VN1 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.hom",
	.event = "umask=0x1,event=0x38",
	.desc = "VN1 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x38",
	.desc = "VN1 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x38",
	.desc = "VN1 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ndr",
	.event = "umask=0x4,event=0x38",
	.desc = "VN1 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x38",
	.desc = "VN1 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.ad",
	.event = "umask=0x1,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credts from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.bl",
	.event = "umask=0x4,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credts from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "VNA Credit Reject; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.hom",
	.event = "umask=0x1,event=0x34",
	.desc = "VNA Credit Reject; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "VNA Credit Reject; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "VNA Credit Reject; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Standard (NCS)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ndr",
	.event = "umask=0x4,event=0x34",
	.desc = "VNA Credit Reject; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.snp",
	.event = "umask=0x2,event=0x34",
	.desc = "VNA Credit Reject; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_s_bounce_control",
	.event = "event=0xa",
	.desc = "Bounce Control. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_fast_asserted",
	.event = "event=0x9",
	.desc = "FaST wire asserted. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Event. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Event ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop. We really have two rings in HSX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.ad_cache",
	.event = "umask=0x1,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.ak_core",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Acknowledgements to core. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.bl_core",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Data Responses to core. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_bounces.iv_core",
	.event = "umask=0x8,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_iv_used.dn",
	.event = "umask=0xc,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  There is only 1 IV ring in HSX.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_iv_used.up",
	.event = "umask=0x3,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  There is only 1 IV ring in HSX.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.ad_cache",
	.event = "umask=0x1,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.AD_CACHE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.ak_core",
	.event = "umask=0x2,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.AK_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.bl_core",
	.event = "umask=0x4,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.BL_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_ring_sink_starved.iv_core",
	.event = "umask=0x8,event=0x6",
	.desc = "UNC_S_RING_SINK_STARVED.IV_CORE. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.ad_bnc",
	.event = "umask=0x2,event=0x15",
	.desc = "Injection Starvation; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.ad_crd",
	.event = "umask=0x1,event=0x15",
	.desc = "Injection Starvation; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.bl_bnc",
	.event = "umask=0x8,event=0x15",
	.desc = "Injection Starvation; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_busy_starved.bl_crd",
	.event = "umask=0x4,event=0x15",
	.desc = "Injection Starvation; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress because a message (credited/bounceable) is  being sent",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ad_bnc",
	.event = "umask=0x2,event=0x12",
	.desc = "Bypass; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ad_crd",
	.event = "umask=0x1,event=0x12",
	.desc = "Bypass; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.ak",
	.event = "umask=0x10,event=0x12",
	.desc = "Bypass; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.bl_bnc",
	.event = "umask=0x8,event=0x12",
	.desc = "Bypass; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.bl_crd",
	.event = "umask=0x4,event=0x12",
	.desc = "Bypass; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_bypass.iv",
	.event = "umask=0x20,event=0x12",
	.desc = "Bypass; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Bypass the Sbo Ingress",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ad_bnc",
	.event = "umask=0x2,event=0x14",
	.desc = "Injection Starvation; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ad_crd",
	.event = "umask=0x1,event=0x14",
	.desc = "Injection Starvation; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ak",
	.event = "umask=0x10,event=0x14",
	.desc = "Injection Starvation; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.bl_bnc",
	.event = "umask=0x8,event=0x14",
	.desc = "Injection Starvation; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.bl_crd",
	.event = "umask=0x4,event=0x14",
	.desc = "Injection Starvation; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.ifv",
	.event = "umask=0x40,event=0x14",
	.desc = "Injection Starvation; IVF Credit. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_crd_starved.iv",
	.event = "umask=0x20,event=0x14",
	.desc = "Injection Starvation; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Ingress cannot send a transaction onto the ring for a long period of time.  In this case, the Ingress but unable to forward to Egress due to lack of credit",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ad_bnc",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ad_crd",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.ak",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.bl_bnc",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Allocations; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.bl_crd",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_inserts.iv",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Ingress  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ad_bnc",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ad_crd",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.ak",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Occupancy; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.bl_bnc",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Occupancy; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.bl_crd",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_rxr_occupancy.iv",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the Sbo.  The Ingress is used to queue up requests received from the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.AD. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "UNC_S_TxR_ADS_USED.BL. Unit: uncore_sbox ",
	.topic = "uncore other",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ad_bnc",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ad_crd",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.ak",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.bl_bnc",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.bl_crd",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_inserts.iv",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Sbo Egress.  The Egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ad_bnc",
	.event = "umask=0x2,event=0x1",
	.desc = "Egress Occupancy; AD - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ad_crd",
	.event = "umask=0x1,event=0x1",
	.desc = "Egress Occupancy; AD - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.ak",
	.event = "umask=0x10,event=0x1",
	.desc = "Egress Occupancy; AK. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.bl_bnc",
	.event = "umask=0x8,event=0x1",
	.desc = "Egress Occupancy; BL - Bounces. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.bl_crd",
	.event = "umask=0x4,event=0x1",
	.desc = "Egress Occupancy; BL - Credits. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_occupancy.iv",
	.event = "umask=0x20,event=0x1",
	.desc = "Egress Occupancy; IV. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Sbo.  The egress is used to queue up requests destined for the ring",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.bl",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_s_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_sbox ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_sbox",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0",
	.desc = "UNC_U_CLOCKTICKS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.disable",
	.event = "umask=0x2,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.enable",
	.event = "umask=0x1,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_disable",
	.event = "umask=0x8,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_enable",
	.event = "umask=0x4,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.cmc",
	.event = "umask=0x10,event=0x43",
	.desc = "Monitor Sent to T0; Correctable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.livelock",
	.event = "umask=0x4,event=0x43",
	.desc = "Monitor Sent to T0; Livelock. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.lterror",
	.event = "umask=0x8,event=0x43",
	.desc = "Monitor Sent to T0; LTError. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t0",
	.event = "umask=0x1,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T0. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t1",
	.event = "umask=0x2,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T1. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.other",
	.event = "umask=0x80,event=0x43",
	.desc = "Monitor Sent to T0; Other. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; PREQ, PSMI, P2U, Thermal, PCUSMI, PMI",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.trap",
	.event = "umask=0x40,event=0x43",
	.desc = "Monitor Sent to T0; Trap. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.umc",
	.event = "umask=0x20,event=0x43",
	.desc = "Monitor Sent to T0; Uncorrectable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts when new data lines are brought into the L1 Data cache, which cause other lines to be evicted from the cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstanding duration in cycles",
	.topic = "cache",
	.long_desc = "Increments the number of outstanding L1D misses every cycle. Set Cmask = 1 and Edge =1 to count occurrences",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.request_fb_full",
	.event = "period=2000003,umask=0x2,event=0x48",
	.desc = "Number of times a request needed a FB entry but there was no entry available for it. That is the FB unavailability was dominant reason for blocking the request. A request includes cacheable/uncacheable demands that is load, store or SW prefetch. HWP are e",
	.topic = "cache",
},
{
	.name = "l2_demand_rqsts.wb_hit",
	.event = "period=200003,umask=0x50,event=0x27",
	.desc = "Not rejected writebacks that hit L2 cache",
	.topic = "cache",
	.long_desc = "Not rejected writebacks that hit L2 cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines brought into the L2 cache.  Lines are filled into the L2 cache when there was an L2 miss",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in E state filling L2",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in I state filling L2",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in S state filling L2",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x5,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x6,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by demand",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts all L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Counts any demand and L1 HW prefetch data load requests to L2  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand requests that miss L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand requests to L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 store RFO requests",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that hit the L2 cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that missed the L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand data read requests that missed L2, no rejects  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.l2_pf_hit",
	.event = "period=200003,umask=0xd0,event=0x24",
	.desc = "L2 prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that hit L2",
},
{
	.name = "l2_rqsts.l2_pf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that missed L2",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "All requests that missed L2  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "All requests to L2 cache  Spec update: HSD78, HSM80",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that hit the L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that miss the L2 cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or L3 HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "Any MLC or L3 HW prefetch accessing L2, including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "Transactions accessing L2 pipe",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "Demand data read requests that access L2 cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "Cycles in which the L1D is locked",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3",
	.topic = "cache",
	.long_desc = "This event counts each cache miss condition for references to the last level cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3",
	.topic = "cache",
	.long_desc = "This event counts requests originating from the core that reference a cache line in the last level cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared L3  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise.  Spec update: HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in L3 without snoops required  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.local_dram",
	.event = "period=100003,umask=0x1,event=0xd3",
	.desc = "Data from local DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops where the data came from local DRAM. This does not include hardware prefetches  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_dram",
	.event = "period=100003,umask=0x4,event=0xd3",
	.desc = "Retired load uop whose Data Source was: remote DRAM either Snoop not needed or Snoop Miss (RspI)  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_fwd",
	.event = "period=100003,umask=0x20,event=0xd3",
	.desc = "Retired load uop whose Data Source was: forwarded from remote cache  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_hitm",
	.event = "period=100003,umask=0x10,event=0xd3",
	.desc = "Retired load uop whose Data Source was: Remote cache HITM  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops misses in L1 cache as data sources  Supports address when precise.  Spec update: HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L1 cache as data sources  Supports address when precise.  Spec update: HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources  Supports address when precise.  Spec update: HSD76, HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Miss in mid-level (L2) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L2. Unknown data source excluded  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in L3 without snoops required  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops with L3 cache hits as data sources  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_miss",
	.event = "period=100003,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source  Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load uops missed L3. Excludes unknown data source   Supports address when precise.  Spec update: HSD74, HSD29, HSD25, HSM26, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "Retired load uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load uops. This event accounts for SW prefetch uops of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "Retired store uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store uops  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100003,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access  Supports address when precise.  Spec update: HSD76, HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB  Supports address when precise.  Spec update: HSD29, HSM30 (Precise event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Data read requests sent to uncore (demand and prefetch)",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncacheable code read requests",
	.topic = "cache",
	.long_desc = "Demand code read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore  Spec update: HSD78, HSM80",
	.topic = "cache",
	.long_desc = "Demand data read requests sent to uncore  Spec update: HSD78, HSM80",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Demand RFO read requests sent to uncore, including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding cacheable data read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand code Read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
	.long_desc = "Offcore outstanding demand data read transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue  Spec update: HSD78, HSD62, HSD61, HSM63, HSM80",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore  Spec update: HSD62, HSD61, HSM63",
	.topic = "cache",
	.long_desc = "Offcore outstanding RFO store transactions in SQ to uncore. Set Cmask=1 to count cycles  Spec update: HSD62, HSD61, HSM63",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0244",
	.desc = "Counts all demand & prefetch code reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0091",
	.desc = "Counts all demand & prefetch data reads hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0091",
	.desc = "Counts all demand & prefetch data reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C07F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C07F7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_requests.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8FFF",
	.desc = "Counts all requests hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "Counts all demand & prefetch RFOs hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "Counts all demand & prefetch RFOs hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts all demand code reads hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts all demand code reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs) hit in the L3 and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts all demand data writes (RFOs) hit in the L3 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0040",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads hit in the L3",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs hit in the L3",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.name = "qpi_ctl_bandwidth_tx",
	.event = "umask=0x4,event=0",
	.desc = "Number of non data (control) flits transmitted . Derived from unc_q_txl_flits_g0.non_data. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits transmitted across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.unit = "8Bytes",
	.perpkg = "1",
},
{
	.name = "qpi_data_bandwidth_tx",
	.event = "umask=0x2,event=0",
	.desc = "Number of data flits transmitted . Derived from unc_q_txl_flits_g0.data. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits transmitted over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.unit = "8Bytes",
	.perpkg = "1",
},
{
	.name = "unc_q_clockticks",
	.event = "event=0x14",
	.desc = "Number of qfclks. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of clocks in the QPI LL.  This clock runs at 1/4th the GT/s speed of the QPI link.  For example, a 4GT/s link will have qfclk or 1GHz.  HSX does not support dynamic link speeds, so this frequency is fixed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_cto_count",
	.event = "event=0x38",
	.desc = "Count of CTO Events. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of CTO (cluster trigger outs) events that were asserted across the two slots.  If both slots trigger in a given cycle, the event will increment by 2.  You can use edge detect to count the number of cases when both events triggered",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits",
	.event = "umask=0x2,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits.  Had there been enough credits, the spawn would have worked as the RBT bit was set and the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_miss",
	.event = "umask=0x20,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and there weren't enough Egress credits.   The valid bit was set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt",
	.event = "umask=0x8,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits AND the RBT bit was not set, but the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt_miss",
	.event = "umask=0x80,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss, Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match, the valid bit was not set and there weren't enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_miss",
	.event = "umask=0x10,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match although the valid bit was set and there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_hit",
	.event = "umask=0x4,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the route-back table (RBT) specified that the transaction should not trigger a direct2core transaction.  This is common for IO transactions.  There were enough Egress credits and the RBT tag matched but the valid bit was not set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_miss",
	.event = "umask=0x40,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss and Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and the valid bit was not set although there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.success_rbt_hit",
	.event = "umask=0x1,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Success. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn was successful.  There were sufficient credits, the RBT valid bit was set and there was an RBT tag match.  The message was marked to spawn direct2core",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_l1_power_cycles",
	.event = "event=0x12",
	.desc = "Cycles in L1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a QPI link.  Use edge detect to count the number of instances when the QPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0p_power_cycles",
	.event = "event=0x10",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0_power_cycles",
	.event = "event=0xf",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_bypassed",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.link_init",
	.event = "umask=0x1,event=0x3",
	.desc = "CRC Errors Detected; LinkInit. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it).; CRC errors detected during link initialization",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.normal_op",
	.event = "umask=0x2,event=0x3",
	.desc = "CRC Errors Detected; Normal Operations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it).; CRC errors detected during normal operation",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.drs",
	.event = "umask=0x1,event=0x1e",
	.desc = "VN0 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.hom",
	.event = "umask=0x8,event=0x1e",
	.desc = "VN0 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncb",
	.event = "umask=0x2,event=0x1e",
	.desc = "VN0 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncs",
	.event = "umask=0x4,event=0x1e",
	.desc = "VN0 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ndr",
	.event = "umask=0x20,event=0x1e",
	.desc = "VN0 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.snp",
	.event = "umask=0x10,event=0x1e",
	.desc = "VN0 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.drs",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.hom",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncb",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncs",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ndr",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.snp",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vna",
	.event = "event=0x1d",
	.desc = "VNA Credit Consumed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne",
	.event = "event=0xa",
	.desc = "RxQ Cycles Not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn0",
	.event = "umask=0x1,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn1",
	.event = "umask=0x2,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn0",
	.event = "umask=0x1,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn1",
	.event = "umask=0x2,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn0",
	.event = "umask=0x1,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn1",
	.event = "umask=0x2,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn0",
	.event = "umask=0x1,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn1",
	.event = "umask=0x2,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn0",
	.event = "umask=0x1,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn1",
	.event = "umask=0x2,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn0",
	.event = "umask=0x1,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn1",
	.event = "umask=0x2,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.idle",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Received - Group 0; Idle and Null Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of flits received over QPI that do not hold protocol payload.  When QPI is not in a power saving state, it continuously transmits flits across the link.  When there are no protocol flits to send, it will send IDLE and NULL flits  across.  These flits sometimes do carry a payload, such as credit returns, but are generally not considered part of the QPI bandwidth",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs",
	.event = "umask=0x18,event=0x2",
	.desc = "Flits Received - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_data",
	.event = "umask=0x8,event=0x2",
	.desc = "Flits Received - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0x2",
	.desc = "Flits Received - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom",
	.event = "umask=0x6,event=0x2",
	.desc = "Flits Received - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits received over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0x2",
	.desc = "Flits Received - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits received over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_req",
	.event = "umask=0x2,event=0x2",
	.desc = "Flits Received - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request received over QPI on the home channel.  This basically counts the number of remote memory requests received over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.snp",
	.event = "umask=0x1,event=0x2",
	.desc = "Flits Received - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits received over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are received on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb",
	.event = "umask=0xc,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not the NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent non-data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncs",
	.event = "umask=0x10,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent standard Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits received over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts",
	.event = "event=0x8",
	.desc = "Rx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn0",
	.event = "umask=0x1,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn1",
	.event = "umask=0x2,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn0",
	.event = "umask=0x1,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn1",
	.event = "umask=0x2,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn0",
	.event = "umask=0x1,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn1",
	.event = "umask=0x2,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn0",
	.event = "umask=0x1,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn1",
	.event = "umask=0x2,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn0",
	.event = "umask=0x1,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn1",
	.event = "umask=0x2,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn0",
	.event = "umask=0x1,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn1",
	.event = "umask=0x2,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy",
	.event = "event=0xb",
	.desc = "RxQ Occupancy - All Packets. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn0",
	.event = "umask=0x1,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn1",
	.event = "umask=0x2,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn1",
	.event = "umask=0x2,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn0",
	.event = "umask=0x1,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn1",
	.event = "umask=0x2,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn0",
	.event = "umask=0x1,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn1",
	.event = "umask=0x2,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn0",
	.event = "umask=0x1,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn1",
	.event = "umask=0x2,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn0",
	.event = "umask=0x1,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn1",
	.event = "umask=0x2,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_drs",
	.event = "umask=0x1,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_hom",
	.event = "umask=0x8,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncb",
	.event = "umask=0x2,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncs",
	.event = "umask=0x4,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ndr",
	.event = "umask=0x20,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_snp",
	.event = "umask=0x10,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.egress_credits",
	.event = "umask=0x40,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet because there were insufficient BGF credits.  For details on a message class granularity, use the Egress Credit Occupancy events",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.gv",
	.event = "umask=0x80,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; GV. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled because a GV transition (frequency transition) was taking place",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_drs",
	.event = "umask=0x1,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_hom",
	.event = "umask=0x8,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncb",
	.event = "umask=0x2,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncs",
	.event = "umask=0x4,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ndr",
	.event = "umask=0x20,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_snp",
	.event = "umask=0x10,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0p_power_cycles",
	.event = "event=0xd",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0_power_cycles",
	.event = "event=0xc",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_bypassed",
	.event = "event=0x5",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the QPI Link. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.almost_full",
	.event = "umask=0x2,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is almost full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is almost full, we block some but not all packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.full",
	.event = "umask=0x1,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is totally full, we are not allowed to send any packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_cycles_ne",
	.event = "event=0x6",
	.desc = "Tx Flit Buffer Cycles not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles when the TxQ is not empty. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.data",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits transmitted over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.non_data",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits transmitted across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs",
	.event = "umask=0x18,event=0",
	.desc = "Flits Transferred - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_data",
	.event = "umask=0x8,event=0",
	.desc = "Flits Transferred - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0",
	.desc = "Flits Transferred - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom",
	.event = "umask=0x6,event=0",
	.desc = "Flits Transferred - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits transmitted over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits transmitted over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_req",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request transmitted over QPI on the home channel.  This basically counts the number of remote memory requests transmitted over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.snp",
	.event = "umask=0x1,event=0",
	.desc = "Flits Transferred - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits transmitted over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are transmitted on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb",
	.event = "umask=0xc,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent Bypass Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not the NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent non-data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncs",
	.event = "umask=0x10,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent standard Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits transmitted over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_inserts",
	.event = "event=0x4",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Tx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_occupancy",
	.event = "event=0x7",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn1",
	.event = "umask=0x2,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn1",
	.event = "umask=0x2,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn0",
	.event = "umask=0x1,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn1",
	.event = "umask=0x2,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_acquired",
	.event = "event=0x29",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_occupancy",
	.event = "event=0x25",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn_shr",
	.event = "umask=0x4,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn_shr",
	.event = "umask=0x4,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_returns",
	.event = "event=0x1c",
	.desc = "VNA Credits Returned. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits returned",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_return_occupancy",
	.event = "event=0x1b",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_read",
	.event = "umask=0x3,event=0x4",
	.desc = "read requests to memory controller. Derived from unc_m_cas_count.rd. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_write",
	.event = "umask=0xc,event=0x4",
	.desc = "write requests to memory controller. Derived from unc_m_cas_count.wr. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM Reads (RD_CAS + Underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM RD_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Underfill Read Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the number of underfill reads that are issued by the memory controller.  This will generally be about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ.  While it is possible for underfills to be issed in both WMM and RMM, this event counts both",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (both Modes). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "DRAM Clockticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dclockticks",
	.event = "event=0",
	.desc = "DRAM Clockticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit errors in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "UNC_M_POWER_PCU_THROTTLING. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "DRAM Precharge commands.; Precharges due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of page misses.  This does not include explicit precharge commands sent with CAS commands in Auto-Precharge mode.  This does not include PRE commands sent as a result of the page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank10",
	.event = "umask=0xa,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank11",
	.event = "umask=0xb,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank12",
	.event = "umask=0xc,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank13",
	.event = "umask=0xd,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank14",
	.event = "umask=0xe,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank15",
	.event = "umask=0xf,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x3,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x5,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x6,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x7,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank8",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank9",
	.event = "umask=0x9,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank10",
	.event = "umask=0xa,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank11",
	.event = "umask=0xb,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank12",
	.event = "umask=0xc,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank13",
	.event = "umask=0xd,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank14",
	.event = "umask=0xe,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank15",
	.event = "umask=0xf,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x3,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x5,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x6,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x7,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank8",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank9",
	.event = "umask=0x9,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank10",
	.event = "umask=0xa,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank11",
	.event = "umask=0xb,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank12",
	.event = "umask=0xc,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank13",
	.event = "umask=0xd,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank14",
	.event = "umask=0xe,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank15",
	.event = "umask=0xf,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x3,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x5,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x6,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x7,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank8",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank9",
	.event = "umask=0x9,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank10",
	.event = "umask=0xa,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank11",
	.event = "umask=0xb,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank12",
	.event = "umask=0xc,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank13",
	.event = "umask=0xd,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank14",
	.event = "umask=0xe,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank15",
	.event = "umask=0xf,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x3,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x5,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x6,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x7,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank8",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank9",
	.event = "umask=0x9,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "RD_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_mxb_wr_occupancy",
	.event = "event=0x91",
	.desc = "VMSE MXB write buffer occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.rmm",
	.event = "umask=0x2,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.wmm",
	.event = "umask=0x1,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank10",
	.event = "umask=0xa,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank11",
	.event = "umask=0xb,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank12",
	.event = "umask=0xc,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank13",
	.event = "umask=0xd,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank14",
	.event = "umask=0xe,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank15",
	.event = "umask=0xf,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x3,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x5,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x6,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x7,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank8",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank9",
	.event = "umask=0x9,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank10",
	.event = "umask=0xa,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank11",
	.event = "umask=0xb,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank12",
	.event = "umask=0xc,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank13",
	.event = "umask=0xd,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank14",
	.event = "umask=0xe,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank15",
	.event = "umask=0xf,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x3,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x5,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x6,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x7,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank8",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank9",
	.event = "umask=0x9,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank10",
	.event = "umask=0xa,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank11",
	.event = "umask=0xb,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank12",
	.event = "umask=0xc,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank13",
	.event = "umask=0xd,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank14",
	.event = "umask=0xe,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank15",
	.event = "umask=0xf,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x3,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x5,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x6,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x7,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank8",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank9",
	.event = "umask=0x9,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : All Banks",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 0",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank10",
	.event = "umask=0xa,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 10",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank11",
	.event = "umask=0xb,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 11",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank12",
	.event = "umask=0xc,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 12",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank13",
	.event = "umask=0xd,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 13",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank14",
	.event = "umask=0xe,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 14",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank15",
	.event = "umask=0xf,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 15",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 2",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x3,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 3",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 4",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x5,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 5",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x6,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 6",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x7,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 7",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank8",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 8",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank9",
	.event = "umask=0x9,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank 9",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 0 (Banks 0-3)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 1 (Banks 4-7)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 2 (Banks 8-11)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "WR_CAS Access to Rank 0 : Bank Group 3 (Banks 12-15)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_silvermont[] = {
{
	.name = "fetch_stall.all",
	.event = "period=200003,umask=0x3f,event=0x86",
	.desc = "Cycles code-fetch stalled due to any reason",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to any reason. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes.  This will include cycles due to an ITLB miss, ICache miss and other events",
},
{
	.name = "fetch_stall.itlb_fill_pending_cycles",
	.event = "period=200003,umask=0x2,event=0x86",
	.desc = "Cycles code-fetch stalled due to an outstanding ITLB miss",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ITLB miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ITLB miss.  Note: this event is not the same as page walk cycles to retrieve an instruction translation",
},
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x8,event=0x4",
	.desc = "Loads missed DTLB (Precise event)",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of load ops retired that had DTLB miss (Precise event)",
},
{
	.name = "page_walks.cycles",
	.event = "period=200003,umask=0x3,event=0x5",
	.desc = "Total cycles for all the page walks. (I-side and D-side)",
	.topic = "virtual memory",
	.long_desc = "This event counts every cycle when a data (D) page walk or instruction (I) page walk is in progress.  Since a pagewalk implies a TLB miss, the approximate cost of a TLB miss can be determined from this event",
},
{
	.name = "page_walks.d_side_cycles",
	.event = "period=200003,umask=0x1,event=0x5",
	.desc = "Duration of D-side page-walks in core cycles",
	.topic = "virtual memory",
	.long_desc = "This event counts every cycle when a D-side (walks due to a load) page walk is in progress. Page walk duration divided by number of page walks is the average duration of page-walks",
},
{
	.name = "page_walks.d_side_walks",
	.event = "edge=1,period=100003,umask=0x1,event=0x5",
	.desc = "D-side page-walks",
	.topic = "virtual memory",
	.long_desc = "This event counts when a data (D) page walk is completed or started.  Since a page walk implies a TLB miss, the number of TLB misses can be counted by counting the number of pagewalks",
},
{
	.name = "page_walks.i_side_cycles",
	.event = "period=200003,umask=0x2,event=0x5",
	.desc = "Duration of I-side page-walks in core cycles",
	.topic = "virtual memory",
	.long_desc = "This event counts every cycle when a I-side (walks due to an instruction fetch) page walk is in progress. Page walk duration divided by number of page walks is the average duration of page-walks",
},
{
	.name = "page_walks.i_side_walks",
	.event = "edge=1,period=100003,umask=0x2,event=0x5",
	.desc = "I-side page-walks",
	.topic = "virtual memory",
	.long_desc = "This event counts when an instruction (I) page walk is completed or started.  Since a page walk implies a TLB miss, the number of TLB misses can be counted by counting the number of pagewalks",
},
{
	.name = "page_walks.walks",
	.event = "edge=1,period=100003,umask=0x3,event=0x5",
	.desc = "Total page walks that are completed (I-side and D-side)",
	.topic = "virtual memory",
	.long_desc = "This event counts when a data (D) page walk or an instruction (I) page walk is completed or started.  Since a page walk implies a TLB miss, the number of TLB misses can be counted by counting the number of pagewalks",
},
{
	.name = "baclears.all",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "Counts the number of baclears",
	.topic = "frontend",
	.long_desc = "The BACLEARS event counts the number of times the front end is resteered, mainly when the Branch Prediction Unit cannot provide a correct prediction and this is corrected by the Branch Address Calculator at the front end.  The BACLEARS.ANY event counts the number of baclears for any type of branch",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "Counts the number of JCC baclears",
	.topic = "frontend",
	.long_desc = "The BACLEARS event counts the number of times the front end is resteered, mainly when the Branch Prediction Unit cannot provide a correct prediction and this is corrected by the Branch Address Calculator at the front end.  The BACLEARS.COND event counts the number of JCC (Jump on Condtional Code) baclears",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "Counts the number of RETURN baclears",
	.topic = "frontend",
	.long_desc = "The BACLEARS event counts the number of times the front end is resteered, mainly when the Branch Prediction Unit cannot provide a correct prediction and this is corrected by the Branch Address Calculator at the front end.  The BACLEARS.RETURN event counts the number of RETURN baclears",
},
{
	.name = "decode_restriction.predecode_wrong",
	.event = "period=200003,umask=0x1,event=0xe9",
	.desc = "Counts the number of times a decode restriction reduced the decode throughput due to wrong instruction length prediction",
	.topic = "frontend",
	.long_desc = "Counts the number of times a decode restriction reduced the decode throughput due to wrong instruction length prediction",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Instruction fetches",
	.topic = "frontend",
	.long_desc = "This event counts all instruction fetches, not including most uncacheable\r\nfetches",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "Instruction fetches from Icache",
	.topic = "frontend",
	.long_desc = "This event counts all instruction fetches from the instruction cache",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Icache miss",
	.topic = "frontend",
	.long_desc = "This event counts all instruction fetches that miss the Instruction cache or produce memory requests. This includes uncacheable fetches. An instruction fetch miss is counted only once and not once for every cycle it is outstanding",
},
{
	.name = "ms_decoded.ms_entry",
	.event = "period=200003,umask=0x1,event=0xe7",
	.desc = "Counts the number of times entered into a ucode flow in the FEC.  Includes inserted flows due to front-end detected faults or assists.  Speculative count",
	.topic = "frontend",
	.long_desc = "Counts the number of times the MSROM starts a flow of UOPS. It does not count every time a UOP is read from the microcode ROM.  The most common case that this counts is when a micro-coded instruction is encountered by the front end of the machine.  Other cases include when an instruction encounters a fault, trap, or microcode assist of any sort.  The event will count MSROM startups for UOPS that are speculative, and subsequently cleared by branch mispredict or machine clear.  Background: UOPS are produced by two mechanisms.  Either they are generated by hardware that decodes instructions into UOPS, or they are delivered by a ROM (called the MSROM) that holds UOPS associated with a specific instruction.  MSROM UOPS might also be delivered in response to some condition such as a fault or other exceptional condition.  This event is an excellent mechanism for detecting instructions that require the use of MSROM instructions",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the number of branch instructions retired.. (Precise event)",
	.topic = "pipeline",
	.long_desc = "ALL_BRANCHES counts the number of any branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.all_taken_branches",
	.event = "period=200003,umask=0x80,event=0xc4",
	.desc = "Counts the number of taken branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "ALL_TAKEN_BRANCHES counts the number of all taken branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Must be precise)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "CALL counts the number of near CALL branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "FAR counts the number of far branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "IND_CALL counts the number of near indirect CALL branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of JCC branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "JCC counts the number of conditional branch (JCC) instructions retired. Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "NON_RETURN_IND counts the number of near indirect JMP and near indirect CALL branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "REL_CALL counts the number of near relative CALL branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "RETURN counts the number of near RET branch instructions retired.  Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of taken JCC branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "TAKEN_JCC counts the number of taken conditional branch (JCC) instructions retired. Branch prediction predicts the branch target and enables the processor to begin executing instructions long before the branch true execution path is known. All branches utilize the branch prediction unit (BPU) for prediction. This unit predicts the target address not only based on the EIP of the branch but also based on the execution path through which execution reached this EIP. The BPU can efficiently predict the following branch types: conditional branches, direct calls and jumps, indirect calls and jumps, returns (Precise event)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the number of mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "ALL_BRANCHES counts the number of any mispredicted branch instructions retired. This umask is an architecturally defined event. This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "IND_CALL counts the number of mispredicted near indirect CALL branch instructions retired.  This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted JCC branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "JCC counts the number of mispredicted conditional branches (JCC) instructions retired.  This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "NON_RETURN_IND counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired.  This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "RETURN counts the number of mispredicted near RET branch instructions retired.  This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted taken JCC branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "TAKEN_JCC counts the number of mispredicted taken conditional branch (JCC) instructions retired.  This event counts the number of retired branch instructions that were mispredicted by the processor, categorized by type. A branch misprediction occurs when the processor predicts that the branch would be taken, but it is not, or vice-versa.  When the misprediction is discovered, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Fixed Counter: Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios.  The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. In systems with a constant core frequency, this event can give you a measurement of the elapsed time while the core was not in halt state by dividing the event count by the core frequency. This event is architecturally defined and is a designated fixed counter.  CPU_CLK_UNHALTED.CORE and CPU_CLK_UNHALTED.CORE_P use the core frequency which may change from time to time.  CPU_CLK_UNHALTE.REF_TSC and CPU_CLK_UNHALTED.REF are not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time.  The fixed events are CPU_CLK_UNHALTED.CORE and CPU_CLK_UNHALTED.REF_TSC and the programmable events are CPU_CLK_UNHALTED.CORE_P and CPU_CLK_UNHALTED.REF",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Core cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. In mobile systems the core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. In mobile systems the core frequency may change from time. This event is not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Fixed Counter: Counts the number of unhalted reference clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios.  The core frequency may change from time. This event is not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time.  Divide this event count by core frequency to determine the elapsed time while the core was not in halt state.  Divide this event count by core frequency to determine the elapsed time while the core was not in halt state.  This event is architecturally defined and is a designated fixed counter.  CPU_CLK_UNHALTED.CORE and CPU_CLK_UNHALTED.CORE_P use the core frequency which may change from time to time.  CPU_CLK_UNHALTE.REF_TSC and CPU_CLK_UNHALTED.REF are not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time.  The fixed events are CPU_CLK_UNHALTED.CORE and CPU_CLK_UNHALTED.REF_TSC and the programmable events are CPU_CLK_UNHALTED.CORE_P and CPU_CLK_UNHALTED.REF",
},
{
	.name = "cycles_div_busy.all",
	.event = "period=2000003,umask=0x1,event=0xcd",
	.desc = "Cycles the divider is busy.  Does not imply a stall waiting for the divider",
	.topic = "pipeline",
	.long_desc = "Cycles the divider is busy.This event counts the cycles when the divide unit is unable to accept a new divide UOP because it is busy processing a previously dispatched UOP. The cycles will be counted irrespective of whether or not another divide UOP is waiting to enter the divide unit (from the RS). This event might count cycles while a divide is in progress even if the RS is empty.  The divide instruction is one of the longest latency instructions in the machine.  Hence, it has a special event associated with it to help determine if divides are delaying the retirement of instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Fixed Counter: Counts the number of instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions that retire.  For instructions that consist of multiple micro-ops, this event counts exactly once, as the last micro-op of the instruction retires.  The event continues counting while instructions retire, including during interrupt service routines caused by hardware interrupts, faults or traps.  Background: Modern microprocessors employ extensive pipelining and speculative techniques.  Since sometimes an instruction is started but never completed, the notion of \"retirement\" is introduced.  A retired instruction is one that commits its states. Or stated differently, an instruction might be abandoned at some point. No instruction is truly finished until it retires.  This counter measures the number of completed instructions.  The fixed event is INST_RETIRED.ANY and the programmable event is INST_RETIRED.ANY_P",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions that retire execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. The counter continues counting during hardware interrupts, traps, and inside interrupt handlers",
},
{
	.name = "machine_clears.all",
	.event = "period=200003,umask=0x8,event=0xc3",
	.desc = "Counts all machine clears",
	.topic = "pipeline",
	.long_desc = "Machine clears happen when something happens in the machine that causes the hardware to need to take special care to get the right answer. When such a condition is signaled on an instruction, the front end of the machine is notified that it must restart, so no more instructions will be decoded from the current path.  All instructions \"older\" than this one will be allowed to finish.  This instruction and all \"younger\" instructions must be cleared, since they must not be allowed to complete.  Essentially, the hardware waits until the problematic instruction is the oldest instruction in the machine.  This means all older instructions are retired, and all pending stores (from older instructions) are completed.  Then the new path of instructions from the front end are allowed to start into the machine.  There are many conditions that might cause a machine clear (including the receipt of an interrupt, or a trap or a fault).  All those conditions (including but not limited to MACHINE_CLEARS.MEMORY_ORDERING, MACHINE_CLEARS.SMC, and MACHINE_CLEARS.FP_ASSIST) are captured in the ANY event. In addition, some conditions can be specifically counted (i.e. SMC, MEMORY_ORDERING, FP_ASSIST).  However, the sum of SMC, MEMORY_ORDERING, and FP_ASSIST machine clears will not necessarily equal the number of ANY",
},
{
	.name = "machine_clears.smc",
	.event = "period=200003,umask=0x1,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
	.long_desc = "This event counts the number of times that a program writes to a code section. Self-modifying code causes a severe penalty in all Intel? architecture processors",
},
{
	.name = "no_alloc_cycles.all",
	.event = "period=200003,umask=0x3f,event=0xca",
	.desc = "Counts the number of cycles when no uops are allocated for any reason",
	.topic = "pipeline",
	.long_desc = "The NO_ALLOC_CYCLES.ALL event counts the number of cycles when the front-end does not provide any instructions to be allocated for any reason. This event indicates the cycles where an allocation stalls occurs, and no UOPS are allocated in that cycle",
},
{
	.name = "no_alloc_cycles.mispredicts",
	.event = "period=200003,umask=0x4,event=0xca",
	.desc = "Counts the number of cycles when no uops are allocated and the alloc pipe is stalled waiting for a mispredicted jump to retire.  After the misprediction is detected, the front end will start immediately but the allocate pipe stalls until the mispredicted",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles when no uops are allocated and the alloc pipe is stalled waiting for a mispredicted jump to retire.  After the misprediction is detected, the front end will start immediately but the allocate pipe stalls until the mispredicted",
},
{
	.name = "no_alloc_cycles.not_delivered",
	.event = "period=200003,umask=0x50,event=0xca",
	.desc = "Counts the number of cycles when no uops are allocated, the IQ is empty, and no other condition is blocking allocation",
	.topic = "pipeline",
	.long_desc = "The NO_ALLOC_CYCLES.NOT_DELIVERED event is used to measure front-end inefficiencies, i.e. when front-end of the machine is not delivering micro-ops to the back-end and the back-end is not stalled. This event can be used to identify if the machine is truly front-end bound.  When this event occurs, it is an indication that the front-end of the machine is operating at less than its theoretical peak performance.  Background: We can think of the processor pipeline as being divided into 2 broader parts: Front-end and Back-end. Front-end is responsible for fetching the instruction, decoding into micro-ops (uops) in machine understandable format and putting them into a micro-op queue to be consumed by back end. The back-end then takes these micro-ops, allocates the required resources.  When all resources are ready, micro-ops are executed. If the back-end is not ready to accept micro-ops from the front-end, then we do not want to count these as front-end bottlenecks.  However, whenever we have bottlenecks in the back-end, we will have allocation unit stalls and eventually forcing the front-end to wait until the back-end is ready to receive more UOPS. This event counts the cycles only when back-end is requesting more uops and front-end is not able to provide them. Some examples of conditions that cause front-end efficiencies are: Icache misses, ITLB misses, and decoder restrictions that limit the the front-end bandwidth",
},
{
	.name = "no_alloc_cycles.rat_stall",
	.event = "period=200003,umask=0x20,event=0xca",
	.desc = "Counts the number of cycles when no uops are allocated and a RATstall is asserted",
	.topic = "pipeline",
},
{
	.name = "no_alloc_cycles.rob_full",
	.event = "period=200003,umask=0x1,event=0xca",
	.desc = "Counts the number of cycles when no uops are allocated and the ROB is full (less than 2 entries available)",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles when no uops are allocated and the ROB is full (less than 2 entries available)",
},
{
	.name = "rs_full_stall.all",
	.event = "period=200003,umask=0x1f,event=0xcb",
	.desc = "Counts the number of cycles the Alloc pipeline is stalled when any one of the RSs (IEC, FPC and MEC) is full. This event is a superset of all the individual RS stall event counts",
	.topic = "pipeline",
},
{
	.name = "rs_full_stall.mec",
	.event = "period=200003,umask=0x1,event=0xcb",
	.desc = "Counts the number of cycles and allocation pipeline is stalled and is waiting for a free MEC reservation station entry.  The cycles should be appropriately counted in case of the cracked ops e.g. In case of a cracked load-op, the load portion is sent to M",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles and allocation pipeline is stalled and is waiting for a free MEC reservation station entry.  The cycles should be appropriately counted in case of the cracked ops e.g. In case of a cracked load-op, the load portion is sent to M",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Micro-ops retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops retired. The processor decodes complex macro instructions into a sequence of simpler micro-ops. Most instructions are composed of one or two micro-ops. Some instructions are decoded into longer sequences such as repeat instructions, floating point transcendental instructions, and assists. In some cases micro-op sequences are fused or whole instructions are fused into one micro-op. See other UOPS_RETIRED events for differentiating retired fused and non-fused micro-ops",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "MSROM micro-ops retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops retired that were supplied from MSROM",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=200003,umask=0x4,event=0xc3",
	.desc = "Stalls due to FP assists",
	.topic = "floating point",
	.long_desc = "This event counts the number of times that pipeline stalled due to FP operations needing assists",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=200003,umask=0x2,event=0xc3",
	.desc = "Stalls due to Memory ordering",
	.topic = "memory",
	.long_desc = "This event counts the number of times that pipeline was cleared due to memory ordering issues",
},
{
	.name = "core_reject_l2q.all",
	.event = "period=200003,event=0x31",
	.desc = "Counts the number of request that were not accepted into the L2Q because the L2Q is FULL",
	.topic = "cache",
	.long_desc = "Counts the number of (demand and L1 prefetchers) core requests rejected by the L2Q due to a full or nearly full w condition which likely indicates back pressure from L2Q.  It also counts requests that would have gone directly to the XQ, but are rejected due to a full or nearly full condition, indicating back pressure from the IDI link.  The L2Q may also reject transactions  from a core to insure fairness between cores, or to delay a core?s dirty eviction when the address conflicts incoming external snoops.  (Note that L2 prefetcher requests that are dropped are not counted by this event.)",
},
{
	.name = "fetch_stall.icache_fill_pending_cycles",
	.event = "period=200003,umask=0x4,event=0x86",
	.desc = "Cycles code-fetch stalled due to an outstanding ICache miss",
	.topic = "cache",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ICache miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ICache miss.  Note: this event is not the same as the total number of cycles spent retrieving instruction cache lines from the memory hierarchy.\r\nCounts cycles that fetch is stalled due to any reason. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes.  This will include cycles due to an ITLB miss, ICache miss and other events",
},
{
	.name = "l2_reject_xq.all",
	.event = "period=200003,event=0x30",
	.desc = "Counts the number of request from the L2 that were not accepted into the XQ",
	.topic = "cache",
	.long_desc = "This event counts the number of demand and prefetch transactions that the L2 XQ rejects due to a full or near full condition which likely indicates back pressure from the IDI link. The XQ may reject transactions from the L2Q (non-cacheable requests), BBS (L2 misses) and WOB (L2 write-back victims)",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "L2 cache request misses",
	.topic = "cache",
	.long_desc = "This event counts the total number of L2 cache references and the number of L2 cache misses respectively",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "L2 cache requests from this core",
	.topic = "cache",
	.long_desc = "This event counts requests originating from the core that references a cache line in the L2 cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x40,event=0x4",
	.desc = "All Loads",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x80,event=0x4",
	.desc = "All Stores",
	.topic = "cache",
	.long_desc = "This event counts the number of store ops retired",
},
{
	.name = "mem_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0x4",
	.desc = "Cross core or cross module hitm (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired that got data from the other core or from the other module (Precise event)",
},
{
	.name = "mem_uops_retired.l1_miss_loads",
	.event = "period=200003,umask=0x1,event=0x4",
	.desc = "Loads missed L1",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired that miss in L1 Data cache. Note that prefetch misses will not be counted",
},
{
	.name = "mem_uops_retired.l2_hit_loads",
	.event = "period=200003,umask=0x2,event=0x4",
	.desc = "Loads hit L2 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired that hit in the L2 (Precise event)",
},
{
	.name = "mem_uops_retired.l2_miss_loads",
	.event = "period=100007,umask=0x4,event=0x4",
	.desc = "Loads missed L2 (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired that miss in the L2 (Precise event)",
},
{
	.name = "mem_uops_retired.utlb_miss",
	.event = "period=200003,umask=0x10,event=0x4",
	.desc = "Loads missed UTLB",
	.topic = "cache",
	.long_desc = "This event counts the number of load ops retired that had UTLB miss",
},
{
	.name = "offcore_response",
	.event = "period=100007,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
	.long_desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
},
{
	.name = "offcore_response.any_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010044",
	.desc = "Counts any code reads (demand & prefetch) that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000044",
	.desc = "Counts any code reads (demand & prefetch) that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000044",
	.desc = "Counts any code reads (demand & prefetch) that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000044",
	.desc = "Counts any code reads (demand & prefetch) that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000044",
	.desc = "Counts any code reads (demand & prefetch) that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000013091",
	.desc = "Counts any data read (demand & prefetch) that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680003091",
	.desc = "Counts any data read (demand & prefetch) that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000003091",
	.desc = "Counts any data read (demand & prefetch) that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400003091",
	.desc = "Counts any data read (demand & prefetch) that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200003091",
	.desc = "Counts any data read (demand & prefetch) that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000018008",
	.desc = "Counts any request that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000008008",
	.desc = "Counts any request that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400008008",
	.desc = "Counts any request that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200008008",
	.desc = "Counts any request that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010022",
	.desc = "Counts any rfo reads (demand & prefetch) that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000022",
	.desc = "Counts any rfo reads (demand & prefetch) that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000022",
	.desc = "Counts any rfo reads (demand & prefetch) that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000022",
	.desc = "Counts any rfo reads (demand & prefetch) that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000022",
	.desc = "Counts any rfo reads (demand & prefetch) that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000008",
	.desc = "Counts writeback (modified to exclusive) that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.l2_miss.no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080000008",
	.desc = "Counts writeback (modified to exclusive) that miss L2 with no details on snoop-related information",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010004",
	.desc = "Counts demand and DCU prefetch instruction cacheline that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000004",
	.desc = "Counts demand and DCU prefetch instruction cacheline that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000004",
	.desc = "Counts demand and DCU prefetch instruction cacheline that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000004",
	.desc = "Counts demand and DCU prefetch instruction cacheline that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000004",
	.desc = "Counts demand and DCU prefetch instruction cacheline that are are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010001",
	.desc = "Counts demand and DCU prefetch data read that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000001",
	.desc = "Counts demand and DCU prefetch data read that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000001",
	.desc = "Counts demand and DCU prefetch data read that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000001",
	.desc = "Counts demand and DCU prefetch data read that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000001",
	.desc = "Counts demand and DCU prefetch data read that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000001",
	.desc = "Counts demand and DCU prefetch data read that are are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000002",
	.desc = "Counts demand and DCU prefetch RFOs that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000002",
	.desc = "Counts demand and DCU prefetch RFOs that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000002",
	.desc = "Counts demand and DCU prefetch RFOs that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000002",
	.desc = "Counts demand and DCU prefetch RFOs that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000002",
	.desc = "Counts demand and DCU prefetch RFOs that are are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000080",
	.desc = "Counts demand reads of partial cache lines (including UC and WC) that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000100",
	.desc = "Countsof demand RFO requests to write to partial cache lines that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000012000",
	.desc = "Counts DCU hardware prefetcher data read that have any response type",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680002000",
	.desc = "Counts DCU hardware prefetcher data read that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000002000",
	.desc = "Counts DCU hardware prefetcher data read that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400002000",
	.desc = "Counts DCU hardware prefetcher data read that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200002000",
	.desc = "Counts DCU hardware prefetcher data read that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000040",
	.desc = "Counts code reads generated by L2 prefetchers that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000040",
	.desc = "Counts code reads generated by L2 prefetchers that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000040",
	.desc = "Counts code reads generated by L2 prefetchers that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000010",
	.desc = "Counts data cacheline reads generated by L2 prefetchers that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000010",
	.desc = "Counts data cacheline reads generated by L2 prefetchers that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000010",
	.desc = "Counts data cacheline reads generated by L2 prefetchers that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000010",
	.desc = "Counts data cacheline reads generated by L2 prefetchers that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680000020",
	.desc = "Counts RFO requests generated by L2 prefetchers that miss L2",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000020",
	.desc = "Counts RFO requests generated by L2 prefetchers that hit in the other module where modified copies were found in other core's L1 cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000020",
	.desc = "Counts RFO requests generated by L2 prefetchers that miss L2 and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.snoop_miss",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000020",
	.desc = "Counts RFO requests generated by L2 prefetchers that miss L2 with a snoop miss response",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1680004800",
	.desc = "Counts streaming store that miss L2",
	.topic = "cache",
},
{
	.name = "rehabq.any_ld",
	.event = "period=200003,umask=0x40,event=0x3",
	.desc = "Any reissued load uops",
	.topic = "cache",
	.long_desc = "This event counts the number of load uops reissued from Rehabq",
},
{
	.name = "rehabq.any_st",
	.event = "period=200003,umask=0x80,event=0x3",
	.desc = "Any reissued store uops",
	.topic = "cache",
	.long_desc = "This event counts the number of store uops reissued from Rehabq",
},
{
	.name = "rehabq.ld_block_std_notready",
	.event = "period=200003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to store data not ready",
	.topic = "cache",
	.long_desc = "This event counts the cases where a forward was technically possible, but did not occur because the store data was not available at the right time",
},
{
	.name = "rehabq.ld_block_st_forward",
	.event = "period=200003,umask=0x1,event=0x3",
	.desc = "Loads blocked due to store forward restriction (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of retired loads that were prohibited from receiving forwarded data from the store because of address mismatch (Precise event)",
},
{
	.name = "rehabq.ld_splits",
	.event = "period=200003,umask=0x8,event=0x3",
	.desc = "Load uops that split cache line boundary (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of retire loads that experienced cache line boundary splits (Precise event)",
},
{
	.name = "rehabq.lock",
	.event = "period=200003,umask=0x10,event=0x3",
	.desc = "Uops with lock semantics",
	.topic = "cache",
	.long_desc = "This event counts the number of retired memory operations with lock semantics. These are either implicit locked instructions such as the XCHG instruction or instructions with an explicit LOCK prefix (0xF0)",
},
{
	.name = "rehabq.sta_full",
	.event = "period=200003,umask=0x20,event=0x3",
	.desc = "Store address buffer full",
	.topic = "cache",
	.long_desc = "This event counts the number of retired stores that are delayed because there is not a store address buffer available",
},
{
	.name = "rehabq.st_splits",
	.event = "period=200003,umask=0x4,event=0x3",
	.desc = "Store uops that split cache line boundary",
	.topic = "cache",
	.long_desc = "This event counts the number of retire stores that experienced cache line boundary splits",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_goldmontplus[] = {
{
	.name = "fetch_stall.all",
	.event = "period=200003,event=0x86",
	.desc = "Cycles code-fetch stalled due to any reason",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to any reason. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes.  This will include cycles due to an ITLB miss, ICache miss and other events",
},
{
	.name = "fetch_stall.itlb_fill_pending_cycles",
	.event = "period=200003,umask=0x1,event=0x86",
	.desc = "Cycles the code-fetch stalls and an ITLB miss is outstanding",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ITLB miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ITLB miss.  Note: this event is not the same as page walk cycles to retrieve an instruction translation",
},
{
	.name = "hw_interrupts.masked",
	.event = "period=200003,umask=0x2,event=0xcb",
	.desc = "Cycles hardware interrupts are masked",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which interrupts are masked (disabled). Increments by 1 each core cycle that EFLAGS.IF is 0, regardless of whether interrupts are pending or not",
},
{
	.name = "hw_interrupts.pending_and_masked",
	.event = "period=200003,umask=0x4,event=0xcb",
	.desc = "Cycles pending interrupts are masked",
	.topic = "other",
	.long_desc = "Counts core cycles during which there are pending interrupts, but interrupts are masked (EFLAGS.IF = 0)",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Hardware interrupts received",
	.topic = "other",
	.long_desc = "Counts hardware interrupts received by the processor",
},
{
	.name = "dtlb_load_misses.walk_completed_1gb",
	.event = "period=200003,umask=0x8,event=0x8",
	.desc = "Page walk completed due to a demand load to a 1GB page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data loads (including SW prefetches) whose address translations missed in all TLB levels and were mapped to 1GB pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=200003,umask=0x4,event=0x8",
	.desc = "Page walk completed due to a demand load to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data loads (including SW prefetches) whose address translations missed in all TLB levels and were mapped to 2M or 4M pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=200003,umask=0x2,event=0x8",
	.desc = "Page walk completed due to a demand load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data loads (including SW prefetches) whose address translations missed in all TLB levels and were mapped to 4K pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x8",
	.desc = "Page walks outstanding due to a demand load every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts once per cycle for each page walk occurring due to a load (demand data loads or SW prefetches). Includes cycles spent traversing the Extended Page Table (EPT). Average cycles per walk can be calculated by dividing by the number of walks",
},
{
	.name = "dtlb_store_misses.walk_completed_1gb",
	.event = "period=2000003,umask=0x8,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 1GB page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data stores whose address translations missed in the TLB and were mapped to 1GB pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data stores whose address translations missed in the TLB and were mapped to 2M or 4M pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data stores whose address translations missed in the TLB and were mapped to 4K pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x49",
	.desc = "Page walks outstanding due to a demand data store every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts once per cycle for each page walk occurring due to a demand data store. Includes cycles spent traversing the Extended Page Table (EPT). Average cycles per walk can be calculated by dividing by the number of walks",
},
{
	.name = "ept.walk_pending",
	.event = "period=200003,umask=0x10,event=0x4f",
	.desc = "Page walks outstanding due to walking the EPT every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts once per cycle for each page walk only while traversing the Extended Page Table (EPT), and does not count during the rest of the translation.  The EPT is used for translating Guest-Physical Addresses to Physical Addresses for Virtual Machine Monitors (VMMs).  Average cycles per walk can be calculated by dividing the count by number of walks",
},
{
	.name = "itlb.miss",
	.event = "period=200003,umask=0x4,event=0x81",
	.desc = "ITLB misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number of times the machine was unable to find a translation in the Instruction Translation Lookaside Buffer (ITLB) for a linear address of an instruction fetch.  It counts when new translation are filled into the ITLB.  The event is speculative in nature, but will not count translations (page walks) that are begun and not finished, or translations that are finished but not filled into the ITLB",
},
{
	.name = "itlb_misses.walk_completed_1gb",
	.event = "period=2000003,umask=0x8,event=0x85",
	.desc = "Page walk completed due to an instruction fetch in a 1GB page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to instruction fetches whose address translations missed in the TLB and were mapped to 1GB pages.  The page walks can end with or without a page fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Page walk completed due to an instruction fetch in a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to instruction fetches whose address translations missed in the TLB and were mapped to 2M or 4M pages.  The page walks can end with or without a page fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x85",
	.desc = "Page walk completed due to an instruction fetch in a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to instruction fetches whose address translations missed in the TLB and were mapped to 4K pages.  The page walks can end with or without a page fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x85",
	.desc = "Page walks outstanding due to an instruction fetch every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts once per cycle for each page walk occurring due to an instruction fetch. Includes cycles spent traversing the Extended Page Table (EPT). Average cycles per walk can be calculated by dividing by the number of walks",
},
{
	.name = "mem_uops_retired.dtlb_miss",
	.event = "period=200003,umask=0x13,event=0xd0",
	.desc = "Memory uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts uops retired that had a DTLB miss on load, store or either.  Note that when two distinct memory operations to the same page miss the DTLB, only one of them will be recorded as a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x11,event=0xd0",
	.desc = "Load uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts load uops retired that caused a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.dtlb_miss_stores",
	.event = "period=200003,umask=0x12,event=0xd0",
	.desc = "Store uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts store uops retired that caused a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "tlb_flushes.stlb_any",
	.event = "period=20003,umask=0x20,event=0xbd",
	.desc = "STLB flushes",
	.topic = "virtual memory",
	.long_desc = "Counts STLB flushes.  The TLBs are flushed on instructions like INVLPG and MOV to CR3",
},
{
	.name = "baclears.all",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "BACLEARs asserted for any branch type",
	.topic = "frontend",
	.long_desc = "Counts the number of times a BACLEAR is signaled for any reason, including, but not limited to indirect branch/call,  Jcc (Jump on Conditional Code/Jump if Condition is Met) branch, unconditional branch/call, and returns",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "BACLEARs asserted for conditional branch",
	.topic = "frontend",
	.long_desc = "Counts BACLEARS on Jcc (Jump on Conditional Code/Jump if Condition is Met) branches",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "BACLEARs asserted for return branch",
	.topic = "frontend",
	.long_desc = "Counts BACLEARS on return instructions",
},
{
	.name = "decode_restriction.predecode_wrong",
	.event = "period=200003,umask=0x1,event=0xe9",
	.desc = "Decode restrictions due to predicting wrong instruction length",
	.topic = "frontend",
	.long_desc = "Counts the number of times the prediction (from the predecode cache) for instruction length is incorrect",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "References per ICache line. This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache) for one or more bytes in an ICache Line.  The event strives to count on a cache line basis, so that multiple fetches to a single cache line count as one ICACHE.ACCESS.  Specifically, the event counts when accesses from straight line code crosses the cache line boundary, or when a branch target is to a new line.\r\nThis event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "References per ICache line that are available in the ICache (hit). This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache) for one or more bytes in an ICache Line and that cache line is in the ICache (hit).  The event strives to count on a cache line basis, so that multiple accesses which hit in a single cache line count as one ICACHE.HIT.  Specifically, the event counts when straight line code crosses the cache line boundary, or when a branch target is to a new line, and that cache line is in the ICache. This event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "References per ICache line that are not available in the ICache (miss). This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache)  for one or more bytes in an ICache Line and that cache line is not in the ICache (miss).  The event strives to count on a cache line basis, so that multiple accesses which miss in a single cache line count as one ICACHE.MISS.  Specifically, the event counts when straight line code crosses the cache line boundary, or when a branch target is to a new line, and that cache line is not in the ICache. This event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "ms_decoded.ms_entry",
	.event = "period=200003,umask=0x1,event=0xe7",
	.desc = "MS decode starts",
	.topic = "frontend",
	.long_desc = "Counts the number of times the Microcode Sequencer (MS) starts a flow of uops from the MSROM. It does not count every time a uop is read from the MSROM.  The most common case that this counts is when a micro-coded instruction is encountered by the front end of the machine.  Other cases include when an instruction encounters a fault, trap, or microcode assist of any sort that initiates a flow of uops.  The event will count MS startups for uops that are speculative, and subsequently cleared by branch mispredict or a machine clear",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Retired branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts branch instructions retired for all branch types.  This is an architectural performance event (Must be precise)",
},
{
	.name = "br_inst_retired.all_taken_branches",
	.event = "period=200003,umask=0x80,event=0xc4",
	.desc = "Retired taken branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of taken branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Retired near call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Retired far branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired.  This includes far jump, far call and return, and Interrupt call and return (Must be precise)",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Retired near indirect call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired, including both when the branch was taken and when it was not taken (Must be precise)",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Retired instructions of near indirect Jmp or call (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect call or near indirect jmp branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Retired near relative call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near relative CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Retired near return instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near return branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Retired conditional branch instructions that were taken (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired that were taken and does not count when the Jcc branch instruction were not taken (Must be precise)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Retired mispredicted branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted branch instructions retired including all branch types (Must be precise)",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Retired mispredicted near indirect call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted near indirect CALL branch instructions retired, where the target address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Retired mispredicted conditional branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired, including both when the branch was supposed to be taken and when it was not supposed to be taken (but the processor predicted the opposite condition) (Must be precise)",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Retired mispredicted instructions of near indirect Jmp or near indirect call (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted branch instructions retired that were near indirect call or near indirect jmp, where the target address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Retired mispredicted near return instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted near RET branch instructions retired, where the return address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Retired mispredicted conditional branch instructions that were taken (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired that were supposed to be taken but the processor predicted that it would not be taken (Must be precise)",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when core is not halted  (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. In mobile systems the core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time.  This event uses fixed counter 1.  You cannot collect a PEBs record for this event",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Core cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "Core cycles when core is not halted.  This event uses a (_P)rogrammable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "Reference cycles when core is not halted.  This event uses a (_P)rogrammable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when core is not halted  (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction.  In mobile systems the core frequency may change from time.  This event is not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time.  This event uses fixed counter 2.  You cannot collect a PEBs record for this event",
},
{
	.name = "cycles_div_busy.all",
	.event = "period=2000003,event=0xcd",
	.desc = "Cycles a divider is busy",
	.topic = "pipeline",
	.long_desc = "Counts core cycles if either divide unit is busy",
},
{
	.name = "cycles_div_busy.idiv",
	.event = "period=200003,umask=0x1,event=0xcd",
	.desc = "Cycles the integer divide unit is busy",
	.topic = "pipeline",
	.long_desc = "Counts core cycles the integer divide unit is busy",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Fixed event) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions that retire execution. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. The counter continues counting during hardware interrupts, traps, and inside interrupt handlers.  This event uses fixed counter 0.  You cannot collect a PEBs record for this event (Must be precise)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions that retire execution. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. The event continues counting during hardware interrupts, traps, and inside interrupt handlers.  This is an architectural performance event.  This event uses a (_P)rogrammable general purpose performance counter. *This event is Precise Event capable:  The EventingRIP field in the PEBS record is precise to the address of the instruction which caused the event.  Note: Because PEBS records can be collected only on IA32_PMC0, only one event can use the PEBS facility at a time (Must be precise)",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,event=0xc0",
	.desc = "Instructions retired - using Reduced Skid PEBS feature (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts INST_RETIRED.ANY using the Reduced Skid PEBS feature that reduces the shadow in which events aren't counted allowing for a more unbiased distribution of samples across instructions retired (Must be precise)",
},
{
	.name = "issue_slots_not_consumed.any",
	.event = "period=200003,event=0xca",
	.desc = "Unfilled issue slots per cycle",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed by the backend due to either a full resource  in the backend (RESOURCE_FULL) or due to the processor recovering from some event (RECOVERY)",
},
{
	.name = "issue_slots_not_consumed.recovery",
	.event = "period=200003,umask=0x2,event=0xca",
	.desc = "Unfilled issue slots per cycle to recover",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed by the backend because allocation is stalled waiting for a mispredicted jump to retire or other branch-like conditions (e.g. the event is relevant during certain microcode flows).   Counts all issue slots blocked while within this window including slots where uops were not available in the Instruction Queue",
},
{
	.name = "issue_slots_not_consumed.resource_full",
	.event = "period=200003,umask=0x1,event=0xca",
	.desc = "Unfilled issue slots per cycle because of a full resource in the backend",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed because of a full resource in the backend.  Including but not limited to resources such as the Re-order Buffer (ROB), reservation stations (RS), load/store buffers, physical registers, or any other needed machine resource that is currently unavailable.   Note that uops must be available for consumption in order for this event to fire.  If a uop is not available (Instruction Queue is empty), this event will not count",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=200003,umask=0x4,event=0x3",
	.desc = "Loads blocked because address has 4k partial address false dependence (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts loads that block because their address modulo 4K matches a pending store (Must be precise)",
},
{
	.name = "ld_blocks.all_block",
	.event = "period=200003,umask=0x10,event=0x3",
	.desc = "Loads blocked (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts anytime a load that retires is blocked for any reason (Must be precise)",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=200003,umask=0x1,event=0x3",
	.desc = "Loads blocked due to store data not ready (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts a load blocked from using a store forward, but did not occur because the store data was not available at the right time.  The forward might occur subsequently when the data is available (Must be precise)",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=200003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to store forward restriction (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts a load blocked from using a store forward because of an address/size mismatch, only one of the loads blocked from each store will be counted (Must be precise)",
},
{
	.name = "ld_blocks.utlb_miss",
	.event = "period=200003,umask=0x8,event=0x3",
	.desc = "Loads blocked because address in not in the UTLB (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts loads blocked because they are unable to find their physical address in the micro TLB (UTLB) (Must be precise)",
},
{
	.name = "machine_clears.all",
	.event = "period=20003,event=0xc3",
	.desc = "All machine clears",
	.topic = "pipeline",
	.long_desc = "Counts machine clears for any reason",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=20003,umask=0x8,event=0xc3",
	.desc = "Machine clears due to memory disambiguation",
	.topic = "pipeline",
	.long_desc = "Counts machine clears due to memory disambiguation.  Memory disambiguation happens when a load which has been issued conflicts with a previous unretired store in the pipeline whose address was not known at issue time, but is later resolved to be the same as the load address",
},
{
	.name = "machine_clears.page_fault",
	.event = "period=20003,umask=0x20,event=0xc3",
	.desc = "Machines clear due to a page fault",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that the machines clears due to a page fault. Covers both I-side and D-side(Loads/Stores) page faults. A page fault occurs when either page is not present, or an access violation",
},
{
	.name = "machine_clears.smc",
	.event = "period=20003,umask=0x1,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that the processor detects that a program is writing to a code section and has to perform a machine clear because of that modification.  Self-modifying code (SMC) causes a severe penalty in all Intel(R) architecture processors",
},
{
	.name = "uops_issued.any",
	.event = "period=200003,event=0xe",
	.desc = "Uops issued to the back end per cycle",
	.topic = "pipeline",
	.long_desc = "Counts uops issued by the front end and allocated into the back end of the machine.  This event counts uops that retire as well as uops that were speculatively executed but didn't retire. The sort of speculative uops that might be counted includes, but is not limited to those uops issued in the shadow of a miss-predicted branch, those uops that are inserted during an assist (such as for a denormal floating point result), and (previously allocated) uops that might be canceled during a machine clear",
},
{
	.name = "uops_not_delivered.any",
	.event = "period=200003,event=0x9c",
	.desc = "Uops requested but not-delivered to the back-end per cycle",
	.topic = "pipeline",
	.long_desc = "This event used to measure front-end inefficiencies. I.e. when front-end of the machine is not delivering uops to the back-end and the back-end has is not stalled. This event can be used to identify if the machine is truly front-end bound.  When this event occurs, it is an indication that the front-end of the machine is operating at less than its theoretical peak performance. Background: We can think of the processor pipeline as being divided into 2 broader parts: Front-end and Back-end. Front-end is responsible for fetching the instruction, decoding into uops in machine understandable format and putting them into a uop queue to be consumed by back end. The back-end then takes these uops, allocates the required resources.  When all resources are ready, uops are executed. If the back-end is not ready to accept uops from the front-end, then we do not want to count these as front-end bottlenecks.  However, whenever we have bottlenecks in the back-end, we will have allocation unit stalls and eventually forcing the front-end to wait until the back-end is ready to receive more uops. This event counts only when back-end is requesting more uops and front-end is not able to provide them. When 3 uops are requested and no uops are delivered, the event counts 3. When 3 are requested, and only 1 is delivered, the event counts 2. When only 2 are delivered, the event counts 1. Alternatively stated, the event will not count if 3 uops are delivered, or if the back end is stalled and not requesting any uops at all.  Counts indicate missed opportunities for the front-end to deliver a uop to the back end. Some examples of conditions that cause front-end efficiencies are: ICache misses, ITLB misses, and decoder restrictions that limit the front-end bandwidth. Known Issues: Some uops require multiple allocation slots.  These uops will not be charged as a front end 'not delivered' opportunity, and will be regarded as a back end problem. For example, the INC instruction has one uop that requires 2 issue slots.  A stream of INC instructions will not count as UOPS_NOT_DELIVERED, even though only one instruction can be issued per clock.  The low uop issue rate for a stream of INC instructions is considered to be a back end issue",
},
{
	.name = "uops_retired.any",
	.event = "period=2000003,event=0xc2",
	.desc = "Uops retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts uops which retired (Must be precise)",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Integer divide uops retired (Precise Event Capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of integer divide uops retired (Must be precise)",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "MS uops retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts uops retired that are from the complex flows issued by the micro-sequencer (MS).  Counts both the uops from a micro-coded instruction, and the uops that might be generated from a micro-coded assist (Must be precise)",
},
{
	.name = "cycles_div_busy.fpdiv",
	.event = "period=200003,umask=0x2,event=0xcd",
	.desc = "Cycles the FP divide unit is busy",
	.topic = "floating point",
	.long_desc = "Counts core cycles the floating point divide unit is busy",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=20003,umask=0x4,event=0xc3",
	.desc = "Machine clears due to FP assists",
	.topic = "floating point",
	.long_desc = "Counts machine clears due to floating point (FP) operations needing assists.  For instance, if the result was a floating point denormal, the hardware clears the pipeline and reissues uops to produce the correct IEEE compliant denormal result",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Floating point divide uops retired (Precise Event Capable) (Must be precise)",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point divide uops retired (Must be precise)",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=20003,umask=0x2,event=0xc3",
	.desc = "Machine clears due to memory ordering issue",
	.topic = "memory",
	.long_desc = "Counts machine clears due to memory ordering issues.  This occurs when a snoop request happens and the machine is uncertain if memory ordering will be preserved - as another core is in the process of modifying the data",
},
{
	.name = "misalign_mem_ref.load_page_split",
	.event = "period=200003,umask=0x2,event=0x13",
	.desc = "Load uops that split a page (Precise event capable) (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts when a memory load of a uop spans a page boundary (a split) is retired (Must be precise)",
},
{
	.name = "misalign_mem_ref.store_page_split",
	.event = "period=200003,umask=0x4,event=0x13",
	.desc = "Store uops that split a page (Precise event capable) (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts when a memory store of a uop spans a page boundary (a split) is retired (Must be precise)",
},
{
	.name = "core_reject_l2q.all",
	.event = "period=200003,event=0x31",
	.desc = "Requests rejected by the L2Q",
	.topic = "cache",
	.long_desc = "Counts the number of demand and L1 prefetcher requests rejected by the L2Q due to a full or nearly full condition which likely indicates back pressure from L2Q. It also counts requests that would have gone directly to the XQ, but are rejected due to a full or nearly full condition, indicating back pressure from the IDI link. The L2Q may also reject transactions from a core to insure fairness between cores, or to delay a core's dirty eviction when the address conflicts with incoming external snoops",
},
{
	.name = "dl1.replacement",
	.event = "period=200003,umask=0x1,event=0x51",
	.desc = "L1 Cache evictions for dirty data",
	.topic = "cache",
	.long_desc = "Counts when a modified (dirty) cache line is evicted from the data L1 cache and needs to be written back to memory.  No count will occur if the evicted line is clean, and hence does not require a writeback",
},
{
	.name = "fetch_stall.icache_fill_pending_cycles",
	.event = "period=200003,umask=0x2,event=0x86",
	.desc = "Cycles code-fetch stalled due to an outstanding ICache miss",
	.topic = "cache",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ICache miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ICache miss.  Note: this event is not the same as the total number of cycles spent retrieving instruction cache lines from the memory hierarchy",
},
{
	.name = "l2_reject_xq.all",
	.event = "period=200003,event=0x30",
	.desc = "Requests rejected by the XQ",
	.topic = "cache",
	.long_desc = "Counts the number of demand and prefetch transactions that the L2 XQ rejects due to a full or near full condition which likely indicates back pressure from the intra-die interconnect (IDI) fabric. The XQ may reject transactions from the L2Q (non-cacheable requests), L2 misses and L2 write-back victims",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "L2 cache request misses",
	.topic = "cache",
	.long_desc = "Counts memory requests originating from the core that miss in the L2 cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
	.long_desc = "Counts memory requests originating from the core that reference a cache line in the L2 cache",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Loads retired that came from DRAM (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory load uops retired where the data is retrieved from DRAM.  Event is counted at retirement, so the speculative loads are ignored.  A memory load can hit (or miss) the L1 cache, hit (or miss) the L2 cache, hit DRAM, hit in the WCB or receive a HITM response  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0xd1",
	.desc = "Memory uop retired where cross core or cross module HITM occurred (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired where the cache line containing the data was in the modified state of another core or modules cache (HITM).  More specifically, this means that when the load address was checked by other caching agents (typically another processor) in the system, one of those caching agents indicated that they had a dirty copy of the data.  Loads that obtain a HITM response incur greater latency than most is typical for a load.  In addition, since HITM indicates that some other processor had this data in its cache, it implies that the data was shared between processors, or potentially was a lock or semaphore value.  This event is useful for locating sharing, false sharing, and contended locks  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=200003,umask=0x1,event=0xd1",
	.desc = "Load uops retired that hit L1 data cache (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that hit the L1 data cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Load uops retired that missed L1 data cache (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that miss the L1 data cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Load uops retired that hit L2 (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that hit in the L2 cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=200003,umask=0x10,event=0xd1",
	.desc = "Load uops retired that missed L2 (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that miss in the L2 cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.wcb_hit",
	.event = "period=200003,umask=0x40,event=0xd1",
	.desc = "Loads retired that hit WCB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory load uops retired where the data is retrieved from the WCB (or fill buffer), indicating that the load found its data while that data was in the process of being brought into the L1 cache.  Typically a load will receive this indication when some other load or prefetch missed the L1 cache and was in the process of retrieving the cache line containing the data, but that process had not yet finished (and written the data back to the cache). For example, consider load X and Y, both referencing the same cache line that is not in the L1 cache.  If load X misses cache first, it obtains and WCB (or fill buffer) and begins the process of requesting the data.  When load Y requests the data, it will either hit the WCB, or the L1 cache, depending on exactly what time the request to Y occurs  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all",
	.event = "period=200003,umask=0x83,event=0xd0",
	.desc = "Memory uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of memory uops retired that is either a loads or a store or both  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Load uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of load uops retired  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Store uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of store uops retired  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=200003,umask=0x21,event=0xd0",
	.desc = "Locked load uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts locked memory uops retired.  This includes regular locks and bus locks. (To specifically count bus locks only, see the Offcore response event.)  A locked access is one with a lock prefix, or an exchange to memory.  See the SDM for a complete description of which memory load accesses are locks  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split",
	.event = "period=200003,umask=0x43,event=0xd0",
	.desc = "Memory uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Load uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=200003,umask=0x42,event=0xd0",
	.desc = "Stores uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts store uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "offcore_response",
	.event = "period=100007,umask=0x1,event=0xb7",
	.desc = "Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000013091",
	.desc = "Counts data reads (demand & prefetch) have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000043091",
	.desc = "Counts data reads (demand & prefetch) hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000003091",
	.desc = "Counts data reads (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200003091",
	.desc = "Counts data reads (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000003091",
	.desc = "Counts data reads (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000013010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000043010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00000132b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00000432b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x10000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x02000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x40000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000018000",
	.desc = "Counts requests to the uncore subsystem have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000048000",
	.desc = "Counts requests to the uncore subsystem hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000008000",
	.desc = "Counts requests to the uncore subsystem miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200008000",
	.desc = "Counts requests to the uncore subsystem true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000008000",
	.desc = "Counts requests to the uncore subsystem outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010400",
	.desc = "Counts bus lock and split lock requests have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040400",
	.desc = "Counts bus lock and split lock requests hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000400",
	.desc = "Counts bus lock and split lock requests miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000400",
	.desc = "Counts bus lock and split lock requests true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000400",
	.desc = "Counts bus lock and split lock requests outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010001",
	.desc = "Counts demand cacheable data reads of full cache lines have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040001",
	.desc = "Counts demand cacheable data reads of full cache lines hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000001",
	.desc = "Counts demand cacheable data reads of full cache lines miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000001",
	.desc = "Counts demand cacheable data reads of full cache lines true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000001",
	.desc = "Counts demand cacheable data reads of full cache lines outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000012000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000042000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000014800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000044800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000004800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200004800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000004800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000011000",
	.desc = "Counts data cache lines requests by software prefetch instructions have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000041000",
	.desc = "Counts data cache lines requests by software prefetch instructions hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000001000",
	.desc = "Counts data cache lines requests by software prefetch instructions miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200001000",
	.desc = "Counts data cache lines requests by software prefetch instructions true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000001000",
	.desc = "Counts data cache lines requests by software prefetch instructions outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_broadwellde[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 1 GHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core0_transition_cycles",
	.event = "event=0x60",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core10_transition_cycles",
	.event = "event=0x6a",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core11_transition_cycles",
	.event = "event=0x6b",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core12_transition_cycles",
	.event = "event=0x6c",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core13_transition_cycles",
	.event = "event=0x6d",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core14_transition_cycles",
	.event = "event=0x6e",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core15_transition_cycles",
	.event = "event=0x6f",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core16_transition_cycles",
	.event = "event=0x70",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core17_transition_cycles",
	.event = "event=0x71",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core1_transition_cycles",
	.event = "event=0x61",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core2_transition_cycles",
	.event = "event=0x62",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core3_transition_cycles",
	.event = "event=0x63",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core4_transition_cycles",
	.event = "event=0x64",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core5_transition_cycles",
	.event = "event=0x65",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core6_transition_cycles",
	.event = "event=0x66",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core7_transition_cycles",
	.event = "event=0x67",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core8_transition_cycles",
	.event = "event=0x68",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core9_transition_cycles",
	.event = "event=0x69",
	.desc = "Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core0",
	.event = "event=0x30",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core1",
	.event = "event=0x31",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core10",
	.event = "event=0x3a",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core11",
	.event = "event=0x3b",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core12",
	.event = "event=0x3c",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core13",
	.event = "event=0x3d",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core14",
	.event = "event=0x3e",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core15",
	.event = "event=0x3f",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core16",
	.event = "event=0x40",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core17",
	.event = "event=0x41",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core2",
	.event = "event=0x32",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core3",
	.event = "event=0x33",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core4",
	.event = "event=0x34",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core5",
	.event = "event=0x35",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core6",
	.event = "event=0x36",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core7",
	.event = "event=0x37",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core8",
	.event = "event=0x38",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core9",
	.event = "event=0x39",
	.desc = "Core C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_os_cycles",
	.event = "event=0x6",
	.desc = "OS Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the OS is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c1e_cycles",
	.event = "event=0x4e",
	.desc = "Package C State Residency - C1E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C1E.  This event can be used in conjunction with edge detect to count C1E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c7_cycles",
	.event = "event=0x2e",
	.desc = "Package C7 State Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C7.  This event can be used in conjunction with edge detect to count C7 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Interal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_ufs_transitions_ring_gv",
	.event = "event=0x79",
	.desc = "Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Ring GV with same final and initial frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts the unhalted core cycles during which the thread is in the ring 0 privileged mode",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
	.long_desc = "This event counts when there is a transition from ring 1,2 or 3 to ring0",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "This event counts unhalted core cycles during which the thread is in rings 1, 2, or 3",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "This event counts cycles in which the L1 and L2 are locked due to a UC lock or split lock. A lock is asserted in case of locked memory access, due to noncacheable memory, locked operation that spans two cache lines, or a page walk from the noncacheable page table. L1D and L2 locks have a very high performance penalty and it is highly recommended to avoid such access",
},
{
	.name = "unc_c_bounce_control",
	.event = "event=0xa",
	.desc = "Bounce Control. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_fast_asserted",
	.event = "event=0x9",
	.desc = "FaST wire asserted. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles either the local distress or incoming distress signals are asserted.  Incoming distress includes both up and dn",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "Cache Lookups; Any Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups; Data Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.nid",
	.event = "umask=0x41,event=0x34",
	.desc = "Cache Lookups; Lookups that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.read",
	.event = "umask=0x21,event=0x34",
	.desc = "Cache Lookups; Any Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups; External Snoop Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups; Write Requests. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:18] bits correspond to [FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cachable and UC",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.i_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.miss",
	.event = "umask=0x10,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized; Lines in M state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.nid",
	.event = "umask=0x40,event=0x37",
	.desc = "Lines Victimized; Victimized Lines that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc; DRd hitting non-M with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.cvzero_prefetch_victim",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc; Clean Victim with raw CV=0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Cbo Misc; RFO HitS. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Number of times that an RFO hit in S state.  This is useful for determining if it might be good for a workload to use RspIWB instead of RspSWB",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.started",
	.event = "umask=0x4,event=0x39",
	.desc = "Cbo Misc. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age0",
	.event = "umask=0x1,event=0x3c",
	.desc = "LRU Queue; LRU Age 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age1",
	.event = "umask=0x2,event=0x3c",
	.desc = "LRU Queue; LRU Age 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age2",
	.event = "umask=0x4,event=0x3c",
	.desc = "LRU Queue; LRU Age 2. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 2",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age3",
	.event = "umask=0x8,event=0x3c",
	.desc = "LRU Queue; LRU Age 3. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 3",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.lru_decrement",
	.event = "umask=0x10,event=0x3c",
	.desc = "LRU Queue; LRU Bits Decremented. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often all LRU bits were decremented by 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.victim_non_zero",
	.event = "umask=0x20,event=0x3c",
	.desc = "LRU Queue; Non-0 Aged Victim. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often we picked a victim that had a non-zero age",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.all",
	.event = "umask=0xf,event=0x1b",
	.desc = "AD Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.cw",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.all",
	.event = "umask=0xf,event=0x1c",
	.desc = "AK Ring In Use; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.cw",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.all",
	.event = "umask=0xf,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.cw",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in BDX -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ad",
	.event = "umask=0x1,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv",
	.event = "umask=0x10,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.any",
	.event = "umask=0xf,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.dn",
	.event = "umask=0xc,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.down",
	.event = "umask=0xcc,event=0x1e",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters for Down polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.up",
	.event = "umask=0x3,event=0x1e",
	.desc = "BL Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring in BDX  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad",
	.event = "umask=0x1,event=0x6",
	.desc = "AD. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ak",
	.event = "umask=0x2,event=0x6",
	.desc = "AK. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.bl",
	.event = "umask=0x4,event=0x6",
	.desc = "BL. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.iv",
	.event = "umask=0x8,event=0x6",
	.desc = "IV. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0x7",
	.desc = "Number of cycles the Cbo is actively throttling traffic onto the Ring in order to limit bounce traffic. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ipq",
	.event = "umask=0x2,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IPQ is externally startved and therefore we are blocking the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.irq",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IRQ is externally starved and therefore we are blocking the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq_bids",
	.event = "umask=0x8,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ_BID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; Number of times that the ISMQ Bid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.prq",
	.event = "umask=0x4,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IPQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IRQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the ISMQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.prq",
	.event = "umask=0x10,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; PRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.addr_conflict",
	.event = "umask=0x4,event=0x31",
	.desc = "Probe Queue Retries; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from an address conflicts.  Address conflicts out of the IPQ should be rare.  They will generally only occur if two different sockets are sending requests to the same address at the same time.  This is a true conflict case, unlike the IPQ Address Conflict which is commonly caused by prefetching characteristics",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.any",
	.event = "umask=0x1,event=0x31",
	.desc = "Probe Queue Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject.  TOR rejects from the IPQ can be caused by the Egress being full or Address Conflicts",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.full",
	.event = "umask=0x2,event=0x31",
	.desc = "Probe Queue Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from the Egress being full.  IPQ requests make use of the AD Egress for regular responses, the BL egress to forward data, and the AK egress to return credits",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.qpi_credits",
	.event = "umask=0x10,event=0x31",
	.desc = "Probe Queue Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x28",
	.desc = "Probe Queue Retries; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry2.target",
	.event = "umask=0x40,event=0x28",
	.desc = "Probe Queue Retries; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.addr_conflict",
	.event = "umask=0x4,event=0x32",
	.desc = "Ingress Request Queue Rejects; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because of an address match in the TOR.  In order to maintain coherency, requests to the same address are not allowed to pass each other up in the Cbo.  Therefore, if there is an outstanding request to a given address, one cannot issue another request to that address until it is complete.  This comes up most commonly with prefetches.  Outstanding prefetches occasionally will not complete their memory fetch and a demand request to the same address will then sit in the IRQ and get retried until the prefetch fills the data into the LLC.  Therefore, it will not be uncommon to see this case in high bandwidth streaming workloads when the LLC Prefetcher in the core is enabled",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.any",
	.event = "umask=0x1,event=0x32",
	.desc = "Ingress Request Queue Rejects; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of IRQ retries that occur.  Requests from the IRQ are retried if they are rejected from the TOR pipeline for a variety of reasons.  Some of the most common reasons include if the Egress is full, there are no RTIDs, or there is a Physical Address match to another outstanding request",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.full",
	.event = "umask=0x2,event=0x32",
	.desc = "Ingress Request Queue Rejects; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because it failed to acquire an entry in the Egress.  The egress is the buffer that queues up for allocating onto the ring.  IRQ requests can make use of all four rings and all four Egresses.  If any of the queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.iio_credits",
	.event = "umask=0x20,event=0x32",
	.desc = "Ingress Request Queue Rejects; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.nid",
	.event = "umask=0x40,event=0x32",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.qpi_credits",
	.event = "umask=0x10,event=0x32",
	.desc = "Ingress Request Queue Rejects; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of requests rejects because of lack of QPI Ingress credits.  These credits are required in order to send transactions to the QPI agent.  Please see the QPI_IGR_CREDITS events for more information",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.rtid",
	.event = "umask=0x8,event=0x32",
	.desc = "Ingress Request Queue Rejects; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that requests from the IRQ were retried because there were no RTIDs available.  RTIDs are required after a request misses the LLC and needs to send snoops and/or requests to memory.  If there are no RTIDs available, requests will queue up in the IRQ and retry until one becomes available.  Note that there are multiple RTID pools for the different sockets.  There may be cases where the local RTIDs are all used, but requests destined for remote memory can still acquire an RTID because there are remote RTIDs available.  This event does not provide any filtering for this case",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x29",
	.desc = "Ingress Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x29",
	.desc = "Ingress Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry2.target",
	.event = "umask=0x40,event=0x29",
	.desc = "Ingress Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IPQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.any",
	.event = "umask=0x1,event=0x33",
	.desc = "ISMQ Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the total number of times that a request from the ISMQ retried because of a TOR reject.  ISMQ requests generally will not need to retry (or at least ISMQ retries are less common than IRQ retries).  ISMQ requests will retry if they are not able to acquire a needed Egress credit to get onto the ring, or for cache evictions that need to acquire an RTID.  Most ISMQ requests already have an RTID, so eviction retries will be less common here",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.full",
	.event = "umask=0x2,event=0x33",
	.desc = "ISMQ Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by a lack of Egress credits. The egress is the buffer that queues up for allocating onto the ring.  If any of the Egress queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.iio_credits",
	.event = "umask=0x20,event=0x33",
	.desc = "ISMQ Retries; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.nid",
	.event = "umask=0x40,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.qpi_credits",
	.event = "umask=0x10,event=0x33",
	.desc = "ISMQ Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.rtid",
	.event = "umask=0x8,event=0x33",
	.desc = "ISMQ Retries; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by no RTIDs.  M-state cache evictions are serviced through the ISMQ, and must acquire an RTID in order to write back to memory.  If no RTIDs are available, they will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.wb_credits",
	.event = "umask=0x80,event=0x33",
	.desc = "ISMQ Retries. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Qualify one of the other subevents by a given RTID destination NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER1.nid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.ad_sbo",
	.event = "umask=0x1,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No AD Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an AD packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.bl_sbo",
	.event = "umask=0x2,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; No BL Sbo Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried because of it lacked credits to send an BL packet to the Sbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry2.target",
	.event = "umask=0x40,event=0x2a",
	.desc = "ISMQ Request Queue Rejects; Target Node Filter. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the ISMQ was retried filtered by the Target NodeID as specified in the Cbox's Filter register",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rej",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.prq_rej",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy; PRQ Rejects. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.ad",
	.event = "umask=0x1,event=0x3d",
	.desc = "SBo Credits Acquired; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credits_acquired.bl",
	.event = "umask=0x2,event=0x3d",
	.desc = "SBo Credits Acquired; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits acquired in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.ad",
	.event = "umask=0x1,event=0x3e",
	.desc = "SBo Credits Occupancy; For AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_sbo_credit_occupancy.bl",
	.event = "umask=0x2,event=0x3e",
	.desc = "SBo Credits Occupancy; For BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo credits in use in a given cycle, per ring.  Each Cbo is assigned an Sbo it can communicate with",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.all",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR.    This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.eviction",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Eviction transactions inserted into the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local",
	.event = "umask=0x28,event=0x35",
	.desc = "TOR Inserts; Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local_opcode",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local",
	.event = "umask=0x2a,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local_opcode",
	.event = "umask=0x23,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisifed by an opcode, inserted into the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_opcode",
	.event = "umask=0x3,event=0x35",
	.desc = "TOR Inserts; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote",
	.event = "umask=0x8a,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote_opcode",
	.event = "umask=0x83,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_all",
	.event = "umask=0x48,event=0x35",
	.desc = "TOR Inserts; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched (matches an RTID destination) transactions inserted into the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.  In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_eviction",
	.event = "umask=0x44,event=0x35",
	.desc = "TOR Inserts; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched eviction transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_all",
	.event = "umask=0x4a,event=0x35",
	.desc = "TOR Inserts; NID Matched Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched miss requests that were inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_opcode",
	.event = "umask=0x43,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_opcode",
	.event = "umask=0x41,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_wb",
	.event = "umask=0x50,event=0x35",
	.desc = "TOR Inserts; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched write transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.opcode",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote",
	.event = "umask=0x88,event=0x35",
	.desc = "TOR Inserts; Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote_opcode",
	.event = "umask=0x81,event=0x35",
	.desc = "TOR Inserts; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisifed by an opcode,  inserted into the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.wb",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfuly inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Write transactions inserted into the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.all",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All valid TOR entries.  This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.eviction",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding eviction transactions in the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local",
	.event = "umask=0x28,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local_opcode",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisifed by an opcode,  in the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_all",
	.event = "umask=0xa,event=0x36",
	.desc = "TOR Occupancy; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding miss requests in the TOR.  'Miss' means the allocation requires an RTID.  This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local",
	.event = "umask=0x2a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local_opcode",
	.event = "umask=0x23,event=0x36",
	.desc = "TOR Occupancy; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisifed by an opcode, in the TOR that are satisifed by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_opcode",
	.event = "umask=0x3,event=0x36",
	.desc = "TOR Occupancy; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote",
	.event = "umask=0x8a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote_opcode",
	.event = "umask=0x83,event=0x36",
	.desc = "TOR Occupancy; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisifed by an opcode, in the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_all",
	.event = "umask=0x48,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of NID matched outstanding requests in the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_eviction",
	.event = "umask=0x44,event=0x36",
	.desc = "TOR Occupancy; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding NID matched eviction transactions in the TOR ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_all",
	.event = "umask=0x4a,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_opcode",
	.event = "umask=0x43,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_opcode",
	.event = "umask=0x41,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_wb",
	.event = "umask=0x50,event=0x36",
	.desc = "TOR Occupancy; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); NID matched write transactions int the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.opcode",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote",
	.event = "umask=0x88,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote_opcode",
	.event = "umask=0x81,event=0x36",
	.desc = "TOR Occupancy; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisifed by an opcode,  in the TOR that are satisifed by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.wb",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Write transactions in the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "Onto AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_cache",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_core",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AD - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_cache",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AK - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_core",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; AK - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AK ring.  This is commonly used for snoop responses coming from the core and destined for a Cachebo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_cache",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Cacheno. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_core",
	.event = "umask=0x40,event=0x2",
	.desc = "Egress Allocations; BL - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the BL ring.  This is commonly used for transfering writeback data to the cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.iv_cache",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; IV - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ad_core",
	.event = "umask=0x10,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring (to core). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the core AD egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ak_both",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both AK egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.bl_both",
	.event = "umask=0x4,event=0x3",
	.desc = "Injection Starvation; Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both BL egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the cachebo IV egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne",
	.event = "event=0x42",
	.desc = "BT Cycles Not Empty. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_bl_hazard",
	.event = "umask=0x4,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_snp_hazard",
	.event = "umask=0x2,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Snoop Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming snoop hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.rspackcflt_hazard",
	.event = "umask=0x8,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.wbmdata_hazard",
	.event = "umask=0x10,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.not_taken",
	.event = "umask=0x2,event=0x14",
	.desc = "HA to iMC Bypass; Not Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.taken",
	.event = "umask=0x1,event=0x14",
	.desc = "HA to iMC Bypass; Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of uclks in the HA.  This will be slightly different than the count in the Ubox because of enable/freeze delays.  The HA is on the other side of the die from the fixed Ubox uclk counter, so the drift could be somewhat larger than in units that are closer like the QPI Agent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_count",
	.event = "event=0x11",
	.desc = "Direct2Core Messages Sent. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Direct2Core messages sent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_cycles_disabled",
	.event = "event=0x12",
	.desc = "Cycles when Direct2Core was Disabled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles in which Direct2Core was disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_txn_override",
	.event = "event=0x13",
	.desc = "Number of Reads that had Direct2Core Overridden. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Reads where Direct2Core overridden",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lat_opt",
	.event = "event=0x41",
	.desc = "Directory Lat Opt Return. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Directory Latency Optimization Data Return Path Taken. When directory mode is enabled and the directory retuned for a read is Dir=I, then data can be returned using a faster path if certain conditions are met (credits, free pipeline, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.no_snp",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups; Snoop Not Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that did not have to send any snoops because the directory bit was clear",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snp",
	.event = "umask=0x1,event=0xc",
	.desc = "Directory Lookups; Snoop Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that had to send one or more snoops because the directory bit was set",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.any",
	.event = "umask=0x3,event=0xd",
	.desc = "Directory Updates; Any Directory Update. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.clear",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates; Directory Clear. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory clears.  This occurs when snoops were sent and all returned with RspI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.set",
	.event = "umask=0x1,event=0xd",
	.desc = "Directory Updates; Directory Set. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory sets.  This occurs when a remote read transaction requests memory, bringing it to a remote cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.ackcnfltwbi",
	.event = "umask=0x4,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.all",
	.event = "umask=0xff,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.allocs",
	.event = "umask=0x70,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.evicts",
	.event = "umask=0x42,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.hom",
	.event = "umask=0xf,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.invals",
	.event = "umask=0x26,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.read_or_invitoe",
	.event = "umask=0x1,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rsp",
	.event = "umask=0x80,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_local",
	.event = "umask=0x20,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwdi_remote",
	.event = "umask=0x10,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.rspfwds",
	.event = "umask=0x40,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoe_or_s",
	.event = "umask=0x8,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoi",
	.event = "umask=0x2,event=0x71",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.ackcnfltwbi",
	.event = "umask=0x4,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.all",
	.event = "umask=0xff,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.hom",
	.event = "umask=0xf,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.read_or_invitoe",
	.event = "umask=0x1,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rsp",
	.event = "umask=0x80,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_local",
	.event = "umask=0x20,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwdi_remote",
	.event = "umask=0x10,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.rspfwds",
	.event = "umask=0x40,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoe_or_s",
	.event = "umask=0x8,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_hit_pv_bits_set.wbmtoi",
	.event = "umask=0x2,event=0x72",
	.desc = "Accumulates Number of PV bits set on HitMe Cache Hits; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.ackcnfltwbi",
	.event = "umask=0x4,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is AckCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.all",
	.event = "umask=0xff,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.allocs",
	.event = "umask=0x70,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Allocations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.hom",
	.event = "umask=0xf,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; HOM Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.invals",
	.event = "umask=0x26,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; Invalidations. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.read_or_invitoe",
	.event = "umask=0x1,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RdCode, RdData, RdDataMigratory, RdInvOwn, RdCur or InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rsp",
	.event = "umask=0x80,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspI, RspIWb, RspS, RspSWb, RspCnflt or RspCnfltWbI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_local",
	.event = "umask=0x20,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwdi_remote",
	.event = "umask=0x10,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.rspfwds",
	.event = "umask=0x40,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RsSFwd or RspSFwdWb. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoe_or_s",
	.event = "umask=0x8,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoE or WbMtoS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_hitme_lookup.wbmtoi",
	.event = "umask=0x2,event=0x70",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi0",
	.event = "umask=0x1,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi1",
	.event = "umask=0x2,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi2",
	.event = "umask=0x10,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi0",
	.event = "umask=0x4,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi1",
	.event = "umask=0x8,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi2",
	.event = "umask=0x20,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_reads.normal",
	.event = "umask=0x1,event=0x17",
	.desc = "HA to iMC Normal Priority Reads Issued; Normal Priority. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_retry",
	.event = "event=0x1e",
	.desc = "Retry Events. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.all",
	.event = "umask=0xf,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; All Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full",
	.event = "umask=0x1,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Full Line. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial",
	.event = "umask=0x2,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Partial Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Partial. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.hub",
	.event = "umask=0x2,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_backpressure.sat",
	.event = "umask=0x1,event=0x61",
	.desc = "IOT Backpressure. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts0",
	.event = "umask=0x1,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_east_lo.cts1",
	.event = "umask=0x2,event=0x64",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts2",
	.event = "umask=0x1,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_hi.cts3",
	.event = "umask=0x2,event=0x65",
	.desc = "IOT Common Trigger Sequencer - Hi. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts0",
	.event = "umask=0x1,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iot_cts_west_lo.cts1",
	.event = "umask=0x2,event=0x62",
	.desc = "IOT Common Trigger Sequencer - Lo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Debug Mask/Match Tie-Ins",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.cancelled",
	.event = "umask=0x10,event=0x53",
	.desc = "OSB Snoop Broadcast; Cancelled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB.; OSB Snoop broadcast cancelled due to D2C or Other. OSB cancel is counted when OSB local read is not allowed even when the transaction in local InItoE. It also counts D2C OSB cancel, but also includes the cases were D2C was not set in the first place for the transaction coming from the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.invitoe_local",
	.event = "umask=0x4,event=0x53",
	.desc = "OSB Snoop Broadcast; Local InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local",
	.event = "umask=0x2,event=0x53",
	.desc = "OSB Snoop Broadcast; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local_useful",
	.event = "umask=0x20,event=0x53",
	.desc = "OSB Snoop Broadcast; Reads Local -  Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote",
	.event = "umask=0x8,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote_useful",
	.event = "umask=0x40,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote - Useful. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.all",
	.event = "umask=0x1,event=0x54",
	.desc = "OSB Early Data Return; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_i",
	.event = "umask=0x2,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local  I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_s",
	.event = "umask=0x8,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_i",
	.event = "umask=0x4,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_s",
	.event = "umask=0x10,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x1",
	.desc = "Read and Write Requests; Local InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x1",
	.desc = "Read and Write Requests; Remote InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x1",
	.desc = "Read and Write Requests; Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming ead requests.  This is a good proxy for LLC Read Misses (including RFOs)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x1",
	.desc = "Read and Write Requests; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the local socket.  This is a good proxy for LLC Read Misses (including RFOs) from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x1",
	.desc = "Read and Write Requests; Remote Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the remote socket.  This is a good proxy for LLC Read Misses (including RFOs) from the remote socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x1",
	.desc = "Read and Write Requests; Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming write requests",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x1",
	.desc = "Read and Write Requests; Local Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x1",
	.desc = "Read and Write Requests; Remote Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw",
	.event = "umask=0x3,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.all",
	.event = "umask=0xf,event=0x3f",
	.desc = "HA AK Ring in Use; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw",
	.event = "umask=0x3,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.all",
	.event = "umask=0xf,event=0x40",
	.desc = "HA BL Ring in Use; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw",
	.event = "umask=0x3,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x68",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x68",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.ad",
	.event = "umask=0x1,event=0x69",
	.desc = "SBo1 Credits Acquired; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credits_acquired.bl",
	.event = "umask=0x2,event=0x69",
	.desc = "SBo1 Credits Acquired; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits acquired in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.ad",
	.event = "umask=0x1,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_sbo1_credit_occupancy.bl",
	.event = "umask=0x2,event=0x6b",
	.desc = "SBo1 Credits Occupancy; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Sbo 1 credits in use in a given cycle, per ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.local",
	.event = "umask=0x1,event=0xa",
	.desc = "Data beat the Snoop Responses; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoops_rsp_after_data.remote",
	.event = "umask=0x2,event=0xa",
	.desc = "Data beat the Snoop Responses; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of reads when the snoop was on the critical path to the data return.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.all",
	.event = "umask=0x3,event=0x8",
	.desc = "Cycles with Snoops Outstanding; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; Tracked for snoops from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.local",
	.event = "umask=0x1,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_cycles_ne.remote",
	.event = "umask=0x2,event=0x8",
	.desc = "Cycles with Snoops Outstanding; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles when one or more snoops are outstanding.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.local",
	.event = "umask=0x1,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_occupancy.remote",
	.event = "umask=0x2,event=0x9",
	.desc = "Tracker Snoops Outstanding Accumulator; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of either the local HA tracker pool that have snoops pending in every cycle.    This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if an HT (HomeTracker) entry is available and this occupancy is decremented when all the snoop responses have returned.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x21",
	.desc = "Snoop Responses Received; RSPCNFLCT*. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x21",
	.desc = "Snoop Responses Received; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x21",
	.desc = "Snoop Responses Received; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x21",
	.desc = "Snoop Responses Received; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x21",
	.desc = "Snoop Responses Received; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currentl copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x21",
	.desc = "Snoop Responses Received; Rsp*Fwd*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x21",
	.desc = "Snoop Responses Received; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.other",
	.event = "umask=0x80,event=0x60",
	.desc = "Snoop Responses Received Local; Other. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for all other snoop responses",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspcnflct",
	.event = "umask=0x40,event=0x60",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspi",
	.event = "umask=0x1,event=0x60",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspifwd",
	.event = "umask=0x4,event=0x60",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rsps",
	.event = "umask=0x2,event=0x60",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspsfwd",
	.event = "umask=0x8,event=0x60",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currentl copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxfwdxwb",
	.event = "umask=0x20,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxwb",
	.event = "umask=0x10,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x6c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region0",
	.event = "umask=0x1,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region1",
	.event = "umask=0x2,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region2",
	.event = "umask=0x4,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 2",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region3",
	.event = "umask=0x8,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 3",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region4",
	.event = "umask=0x10,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 4. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 4",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region5",
	.event = "umask=0x20,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 5. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 5",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region6",
	.event = "umask=0x40,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 6. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 6",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region7",
	.event = "umask=0x80,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 7. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 7",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region10",
	.event = "umask=0x4,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 10. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 10",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region11",
	.event = "umask=0x8,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 11. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 11",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region8",
	.event = "umask=0x1,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 8. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 8",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region9",
	.event = "umask=0x2,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 9. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 9",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.all",
	.event = "umask=0x2,event=0x2",
	.desc = "Tracker Cycles Full; Cycles Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the HA tracker pool (HT) is completely used including reserved HT entries.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_full.gp",
	.event = "umask=0x1,event=0x2",
	.desc = "Tracker Cycles Full; Cycles GP Completely Used. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is completely used.  This can be used with edge detect to identify the number of situations when the pool became fully utilized.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, the system could be starved for RTIDs but not fill up the HA trackers.  HA trackers are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Counts the number of cycles when the general purpose (GP) HA tracker pool (HT) is completely used.  It will not return valid count when BT is disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.all",
	.event = "umask=0x3,event=0x3",
	.desc = "Tracker Cycles Not Empty; All Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; Requests coming from both local and remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.local",
	.event = "umask=0x1,event=0x3",
	.desc = "Tracker Cycles Not Empty; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne.remote",
	.event = "umask=0x2,event=0x3",
	.desc = "Tracker Cycles Not Empty; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_local",
	.event = "umask=0x40,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.invitoe_remote",
	.event = "umask=0x80,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote InvItoE Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_local",
	.event = "umask=0x4,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.reads_remote",
	.event = "umask=0x8,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Read Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_local",
	.event = "umask=0x10,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Local Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_occupancy.writes_remote",
	.event = "umask=0x20,event=0x4",
	.desc = "Tracker Occupancy Accumultor; Remote Write Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the local HA tracker pool in every cycle.  This can be used in conjection with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA trackers are allocated as soon as a request enters the HA if a HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.local",
	.event = "umask=0x1,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Local Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_pending_occupancy.remote",
	.event = "umask=0x2,event=0x5",
	.desc = "Data Pending Occupancy Accumultor; Remote Requests. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of transactions that have data from the memory controller until they get scheduled to the Egress.  This can be used to calculate the queuing latency for two things.  (1) If the system is waiting for snoops, this will increase.  (2) If the system can't schedule to the Egress because of either (a) Egress Credits or (b) QPI BL IGR credits for remote requests.; This filter includes only requests coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.hom",
	.event = "umask=0x4,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Non-data Responses. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details.; Filter for outbound NDR transactions sent on the AD ring.  NDR stands for non-data response and is generally used for completions that do not include data.  AD NDR is used for transactions to remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.all",
	.event = "umask=0x3,event=0x2a",
	.desc = "AD Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched0",
	.event = "umask=0x1,event=0x2a",
	.desc = "AD Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched1",
	.event = "umask=0x2,event=0x2a",
	.desc = "AD Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.all",
	.event = "umask=0x3,event=0x29",
	.desc = "AD Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched0",
	.event = "umask=0x1,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched1",
	.event = "umask=0x2,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.all",
	.event = "umask=0x3,event=0x27",
	.desc = "AD Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched0",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched1",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.all",
	.event = "umask=0x3,event=0x32",
	.desc = "AK Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched0",
	.event = "umask=0x1,event=0x32",
	.desc = "AK Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched1",
	.event = "umask=0x2,event=0x32",
	.desc = "AK Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x31",
	.desc = "AK Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched0",
	.event = "umask=0x1,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched1",
	.event = "umask=0x2,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.all",
	.event = "umask=0x3,event=0x2f",
	.desc = "AK Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched0",
	.event = "umask=0x1,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched1",
	.event = "umask=0x2,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_cache",
	.event = "umask=0x1,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to the cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_core",
	.event = "umask=0x2,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent directly to the requesting core",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_qpi",
	.event = "umask=0x4,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to a remote socket over QPI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.all",
	.event = "umask=0x3,event=0x36",
	.desc = "BL Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched0",
	.event = "umask=0x1,event=0x36",
	.desc = "BL Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched1",
	.event = "umask=0x2,event=0x36",
	.desc = "BL Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x35",
	.desc = "BL Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched0",
	.event = "umask=0x1,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched1",
	.event = "umask=0x2,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.all",
	.event = "umask=0x3,event=0x33",
	.desc = "BL Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched0",
	.event = "umask=0x1,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched1",
	.event = "umask=0x2,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.ak",
	.event = "umask=0x1,event=0x6d",
	.desc = "Injection Starvation; For AK Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_starved.bl",
	.event = "umask=0x2,event=0x6d",
	.desc = "Injection Starvation; For BL Ring. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x60,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_2m",
	.event = "period=2000003,umask=0x40,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit_4k",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Load misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts load misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Store misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles for an extended page table walk. The Extended Page directory cache differs from standard TLB caches by the operating system that use it. Virtual machine operating systems use the extended page directory cache, while guest operating systems use the standard TLB caches",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause page walks of any page size (4K/2M/4M/1G)  Spec update: BDM69",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x60,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_2m",
	.event = "period=100003,umask=0x40,event=0x85",
	.desc = "Code misses that miss the  DTLB and hit the STLB (2M)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit_4k",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Core misses that miss the  DTLB and hit the STLB (4K)",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks  Spec update: BDM69",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Store miss in all TLB levels causes a page walk that completes. (1G)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (1G  page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (2M and 4M page sizes). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts store misses in all DTLB levels that cause a completed page walk (4K page size). The page walk can end with or without a fault  Spec update: BDM69",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when PMH is busy with page walks  Spec update: BDM69",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of cycles while PMH is busy with the page walk  Spec update: BDM69",
},
{
	.name = "page_walker_loads.dtlb_l1",
	.event = "period=2000003,umask=0x11,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l2",
	.event = "period=2000003,umask=0x12,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_l3",
	.event = "period=2000003,umask=0x14,event=0xbc",
	.desc = "Number of DTLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.dtlb_memory",
	.event = "period=2000003,umask=0x18,event=0xbc",
	.desc = "Number of DTLB page walker hits in Memory  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l1",
	.event = "period=2000003,umask=0x21,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L1+FB  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l2",
	.event = "period=2000003,umask=0x22,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L2  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "page_walker_loads.itlb_l3",
	.event = "period=2000003,umask=0x24,event=0xbc",
	.desc = "Number of ITLB page walker hits in the L3 + XSNP  Spec update: BDM69, BDM98",
	.topic = "virtual memory",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "This event counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, and so on)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "This event counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. \nMM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.\nPenalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
	.long_desc = "This event counts the number of both cacheable and noncacheable Instruction Cache, Streaming Buffer and Victim Cache Reads including UC fetches",
},
{
	.name = "icache.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction-cache miss",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the demand fetch waits for data (wfdM104H) from L2 or iSB (opportunistic hit)",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes Uncacheable accesses",
	.topic = "frontend",
	.long_desc = "This event counts the number of instruction cache, streaming buffer and victim cache misses. Counting includes UC accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were  delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles 4  uops were  delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "This event counts the number of cycles  uops were delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
	.long_desc = "This counts the number of cycles that the instruction decoder queue is empty and can indicate that the application may be bound in the front end.  It does not determine whether there are uops being delivered to the Alloc stage since uops can be delivered by bypass skipping the Instruction Decode Queue (IDQ) when it is empty",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may bypass the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts the total number of uops delivered to Instruction Decode Queue (IDQ) while the Microcode Sequenser (MS) is busy. Counting includes uops that may bypass the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when:\n a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread;\n b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions); \n c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "This event counts, on the per-thread basis, cycles when less than 1 uop is  delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >=3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
	.long_desc = "This event counts the number of the divide operations executed. Uses edge-detect and a cmask value of 1 on ARITH.FPU_DIV_ACTIVE to get the number of the divide operations executed",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired branch instructions",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired macro-unconditional branch instructions, excluding calls and indirects",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired macro-conditional branch instructions excluding calls and indirect branches",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches excluding calls and return branches",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect calls including both register and memory indirect",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired indirect branches that have a return mnemonic",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all (macro) branch instructions retired",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired. (Precise Event - PEBS)  Spec update: BDW98 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: BDW98 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: BDW98",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: BDW98",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3). (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts both direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted branch instructions",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts both taken and not taken mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts not taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted macro conditional branch instructions",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "This event counts taken speculative and retired mispredicted indirect branches that have a return mnemonic",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts all mispredicted macro branch instructions retired",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Number of near branch instructions retired that were mispredicted and taken. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired.(Precise Event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts mispredicted return instructions retired",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "This is a fixed-frequency event programmed to general counters. It counts when the core is unhalted at 100 Mhz",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. \nNote: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  This event is clocked by base clock (100 Mhz) on Sandy Bridge. The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand* load request missing the L2 cache",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles the CPU has at least one pending  demand load request (that is cycles with non-completed load waiting for its data from memory subsystem)",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request missing the L1 data cache",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand* load request missing the L2 cache.(as a footprint) * includes also L1 HW prefetch requests that may or may not be required by demands",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts number of cycles nothing is executed on any execution port, while there was at least one pending demand load request",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "This event counts stalls occured due to changing prefix length (66, 67 or REX.W when they change the length of the decoded instruction). Occurrences counting is proportional to the number of prefixes in a 16B-line. This may result in the following penalties: three-cycle penalty for each LCP in a 16-byte chunk",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. \nNotes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. \nCounting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event  Spec update: BDM61",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: BDM61",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: BDM11, BDM55 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts instructions retired  Spec update: BDM11, BDM55 (Must be precise)",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "FP operations  retired. X87 FP operations that have no exceptions:",
	.topic = "pipeline",
	.long_desc = "This event counts FP operations retired. For X87 FP operations that have no exceptions counting also includes flows that have several X87, or flows that use X87 uops in the exception handling",
},
{
	.name = "int_misc.rat_stall_cycles",
	.event = "period=2000003,umask=0x8,event=0xd",
	.desc = "Cycles when Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles during which Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the current thread. This also includes the cycles during which the Allocator is serving another thread",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Cycles checkpoints in Resource Allocation Table (RAT) are recovering from JEClear or machine clear",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "This event counts how many times the load operation got the true Block-on-Store blocking code preventing store forwarding. This includes cases when:\n - preceding store conflicts with the load (incomplete overlap);\n - store forwarding is impossible due to u-arch limitations;\n - preceding lock RMW operations are not forwarded;\n - store has the no-forward bit set (uncacheable/page-split/masked stores);\n - all-blocking stores are used (mostly, fences and port I/O);\nand others.\nThe most common case is a load blocked due to its address range overlapping with a preceding smaller uncompleted store. Note: This event does not take into account cases of out-of-SW-control (for example, SbTailHit), unknown physical STA, and cases of blocking loads on store due to being non-WB memory type or a lock. These cases are covered by other events.\nSee the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare",
	.topic = "pipeline",
	.long_desc = "This event counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the hardware prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "This event counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by asm inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=2000003,umask=0x1,event=0xc3",
	.desc = "Cycles there was a Nuke. Account for both thread-specific and All Thread Nukes",
	.topic = "pipeline",
	.long_desc = "This event counts both thread-specific (TS) and all-thread (AT) nukes",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Maskmov false fault - counts number of time ucode passes through Maskmov flow due to instruction's mask being 0 while the flow was completed without raising a fault",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x40,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "This event counts resource-related stall cycles. Reasons for stalls can be as follows:\n - *any* u-arch structure got full (LB, SB, RS, ROB, BOB, LM, Physical Register Reclaim Table (PRRT), or Physical History Table (PHT) slots)\n - *any* u-arch structure got empty (like INT/SIMD FreeLists)\n - FPU control word (FPCW), MXCSR\nand others. This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
	.long_desc = "This event counts ROB full stall cycles. This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by absence of eligible entries in the reservation station (RS). This may result from RS overflow, or from RS deallocation because of the RS array Write Port allocation scheme (each RS entry has two write ports instead of four. As a result, empty entries could not be used, although RS is not really full). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "This event counts stall cycles caused by the store buffer (SB) overflow (excluding draining from synch). This counts cycles that the pipeline backend blocked uop delivery from the front end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "This event counts cases of saving new LBR records by hardware. This assumes proper enabling of LBRs and takes into account LBR filtering done by the LBR_SELECT register",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the reservation station (RS) is empty for the thread.\nNote: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_executed_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_executed_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_executed_port.port_2_core",
	.event = "any=1,period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_executed_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_executed_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_executed_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_executed_port.port_6_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are exectuted in port 6",
	.topic = "pipeline",
},
{
	.name = "uops_executed_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "This event counts, on the per-thread basis, cycles during which uops are dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed_port.port_7_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 7",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS)",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive; added by GSR u-arch",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops being allocated. Such uops considered perf sensitive\n added by GSR u-arch",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts all actually retired uops. Counting increments by two for micro-fused uops, and by one for macro-fused and other uops. Maximal increment value for one cycle is eight  Supports address when precise (Precise event)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts the number of retirement slots used (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired.  Each count represents 2 computations. Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired.  Each count represents 4 computations. Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP RSQRT SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired.  Each count represents 4 computations. Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired.  Each count represents 8 computations. Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP RSQRT SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.double",
	.event = "period=2000006,umask=0x15,event=0xc7",
	.desc = "Number of SSE/AVX computational double precision floating-point instructions retired. Applies to SSE* and AVX*scalar, double and single precision floating-point: ADD SUB MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element.  ?",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.packed",
	.event = "period=2000004,umask=0x3c,event=0xc7",
	.desc = "Number of SSE/AVX computational packed floating-point instructions retired. Applies to SSE* and AVX*, packed, double and single precision floating-point: ADD SUB MUL DIV MIN MAX RSQRT RCP SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar",
	.event = "period=2000003,umask=0x3,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar floating-point instructions retired. Applies to SSE* and AVX* scalar, double and single precision floating-point: ADD SUB MUL DIV MIN MAX RSQRT RCP SQRT FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired.  Each count represents 1 computation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired.  Each count represents 1 computation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP RSQRT SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.single",
	.event = "period=2000005,umask=0x2a,event=0xc7",
	.desc = "Number of SSE/AVX computational single precision floating-point instructions retired. Applies to SSE* and AVX*scalar, double and single precision floating-point: ADD SUB MUL DIV MIN MAX RCP RSQRT SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform multiple calculations per element. ?",
	.topic = "floating point",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "This event counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "This event counts any input SSE* FP assist - invalid operation, denormal operand, dividing by zero, SNaN operand. Counting includes only cases involving penalties that required micro-code assist intervention",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "This event counts the number of SSE* floating point (FP) micro-code assist (numeric overflow/underflow) when the output value (destination register) is invalid. Counting covers only cases involving penalties that require micro-code assist intervention",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "This event counts x87 floating point (FP) micro-code assist (invalid operation, denormal operand, SNaN operand) when the input value (one of the source operands to an FP instruction) is invalid",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "This event counts the number of x87 floating point (FP) micro-code assist (numeric overflow/underflow, inexact result) when the output value (destination register) is invalid",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from AVX-256 to legacy SSE when penalty is applicable  Spec update: BDM30",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable  Spec update: BDM30",
	.topic = "floating point",
	.long_desc = "This event counts the number of transitions from legacy SSE to AVX-256 when penalty is applicable  Spec update: BDM30",
},
{
	.name = "uop_dispatches_cancelled.simd_prf",
	.event = "period=2000003,umask=0x3,event=0xa0",
	.desc = "Micro-op dispatches cancelled due to insufficient SIMD physical register file read ports",
	.topic = "floating point",
	.long_desc = "This event counts the number of micro-operations cancelled after they were dispatched from the scheduler to the execution units when the total number of physical register read ports across all dispatch ports exceeds the read bandwidth of the physical register file.  The SIMD_PRF subevent applies to the following instructions: VDPPS, DPPS, VPCMPESTRI, PCMPESTRI, VPCMPESTRM, PCMPESTRM, VFMADD*, VFMADDSUB*, VFMSUB*, VMSUBADD*, VFNMADD*, VFNMSUB*.  See the Broadwell Optimization Guide for more information",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times HLE abort was triggered (PEBS) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (PEBS) (Precise event)",
},
{
	.name = "hle_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an HLE abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "hle_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to uncommon conditions",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an HLE abort",
},
{
	.name = "hle_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an HLE abort",
},
{
	.name = "hle_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times HLE caused a fault",
},
{
	.name = "hle_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to none of the previous 4 categories (e.g. interrupts)",
	.topic = "memory",
	.long_desc = "Number of times HLE aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times HLE commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times we entered an HLE region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region\n does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:\n1. memory disambiguation,\n2. external snoop, or\n3. cross SMT-HW-thread snoop (stores) hitting load buffer",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Loads with latency value being above 128  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 128  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Loads with latency value being above 16  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 16  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Loads with latency value being above 256  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 256  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Loads with latency value being above 32  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 32  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Loads with latency value being above 4  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above four  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Loads with latency value being above 512  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 512  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Loads with latency value being above 64  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above 64  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Loads with latency value being above 8  Spec update: BDM100, BDM35 (Must be precise)",
	.topic = "memory",
	.long_desc = "This event counts loads with latency value being above eight  Spec update: BDM100, BDM35 (Must be precise)",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache-line split load uops dispatched to the L1 cache",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "This event counts speculative cache line split store-address (STA) uops dispatched to the L1 cache",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times RTM abort was triggered (PEBS) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered (PEBS) (Precise event)",
},
{
	.name = "rtm_retired.aborted_misc1",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM abort was attributed to a Memory condition (See TSX_Memory event for additional details)",
},
{
	.name = "rtm_retired.aborted_misc2",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times the TSX watchdog signaled an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc3",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times a disallowed operation caused an RTM abort",
},
{
	.name = "rtm_retired.aborted_misc4",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times a RTM caused a fault",
},
{
	.name = "rtm_retired.aborted_misc5",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times RTM aborted and was not due to the abort conditions in subevents 3-6",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times RTM commit succeeded",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times we entered an RTM region; does not count nested transactions",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region\n does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by  a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to an evicted line caused by a transaction overflow",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a TSX line had a cache conflict",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times we could not allocate Lock Buffer",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0x12",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.source",
	.event = "umask=0x2,event=0x12",
	.desc = "Total Write Cache Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0",
	.desc = "Clocks in the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of clocks in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x13",
	.desc = "Coherent Ops; CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.crd",
	.event = "umask=0x2,event=0x13",
	.desc = "Coherent Ops; CRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.drd",
	.event = "umask=0x4,event=0x13",
	.desc = "Coherent Ops; DRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcidcahint",
	.event = "umask=0x20,event=0x13",
	.desc = "Coherent Ops; PCIDCAHin5t. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcirdcur",
	.event = "umask=0x1,event=0x13",
	.desc = "Coherent Ops; PCIRdCur. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x13",
	.desc = "Coherent Ops; PCIItoM. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x13",
	.desc = "Coherent Ops; RFO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x13",
	.desc = "Coherent Ops; WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x14",
	.desc = "Misc Events - Set 0; Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x14",
	.desc = "Misc Events - Set 0; Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_timeout",
	.event = "umask=0x80,event=0x14",
	.desc = "Misc Events - Set 0; Prefetch TimeOut. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Indicates the fetch for a previous prefetch wasn't accepted by the prefetch.   This happens in the case of a prefetch TimeOut",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.data_throttle",
	.event = "umask=0x80,event=0x15",
	.desc = "Misc Events - Set 1; Data Throttled. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "IRP throttled switch data",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x15",
	.desc = "Misc Events - Set 1. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x15",
	.desc = "Misc Events - Set 1; Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x15",
	.desc = "Misc Events - Set 1; Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x15",
	.desc = "Misc Events - Set 1; Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_inserts",
	.event = "event=0xa",
	.desc = "AK Ingress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the AK Ingress.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_cycles_full",
	.event = "event=0x4",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_inserts",
	.event = "event=0x1",
	.desc = "BL Ingress Occupancy - DRS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_occupancy",
	.event = "event=0x7",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_cycles_full",
	.event = "event=0x5",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_inserts",
	.event = "event=0x2",
	.desc = "BL Ingress Occupancy - NCB. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_occupancy",
	.event = "event=0x8",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_cycles_full",
	.event = "event=0x6",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_inserts",
	.event = "event=0x3",
	.desc = "BL Ingress Occupancy - NCS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_occupancy",
	.event = "event=0x9",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x17",
	.desc = "Snoop Responses; Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x17",
	.desc = "Snoop Responses; Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x17",
	.desc = "Snoop Responses; Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x17",
	.desc = "Snoop Responses; Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x17",
	.desc = "Snoop Responses; SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x17",
	.desc = "Snoop Responses; SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x17",
	.desc = "Snoop Responses; SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x16",
	.desc = "Inbound Transaction Count; Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x16",
	.desc = "Inbound Transaction Count; Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_pref",
	.event = "umask=0x4,event=0x16",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x16",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x16",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x16",
	.desc = "Inbound Transaction Count; Write Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of write prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_ad_stall_credit_cycles",
	.event = "event=0x18",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_bl_stall_credit_cycles",
	.event = "event=0x19",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncb",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncs",
	.event = "event=0xf",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_request_occupancy",
	.event = "event=0xd",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_r2_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the R2PCIe uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the R2PCIe is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi0",
	.event = "umask=0x4,event=0x2d",
	.desc = "Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.isoch_qpi1",
	.event = "umask=0x8,event=0x2d",
	.desc = "Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi0",
	.event = "umask=0x1,event=0x2d",
	.desc = "Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credit.prq_qpi1",
	.event = "umask=0x2,event=0x2d",
	.desc = "Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.drs",
	.event = "umask=0x8,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.all",
	.event = "umask=0xf,event=0x7",
	.desc = "R2 AD Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw",
	.event = "umask=0x3,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.dn",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Ingress Bounced; Dn. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_bounces.up",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Ingress Bounced; Up. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.all",
	.event = "umask=0xf,event=0x8",
	.desc = "R2 AK Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw",
	.event = "umask=0x3,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.all",
	.event = "umask=0xf,event=0x9",
	.desc = "R2 BL Ring in Use; All. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw",
	.event = "umask=0x3,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.any",
	.event = "umask=0xf,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.ccw",
	.event = "umask=0xc,event=0xa",
	.desc = "R2 IV Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.cw",
	.event = "umask=0x3,event=0xa",
	.desc = "R2 IV Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given R2PCIe Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the R2PCIe Ingress Not Empty event to calculate average occupancy or the R2PCIe Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "SBo0 Credits Acquired; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credits_acquired.bl",
	.event = "umask=0x2,event=0x28",
	.desc = "SBo0 Credits Acquired; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits acquired in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.ad",
	.event = "umask=0x1,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_sbo0_credit_occupancy.bl",
	.event = "umask=0x2,event=0x2a",
	.desc = "SBo0 Credits Occupancy; For BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of Sbo 0 credits in use in a given cycle, per ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_ad",
	.event = "umask=0x1,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo0_bl",
	.event = "umask=0x4,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo0, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_ad",
	.event = "umask=0x2,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, AD Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_stall_no_sbo_credit.sbo1_bl",
	.event = "umask=0x8,event=0x2c",
	.desc = "Stall on No Sbo Credits; For SBo1, BL Ring. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of cycles Egress is stalled waiting for an Sbo credit to become available.  Per Sbo, per Ring",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ad",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress Cycles Full; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ak",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress Cycles Full; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.bl",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress Cycles Full; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ad",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress Cycles Not Empty; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ak",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress Cycles Not Empty; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.bl",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress Cycles Not Empty; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_ak",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.dn_bl",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ad",
	.event = "umask=0x8,event=0x26",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_ak",
	.event = "umask=0x20,event=0x26",
	.desc = "Egress CCW NACK; BL CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.up_bl",
	.event = "umask=0x10,event=0x26",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.disable",
	.event = "umask=0x2,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.enable",
	.event = "umask=0x1,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_disable",
	.event = "umask=0x8,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_enable",
	.event = "umask=0x4,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.cmc",
	.event = "umask=0x10,event=0x43",
	.desc = "Monitor Sent to T0; Correctable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.livelock",
	.event = "umask=0x4,event=0x43",
	.desc = "Monitor Sent to T0; Livelock. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.lterror",
	.event = "umask=0x8,event=0x43",
	.desc = "Monitor Sent to T0; LTError. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t0",
	.event = "umask=0x1,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T0. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t1",
	.event = "umask=0x2,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T1. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.other",
	.event = "umask=0x80,event=0x43",
	.desc = "Monitor Sent to T0; Other. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; PREQ, PSMI, P2U, Thermal, PCUSMI, PMI",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.trap",
	.event = "umask=0x40,event=0x43",
	.desc = "Monitor Sent to T0; Trap. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.umc",
	.event = "umask=0x20,event=0x43",
	.desc = "Monitor Sent to T0; Uncorrectable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "bdwde metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound. Sample with: FRONTEND_RETIRED.LATENCY_GE_4_PS",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: FRONTEND_RETIRED.LATENCY_GE_16_PS;FRONTEND_RETIRED.LATENCY_GE_8_PS",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Sample with: FRONTEND_RETIRED.L2_MISS_PS;FRONTEND_RETIRED.L1I_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache.ifdata_stall / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: FRONTEND_RETIRED.STLB_MISS_PS;FRONTEND_RETIRED.ITLB_MISS_PS",
	.unit = "100%",
	.metric_expr = "(14 * itlb_misses.stlb_hit + cpu@itlb_misses.walk_duration\\,cmask\\=1@ + 7 * itlb_misses.walk_completed) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "machine_clears.count * tma_branch_resteers / (br_misp_retired.all_branches + machine_clears.count + baclears.any)",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: FRONTEND_RETIRED.UNKNOWN_BRANCH",
	.unit = "100%",
	.metric_expr = "tma_branch_resteers - tma_mispredicts_resteers - tma_clears_resteers",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty. Sample with: FRONTEND_RETIRED.DSB_MISS_PS",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend. Sample with: FRONTEND_RETIRED.LATENCY_GE_2_BUBBLES_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_2_PS",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck. Sample with: FRONTEND_RETIRED.ANY_DSB_MISS",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "bdwde metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: TOPDOWN.BR_MISPREDICT_SLOTS",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "bdwde metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound. Sample with: TOPDOWN.BACKEND_BOUND_SLOTS",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + resource_stalls.sb) / (cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_RETIRED.L1_HIT_PS;MEM_LOAD_RETIRED.FB_HIT_PS",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "bdwde metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_INST_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_load_misses.stlb_hit + cpu@dtlb_load_misses.walk_duration\\,cmask\\=1@ + 7 * dtlb_load_misses.walk_completed) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "bdwde metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_INST_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_INST_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "bdwde metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss) * cycle_activity.stalls_l2_miss / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_FWD;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS",
	.unit = "100%",
	.metric_expr = "(60 * (mem_load_uops_l3_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) + 43 * (mem_load_uops_l3_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss)))) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_NO_FWD",
	.unit = "100%",
	.metric_expr = "43 * (mem_load_uops_l3_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "29 * (mem_load_uops_retired.l3_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.l3_hit + mem_load_uops_l3_hit_retired.xsnp_hit + mem_load_uops_l3_hit_retired.xsnp_hitm + mem_load_uops_l3_hit_retired.xsnp_miss + mem_load_uops_retired.l3_miss))) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "bdwde metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.l3_hit / (mem_load_uops_retired.l3_hit + 7 * mem_load_uops_retired.l3_miss)) * cycle_activity.stalls_l2_miss / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_INST_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_INST_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "bdwde metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_INST_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(8 * dtlb_store_misses.stlb_hit + cpu@dtlb_store_misses.walk_duration\\,cmask\\=1@ + 7 * dtlb_store_misses.walk_completed) / clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_ACTIVE",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cycle_activity.stalls_total + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - cycle_activity.stalls_mem_any) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\,cmask\\=1@ / 2 if #smt_on else (cycle_activity.stalls_total - rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) / core_clks)",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful. Sample with: EXE_ACTIVITY.1_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / 2 if #smt_on else (uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_2_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop. Sample with: EXE_ACTIVITY.2_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / 2 if #smt_on else (uops_executed.cycles_ge_2_uops_exec - uops_executed.cycles_ge_3_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Sample with: UOPS_EXECUTED.CYCLES_GE_3",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=3@ / 2 if #smt_on else uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED.PORT_0",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED.PORT_1",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED.PORT_6",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3_10",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations Sample with: UOPS_DISPATCHED.PORT_7_8",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data)",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address)",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "bdwde metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "bdwde metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "inst_retired.x87 * upi / uops_retired.retire_slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "bdwde metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "bdwde metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "bdwde metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "bdwde metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "bdwde metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: UOPS_RETIRED.MS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * other_assists.any_wb_assist / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "bdwde metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "bdwde metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdwde metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "bdwde metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "bdwde metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "bdwde metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "bdwde metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "bdwde metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "bdwde metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "bdwde metrics",
	.metric_expr = "uops_executed.thread / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "bdwde metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "bdwde metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "bdwde metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "bdwde metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "bdwde metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "bdwde metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "bdwde metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "bdwde metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "bdwde metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "bdwde metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration + 7 * (dtlb_store_misses.walk_completed + dtlb_load_misses.walk_completed + itlb_misses.walk_completed)) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "bdwde metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "bdwde metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "bdwde metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "bdwde metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "bdwde metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "bdwde metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "bdwde metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "bdwde metrics",
	.metric_expr = "64 * (arb@event\\=0x81\\,umask\\=0x1@ + arb@event\\=0x84\\,umask\\=0x1@) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "bdwde metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "C3 residency percent per core",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "bdwde metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand; from the demand Hit FB, if it is allocated by hardware or software prefetch.\nNote: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "This event counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_demand_rqsts.wb_hit",
	.event = "period=200003,umask=0x50,event=0x27",
	.desc = "Not rejected writebacks that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of WB requests that hit L2 cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Exclusive state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Invalidate state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines in the Shared state filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x5,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "This event counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "This event counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0x44,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0x41,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests that hit L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "This event counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.l2_pf_hit",
	.event = "period=200003,umask=0x50,event=0x24",
	.desc = "L2 prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that hit L2 cache. L3 prefetch new types",
},
{
	.name = "l2_rqsts.l2_pf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "This event counts the number of requests from the L2 hardware prefetchers that miss L2 cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0x42,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or L3 HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 or L3 HW prefetches that access L2 cache including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "This event counts transactions that access the L2 pipe including snoops, pagewalks, and so on",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Demand Data Read requests that access L2 cache, including rejects",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "This event counts Read for Ownership (RFO) requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "This event counts the number of cycles when the L1D is locked. It is a superset of the 0x1 mask (BUS_LOCK_CLOCKS.BUS_LOCK_DURATION)",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that miss the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3",
	.topic = "cache",
	.long_desc = "This event counts core-originated cacheable demand requests that refer to the last level cache (LLC). Demand requests include loads, RFOs, and hardware prefetches from L1D, and instruction fetches from IFU",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were L3 and cross-core snoop hits in on-pkg core cache. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were L3 hit and a cross-core snoop hit in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared L3. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were HitM responses from a core on same socket (shared L3)  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were L3 hit and cross-core snoop missed in on-pkg core cache. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were L3 Hit and a cross-core snoop missed in the on-pkg core cache  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in L3 without snoops required. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "(null)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops where the data came from local DRAM. This does not include hardware prefetches. This is a precise event  Supports address when precise.  Spec update: BDE70, BDM100",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_dram",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Retired load uop whose Data Source was: remote DRAM either Snoop not needed or Snoop Miss (RspI) (Precise Event)  Supports address when precise.  Spec update: BDE70",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x20,event=0xd3",
	.desc = "Retired load uop whose Data Source was: forwarded from remote cache (Precise Event)  Supports address when precise.  Spec update: BDE70",
	.topic = "cache",
},
{
	.name = "mem_load_uops_l3_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Retired load uop whose Data Source was: Remote cache HITM (Precise Event)  Supports address when precise.  Spec update: BDE70",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were load uops missed L1 but hit a fill buffer due to a preceding miss to the same cache line with the data not ready.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data source were hits in the nearest-level (L1) cache.\nNote: Only two data-sources of L1/FB are applicable for AVX-256bit  even though the corresponding AVX load could be serviced by a deeper level in the memory hierarchy. Data source is reported for the Low-half load. This event also counts SW prefetches independent of the actual data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops misses in L1 cache as data sources. Uses PEBS  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were misses in the nearest-level (L1) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were hits in the mid-level (L2) cache  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load uops with L2 cache misses as data sources. Uses PEBS  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were misses in the mid-level (L2) cache. Counting excludes unknown and UC data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Hit in last-level (L3) cache. Excludes Unknown data-source. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts retired load uops which data sources were data hits in the last-level (L3) cache without snoops required  Supports address when precise.  Spec update: BDM100 (Precise event)",
},
{
	.name = "mem_load_uops_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM100, BDE70 (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts load uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event ?ounts AVX-256bit load/store double-pump memory uops as a single uop at retirement. This event also counts SW prefetches  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts store uops retired to the architected path with a filter on bits 0 and 1 applied.\nNote: This event ?ounts AVX-256bit load/store double-pump memory uops as a single uop at retirement  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access. (Precise Event - PEBS)  Supports address when precise.  Spec update: BDM35 (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts load uops with locked access retired to the architected path  Supports address when precise.  Spec update: BDM35 (Precise event)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary.(Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts line-splitted load uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts line-splitted store uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts load uops with true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB. (Precise Event - PEBS)  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "This is a precise version (that is, uses PEBS) of the event that counts store uops true STLB miss retired to the architected path. True STLB miss is an uop triggering page walk that gets completed without blocks, and later gets retired. This page walk can end up with or without a fault  Supports address when precise (Precise event)",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "This event counts the demand and prefetch data reads. All Core Data Reads include cacheable Demands and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "This event counts both cacheable and noncachaeble code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "This event counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "This event counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "This event counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.\nNote: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The Offcore outstanding state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.\nNote: A prefetch promoted to Demand is counted from the promotion point  Spec update: BDM76",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue  Spec update: BDM76",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore  Spec update: BDM76",
	.topic = "cache",
	.long_desc = "This event counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS  Spec update: BDM76",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
	.long_desc = "This event counts the number of split locks in the super queue",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM Reads (RD_CAS + Underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM RD_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Underfill Read Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the number of underfill reads that are issued by the memory controller.  This will generally be about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ.  While it is possible for underfills to be issed in both WMM and RMM, this event counts both",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (both Modes). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dclockticks",
	.event = "event=0",
	.desc = "DRAM Clockticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit erros in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "DRAM Precharge commands.; Precharges due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of page misses.  This does not include explicit precharge commands sent with CAS commands in Auto-Precharge mode.  This does not include PRE commands sent as a result of the page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank10",
	.event = "umask=0xa,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank11",
	.event = "umask=0xb,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank12",
	.event = "umask=0xc,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank13",
	.event = "umask=0xd,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank14",
	.event = "umask=0xe,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank15",
	.event = "umask=0xf,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x3,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x5,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x6,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x7,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank8",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank9",
	.event = "umask=0x9,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank10",
	.event = "umask=0xa,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank11",
	.event = "umask=0xb,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank12",
	.event = "umask=0xc,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank13",
	.event = "umask=0xd,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank14",
	.event = "umask=0xe,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank15",
	.event = "umask=0xf,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x3,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x5,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x6,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x7,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank8",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank9",
	.event = "umask=0x9,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank10",
	.event = "umask=0xa,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank11",
	.event = "umask=0xb,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank12",
	.event = "umask=0xc,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank13",
	.event = "umask=0xd,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank14",
	.event = "umask=0xe,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank15",
	.event = "umask=0xf,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x3,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x5,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x6,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x7,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank8",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank9",
	.event = "umask=0x9,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank10",
	.event = "umask=0xa,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank11",
	.event = "umask=0xb,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank12",
	.event = "umask=0xc,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank13",
	.event = "umask=0xd,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank14",
	.event = "umask=0xe,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank15",
	.event = "umask=0xf,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x3,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x5,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x6,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x7,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank8",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank9",
	.event = "umask=0x9,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_mxb_wr_occupancy",
	.event = "event=0x91",
	.desc = "VMSE MXB write buffer occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.rmm",
	.event = "umask=0x2,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.wmm",
	.event = "umask=0x1,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank10",
	.event = "umask=0xa,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank11",
	.event = "umask=0xb,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank12",
	.event = "umask=0xc,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank13",
	.event = "umask=0xd,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank14",
	.event = "umask=0xe,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank15",
	.event = "umask=0xf,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x3,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x5,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x6,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x7,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank8",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank9",
	.event = "umask=0x9,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank10",
	.event = "umask=0xa,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank11",
	.event = "umask=0xb,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank12",
	.event = "umask=0xc,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank13",
	.event = "umask=0xd,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank14",
	.event = "umask=0xe,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank15",
	.event = "umask=0xf,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x3,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x5,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x6,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x7,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank8",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank9",
	.event = "umask=0x9,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank10",
	.event = "umask=0xa,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank11",
	.event = "umask=0xb,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank12",
	.event = "umask=0xc,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank13",
	.event = "umask=0xd,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank14",
	.event = "umask=0xe,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank15",
	.event = "umask=0xf,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x3,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x5,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x6,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x7,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank8",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank9",
	.event = "umask=0x9,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank10",
	.event = "umask=0xa,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank11",
	.event = "umask=0xb,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank12",
	.event = "umask=0xc,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank13",
	.event = "umask=0xd,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank14",
	.event = "umask=0xe,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank15",
	.event = "umask=0xf,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x3,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x5,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x6,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x7,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank8",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank9",
	.event = "umask=0x9,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_nehalemep[] = {
{
	.name = "es_reg_renames",
	.event = "period=2000000,umask=0x1,event=0xd5",
	.desc = "ES segment renames",
	.topic = "other",
},
{
	.name = "io_transactions",
	.event = "period=2000000,umask=0x1,event=0x6c",
	.desc = "I/O transactions",
	.topic = "other",
},
{
	.name = "l1i.cycles_stalled",
	.event = "period=2000000,umask=0x4,event=0x80",
	.desc = "L1I instruction fetch stall cycles",
	.topic = "other",
},
{
	.name = "l1i.hits",
	.event = "period=2000000,umask=0x1,event=0x80",
	.desc = "L1I instruction fetch hits",
	.topic = "other",
},
{
	.name = "l1i.misses",
	.event = "period=2000000,umask=0x2,event=0x80",
	.desc = "L1I instruction fetch misses",
	.topic = "other",
},
{
	.name = "l1i.reads",
	.event = "period=2000000,umask=0x3,event=0x80",
	.desc = "L1I Instruction fetches",
	.topic = "other",
},
{
	.name = "large_itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "Large ITLB hit",
	.topic = "other",
},
{
	.name = "load_dispatch.any",
	.event = "period=2000000,umask=0x7,event=0x13",
	.desc = "All loads dispatched",
	.topic = "other",
},
{
	.name = "load_dispatch.mob",
	.event = "period=2000000,umask=0x4,event=0x13",
	.desc = "Loads dispatched from the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Loads dispatched that bypass the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs_delayed",
	.event = "period=2000000,umask=0x2,event=0x13",
	.desc = "Loads dispatched from stage 305",
	.topic = "other",
},
{
	.name = "partial_address_alias",
	.event = "period=200000,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial address aliasing",
	.topic = "other",
},
{
	.name = "sb_drain.any",
	.event = "period=200000,umask=0x7,event=0x4",
	.desc = "All Store buffer stall cycles",
	.topic = "other",
},
{
	.name = "seg_rename_stalls",
	.event = "period=2000000,umask=0x1,event=0xd4",
	.desc = "Segment rename stall cycles",
	.topic = "other",
},
{
	.name = "snoop_response.hit",
	.event = "period=100000,umask=0x1,event=0xb8",
	.desc = "Thread responded HIT to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hite",
	.event = "period=100000,umask=0x2,event=0xb8",
	.desc = "Thread responded HITE to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hitm",
	.event = "period=100000,umask=0x4,event=0xb8",
	.desc = "Thread responded HITM to snoop",
	.topic = "other",
},
{
	.name = "sq_full_stall_cycles",
	.event = "period=2000000,umask=0x1,event=0xf6",
	.desc = "Super Queue full stall cycles",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.any",
	.event = "period=200000,umask=0x1,event=0x8",
	.desc = "DTLB load misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x8",
	.desc = "DTLB load miss caused by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000000,umask=0x10,event=0x8",
	.desc = "DTLB second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x8",
	.desc = "DTLB load miss page walks complete",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x49",
	.desc = "DTLB misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.stlb_hit",
	.event = "period=200000,umask=0x10,event=0x49",
	.desc = "DTLB first level misses but second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x49",
	.desc = "DTLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_flush",
	.event = "period=2000000,umask=0x1,event=0xae",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x85",
	.desc = "ITLB miss",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x85",
	.desc = "ITLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_miss_retired",
	.event = "period=200000,umask=0x20,event=0xc8",
	.desc = "Retired instructions that missed the ITLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x80,event=0xcb",
	.desc = "Retired loads that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_store_retired.dtlb_miss",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Retired stores that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "macro_insts.decoded",
	.event = "period=2000000,umask=0x1,event=0xd0",
	.desc = "Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.fusions_decoded",
	.event = "period=2000000,umask=0x1,event=0xa6",
	.desc = "Macro-fused instructions decoded",
	.topic = "frontend",
},
{
	.name = "two_uop_insts_decoded",
	.event = "period=2000000,umask=0x1,event=0x19",
	.desc = "Two Uop instructions decoded",
	.topic = "frontend",
},
{
	.name = "arith.cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.div",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1,event=0x14",
	.desc = "Divide Operations executed",
	.topic = "pipeline",
},
{
	.name = "arith.mul",
	.event = "period=2000000,umask=0x2,event=0x14",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "baclear.bad_target",
	.event = "period=2000000,umask=0x2,event=0xe6",
	.desc = "BACLEAR asserted with bad target address",
	.topic = "pipeline",
},
{
	.name = "baclear.clear",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEAR asserted, regardless of cause",
	.topic = "pipeline",
},
{
	.name = "baclear_force_iq",
	.event = "period=2000000,umask=0x1,event=0xa7",
	.desc = "Instruction queue forced BACLEAR",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.early",
	.event = "period=2000000,umask=0x1,event=0xe8",
	.desc = "Early Branch Prediciton Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.late",
	.event = "period=2000000,umask=0x2,event=0xe8",
	.desc = "Late Branch Prediction Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_missed_call_ret",
	.event = "period=2000000,umask=0x1,event=0xe5",
	.desc = "Branch prediction unit missed call or return",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.any",
	.event = "period=200000,umask=0x7f,event=0x88",
	.desc = "Branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.cond",
	.event = "period=200000,umask=0x1,event=0x88",
	.desc = "Conditional branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct",
	.event = "period=200000,umask=0x2,event=0x88",
	.desc = "Unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct_near_call",
	.event = "period=20000,umask=0x10,event=0x88",
	.desc = "Unconditional call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_near_call",
	.event = "period=20000,umask=0x20,event=0x88",
	.desc = "Indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_non_call",
	.event = "period=20000,umask=0x4,event=0x88",
	.desc = "Indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.near_calls",
	.event = "period=20000,umask=0x30,event=0x88",
	.desc = "Call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.non_calls",
	.event = "period=200000,umask=0x7,event=0x88",
	.desc = "All non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.return_near",
	.event = "period=20000,umask=0x8,event=0x88",
	.desc = "Indirect return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken",
	.event = "period=200000,umask=0x40,event=0x88",
	.desc = "Taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=200000,umask=0x1,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=20000,umask=0x2,event=0xc4",
	.desc = "Retired near call instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.any",
	.event = "period=20000,umask=0x7f,event=0x89",
	.desc = "Mispredicted branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.cond",
	.event = "period=20000,umask=0x1,event=0x89",
	.desc = "Mispredicted conditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct",
	.event = "period=20000,umask=0x2,event=0x89",
	.desc = "Mispredicted unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct_near_call",
	.event = "period=2000,umask=0x10,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_near_call",
	.event = "period=2000,umask=0x20,event=0x89",
	.desc = "Mispredicted indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_non_call",
	.event = "period=2000,umask=0x4,event=0x89",
	.desc = "Mispredicted indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.near_calls",
	.event = "period=2000,umask=0x30,event=0x89",
	.desc = "Mispredicted call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.non_calls",
	.event = "period=20000,umask=0x7,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.return_near",
	.event = "period=2000,umask=0x8,event=0x89",
	.desc = "Mispredicted return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken",
	.event = "period=20000,umask=0x40,event=0x89",
	.desc = "Mispredicted taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=2000,umask=0x2,event=0xc5",
	.desc = "Mispredicted near retired calls (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_p",
	.event = "period=100000,umask=0x1,event=0x3c",
	.desc = "Reference base clock (133 Mhz) cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.total_cycles",
	.event = "cmask=2,inv=1,period=2000000,event=0x3c",
	.desc = "Total CPU cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.any",
	.event = "period=2000000,umask=0xf,event=0x87",
	.desc = "Any Instruction Length Decoder stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000000,umask=0x4,event=0x87",
	.desc = "Instruction Queue full stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Length Change Prefix stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.mru",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Stall cycles due to BPU MRU bypass",
	.topic = "pipeline",
},
{
	.name = "ild_stall.regen",
	.event = "period=2000000,umask=0x8,event=0x87",
	.desc = "Regen stall cycles",
	.topic = "pipeline",
},
{
	.name = "inst_decoded.dec0",
	.event = "period=2000000,umask=0x1,event=0x18",
	.desc = "Instructions that must be decoded by decoder 0",
	.topic = "pipeline",
},
{
	.name = "inst_queue_writes",
	.event = "period=2000000,umask=0x1,event=0x17",
	.desc = "Instructions written to instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_queue_write_cycles",
	.event = "period=2000000,umask=0x1,event=0x1e",
	.desc = "Cycles instructions are written to the instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Programmable counter and Precise Event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.mmx",
	.event = "period=2000000,umask=0x4,event=0xc0",
	.desc = "Retired MMX instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000000,umask=0x2,event=0xc0",
	.desc = "Retired floating-point operations (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre",
	.event = "period=200000,umask=0x1,event=0x4c",
	.desc = "Load operations conflicting with software prefetches",
	.topic = "pipeline",
},
{
	.name = "lsd.active",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles when uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd.inactive",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles no uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd_overflow",
	.event = "period=2000000,umask=0x1,event=0x20",
	.desc = "Loops that can't stream from the instruction queue",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=20000,umask=0x1,event=0xc3",
	.desc = "Cycles machine clear asserted",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mem_order",
	.event = "period=20000,umask=0x2,event=0xc3",
	.desc = "Execution pipeline restart due to Memory ordering conflicts",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20000,umask=0x4,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.any",
	.event = "period=2000000,umask=0xf,event=0xd2",
	.desc = "All RAT stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.flags",
	.event = "period=2000000,umask=0x1,event=0xd2",
	.desc = "Flag stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.registers",
	.event = "period=2000000,umask=0x2,event=0xd2",
	.desc = "Partial register stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.rob_read_port",
	.event = "period=2000000,umask=0x4,event=0xd2",
	.desc = "ROB read port stalls cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.scoreboard",
	.event = "period=2000000,umask=0x8,event=0xd2",
	.desc = "Scoreboard stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000000,umask=0x1,event=0xa2",
	.desc = "Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.fpcw",
	.event = "period=2000000,umask=0x20,event=0xa2",
	.desc = "FPU control word write stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.load",
	.event = "period=2000000,umask=0x2,event=0xa2",
	.desc = "Load buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mxcsr",
	.event = "period=2000000,umask=0x40,event=0xa2",
	.desc = "MXCSR rename stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.other",
	.event = "period=2000000,umask=0x80,event=0xa2",
	.desc = "Other Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob_full",
	.event = "period=2000000,umask=0x10,event=0xa2",
	.desc = "ROB full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs_full",
	.event = "period=2000000,umask=0x4,event=0xa2",
	.desc = "Reservation Station full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.store",
	.event = "period=2000000,umask=0x8,event=0xa2",
	.desc = "Store buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_double",
	.event = "period=200000,umask=0x4,event=0xc7",
	.desc = "SIMD Packed-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_single",
	.event = "period=200000,umask=0x1,event=0xc7",
	.desc = "SIMD Packed-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_double",
	.event = "period=200000,umask=0x8,event=0xc7",
	.desc = "SIMD Scalar-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_single",
	.event = "period=200000,umask=0x2,event=0xc7",
	.desc = "SIMD Scalar-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.vector_integer",
	.event = "period=200000,umask=0x10,event=0xc7",
	.desc = "SIMD Vector Integer Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_folding",
	.event = "period=2000000,umask=0x4,event=0xd1",
	.desc = "Stack pointer instructions decoded",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_sync",
	.event = "period=2000000,umask=0x8,event=0xd1",
	.desc = "Stack pointer sync operations",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.ms_cycles_active",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xd1",
	.desc = "Uops decoded by Microcode Sequencer",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xd1",
	.desc = "Cycles no Uops are decoded",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles",
	.event = "any=1,cmask=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles_no_port5",
	.event = "any=1,cmask=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count_no_port5",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles no Uops issued on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles_no_port5",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port0",
	.event = "period=2000000,umask=0x1,event=0xb1",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015",
	.event = "period=2000000,umask=0x40,event=0xb1",
	.desc = "Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015_stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x40,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port1",
	.event = "period=2000000,umask=0x2,event=0xb1",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port234_core",
	.event = "any=1,period=2000000,umask=0x80,event=0xb1",
	.desc = "Uops issued on ports 2, 3 or 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port2_core",
	.event = "any=1,period=2000000,umask=0x4,event=0xb1",
	.desc = "Uops executed on port 2 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port3_core",
	.event = "any=1,period=2000000,umask=0x8,event=0xb1",
	.desc = "Uops executed on port 3 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port4_core",
	.event = "any=1,period=2000000,umask=0x10,event=0xb1",
	.desc = "Uops executed on port 4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port5",
	.event = "period=2000000,umask=0x20,event=0xb1",
	.desc = "Uops executed on port 5",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000000,umask=0x1,event=0xe",
	.desc = "Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued on any thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.cycles_all_threads",
	.event = "any=1,cmask=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles Uops were issued on either thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.fused",
	.event = "period=2000000,umask=0x2,event=0xe",
	.desc = "Fused Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued",
	.topic = "pipeline",
},
{
	.name = "uops_retired.active_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are being retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x1,event=0xc2",
	.desc = "Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000000,umask=0x4,event=0xc2",
	.desc = "Macro-fused Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000000,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are not retiring (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Total cycles using precise uop retired event (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uop_unfusion",
	.event = "period=2000000,umask=0x1,event=0xdb",
	.desc = "Uop unfusions due to FP exceptions",
	.topic = "pipeline",
},
{
	.name = "fp_assist.all",
	.event = "period=20000,umask=0x1,event=0xf7",
	.desc = "X87 Floating point assists (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.input",
	.event = "period=20000,umask=0x4,event=0xf7",
	.desc = "X87 Floating poiint assists for invalid input value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.output",
	.event = "period=20000,umask=0x2,event=0xf7",
	.desc = "X87 Floating point assists for invalid output value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.mmx",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "MMX Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse2_integer",
	.event = "period=2000000,umask=0x8,event=0x10",
	.desc = "SSE2 integer Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_double_precision",
	.event = "period=2000000,umask=0x80,event=0x10",
	.desc = "SSE* FP double precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp",
	.event = "period=2000000,umask=0x4,event=0x10",
	.desc = "SSE and SSE2 FP Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_packed",
	.event = "period=2000000,umask=0x10,event=0x10",
	.desc = "SSE FP packed Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_scalar",
	.event = "period=2000000,umask=0x20,event=0x10",
	.desc = "SSE FP scalar Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_single_precision",
	.event = "period=2000000,umask=0x40,event=0x10",
	.desc = "SSE* FP single precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Computational floating-point operations executed",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.any",
	.event = "period=2000000,umask=0x3,event=0xcc",
	.desc = "All Floating Point to and from MMX transitions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_fp",
	.event = "period=2000000,umask=0x1,event=0xcc",
	.desc = "Transitions from MMX to Floating Point instructions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_mmx",
	.event = "period=2000000,umask=0x2,event=0xcc",
	.desc = "Transitions from Floating Point to MMX instructions",
	.topic = "floating point",
},
{
	.name = "simd_int_128.pack",
	.event = "period=200000,umask=0x4,event=0x12",
	.desc = "128 bit SIMD integer pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_arith",
	.event = "period=200000,umask=0x20,event=0x12",
	.desc = "128 bit SIMD integer arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_logical",
	.event = "period=200000,umask=0x10,event=0x12",
	.desc = "128 bit SIMD integer logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_mpy",
	.event = "period=200000,umask=0x1,event=0x12",
	.desc = "128 bit SIMD integer multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_shift",
	.event = "period=200000,umask=0x2,event=0x12",
	.desc = "128 bit SIMD integer shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.shuffle_move",
	.event = "period=200000,umask=0x40,event=0x12",
	.desc = "128 bit SIMD integer shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.unpack",
	.event = "period=200000,umask=0x8,event=0x12",
	.desc = "128 bit SIMD integer unpack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.pack",
	.event = "period=200000,umask=0x4,event=0xfd",
	.desc = "SIMD integer 64 bit pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_arith",
	.event = "period=200000,umask=0x20,event=0xfd",
	.desc = "SIMD integer 64 bit arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_logical",
	.event = "period=200000,umask=0x10,event=0xfd",
	.desc = "SIMD integer 64 bit logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_mpy",
	.event = "period=200000,umask=0x1,event=0xfd",
	.desc = "SIMD integer 64 bit packed multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_shift",
	.event = "period=200000,umask=0x2,event=0xfd",
	.desc = "SIMD integer 64 bit shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.shuffle_move",
	.event = "period=200000,umask=0x40,event=0xfd",
	.desc = "SIMD integer 64 bit shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.unpack",
	.event = "period=200000,umask=0x8,event=0xfd",
	.desc = "SIMD integer 64 bit unpack operations",
	.topic = "floating point",
},
{
	.name = "offcore_response.any_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6011",
	.desc = "Offcore data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF811",
	.desc = "Offcore data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4011",
	.desc = "Offcore data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2011",
	.desc = "Offcore data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6044",
	.desc = "Offcore code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF844",
	.desc = "Offcore code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4044",
	.desc = "Offcore code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2044",
	.desc = "Offcore code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x60FF",
	.desc = "Offcore requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF8FF",
	.desc = "Offcore requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x40FF",
	.desc = "Offcore requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x20FF",
	.desc = "Offcore requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6022",
	.desc = "Offcore RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF822",
	.desc = "Offcore RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4022",
	.desc = "Offcore RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2022",
	.desc = "Offcore RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6008",
	.desc = "Offcore writebacks to any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF808",
	.desc = "Offcore writebacks that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4008",
	.desc = "Offcore writebacks to the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2008",
	.desc = "Offcore writebacks to a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6077",
	.desc = "Offcore code or data read requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF877",
	.desc = "Offcore code or data read requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4077",
	.desc = "Offcore code or data read requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2077",
	.desc = "Offcore code or data read requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6033",
	.desc = "Offcore request = all data, response = any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF833",
	.desc = "Offcore request = all data, response = any LLC miss",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6003",
	.desc = "Offcore demand data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF803",
	.desc = "Offcore demand data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4003",
	.desc = "Offcore demand data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2003",
	.desc = "Offcore demand data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6001",
	.desc = "Offcore demand data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF801",
	.desc = "Offcore demand data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4001",
	.desc = "Offcore demand data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2001",
	.desc = "Offcore demand data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6004",
	.desc = "Offcore demand code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF804",
	.desc = "Offcore demand code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4004",
	.desc = "Offcore demand code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2004",
	.desc = "Offcore demand code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6002",
	.desc = "Offcore demand RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF802",
	.desc = "Offcore demand RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4002",
	.desc = "Offcore demand RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2002",
	.desc = "Offcore demand RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6080",
	.desc = "Offcore other requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF880",
	.desc = "Offcore other requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.other.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2080",
	.desc = "Offcore other requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6030",
	.desc = "Offcore prefetch data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF830",
	.desc = "Offcore prefetch data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4030",
	.desc = "Offcore prefetch data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2030",
	.desc = "Offcore prefetch data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6010",
	.desc = "Offcore prefetch data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF810",
	.desc = "Offcore prefetch data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4010",
	.desc = "Offcore prefetch data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2010",
	.desc = "Offcore prefetch data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6040",
	.desc = "Offcore prefetch code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF840",
	.desc = "Offcore prefetch code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4040",
	.desc = "Offcore prefetch code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2040",
	.desc = "Offcore prefetch code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6020",
	.desc = "Offcore prefetch RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF820",
	.desc = "Offcore prefetch RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4020",
	.desc = "Offcore prefetch RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2020",
	.desc = "Offcore prefetch RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6070",
	.desc = "Offcore prefetch requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF870",
	.desc = "Offcore prefetch requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4070",
	.desc = "Offcore prefetch requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2070",
	.desc = "Offcore prefetch requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "cache_lock_cycles.l1d",
	.event = "period=2000000,umask=0x2,event=0x63",
	.desc = "Cycles L1D locked",
	.topic = "cache",
},
{
	.name = "cache_lock_cycles.l1d_l2",
	.event = "period=2000000,umask=0x1,event=0x63",
	.desc = "Cycles L1D and L2 locked",
	.topic = "cache",
},
{
	.name = "l1d.m_evict",
	.event = "period=2000000,umask=0x4,event=0x51",
	.desc = "L1D cache lines replaced in M state",
	.topic = "cache",
},
{
	.name = "l1d.m_repl",
	.event = "period=2000000,umask=0x2,event=0x51",
	.desc = "L1D cache lines allocated in the M state",
	.topic = "cache",
},
{
	.name = "l1d.m_snoop_evict",
	.event = "period=2000000,umask=0x8,event=0x51",
	.desc = "L1D snoop eviction of cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.repl",
	.event = "period=2000000,umask=0x1,event=0x51",
	.desc = "L1 data cache lines allocated",
	.topic = "cache",
},
{
	.name = "l1d_all_ref.any",
	.event = "period=2000000,umask=0x1,event=0x43",
	.desc = "All references to the L1 data cache",
	.topic = "cache",
},
{
	.name = "l1d_all_ref.cacheable",
	.event = "period=2000000,umask=0x2,event=0x43",
	.desc = "L1 data cacheable reads and writes",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.e_state",
	.event = "period=2000000,umask=0x4,event=0x40",
	.desc = "L1 data cache read in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.i_state",
	.event = "period=2000000,umask=0x1,event=0x40",
	.desc = "L1 data cache read in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.mesi",
	.event = "period=2000000,umask=0xf,event=0x40",
	.desc = "L1 data cache reads",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.m_state",
	.event = "period=2000000,umask=0x8,event=0x40",
	.desc = "L1 data cache read in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.s_state",
	.event = "period=2000000,umask=0x2,event=0x40",
	.desc = "L1 data cache read in S state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.e_state",
	.event = "period=2000000,umask=0x4,event=0x42",
	.desc = "L1 data cache load locks in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.hit",
	.event = "period=2000000,umask=0x1,event=0x42",
	.desc = "L1 data cache load lock hits",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.m_state",
	.event = "period=2000000,umask=0x8,event=0x42",
	.desc = "L1 data cache load locks in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.s_state",
	.event = "period=2000000,umask=0x2,event=0x42",
	.desc = "L1 data cache load locks in S state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x53",
	.desc = "L1D load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_cache_prefetch_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x52",
	.desc = "L1D prefetch load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.e_state",
	.event = "period=2000000,umask=0x4,event=0x41",
	.desc = "L1 data cache stores in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.m_state",
	.event = "period=2000000,umask=0x8,event=0x41",
	.desc = "L1 data cache stores in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.s_state",
	.event = "period=2000000,umask=0x2,event=0x41",
	.desc = "L1 data cache stores in S state",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.miss",
	.event = "period=200000,umask=0x2,event=0x4e",
	.desc = "L1D hardware prefetch misses",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.requests",
	.event = "period=200000,umask=0x1,event=0x4e",
	.desc = "L1D hardware prefetch requests",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.triggers",
	.event = "period=200000,umask=0x4,event=0x4e",
	.desc = "L1D hardware prefetch requests triggered",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.e_state",
	.event = "period=100000,umask=0x4,event=0x28",
	.desc = "L1 writebacks to L2 in E state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.i_state",
	.event = "period=100000,umask=0x1,event=0x28",
	.desc = "L1 writebacks to L2 in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.mesi",
	.event = "period=100000,umask=0xf,event=0x28",
	.desc = "All L1 writebacks to L2",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.m_state",
	.event = "period=100000,umask=0x8,event=0x28",
	.desc = "L1 writebacks to L2 in M state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.s_state",
	.event = "period=100000,umask=0x2,event=0x28",
	.desc = "L1 writebacks to L2 in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.any",
	.event = "period=200000,umask=0xff,event=0x26",
	.desc = "All L2 data requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.e_state",
	.event = "period=200000,umask=0x4,event=0x26",
	.desc = "L2 data demand loads in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.i_state",
	.event = "period=200000,umask=0x1,event=0x26",
	.desc = "L2 data demand loads in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.mesi",
	.event = "period=200000,umask=0xf,event=0x26",
	.desc = "L2 data demand requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.m_state",
	.event = "period=200000,umask=0x8,event=0x26",
	.desc = "L2 data demand loads in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.s_state",
	.event = "period=200000,umask=0x2,event=0x26",
	.desc = "L2 data demand loads in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.e_state",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 data prefetches in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.i_state",
	.event = "period=200000,umask=0x10,event=0x26",
	.desc = "L2 data prefetches in the I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.mesi",
	.event = "period=200000,umask=0xf0,event=0x26",
	.desc = "All L2 data prefetches",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.m_state",
	.event = "period=200000,umask=0x80,event=0x26",
	.desc = "L2 data prefetches in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.s_state",
	.event = "period=200000,umask=0x20,event=0x26",
	.desc = "L2 data prefetches in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.any",
	.event = "period=100000,umask=0x7,event=0xf1",
	.desc = "L2 lines alloacated",
	.topic = "cache",
},
{
	.name = "l2_lines_in.e_state",
	.event = "period=100000,umask=0x4,event=0xf1",
	.desc = "L2 lines allocated in the E state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s_state",
	.event = "period=100000,umask=0x2,event=0xf1",
	.desc = "L2 lines allocated in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_out.any",
	.event = "period=100000,umask=0xf,event=0xf2",
	.desc = "L2 lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100000,umask=0x1,event=0xf2",
	.desc = "L2 lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100000,umask=0x2,event=0xf2",
	.desc = "L2 modified lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_clean",
	.event = "period=100000,umask=0x4,event=0xf2",
	.desc = "L2 lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_dirty",
	.event = "period=100000,umask=0x8,event=0xf2",
	.desc = "L2 modified lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetches",
	.event = "period=200000,umask=0x30,event=0x24",
	.desc = "L2 instruction fetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_hit",
	.event = "period=200000,umask=0x10,event=0x24",
	.desc = "L2 instruction fetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_miss",
	.event = "period=200000,umask=0x20,event=0x24",
	.desc = "L2 instruction fetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_hit",
	.event = "period=200000,umask=0x1,event=0x24",
	.desc = "L2 load hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_miss",
	.event = "period=200000,umask=0x2,event=0x24",
	.desc = "L2 load misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.loads",
	.event = "period=200000,umask=0x3,event=0x24",
	.desc = "L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200000,umask=0xaa,event=0x24",
	.desc = "All L2 misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetches",
	.event = "period=200000,umask=0xc0,event=0x24",
	.desc = "All L2 prefetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_hit",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 prefetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_miss",
	.event = "period=200000,umask=0x80,event=0x24",
	.desc = "L2 prefetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200000,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfos",
	.event = "period=200000,umask=0xc,event=0x24",
	.desc = "L2 RFO requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200000,umask=0x4,event=0x24",
	.desc = "L2 RFO hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200000,umask=0x8,event=0x24",
	.desc = "L2 RFO misses",
	.topic = "cache",
},
{
	.name = "l2_transactions.any",
	.event = "period=200000,umask=0x80,event=0xf0",
	.desc = "All L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.fill",
	.event = "period=200000,umask=0x20,event=0xf0",
	.desc = "L2 fill transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.ifetch",
	.event = "period=200000,umask=0x4,event=0xf0",
	.desc = "L2 instruction fetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.l1d_wb",
	.event = "period=200000,umask=0x10,event=0xf0",
	.desc = "L1D writeback to L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.load",
	.event = "period=200000,umask=0x1,event=0xf0",
	.desc = "L2 Load transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.prefetch",
	.event = "period=200000,umask=0x8,event=0xf0",
	.desc = "L2 prefetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.rfo",
	.event = "period=200000,umask=0x2,event=0xf0",
	.desc = "L2 RFO transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.wb",
	.event = "period=200000,umask=0x40,event=0xf0",
	.desc = "L2 writeback to LLC transactions",
	.topic = "cache",
},
{
	.name = "l2_write.lock.e_state",
	.event = "period=100000,umask=0x40,event=0x27",
	.desc = "L2 demand lock RFOs in E state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.hit",
	.event = "period=100000,umask=0xe0,event=0x27",
	.desc = "All demand L2 lock RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.lock.i_state",
	.event = "period=100000,umask=0x10,event=0x27",
	.desc = "L2 demand lock RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.lock.mesi",
	.event = "period=100000,umask=0xf0,event=0x27",
	.desc = "All demand L2 lock RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.lock.m_state",
	.event = "period=100000,umask=0x80,event=0x27",
	.desc = "L2 demand lock RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.s_state",
	.event = "period=100000,umask=0x20,event=0x27",
	.desc = "L2 demand lock RFOs in S state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.hit",
	.event = "period=100000,umask=0xe,event=0x27",
	.desc = "All L2 demand store RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.i_state",
	.event = "period=100000,umask=0x1,event=0x27",
	.desc = "L2 demand store RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.mesi",
	.event = "period=100000,umask=0xf,event=0x27",
	.desc = "All L2 demand store RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.m_state",
	.event = "period=100000,umask=0x8,event=0x27",
	.desc = "L2 demand store RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.s_state",
	.event = "period=100000,umask=0x2,event=0x27",
	.desc = "L2 demand store RFOs in S state",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100000,umask=0x41,event=0x2e",
	.desc = "Longest latency cache miss",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "Longest latency cache reference",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_0",
	.event = "period=2000000,umask=0x10,event=0xb,ldlat=",
	.desc = "Memory instructions retired above 0 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_1024",
	.event = "period=100,umask=0x10,event=0xb,ldlat=0x400",
	.desc = "Memory instructions retired above 1024 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_128",
	.event = "period=1000,umask=0x10,event=0xb,ldlat=0x80",
	.desc = "Memory instructions retired above 128 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16",
	.event = "period=10000,umask=0x10,event=0xb,ldlat=0x10",
	.desc = "Memory instructions retired above 16 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16384",
	.event = "period=5,umask=0x10,event=0xb,ldlat=0x4000",
	.desc = "Memory instructions retired above 16384 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_2048",
	.event = "period=50,umask=0x10,event=0xb,ldlat=0x800",
	.desc = "Memory instructions retired above 2048 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_256",
	.event = "period=500,umask=0x10,event=0xb,ldlat=0x100",
	.desc = "Memory instructions retired above 256 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32",
	.event = "period=5000,umask=0x10,event=0xb,ldlat=0x20",
	.desc = "Memory instructions retired above 32 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32768",
	.event = "period=3,umask=0x10,event=0xb,ldlat=0x8000",
	.desc = "Memory instructions retired above 32768 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4",
	.event = "period=50000,umask=0x10,event=0xb,ldlat=0x4",
	.desc = "Memory instructions retired above 4 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4096",
	.event = "period=20,umask=0x10,event=0xb,ldlat=0x1000",
	.desc = "Memory instructions retired above 4096 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_512",
	.event = "period=200,umask=0x10,event=0xb,ldlat=0x200",
	.desc = "Memory instructions retired above 512 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_64",
	.event = "period=2000,umask=0x10,event=0xb,ldlat=0x40",
	.desc = "Memory instructions retired above 64 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8",
	.event = "period=20000,umask=0x10,event=0xb,ldlat=0x8",
	.desc = "Memory instructions retired above 8 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8192",
	.event = "period=10,umask=0x10,event=0xb,ldlat=0x2000",
	.desc = "Memory instructions retired above 8192 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.loads",
	.event = "period=2000000,umask=0x1,event=0xb",
	.desc = "Instructions retired which contains a load (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.stores",
	.event = "period=2000000,umask=0x2,event=0xb",
	.desc = "Instructions retired which contains a store (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.hit_lfb",
	.event = "period=200000,umask=0x40,event=0xcb",
	.desc = "Retired loads that miss L1D and hit an previously allocated LFB (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l1d_hit",
	.event = "period=2000000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L1 data cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x2,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_miss",
	.event = "period=10000,umask=0x10,event=0xcb",
	.desc = "Retired loads that miss the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_unshared_hit",
	.event = "period=40000,umask=0x4,event=0xcb",
	.desc = "Retired loads that hit valid versions in the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.other_core_l2_hit_hitm",
	.event = "period=40000,umask=0x8,event=0xcb",
	.desc = "Retired loads that hit sibling core's L2 in modified or unmodified states (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.local_dram",
	.event = "period=10000,umask=0x20,event=0xf",
	.desc = "Load instructions retired with a data source of local DRAM or locally homed remote hitm (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.other_core_l2_hitm",
	.event = "period=40000,umask=0x2,event=0xf",
	.desc = "Load instructions retired that HIT modified data in sibling core (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_cache_local_home_hit",
	.event = "period=20000,umask=0x8,event=0xf",
	.desc = "Load instructions retired remote cache HIT data source (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_dram",
	.event = "period=10000,umask=0x10,event=0xf",
	.desc = "Load instructions retired remote DRAM and remote home-remote cache HITM (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.uncacheable",
	.event = "period=4000,umask=0x80,event=0xf",
	.desc = "Load instructions retired IO (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.l1d_writeback",
	.event = "period=100000,umask=0x40,event=0xb0",
	.desc = "Offcore L1 data cache writebacks",
	.topic = "cache",
},
{
	.name = "offcore_requests_sq_full",
	.event = "period=100000,umask=0x1,event=0xb2",
	.desc = "Offcore requests blocked due to Super Queue full",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F11",
	.desc = "Offcore data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF11",
	.desc = "All offcore data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8011",
	.desc = "Offcore data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x111",
	.desc = "Offcore data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x211",
	.desc = "Offcore data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x411",
	.desc = "Offcore data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x711",
	.desc = "Offcore data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4711",
	.desc = "Offcore data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1811",
	.desc = "Offcore data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3811",
	.desc = "Offcore data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1011",
	.desc = "Offcore data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x811",
	.desc = "Offcore data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F44",
	.desc = "Offcore code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF44",
	.desc = "All offcore code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8044",
	.desc = "Offcore code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x144",
	.desc = "Offcore code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x244",
	.desc = "Offcore code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x444",
	.desc = "Offcore code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x744",
	.desc = "Offcore code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4744",
	.desc = "Offcore code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1844",
	.desc = "Offcore code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3844",
	.desc = "Offcore code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1044",
	.desc = "Offcore code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x844",
	.desc = "Offcore code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FFF",
	.desc = "Offcore requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFFFF",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x80FF",
	.desc = "Offcore requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1FF",
	.desc = "Offcore requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2FF",
	.desc = "Offcore requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4FF",
	.desc = "Offcore requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FF",
	.desc = "Offcore requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x47FF",
	.desc = "Offcore requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x18FF",
	.desc = "Offcore requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x38FF",
	.desc = "Offcore requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x10FF",
	.desc = "Offcore requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8FF",
	.desc = "Offcore requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F22",
	.desc = "Offcore RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF22",
	.desc = "All offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8022",
	.desc = "Offcore RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x122",
	.desc = "Offcore RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x222",
	.desc = "Offcore RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x422",
	.desc = "Offcore RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x722",
	.desc = "Offcore RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4722",
	.desc = "Offcore RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1822",
	.desc = "Offcore RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3822",
	.desc = "Offcore RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1022",
	.desc = "Offcore RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x822",
	.desc = "Offcore RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F08",
	.desc = "Offcore writebacks to any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF08",
	.desc = "All offcore writebacks",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8008",
	.desc = "Offcore writebacks to the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x108",
	.desc = "Offcore writebacks to the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x408",
	.desc = "Offcore writebacks to the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x708",
	.desc = "Offcore writebacks to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4708",
	.desc = "Offcore writebacks to the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1808",
	.desc = "Offcore writebacks to a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3808",
	.desc = "Offcore writebacks to a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1008",
	.desc = "Offcore writebacks that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x808",
	.desc = "Offcore writebacks that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F77",
	.desc = "Offcore code or data read requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF77",
	.desc = "All offcore code or data read requests",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8077",
	.desc = "Offcore code or data read requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x177",
	.desc = "Offcore code or data read requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x277",
	.desc = "Offcore code or data read requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x477",
	.desc = "Offcore code or data read requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x777",
	.desc = "Offcore code or data read requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4777",
	.desc = "Offcore code or data read requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1877",
	.desc = "Offcore code or data read requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3877",
	.desc = "Offcore code or data read requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1077",
	.desc = "Offcore code or data read requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x877",
	.desc = "Offcore code or data read requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F33",
	.desc = "Offcore request = all data, response = any cache_dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF33",
	.desc = "Offcore request = all data, response = any location",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x133",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x233",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x433",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x733",
	.desc = "Offcore request = all data, response = local cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4733",
	.desc = "Offcore request = all data, response = local cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1833",
	.desc = "Offcore request = all data, response = remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3833",
	.desc = "Offcore request = all data, response = remote cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1033",
	.desc = "Offcore data reads, RFOs, and prefetches that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x833",
	.desc = "Offcore data reads, RFOs, and prefetches that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F03",
	.desc = "Offcore demand data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF03",
	.desc = "All offcore demand data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8003",
	.desc = "Offcore demand data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x103",
	.desc = "Offcore demand data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x203",
	.desc = "Offcore demand data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x403",
	.desc = "Offcore demand data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x703",
	.desc = "Offcore demand data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4703",
	.desc = "Offcore demand data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1803",
	.desc = "Offcore demand data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3803",
	.desc = "Offcore demand data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1003",
	.desc = "Offcore demand data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x803",
	.desc = "Offcore demand data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F01",
	.desc = "Offcore demand data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF01",
	.desc = "All offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8001",
	.desc = "Offcore demand data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x101",
	.desc = "Offcore demand data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x201",
	.desc = "Offcore demand data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x401",
	.desc = "Offcore demand data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x701",
	.desc = "Offcore demand data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4701",
	.desc = "Offcore demand data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1801",
	.desc = "Offcore demand data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3801",
	.desc = "Offcore demand data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1001",
	.desc = "Offcore demand data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x801",
	.desc = "Offcore demand data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F04",
	.desc = "Offcore demand code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF04",
	.desc = "All offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8004",
	.desc = "Offcore demand code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x104",
	.desc = "Offcore demand code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x204",
	.desc = "Offcore demand code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x404",
	.desc = "Offcore demand code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x704",
	.desc = "Offcore demand code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4704",
	.desc = "Offcore demand code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1804",
	.desc = "Offcore demand code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3804",
	.desc = "Offcore demand code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1004",
	.desc = "Offcore demand code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x804",
	.desc = "Offcore demand code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F02",
	.desc = "Offcore demand RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF02",
	.desc = "All offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8002",
	.desc = "Offcore demand RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x102",
	.desc = "Offcore demand RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x202",
	.desc = "Offcore demand RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x402",
	.desc = "Offcore demand RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x702",
	.desc = "Offcore demand RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4702",
	.desc = "Offcore demand RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1002",
	.desc = "Offcore demand RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x802",
	.desc = "Offcore demand RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F80",
	.desc = "Offcore other requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF80",
	.desc = "All offcore other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8080",
	.desc = "Offcore other requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x180",
	.desc = "Offcore other requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x280",
	.desc = "Offcore other requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x480",
	.desc = "Offcore other requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x780",
	.desc = "Offcore other requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4780",
	.desc = "Offcore other requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1880",
	.desc = "Offcore other requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3880",
	.desc = "Offcore other requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1080",
	.desc = "Offcore other requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x880",
	.desc = "Offcore other requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F30",
	.desc = "Offcore prefetch data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF30",
	.desc = "All offcore prefetch data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8030",
	.desc = "Offcore prefetch data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x130",
	.desc = "Offcore prefetch data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x230",
	.desc = "Offcore prefetch data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x430",
	.desc = "Offcore prefetch data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x730",
	.desc = "Offcore prefetch data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4730",
	.desc = "Offcore prefetch data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1030",
	.desc = "Offcore prefetch data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x830",
	.desc = "Offcore prefetch data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F10",
	.desc = "Offcore prefetch data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF10",
	.desc = "All offcore prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8010",
	.desc = "Offcore prefetch data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x110",
	.desc = "Offcore prefetch data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x210",
	.desc = "Offcore prefetch data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x410",
	.desc = "Offcore prefetch data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x710",
	.desc = "Offcore prefetch data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4710",
	.desc = "Offcore prefetch data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1010",
	.desc = "Offcore prefetch data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x810",
	.desc = "Offcore prefetch data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F40",
	.desc = "Offcore prefetch code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF40",
	.desc = "All offcore prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8040",
	.desc = "Offcore prefetch code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x140",
	.desc = "Offcore prefetch code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x240",
	.desc = "Offcore prefetch code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x440",
	.desc = "Offcore prefetch code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x740",
	.desc = "Offcore prefetch code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4740",
	.desc = "Offcore prefetch code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1040",
	.desc = "Offcore prefetch code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x840",
	.desc = "Offcore prefetch code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F20",
	.desc = "Offcore prefetch RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF20",
	.desc = "All offcore prefetch RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8020",
	.desc = "Offcore prefetch RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x120",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x220",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x420",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1020",
	.desc = "Offcore prefetch RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x820",
	.desc = "Offcore prefetch RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F70",
	.desc = "Offcore prefetch requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF70",
	.desc = "All offcore prefetch requests",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8070",
	.desc = "Offcore prefetch requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x170",
	.desc = "Offcore prefetch requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x270",
	.desc = "Offcore prefetch requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x470",
	.desc = "Offcore prefetch requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x770",
	.desc = "Offcore prefetch requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4770",
	.desc = "Offcore prefetch requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1870",
	.desc = "Offcore prefetch requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3870",
	.desc = "Offcore prefetch requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1070",
	.desc = "Offcore prefetch requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x870",
	.desc = "Offcore prefetch requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=2000000,umask=0x10,event=0xf4",
	.desc = "Super Queue lock splits across a cache line",
	.topic = "cache",
},
{
	.name = "store_blocks.at_ret",
	.event = "period=200000,umask=0x4,event=0x6",
	.desc = "Loads delayed with at-Retirement block code",
	.topic = "cache",
},
{
	.name = "store_blocks.l1d_block",
	.event = "period=200000,umask=0x8,event=0x6",
	.desc = "Cacheable loads delayed with L1D block code",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_sapphirerapids[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0x1",
	.desc = "PCU PCLK Clockticks. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of PCU PCLK Clock cycles while the event is enabled",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Thermal Strongest Upper Limit Cycles : Number of cycles any frequency is reduced due to a thermal limit.  Count only if throttling is occurring",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Power Strongest Upper Limit Cycles : Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent changing Frequency : Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C2E : Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C6 : Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy_cores_c0",
	.event = "event=0x35",
	.desc = "Number of cores in C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C0 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy_cores_c3",
	.event = "event=0x36",
	.desc = "Number of cores in C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C3 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy_cores_c6",
	.event = "event=0x37",
	.desc = "Number of cores in C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C6 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "External Prochot : Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Internal Prochot : Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "assists.page_fault",
	.event = "period=1000003,umask=0x8,event=0xc1",
	.desc = "ASSISTS.PAGE_FAULT",
	.topic = "other",
},
{
	.name = "exe.amx_busy",
	.event = "period=2000003,umask=0x2,event=0xb7",
	.desc = "Counts the cycles where the AMX (Advance Matrix Extension) unit is busy performing an operation",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x73C000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x104000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.snc_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x708000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x73C000001",
	.desc = "Counts demand data reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x104000001",
	.desc = "Counts demand data reads that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.remote_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x730000001",
	.desc = "Counts demand data reads that were supplied by DRAM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.remote_pmm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x703000001",
	.desc = "Counts demand data reads that were supplied by PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.snc_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x708000001",
	.desc = "Counts demand data reads that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F3FFC0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x73C000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x104000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.snc_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x708000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10400",
	.desc = "Counts data load hardware prefetch requests to the L1 data cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10070",
	.desc = "Counts hardware prefetches (which bring data to L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l3.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x12380",
	.desc = "Counts hardware prefetches to the L3 only that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l3.remote",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x90002380",
	.desc = "Counts hardware prefetches to the L3 only that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline was homed in a remote socket",
	.topic = "other",
},
{
	.name = "ocr.modified_write.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10808",
	.desc = "Counts writebacks of modified cachelines and streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F3FFC4477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x73C004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x104004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_socket_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x70C004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to this socket, whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts DRAM accesses that are controlled by the close or distant SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_socket_pmm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x700C04477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM attached to this socket, whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts PMM accesses that are controlled by the close or distant SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F33004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches and were supplied by a remote socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x730004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_memory",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x733004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM or PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_pmm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x703004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.snc_dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x708004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.write_estimate.memory",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0xFBFF80822",
	.desc = "Counts Demand RFOs, ItoM's, PREFECTHW's, Hardware RFO Prefetches to the L1/L2 and Streaming stores that likely resulted in a store to Memory (DRAM or PMM)",
	.topic = "other",
},
{
	.name = "rs.empty",
	.event = "period=1000003,umask=0x7,event=0xa5",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "other",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for this logical processor. This is usually caused when the front-end pipeline runs into starvation periods (e.g. branch mispredictions or i-cache misses)",
},
{
	.name = "rs.empty_count",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x7,event=0xa5",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty",
	.topic = "other",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to closely sample on front-end latency issues (see the FRONTEND_RETIRED event of designated precise events)",
},
{
	.name = "rs_empty.count",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x7,event=0xa5",
	.desc = "This event is deprecated. Refer to new event RS.EMPTY_COUNT",
	.topic = "other",
	.deprecated = "1",
},
{
	.name = "rs_empty.cycles",
	.event = "period=1000003,umask=0x7,event=0xa5",
	.desc = "This event is deprecated. Refer to new event RS.EMPTY",
	.topic = "other",
	.deprecated = "1",
},
{
	.name = "xq.full_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x2d",
	.desc = "XQ.FULL_CYCLES",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x12",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x12",
	.desc = "Cycles when at least one PMH is busy with a page walk for a demand load",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a demand load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x12",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x12",
	.desc = "Number of page walks outstanding for a demand load in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a demand load in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x13",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x13",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x13",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x13",
	.desc = "Number of page walks outstanding for a store in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a store in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x11",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts instruction fetch requests that miss the ITLB (Instruction TLB) and hit the STLB (Second-level TLB)",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x11",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a code (instruction fetch) request",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x11",
	.desc = "Number of page walks outstanding for an outstanding code request in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an outstanding code (instruction fetch) request in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "decode.lcp",
	.event = "period=500009,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "frontend",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "decode.ms_busy",
	.event = "period=500009,umask=0x2,event=0x87",
	.desc = "Cycles the Microcode Sequencer is busy",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=100003,umask=0x2,event=0x61",
	.desc = "DSB-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Decode Stream Buffer (DSB) is a Uop-cache that holds translations of previously fetched instructions that were decoded by the legacy x86 decode pipeline (MITE). This event counts fetch penalty cycles when a transition occurs from DSB to MITE",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x608006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x601006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600206",
	.desc = "Retired instructions after front-end starvation of at least 2 cycles (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 2 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x610006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x602006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x620006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x604006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.ms_flows",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x8",
	.desc = "FRONTEND_RETIRED.MS_FLOWS (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.unknown_branch",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x17",
	.desc = "FRONTEND_RETIRED.UNKNOWN_BRANCH (Precise event)",
	.topic = "frontend",
},
{
	.name = "icache_data.stalls",
	.event = "period=500009,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code line fetch is stalled due to an L1 instruction cache miss. The decode pipeline works at a 32 Byte granularity",
},
{
	.name = "icache_tag.stalls",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code fetch is stalled due to L1 instruction cache tag miss",
},
{
	.name = "idq.dsb_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles DSB is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.mite_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x20,event=0x79",
	.desc = "Cycles when uops are being delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=100003,umask=0x20,event=0x79",
	.desc = "Number of switches from DSB or MITE to the MS",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=1000003,umask=0x20,event=0x79",
	.desc = "Uops delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS)",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=1000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered by IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=6,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when no uops are not delivered by the IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when no uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when optimal number of uops was delivered to the back-end when the back-end is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when the optimal number of uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "amx_ops_retired.bf16",
	.event = "period=1000003,umask=0x2,event=0xce",
	.desc = "AMX_OPS_RETIRED.BF16",
	.topic = "pipeline",
},
{
	.name = "amx_ops_retired.int8",
	.event = "period=1000003,umask=0x1,event=0xce",
	.desc = "AMX_OPS_RETIRED.INT8",
	.topic = "pipeline",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.DIV_ACTIVE",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "arith.div_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0xb0",
	.desc = "Cycles when divide unit is busy executing divide or square root operations",
	.topic = "pipeline",
	.long_desc = "Counts cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
},
{
	.name = "arith.fp_divider_active",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.FPDIV_ACTIVE",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "arith.idiv_active",
	.event = "period=1000003,umask=0x8,event=0xb0",
	.desc = "This event counts the cycles the integer divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.int_divider_active",
	.event = "cmask=1,period=1000003,umask=0x8,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.IDIV_ACTIVE",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "assists.any",
	.event = "period=100003,umask=0x1b,event=0xc1",
	.desc = "Number of occurrences where a microcode assist is invoked by hardware",
	.topic = "pipeline",
	.long_desc = "Counts the number of occurrences where a microcode assist is invoked by hardware. Examples include AD (page Access Dirty), FP and AVX related assists",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts not taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc4",
	.desc = "Indirect near branch instructions retired (excluding returns) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc5",
	.desc = "Mispredicted non-taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired that were mispredicted and the branch direction was not taken (Precise event)",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "number of branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional mispredicted branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc5",
	.desc = "Miss-predicted near indirect branch instructions retired (excluding returns) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts miss-predicted near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=400009,umask=0x2,event=0xc5",
	.desc = "Mispredicted indirect CALL retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts retired mispredicted indirect (near taken) CALL instructions, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_unhalted.c01",
	.event = "period=2000003,umask=0x10,event=0xec",
	.desc = "Core clocks when the thread is in the C0.1 light-weight slower wakeup time but more power saving optimized state",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.1 light-weight slower wakeup time but more power saving optimized state.  This state can be entered via the TPAUSE or UMWAIT instructions",
},
{
	.name = "cpu_clk_unhalted.c02",
	.event = "period=2000003,umask=0x20,event=0xec",
	.desc = "Core clocks when the thread is in the C0.2 light-weight faster wakeup time but less power saving optimized state",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.2 light-weight faster wakeup time but less power saving optimized state.  This state can be entered via the TPAUSE or UMWAIT instructions",
},
{
	.name = "cpu_clk_unhalted.c0_wait",
	.event = "period=2000003,umask=0x70,event=0xec",
	.desc = "Core clocks when the thread is in the C0.1 or C0.2 or running a PAUSE in C0 ACPI state",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.1 or C0.2 power saving optimized states (TPAUSE or UMWAIT instructions) or running the PAUSE instruction",
},
{
	.name = "cpu_clk_unhalted.distributed",
	.event = "period=2000003,umask=0x2,event=0xec",
	.desc = "Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes cycle counts between active hyperthreads, i.e., those in C0.  A hyperthread becomes inactive when it executes the HLT or MWAIT instructions.  If all other hyperthreads are inactive (or disabled or do not exist), all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
	.long_desc = "Counts Core crystal clock cycles when current thread is unhalted and the other thread is halted",
},
{
	.name = "cpu_clk_unhalted.pause",
	.event = "period=2000003,umask=0x40,event=0xec",
	.desc = "CPU_CLK_UNHALTED.PAUSE",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.pause_inst",
	.event = "cmask=1,edge=1,period=2000003,umask=0x40,event=0xec",
	.desc = "CPU_CLK_UNHALTED.PAUSE_INST",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_distributed",
	.event = "period=2000003,umask=0x8,event=0x3c",
	.desc = "Core crystal clock cycles. Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes Core crystal clock cycle counts between active hyperthreads, i.e., those in C0 sleep-state. A hyperthread becomes inactive when it executes the HLT or MWAIT instructions. If one thread is active in a core, all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=1000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=1000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=1000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=1000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_loads",
	.event = "cmask=5,period=2000003,umask=0x21,event=0xa6",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "cmask=2,period=1000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no loads caused an execution stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles where the Store Buffer was full and no loads caused an execution stall",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=1000003,umask=0x80,event=0xa6",
	.desc = "Cycles no uop executed while RS was not empty, the SB was not full and there was no outstanding load",
	.topic = "pipeline",
	.long_desc = "Number of cycles total of 0 uops executed on all ports, Reservation Station (RS) was not empty, the Store Buffer (SB) was not full and there was no outstanding load",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x75",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.macro_fused",
	.event = "period=2000003,umask=0x10,event=0xc0",
	.desc = "INST_RETIRED.MACRO_FUSED",
	.topic = "pipeline",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Retired NOP instructions",
	.topic = "pipeline",
	.long_desc = "Counts all retired NOP or ENDBR32/64 instructions",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0",
	.desc = "Precise instruction retired with PEBS precise-distribution (Precise event)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a precise distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR++) feature to fix bias in how retired instructions get sampled. Use on Fixed Counter 0 (Precise event)",
},
{
	.name = "inst_retired.rep_iteration",
	.event = "period=2000003,umask=0x8,event=0xc0",
	.desc = "INST_RETIRED.REP_ITERATION",
	.topic = "pipeline",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=500009,umask=0x80,event=0xad",
	.desc = "Counts cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
	.topic = "pipeline",
	.long_desc = "Cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
},
{
	.name = "int_misc.mba_stalls",
	.event = "period=1000003,umask=0x20,event=0xad",
	.desc = "INT_MISC.MBA_STALLS",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=500009,umask=0x1,event=0xad",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread",
	.topic = "pipeline",
	.long_desc = "Counts core cycles when the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.unknown_branch_cycles",
	.event = "period=1000003,umask=0x40,event=0xad,frontend=0x7",
	.desc = "INT_MISC.UNKNOWN_BRANCH_CYCLES",
	.topic = "pipeline",
},
{
	.name = "int_misc.uop_dropping",
	.event = "period=1000003,umask=0x10,event=0xad",
	.desc = "TMA slots where uops got dropped",
	.topic = "pipeline",
	.long_desc = "Estimated number of Top-down Microarchitecture Analysis slots that got dropped due to non front-end reasons",
},
{
	.name = "int_vec_retired.128bit",
	.event = "period=1000003,umask=0x13,event=0xe7",
	.desc = "INT_VEC_RETIRED.128BIT",
	.topic = "pipeline",
},
{
	.name = "int_vec_retired.256bit",
	.event = "period=1000003,umask=0xac,event=0xe7",
	.desc = "INT_VEC_RETIRED.256BIT",
	.topic = "pipeline",
},
{
	.name = "int_vec_retired.add_128",
	.event = "period=1000003,umask=0x3,event=0xe7",
	.desc = "integer ADD, SUB, SAD 128-bit vector instructions",
	.topic = "pipeline",
	.long_desc = "Number of retired integer ADD/SUB (regular or horizontal), SAD 128-bit vector instructions",
},
{
	.name = "int_vec_retired.add_256",
	.event = "period=1000003,umask=0xc,event=0xe7",
	.desc = "integer ADD, SUB, SAD 256-bit vector instructions",
	.topic = "pipeline",
	.long_desc = "Number of retired integer ADD/SUB (regular or horizontal), SAD 256-bit vector instructions",
},
{
	.name = "int_vec_retired.mul_256",
	.event = "period=1000003,umask=0x80,event=0xe7",
	.desc = "INT_VEC_RETIRED.MUL_256",
	.topic = "pipeline",
},
{
	.name = "int_vec_retired.shuffles",
	.event = "period=1000003,umask=0x40,event=0xe7",
	.desc = "INT_VEC_RETIRED.SHUFFLES",
	.topic = "pipeline",
},
{
	.name = "int_vec_retired.vnni_128",
	.event = "period=1000003,umask=0x10,event=0xe7",
	.desc = "INT_VEC_RETIRED.VNNI_128",
	.topic = "pipeline",
},
{
	.name = "int_vec_retired.vnni_256",
	.event = "period=1000003,umask=0x20,event=0xe7",
	.desc = "INT_VEC_RETIRED.VNNI_256",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.address_alias",
	.event = "period=100003,umask=0x4,event=0x3",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts the number of times a load got blocked due to false dependencies in MOB due to partial compare on address",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x88,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x82,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "load_hit_prefetch.swpf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Counts the number of demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles optimal number of Uops delivered by the LSD, but did not come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when optimal number of uops is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
	.long_desc = "Counts the number of machine clears (nukes) of any type",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "misc2_retired.lfence",
	.event = "period=400009,umask=0x20,event=0xe0",
	.desc = "MISC2_RETIRED.LFENCE",
	.topic = "pipeline",
},
{
	.name = "misc_retired.lbr_inserts",
	.event = "period=100003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
},
{
	.name = "resource_stalls.sb",
	.event = "period=100003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "resource_stalls.scoreboard",
	.event = "period=100003,umask=0x2,event=0xa2",
	.desc = "Counts cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
},
{
	.name = "topdown.backend_bound_slots",
	.event = "period=10000003,umask=0x2,event=0xa4",
	.desc = "TMA slots where no uops were being issued due to lack of back-end resources",
	.topic = "pipeline",
	.long_desc = "Number of slots in TMA method where no micro-operations were being issued from front-end to back-end of the machine due to lack of back-end resources",
},
{
	.name = "topdown.bad_spec_slots",
	.event = "period=10000003,umask=0x4,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculations",
	.topic = "pipeline",
	.long_desc = "Number of slots of TMA method that were wasted due to incorrect speculation. It covers all types of control-flow or data-related mis-speculations",
},
{
	.name = "topdown.br_mispredict_slots",
	.event = "period=10000003,umask=0x8,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculation by branch mispredictions",
	.topic = "pipeline",
	.long_desc = "Number of TMA slots that were wasted due to incorrect speculation by (any type of) branch mispredictions. This event estimates number of specualtive operations that were issued but not retired as well as the out-of-order engine recovery past a branch misprediction",
},
{
	.name = "topdown.memory_bound_slots",
	.event = "period=10000003,umask=0x10,event=0xa4",
	.desc = "TOPDOWN.MEMORY_BOUND_SLOTS",
	.topic = "pipeline",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method (TMA). The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core. Software can use this event as the denominator for the top-level metrics of the TMA method. This architectural event is counted on a designated fixed counter (Fixed Counter 3)",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Counts the number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method. The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core",
},
{
	.name = "uops_decoded.dec0_uops",
	.event = "period=1000003,umask=0x1,event=0x76",
	.desc = "UOPS_DECODED.DEC0_UOPS",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 0",
},
{
	.name = "uops_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xb2",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 1",
},
{
	.name = "uops_dispatched.port_2_3_10",
	.event = "period=2000003,umask=0x4,event=0xb2",
	.desc = "Uops executed on ports 2, 3 and 10",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 2, 3 and 10",
},
{
	.name = "uops_dispatched.port_4_9",
	.event = "period=2000003,umask=0x10,event=0xb2",
	.desc = "Uops executed on ports 4 and 9",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 4 and 9",
},
{
	.name = "uops_dispatched.port_5_11",
	.event = "period=2000003,umask=0x20,event=0xb2",
	.desc = "Uops executed on ports 5 and 11",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 5 and 11",
},
{
	.name = "uops_dispatched.port_6",
	.event = "period=2000003,umask=0x40,event=0xb2",
	.desc = "Uops executed on port 6",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 6",
},
{
	.name = "uops_dispatched.port_7_8",
	.event = "period=2000003,umask=0x80,event=0xb2",
	.desc = "Uops executed on ports 7 and 8",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  ports 7 and 8",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 2 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 3 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 4 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stalls",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UOPS_EXECUTED.STALLS",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xae",
	.desc = "Uops that RAT issues to RS",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_retired.cycles",
	.event = "cmask=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles with retired uop(s)",
	.topic = "pipeline",
	.long_desc = "Counts cycles where at least one uop has retired",
},
{
	.name = "uops_retired.heavy",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Retired uops except the last uop of each instruction",
	.topic = "pipeline",
	.long_desc = "Counts the number of retired micro-operations (uops) except the last uop of each instruction. An instruction that is decoded into less than two uops does not contribute to the count",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x4,event=0xc2,frontend=0x8",
	.desc = "UOPS_RETIRED.MS",
	.topic = "pipeline",
},
{
	.name = "uops_retired.slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used each cycle",
},
{
	.name = "uops_retired.stalls",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "This event is deprecated. Refer to new event UOPS_RETIRED.STALLS",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "arith.fpdiv_active",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xb0",
	.desc = "ARITH.FPDIV_ACTIVE",
	.topic = "floating point",
},
{
	.name = "assists.fp",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Counts all microcode FP assists",
	.topic = "floating point",
	.long_desc = "Counts all microcode Floating Point assists",
},
{
	.name = "assists.sse_avx_mix",
	.event = "period=1000003,umask=0x10,event=0xc1",
	.desc = "ASSISTS.SSE_AVX_MIX",
	.topic = "floating point",
},
{
	.name = "fp_arith_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_0",
	.topic = "floating point",
},
{
	.name = "fp_arith_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_1",
	.topic = "floating point",
},
{
	.name = "fp_arith_dispatched.port_5",
	.event = "period=2000003,umask=0x4,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_5",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=100003,umask=0x4,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=100003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=100003,umask=0x10,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=100003,umask=0x20,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=100003,umask=0x40,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=100003,umask=0x80,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=100003,umask=0x1,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=100003,umask=0x2,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired2.128b_packed_half",
	.event = "period=100003,umask=0x4,event=0xcf",
	.desc = "FP_ARITH_INST_RETIRED2.128B_PACKED_HALF",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired2.256b_packed_half",
	.event = "period=100003,umask=0x8,event=0xcf",
	.desc = "FP_ARITH_INST_RETIRED2.256B_PACKED_HALF",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired2.512b_packed_half",
	.event = "period=100003,umask=0x10,event=0xcf",
	.desc = "FP_ARITH_INST_RETIRED2.512B_PACKED_HALF",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired2.complex_scalar_half",
	.event = "period=100003,umask=0x2,event=0xcf",
	.desc = "FP_ARITH_INST_RETIRED2.COMPLEX_SCALAR_HALF",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired2.scalar",
	.event = "period=100003,umask=0x3,event=0xcf",
	.desc = "Number of all Scalar Half-Precision FP arithmetic instructions(1) retired - regular and complex",
	.topic = "floating point",
	.long_desc = "FP_ARITH_INST_RETIRED2.SCALAR",
},
{
	.name = "fp_arith_inst_retired2.scalar_half",
	.event = "period=100003,umask=0x1,event=0xcf",
	.desc = "FP_ARITH_INST_RETIRED2.SCALAR_HALF",
	.topic = "floating point",
},
{
	.name = "fp_arith_inst_retired2.vector",
	.event = "period=100003,umask=0x1c,event=0xcf",
	.desc = "Number of all Vector (also called packed) Half-Precision FP arithmetic instructions(1) retired",
	.topic = "floating point",
	.long_desc = "FP_ARITH_INST_RETIRED2.VECTOR",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=1000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Number of machine clears due to memory ordering conflicts",
	.topic = "memory",
	.long_desc = "Counts the number of Machine Clears detected dye to memory ordering. Memory Ordering Machine Clears may apply when a memory read may not conform to the memory ordering rules of the x86 architecture",
},
{
	.name = "memory_activity.cycles_l1d_miss",
	.event = "cmask=2,period=1000003,umask=0x2,event=0x47",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "memory_activity.stalls_l1d_miss",
	.event = "cmask=3,period=1000003,umask=0x3,event=0x47",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "memory_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0x47",
	.desc = "MEMORY_ACTIVITY.STALLS_L2_MISS",
	.topic = "memory",
},
{
	.name = "memory_activity.stalls_l3_miss",
	.event = "cmask=9,period=1000003,umask=0x9,event=0x47",
	.desc = "MEMORY_ACTIVITY.STALLS_L3_MISS",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.store_sample",
	.event = "period=1000003,umask=0x2,event=0xcd",
	.desc = "Retired memory store access operations. A PDist event for PEBS Store Latency Facility  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts Retired memory accesses with at least 1 store operation. This PEBS event is the precisely-distributed (PDist) trigger covering all stores uops for sampling by the PEBS Store Latency Facility. The facility is described in Intel SDM Volume 3 section 19.9.8  Supports address when precise (Must be precise)",
},
{
	.name = "ocr.demand_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00001",
	.desc = "Counts demand data reads that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F3FC00002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l3.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x94002380",
	.desc = "Counts hardware prefetches to the L3 only that missed the local socket's L1, L2, and L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l3.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x84002380",
	.desc = "Counts hardware prefetches to the L3 only that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F3FC04477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F04C04477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local_socket",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x70CC04477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that missed the L3 Cache and were supplied by the local socket (DRAM or PMM), whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts PMM or DRAM accesses that are controlled by the close or distant SNC Cluster.  It does not count misses to the L3 which go to Local CXL Type 2 Memory or Local Non DRAM",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x94000800",
	.desc = "Counts streaming stores that missed the local socket's L1, L2, and L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x84000800",
	.desc = "Counts streaming stores that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0x21",
	.desc = "Counts demand data read requests that miss the L3 cache",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x20",
	.desc = "For every cycle, increments by the number of demand data read requests pending that are known to have missed the L3 cache",
	.topic = "memory",
	.long_desc = "For every cycle, increments by the number of demand data read requests pending that are known to have missed the L3 cache.  Note that this does not capture all elapsed cycles while requests are outstanding - only cycles from when the requests were known by the requesting core to have missed the L3 cache",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=100003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM abort was triggered",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=100003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=100003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=100003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=100003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=100003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=100003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Counts the number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_mem.abort_capacity_read",
	.event = "period=100003,umask=0x80,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional reads",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional reads",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=100003,umask=0x2,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional writes",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional writes",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=100003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX line had a cache conflict",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "spr metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "spr metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_fb_full / (tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "spr metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "spr metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency + tma_streaming_stores)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "spr metrics",
	.metric_expr = "100 * ((br_inst_retired.cond + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "spr metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "spr metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "spr metrics",
	.metric_expr = "tma_retiring * slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "spr metrics",
	.metric_expr = "tma_retiring * slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "spr metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "spr metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "spr metrics",
	.metric_expr = "topdown.slots",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Fraction of Physical Core issue-slots utilized by this Logical Processor",
	.topic = "spr metrics",
	.metric_expr = "(slots / (topdown.slots / 2) if #smt_on else 1)",
	.metric_name = "Slots_Utilization",
	.metric_group = "SMT;tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "spr metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "spr metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + fp_arith_inst_retired2.scalar_half + 2 * (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired2.complex_scalar_half) + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired2.128b_packed_half + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * (fp_arith_inst_retired2.256b_packed_half + fp_arith_inst_retired.512b_packed_single) + 32 * fp_arith_inst_retired2.512b_packed_half + 4 * amx_ops_retired.bf16) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "spr metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_dispatched.port_0 + fp_arith_dispatched.port_1 + fp_arith_dispatched.port_5) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "spr metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "spr metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "spr metrics",
	.metric_expr = "cpu_clk_unhalted.distributed",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "spr metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + fp_arith_inst_retired2.scalar_half + 2 * (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired2.complex_scalar_half) + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired2.128b_packed_half + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * (fp_arith_inst_retired2.256b_packed_half + fp_arith_inst_retired.512b_packed_single) + 32 * fp_arith_inst_retired2.512b_packed_half + 4 * amx_ops_retired.bf16)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + fp_arith_inst_retired2.scalar + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single + fp_arith_inst_retired2.vector))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired2.128b_packed_half)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired2.256b_packed_half)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single + fp_arith_inst_retired2.512b_packed_half)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AMX operation (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per FP Arithmetic AMX operation (lower number means higher occurrence rate). Operations factored per matrices' sizes of the AMX instructions",
	.metric_expr = "inst_retired.any / amx_ops_retired.bf16",
	.metric_name = "IpArith_AMX_F16",
	.metric_group = "Flops;FpVector;InsType;Server",
},
{
	.desc = "Instructions per Integer Arithmetic AMX operation (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.long_desc = "Instructions per Integer Arithmetic AMX operation (lower number means higher occurrence rate). Operations factored per matrices' sizes of the AMX instructions",
	.metric_expr = "inst_retired.any / amx_ops_retired.int8",
	.metric_name = "IpArith_AMX_Int8",
	.metric_group = "InsType;IntVector;Server",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "spr metrics",
	.metric_expr = "tma_retiring * slots / cpu@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Estimated fraction of retirement-cycles dealing with repeat instructions",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.rep_iteration / cpu@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Strings_Cycles",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Instructions per a microcode Assist invocation. See Assists tree node for details (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / cpu@assists.any\\,umask\\=0x1b@",
	.metric_name = "IpAssist",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "",
	.topic = "spr metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "spr metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "spr metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "spr metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu@dsb2mite_switches.penalty_cycles\\,cmask\\=1\\,edge@",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "spr metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "spr metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "spr metrics",
	.metric_expr = "br_inst_retired.cond_ntaken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "spr metrics",
	.metric_expr = "br_inst_retired.cond_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "spr metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "spr metrics",
	.metric_expr = "(br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches of other types (not individually covered by other metrics in Info.Branches group)",
	.topic = "spr metrics",
	.metric_expr = "1 - (cond_nt + cond_tk + callret + jump)",
	.metric_name = "Other_Branches",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "spr metrics",
	.metric_expr = "l1d_pend_miss.pending / mem_load_completed.l1_miss_any",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "spr metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "spr metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "spr metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "spr metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "spr metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending) / (4 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Rate of silent evictions from the L2 cache per Kilo instruction where the evicted lines are dropped (no writeback to L3 or memory)",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_lines_out.silent / instructions",
	.metric_name = "L2_Evictions_Silent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Rate of non silent evictions from the L2 cache per Kilo instruction",
	.topic = "spr metrics",
	.metric_expr = "1e3 * l2_lines_out.non_silent / instructions",
	.metric_name = "L2_Evictions_NonSilent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "spr metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "spr metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "spr metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + fp_arith_inst_retired2.scalar_half + 2 * (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired2.complex_scalar_half) + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired2.128b_packed_half + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * (fp_arith_inst_retired2.256b_packed_half + fp_arith_inst_retired.512b_packed_single) + 32 * fp_arith_inst_retired2.512b_packed_half + 4 * amx_ops_retired.bf16) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Tera Integer (matrix) Operations Per Second",
	.topic = "spr metrics",
	.metric_expr = "8 * amx_ops_retired.int8 / 1e12 / duration_time",
	.metric_name = "TIOPS",
	.metric_group = "Cor;HPC;IntVector;Server",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "spr metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "spr metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_distributed if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "spr metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "spr metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "spr metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "spr metrics",
	.metric_expr = "unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_occupancy.ia_miss_drd@thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external 3D X-Point memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "spr metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_pmm / unc_cha_tor_inserts.ia_miss_drd_pmm) / uncore_cha_0@event\\=0x1@",
	.metric_name = "MEM_PMM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average latency of data read request to external DRAM memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "spr metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_ddr / unc_cha_tor_inserts.ia_miss_drd_ddr) / uncore_cha_0@event\\=0x1@",
	.metric_name = "MEM_DRAM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for reads [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * unc_m_pmm_rpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Read_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for Writes [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "64 * unc_m_pmm_wpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Write_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Writes [GB / sec]",
	.topic = "spr metrics",
	.metric_expr = "unc_cha_tor_inserts.io_pcirdcur * 64 / 1e9 / duration_time",
	.metric_name = "IO_Write_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "spr metrics",
	.metric_expr = "uncore_cha_0@event\\=0x1@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "spr metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "spr metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "Percentage of time spent in the active CPU power state C0",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "cpu_utilization",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "spr metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions ",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions ",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_llcprefdata + unc_cha_tor_inserts.ia_miss_drd + unc_cha_tor_inserts.ia_miss_drd_pref) / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "spr metrics",
	.unit = "1per_instr",
	.metric_expr = "unc_cha_tor_inserts.ia_miss_crd / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) in nano seconds",
	.topic = "spr metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "spr metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_local / unc_cha_tor_inserts.ia_miss_drd_local) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_local) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "spr metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_remote / unc_cha_tor_inserts.ia_miss_drd_remote) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_remote) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency_for_remote_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to Intel(R) Optane(TM) Persistent Memory(PMEM) in nano seconds",
	.topic = "spr metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_pmm / unc_cha_tor_inserts.ia_miss_drd_pmm) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_pmm) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_to_pmem_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to DRAM in nano seconds",
	.topic = "spr metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_ddr / unc_cha_tor_inserts.ia_miss_drd_ddr) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_ddr) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_to_dram_latency",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "spr metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_2nd_level_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "spr metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_2nd_level_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "spr metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_2nd_level_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "spr metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the Data Translation Lookaside Buffer (DTLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "dtlb_2nd_level_2mb_large_page_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "spr metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_2nd_level_store_mpi",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local) / (unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local + unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote) / (unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local + unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "spr metrics",
	.unit = "1GHz",
	.metric_expr = "unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Ultra Path Interconnect (UPI) data transmit bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_upi_txl_flits.all_data * 7.111111111111111 / 1e6 / duration_time",
	.metric_name = "upi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory read bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_rpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_read",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory write bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_wpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_write",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory bandwidth (MB/sec)",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_pmm_rpq_inserts + unc_m_pmm_wpq_inserts) * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_tor_inserts.io_pcirdcur * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_cha_tor_inserts.io_itom + unc_cha_tor_inserts.io_itomcachenear) * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to local memory",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to local memory",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_write",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "spr metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_write",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "spr metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "topdown\\-fe\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "topdown\\-fetch\\-lat / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "icache_data.stalls / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "icache_tag.stalls / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "topdown\\-br\\-mispredict / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) / max(1 - (tma_frontend_bound + topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)), 0) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(1 - topdown\\-br\\-mispredict / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) / max(1 - (tma_frontend_bound + topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)), 0)) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit)",
	.unit = "100%",
	.metric_expr = "int_misc.unknown_branch_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "decode.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "spr metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "max(0, tma_frontend_bound - tma_fetch_latency)",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "spr metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.mite_cycles_any - idq.mite_cycles_ok) / cpu_clk_unhalted.distributed / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=0x1@ - cpu@inst_decoded.decoders\\,cmask\\=0x2@) / cpu_clk_unhalted.distributed",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_L4_group;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "spr metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.dsb_cycles_any - idq.dsb_cycles_ok) / cpu_clk_unhalted.distributed / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "spr metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "max(1 - (tma_frontend_bound + topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)), 0)",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "topdown\\-br\\-mispredict / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "max(0, tma_bad_speculation - topdown\\-br\\-mispredict / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound))",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "spr metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "topdown\\-mem\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((exe_activity.bound_on_loads - memory_activity.stalls_l1d_miss) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "min(7 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - memory_activity.cycles_l1d_miss, 0)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min((16 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (10 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "spr metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.fb_full / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(memory_activity.stalls_l1d_miss - memory_activity.stalls_l2_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(memory_activity.stalls_l2_miss - memory_activity.stalls_l3_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min(((28 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_fwd * (ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) + (27 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min((27 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_no_fwd + mem_load_l3_hit_retired.xsnp_fwd * (1 - ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min((12 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "spr metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(xq.full_cycles + l1d_pend_miss.l2_stalls) / cpu_clk_unhalted.thread",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(memory_activity.stalls_l3_miss / cpu_clk_unhalted.thread - tma_pmm_bound, 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x4@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to memory bandwidth Allocation feature (RDT's memory bandwidth throttling)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "int_misc.mba_stalls / cpu_clk_unhalted.thread",
	.metric_name = "tma_mba_stalls",
	.metric_group = "MemoryBW;Offcore;Server;TopdownL5;tma_L5_group;tma_mem_bandwidth_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((66.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 12 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((131 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 12 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(((120 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 12 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_hitm + (120 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 12 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_fwd) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a. IXP) memory by loads, PMM stands for Persistent Memory Module",
	.unit = "100%",
	.metric_expr = "min(((1 - (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))) / (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + (25 * (mem_load_retired.local_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 33 * (mem_load_l3_miss_retired.remote_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))))) * (memory_activity.stalls_l3_miss / cpu_clk_unhalted.thread) if 1e6 * (mem_load_l3_miss_retired.remote_pmm + mem_load_retired.local_pmm) > mem_load_retired.l1_miss else 0), 1)",
	.metric_name = "tma_pmm_bound",
	.metric_group = "MemoryBound;Server;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(mem_store_retired.l2_hit * 10 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min(28 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * ocr.demand_rfo.l3_hit.snoop_hitm / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "spr metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / cpu_clk_unhalted.distributed",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores",
	.topic = "spr metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should Streaming stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "min(9 * ocr.streaming_wr.any_response / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_streaming_stores",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((7 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_store_misses.walk_active) / cpu_clk_unhalted.distributed, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / cpu_clk_unhalted.distributed",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-mem\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) + 0 * slots",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "arith.divider_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cpu@exe_activity.3_ports_util\\,umask\\=0x80@ + (exe_activity.1_ports_util + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * cpu@exe_activity.2_ports_util\\,umask\\=0xc@)) / cpu_clk_unhalted.thread if arith.divider_active < cycle_activity.stalls_total - exe_activity.bound_on_loads else (exe_activity.1_ports_util + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * cpu@exe_activity.2_ports_util\\,umask\\=0xc@) / cpu_clk_unhalted.thread) + 0 * slots",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "cpu@exe_activity.3_ports_util\\,umask\\=0x80@ / cpu_clk_unhalted.thread + tma_serializing_operation * (cycle_activity.stalls_total - exe_activity.bound_on_loads) / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance",
	.unit = "100%",
	.metric_expr = "resource_stalls.scoreboard / cpu_clk_unhalted.thread",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.pause / cpu_clk_unhalted.thread",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_L6_group;tma_serializing_operation_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to LFENCE Instructions",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "min(13 * misc2_retired.lfence / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_memory_fence",
	.metric_group = "TopdownL6;tma_L6_group;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "spr metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "min(160 * assists.sse_avx_mix / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric estimates fraction of cycles where the Advanced Matrix Extensions (AMX) execution engine was busy with tile (arithmetic) operations",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "exe.amx_busy / cpu_clk_unhalted.distributed",
	.metric_name = "tma_amx_busy",
	.metric_group = "Compute;HPC;Server;TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "exe_activity.1_ports_util / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "exe_activity.2_ports_util / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "uops_executed.cycles_ge_3 / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_0 + uops_dispatched.port_1 + uops_dispatched.port_5_11 + uops_dispatched.port_6) / (5 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_0 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_1 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_6 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_2_3_10 / (3 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_4_9 + uops_dispatched.port_7_8) / (4 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "spr metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) + 0 * slots",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "spr metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * uops_executed.x87 / uops_executed.thread + tma_fp_scalar + tma_fp_vector + tma_fp_amx",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "spr metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * uops_executed.x87 / uops_executed.thread + 0 * slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + fp_arith_inst_retired2.scalar) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single + fp_arith_inst_retired2.vector) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired2.128b_packed_half) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired2.256b_packed_half) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single + fp_arith_inst_retired2.512b_packed_half) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) matrix uops fraction the CPU has retired (aggregated across all supported FP datatypes in AMX engine)",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) matrix uops fraction the CPU has retired (aggregated across all supported FP datatypes in AMX engine). Refer to AMX_Busy and GFLOPs metrics for actual AMX utilization and FP performance, resp",
	.unit = "100%",
	.metric_expr = "cpu@amx_ops_retired.bf16\\,cmask\\=0x1@ / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_fp_amx",
	.metric_group = "Compute;Flops;HPC;Pipeline;Server;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric represents overall Integer (Int) select operations fraction the CPU has executed (retired)",
	.topic = "spr metrics",
	.long_desc = "This metric represents overall Integer (Int) select operations fraction the CPU has executed (retired). Vector/Matrix Int operations and shuffles are counted. Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain",
	.unit = "100%",
	.metric_expr = "tma_int_vector_128b + tma_int_vector_256b + tma_shuffles",
	.metric_name = "tma_int_operations",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents 128-bit vector Integer ADD/SUB/SAD or VNNI (Vector Neural Network Instructions) uops fraction the CPU has retired",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(int_vec_retired.add_128 + int_vec_retired.vnni_128) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_int_vector_128b",
	.metric_group = "Compute;IntVector;Pipeline;TopdownL4;tma_L4_group;tma_int_operations_group",
},
{
	.desc = "This metric represents 256-bit vector Integer ADD/SUB/SAD or VNNI (Vector Neural Network Instructions) uops fraction the CPU has retired",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "(int_vec_retired.add_256 + int_vec_retired.mul_256 + int_vec_retired.vnni_256) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_int_vector_256b",
	.metric_group = "Compute;IntVector;Pipeline;TopdownL4;tma_L4_group;tma_int_operations_group",
},
{
	.desc = "This metric approximates arithmetic Integer (Int) matrix uops fraction the CPU has retired (aggregated across all supported Int datatypes in AMX engine)",
	.topic = "spr metrics",
	.long_desc = "This metric approximates arithmetic Integer (Int) matrix uops fraction the CPU has retired (aggregated across all supported Int datatypes in AMX engine). Refer to AMX_Busy and TIOPs metrics for actual AMX utilization and Int performance, resp",
	.unit = "100%",
	.metric_expr = "cpu@amx_ops_retired.int8\\,cmask\\=0x1@ / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_int_amx",
	.metric_group = "Compute;HPC;IntVector;Pipeline;Server;TopdownL4;tma_L4_group;tma_int_operations_group",
},
{
	.desc = "This metric represents Shuffle (cross \"vector lane\" data transfers) uops fraction the CPU has retired",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "int_vec_retired.shuffles / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_shuffles",
	.metric_group = "HPC;Pipeline;TopdownL4;tma_L4_group;tma_int_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) * mem_uop_retired.any / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. The instruction pairs of CMP+JCC or DEC+JCC are commonly used examples",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) * inst_retired.macro_fused / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_fused_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Non-conditional branches like direct JMP or CALL would count here. Can be used to examine fusible conditional jumps that were not fused",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) * (br_inst_retired.all_branches - inst_retired.macro_fused) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_non_fused_branches",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) * inst_retired.nop / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "max(0, max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)) - (tma_fp_arith + tma_int_operations + tma_memory_operations + tma_fused_instructions + tma_non_fused_branches + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "spr metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.ms / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * cpu@assists.any\\,umask\\=0x1b@ / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Page Faults",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Page Faults. A Page Fault may apply on first application access to a memory page. Note operating system handling of page faults accounts for the majority of its cost",
	.unit = "100%",
	.metric_expr = "99 * assists.page_fault / slots",
	.metric_name = "tma_page_faults",
	.metric_group = "TopdownL5;tma_L5_group;tma_assists_group",
},
{
	.desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Floating Point (FP) Assists",
	.topic = "spr metrics",
	.long_desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Floating Point (FP) Assists. FP Assist may apply when working with very small floating point values (so-called denormals)",
	.unit = "100%",
	.metric_expr = "30 * assists.fp / slots",
	.metric_name = "tma_fp_assists",
	.metric_group = "HPC;TopdownL5;tma_L5_group;tma_assists_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops as a result of handing SSE to AVX* or AVX* to SSE transition Assists",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "63 * assists.sse_avx_mix / slots",
	.metric_name = "tma_avx_assists",
	.metric_group = "HPC;TopdownL5;tma_L5_group;tma_assists_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "spr metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C1 residency percent per core",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c1\\-residency@ / tsc",
	.metric_name = "C1_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "spr metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_cha_clockticks",
	.event = "event=0x1",
	.desc = "CHA Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CHA clock cycles while the event is enabled",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Not Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts transactions that looked into the multi-socket cacheline Directory state, and therefore did not send a snoop because the Directory indicated it was not needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  transactions that looked into the multi-socket cacheline Directory state, and sent one or more snoops, because the Directory indicated it was needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from the HA pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates memory writes issued from the HA pipe. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from TOR pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates due to memory writes issued from the TOR pipe which are the result of remote transaction hitting the SF/LLC and returning data Core2Core. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_rd",
	.event = "umask=0x1bc1ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_snp",
	.event = "umask=0x1c19ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Snoop Requests from a Remote Socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_e",
	.event = "umask=0x2,event=0x37",
	.desc = "All LLC lines in E state that are victimized on a fill. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_m",
	.event = "umask=0x1,event=0x37",
	.desc = "All LLC lines in M state that are victimized on a fill. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_s",
	.event = "umask=0x4,event=0x37",
	.desc = "All LLC lines in S state that are victimized on a fill. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.local_invitoe",
	.event = "umask=0x1,event=0x55",
	.desc = "OSB Snoop Broadcast : Local InvItoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Local InvItoE : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.local_read",
	.event = "umask=0x2,event=0x55",
	.desc = "OSB Snoop Broadcast : Local Rd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Local Rd : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe",
	.event = "umask=0x30,event=0x50",
	.desc = "Requests for exclusive ownership of a cache line without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "Local requests for exclusive ownership of a cache line  without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "Read requests made into the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write) ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "Read requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a unit on this socket made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "Read requests from a remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a remote socket made into the CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "Write requests made into the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts write requests made into the CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "Write Requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  write requests coming from a unit on this socket made into this CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "Read and Write Requests; Writes Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all",
	.event = "umask=0xc001ffff,event=0x35",
	.desc = "TOR Inserts : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ddr",
	.event = "event=0x35",
	.desc = "TOR Inserts : DDR Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DDR Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "TOR Inserts : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SF/LLC Evictions : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.hit",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Hits : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia",
	.event = "umask=0xc001ff01,event=0x35",
	.desc = "TOR Inserts; All from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally initiated requests from IA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x35",
	.desc = "TOR Inserts;CLFlush from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; CLFlush events that are initiated from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x35",
	.desc = "TOR Inserts;CLFlushOpt from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; CLFlushOpt events that are initiated from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd",
	.event = "umask=0xc80fff01,event=0x35",
	.desc = "TOR Inserts; CRd from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x35",
	.desc = "TOR Inserts; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd",
	.event = "umask=0xc817ff01,event=0x35",
	.desc = "TOR Inserts; DRd from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drdpte",
	.event = "umask=0xc837ff01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x35",
	.desc = "TOR Inserts; DRd Opt from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x35",
	.desc = "TOR Inserts; DRd Opt Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_pref",
	.event = "umask=0xc897ff01,event=0x35",
	.desc = "TOR Inserts; DRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit",
	.event = "umask=0xc001fd01,event=0x35",
	.desc = "TOR Inserts; Hits from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x35",
	.desc = "TOR Inserts; CRd hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x35",
	.desc = "TOR Inserts; CRd Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd",
	.event = "umask=0xc817fd01,event=0x35",
	.desc = "TOR Inserts; DRd hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drdpte",
	.event = "umask=0xc837fd01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to page walks that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x35",
	.desc = "TOR Inserts; DRd Opt hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x35",
	.desc = "TOR Inserts; DRd Opt Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_pref",
	.event = "umask=0xc897fd01,event=0x35",
	.desc = "TOR Inserts; DRd Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_itom",
	.event = "umask=0xcc47fd01,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by iA Cores that Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefcode",
	.event = "umask=0xcccffd01,event=0x35",
	.desc = "TOR Inserts; LLCPrefCode hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch code read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefdata",
	.event = "umask=0xccd7fd01,event=0x35",
	.desc = "TOR Inserts; LLCPrefData hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch data read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefrfo",
	.event = "umask=0xccc7fd01,event=0x35",
	.desc = "TOR Inserts; LLCPrefRFO hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch read for ownership from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x35",
	.desc = "TOR Inserts; RFO hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x35",
	.desc = "TOR Inserts; RFO Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_itom",
	.event = "umask=0xcc47ff01,event=0x35",
	.desc = "TOR Inserts;ItoM from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; ItoM events that are initiated from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_itomcachenear",
	.event = "umask=0xcd47ff01,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefcode",
	.event = "umask=0xcccfff01,event=0x35",
	.desc = "TOR Inserts; LLCPrefCode from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch code read from local IA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefdata",
	.event = "umask=0xccd7ff01,event=0x35",
	.desc = "TOR Inserts; LLCPrefData from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch data read from local IA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefrfo",
	.event = "umask=0xccc7ff01,event=0x35",
	.desc = "TOR Inserts; LLCPrefRFO from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss",
	.event = "umask=0xc001fe01,event=0x35",
	.desc = "TOR Inserts; misses from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x35",
	.desc = "TOR Inserts for CRd misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode CRd",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_local",
	.event = "umask=0xc80efe01,event=0x35",
	.desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x35",
	.desc = "TOR Inserts; CRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref_local",
	.event = "umask=0xc88efe01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref_remote",
	.event = "umask=0xc88f7e01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_remote",
	.event = "umask=0xc80f7e01,event=0x35",
	.desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd",
	.event = "umask=0xc817fe01,event=0x35",
	.desc = "TOR Inserts for DRd misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drdpte",
	.event = "umask=0xc837fe01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_ddr",
	.event = "umask=0xc8178601,event=0x35",
	.desc = "TOR Inserts for DRds issued by IA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target DDR memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local",
	.event = "umask=0xc816fe01,event=0x35",
	.desc = "TOR Inserts for DRd misses from local IA targeting local memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target local memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local_ddr",
	.event = "umask=0xc8168601,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local_pmm",
	.event = "umask=0xc8168a01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x35",
	.desc = "TOR Inserts; DRd Opt misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x35",
	.desc = "TOR Inserts; DRd Opt Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read opt prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pmm",
	.event = "umask=0xc8178a01,event=0x35",
	.desc = "TOR Inserts for DRds issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target PMM memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref",
	.event = "umask=0xc897fe01,event=0x35",
	.desc = "TOR Inserts for DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRD_PREF",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_ddr",
	.event = "umask=0xc8978601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local",
	.event = "umask=0xc896fe01,event=0x35",
	.desc = "TOR Inserts for DRd Pref misses from local IA targeting local memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRD_PREF, and target local memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local_ddr",
	.event = "umask=0xc8968601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local_pmm",
	.event = "umask=0xc8968a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_pmm",
	.event = "umask=0xc8978a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote",
	.event = "umask=0xc8977e01,event=0x35",
	.desc = "TOR Inserts for DRd Pref misses from local IA targeting remote memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRD_PREF, and target remote memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote_ddr",
	.event = "umask=0xc8970601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote_pmm",
	.event = "umask=0xc8970a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote",
	.event = "umask=0xc8177e01,event=0x35",
	.desc = "TOR Inserts for DRd misses from local IA targeting remote memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and target remote memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote_ddr",
	.event = "umask=0xc8170601,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote_pmm",
	.event = "umask=0xc8170a01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_itom",
	.event = "umask=0xcc47fe01,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefcode",
	.event = "umask=0xcccffe01,event=0x35",
	.desc = "TOR Inserts; LLCPrefCode misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch code read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefdata",
	.event = "umask=0xccd7fe01,event=0x35",
	.desc = "TOR Inserts; LLCPrefData misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefrfo",
	.event = "umask=0xccc7fe01,event=0x35",
	.desc = "TOR Inserts; LLCPrefRFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Last level cache prefetch read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcilf_ddr",
	.event = "umask=0xc8668601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcilf_pmm",
	.event = "umask=0xc8668a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcil_ddr",
	.event = "umask=0xc86e8601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcil_pmm",
	.event = "umask=0xc86e8a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcilf_ddr",
	.event = "umask=0xc8670601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcilf_pmm",
	.event = "umask=0xc8670a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcil_ddr",
	.event = "umask=0xc86f0601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcil_pmm",
	.event = "umask=0xc86f0a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x35",
	.desc = "TOR Inserts; RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_local",
	.event = "umask=0xc806fe01,event=0x35",
	.desc = "TOR Inserts RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x35",
	.desc = "TOR Inserts; RFO pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref_local",
	.event = "umask=0xc886fe01,event=0x35",
	.desc = "TOR Inserts; RFO prefetch misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref_remote",
	.event = "umask=0xc8877e01,event=0x35",
	.desc = "TOR Inserts; RFO prefetch misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_remote",
	.event = "umask=0xc8077e01,event=0x35",
	.desc = "TOR Inserts; RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x35",
	.desc = "TOR Inserts : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf_ddr",
	.event = "umask=0xc8678601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf_pmm",
	.event = "umask=0xc8678a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil_ddr",
	.event = "umask=0xc86f8601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil_pmm",
	.event = "umask=0xc86f8a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x35",
	.desc = "TOR Inserts : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo",
	.event = "umask=0xc807ff01,event=0x35",
	.desc = "TOR Inserts; RFO from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x35",
	.desc = "TOR Inserts; RFO pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_specitom",
	.event = "umask=0xcc57ff01,event=0x35",
	.desc = "TOR Inserts;SpecItoM from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; SpecItoM events that are initiated from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbeftoe",
	.event = "umask=0xcc3fff01,event=0x35",
	.desc = "TOR Inserts : WBEFtoEs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbEFtoEs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by an iA Cores. Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbMtoIs issued by iA Cores .  (Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcil",
	.event = "umask=0xc86fff01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io",
	.event = "umask=0xc001ff04,event=0x35",
	.desc = "TOR Inserts; All from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x35",
	.desc = "TOR Inserts : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit",
	.event = "umask=0xc001fd04,event=0x35",
	.desc = "TOR Inserts; Hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x35",
	.desc = "TOR Inserts; ItoM hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x35",
	.desc = "TOR Inserts; RdCur and FsRdCur hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x35",
	.desc = "TOR Inserts; RFO hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itom",
	.event = "umask=0xcc43ff04,event=0x35",
	.desc = "TOR Inserts for ItoM from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IO with the opcode ItoM",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itomcachenear",
	.event = "umask=0xcd43ff04,event=0x35",
	.desc = "TOR Inserts for ItoMCacheNears from IO devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IO devices with the opcode ItoMCacheNears.  This event indicates a partial write request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss",
	.event = "umask=0xc001fe04,event=0x35",
	.desc = "TOR Inserts; Misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x35",
	.desc = "TOR Inserts; ItoM misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x35",
	.desc = "TOR Inserts; RdCur and FsRdCur misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x35",
	.desc = "TOR Inserts; RFO misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x35",
	.desc = "TOR Inserts for RdCur from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Inserts into the TOR from local IO with the opcode RdCur",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_rfo",
	.event = "umask=0xc803ff04,event=0x35",
	.desc = "TOR Inserts; RFO from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IPQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_ia",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_non_ia",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - Non iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.isoc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just ISOC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.local_tgt",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Local Targets : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_all",
	.event = "umask=0xc000ff05,event=0x35",
	.desc = "TOR Inserts : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA and IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_ia",
	.event = "umask=0xc000ff01,event=0x35",
	.desc = "TOR Inserts : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_io",
	.event = "umask=0xc000ff04,event=0x35",
	.desc = "TOR Inserts : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.match_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.miss",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Misses : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.mmcfg",
	.event = "event=0x35",
	.desc = "TOR Inserts : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : MMCFG Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.mmio",
	.event = "event=0x35",
	.desc = "TOR Inserts : MMIO Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : MMIO Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.noncoh",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NonCoherent : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.pmm",
	.event = "event=0x35",
	.desc = "TOR Inserts : PMM Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PM Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.premorph_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_iosf",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_non_iosf",
	.event = "umask=0x20,event=0x35",
	.desc = "TOR Inserts : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - Non IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.remote_tgt",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Remote Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Remote Targets : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rem_all",
	.event = "umask=0xc001ffc8,event=0x35",
	.desc = "TOR Inserts : All from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Remote : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : All remote requests (e.g. snoops, writebacks) that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rem_snps",
	.event = "umask=0xc001ff08,event=0x35",
	.desc = "TOR Inserts : All Snoops from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All Snoops from Remote : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. : All snoops to this LLC that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq",
	.event = "umask=0x40,event=0x35",
	.desc = "TOR Inserts : RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RRQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.snps_from_rem",
	.event = "umask=0xc001ff08,event=0x35",
	.desc = "TOR Inserts; All Snoops from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent. All snoops to this LLC that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq",
	.event = "umask=0x80,event=0x35",
	.desc = "TOR Inserts : WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WBQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all",
	.event = "umask=0xc001ffff,event=0x36",
	.desc = "TOR Occupancy : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ddr",
	.event = "event=0x36",
	.desc = "TOR Occupancy : DDR Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DDR Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "TOR Occupancy : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SF/LLC Evictions : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.hit",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Hits : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia",
	.event = "umask=0xc001ff01,event=0x36",
	.desc = "TOR Occupancy; All from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushOpts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushOpts issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd",
	.event = "umask=0xc80fff01,event=0x36",
	.desc = "TOR Occupancy; CRd from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x36",
	.desc = "TOR Occupancy; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd",
	.event = "umask=0xc817ff01,event=0x36",
	.desc = "TOR Occupancy; DRd from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_pref",
	.event = "umask=0xc897ff01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit",
	.event = "umask=0xc001fd01,event=0x36",
	.desc = "TOR Occupancy; Hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x36",
	.desc = "TOR Occupancy; CRd hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x36",
	.desc = "TOR Occupancy; CRd Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd",
	.event = "umask=0xc817fd01,event=0x36",
	.desc = "TOR Occupancy; DRd hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_pref",
	.event = "umask=0xc897fd01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_itom",
	.event = "umask=0xcc47fd01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores that Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores that Hit LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefcode",
	.event = "umask=0xcccffd01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefCode hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch code read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefdata",
	.event = "umask=0xccd7fd01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefData hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch data read from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefrfo",
	.event = "umask=0xccc7fd01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefRFO hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch read for ownership from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x36",
	.desc = "TOR Occupancy; RFO hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x36",
	.desc = "TOR Occupancy; RFO Pref hits from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership prefetch from local IA that hits in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_itom",
	.event = "umask=0xcc47ff01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_itomcachenear",
	.event = "umask=0xcd47ff01,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefcode",
	.event = "umask=0xcccfff01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefCode from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch data read from local IA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefdata",
	.event = "umask=0xccd7ff01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefData from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefrfo",
	.event = "umask=0xccc7ff01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefRFO from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss",
	.event = "umask=0xc001fe01,event=0x36",
	.desc = "TOR Occupancy; Misses from Local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x36",
	.desc = "TOR Occupancy; CRd misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_local",
	.event = "umask=0xc80efe01,event=0x36",
	.desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x36",
	.desc = "TOR Occupancy; CRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref_local",
	.event = "umask=0xc88efe01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref_remote",
	.event = "umask=0xc88f7e01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_remote",
	.event = "umask=0xc80f7e01,event=0x36",
	.desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd",
	.event = "umask=0xc817fe01,event=0x36",
	.desc = "TOR Occupancy for DRd misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles for elements in the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_ddr",
	.event = "umask=0xc8178601,event=0x36",
	.desc = "TOR Occupancy for DRds issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles for elements in the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target DDR memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local",
	.event = "umask=0xc816fe01,event=0x36",
	.desc = "TOR Occupancy for DRd misses from local IA targeting local memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles for elements in the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target local memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local_ddr",
	.event = "umask=0xc8168601,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local_pmm",
	.event = "umask=0xc8168a01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x36",
	.desc = "TOR Occupancy; DRd Opt Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read opt prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pmm",
	.event = "umask=0xc8178a01,event=0x36",
	.desc = "TOR Occupancy for DRds issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles for elements in the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target PMM memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref",
	.event = "umask=0xc897fe01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_ddr",
	.event = "umask=0xc8978601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local",
	.event = "umask=0xc896fe01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local_ddr",
	.event = "umask=0xc8968601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local_pmm",
	.event = "umask=0xc8968a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_pmm",
	.event = "umask=0xc8978a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote",
	.event = "umask=0xc8977e01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote_ddr",
	.event = "umask=0xc8970601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote_pmm",
	.event = "umask=0xc8970a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote",
	.event = "umask=0xc8177e01,event=0x36",
	.desc = "TOR Occupancy for DRd misses from local IA targeting remote memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles for elements in the TOR from local IA cores which miss the LLC and snoop filter with the opcode DRd, and which target remote memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote_ddr",
	.event = "umask=0xc8170601,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote_pmm",
	.event = "umask=0xc8170a01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_itom",
	.event = "umask=0xcc47fe01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefcode",
	.event = "umask=0xcccffe01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefCode misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch code read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefdata",
	.event = "umask=0xccd7fe01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefData misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefrfo",
	.event = "umask=0xccc7fe01,event=0x36",
	.desc = "TOR Occupancy; LLCPrefRFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Last level cache prefetch read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcilf_ddr",
	.event = "umask=0xc8668601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcilf_pmm",
	.event = "umask=0xc8668a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcil_ddr",
	.event = "umask=0xc86e8601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcil_pmm",
	.event = "umask=0xc86e8a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcilf_ddr",
	.event = "umask=0xc8670601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcilf_pmm",
	.event = "umask=0xc8670a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcil_ddr",
	.event = "umask=0xc86f0601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcil_pmm",
	.event = "umask=0xc86f0a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x36",
	.desc = "TOR Occupancy; RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_local",
	.event = "umask=0xc806fe01,event=0x36",
	.desc = "TOR Occupancy; RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x36",
	.desc = "TOR Occupancy; RFO prefetch misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref_local",
	.event = "umask=0xc886fe01,event=0x36",
	.desc = "TOR Occupancy; RFO prefetch misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref_remote",
	.event = "umask=0xc8877e01,event=0x36",
	.desc = "TOR Occupancy; RFO prefetch misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_remote",
	.event = "umask=0xc8077e01,event=0x36",
	.desc = "TOR Occupancy; RFO misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x36",
	.desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf_ddr",
	.event = "umask=0xc8678601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf_pmm",
	.event = "umask=0xc8678a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil_ddr",
	.event = "umask=0xc86f8601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil_pmm",
	.event = "umask=0xc86f8a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x36",
	.desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo",
	.event = "umask=0xc807ff01,event=0x36",
	.desc = "TOR Occupancy; RFO from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x36",
	.desc = "TOR Occupancy; RFO prefetch from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Read for ownership prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_specitom",
	.event = "umask=0xcc57ff01,event=0x36",
	.desc = "TOR Occupancy : SpecItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SpecItoMs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcil",
	.event = "umask=0xc86fff01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io",
	.event = "umask=0xc001ff04,event=0x36",
	.desc = "TOR Occupancy; All from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit",
	.event = "umask=0xc001fd04,event=0x36",
	.desc = "TOR Occupancy; Hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x36",
	.desc = "TOR Occupancy; ITOM hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x36",
	.desc = "TOR Occupancy; RdCur and FsRdCur hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x36",
	.desc = "TOR Occupancy; RFO hits from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_itom",
	.event = "umask=0xcc43ff04,event=0x36",
	.desc = "TOR Occupancy; ITOM from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss",
	.event = "umask=0xc001fe04,event=0x36",
	.desc = "TOR Occupancy; Misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x36",
	.desc = "TOR Occupancy; ITOM misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x36",
	.desc = "TOR Occupancy; RdCur and FsRdCur misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x36",
	.desc = "TOR Occupancy; RFO misses from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x36",
	.desc = "TOR Occupancy; RdCur and FsRdCur from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_rfo",
	.event = "umask=0xc803ff04,event=0x36",
	.desc = "TOR Occupancy; ItoM from local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IPQ : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_ia",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_non_ia",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - Non iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.isoc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just ISOC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.local_tgt",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Local Targets : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_all",
	.event = "umask=0xc000ff05,event=0x36",
	.desc = "TOR Occupancy : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA and IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_ia",
	.event = "umask=0xc000ff01,event=0x36",
	.desc = "TOR Occupancy : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_io",
	.event = "umask=0xc000ff04,event=0x36",
	.desc = "TOR Occupancy : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.match_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.miss",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Misses : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.mmcfg",
	.event = "event=0x36",
	.desc = "TOR Occupancy : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : MMCFG Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.mmio",
	.event = "event=0x36",
	.desc = "TOR Occupancy : MMIO Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : MMIO Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.noncoh",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NonCoherent : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.pmm",
	.event = "event=0x36",
	.desc = "TOR Occupancy : PMM Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PMM Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.premorph_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq_non_iosf",
	.event = "umask=0x20,event=0x36",
	.desc = "TOR Occupancy : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - Non IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.remote_tgt",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Remote Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Remote Targets : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.rem_all",
	.event = "umask=0xc001ffc8,event=0x36",
	.desc = "TOR Occupancy : All from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Remote : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : All remote requests (e.g. snoops, writebacks) that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.rem_snps",
	.event = "umask=0xc001ff08,event=0x36",
	.desc = "TOR Occupancy : All Snoops from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All Snoops from Remote : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T : All snoops to this LLC that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.rrq",
	.event = "umask=0x40,event=0x36",
	.desc = "TOR Occupancy : RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RRQ : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.snps_from_rem",
	.event = "umask=0xc001ff08,event=0x36",
	.desc = "TOR Occupancy; All Snoops from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   All snoops to this LLC that came from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.wbq",
	.event = "umask=0x80,event=0x36",
	.desc = "TOR Occupancy : WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WBQ : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_iio_clockticks",
	.event = "ch_mask=0x0000,event=0x1",
	.desc = "IIO Clockticks. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of IIO clock cycles while the event is enabled",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 4. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 5. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 6. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all_parts",
	.event = "fc_mask=0x04,umask=0xff,event=0xd5",
	.desc = "UNC_IIO_COMP_BUF_OCCUPANCY.CMPD.ALL_PARTS. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x0100,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x0200,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Cards MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x4,event=0x83",
	.desc = "Read request for 4 bytes made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x4,event=0x83",
	.desc = "Read request for 4 bytes made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x4,event=0x83",
	.desc = "Read request for 4 bytes made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x4,event=0x83",
	.desc = "Read request for 4 bytes made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x1,event=0x83",
	.desc = "Write request of 4 bytes made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x1,event=0x83",
	.desc = "Write request of 4 bytes made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x1,event=0x83",
	.desc = "Write request of 4 bytes made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x1,event=0x83",
	.desc = "Write request of 4 bytes made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_hits",
	.event = "ch_mask=0x0000,umask=0x80,event=0x40",
	.desc = ": Context cache hits. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache hits : Counts each time a first look up of the transaction hits the RCC",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_lookups",
	.event = "ch_mask=0x0000,umask=0x40,event=0x40",
	.desc = ": Context cache lookups. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache lookups : Counts each time a transaction looks up root context cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.first_lookups",
	.event = "ch_mask=0x0000,umask=0x1,event=0x40",
	.desc = ": IOTLB lookups first. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB lookups first : Some transactions have to look up IOTLB multiple times.  Counts the first time a request looks up IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.misses",
	.event = "ch_mask=0x0000,umask=0x20,event=0x40",
	.desc = "IOTLB Fills (same as IOTLB miss). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "IOTLB Fills (same as IOTLB miss) : When a transaction misses IOTLB, it does a page walk to look up memory and bring in the relevant page translation. Counts when this page translation is written to IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.num_mem_accesses",
	.event = "umask=0xc0,event=0x41",
	.desc = ": IOMMU memory access. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOMMU memory access : IOMMU sends out memory fetches when it misses the cache look up which is indicated by this signal.  M2IOSF only uses low priority channel",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_1g_hits",
	.event = "umask=0x4,event=0x41",
	.desc = ": PWC Hit to a 2M page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 2M page : Counts each time a transaction's first look up hits the SLPWC at the 2M level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_256t_hits",
	.event = "umask=0x10,event=0x41",
	.desc = ": PWT Hit to a 256T page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWT Hit to a 256T page : Counts each time a transaction's first look up hits the SLPWC at the 512G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_2m_hits",
	.event = "umask=0x2,event=0x41",
	.desc = ": PWC Hit to a 4K page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 4K page : Counts each time a transaction's first look up hits the SLPWC at the 4K level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_512g_hits",
	.event = "umask=0x8,event=0x41",
	.desc = ": PWC Hit to a 1G page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 1G page : Counts each time a transaction's first look up hits the SLPWC at the 1G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.pwt_occupancy_msb",
	.event = "ch_mask=0x0000,umask=0x1,event=0x43",
	.desc = ": Global IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Global IOTLB invalidation cycles : Indicates that IOMMU is doing global invalidation",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_pwt_occupancy",
	.event = "ch_mask=0x0000,umask=0xff,event=0x42",
	.desc = "PWT occupancy.  Does not include 9th bit of occupancy (will undercount if PWT is greater than 255 per cycle). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PWT occupancy : Indicates how many page walks are outstanding at any point in time",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Cards MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is  made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x0001,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x0002,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x0004,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x0008,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x0010,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x0020,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x0040,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x0080,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0x1",
	.desc = "IRP Clockticks. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of IRP clock cycles while the event is enabled",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_inserts",
	.event = "event=0x18",
	.desc = "FAF - request insert from TC. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_occupancy",
	.event = "event=0x19",
	.desc = "FAF occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_transactions",
	.event = "event=0x16",
	.desc = "FAF allocation -- sent to ADQ. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.inbound_inserts",
	.event = "umask=0x1,event=0x20",
	.desc = ": All Inserts Inbound (p2p + faf + cset). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x1f",
	.desc = "Misc Events - Set 1 : Lost Forward. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Lost Forward : Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x11",
	.desc = "Inbound write (fast path) requests received by the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound write (fast path) requests to coherent memory, received by the IRP resulting in write ownership requests issued by IRP to the mesh",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_m2m_clockticks",
	.event = "event=0x1",
	.desc = "M2M Clockticks. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Clockticks of the mesh to memory (M2M)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_dirstate",
	.event = "umask=0x7,event=0x17",
	.desc = "Cycles when direct to core mode (which bypasses the CHA) was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_taken",
	.event = "umask=0x7,event=0x16",
	.desc = "Messages sent direct to core (bypassing the CHA). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_txn_override",
	.event = "umask=0x3,event=0x18",
	.desc = "Number of reads in which direct to core transaction were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_credits",
	.event = "umask=0x7,event=0x1b",
	.desc = "Number of reads in which direct to Intel UPI transactions were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_dirstate",
	.event = "umask=0x7,event=0x1a",
	.desc = "Cycles when direct to Intel UPI was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_taken",
	.event = "umask=0x7,event=0x19",
	.desc = "Messages sent direct to the Intel UPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_txn_override",
	.event = "umask=0x3,event=0x1c",
	.desc = "Number of reads that a message sent direct2 Intel UPI was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.any",
	.event = "umask=0x1,event=0x20",
	.desc = "Multi-socket cacheline Directory lookups (any state found). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_a",
	.event = "umask=0x8,event=0x20",
	.desc = "Multi-socket cacheline Directory lookups (cacheline found in A state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_i",
	.event = "umask=0x2,event=0x20",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in I state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_s",
	.event = "umask=0x4,event=0x20",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in S state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2i",
	.event = "umask=0x320,event=0x21",
	.desc = "Multi-socket cacheline Directory update from A to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2s",
	.event = "umask=0x340,event=0x21",
	.desc = "Multi-socket cacheline Directory update from A to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.any",
	.event = "umask=0x301,event=0x21",
	.desc = "Multi-socket cacheline Directory update from/to Any state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2a",
	.event = "umask=0x304,event=0x21",
	.desc = "Multi-socket cacheline Directory update from I to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2s",
	.event = "umask=0x302,event=0x21",
	.desc = "Multi-socket cacheline Directory update from I to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2a",
	.event = "umask=0x310,event=0x21",
	.desc = "Multi-socket cacheline Directory update from S to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2i",
	.event = "umask=0x308,event=0x21",
	.desc = "Multi-socket cacheline Directory update from S to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.to_pmm",
	.event = "umask=0x320,event=0x24",
	.desc = "UNC_M2M_IMC_READS.TO_PMM. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.to_pmm",
	.event = "umask=0x1880,event=0x25",
	.desc = "PMM - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch0_upi",
	.event = "umask=0x2,event=0x58",
	.desc = "Data Prefetches Dropped. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch0_xpt",
	.event = "umask=0x1,event=0x58",
	.desc = "Data Prefetches Dropped. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch1_upi",
	.event = "umask=0x8,event=0x58",
	.desc = "Data Prefetches Dropped. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch1_xpt",
	.event = "umask=0x4,event=0x58",
	.desc = "Data Prefetches Dropped. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.xpt_allch",
	.event = "umask=0x5,event=0x58",
	.desc = "Data Prefetches Dropped. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.upi_allch",
	.event = "umask=0xa,event=0x5d",
	.desc = ": UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.xpt_allch",
	.event = "umask=0x5,event=0x5d",
	.desc = ": XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.upi_allch",
	.event = "umask=0xa,event=0x56",
	.desc = "Prefetch CAM Inserts : UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.xpt_allch",
	.event = "umask=0x5,event=0x56",
	.desc = "Prefetch CAM Inserts : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Prefetch CAM Inserts : XPT -All Channels",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_inserts",
	.event = "umask=0x1,event=0x2",
	.desc = "AD Ingress (from CMS) : AD Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_occupancy",
	.event = "event=0x3",
	.desc = "AD Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch0",
	.event = "umask=0x104,event=0x32",
	.desc = "Tracker Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch1",
	.event = "umask=0x204,event=0x32",
	.desc = "Tracker Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x33",
	.desc = "Tracker Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x33",
	.desc = "Tracker Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2p_clockticks",
	.event = "event=0x1",
	.desc = "M2P Clockticks. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Number of M2P clock cycles while the event is enabled",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_clockticks",
	.event = "event=0x1",
	.desc = "M3UPI Clockticks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of M2UPI clock cycles while the event is enabled",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cms_clockticks",
	.event = "event=0xc0",
	.desc = "M3UPI CMS Clockticks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2c_sent",
	.event = "event=0x2b",
	.desc = "D2C Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2C Sent : Count cases BL sends direct to core",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2u_sent",
	.event = "event=0x2a",
	.desc = "D2U Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2U Sent : Cases where SMI3 sends D2U command",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_prefetch_spawn",
	.event = "event=0x29",
	.desc = "FlowQ Generated Prefetch. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "FlowQ Generated Prefetch : Count cases where FlowQ causes spawn of Prefetch to iMC/SMI3 target",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_clockticks",
	.event = "event=0x1",
	.desc = "UPI Clockticks. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of UPI LL clock cycles while the event is enabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2c",
	.event = "umask=0x1,event=0x12",
	.desc = "Direct packet attempts : D2C. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Direct packet attempts : D2C : Counts the number of DRS packets that we attempted to do direct2core/direct2UPI on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_l1_power_cycles",
	.event = "event=0x21",
	.desc = "Cycles in L1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L1 : Number of UPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a UPI link.  Use edge detect to count the number of instances when the UPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot0",
	.event = "umask=0x1,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 0 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot1",
	.event = "umask=0x2,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 1 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot2",
	.event = "umask=0x4,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 2 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_data",
	.event = "umask=0xf,event=0x3",
	.desc = "Valid Flits Received : All Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : All Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_null",
	.event = "umask=0x27,event=0x3",
	.desc = "Null FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.data",
	.event = "umask=0x8,event=0x3",
	.desc = "Valid Flits Received : Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Data : Shows legal flit time (hides impact of L0p and L0c). : Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.idle",
	.event = "umask=0x47,event=0x3",
	.desc = "Valid Flits Received : Idle. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Idle : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llcrd",
	.event = "umask=0x10,event=0x3",
	.desc = "Valid Flits Received : LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : LLCRD Not Empty : Shows legal flit time (hides impact of L0p and L0c). : Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llctrl",
	.event = "umask=0x40,event=0x3",
	.desc = "Valid Flits Received : LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : LLCTRL : Shows legal flit time (hides impact of L0p and L0c). : Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.non_data",
	.event = "umask=0x97,event=0x3",
	.desc = "Valid Flits Received : All Non Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : All Non Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.null",
	.event = "umask=0x20,event=0x3",
	.desc = "Valid Flits Received : Slot NULL or LLCRD Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot NULL or LLCRD Empty : Shows legal flit time (hides impact of L0p and L0c). : LLCRD with all zeros is treated as NULL. Slot 1 is not treated as NULL if slot 0 is a dual slot. This can apply to slot 0,1, or 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.prothdr",
	.event = "umask=0x80,event=0x3",
	.desc = "Valid Flits Received : Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Protocol Header : Shows legal flit time (hides impact of L0p and L0c). : Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot0",
	.event = "umask=0x1,event=0x3",
	.desc = "Valid Flits Received : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 0 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot1",
	.event = "umask=0x2,event=0x3",
	.desc = "Valid Flits Received : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 1 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot2",
	.event = "umask=0x4,event=0x3",
	.desc = "Valid Flits Received : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 2 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot0",
	.event = "umask=0x1,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 0 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot1",
	.event = "umask=0x2,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 1 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot2",
	.event = "umask=0x4,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 2 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot0",
	.event = "umask=0x1,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 0 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot1",
	.event = "umask=0x2,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 1 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot2",
	.event = "umask=0x4,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 2 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles",
	.event = "event=0x27",
	.desc = "Cycles in L0p. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L0p : Number of UPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the UPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize UPI for snoops and their responses.  Use edge detect to count the number of instances when the UPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_bypassed",
	.event = "event=0x41",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Bypassed : Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the UPI Link. Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_data",
	.event = "umask=0xf,event=0x2",
	.desc = "Valid Flits Sent : All Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : All Data : Counts number of data flits across this UPI link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_null",
	.event = "umask=0x27,event=0x2",
	.desc = "All Null Flits. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.data",
	.event = "umask=0x8,event=0x2",
	.desc = "Valid Flits Sent : Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Data : Shows legal flit time (hides impact of L0p and L0c). : Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.idle",
	.event = "umask=0x47,event=0x2",
	.desc = "Valid Flits Sent : Idle. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Idle : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llcrd",
	.event = "umask=0x10,event=0x2",
	.desc = "Valid Flits Sent : LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : LLCRD Not Empty : Shows legal flit time (hides impact of L0p and L0c). : Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llctrl",
	.event = "umask=0x40,event=0x2",
	.desc = "Valid Flits Sent : LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : LLCTRL : Shows legal flit time (hides impact of L0p and L0c). : Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.non_data",
	.event = "umask=0x97,event=0x2",
	.desc = "Valid Flits Sent : All Non Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : All Non Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.null",
	.event = "umask=0x20,event=0x2",
	.desc = "Valid Flits Sent : Slot NULL or LLCRD Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot NULL or LLCRD Empty : Shows legal flit time (hides impact of L0p and L0c). : LLCRD with all zeros is treated as NULL. Slot 1 is not treated as NULL if slot 0 is a dual slot. This can apply to slot 0,1, or 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.prothdr",
	.event = "umask=0x80,event=0x2",
	.desc = "Valid Flits Sent : Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Protocol Header : Shows legal flit time (hides impact of L0p and L0c). : Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot0",
	.event = "umask=0x1,event=0x2",
	.desc = "Valid Flits Sent : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 0 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot1",
	.event = "umask=0x2,event=0x2",
	.desc = "Valid Flits Sent : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 1 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot2",
	.event = "umask=0x4,event=0x2",
	.desc = "Valid Flits Sent : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 2 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_inserts",
	.event = "event=0x40",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Allocations : Number of allocations into the UPI Tx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_occupancy",
	.event = "event=0x42",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Occupancy : Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "l1d.hwpf_miss",
	.event = "period=1000003,umask=0x20,event=0x51",
	.desc = "L1D.HWPF_MISS",
	.topic = "cache",
},
{
	.name = "l1d.replacement",
	.event = "period=100003,umask=0x1,event=0x51",
	.desc = "Counts the number of cache lines replaced in L1 data cache",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=1000003,umask=0x2,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.fb_full_periods",
	.event = "cmask=1,edge=1,period=1000003,umask=0x2,event=0x48",
	.desc = "Number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.l2_stall",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "This event is deprecated. Refer to new event L1D_PEND_MISS.L2_STALLS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "l1d_pend_miss.l2_stalls",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D due to lack of L2 resources",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D due to lack of L2 resources. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=1000003,umask=0x1,event=0x48",
	.desc = "Number of L1D misses that are outstanding",
	.topic = "cache",
	.long_desc = "Counts number of L1D misses that are outstanding in each cycle, that is each cycle the number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch. Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0x25",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0x26",
	.desc = "L2_LINES_OUT.NON_SILENT",
	.topic = "cache",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0x26",
	.desc = "Non-modified cache lines that are silently dropped by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared or Exclusive state. A non-threaded event",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0x26",
	.desc = "Cache lines that have been L2 hardware prefetched but not used by demand accesses",
	.topic = "cache",
	.long_desc = "Counts the number of cache lines that have been prefetched by the L2 hardware prefetcher but not used by demand access when evicted from the L2 cache",
},
{
	.name = "l2_request.all",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All accesses to L2 cache[This event is alias to L2_RQSTS.REFERENCES]",
	.topic = "cache",
	.long_desc = "Counts all requests that were hit or true misses in L2 cache. True-miss excludes misses that were merged with ongoing L2 misses.[This event is alias to L2_RQSTS.REFERENCES]",
},
{
	.name = "l2_request.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "Read requests with true-miss in L2 cache.[This event is alias to L2_RQSTS.MISS]",
	.topic = "cache",
	.long_desc = "Counts read requests of any type with true-miss in the L2 cache. True-miss excludes L2 misses that were merged with ongoing L2 misses.[This event is alias to L2_RQSTS.MISS]",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read access L2 cache",
	.topic = "cache",
	.long_desc = "Counts Demand Data Read requests accessing the L2 cache. These requests may hit or miss L2 cache. True-miss exclude misses that were merged with ongoing L2 misses. An access is counted once",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand requests to L2 cache",
},
{
	.name = "l2_rqsts.all_hwpf",
	.event = "period=200003,umask=0xf0,event=0x24",
	.desc = "L2_RQSTS.ALL_HWPF",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests initiated by load instructions that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand Data Read requests with true-miss in the L2 cache. True-miss excludes misses that were merged with ongoing L2 misses. An access is counted once",
},
{
	.name = "l2_rqsts.hwpf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2_RQSTS.HWPF_MISS",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "Read requests with true-miss in L2 cache.[This event is alias to L2_REQUEST.MISS]",
	.topic = "cache",
	.long_desc = "Counts read requests of any type with true-miss in the L2 cache. True-miss excludes L2 misses that were merged with ongoing L2 misses.[This event is alias to L2_REQUEST.MISS]",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All accesses to L2 cache[This event is alias to L2_REQUEST.ALL]",
	.topic = "cache",
	.long_desc = "Counts all requests that were hit or true misses in L2 cache. True-miss excludes misses that were merged with ongoing L2 misses.[This event is alias to L2_REQUEST.ALL]",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_rqsts.swpf_hit",
	.event = "period=200003,umask=0xc8,event=0x24",
	.desc = "SW prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that hit the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_rqsts.swpf_miss",
	.event = "period=200003,umask=0x28,event=0x24",
	.desc = "SW prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that miss the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable requests that refer to L3 (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load instructions. This event accounts for SW prefetch instructions of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store instructions  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=1000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with locked access  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_completed.l1_miss_any",
	.event = "period=1000003,umask=0xfd,event=0x43",
	.desc = "Completed demand load uops that miss the L1 d-cache",
	.topic = "cache",
	.long_desc = "Number of completed demand load requests that missed the L1 data cache including shadow misses (FB hits, merge to an ongoing L1D miss)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_fwd",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_no_fwd",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from local dram  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources missed L3 but serviced from local DRAM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_dram",
	.event = "period=1000003,umask=0x2,event=0xd3",
	.desc = "MEM_LOAD_L3_MISS_RETIRED.REMOTE_DRAM  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x8,event=0xd3",
	.desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_hitm",
	.event = "period=1000003,umask=0x4,event=0xd3",
	.desc = "MEM_LOAD_L3_MISS_RETIRED.REMOTE_HITM  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_miss_retired.remote_pmm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or lock  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired instructions with at least one load to uncacheable memory-type, or at least one cache-line split locked access (Bus Lock)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Number of completed demand load requests that missed the L1, but hit the FB(fill buffer), because a preceding miss to the same cacheline initiated the line to be brought into L1, but data is not yet ready in L1  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=1000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=100021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=100021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=50021,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.local_pmm",
	.event = "period=1000003,umask=0x80,event=0xd1",
	.desc = "Retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_store_retired.l2_hit",
	.event = "period=200003,umask=0x1,event=0x44",
	.desc = "MEM_STORE_RETIRED.L2_HIT",
	.topic = "cache",
},
{
	.name = "mem_uop_retired.any",
	.event = "period=1000003,umask=0x3,event=0xe5",
	.desc = "Retired memory uops for any access",
	.topic = "cache",
	.long_desc = "Number of retired micro-operations (uops) for load or store memory accesses",
},
{
	.name = "ocr.demand_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F803C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1008000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x808000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that resulted in a snoop that hit in another core, which did not forward the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x8003C0001",
	.desc = "Counts demand data reads that resulted in a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.remote_cache.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1030000001",
	.desc = "Counts demand data reads that were supplied by a cache on a remote socket where a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.remote_cache.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x830000001",
	.desc = "Counts demand data reads that were supplied by a cache on a remote socket where a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1008000001",
	.desc = "Counts demand data reads that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x808000001",
	.desc = "Counts demand data reads that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F803C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1008000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x808000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l3.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x80082380",
	.desc = "Counts hardware prefetches to the L3 only that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3F003C4477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C4477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x4003C4477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop that hit in another core, which did not forward the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x8003C4477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1830004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop was sent and data was returned (Modified or Not Modified)",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1030004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x830004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1008004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x808004477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.rfo_to_core.l3_hit_m",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x1F80040022",
	.desc = "Counts demand reads for ownership (RFO), hardware prefetch RFOs (which bring data to L2), and software prefetches for exclusive ownership (PREFETCHW) that hit to a (M)odified cacheline in the L3 or snoop filter",
	.topic = "cache",
},
{
	.name = "ocr.streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x80080800",
	.desc = "Counts streaming stores that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0x21",
	.desc = "OFFCORE_REQUESTS.ALL_REQUESTS",
	.topic = "cache",
},
{
	.name = "offcore_requests.data_rd",
	.event = "period=100003,umask=0x8,event=0x21",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0x21",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=1000003,umask=0x8,event=0x20",
	.desc = "This event is deprecated. Refer to new event OFFCORE_REQUESTS_OUTSTANDING.DATA_RD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=1000003,umask=0x8,event=0x20",
	.desc = "OFFCORE_REQUESTS_OUTSTANDING.CYCLES_WITH_DATA_RD",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x20",
	.desc = "Cycles where at least 1 outstanding demand data read request is pending",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=1000003,umask=0x4,event=0x20",
	.desc = "OFFCORE_REQUESTS_OUTSTANDING.CYCLES_WITH_DEMAND_RFO",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.data_rd",
	.event = "period=1000003,umask=0x8,event=0x20",
	.desc = "OFFCORE_REQUESTS_OUTSTANDING.DATA_RD",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=1000003,umask=0x1,event=0x20",
	.desc = "For every cycle, increments by the number of outstanding demand data read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding demand data read requests pending.   Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=100003,umask=0x1,event=0x40",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHNTA instructions executed",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=100003,umask=0x8,event=0x40",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHW instructions executed",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=100003,umask=0x2,event=0x40",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT0 instructions executed",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=100003,umask=0x4,event=0x40",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT1 or PREFETCHT2 instructions executed",
},
{
	.name = "unc_m_act_count.all",
	.event = "umask=0xff,event=0x2",
	.desc = "Activate due to read, write, underfill, or bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Activate Count : Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xff,event=0x5",
	.desc = "All DRAM CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : All DRAM Read and Write actions : DRAM RD_CAS and WR_CAS Commands : Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.pch0",
	.event = "umask=0x40,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : Pseudo Channel 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : Pseudo Channel 0 : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.pch1",
	.event = "umask=0x80,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : Pseudo Channel 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : Pseudo Channel 1 : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0xcf,event=0x5",
	.desc = "All DRAM read CAS commands issued (including underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands : Counts the total number of DRAM Read CAS commands issued on this channel.  This includes underfills",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_reg",
	.event = "umask=0xc2,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_underfill",
	.event = "umask=0xc8,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0xc1,event=0x5",
	.desc = "All DRAM read CAS commands issued (does not include underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS commands w/out auto-pre : DRAM RD_CAS and WR_CAS Commands : Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.   We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0xc4,event=0x5",
	.desc = "DRAM underfill read CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : Underfill Read Issued : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xf0,event=0x5",
	.desc = "All DRAM write CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands : Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_nonpre",
	.event = "umask=0xd0,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_pre",
	.event = "umask=0xe0,event=0x5",
	.desc = "DRAM RD_CAS and WR_CAS Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "umask=0x1,event=0x1",
	.desc = "IMC Clockticks at DCLK frequency. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM DCLK clock cycles while the event is enabled",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_hclockticks",
	.event = "event=0x1",
	.desc = "IMC Clockticks at HCLK frequency. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM HCLK clock cycles while the event is enabled",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_inserts",
	.event = "event=0xe3",
	.desc = "PMM Read Pending Queue inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts number of read requests allocated in the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.all_sch0",
	.event = "umask=0x1,event=0xe0",
	.desc = "PMM Read Pending Queue occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.all_sch1",
	.event = "umask=0x2,event=0xe0",
	.desc = "PMM Read Pending Queue occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.gnt_wait_sch0",
	.event = "umask=0x10,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.gnt_wait_sch1",
	.event = "umask=0x20,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.no_gnt_sch0",
	.event = "umask=0x4,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.no_gnt_sch1",
	.event = "umask=0x8,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_inserts",
	.event = "event=0xe7",
	.desc = "PMM Write Pending Queue inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts number of  write requests allocated in the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.all",
	.event = "umask=0x3,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the Write Pending Queue to the PMM DIMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.all_sch0",
	.event = "umask=0x1,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.all_sch1",
	.event = "umask=0x2,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Channel PPD Cycles : Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_0",
	.event = "umask=0x1,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_1",
	.event = "umask=0x2,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_2",
	.event = "umask=0x4,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_3",
	.event = "umask=0x8,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Clock-Enabled Self-Refresh : Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.all",
	.event = "umask=0xff,event=0x3",
	.desc = "Precharge due to read, write, underfill, or PGT. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.pgt",
	.event = "umask=0x88,event=0x3",
	.desc = "DRAM Precharge commands. : Precharge due to (?). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to (?) : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.pgt_pch0",
	.event = "umask=0x8,event=0x3",
	.desc = "DRAM Precharge commands. : Prechages from Page Table. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Prechages from Page Table : Counts the number of DRAM Precharge commands sent on this channel. : Equivalent to PAGE_EMPTY",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.pgt_pch1",
	.event = "umask=0x80,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x11,event=0x3",
	.desc = "Precharge due to read on page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd_pch0",
	.event = "umask=0x1,event=0x3",
	.desc = "DRAM Precharge commands. : Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to read : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from read bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd_pch1",
	.event = "umask=0x10,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.ufill",
	.event = "umask=0x44,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.ufill_pch0",
	.event = "umask=0x4,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.ufill_pch1",
	.event = "umask=0x40,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x22,event=0x3",
	.desc = "Precharge due to write on page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr_pch0",
	.event = "umask=0x2,event=0x3",
	.desc = "DRAM Precharge commands. : Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to write : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from write bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr_pch1",
	.event = "umask=0x20,event=0x3",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch0",
	.event = "umask=0x1,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch1",
	.event = "umask=0x2,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch0",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch1",
	.event = "event=0x81",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch0",
	.event = "umask=0x1,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch1",
	.event = "umask=0x2,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch0",
	.event = "event=0x82",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happening in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch1",
	.event = "event=0x83",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happening in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_alderlake[] = {
{
	.name = "assists.hardware",
	.event = "period=100003,umask=0x4,event=0xc1",
	.desc = "ASSISTS.HARDWARE. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "assists.page_fault",
	.event = "period=1000003,umask=0x8,event=0xc1",
	.desc = "ASSISTS.PAGE_FAULT. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "core_power.license_1",
	.event = "period=200003,umask=0x2,event=0x28",
	.desc = "CORE_POWER.LICENSE_1. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "core_power.license_2",
	.event = "period=200003,umask=0x4,event=0x28",
	.desc = "CORE_POWER.LICENSE_2. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "core_power.license_3",
	.event = "period=200003,umask=0x8,event=0x28",
	.desc = "CORE_POWER.LICENSE_3. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "ocr.corewb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have any type of response. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x184000001",
	.desc = "Counts demand data reads that were supplied by DRAM. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have any type of response. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10002",
	.desc = "Counts demand read for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that have any type of response. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "rs.empty",
	.event = "period=1000003,umask=0x7,event=0xa5",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread. Unit: cpu_core ",
	.topic = "other",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for this logical processor. This is usually caused when the front-end pipeline runs into starvation periods (e.g. branch mispredictions or i-cache misses)",
	.pmu = "cpu_core",
},
{
	.name = "rs.empty_count",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x7,event=0xa5",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Unit: cpu_core ",
	.topic = "other",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to closely sample on front-end latency issues (see the FRONTEND_RETIRED event of designated precise events)",
	.pmu = "cpu_core",
},
{
	.name = "rs_empty.count",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x7,event=0xa5",
	.desc = "This event is deprecated. Refer to new event RS.EMPTY_COUNT. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "rs_empty.cycles",
	.event = "period=1000003,umask=0x7,event=0xa5",
	.desc = "This event is deprecated. Refer to new event RS.EMPTY. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "xq.full_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x2d",
	.desc = "XQ.FULL_CYCLES. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x12",
	.desc = "Loads that miss the DTLB and hit the STLB. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x12",
	.desc = "Cycles when at least one PMH is busy with a page walk for a demand load. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a demand load",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to any page size. Unit: cpu_atom ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size. Includes page walks that page fault",
	.pmu = "cpu_atom",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x12",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 1G page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 2M/4M page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x12",
	.desc = "Page walks completed due to a demand data load to a 4K page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x12",
	.desc = "Number of page walks outstanding for a demand load in the PMH each cycle. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a demand load in the PMH (Page Miss Handler) each cycle",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x13",
	.desc = "Stores that miss the DTLB and hit the STLB. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x13",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=2000003,umask=0xe,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to any page size. Unit: cpu_atom ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
	.pmu = "cpu_atom",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x13",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 1G page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 2M/4M page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x13",
	.desc = "Page walks completed due to a demand data store to a 4K page. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x13",
	.desc = "Number of page walks outstanding for a store in the PMH each cycle. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a store in the PMH (Page Miss Handler) each cycle",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.miss_caused_walk",
	.event = "period=1000003,umask=0x1,event=0x85",
	.desc = "Counts the number of page walks initiated by a instruction fetch that missed the first and second level TLBs. Unit: cpu_atom ",
	.topic = "virtual memory",
	.pmu = "cpu_atom",
},
{
	.name = "itlb_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x85",
	.desc = "Counts the number of page walks due to an instruction fetch that miss the PDE (Page Directory Entry) cache. Unit: cpu_atom ",
	.topic = "virtual memory",
	.pmu = "cpu_atom",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x11",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts instruction fetch requests that miss the ITLB (Instruction TLB) and hit the STLB (Second-level TLB)",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x11",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a code (instruction fetch) request",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to any page size. Unit: cpu_atom ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
	.pmu = "cpu_atom",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M). Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K). Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x11",
	.desc = "Number of page walks outstanding for an outstanding code request in the PMH each cycle. Unit: cpu_core ",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an outstanding code (instruction fetch) request in the PMH (Page Miss Handler) each cycle",
	.pmu = "cpu_core",
},
{
	.name = "ld_head.dtlb_miss_at_ret",
	.event = "period=1000003,umask=0x90,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a DTLB miss. Unit: cpu_atom ",
	.topic = "virtual memory",
	.pmu = "cpu_atom",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number of BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches. Unit: cpu_atom ",
	.topic = "frontend",
	.long_desc = "Counts the total number of BACLEARS, which occur when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend.  Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.pmu = "cpu_atom",
},
{
	.name = "decode.lcp",
	.event = "period=500009,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
	.pmu = "cpu_core",
},
{
	.name = "decode.ms_busy",
	.event = "period=500009,umask=0x2,event=0x87",
	.desc = "Cycles the Microcode Sequencer is busy. Unit: cpu_core ",
	.topic = "frontend",
	.pmu = "cpu_core",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=100003,umask=0x2,event=0x61",
	.desc = "DSB-to-MITE switch true penalty cycles. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Decode Stream Buffer (DSB) is a Uop-cache that holds translations of previously fetched instructions that were decoded by the legacy x86 decode pipeline (MITE). This event counts fetch penalty cycles when a transition occurs from DSB to MITE",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x608006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x601006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600206",
	.desc = "Retired instructions after front-end starvation of at least 2 cycles. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x610006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x602006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x620006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x604006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x600806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.ms_flows",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x8",
	.desc = "FRONTEND_RETIRED.MS_FLOWS. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "frontend_retired.unknown_branch",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x17",
	.desc = "FRONTEND_RETIRED.UNKNOWN_BRANCH. Unit: cpu_core  (Precise event)",
	.topic = "frontend",
	.pmu = "cpu_core",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts the number of requests to the instruction cache for one or more bytes of a cache line. Unit: cpu_atom ",
	.topic = "frontend",
	.long_desc = "Counts the total number of requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line or byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
	.pmu = "cpu_atom",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts the number of instruction cache misses. Unit: cpu_atom ",
	.topic = "frontend",
	.long_desc = "Counts the number of missed requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
	.pmu = "cpu_atom",
},
{
	.name = "icache_data.stalls",
	.event = "period=500009,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code line fetch is stalled due to an L1 instruction cache miss. The decode pipeline works at a 32 Byte granularity",
	.pmu = "cpu_core",
},
{
	.name = "icache_tag.stalls",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.pmu = "cpu_core",
},
{
	.name = "idq.dsb_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.pmu = "cpu_core",
},
{
	.name = "idq.dsb_cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles DSB is delivering optimal number of Uops. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
	.pmu = "cpu_core",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.pmu = "cpu_core",
},
{
	.name = "idq.mite_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering any Uop. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
	.pmu = "cpu_core",
},
{
	.name = "idq.mite_cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering optimal number of Uops. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
	.pmu = "cpu_core",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
	.pmu = "cpu_core",
},
{
	.name = "idq.ms_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x20,event=0x79",
	.desc = "Cycles when uops are being delivered to IDQ while MS is busy. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
	.pmu = "cpu_core",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=100003,umask=0x20,event=0x79",
	.desc = "Number of switches from DSB or MITE to the MS. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.pmu = "cpu_core",
},
{
	.name = "idq.ms_uops",
	.event = "period=1000003,umask=0x20,event=0x79",
	.desc = "Uops delivered to IDQ while MS is busy. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS)",
	.pmu = "cpu_core",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=1000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered by IDQ when backend of the machine is not stalled. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
	.pmu = "cpu_core",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=6,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when no uops are not delivered by the IDQ when backend of the machine is not stalled. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when no uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
	.pmu = "cpu_core",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when optimal number of uops was delivered to the back-end when the back-end is not stalled. Unit: cpu_core ",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when the optimal number of uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
	.pmu = "cpu_core",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.DIV_ACTIVE. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "arith.div_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0xb0",
	.desc = "Cycles when divide unit is busy executing divide or square root operations. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
	.pmu = "cpu_core",
},
{
	.name = "arith.fp_divider_active",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.FPDIV_ACTIVE. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "arith.idiv_active",
	.event = "period=1000003,umask=0x8,event=0xb0",
	.desc = "This event counts the cycles the integer divider is busy. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "arith.int_divider_active",
	.event = "cmask=1,period=1000003,umask=0x8,event=0xb0",
	.desc = "This event is deprecated. Refer to new event ARITH.IDIV_ACTIVE. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "assists.any",
	.event = "period=100003,umask=0x1b,event=0xc1",
	.desc = "Number of occurrences where a microcode assist is invoked by hardware. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of occurrences where a microcode assist is invoked by hardware. Examples include AD (page Access Dirty), FP and AVX related assists",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the total number of branch instructions retired for all branch types. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions in which the instruction pointer (IP) of the processor is resteered due to a branch instruction and the branch instruction successfully retires.  All branch type instructions are accounted for (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.NEAR_CALL. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of retired JCC (Jump on Conditional Code) branch instructions retired, includes both taken and not taken branches. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc4",
	.desc = "Conditional branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts conditional branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts not taken branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of taken JCC (Jump on Conditional Code) branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Taken conditional branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired, includes far jump, far call and return, and interrupt call and return. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of near indirect JMP and near indirect CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc4",
	.desc = "Indirect near branch instructions retired (excluding returns). Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.indirect_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.INDIRECT_CALL. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.COND. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both direct and indirect near call instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts return instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.INDIRECT. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.NEAR_RETURN. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.COND_TAKEN. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the total number of mispredicted branch instructions retired for all branch types. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of mispredicted branch instructions retired.  All branch type instructions are accounted for.  Prediction of the branch target address enables the processor to begin executing instructions before the non-speculative execution path is known. The branch prediction unit (BPU) predicts the target address based on the instruction pointer (IP) of the branch and on the execution path through which execution reached this IP.    A branch misprediction occurs when the prediction is wrong, and results in discarding all instructions executed in the speculative path and re-fetching from the correct path (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted JCC (Jump on Conditional Code) branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted conditional branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc5",
	.desc = "Mispredicted non-taken conditional branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired that were mispredicted and the branch direction was not taken (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted taken JCC (Jump on Conditional Code) branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "number of branch instructions retired that were mispredicted and taken. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional mispredicted branch instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=400009,umask=0x2,event=0xc5",
	.desc = "Mispredicted indirect CALL retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts retired mispredicted indirect (near taken) CALL instructions, including both register and memory indirect (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.INDIRECT_CALL. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.COND. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.INDIRECT. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts mispredicted return instructions retired (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.COND_TAKEN. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "cpu_clk_unhalted.c01",
	.event = "period=2000003,umask=0x10,event=0xec",
	.desc = "Core clocks when the thread is in the C0.1 light-weight slower wakeup time but more power saving optimized state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.1 light-weight slower wakeup time but more power saving optimized state.  This state can be entered via the TPAUSE or UMWAIT instructions",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.c02",
	.event = "period=2000003,umask=0x20,event=0xec",
	.desc = "Core clocks when the thread is in the C0.2 light-weight faster wakeup time but less power saving optimized state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.2 light-weight faster wakeup time but less power saving optimized state.  This state can be entered via the TPAUSE or UMWAIT instructions",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.c0_wait",
	.event = "period=2000003,umask=0x70,event=0xec",
	.desc = "Core clocks when the thread is in the C0.1 or C0.2 or running a PAUSE in C0 ACPI state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts core clocks when the thread is in the C0.1 or C0.2 power saving optimized states (TPAUSE or UMWAIT instructions) or running the PAUSE instruction",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event). Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses fixed counter 1",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.distributed",
	.event = "period=2000003,umask=0x2,event=0xec",
	.desc = "Cycle counts are evenly distributed between active threads in the Core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "This event distributes cycle counts between active hyperthreads, i.e., those in C0.  A hyperthread becomes inactive when it executes the HLT or MWAIT instructions.  If all other hyperthreads are inactive (or disabled or do not exist), all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts Core crystal clock cycles when current thread is unhalted and the other thread is halted",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.pause",
	.event = "period=2000003,umask=0x40,event=0xec",
	.desc = "CPU_CLK_UNHALTED.PAUSE. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.pause_inst",
	.event = "cmask=1,edge=1,period=2000003,umask=0x40,event=0xec",
	.desc = "CPU_CLK_UNHALTED.PAUSE_INST. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.ref_distributed",
	.event = "period=2000003,umask=0x8,event=0x3c",
	.desc = "Core crystal clock cycles. Cycle counts are evenly distributed between active threads in the Core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "This event distributes Core crystal clock cycle counts between active hyperthreads, i.e., those in C0 sleep-state. A hyperthread becomes inactive when it executes the HLT or MWAIT instructions. If one thread is active in a core, all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency. (Fixed event). Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses a programmable general purpose performance counter",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the core is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event). Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time.  This event uses fixed counter 1",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=1000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=1000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=1000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=1000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.bound_on_loads",
	.event = "cmask=5,period=2000003,umask=0x21,event=0xa6",
	.desc = "Execution stalls while memory subsystem has an outstanding load. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "cmask=2,period=1000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no loads caused an execution stall. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles where the Store Buffer was full and no loads caused an execution stall",
	.pmu = "cpu_core",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=1000003,umask=0x80,event=0xa6",
	.desc = "Cycles no uop executed while RS was not empty, the SB was not full and there was no outstanding load. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of cycles total of 0 uops executed on all ports, Reservation Station (RS) was not empty, the Store Buffer (SB) was not full and there was no outstanding load",
	.pmu = "cpu_core",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x75",
	.desc = "Instruction decoders utilized in a cycle. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired. (Fixed event). Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses fixed counter 0 (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses a programmable general purpose performance counter (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.macro_fused",
	.event = "period=2000003,umask=0x10,event=0xc0",
	.desc = "INST_RETIRED.MACRO_FUSED. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Retired NOP instructions. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts all retired NOP or ENDBR32/64 instructions",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0",
	.desc = "Precise instruction retired with PEBS precise-distribution. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a precise distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR++) feature to fix bias in how retired instructions get sampled. Use on Fixed Counter 0 (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.rep_iteration",
	.event = "period=2000003,umask=0x8,event=0xc0",
	.desc = "INST_RETIRED.REP_ITERATION. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=500009,umask=0x80,event=0xad",
	.desc = "Counts cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
	.pmu = "cpu_core",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=500009,umask=0x1,event=0xad",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts core cycles when the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
	.pmu = "cpu_core",
},
{
	.name = "int_misc.unknown_branch_cycles",
	.event = "period=1000003,umask=0x40,event=0xad,frontend=0x7",
	.desc = "INT_MISC.UNKNOWN_BRANCH_CYCLES. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_misc.uop_dropping",
	.event = "period=1000003,umask=0x10,event=0xad",
	.desc = "TMA slots where uops got dropped. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Estimated number of Top-down Microarchitecture Analysis slots that got dropped due to non front-end reasons",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.128bit",
	.event = "period=1000003,umask=0x13,event=0xe7",
	.desc = "INT_VEC_RETIRED.128BIT. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.256bit",
	.event = "period=1000003,umask=0xac,event=0xe7",
	.desc = "INT_VEC_RETIRED.256BIT. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.add_128",
	.event = "period=1000003,umask=0x3,event=0xe7",
	.desc = "integer ADD, SUB, SAD 128-bit vector instructions. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of retired integer ADD/SUB (regular or horizontal), SAD 128-bit vector instructions",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.add_256",
	.event = "period=1000003,umask=0xc,event=0xe7",
	.desc = "integer ADD, SUB, SAD 256-bit vector instructions. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of retired integer ADD/SUB (regular or horizontal), SAD 256-bit vector instructions",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.mul_256",
	.event = "period=1000003,umask=0x80,event=0xe7",
	.desc = "INT_VEC_RETIRED.MUL_256. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.shuffles",
	.event = "period=1000003,umask=0x40,event=0xe7",
	.desc = "INT_VEC_RETIRED.SHUFFLES. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.vnni_128",
	.event = "period=1000003,umask=0x10,event=0xe7",
	.desc = "INT_VEC_RETIRED.VNNI_128. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "int_vec_retired.vnni_256",
	.event = "period=1000003,umask=0x20,event=0xe7",
	.desc = "INT_VEC_RETIRED.VNNI_256. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "This event is deprecated. Refer to new event LD_BLOCKS.ADDRESS_ALIAS. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
	.deprecated = "1",
},
{
	.name = "ld_blocks.address_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because it initially appears to be store forward blocked, but subsequently is shown not to be blocked based on 4K alias check. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "ld_blocks.address_alias",
	.event = "period=100003,umask=0x4,event=0x3",
	.desc = "False dependencies in MOB due to partial compare on address. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of times a load got blocked due to false dependencies in MOB due to partial compare on address",
	.pmu = "cpu_core",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=1000003,umask=0x1,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address exactly matches an older store whose data is not ready. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x88,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.pmu = "cpu_core",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x82,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
	.pmu = "cpu_core",
},
{
	.name = "load_hit_prefetch.swpf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Counts the number of demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
	.pmu = "cpu_core",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
	.pmu = "cpu_core",
},
{
	.name = "lsd.cycles_ok",
	.event = "cmask=6,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles optimal number of Uops delivered by the LSD, but did not come from the decoder. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when optimal number of uops is delivered by the LSD (Loop-stream detector)",
	.pmu = "cpu_core",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
	.pmu = "cpu_core",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of machine clears (nukes) of any type",
	.pmu = "cpu_core",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=20003,umask=0x8,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering in which an internal load passes an older store within the same CPU. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.mrn_nuke",
	.event = "period=1000003,umask=0x80,event=0xc3",
	.desc = "Counts the number of machines clears due to memory renaming. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.page_fault",
	.event = "period=20003,umask=0x20,event=0xc3",
	.desc = "Counts the number of machine clears due to a page fault.  Counts both I-Side and D-Side (Loads/Stores) page faults.  A page fault occurs when either the page is not present, or an access violation occurs. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.slow",
	.event = "period=20003,umask=0x6f,event=0xc3",
	.desc = "Counts the number of machine clears that flush the pipeline and restart the machine with the use of microcode due to SMC, MEMORY_ORDERING, FP_ASSISTS, PAGE_FAULT, DISAMBIGUATION, and FPC_VIRTUAL_TRAP. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.smc",
	.event = "period=20003,umask=0x1,event=0xc3",
	.desc = "Counts the number of machine clears due to program modifying data (self modifying code) within 1K of a recently fetched code page. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
	.pmu = "cpu_core",
},
{
	.name = "misc2_retired.lfence",
	.event = "period=400009,umask=0x20,event=0xe0",
	.desc = "MISC2_RETIRED.LFENCE. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "misc_retired.lbr_inserts",
	.event = "period=100003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
	.pmu = "cpu_core",
},
{
	.name = "resource_stalls.sb",
	.event = "period=100003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync). Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
	.pmu = "cpu_core",
},
{
	.name = "resource_stalls.scoreboard",
	.event = "period=100003,umask=0x2,event=0xa2",
	.desc = "Counts cycles where the pipeline is stalled due to serializing operations. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "serialization.non_c01_ms_scb",
	.event = "period=200003,umask=0x2,event=0x75",
	.desc = "Counts the number of issue slots not consumed by the backend due to a micro-sequencer (MS) scoreboard, which stalls the front-end from issuing from the UROM until a specified older uop retires. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots not consumed by the backend due to a micro-sequencer (MS) scoreboard, which stalls the front-end from issuing from the UROM until a specified older uop retires. The most commonly executed instruction with an MS scoreboard is PAUSE",
	.pmu = "cpu_atom",
},
{
	.name = "topdown.backend_bound_slots",
	.event = "period=10000003,umask=0x2,event=0xa4",
	.desc = "TMA slots where no uops were being issued due to lack of back-end resources. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of slots in TMA method where no micro-operations were being issued from front-end to back-end of the machine due to lack of back-end resources",
	.pmu = "cpu_core",
},
{
	.name = "topdown.bad_spec_slots",
	.event = "period=10000003,umask=0x4,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculations. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of slots of TMA method that were wasted due to incorrect speculation. It covers all types of control-flow or data-related mis-speculations",
	.pmu = "cpu_core",
},
{
	.name = "topdown.br_mispredict_slots",
	.event = "period=10000003,umask=0x8,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculation by branch mispredictions. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of TMA slots that were wasted due to incorrect speculation by (any type of) branch mispredictions. This event estimates number of specualtive operations that were issued but not retired as well as the out-of-order engine recovery past a branch misprediction",
	.pmu = "cpu_core",
},
{
	.name = "topdown.memory_bound_slots",
	.event = "period=10000003,umask=0x10,event=0xa4",
	.desc = "TOPDOWN.MEMORY_BOUND_SLOTS. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method (TMA). The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core. Software can use this event as the denominator for the top-level metrics of the TMA method. This architectural event is counted on a designated fixed counter (Fixed Counter 3)",
	.pmu = "cpu_core",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method. The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core",
	.pmu = "cpu_core",
},
{
	.name = "topdown_bad_speculation.all",
	.event = "period=1000003,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ) even if an FE_bound event occurs during this period. Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_bad_speculation.fastnuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to fast nukes such as memory ordering and memory disambiguation machine clears. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_bad_speculation.machine_clears",
	.event = "period=1000003,umask=0x3,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_bad_speculation.mispredict",
	.event = "period=1000003,umask=0x4,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to branch mispredicts. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_bad_speculation.nuke",
	.event = "period=1000003,umask=0x1,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to a machine clear (nuke). Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.all",
	.event = "period=1000003,event=0x74",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to backend stalls. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.alloc_restrictions",
	.event = "period=1000003,umask=0x1,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to certain allocation restrictions. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.mem_scheduler",
	.event = "period=1000003,umask=0x2,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.non_mem_scheduler",
	.event = "period=1000003,umask=0x8,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.register",
	.event = "period=1000003,umask=0x20,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls). Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.reorder_buffer",
	.event = "period=1000003,umask=0x40,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the reorder buffer being full (ROB stalls). Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.serialization",
	.event = "period=1000003,umask=0x10,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS). Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.all",
	.event = "period=1000003,event=0x71",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to frontend stalls. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.branch_detect",
	.event = "period=1000003,umask=0x2,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.branch_resteer",
	.event = "period=1000003,umask=0x40,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.cisc",
	.event = "period=1000003,umask=0x1,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to the microcode sequencer (MS). Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.decode",
	.event = "period=1000003,umask=0x8,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to decode stalls. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.frontend_bandwidth",
	.event = "period=1000003,umask=0x8d,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.frontend_latency",
	.event = "period=1000003,umask=0x72,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to a latency related stalls including BACLEARs, BTCLEARs, ITLB misses, and ICache misses. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.itlb",
	.event = "period=1000003,umask=0x10,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to ITLB misses. Unit: cpu_atom ",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.other",
	.event = "period=1000003,umask=0x80,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to other common frontend stalls not categorized. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.predecode",
	.event = "period=1000003,umask=0x4,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to wrong predecodes. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_retiring.all",
	.event = "period=1000003,event=0xc2",
	.desc = "Counts the total number of consumed retirement slots. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "uops_decoded.dec0_uops",
	.event = "period=1000003,umask=0x1,event=0x76",
	.desc = "UOPS_DECODED.DEC0_UOPS. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Uops executed on port 0. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 0",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xb2",
	.desc = "Uops executed on port 1. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 1",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_2_3_10",
	.event = "period=2000003,umask=0x4,event=0xb2",
	.desc = "Uops executed on ports 2, 3 and 10. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 2, 3 and 10",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_4_9",
	.event = "period=2000003,umask=0x10,event=0xb2",
	.desc = "Uops executed on ports 4 and 9. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 4 and 9",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_5_11",
	.event = "period=2000003,umask=0x20,event=0xb2",
	.desc = "Uops executed on ports 5 and 11. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution ports 5 and 11",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_6",
	.event = "period=2000003,umask=0x40,event=0xb2",
	.desc = "Uops executed on port 6. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  port 6",
	.pmu = "cpu_core",
},
{
	.name = "uops_dispatched.port_7_8",
	.event = "period=2000003,umask=0x80,event=0xb2",
	.desc = "Uops executed on ports 7 and 8. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Number of uops dispatch to execution  ports 7 and 8",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 1 micro-op is executed from any thread on physical core",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 2 micro-ops are executed from any thread on physical core",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 3 micro-ops are executed from any thread on physical core",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 4 micro-ops are executed from any thread on physical core",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.stalls",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UOPS_EXECUTED.STALLS. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
	.pmu = "cpu_core",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xae",
	.desc = "Uops that RAT issues to RS. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,event=0xc2",
	.desc = "Counts the total number of uops retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "uops_retired.cycles",
	.event = "cmask=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles with retired uop(s). Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts cycles where at least one uop has retired",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.heavy",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Retired uops except the last uop of each instruction. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the number of retired micro-operations (uops) except the last uop of each instruction. An instruction that is decoded into less than two uops does not contribute to the count",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Counts the number of integer divide uops retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Counts the number of uops that are from complex flows issued by the micro-sequencer (MS). Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that are from complex flows issued by the Microcode Sequencer (MS). This includes uops from flows due to complex instructions, faults, assists, and inserted flows (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x4,event=0xc2,frontend=0x8",
	.desc = "UOPS_RETIRED.MS. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used each cycle",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.stalls",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops. Unit: cpu_core ",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
	.pmu = "cpu_core",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "This event is deprecated. Refer to new event UOPS_RETIRED.STALLS. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "uops_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Counts the number of x87 uops retired, includes those in MS flows. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "arith.fpdiv_active",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xb0",
	.desc = "ARITH.FPDIV_ACTIVE. Unit: cpu_core ",
	.topic = "floating point",
	.pmu = "cpu_core",
},
{
	.name = "assists.fp",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Counts all microcode FP assists. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Counts all microcode Floating Point assists",
	.pmu = "cpu_core",
},
{
	.name = "assists.sse_avx_mix",
	.event = "period=1000003,umask=0x10,event=0xc1",
	.desc = "ASSISTS.SSE_AVX_MIX. Unit: cpu_core ",
	.topic = "floating point",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_0. Unit: cpu_core ",
	.topic = "floating point",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_1. Unit: cpu_core ",
	.topic = "floating point",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_dispatched.port_5",
	.event = "period=2000003,umask=0x4,event=0xb3",
	.desc = "FP_ARITH_DISPATCHED.PORT_5. Unit: cpu_core ",
	.topic = "floating point",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=100003,umask=0x4,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=100003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=100003,umask=0x10,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=100003,umask=0x20,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=100003,umask=0x1,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=100003,umask=0x2,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. Unit: cpu_core ",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
	.pmu = "cpu_core",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=20003,umask=0x4,event=0xc3",
	.desc = "Counts the number of floating point operations retired that required microcode assist. Unit: cpu_atom ",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point operations retired that required microcode assist, which is not a reflection of the number of FP operations, instructions or uops",
	.pmu = "cpu_atom",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Counts the number of floating point divide uops retired (x87 and SSE, including x87 sqrt). Unit: cpu_atom  (Precise event)",
	.topic = "floating point",
	.pmu = "cpu_atom",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=1000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "ld_head.any_at_ret",
	.event = "period=1000003,umask=0xff,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer is stalled due to any number of reasons, including an L1 miss, WCB full, pagewalk, store address block or store data block, on a load that retires. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ld_head.l1_bound_at_ret",
	.event = "period=1000003,umask=0xf4,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer is stalled due to a core bound stall including a store address match, a DTLB miss or a page walk that detains the load from retiring. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ld_head.other_at_ret",
	.event = "period=1000003,umask=0xc0,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to other block cases. Unit: cpu_atom ",
	.topic = "memory",
	.long_desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to other block cases such as pipeline conflicts, fences, etc",
	.pmu = "cpu_atom",
},
{
	.name = "ld_head.pgwalk_at_ret",
	.event = "period=1000003,umask=0xa0,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a pagewalk. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ld_head.st_addr_at_ret",
	.event = "period=1000003,umask=0x84,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a store address match. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=20003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering caused by a snoop from an external agent. Does not count internally generated machine clears such as those due to memory disambiguation. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Number of machine clears due to memory ordering conflicts. Unit: cpu_core ",
	.topic = "memory",
	.long_desc = "Counts the number of Machine Clears detected dye to memory ordering. Memory Ordering Machine Clears may apply when a memory read may not conform to the memory ordering rules of the x86 architecture",
	.pmu = "cpu_core",
},
{
	.name = "memory_activity.cycles_l1d_miss",
	.event = "cmask=2,period=1000003,umask=0x2,event=0x47",
	.desc = "Cycles while L1 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "memory_activity.stalls_l1d_miss",
	.event = "cmask=3,period=1000003,umask=0x3,event=0x47",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "memory_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0x47",
	.desc = "MEMORY_ACTIVITY.STALLS_L2_MISS. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "memory_activity.stalls_l3_miss",
	.event = "cmask=9,period=1000003,umask=0x9,event=0x47",
	.desc = "MEMORY_ACTIVITY.STALLS_L3_MISS. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.store_sample",
	.event = "period=1000003,umask=0x2,event=0xcd",
	.desc = "Retired memory store access operations. A PDist event for PEBS Store Latency Facility. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts Retired memory accesses with at least 1 store operation. This PEBS event is the precisely-distributed (PDist) trigger covering all stores uops for sampling by the PEBS Store Latency Facility. The facility is described in Intel SDM Volume 3 section 19.9.8  Supports address when precise (Must be precise)",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00002",
	.desc = "Counts demand read for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0x21",
	.desc = "Demand Data Read requests who miss L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.long_desc = "Demand Data Read requests who miss L3 cache",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x20",
	.desc = "For every cycle, increments by the number of demand data read requests pending that are known to have missed the L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.long_desc = "For every cycle, increments by the number of demand data read requests pending that are known to have missed the L3 cache.  Note that this does not capture all elapsed cycles while requests are outstanding - only cycles from when the requests were known by the requesting core to have missed the L3 cache",
	.pmu = "cpu_core",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of requests allocated in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_occupancy.all",
	.event = "umask=0x1,event=0x85",
	.desc = "Each cycle counts number of any coherent request at memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_occupancy.rd",
	.event = "umask=0x2,event=0x85",
	.desc = "Each cycle counts number of coherent reads pending on data return from memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_requests.rd",
	.event = "umask=0x2,event=0x81",
	.desc = "Number of coherent read requests sent to memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_ifa_occupancy.all",
	.event = "umask=0x1,event=0x85",
	.desc = "This event is deprecated. Refer to new event UNC_ARB_DAT_OCCUPANCY.ALL. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_req_trk_request.drd",
	.event = "umask=0x2,event=0x81",
	.desc = "This event is deprecated. Refer to new event UNC_ARB_DAT_REQUESTS.RD. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Each cycle counts number of all outgoing valid entries in ReqTrk. Such entry is defined as valid from its allocation in ReqTrk till deallocation. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Counts the number of coherent and in-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_clock ",
	.topic = "uncore other",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "l1d.hwpf_miss",
	.event = "period=1000003,umask=0x20,event=0x51",
	.desc = "L1D.HWPF_MISS. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "l1d.replacement",
	.event = "period=100003,umask=0x1,event=0x51",
	.desc = "Counts the number of cache lines replaced in L1 data cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
	.pmu = "cpu_core",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=1000003,umask=0x2,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
	.pmu = "cpu_core",
},
{
	.name = "l1d_pend_miss.fb_full_periods",
	.event = "cmask=1,edge=1,period=1000003,umask=0x2,event=0x48",
	.desc = "Number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
	.pmu = "cpu_core",
},
{
	.name = "l1d_pend_miss.l2_stall",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "This event is deprecated. Refer to new event L1D_PEND_MISS.L2_STALLS. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "l1d_pend_miss.l2_stalls",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D due to lack of L2 resources. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D due to lack of L2 resources. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
	.pmu = "cpu_core",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=1000003,umask=0x1,event=0x48",
	.desc = "Number of L1D misses that are outstanding. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts number of L1D misses that are outstanding in each cycle, that is each cycle the number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch. Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
	.pmu = "cpu_core",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
	.pmu = "cpu_core",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0x25",
	.desc = "L2 cache lines filling L2. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
	.pmu = "cpu_core",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0x26",
	.desc = "Cache lines that have been L2 hardware prefetched but not used by demand accesses. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of cache lines that have been prefetched by the L2 hardware prefetcher but not used by demand access when evicted from the L2 cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_request.all",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All accesses to L2 cache[This event is alias to L2_RQSTS.REFERENCES]. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts all requests that were hit or true misses in L2 cache. True-miss excludes misses that were merged with ongoing L2 misses.[This event is alias to L2_RQSTS.REFERENCES]",
	.pmu = "cpu_core",
},
{
	.name = "l2_request.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "Read requests with true-miss in L2 cache.[This event is alias to L2_RQSTS.MISS]. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts read requests of any type with true-miss in the L2 cache. True-miss excludes L2 misses that were merged with ongoing L2 misses.[This event is alias to L2_RQSTS.MISS]",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read access L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts Demand Data Read requests accessing the L2 cache. These requests may hit or miss L2 cache. True-miss exclude misses that were merged with ongoing L2 misses. An access is counted once",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts demand requests that miss L2 cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_hwpf",
	.event = "period=200003,umask=0xf0,event=0x24",
	.desc = "L2_RQSTS.ALL_HWPF. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests initiated by load instructions that hit L2 cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts demand Data Read requests with true-miss in the L2 cache. True-miss excludes misses that were merged with ongoing L2 misses. An access is counted once",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.hwpf_miss",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2_RQSTS.HWPF_MISS. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "Read requests with true-miss in L2 cache.[This event is alias to L2_REQUEST.MISS]. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts read requests of any type with true-miss in the L2 cache. True-miss excludes L2 misses that were merged with ongoing L2 misses.[This event is alias to L2_REQUEST.MISS]",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All accesses to L2 cache[This event is alias to L2_REQUEST.ALL]. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts all requests that were hit or true misses in L2 cache. True-miss excludes misses that were merged with ongoing L2 misses.[This event is alias to L2_REQUEST.ALL]",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.swpf_hit",
	.event = "period=200003,umask=0xc8,event=0x24",
	.desc = "SW prefetch requests that hit L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that hit the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.swpf_miss",
	.event = "period=200003,umask=0x28,event=0x24",
	.desc = "SW prefetch requests that miss L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that miss the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
	.pmu = "cpu_core",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that miss in the LLC. Counts on a per core basis. Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that miss in the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
	.pmu = "cpu_atom",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3). Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
	.pmu = "cpu_core",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that access the LLC. Counts on a per core basis. Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that access the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
	.pmu = "cpu_atom",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable requests that refer to L3 (Except hardware prefetches to the L3). Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
	.pmu = "cpu_core",
},
{
	.name = "mem_bound_stalls.ifetch",
	.event = "period=200003,umask=0x38,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM). Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.ifetch_dram_hit",
	.event = "period=200003,umask=0x20,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in DRAM or MMIO (Non-DRAM). Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in DRAM or MMIO (non-DRAM)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.ifetch_l2_hit",
	.event = "period=200003,umask=0x8,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2 cache. Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the L2 cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.ifetch_llc_hit",
	.event = "period=200003,umask=0x10,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the LLC or other core with HITE/F/M. Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.load",
	.event = "period=200003,umask=0x7,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM). Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM). Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the L2 cache. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_bound_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the LLC or other core with HITE/F/M. Unit: cpu_atom ",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
	.pmu = "cpu_atom",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load instructions. This event accounts for SW prefetch instructions of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store instructions  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=1000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with locked access  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_completed.l1_miss_any",
	.event = "period=1000003,umask=0xfd,event=0x43",
	.desc = "Completed demand load uops that miss the L1 d-cache. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Number of completed demand load requests that missed the L1 data cache including shadow misses (FB hits, merge to an ongoing L1D miss)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_fwd",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions whose data sources were HitM responses from shared L3. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions whose data sources were HitM responses from shared L3. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions whose data sources were hits in L3 without snoops required. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_no_fwd",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from local dram. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources missed L3 but serviced from local DRAM  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or lock. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired instructions with at least one load to uncacheable memory-type, or at least one cache-line split locked access (Bus Lock)  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Number of completed demand load requests that missed the L1, but hit the FB(fill buffer), because a preceding miss to the same cacheline initiated the line to be brought into L1, but data is not yet ready in L1. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=1000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=100021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=100021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=50021,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
	.pmu = "cpu_core",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in DRAM. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L2 cache. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=200003,umask=0x4,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_scheduler_block.all",
	.event = "period=20003,umask=0x7,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked for any of the following reasons:  load buffer, store buffer or RSV full. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_scheduler_block.ld_buf",
	.event = "period=20003,umask=0x2,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to a load buffer full condition. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_scheduler_block.rsv",
	.event = "period=20003,umask=0x4,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to an RSV full condition. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_scheduler_block.st_buf",
	.event = "period=20003,umask=0x1,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to a store buffer full condition. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_store_retired.l2_hit",
	.event = "period=200003,umask=0x1,event=0x44",
	.desc = "MEM_STORE_RETIRED.L2_HIT. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Counts the number of load uops retired. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of load uops retired  Supports address when precise (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Counts the number of store uops retired. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of store uops retired  Supports address when precise (Precise event)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_128",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x80",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 128 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 128 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_16",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x10",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 16 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 16 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_256",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x100",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 256 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 256 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_32",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x20",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 32 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 32 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_4",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x4",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 4 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 4 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_512",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x200",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 512 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 512 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_64",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x40",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 64 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 64 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_8",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x8",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 8 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 8 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Counts the number of retired split load uops. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.store_latency",
	.event = "period=1000003,umask=0x6,event=0xd0",
	.desc = "Counts the number of stores uops retired. Counts with or without PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of stores uops retired. Counts with or without PEBS enabled. If PEBS is enabled and a PEBS record is generated, will populate PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uop_retired.any",
	.event = "period=1000003,umask=0x3,event=0xe5",
	.desc = "Retired memory uops for any access. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Number of retired micro-operations (uops) for load or store memory accesses",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that resulted in a snoop hit in another cores caches, data forwarding is required as the data is modified. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x8003C0001",
	.desc = "OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10003C0002",
	.desc = "Counts demand read for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that resulted in a snoop hit in another cores caches, data forwarding is required as the data is modified. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0x21",
	.desc = "OFFCORE_REQUESTS.ALL_REQUESTS. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests.data_rd",
	.event = "period=100003,umask=0x8,event=0x21",
	.desc = "Demand and prefetch data reads. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0x21",
	.desc = "Demand Data Read requests sent to uncore. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=1000003,umask=0x8,event=0x20",
	.desc = "This event is deprecated. Refer to new event OFFCORE_REQUESTS_OUTSTANDING.DATA_RD. Unit: cpu_core   Spec update: ADL038",
	.topic = "cache",
	.pmu = "cpu_core",
	.deprecated = "1",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=1000003,umask=0x8,event=0x20",
	.desc = "OFFCORE_REQUESTS_OUTSTANDING.CYCLES_WITH_DATA_RD. Unit: cpu_core   Spec update: ADL038",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=1000003,umask=0x4,event=0x20",
	.desc = "For every cycle where the core is waiting on at least 1 outstanding Demand RFO request, increments by 1. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "OFFCORE_REQUESTS_OUTSTANDING.CYCLES_WITH_DEMAND_RFO",
	.pmu = "cpu_core",
},
{
	.name = "offcore_requests_outstanding.data_rd",
	.event = "period=1000003,umask=0x8,event=0x20",
	.desc = "OFFCORE_REQUESTS_OUTSTANDING.DATA_RD. Unit: cpu_core   Spec update: ADL038",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=100003,umask=0x1,event=0x40",
	.desc = "Number of PREFETCHNTA instructions executed. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHNTA instructions executed",
	.pmu = "cpu_core",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=100003,umask=0x8,event=0x40",
	.desc = "Number of PREFETCHW instructions executed. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHW instructions executed",
	.pmu = "cpu_core",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=100003,umask=0x2,event=0x40",
	.desc = "Number of PREFETCHT0 instructions executed. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT0 instructions executed",
	.pmu = "cpu_core",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=100003,umask=0x4,event=0x40",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed. Unit: cpu_core ",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.pmu = "cpu_core",
},
{
	.name = "topdown_fe_bound.icache",
	.event = "period=1000003,umask=0x20,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to instruction cache misses. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound. Sample with: FRONTEND_RETIRED.LATENCY_GE_4_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-fe\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: FRONTEND_RETIRED.LATENCY_GE_16_PS;FRONTEND_RETIRED.LATENCY_GE_8_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-fetch\\-lat / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Sample with: FRONTEND_RETIRED.L2_MISS_PS;FRONTEND_RETIRED.L1I_MISS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "icache_data.stalls / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: FRONTEND_RETIRED.STLB_MISS_PS;FRONTEND_RETIRED.ITLB_MISS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "icache_tag.stalls / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / clks + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_branch_mispredicts / tma_bad_speculation * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(1 - tma_branch_mispredicts / tma_bad_speculation) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: FRONTEND_RETIRED.UNKNOWN_BRANCH",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "int_misc.unknown_branch_cycles / clks",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty. Sample with: FRONTEND_RETIRED.DSB_MISS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "decode.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: FRONTEND_RETIRED.MS_FLOWS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend. Sample with: FRONTEND_RETIRED.LATENCY_GE_2_BUBBLES_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_2_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_frontend_bound - tma_fetch_latency)",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck. Sample with: FRONTEND_RETIRED.ANY_DSB_MISS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(idq.mite_cycles_any - idq.mite_cycles_ok) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(cpu_core@inst_decoded.decoders\\,cmask\\=1@ - cpu_core@inst_decoded.decoders\\,cmask\\=2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(idq.dsb_cycles_any - idq.dsb_cycles_ok) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit.  LSD typically does well sustaining Uop supply. However; in some rare cases; optimal uop-delivery could not be reached for small loops whose size (in terms of number of uops) does not suit well the LSD structure",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(lsd.cycles_active - lsd.cycles_ok) / core_clks / 2",
	.metric_name = "tma_lsd",
	.metric_group = "FetchBW;LSD;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(1 - (tma_frontend_bound + tma_backend_bound + tma_retiring), 0)",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: TOPDOWN.BR_MISPREDICT_SLOTS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-br\\-mispredict / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_bad_speculation - tma_branch_mispredicts)",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound. Sample with: TOPDOWN.BACKEND_BOUND_SLOTS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-mem\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_RETIRED.L1_HIT_PS;MEM_LOAD_RETIRED.FB_HIT_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max((exe_activity.bound_on_loads - memory_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_INST_RETIRED.STLB_MISS_LOADS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "min(7 * cpu_core@dtlb_load_misses.stlb_hit\\,cmask\\=1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - memory_activity.cycles_l1d_miss, 0)) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / clks",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_INST_RETIRED.LOCK_LOADS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(16 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (10 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_INST_RETIRED.SPLIT_LOADS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.fb_full / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L2_HIT_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(memory_activity.stalls_l1d_miss - memory_activity.stalls_l2_miss) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(memory_activity.stalls_l2_miss - memory_activity.stalls_l3_miss) / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_FWD;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(25 * average_frequency * (mem_load_l3_hit_retired.xsnp_fwd * (ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) + 24 * average_frequency * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_NO_FWD",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "24 * average_frequency * (mem_load_l3_hit_retired.xsnp_no_fwd + mem_load_l3_hit_retired.xsnp_fwd * (1 - ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "9 * average_frequency * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(xq.full_cycles + l1d_pend_miss.l2_stalls) / clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_MISS_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "memory_activity.stalls_l3_miss / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu_core@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_INST_RETIRED.ALL_STORES_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_st_buffer",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(mem_store_retired.l2_hit * 10 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: OCR.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "28 * average_frequency * ocr.demand_rfo.l3_hit.snoop_hitm / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_INST_RETIRED.SPLIT_STORES_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should Streaming stores be a bottleneck. Sample with: OCR.STREAMING_WR.ANY_RESPONSE",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "9 * ocr.streaming_wr.any_response / clks",
	.metric_name = "tma_streaming_stores",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_INST_RETIRED.STLB_MISS_STORES_PS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(7 * cpu_core@dtlb_store_misses.stlb_hit\\,cmask\\=1@ + dtlb_store_misses.walk_active) / core_clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_memory_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_ACTIVE",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "arith.divider_active / clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "((cpu_core@exe_activity.3_ports_util\\,umask\\=0x80@ + (exe_activity.1_ports_util + tma_retiring * cpu_core@exe_activity.2_ports_util\\,umask\\=0xc@)) / clks if arith.divider_active < cycle_activity.stalls_total - exe_activity.bound_on_loads else (exe_activity.1_ports_util + tma_retiring * cpu_core@exe_activity.2_ports_util\\,umask\\=0xc@) / clks)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "cpu_core@exe_activity.3_ports_util\\,umask\\=0x80@ / clks + tma_serializing_operation * (cycle_activity.stalls_total - exe_activity.bound_on_loads) / clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance. Sample with: RESOURCE_STALLS.SCOREBOARD",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "resource_stalls.scoreboard / clks",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions. Sample with: CPU_CLK_UNHALTED.PAUSE_INST",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.pause / clks",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_serializing_operation_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to LFENCE Instructions. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "13 * misc2_retired.lfence / clks",
	.metric_name = "tma_memory_fence",
	.metric_group = "TopdownL6;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "160 * assists.sse_avx_mix / clks",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful. Sample with: EXE_ACTIVITY.1_PORTS_UTIL",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "exe_activity.1_ports_util / clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop. Sample with: EXE_ACTIVITY.2_PORTS_UTIL",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "exe_activity.2_ports_util / clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Sample with: UOPS_EXECUTED.CYCLES_GE_3",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "uops_executed.cycles_ge_3 / clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_0 + uops_dispatched.port_1 + uops_dispatched.port_5_11 + uops_dispatched.port_6) / (5 * core_clks)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED.PORT_0. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED.PORT_1. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED.PORT_6. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3_10. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_2_3_10 / (3 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations Sample with: UOPS_DISPATCHED.PORT_7_8. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_4_9 + uops_dispatched.port_7_8) / (4 * core_clks)",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.SLOTS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_retiring - tma_heavy_operations)",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / (tma_retiring * slots)",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents overall Integer (Int) select operations fraction the CPU has executed (retired). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents overall Integer (Int) select operations fraction the CPU has executed (retired). Vector/Matrix Int operations and shuffles are counted. Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_int_vector_128b + tma_int_vector_256b + tma_shuffles",
	.metric_name = "tma_int_operations",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents 128-bit vector Integer ADD/SUB/SAD or VNNI (Vector Neural Network Instructions) uops fraction the CPU has retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(int_vec_retired.add_128 + int_vec_retired.vnni_128) / (tma_retiring * slots)",
	.metric_name = "tma_int_vector_128b",
	.metric_group = "Compute;IntVector;Pipeline;TopdownL4;tma_int_operations_group",
},
{
	.desc = "This metric represents 256-bit vector Integer ADD/SUB/SAD or VNNI (Vector Neural Network Instructions) uops fraction the CPU has retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "(int_vec_retired.add_256 + int_vec_retired.mul_256 + int_vec_retired.vnni_256) / (tma_retiring * slots)",
	.metric_name = "tma_int_vector_256b",
	.metric_group = "Compute;IntVector;Pipeline;TopdownL4;tma_int_operations_group",
},
{
	.desc = "This metric represents Shuffle (cross \"vector lane\" data transfers) uops fraction the CPU has retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "int_vec_retired.shuffles / (tma_retiring * slots)",
	.metric_name = "tma_shuffles",
	.metric_group = "HPC;Pipeline;TopdownL4;tma_int_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_uop_retired.any / (tma_retiring * slots)",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. The instruction pairs of CMP+JCC or DEC+JCC are commonly used examples",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.macro_fused / (tma_retiring * slots)",
	.metric_name = "tma_fused_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Non-conditional branches like direct JMP or CALL would count here. Can be used to examine fusible conditional jumps that were not fused",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_light_operations * (br_inst_retired.all_branches - inst_retired.macro_fused) / (tma_retiring * slots)",
	.metric_name = "tma_non_fused_branches",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body. Sample with: INST_RETIRED.NOP",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / (tma_retiring * slots)",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_int_operations + tma_memory_operations + tma_fused_instructions + tma_non_fused_branches + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences. Sample with: UOPS_RETIRED.HEAVY",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "topdown\\-heavy\\-ops / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: UOPS_RETIRED.MS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "tma_ms_uops",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: ASSISTS.ANY",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "100 * cpu_core@assists.any\\,umask\\=0x1b@ / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Page Faults. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Page Faults. A Page Fault may apply on first application access to a memory page. Note operating system handling of page faults accounts for the majority of its cost",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "99 * assists.page_fault / slots",
	.metric_name = "tma_page_faults",
	.metric_group = "TopdownL5;tma_assists_group",
},
{
	.desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Floating Point (FP) Assists. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric roughly estimates fraction of slots the CPU retired uops as a result of handing Floating Point (FP) Assists. FP Assist may apply when working with very small floating point values (so-called denormals)",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "30 * assists.fp / slots",
	.metric_name = "tma_fp_assists",
	.metric_group = "HPC;TopdownL5;tma_assists_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops as a result of handing SSE to AVX* or AVX* to SSE transition Assists. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "63 * assists.sse_avx_mix / slots",
	.metric_name = "tma_avx_assists",
	.metric_group = "HPC;TopdownL5;tma_assists_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources. Sample with: FRONTEND_RETIRED.MS_FLOWS",
	.pmu = "cpu_core",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_fb_full / (tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency + tma_streaming_stores)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * ((br_inst_retired.cond + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "tma_retiring * slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "tma_retiring * slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "topdown.slots",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Fraction of Physical Core issue-slots utilized by this Logical Processor. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(slots / (topdown.slots / 2) if #smt_on else 1)",
	.metric_name = "Slots_Utilization",
	.metric_group = "SMT;tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.pmu = "cpu_core",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.pmu = "cpu_core",
	.metric_expr = "(fp_arith_dispatched.port_0 + fp_arith_dispatched.port_1 + fp_arith_dispatched.port_5) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "cpu_clk_unhalted.distributed",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / cpu_core@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "tma_retiring * slots / cpu_core@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Estimated fraction of retirement-cycles dealing with repeat instructions. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.rep_iteration / cpu_core@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Strings_Cycles",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Instructions per a microcode Assist invocation. See Assists tree node for details (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / cpu_core@assists.any\\,umask\\=0x1b@",
	.metric_name = "IpAssist",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "uops_executed.thread / cpu_core@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "uops_issued.any / cpu_core@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the LSD (Loop Stream Detector; aka Loop Cache). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "lsd.uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "LSD_Coverage",
	.metric_group = "Fed;LSD",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_core@dsb2mite_switches.penalty_cycles\\,cmask\\=1\\,edge@",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_lsd + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "br_inst_retired.cond_ntaken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "br_inst_retired.cond_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches of other types (not individually covered by other metrics in Info.Branches group). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1 - (cond_nt + cond_tk + callret + jump)",
	.metric_name = "Other_Branches",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l1d_pend_miss.pending / mem_load_completed.l1_miss_any",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries). Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending) / (4 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second. Unit: cpu_core ",
	.topic = "adl metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.pmu = "cpu_core",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * fp_arith_inst_retired.256b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_distributed if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]. Unit: cpu_core ",
	.topic = "adl metrics",
	.pmu = "cpu_core",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "adl metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to frontend stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.all / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.frontend_latency / slots",
	.metric_name = "tma_frontend_latency",
	.metric_group = "TopdownL2;tma_frontend_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to instruction cache misses. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.icache / slots",
	.metric_name = "tma_icache",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.itlb / slots",
	.metric_name = "tma_itlb",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the number of issue slots  that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.branch_detect / slots",
	.metric_name = "tma_branch_detect",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.branch_resteer / slots",
	.metric_name = "tma_branch_resteer",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.frontend_bandwidth / slots",
	.metric_name = "tma_frontend_bandwidth",
	.metric_group = "TopdownL2;tma_frontend_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to the microcode sequencer (MS). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.cisc / slots",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to decode stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.decode / slots",
	.metric_name = "tma_decode",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to wrong predecodes. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.predecode / slots",
	.metric_name = "tma_predecode",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to other common frontend stalls not categorized. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.other / slots",
	.metric_name = "tma_other_fb",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ). Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "(slots - (topdown_fe_bound.all + topdown_be_bound.all + topdown_retiring.all)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to branch mispredicts. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.mispredict / slots",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "TopdownL2;tma_bad_speculation_group",
},
{
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.machine_clears / slots",
	.metric_name = "tma_machine_clears",
	.metric_group = "TopdownL2;tma_bad_speculation_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to a machine clear (slow nuke). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.nuke / slots",
	.metric_name = "tma_nuke",
	.metric_group = "TopdownL3;tma_machine_clears_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to SMC. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.smc / machine_clears.slow)",
	.metric_name = "tma_smc",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to memory ordering. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.memory_ordering / machine_clears.slow)",
	.metric_name = "tma_memory_ordering",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to FP assists. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.fp_assist / machine_clears.slow)",
	.metric_name = "tma_fp_assist",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to memory disambiguation. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.disambiguation / machine_clears.slow)",
	.metric_name = "tma_disambiguation",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to page faults. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.page_fault / machine_clears.slow)",
	.metric_name = "tma_page_fault",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to a machine clear classified as a fast nuke due to memory ordering, memory disambiguation and memory renaming. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.fastnuke / slots",
	.metric_name = "tma_fast_nuke",
	.metric_group = "TopdownL3;tma_machine_clears_group",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that uops must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count.   The rest of these subevents count backend stalls, in cycles, due to an outstanding request which is memory bound vs core bound.   The subevents are not slot based events and therefore can not be precisely added or subtracted from the Backend_Bound_Aux subevents which are slot based",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.all / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of cycles due to backend bound stalls that are core execution bound and not attributed to outstanding demand load or store stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_load_store_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "TopdownL2;tma_backend_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to stores or loads. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "min(tma_backend_bound, ld_head.any_at_ret / clks + tma_store_bound)",
	.metric_name = "tma_load_store_bound",
	.metric_group = "TopdownL2;tma_backend_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to store buffer full. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_st_buffer",
	.metric_name = "tma_store_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a load block. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "ld_head.l1_bound_at_ret / clks",
	.metric_name = "tma_l1_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a store forward block. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "ld_head.st_addr_at_ret / clks",
	.metric_name = "tma_store_fwd",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a first level TLB miss. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "ld_head.dtlb_miss_at_ret / clks",
	.metric_name = "tma_stlb_hit",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a second level TLB miss requiring a page walk. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "ld_head.pgwalk_at_ret / clks",
	.metric_name = "tma_stlb_miss",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a number of other load blocks. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "ld_head.other_at_ret / clks",
	.metric_name = "tma_other_l1",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles a core is stalled due to a demand load which hit in the L2 Cache. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_l2_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_l2_hit / mem_bound_stalls.load",
	.metric_name = "tma_l2_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles a core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_llc_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_llc_hit / mem_bound_stalls.load",
	.metric_name = "tma_l3_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_dram_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_dram_hit / mem_bound_stalls.load",
	.metric_name = "tma_dram_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hits in the L2, LLC, DRAM or MMIO (Non-DRAM) but could not be correctly attributed or cycles in which the load miss is waiting on a request buffer. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "max(0, tma_load_store_bound - (tma_store_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_dram_bound))",
	.metric_name = "tma_other_load_store",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that UOPS must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count.  All of these subevents count backend stalls, in slots, due to a resource limitation.   These are not cycle based events and therefore can not be precisely added or subtracted from the Backend_Bound subevents which are cycle based.  These subevents are supplementary to Backend_Bound and can be used to analyze results from a resource perspective at allocation",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_backend_bound",
	.metric_name = "tma_backend_bound_aux",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls. Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that uops must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_backend_bound",
	.metric_name = "tma_resource_bound",
	.metric_group = "TopdownL2;tma_backend_bound_aux_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.mem_scheduler / slots",
	.metric_name = "tma_mem_scheduler",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to store buffer full. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * (mem_scheduler_block.st_buf / mem_scheduler_block.all)",
	.metric_name = "tma_st_buffer",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to load buffer full. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * mem_scheduler_block.ld_buf / mem_scheduler_block.all",
	.metric_name = "tma_ld_buffer",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to RSV full relative . Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * mem_scheduler_block.rsv / mem_scheduler_block.all",
	.metric_name = "tma_rsv",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.non_mem_scheduler / slots",
	.metric_name = "tma_non_mem_scheduler",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.register / slots",
	.metric_name = "tma_register",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to the reorder buffer being full (ROB stalls). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.reorder_buffer / slots",
	.metric_name = "tma_reorder_buffer",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to certain allocation restrictions. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.alloc_restrictions / slots",
	.metric_name = "tma_alloc_restriction",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.serialization / slots",
	.metric_name = "tma_serialization",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the numer of issue slots  that result in retirement slots. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "topdown_retiring.all / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of uops that are not from the microsequencer. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "(topdown_retiring.all - uops_retired.ms) / slots",
	.metric_name = "tma_base",
	.metric_group = "TopdownL2;tma_retiring_group",
},
{
	.desc = "Counts the number of floating point operations per uop with all default weighting. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "uops_retired.fpdiv / slots",
	.metric_name = "tma_fp_uops",
	.metric_group = "TopdownL3;tma_base_group",
},
{
	.desc = "Counts the number of uops retired excluding ms and fp div uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "(topdown_retiring.all - uops_retired.ms - uops_retired.fpdiv) / slots",
	.metric_name = "tma_other_ret",
	.metric_group = "TopdownL3;tma_base_group",
},
{
	.desc = "Counts the number of uops that are from the complex flows issued by the micro-sequencer (MS). Unit: cpu_atom ",
	.topic = "adl metrics",
	.long_desc = "Counts the number of uops that are from the complex flows issued by the micro-sequencer (MS).  This includes uops from flows due to complex instructions, faults, assists, and inserted flows",
	.pmu = "cpu_atom",
	.unit = "100%",
	.metric_expr = "uops_retired.ms / slots",
	.metric_name = "tma_ms_uops",
	.metric_group = "TopdownL2;tma_retiring_group",
},
{
	.desc = "Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "cpu_clk_unhalted.core",
	.metric_name = "CLKS",
},
{
	.desc = "Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "cpu_clk_unhalted.core_p",
	.metric_name = "CLKS_P",
},
{
	.desc = "Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "5 * clks",
	.metric_name = "SLOTS",
},
{
	.desc = "Instructions Per Cycle. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
},
{
	.desc = "Cycles Per Instruction. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "clks / inst_retired.any",
	.metric_name = "CPI",
},
{
	.desc = "Uops Per Instruction. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "uops_retired.all / inst_retired.any",
	.metric_name = "UPI",
},
{
	.desc = "Percentage of total non-speculative loads with a store forward or unknown store address block. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * ld_blocks.data_unknown / mem_uops_retired.all_loads",
	.metric_name = "Store_Fwd_Blocks",
},
{
	.desc = "Percentage of total non-speculative loads with a address aliasing block. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * ld_blocks.4k_alias / mem_uops_retired.all_loads",
	.metric_name = "Address_Alias_Blocks",
},
{
	.desc = "Percentage of total non-speculative loads that are splits. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * mem_uops_retired.split_loads / mem_uops_retired.all_loads",
	.metric_name = "Load_Splits",
},
{
	.desc = "Instructions per Branch (lower number means higher occurance rate). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
},
{
	.desc = "Instruction per (near) call (lower number means higher occurance rate). Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / br_inst_retired.call",
	.metric_name = "IpCall",
},
{
	.desc = "Instructions per Load. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
},
{
	.desc = "Instructions per Store. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
},
{
	.desc = "Instructions per Far Branch. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "inst_retired.any / (br_inst_retired.far_branch / 2)",
	.metric_name = "IpFarBranch",
},
{
	.desc = "Ratio of all branches which mispredict. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "br_misp_retired.all_branches / br_inst_retired.all_branches",
	.metric_name = "Branch_Mispredict_Ratio",
},
{
	.desc = "Ratio between Mispredicted branches and unknown branches. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "br_misp_retired.all_branches / baclears.any",
	.metric_name = "Branch_Mispredict_to_Unknown_Branch_Ratio",
},
{
	.desc = "Percentage of all uops which are ucode ops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * uops_retired.ms / uops_retired.all",
	.metric_name = "Microcode_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are FPDiv uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * uops_retired.fpdiv / uops_retired.all",
	.metric_name = "FPDiv_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are IDiv uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * uops_retired.idiv / uops_retired.all",
	.metric_name = "IDiv_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are x87 uops. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * uops_retired.x87 / uops_retired.all",
	.metric_name = "X87_Uop_Ratio",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
},
{
	.desc = "Fraction of cycles spent in Kernel mode. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "cpu_atom@cpu_clk_unhalted.core@k / cpu_clk_unhalted.core",
	.metric_name = "Kernel_Utilization",
},
{
	.desc = "Average CPU Utilization. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
},
{
	.desc = "Cycle cost per L2 hit. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "mem_bound_stalls.load_l2_hit / mem_load_uops_retired.l2_hit",
	.metric_name = "Cycles_per_Demand_Load_L2_Hit",
},
{
	.desc = "Cycle cost per LLC hit. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "mem_bound_stalls.load_llc_hit / mem_load_uops_retired.l3_hit",
	.metric_name = "Cycles_per_Demand_Load_L3_Hit",
},
{
	.desc = "Cycle cost per DRAM hit. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "mem_bound_stalls.load_dram_hit / mem_load_uops_retired.dram_hit",
	.metric_name = "Cycles_per_Demand_Load_DRAM_Hit",
},
{
	.desc = "Percent of instruction miss cost that hit in the L2. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * mem_bound_stalls.ifetch_l2_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_L2Hit_Percent",
},
{
	.desc = "Percent of instruction miss cost that hit in the L3. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * mem_bound_stalls.ifetch_llc_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_L3Hit_Percent",
},
{
	.desc = "Percent of instruction miss cost that hit in DRAM. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "100 * mem_bound_stalls.ifetch_dram_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_DRAMHit_Percent",
},
{
	.desc = "load ops retired per 1000 instruction. Unit: cpu_atom ",
	.topic = "adl metrics",
	.pmu = "cpu_atom",
	.metric_expr = "1e3 * mem_uops_retired.all_loads / inst_retired.any",
	.metric_name = "MemLoadPKI",
},
{
	.desc = "C1 residency percent per core",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c1\\-residency@ / tsc",
	.metric_name = "C1_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C8 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c8\\-residency@ / tsc",
	.metric_name = "C8_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C9 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c9\\-residency@ / tsc",
	.metric_name = "C9_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C10 residency percent per package",
	.topic = "adl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c10\\-residency@ / tsc",
	.metric_name = "C10_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_mc0_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read  request entering the Memory Controller 0 to DRAM (sum of all channels). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts every 64B read request entering the Memory Controller 0 to DRAM (sum of all channels)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc0_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B write request entering the Memory Controller 0 to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read request entering the Memory Controller 1 to DRAM (sum of all channels). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts every 64B read entering the Memory Controller 1 to DRAM (sum of all channels)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B write request entering the Memory Controller 1 to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_rd",
	.event = "event=0x24",
	.desc = "ACT command for a read request sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_total",
	.event = "event=0x26",
	.desc = "ACT command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_wr",
	.event = "event=0x25",
	.desc = "ACT command for a write request sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count_rd",
	.event = "event=0x22",
	.desc = "Read CAS command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count_wr",
	.event = "event=0x23",
	.desc = "Write CAS command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0x1",
	.desc = "Number of clocks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_empty_rd",
	.event = "event=0x1d",
	.desc = "incoming read request page status is Page Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_empty_wr",
	.event = "event=0x20",
	.desc = "incoming write request page status is Page Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_hit_rd",
	.event = "event=0x1c",
	.desc = "incoming read request page status is Page Hit. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_hit_wr",
	.event = "event=0x1f",
	.desc = "incoming write request page status is Page Hit. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_miss_rd",
	.event = "event=0x1e",
	.desc = "incoming read request page status is Page Miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_miss_wr",
	.event = "event=0x21",
	.desc = "incoming write request page status is Page Miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_thermal_hot",
	.event = "event=0x19",
	.desc = "Any Rank at Hot state. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_thermal_warm",
	.event = "event=0x1a",
	.desc = "Any Rank at Warm state. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_prefetch_rd",
	.event = "event=0xa",
	.desc = "Incoming read prefetch request from IA. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count_idle",
	.event = "event=0x28",
	.desc = "PRE command sent to DRAM due to page table idle timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count_page_miss",
	.event = "event=0x27",
	.desc = "PRE command sent to DRAM for a read/write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc0_requests_rd",
	.event = "event=0x2",
	.desc = "Incoming VC0 read request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc0_requests_wr",
	.event = "event=0x3",
	.desc = "Incoming VC0 write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc1_requests_rd",
	.event = "event=0x4",
	.desc = "Incoming VC1 read request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc1_requests_wr",
	.event = "event=0x5",
	.desc = "Incoming VC1 write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_amdzen4[] = {
{
	.desc = "Execution-time branch misprediction ratio (non-speculative)",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ex_ret_brn_misp, ex_ret_brn)",
	.metric_name = "branch_misprediction_ratio",
	.metric_group = "branch_prediction",
},
{
	.name = "all_data_cache_accesses",
	.event = "umask=0x07,event=0x29",
	.desc = "All data cache accesses",
	.topic = "recommended",
},
{
	.desc = "All L2 cache accesses",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.all_no_prefetch + l2_pf_hit_l2.all + l2_pf_miss_l2_hit_l3.all + l2_pf_miss_l2_l3.all",
	.metric_name = "all_l2_cache_accesses",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache accesses from L1 instruction cache misses (including prefetch)",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.cacheable_ic_read",
	.metric_name = "l2_cache_accesses_from_l1_ic_misses",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache accesses from L1 data cache misses (including prefetch)",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.all_dc",
	.metric_name = "l2_cache_accesses_from_l1_dc_misses",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache accesses from L2 cache hardware prefetcher",
	.topic = "recommended",
	.metric_expr = "l2_pf_hit_l2.all + l2_pf_miss_l2_hit_l3.all + l2_pf_miss_l2_l3.all",
	.metric_name = "l2_cache_accesses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 cache misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_miss_in_l2 + l2_pf_miss_l2_hit_l3.all + l2_pf_miss_l2_l3.all",
	.metric_name = "all_l2_cache_misses",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache misses from L1 instruction cache misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_fill_miss",
	.metric_name = "l2_cache_misses_from_l1_ic_miss",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache misses from L1 data cache misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ls_rd_blk_c",
	.metric_name = "l2_cache_misses_from_l1_dc_miss",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache misses from L2 cache hardware prefetcher",
	.topic = "recommended",
	.metric_expr = "l2_pf_miss_l2_hit_l3.all + l2_pf_miss_l2_l3.all",
	.metric_name = "l2_cache_misses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 cache hits",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_hit_in_l2 + l2_pf_hit_l2.all",
	.metric_name = "all_l2_cache_hits",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache hits from L1 instruction cache misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_hit_in_l2",
	.metric_name = "l2_cache_hits_from_l1_ic_miss",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache hits from L1 data cache misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.dc_hit_in_l2",
	.metric_name = "l2_cache_hits_from_l1_dc_miss",
	.metric_group = "l2_cache",
},
{
	.desc = "L2 cache hits from L2 cache hardware prefetcher",
	.topic = "recommended",
	.metric_expr = "l2_pf_hit_l2.all",
	.metric_name = "l2_cache_hits_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "L3 cache accesses",
	.topic = "recommended",
	.metric_expr = "l3_lookup_state.all_coherent_accesses_to_l3",
	.metric_name = "l3_cache_accesses",
	.metric_group = "l3_cache",
},
{
	.desc = "L3 misses (including cacheline state change requests)",
	.topic = "recommended",
	.metric_expr = "l3_lookup_state.l3_miss",
	.metric_name = "l3_misses",
	.metric_group = "l3_cache",
},
{
	.desc = "Average L3 read miss latency (in core clocks)",
	.topic = "recommended",
	.unit = "1core clocks",
	.metric_expr = "(l3_xi_sampled_latency.all * 10) / l3_xi_sampled_latency_requests.all",
	.metric_name = "l3_read_miss_latency",
	.metric_group = "l3_cache",
},
{
	.desc = "Op cache miss ratio for all fetches",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(op_cache_hit_miss.op_cache_miss, op_cache_hit_miss.all_op_cache_accesses)",
	.metric_name = "op_cache_fetch_miss_ratio",
},
{
	.desc = "Instruction cache miss ratio for all fetches. An instruction cache miss will not be counted by this metric if it is an OC hit",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ic_tag_hit_miss.instruction_cache_miss, ic_tag_hit_miss.all_instruction_cache_accesses)",
	.metric_name = "ic_fetch_miss_ratio",
},
{
	.desc = "L1 data cache fills from DRAM or MMIO in any NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_any_fills_from_sys.dram_io_all",
	.metric_name = "l1_data_cache_fills_from_memory",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 data cache fills from a different NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_any_fills_from_sys.far_all",
	.metric_name = "l1_data_cache_fills_from_remote_node",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 data cache fills from within the same CCX",
	.topic = "recommended",
	.metric_expr = "ls_any_fills_from_sys.local_all",
	.metric_name = "l1_data_cache_fills_from_same_ccx",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 data cache fills from another CCX cache in any NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_any_fills_from_sys.remote_cache",
	.metric_name = "l1_data_cache_fills_from_different_ccx",
	.metric_group = "l1_dcache",
},
{
	.desc = "All L1 data cache fills",
	.topic = "recommended",
	.metric_expr = "ls_any_fills_from_sys.all",
	.metric_name = "all_l1_data_cache_fills",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from local L2 cache",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.local_l2",
	.metric_name = "l1_demand_data_cache_fills_from_local_l2",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from within the same CCX",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.local_ccx",
	.metric_name = "l1_demand_data_cache_fills_from_same_ccx",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from another CCX cache in the same NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.near_cache",
	.metric_name = "l1_demand_data_cache_fills_from_near_cache",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from DRAM or MMIO in the same NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.dram_io_near",
	.metric_name = "l1_demand_data_cache_fills_from_near_memory",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from another CCX cache in a different NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.far_cache",
	.metric_name = "l1_demand_data_cache_fills_from_far_cache",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 demand data cache fills from DRAM or MMIO in a different NUMA node",
	.topic = "recommended",
	.metric_expr = "ls_dmnd_fills_from_sys.dram_io_far",
	.metric_name = "l1_demand_data_cache_fills_from_far_memory",
	.metric_group = "l1_dcache",
},
{
	.desc = "L1 instruction TLB misses",
	.topic = "recommended",
	.metric_expr = "bp_l1_tlb_miss_l2_tlb_hit + bp_l1_tlb_miss_l2_tlb_miss.all",
	.metric_name = "l1_itlb_misses",
	.metric_group = "tlb",
},
{
	.desc = "L2 instruction TLB misses and instruction page walks",
	.topic = "recommended",
	.metric_expr = "bp_l1_tlb_miss_l2_tlb_miss.all",
	.metric_name = "l2_itlb_misses",
	.metric_group = "tlb",
},
{
	.desc = "L1 data TLB misses",
	.topic = "recommended",
	.metric_expr = "ls_l1_d_tlb_miss.all",
	.metric_name = "l1_dtlb_misses",
	.metric_group = "tlb",
},
{
	.desc = "L2 data TLB misses and data page walks",
	.topic = "recommended",
	.metric_expr = "ls_l1_d_tlb_miss.all_l2_miss",
	.metric_name = "l2_dtlb_misses",
	.metric_group = "tlb",
},
{
	.desc = "All TLBs flushed",
	.topic = "recommended",
	.metric_expr = "ls_tlb_flush.all",
	.metric_name = "all_tlbs_flushed",
	.metric_group = "tlb",
},
{
	.desc = "Macro-ops dispatched",
	.topic = "recommended",
	.metric_expr = "de_src_op_disp.all",
	.metric_name = "macro_ops_dispatched",
	.metric_group = "decoder",
},
{
	.desc = "Mixed SSE/AVX stalls",
	.topic = "recommended",
	.metric_expr = "fp_disp_faults.sse_avx_all",
	.metric_name = "sse_avx_stalls",
},
{
	.desc = "Macro-ops retired",
	.topic = "recommended",
	.metric_expr = "ex_ret_ops",
	.metric_name = "macro_ops_retired",
},
{
	.desc = "DRAM read data for local processor",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_processor_read_data_beats_cs0 + local_processor_read_data_beats_cs1 + local_processor_read_data_beats_cs2 + local_processor_read_data_beats_cs3 + local_processor_read_data_beats_cs4 + local_processor_read_data_beats_cs5 + local_processor_read_data_beats_cs6 + local_processor_read_data_beats_cs7 + local_processor_read_data_beats_cs8 + local_processor_read_data_beats_cs9 + local_processor_read_data_beats_cs10 + local_processor_read_data_beats_cs11",
	.metric_name = "dram_read_data_for_local_processor",
	.metric_group = "data_fabric",
},
{
	.desc = "DRAM write data for local processor",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_processor_write_data_beats_cs0 + local_processor_write_data_beats_cs1 + local_processor_write_data_beats_cs2 + local_processor_write_data_beats_cs3 + local_processor_write_data_beats_cs4 + local_processor_write_data_beats_cs5 + local_processor_write_data_beats_cs6 + local_processor_write_data_beats_cs7 + local_processor_write_data_beats_cs8 + local_processor_write_data_beats_cs9 + local_processor_write_data_beats_cs10 + local_processor_write_data_beats_cs11",
	.metric_name = "dram_write_data_for_local_processor",
	.metric_group = "data_fabric",
},
{
	.desc = "DRAM read data for remote processor",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_processor_read_data_beats_cs0 + remote_processor_read_data_beats_cs1 + remote_processor_read_data_beats_cs2 + remote_processor_read_data_beats_cs3 + remote_processor_read_data_beats_cs4 + remote_processor_read_data_beats_cs5 + remote_processor_read_data_beats_cs6 + remote_processor_read_data_beats_cs7 + remote_processor_read_data_beats_cs8 + remote_processor_read_data_beats_cs9 + remote_processor_read_data_beats_cs10 + remote_processor_read_data_beats_cs11",
	.metric_name = "dram_read_data_for_remote_processor",
	.metric_group = "data_fabric",
},
{
	.desc = "DRAM write data for remote processor",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_processor_write_data_beats_cs0 + remote_processor_write_data_beats_cs1 + remote_processor_write_data_beats_cs2 + remote_processor_write_data_beats_cs3 + remote_processor_write_data_beats_cs4 + remote_processor_write_data_beats_cs5 + remote_processor_write_data_beats_cs6 + remote_processor_write_data_beats_cs7 + remote_processor_write_data_beats_cs8 + remote_processor_write_data_beats_cs9 + remote_processor_write_data_beats_cs10 + remote_processor_write_data_beats_cs11",
	.metric_name = "dram_write_data_for_remote_processor",
	.metric_group = "data_fabric",
},
{
	.desc = "Local socket upstream DMA read data",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_socket_upstream_read_beats_iom0 + local_socket_upstream_read_beats_iom1 + local_socket_upstream_read_beats_iom2 + local_socket_upstream_read_beats_iom3",
	.metric_name = "local_socket_upstream_dma_read_data",
	.metric_group = "data_fabric",
},
{
	.desc = "Local socket upstream DMA write data",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_socket_upstream_write_beats_iom0 + local_socket_upstream_write_beats_iom1 + local_socket_upstream_write_beats_iom2 + local_socket_upstream_write_beats_iom3",
	.metric_name = "local_socket_upstream_dma_write_data",
	.metric_group = "data_fabric",
},
{
	.desc = "Remote socket upstream DMA read data",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_socket_upstream_read_beats_iom0 + remote_socket_upstream_read_beats_iom1 + remote_socket_upstream_read_beats_iom2 + remote_socket_upstream_read_beats_iom3",
	.metric_name = "remote_socket_upstream_dma_read_data",
	.metric_group = "data_fabric",
},
{
	.desc = "Remote socket upstream DMA write data",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_socket_upstream_write_beats_iom0 + remote_socket_upstream_write_beats_iom1 + remote_socket_upstream_write_beats_iom2 + remote_socket_upstream_write_beats_iom3",
	.metric_name = "remote_socket_upstream_dma_write_data",
	.metric_group = "data_fabric",
},
{
	.desc = "Local socket inbound data to the CPU (e.g. read data)",
	.topic = "recommended",
	.unit = "3.0517578125e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_socket_inf0_inbound_data_beats_ccm0 + local_socket_inf1_inbound_data_beats_ccm0 + local_socket_inf0_inbound_data_beats_ccm1 + local_socket_inf1_inbound_data_beats_ccm1 + local_socket_inf0_inbound_data_beats_ccm2 + local_socket_inf1_inbound_data_beats_ccm2 + local_socket_inf0_inbound_data_beats_ccm3 + local_socket_inf1_inbound_data_beats_ccm3 + local_socket_inf0_inbound_data_beats_ccm4 + local_socket_inf1_inbound_data_beats_ccm4 + local_socket_inf0_inbound_data_beats_ccm5 + local_socket_inf1_inbound_data_beats_ccm5 + local_socket_inf0_inbound_data_beats_ccm6 + local_socket_inf1_inbound_data_beats_ccm6 + local_socket_inf0_inbound_data_beats_ccm7 + local_socket_inf1_inbound_data_beats_ccm7",
	.metric_name = "local_socket_inbound_data_to_cpu",
	.metric_group = "data_fabric",
},
{
	.desc = "Local socket outbound data from the CPU (e.g. write data)",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_socket_inf0_outbound_data_beats_ccm0 + local_socket_inf1_outbound_data_beats_ccm0 + local_socket_inf0_outbound_data_beats_ccm1 + local_socket_inf1_outbound_data_beats_ccm1 + local_socket_inf0_outbound_data_beats_ccm2 + local_socket_inf1_outbound_data_beats_ccm2 + local_socket_inf0_outbound_data_beats_ccm3 + local_socket_inf1_outbound_data_beats_ccm3 + local_socket_inf0_outbound_data_beats_ccm4 + local_socket_inf1_outbound_data_beats_ccm4 + local_socket_inf0_outbound_data_beats_ccm5 + local_socket_inf1_outbound_data_beats_ccm5 + local_socket_inf0_outbound_data_beats_ccm6 + local_socket_inf1_outbound_data_beats_ccm6 + local_socket_inf0_outbound_data_beats_ccm7 + local_socket_inf1_outbound_data_beats_ccm7",
	.metric_name = "local_socket_outbound_data_from_cpu",
	.metric_group = "data_fabric",
},
{
	.desc = "Remote socket inbound data to the CPU (e.g. read data)",
	.topic = "recommended",
	.unit = "3.0517578125e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_socket_inf0_inbound_data_beats_ccm0 + remote_socket_inf1_inbound_data_beats_ccm0 + remote_socket_inf0_inbound_data_beats_ccm1 + remote_socket_inf1_inbound_data_beats_ccm1 + remote_socket_inf0_inbound_data_beats_ccm2 + remote_socket_inf1_inbound_data_beats_ccm2 + remote_socket_inf0_inbound_data_beats_ccm3 + remote_socket_inf1_inbound_data_beats_ccm3 + remote_socket_inf0_inbound_data_beats_ccm4 + remote_socket_inf1_inbound_data_beats_ccm4 + remote_socket_inf0_inbound_data_beats_ccm5 + remote_socket_inf1_inbound_data_beats_ccm5 + remote_socket_inf0_inbound_data_beats_ccm6 + remote_socket_inf1_inbound_data_beats_ccm6 + remote_socket_inf0_inbound_data_beats_ccm7 + remote_socket_inf1_inbound_data_beats_ccm7",
	.metric_name = "remote_socket_inbound_data_to_cpu",
	.metric_group = "data_fabric",
},
{
	.desc = "Remote socket outbound data from the CPU (e.g. write data)",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_socket_inf0_outbound_data_beats_ccm0 + remote_socket_inf1_outbound_data_beats_ccm0 + remote_socket_inf0_outbound_data_beats_ccm1 + remote_socket_inf1_outbound_data_beats_ccm1 + remote_socket_inf0_outbound_data_beats_ccm2 + remote_socket_inf1_outbound_data_beats_ccm2 + remote_socket_inf0_outbound_data_beats_ccm3 + remote_socket_inf1_outbound_data_beats_ccm3 + remote_socket_inf0_outbound_data_beats_ccm4 + remote_socket_inf1_outbound_data_beats_ccm4 + remote_socket_inf0_outbound_data_beats_ccm5 + remote_socket_inf1_outbound_data_beats_ccm5 + remote_socket_inf0_outbound_data_beats_ccm6 + remote_socket_inf1_outbound_data_beats_ccm6 + remote_socket_inf0_outbound_data_beats_ccm7 + remote_socket_inf1_outbound_data_beats_ccm7",
	.metric_name = "remote_socket_outbound_data_from_cpu",
	.metric_group = "data_fabric",
},
{
	.desc = "Outbound data from all links (local socket)",
	.topic = "recommended",
	.unit = "6.103515625e-5MiB",
	.perpkg = "1",
	.metric_expr = "local_socket_outbound_data_beats_link0 + local_socket_outbound_data_beats_link1 + local_socket_outbound_data_beats_link2 + local_socket_outbound_data_beats_link3 + local_socket_outbound_data_beats_link4 + local_socket_outbound_data_beats_link5 + local_socket_outbound_data_beats_link6 + local_socket_outbound_data_beats_link7",
	.metric_name = "local_socket_outbound_data_from_all_links",
	.metric_group = "data_fabric",
},
{
	.name = "resyncs_or_nc_redirects",
	.event = "event=0x96",
	.desc = "Pipeline restarts not caused by branch mispredicts",
	.topic = "other",
},
{
	.name = "de_op_queue_empty",
	.event = "event=0xa9",
	.desc = "Cycles when the op queue is empty. Such cycles indicate that the front-end is not delivering instructions fast enough",
	.topic = "other",
},
{
	.name = "de_src_op_disp.decoder",
	.event = "umask=0x01,event=0xaa",
	.desc = "Ops fetched from instruction cache and dispatched",
	.topic = "other",
},
{
	.name = "de_src_op_disp.op_cache",
	.event = "umask=0x02,event=0xaa",
	.desc = "Ops fetched from op cache and dispatched",
	.topic = "other",
},
{
	.name = "de_src_op_disp.loop_buffer",
	.event = "umask=0x04,event=0xaa",
	.desc = "Ops dispatched from loop buffer",
	.topic = "other",
},
{
	.name = "de_src_op_disp.all",
	.event = "umask=0x07,event=0xaa",
	.desc = "Ops dispatched from any source",
	.topic = "other",
},
{
	.name = "de_dis_ops_from_decoder.any_fp_dispatch",
	.event = "umask=0x04,event=0xab",
	.desc = "Number of ops dispatched to the floating-point unit",
	.topic = "other",
},
{
	.name = "de_dis_ops_from_decoder.disp_op_type.any_integer_dispatch",
	.event = "umask=0x08,event=0xab",
	.desc = "Number of ops dispatched to the integer execution unit",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.int_phy_reg_file_rsrc_stall",
	.event = "umask=0x01,event=0xae",
	.desc = "Number of cycles dispatch is stalled for integer physical register file tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.load_queue_rsrc_stall",
	.event = "umask=0x02,event=0xae",
	.desc = "Number of cycles dispatch is stalled for Load queue token",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.store_queue_rsrc_stall",
	.event = "umask=0x04,event=0xae",
	.desc = "Number of cycles dispatch is stalled for store queue tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.taken_brnch_buffer_rsrc",
	.event = "umask=0x10,event=0xae",
	.desc = "Number of cycles dispatch is stalled for taken branch buffer tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_reg_file_rsrc_stall",
	.event = "umask=0x20,event=0xae",
	.desc = "Number of cycles dispatch is stalled for floating-point register file tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_sch_rsrc_stall",
	.event = "umask=0x40,event=0xae",
	.desc = "Number of cycles dispatch is stalled for floating-point scheduler tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_flush_recovery_stall",
	.event = "umask=0x80,event=0xae",
	.desc = "Number of cycles dispatch is stalled for floating-point flush recovery",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch0_token_stall",
	.event = "umask=0x01,event=0xaf",
	.desc = "Number of cycles dispatch is stalled for integer scheduler queue 0 tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch1_token_stall",
	.event = "umask=0x02,event=0xaf",
	.desc = "Number of cycles dispatch is stalled for integer scheduler queue 1 tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch2_token_stall",
	.event = "umask=0x04,event=0xaf",
	.desc = "Number of cycles dispatch is stalled for integer scheduler queue 2 tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch3_token_stall",
	.event = "umask=0x08,event=0xaf",
	.desc = "Number of cycles dispatch is stalled for integer scheduler queue 3 tokens",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.retire_token_stall",
	.event = "umask=0x20,event=0xaf",
	.desc = "Number of cycles dispatch is stalled for retire queue tokens",
	.topic = "other",
},
{
	.name = "de_no_dispatch_per_slot.no_ops_from_frontend",
	.event = "umask=0x01,event=0x1a0",
	.desc = "In each cycle counts dispatch slots left empty because the front-end did not supply ops",
	.topic = "other",
},
{
	.name = "de_no_dispatch_per_slot.backend_stalls",
	.event = "umask=0x1e,event=0x1a0",
	.desc = "In each cycle counts ops unable to dispatch because of back-end stalls",
	.topic = "other",
},
{
	.name = "de_no_dispatch_per_slot.smt_contention",
	.event = "umask=0x60,event=0x1a0",
	.desc = "In each cycle counts ops unable to dispatch because the dispatch cycle was granted to the other SMT thread",
	.topic = "other",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 branch prediction overrides existing prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_dyn_ind_pred",
	.event = "event=0x8e",
	.desc = "Dynamic indirect predictions (branch used the indirect predictor to make a prediction)",
	.topic = "branch",
},
{
	.name = "bp_de_redirect",
	.event = "event=0x91",
	.desc = "Instruction decoder corrects the predicted target and resteers the branch predictor",
	.topic = "branch",
},
{
	.name = "ex_ret_brn",
	.event = "event=0xc2",
	.desc = "Retired branch instructions (all types of architectural control flow changes, including exceptions and interrupts)",
	.topic = "branch",
},
{
	.name = "ex_ret_brn_misp",
	.event = "event=0xc3",
	.desc = "Retired branch instructions mispredicted",
	.topic = "branch",
},
{
	.name = "ex_ret_brn_tkn",
	.event = "event=0xc4",
	.desc = "Retired taken branch instructions (all types of architectural control flow changes, including exceptions and interrupts)",
	.topic = "branch",
},
{
	.name = "ex_ret_brn_tkn_misp",
	.event = "event=0xc5",
	.desc = "Retired taken branch instructions mispredicted",
	.topic = "branch",
},
{
	.name = "ex_ret_brn_far",
	.event = "event=0xc6",
	.desc = "Retired far control transfers (far call/jump/return, IRET, SYSCALL and SYSRET, plus exceptions and interrupts). Far control transfers are not subject to branch prediction",
	.topic = "branch",
},
{
	.name = "ex_ret_near_ret",
	.event = "event=0xc8",
	.desc = "Retired near returns (RET or RET Iw)",
	.topic = "branch",
},
{
	.name = "ex_ret_near_ret_mispred",
	.event = "event=0xc9",
	.desc = "Retired near returns mispredicted. Each misprediction incurs the same penalty as a mispredicted conditional branch instruction",
	.topic = "branch",
},
{
	.name = "ex_ret_brn_ind_misp",
	.event = "event=0xca",
	.desc = "Retired indirect branch instructions mispredicted (only EX mispredicts). Each misprediction incurs the same penalty as a mispredicted conditional branch instruction",
	.topic = "branch",
},
{
	.name = "ex_ret_ind_brch_instr",
	.event = "event=0xcc",
	.desc = "Retired indirect branch instructions",
	.topic = "branch",
},
{
	.name = "ex_ret_cond",
	.event = "event=0xd1",
	.desc = "Retired conditional branch instructions",
	.topic = "branch",
},
{
	.name = "ex_ret_msprd_brnch_instr_dir_msmtch",
	.event = "event=0x1c7",
	.desc = "Retired branch instructions mispredicted due to direction mismatch",
	.topic = "branch",
},
{
	.name = "ex_ret_uncond_brnch_instr_mispred",
	.event = "event=0x1c8",
	.desc = "Retired unconditional indirect branch instructions mispredicted",
	.topic = "branch",
},
{
	.name = "ex_ret_uncond_brnch_instr",
	.event = "event=0x1c9",
	.desc = "Retired unconditional branch instructions",
	.topic = "branch",
},
{
	.name = "ls_locks.bus_lock",
	.event = "umask=0x01,event=0x25",
	.desc = "Retired Lock instructions which caused a bus lock",
	.topic = "core",
},
{
	.name = "ls_ret_cl_flush",
	.event = "event=0x26",
	.desc = "Retired CLFLUSH instructions",
	.topic = "core",
},
{
	.name = "ls_ret_cpuid",
	.event = "event=0x27",
	.desc = "Retired CPUID instructions",
	.topic = "core",
},
{
	.name = "ls_smi_rx",
	.event = "event=0x2b",
	.desc = "SMIs received",
	.topic = "core",
},
{
	.name = "ls_int_taken",
	.event = "event=0x2c",
	.desc = "Interrupts taken",
	.topic = "core",
},
{
	.name = "ls_not_halted_cyc",
	.event = "event=0x76",
	.desc = "Core cycles not in halt",
	.topic = "core",
},
{
	.name = "ex_ret_instr",
	.event = "event=0xc0",
	.desc = "Retired instructions",
	.topic = "core",
},
{
	.name = "ex_ret_ops",
	.event = "event=0xc1",
	.desc = "Retired macro-ops",
	.topic = "core",
},
{
	.name = "ex_div_busy",
	.event = "event=0xd3",
	.desc = "Number of cycles the divider is busy",
	.topic = "core",
},
{
	.name = "ex_div_count",
	.event = "event=0xd4",
	.desc = "Divide ops executed",
	.topic = "core",
},
{
	.name = "ex_no_retire.empty",
	.event = "umask=0x01,event=0xd6",
	.desc = "Cycles with no retire due  to the lack of valid ops in the retire queue (may be caused by front-end bottlenecks or pipeline redirects)",
	.topic = "core",
},
{
	.name = "ex_no_retire.not_complete",
	.event = "umask=0x02,event=0xd6",
	.desc = "Cycles with no retire while the oldest op is waiting to be executed",
	.topic = "core",
},
{
	.name = "ex_no_retire.other",
	.event = "umask=0x08,event=0xd6",
	.desc = "Cycles with no retire caused by other reasons (retire breaks, traps, faults, etc.)",
	.topic = "core",
},
{
	.name = "ex_no_retire.thread_not_selected",
	.event = "umask=0x10,event=0xd6",
	.desc = "Cycles with no retire because thread arbitration did not select the thread",
	.topic = "core",
},
{
	.name = "ex_no_retire.load_not_complete",
	.event = "umask=0xa2,event=0xd6",
	.desc = "Cycles with no retire while the oldest op is waiting for load data",
	.topic = "core",
},
{
	.name = "ex_no_retire.all",
	.event = "umask=0x1b,event=0xd6",
	.desc = "Cycles with no retire for any reason",
	.topic = "core",
},
{
	.name = "ls_not_halted_p0_cyc.p0_freq_cyc",
	.event = "umask=0x1,event=0x120",
	.desc = "Reference cycles (P0 frequency) not in halt ",
	.topic = "core",
},
{
	.name = "ex_ret_ucode_instr",
	.event = "event=0x1c1",
	.desc = "Retired microcoded instructions",
	.topic = "core",
},
{
	.name = "ex_ret_ucode_ops",
	.event = "event=0x1c2",
	.desc = "Retired microcode ops",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops",
	.event = "umask=0x01,event=0x1cf",
	.desc = "Ops tagged by IBS",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops_ret",
	.event = "umask=0x02,event=0x1cf",
	.desc = "Ops tagged by IBS that retired",
	.topic = "core",
},
{
	.name = "ex_ret_fused_instr",
	.event = "event=0x1d0",
	.desc = "Retired fused instructions",
	.topic = "core",
},
{
	.desc = "Total dispatch slots (upto 6 instructions can be dispatched in each cycle)",
	.topic = "pipeline",
	.metric_expr = "6 * ls_not_halted_cyc",
	.metric_name = "total_dispatch_slots",
},
{
	.desc = "Fraction of dispatch slots that remained unused because the frontend did not supply enough instructions/ops",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(de_no_dispatch_per_slot.no_ops_from_frontend, total_dispatch_slots)",
	.metric_name = "frontend_bound",
	.metric_group = "PipelineL1",
},
{
	.desc = "Fraction of dispatched ops that did not retire",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(de_src_op_disp.all - ex_ret_ops, total_dispatch_slots)",
	.metric_name = "bad_speculation",
	.metric_group = "PipelineL1",
},
{
	.desc = "Fraction of dispatch slots that remained unused because of backend stalls",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(de_no_dispatch_per_slot.backend_stalls, total_dispatch_slots)",
	.metric_name = "backend_bound",
	.metric_group = "PipelineL1",
},
{
	.desc = "Fraction of dispatch slots that remained unused because the other thread was selected",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(de_no_dispatch_per_slot.smt_contention, total_dispatch_slots)",
	.metric_name = "smt_contention",
	.metric_group = "PipelineL1",
},
{
	.desc = "Fraction of dispatch slots used by ops that retired",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(ex_ret_ops, total_dispatch_slots)",
	.metric_name = "retiring",
	.metric_group = "PipelineL1",
},
{
	.desc = "Fraction of dispatch slots that remained unused because of a latency bottleneck in the frontend (such as instruction cache or TLB misses)",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio((6 * cpu@de_no_dispatch_per_slot.no_ops_from_frontend\\,cmask\\=0x6@), total_dispatch_slots)",
	.metric_name = "frontend_bound_latency",
	.metric_group = "PipelineL2;frontend_bound_group",
},
{
	.desc = "Fraction of dispatch slots that remained unused because of a bandwidth bottleneck in the frontend (such as decode or op cache fetch bandwidth)",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(de_no_dispatch_per_slot.no_ops_from_frontend - (6 * cpu@de_no_dispatch_per_slot.no_ops_from_frontend\\,cmask\\=0x6@), total_dispatch_slots)",
	.metric_name = "frontend_bound_bandwidth",
	.metric_group = "PipelineL2;frontend_bound_group",
},
{
	.desc = "Fraction of dispatched ops that were flushed due to branch mispredicts",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(bad_speculation * ex_ret_brn_misp, ex_ret_brn_misp + resyncs_or_nc_redirects)",
	.metric_name = "bad_speculation_mispredicts",
	.metric_group = "PipelineL2;bad_speculation_group",
},
{
	.desc = "Fraction of dispatched ops that were flushed due to pipeline restarts (resyncs)",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "d_ratio(bad_speculation * resyncs_or_nc_redirects, ex_ret_brn_misp + resyncs_or_nc_redirects)",
	.metric_name = "bad_speculation_pipeline_restarts",
	.metric_group = "PipelineL2;bad_speculation_group",
},
{
	.desc = "Fraction of dispatch slots that remained unused because of stalls due to the memory subsystem",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "backend_bound * d_ratio(ex_no_retire.load_not_complete, ex_no_retire.not_complete)",
	.metric_name = "backend_bound_memory",
	.metric_group = "PipelineL2;backend_bound_group",
},
{
	.desc = "Fraction of dispatch slots that remained unused because of stalls not related to the memory subsystem",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "backend_bound * (1 - d_ratio(ex_no_retire.load_not_complete, ex_no_retire.not_complete))",
	.metric_name = "backend_bound_cpu",
	.metric_group = "PipelineL2;backend_bound_group",
},
{
	.desc = "Fraction of dispatch slots used by fastpath ops that retired",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "retiring * (1 - d_ratio(ex_ret_ucode_ops, ex_ret_ops))",
	.metric_name = "retiring_fastpath",
	.metric_group = "PipelineL2;retiring_group",
},
{
	.desc = "Fraction of dispatch slots used by microcode ops that retired",
	.topic = "pipeline",
	.unit = "100%",
	.metric_expr = "retiring * d_ratio(ex_ret_ucode_ops, ex_ret_ops)",
	.metric_name = "retiring_microcode",
	.metric_group = "PipelineL2;retiring_group",
},
{
	.name = "local_processor_read_data_beats_cs0",
	.event = "umask=0x7fe,event=0x1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs1",
	.event = "umask=0x7fe,event=0x5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs2",
	.event = "umask=0x7fe,event=0x9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs3",
	.event = "umask=0x7fe,event=0xdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs4",
	.event = "umask=0x7fe,event=0x11f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs5",
	.event = "umask=0x7fe,event=0x15f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs6",
	.event = "umask=0x7fe,event=0x19f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs7",
	.event = "umask=0x7fe,event=0x1df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs8",
	.event = "umask=0x7fe,event=0x21f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 8",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs9",
	.event = "umask=0x7fe,event=0x25f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 9",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs10",
	.event = "umask=0x7fe,event=0x29f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 10",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_read_data_beats_cs11",
	.event = "umask=0x7fe,event=0x2df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local processor at Coherent Station (CS) 11",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs0",
	.event = "umask=0x7ff,event=0x1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs1",
	.event = "umask=0x7ff,event=0x5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs2",
	.event = "umask=0x7ff,event=0x9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs3",
	.event = "umask=0x7ff,event=0xdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs4",
	.event = "umask=0x7ff,event=0x11f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs5",
	.event = "umask=0x7ff,event=0x15f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs6",
	.event = "umask=0x7ff,event=0x19f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs7",
	.event = "umask=0x7ff,event=0x1df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs8",
	.event = "umask=0x7ff,event=0x21f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 8",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs9",
	.event = "umask=0x7ff,event=0x25f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 9",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs10",
	.event = "umask=0x7ff,event=0x29f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 10",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_processor_write_data_beats_cs11",
	.event = "umask=0x7ff,event=0x2df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local processor at Coherent Station (CS) 11",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs0",
	.event = "umask=0xbfe,event=0x1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs1",
	.event = "umask=0xbfe,event=0x5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs2",
	.event = "umask=0xbfe,event=0x9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs3",
	.event = "umask=0xbfe,event=0xdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs4",
	.event = "umask=0xbfe,event=0x11f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs5",
	.event = "umask=0xbfe,event=0x15f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs6",
	.event = "umask=0xbfe,event=0x19f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs7",
	.event = "umask=0xbfe,event=0x1df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs8",
	.event = "umask=0xbfe,event=0x21f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 8",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs9",
	.event = "umask=0xbfe,event=0x25f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 9",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs10",
	.event = "umask=0xbfe,event=0x29f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 10",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_read_data_beats_cs11",
	.event = "umask=0xbfe,event=0x2df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote processor at Coherent Station (CS) 11",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs0",
	.event = "umask=0xbff,event=0x1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs1",
	.event = "umask=0xbff,event=0x5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs2",
	.event = "umask=0xbff,event=0x9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs3",
	.event = "umask=0xbff,event=0xdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs4",
	.event = "umask=0xbff,event=0x11f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs5",
	.event = "umask=0xbff,event=0x15f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs6",
	.event = "umask=0xbff,event=0x19f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs7",
	.event = "umask=0xbff,event=0x1df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs8",
	.event = "umask=0xbff,event=0x21f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 8",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs9",
	.event = "umask=0xbff,event=0x25f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 9",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs10",
	.event = "umask=0xbff,event=0x29f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 10",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_processor_write_data_beats_cs11",
	.event = "umask=0xbff,event=0x2df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote processor at Coherent Station (CS) 11",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_read_beats_iom0",
	.event = "umask=0x7fe,event=0x81f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_read_beats_iom1",
	.event = "umask=0x7fe,event=0x85f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_read_beats_iom2",
	.event = "umask=0x7fe,event=0x89f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_read_beats_iom3",
	.event = "umask=0x7fe,event=0x8df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_write_beats_iom0",
	.event = "umask=0x7ff,event=0x81f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_write_beats_iom1",
	.event = "umask=0x7ff,event=0x85f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_write_beats_iom2",
	.event = "umask=0x7ff,event=0x89f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_upstream_write_beats_iom3",
	.event = "umask=0x7ff,event=0x8df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for local socket upstream DMA at IO Moderator (IOM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_read_beats_iom0",
	.event = "umask=0xbfe,event=0x81f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_read_beats_iom1",
	.event = "umask=0xbfe,event=0x85f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_read_beats_iom2",
	.event = "umask=0xbfe,event=0x89f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_read_beats_iom3",
	.event = "umask=0xbfe,event=0x8df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Read data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_write_beats_iom0",
	.event = "umask=0xbff,event=0x81f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_write_beats_iom1",
	.event = "umask=0xbff,event=0x85f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_write_beats_iom2",
	.event = "umask=0xbff,event=0x89f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_upstream_write_beats_iom3",
	.event = "umask=0xbff,event=0x8df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Write data beats (64 bytes) for remote socket upstream DMA at IO Moderator (IOM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm0",
	.event = "umask=0x7fe,event=0x41e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm1",
	.event = "umask=0x7fe,event=0x45e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm2",
	.event = "umask=0x7fe,event=0x49e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm3",
	.event = "umask=0x7fe,event=0x4de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm4",
	.event = "umask=0x7fe,event=0x51e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm5",
	.event = "umask=0x7fe,event=0x55e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm6",
	.event = "umask=0x7fe,event=0x59e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_inbound_data_beats_ccm7",
	.event = "umask=0x7fe,event=0x5de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for local socket inbound data to CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm0",
	.event = "umask=0x7fe,event=0x41f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm1",
	.event = "umask=0x7fe,event=0x45f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm2",
	.event = "umask=0x7fe,event=0x49f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm3",
	.event = "umask=0x7fe,event=0x4df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm4",
	.event = "umask=0x7fe,event=0x51f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm5",
	.event = "umask=0x7fe,event=0x55f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm6",
	.event = "umask=0x7fe,event=0x59f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_inbound_data_beats_ccm7",
	.event = "umask=0x7fe,event=0x5df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for local socket inbound data to CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm0",
	.event = "umask=0x7ff,event=0x41e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm1",
	.event = "umask=0x7ff,event=0x45e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm2",
	.event = "umask=0x7ff,event=0x49e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm3",
	.event = "umask=0x7ff,event=0x4de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm4",
	.event = "umask=0x7ff,event=0x51e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm5",
	.event = "umask=0x7ff,event=0x55e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm6",
	.event = "umask=0x7ff,event=0x59e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf0_outbound_data_beats_ccm7",
	.event = "umask=0x7ff,event=0x5de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for local socket outbound data from CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm0",
	.event = "umask=0x7ff,event=0x41f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm1",
	.event = "umask=0x7ff,event=0x45f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm2",
	.event = "umask=0x7ff,event=0x49f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm3",
	.event = "umask=0x7ff,event=0x4df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm4",
	.event = "umask=0x7ff,event=0x51f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm5",
	.event = "umask=0x7ff,event=0x55f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm6",
	.event = "umask=0x7ff,event=0x59f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_inf1_outbound_data_beats_ccm7",
	.event = "umask=0x7ff,event=0x5df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for local socket outbound data from CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm0",
	.event = "umask=0xbfe,event=0x41e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm1",
	.event = "umask=0xbfe,event=0x45e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm2",
	.event = "umask=0xbfe,event=0x49e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm3",
	.event = "umask=0xbfe,event=0x4de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm4",
	.event = "umask=0xbfe,event=0x51e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm5",
	.event = "umask=0xbfe,event=0x55e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm6",
	.event = "umask=0xbfe,event=0x59e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_inbound_data_beats_ccm7",
	.event = "umask=0xbfe,event=0x5de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 0 for remote socket inbound data to CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm0",
	.event = "umask=0xbfe,event=0x41f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm1",
	.event = "umask=0xbfe,event=0x45f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm2",
	.event = "umask=0xbfe,event=0x49f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm3",
	.event = "umask=0xbfe,event=0x4df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm4",
	.event = "umask=0xbfe,event=0x51f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm5",
	.event = "umask=0xbfe,event=0x55f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm6",
	.event = "umask=0xbfe,event=0x59f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_inbound_data_beats_ccm7",
	.event = "umask=0xbfe,event=0x5df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (32 bytes) at interface 1 for remote socket inbound data to CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm0",
	.event = "umask=0xbff,event=0x41e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm1",
	.event = "umask=0xbff,event=0x45e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm2",
	.event = "umask=0xbff,event=0x49e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm3",
	.event = "umask=0xbff,event=0x4de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm4",
	.event = "umask=0xbff,event=0x51e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm5",
	.event = "umask=0xbff,event=0x55e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm6",
	.event = "umask=0xbff,event=0x59e",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf0_outbound_data_beats_ccm7",
	.event = "umask=0xbff,event=0x5de",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 0 for remote socket outbound data from CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm0",
	.event = "umask=0xbff,event=0x41f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm1",
	.event = "umask=0xbff,event=0x45f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm2",
	.event = "umask=0xbff,event=0x49f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm3",
	.event = "umask=0xbff,event=0x4df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm4",
	.event = "umask=0xbff,event=0x51f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm5",
	.event = "umask=0xbff,event=0x55f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm6",
	.event = "umask=0xbff,event=0x59f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_socket_inf1_outbound_data_beats_ccm7",
	.event = "umask=0xbff,event=0x5df",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) at interface 1 for remote socket outbound data from CPU Moderator (CCM) 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link0",
	.event = "umask=0xf3e,event=0xb5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link1",
	.event = "umask=0xf3e,event=0xb9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link2",
	.event = "umask=0xf3e,event=0xbdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link3",
	.event = "umask=0xf3e,event=0xc1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link4",
	.event = "umask=0xf3e,event=0xc5f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 4",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link5",
	.event = "umask=0xf3e,event=0xc9f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 5",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link6",
	.event = "umask=0xf3e,event=0xcdf",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 6",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "local_socket_outbound_data_beats_link7",
	.event = "umask=0xf3e,event=0xd1f",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Data beats (64 bytes) for local socket outbound data from inter-socket xGMI link 7",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "fp_ret_x87_fp_ops.add_sub_ops",
	.event = "umask=0x01,event=0x2",
	.desc = "Retired x87 floating-point add and subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_x87_fp_ops.mul_ops",
	.event = "umask=0x02,event=0x2",
	.desc = "Retired x87 floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_x87_fp_ops.div_sqrt_ops",
	.event = "umask=0x04,event=0x2",
	.desc = "Retired x87 floating-point divide and square root ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_x87_fp_ops.all",
	.event = "umask=0x07,event=0x2",
	.desc = "Retired x87 floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.add_sub_flops",
	.event = "umask=0x01,event=0x3",
	.desc = "Retired SSE and AVX floating-point add and subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mult_flops",
	.event = "umask=0x02,event=0x3",
	.desc = "Retired SSE and AVX floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.div_flops",
	.event = "umask=0x04,event=0x3",
	.desc = "Retired SSE and AVX floating-point divide and square root ops",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mac_flops",
	.event = "umask=0x08,event=0x3",
	.desc = "Retired SSE and AVX floating-point multiply-accumulate ops (each operation is counted as 2 ops)",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.bfloat_mac_flops",
	.event = "umask=0x10,event=0x3",
	.desc = "Retired SSE and AVX floating-point bfloat multiply-accumulate ops (each operation is counted as 2 ops)",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.all",
	.event = "umask=0x1f,event=0x3",
	.desc = "Retired SSE and AVX floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_ctrl_ret",
	.event = "umask=0x01,event=0x5",
	.desc = "Retired x87 control word mispredict traps due to mispredictions in RC or PC, or changes in exception mask bits",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_bot_ret",
	.event = "umask=0x02,event=0x5",
	.desc = "Retired x87 bottom-executing ops. Bottom-executing ops wait for all older ops to retire before executing",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_ctrl_ret",
	.event = "umask=0x04,event=0x5",
	.desc = "Retired SSE and AVX control word mispredict traps",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_bot_ret",
	.event = "umask=0x08,event=0x5",
	.desc = "Retired SSE and AVX bottom-executing ops. Bottom-executing ops wait for all older ops to retire before executing",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.all",
	.event = "umask=0x0f,event=0x5",
	.desc = "Retired SSE and AVX serializing ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.x87_uops_retired",
	.event = "umask=0x01,event=0x8",
	.desc = "Retired x87 floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.mmx_uops_retired",
	.event = "umask=0x02,event=0x8",
	.desc = "Retired MMX floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.scalar_uops_retired",
	.event = "umask=0x04,event=0x8",
	.desc = "Retired scalar floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.pack_128_uops_retired",
	.event = "umask=0x08,event=0x8",
	.desc = "Retired packed 128-bit floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.pack_256_uops_retired",
	.event = "umask=0x10,event=0x8",
	.desc = "Retired packed 256-bit floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.pack_512_uops_retired",
	.event = "umask=0x20,event=0x8",
	.desc = "Retired packed 512-bit floating-point ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_width.all",
	.event = "umask=0x3f,event=0x8",
	.desc = "Retired floating-point ops of all widths",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_add",
	.event = "umask=0x01,event=0xa",
	.desc = "Retired scalar floating-point add ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_sub",
	.event = "umask=0x02,event=0xa",
	.desc = "Retired scalar floating-point subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_mul",
	.event = "umask=0x03,event=0xa",
	.desc = "Retired scalar floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_mac",
	.event = "umask=0x04,event=0xa",
	.desc = "Retired scalar floating-point multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_div",
	.event = "umask=0x05,event=0xa",
	.desc = "Retired scalar floating-point divide ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_sqrt",
	.event = "umask=0x06,event=0xa",
	.desc = "Retired scalar floating-point square root ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_cmp",
	.event = "umask=0x07,event=0xa",
	.desc = "Retired scalar floating-point compare ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_cvt",
	.event = "umask=0x08,event=0xa",
	.desc = "Retired scalar floating-point convert ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_blend",
	.event = "umask=0x09,event=0xa",
	.desc = "Retired scalar floating-point blend ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_other",
	.event = "umask=0x0e,event=0xa",
	.desc = "Retired scalar floating-point ops of other types",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.scalar_all",
	.event = "umask=0x0f,event=0xa",
	.desc = "Retired scalar floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_add",
	.event = "umask=0x10,event=0xa",
	.desc = "Retired vector floating-point add ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_sub",
	.event = "umask=0x20,event=0xa",
	.desc = "Retired vector floating-point subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_mul",
	.event = "umask=0x30,event=0xa",
	.desc = "Retired vector floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_mac",
	.event = "umask=0x40,event=0xa",
	.desc = "Retired vector floating-point multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_div",
	.event = "umask=0x50,event=0xa",
	.desc = "Retired vector floating-point divide ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_sqrt",
	.event = "umask=0x60,event=0xa",
	.desc = "Retired vector floating-point square root ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_cmp",
	.event = "umask=0x70,event=0xa",
	.desc = "Retired vector floating-point compare ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_cvt",
	.event = "umask=0x80,event=0xa",
	.desc = "Retired vector floating-point convert ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_blend",
	.event = "umask=0x90,event=0xa",
	.desc = "Retired vector floating-point blend ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_shuffle",
	.event = "umask=0xb0,event=0xa",
	.desc = "Retired vector floating-point shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_logical",
	.event = "umask=0xd0,event=0xa",
	.desc = "Retired vector floating-point logical ops",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_other",
	.event = "umask=0xe0,event=0xa",
	.desc = "Retired vector floating-point ops of other types",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.vector_all",
	.event = "umask=0xf0,event=0xa",
	.desc = "Retired vector floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_ops_retired_by_type.all",
	.event = "umask=0xff,event=0xa",
	.desc = "Retired floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_add",
	.event = "umask=0x01,event=0xb",
	.desc = "Retired MMX integer add",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_sub",
	.event = "umask=0x02,event=0xb",
	.desc = "Retired MMX integer subtract ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_mul",
	.event = "umask=0x03,event=0xb",
	.desc = "Retired MMX integer multiply ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_mac",
	.event = "umask=0x04,event=0xb",
	.desc = "Retired MMX integer multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_cmp",
	.event = "umask=0x07,event=0xb",
	.desc = "Retired MMX integer compare ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_shift",
	.event = "umask=0x09,event=0xb",
	.desc = "Retired MMX integer shift ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_mov",
	.event = "umask=0x0a,event=0xb",
	.desc = "Retired MMX integer MOV ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_shuffle",
	.event = "umask=0x0b,event=0xb",
	.desc = "Retired MMX integer shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_pack",
	.event = "umask=0x0c,event=0xb",
	.desc = "Retired MMX integer pack ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_logical",
	.event = "umask=0x0d,event=0xb",
	.desc = "Retired MMX integer logical ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_other",
	.event = "umask=0x0e,event=0xb",
	.desc = "Retired MMX integer multiply ops of other types",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.mmx_all",
	.event = "umask=0x0f,event=0xb",
	.desc = "Retired MMX integer ops of all types",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_add",
	.event = "umask=0x10,event=0xb",
	.desc = "Retired SSE and AVX integer add ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_sub",
	.event = "umask=0x20,event=0xb",
	.desc = "Retired SSE and AVX integer subtract ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_mul",
	.event = "umask=0x30,event=0xb",
	.desc = "Retired SSE and AVX integer multiply ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_mac",
	.event = "umask=0x40,event=0xb",
	.desc = "Retired SSE and AVX integer multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_aes",
	.event = "umask=0x50,event=0xb",
	.desc = "Retired SSE and AVX integer AES ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_sha",
	.event = "umask=0x60,event=0xb",
	.desc = "Retired SSE and AVX integer SHA ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_cmp",
	.event = "umask=0x70,event=0xb",
	.desc = "Retired SSE and AVX integer compare ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_clm",
	.event = "umask=0x80,event=0xb",
	.desc = "Retired SSE and AVX integer CLM ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_shift",
	.event = "umask=0x90,event=0xb",
	.desc = "Retired SSE and AVX integer shift ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_mov",
	.event = "umask=0xa0,event=0xb",
	.desc = "Retired SSE and AVX integer MOV ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_shuffle",
	.event = "umask=0xb0,event=0xb",
	.desc = "Retired SSE and AVX integer shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_pack",
	.event = "umask=0xc0,event=0xb",
	.desc = "Retired SSE and AVX integer pack ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_logical",
	.event = "umask=0xd0,event=0xb",
	.desc = "Retired SSE and AVX integer logical ops",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_other",
	.event = "umask=0xe0,event=0xb",
	.desc = "Retired SSE and AVX integer ops of other types",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.sse_avx_all",
	.event = "umask=0xf0,event=0xb",
	.desc = "Retired SSE and AVX integer ops of all types",
	.topic = "floating point",
},
{
	.name = "sse_avx_ops_retired.all",
	.event = "umask=0xff,event=0xb",
	.desc = "Retired SSE, AVX and MMX integer ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_add",
	.event = "umask=0x01,event=0xc",
	.desc = "Retired 128-bit packed floating-point add ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_sub",
	.event = "umask=0x02,event=0xc",
	.desc = "Retired 128-bit packed floating-point subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_mul",
	.event = "umask=0x03,event=0xc",
	.desc = "Retired 128-bit packed floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_mac",
	.event = "umask=0x04,event=0xc",
	.desc = "Retired 128-bit packed floating-point multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_div",
	.event = "umask=0x05,event=0xc",
	.desc = "Retired 128-bit packed floating-point divide ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_sqrt",
	.event = "umask=0x06,event=0xc",
	.desc = "Retired 128-bit packed floating-point square root ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_cmp",
	.event = "umask=0x07,event=0xc",
	.desc = "Retired 128-bit packed floating-point compare ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_cvt",
	.event = "umask=0x08,event=0xc",
	.desc = "Retired 128-bit packed floating-point convert ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_blend",
	.event = "umask=0x09,event=0xc",
	.desc = "Retired 128-bit packed floating-point blend ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_shuffle",
	.event = "umask=0x0b,event=0xc",
	.desc = "Retired 128-bit packed floating-point shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_logical",
	.event = "umask=0x0d,event=0xc",
	.desc = "Retired 128-bit packed floating-point logical ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_other",
	.event = "umask=0x0e,event=0xc",
	.desc = "Retired 128-bit packed floating-point ops of other types",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp128_all",
	.event = "umask=0x0f,event=0xc",
	.desc = "Retired 128-bit packed floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_add",
	.event = "umask=0x10,event=0xc",
	.desc = "Retired 256-bit packed floating-point add ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_sub",
	.event = "umask=0x20,event=0xc",
	.desc = "Retired 256-bit packed floating-point subtract ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_mul",
	.event = "umask=0x30,event=0xc",
	.desc = "Retired 256-bit packed floating-point multiply ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_mac",
	.event = "umask=0x40,event=0xc",
	.desc = "Retired 256-bit packed floating-point multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_div",
	.event = "umask=0x50,event=0xc",
	.desc = "Retired 256-bit packed floating-point divide ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_sqrt",
	.event = "umask=0x60,event=0xc",
	.desc = "Retired 256-bit packed floating-point square root ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_cmp",
	.event = "umask=0x70,event=0xc",
	.desc = "Retired 256-bit packed floating-point compare ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_cvt",
	.event = "umask=0x80,event=0xc",
	.desc = "Retired 256-bit packed floating-point convert ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_blend",
	.event = "umask=0x90,event=0xc",
	.desc = "Retired 256-bit packed floating-point blend ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_shuffle",
	.event = "umask=0xb0,event=0xc",
	.desc = "Retired 256-bit packed floating-point shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_logical",
	.event = "umask=0xd0,event=0xc",
	.desc = "Retired 256-bit packed floating-point logical ops",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_other",
	.event = "umask=0xe0,event=0xc",
	.desc = "Retired 256-bit packed floating-point ops of other types",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.fp256_all",
	.event = "umask=0xf0,event=0xc",
	.desc = "Retired 256-bit packed floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_pack_ops_retired.all",
	.event = "umask=0xff,event=0xc",
	.desc = "Retired packed floating-point ops of all types",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_add",
	.event = "umask=0x01,event=0xd",
	.desc = "Retired 128-bit packed integer add ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_sub",
	.event = "umask=0x02,event=0xd",
	.desc = "Retired 128-bit packed integer subtract ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_mul",
	.event = "umask=0x03,event=0xd",
	.desc = "Retired 128-bit packed integer multiply ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_mac",
	.event = "umask=0x04,event=0xd",
	.desc = "Retired 128-bit packed integer multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_aes",
	.event = "umask=0x05,event=0xd",
	.desc = "Retired 128-bit packed integer AES ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_sha",
	.event = "umask=0x06,event=0xd",
	.desc = "Retired 128-bit packed integer SHA ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_cmp",
	.event = "umask=0x07,event=0xd",
	.desc = "Retired 128-bit packed integer compare ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_clm",
	.event = "umask=0x08,event=0xd",
	.desc = "Retired 128-bit packed integer CLM ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_shift",
	.event = "umask=0x09,event=0xd",
	.desc = "Retired 128-bit packed integer shift ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_mov",
	.event = "umask=0x0a,event=0xd",
	.desc = "Retired 128-bit packed integer MOV ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_shuffle",
	.event = "umask=0x0b,event=0xd",
	.desc = "Retired 128-bit packed integer shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_pack",
	.event = "umask=0x0c,event=0xd",
	.desc = "Retired 128-bit packed integer pack ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_logical",
	.event = "umask=0x0d,event=0xd",
	.desc = "Retired 128-bit packed integer logical ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_other",
	.event = "umask=0x0e,event=0xd",
	.desc = "Retired 128-bit packed integer ops of other types",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int128_all",
	.event = "umask=0x0f,event=0xd",
	.desc = "Retired 128-bit packed integer ops of all types",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_add",
	.event = "umask=0x10,event=0xd",
	.desc = "Retired 256-bit packed integer add ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_sub",
	.event = "umask=0x20,event=0xd",
	.desc = "Retired 256-bit packed integer subtract ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_mul",
	.event = "umask=0x30,event=0xd",
	.desc = "Retired 256-bit packed integer multiply ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_mac",
	.event = "umask=0x40,event=0xd",
	.desc = "Retired 256-bit packed integer multiply-accumulate ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_cmp",
	.event = "umask=0x70,event=0xd",
	.desc = "Retired 256-bit packed integer compare ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_shift",
	.event = "umask=0x90,event=0xd",
	.desc = "Retired 256-bit packed integer shift ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_mov",
	.event = "umask=0xa0,event=0xd",
	.desc = "Retired 256-bit packed integer MOV ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_shuffle",
	.event = "umask=0xb0,event=0xd",
	.desc = "Retired 256-bit packed integer shuffle ops (may include instructions not necessarily thought of as including shuffles e.g. horizontal add, dot product, and certain MOV instructions)",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_pack",
	.event = "umask=0xc0,event=0xd",
	.desc = "Retired 256-bit packed integer pack ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_logical",
	.event = "umask=0xd0,event=0xd",
	.desc = "Retired 256-bit packed integer logical ops",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_other",
	.event = "umask=0xe0,event=0xd",
	.desc = "Retired 256-bit packed integer ops of other types",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.int256_all",
	.event = "umask=0xf0,event=0xd",
	.desc = "Retired 256-bit packed integer ops of all types",
	.topic = "floating point",
},
{
	.name = "packed_int_op_type.all",
	.event = "umask=0xff,event=0xd",
	.desc = "Retired packed integer ops of all types",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.x87_fill_fault",
	.event = "umask=0x01,event=0xe",
	.desc = "Floating-point dispatch faults for x87 fills",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.xmm_fill_fault",
	.event = "umask=0x02,event=0xe",
	.desc = "Floating-point dispatch faults for XMM fills",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_fill_fault",
	.event = "umask=0x04,event=0xe",
	.desc = "Floating-point dispatch faults for YMM fills",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_spill_fault",
	.event = "umask=0x08,event=0xe",
	.desc = "Floating-point dispatch faults for YMM spills",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.sse_avx_all",
	.event = "umask=0x0e,event=0xe",
	.desc = "Floating-point dispatch faults of all types for SSE and AVX ops",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.all",
	.event = "umask=0x0f,event=0xe",
	.desc = "Floating-point dispatch faults of all types",
	.topic = "floating point",
},
{
	.name = "ls_bad_status2.stli_other",
	.event = "umask=0x02,event=0x24",
	.desc = "Store-to-load conflicts (load unable to complete due to a non-forwardable conflict with an older store)",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_dispatch",
	.event = "umask=0x01,event=0x29",
	.desc = "Number of memory load operations dispatched to the load-store unit",
	.topic = "memory",
},
{
	.name = "ls_dispatch.store_dispatch",
	.event = "umask=0x02,event=0x29",
	.desc = "Number of memory store operations dispatched to the load-store unit",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_st_dispatch",
	.event = "umask=0x04,event=0x29",
	.desc = "Number of memory load-store operations dispatched to the load-store unit",
	.topic = "memory",
},
{
	.name = "ls_stlf",
	.event = "event=0x35",
	.desc = "Store-to-load-forward (STLF) hits",
	.topic = "memory",
},
{
	.name = "ls_st_commit_cancel2.st_commit_cancel_wcb_full",
	.event = "umask=0x01,event=0x37",
	.desc = "Non-cacheable store commits cancelled due to the non-cacheable commit buffer being full",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_hit",
	.event = "umask=0x01,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB hits for 4k pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_hit",
	.event = "umask=0x02,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB hits for coalesced pages. A coalesced page is a 16k page created from four adjacent 4k pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_hit",
	.event = "umask=0x04,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB hits for 2M pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_hit",
	.event = "umask=0x08,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB hits for 1G pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_miss",
	.event = "umask=0x10,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB misses (page-table walks are requested) for 4k pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_miss",
	.event = "umask=0x20,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB misses (page-table walks are requested) for coalesced pages. A coalesced page is a 16k page created from four adjacent 4k pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_miss",
	.event = "umask=0x40,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB misses (page-table walks are requested) for 2M pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_miss",
	.event = "umask=0x80,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB misses (page-table walks are requested) for 1G pages",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.all_l2_miss",
	.event = "umask=0xf0,event=0x45",
	.desc = "L1 DTLB misses with L2 DTLB misses (page-table walks are requested) for all page sizes",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.all",
	.event = "umask=0xff,event=0x45",
	.desc = "L1 DTLB misses for all page sizes",
	.topic = "memory",
},
{
	.name = "ls_misal_loads.ma64",
	.event = "umask=0x01,event=0x47",
	.desc = "64B misaligned (cacheline crossing) loads",
	.topic = "memory",
},
{
	.name = "ls_misal_loads.ma4k",
	.event = "umask=0x02,event=0x47",
	.desc = "4kB misaligned (page crossing) loads",
	.topic = "memory",
},
{
	.name = "ls_tlb_flush.all",
	.event = "umask=0xff,event=0x78",
	.desc = "All TLB Flushes",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_hit",
	.event = "event=0x84",
	.desc = "Instruction fetches that miss in the L1 ITLB but hit in the L2 ITLB",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if4k",
	.event = "umask=0x01,event=0x85",
	.desc = "Instruction fetches that miss in both the L1 and L2 ITLBs (page-table walks are requested) for 4k pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if2m",
	.event = "umask=0x02,event=0x85",
	.desc = "Instruction fetches that miss in both the L1 and L2 ITLBs (page-table walks are requested) for 2M pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if1g",
	.event = "umask=0x04,event=0x85",
	.desc = "Instruction fetches that miss in both the L1 and L2 ITLBs (page-table walks are requested) for 1G pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.coalesced_4k",
	.event = "umask=0x08,event=0x85",
	.desc = "Instruction fetches that miss in both the L1 and L2 ITLBs (page-table walks are requested) for coalesced pages. A coalesced page is a 16k page created from four adjacent 4k pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.all",
	.event = "umask=0x0f,event=0x85",
	.desc = "Instruction fetches that miss in both the L1 and L2 ITLBs (page-table walks are requested) for all page sizes",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_fetch_hit.if4k",
	.event = "umask=0x01,event=0x94",
	.desc = "Instruction fetches that hit in the L1 ITLB for 4k or coalesced pages. A coalesced page is a 16k page created from four adjacent 4k pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_fetch_hit.if2m",
	.event = "umask=0x02,event=0x94",
	.desc = "Instruction fetches that hit in the L1 ITLB for 2M pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_fetch_hit.if1g",
	.event = "umask=0x04,event=0x94",
	.desc = "Instruction fetches that hit in the L1 ITLB for 1G pages",
	.topic = "memory",
},
{
	.name = "bp_l1_tlb_fetch_hit.all",
	.event = "umask=0x07,event=0x94",
	.desc = "Instruction fetches that hit in the L1 ITLB for all page sizes",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.load_store_allocations",
	.event = "umask=0x3f,event=0x41",
	.desc = "Miss Address Buffer (MAB) entries allocated by a Load-Store (LS) pipe for load-store allocations",
	.topic = "cache",
},
{
	.name = "ls_mab_alloc.hardware_prefetcher_allocations",
	.event = "umask=0x40,event=0x41",
	.desc = "Miss Address Buffer (MAB) entries allocated by a Load-Store (LS) pipe for hardware prefetcher allocations",
	.topic = "cache",
},
{
	.name = "ls_mab_alloc.all_allocations",
	.event = "umask=0x7f,event=0x41",
	.desc = "Miss Address Buffer (MAB) entries allocated by a Load-Store (LS) pipe for all types of allocations",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.local_l2",
	.event = "umask=0x01,event=0x43",
	.desc = "Demand data cache fills from local L2 cache",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.local_ccx",
	.event = "umask=0x02,event=0x43",
	.desc = "Demand data cache fills from L3 cache or different L2 cache in the same CCX",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.near_cache",
	.event = "umask=0x04,event=0x43",
	.desc = "Demand data cache fills from cache of another CCX when the address was in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.dram_io_near",
	.event = "umask=0x08,event=0x43",
	.desc = "Demand data cache fills from either DRAM or MMIO in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.far_cache",
	.event = "umask=0x10,event=0x43",
	.desc = "Demand data cache fills from cache of another CCX when the address was in a different NUMA node",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.dram_io_far",
	.event = "umask=0x40,event=0x43",
	.desc = "Demand data cache fills from either DRAM or MMIO in a different NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.alternate_memories",
	.event = "umask=0x80,event=0x43",
	.desc = "Demand data cache fills from extension memory",
	.topic = "cache",
},
{
	.name = "ls_dmnd_fills_from_sys.all",
	.event = "umask=0xff,event=0x43",
	.desc = "Demand data cache fills from all types of data sources",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.local_l2",
	.event = "umask=0x01,event=0x44",
	.desc = "Any data cache fills from local L2 cache",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.local_ccx",
	.event = "umask=0x02,event=0x44",
	.desc = "Any data cache fills from L3 cache or different L2 cache in the same CCX",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.local_all",
	.event = "umask=0x03,event=0x44",
	.desc = "Any data cache fills from local L2 cache or L3 cache or different L2 cache in the same CCX",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.near_cache",
	.event = "umask=0x04,event=0x44",
	.desc = "Any data cache fills from cache of another CCX when the address was in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.dram_io_near",
	.event = "umask=0x08,event=0x44",
	.desc = "Any data cache fills from either DRAM or MMIO in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.far_cache",
	.event = "umask=0x10,event=0x44",
	.desc = "Any data cache fills from cache of another CCX when the address was in a different NUMA node",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.remote_cache",
	.event = "umask=0x14,event=0x44",
	.desc = "Any data cache fills from cache of another CCX when the address was in the same or a different NUMA node",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.dram_io_far",
	.event = "umask=0x40,event=0x44",
	.desc = "Any data cache fills from either DRAM or MMIO in a different NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.dram_io_all",
	.event = "umask=0x48,event=0x44",
	.desc = "Any data cache fills from either DRAM or MMIO in any NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.far_all",
	.event = "umask=0x50,event=0x44",
	.desc = "Any data cache fills from either cache of another CCX, DRAM or MMIO when the address was in a different NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.all_dram_io",
	.event = "umask=0x48,event=0x44",
	.desc = "Any data cache fills from either DRAM or MMIO in any NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.alternate_memories",
	.event = "umask=0x80,event=0x44",
	.desc = "Any data cache fills from extension memory",
	.topic = "cache",
},
{
	.name = "ls_any_fills_from_sys.all",
	.event = "umask=0xff,event=0x44",
	.desc = "Any data cache fills from all types of data sources",
	.topic = "cache",
},
{
	.name = "ls_pref_instr_disp.prefetch",
	.event = "umask=0x01,event=0x4b",
	.desc = "Software prefetch instructions dispatched (speculative) of type PrefetchT0 (move data to all cache levels), T1 (move data to all cache levels except L1) and T2 (move data to all cache levels except L1 and L2)",
	.topic = "cache",
},
{
	.name = "ls_pref_instr_disp.prefetch_w",
	.event = "umask=0x02,event=0x4b",
	.desc = "Software prefetch instructions dispatched (speculative) of type PrefetchW (move data to L1 cache and mark it modifiable)",
	.topic = "cache",
},
{
	.name = "ls_pref_instr_disp.prefetch_nta",
	.event = "umask=0x04,event=0x4b",
	.desc = "Software prefetch instructions dispatched (speculative) of type PrefetchNTA (move data with minimum cache pollution i.e. non-temporal access)",
	.topic = "cache",
},
{
	.name = "ls_pref_instr_disp.all",
	.event = "umask=0x07,event=0x4b",
	.desc = "Software prefetch instructions dispatched (speculative) of all types",
	.topic = "cache",
},
{
	.name = "ls_inef_sw_pref.data_pipe_sw_pf_dc_hit",
	.event = "umask=0x01,event=0x52",
	.desc = "Software prefetches that did not fetch data outside of the processor core as the PREFETCH instruction saw a data cache hit",
	.topic = "cache",
},
{
	.name = "ls_inef_sw_pref.mab_mch_cnt",
	.event = "umask=0x02,event=0x52",
	.desc = "Software prefetches that did not fetch data outside of the processor core as the PREFETCH instruction saw a match on an already allocated Miss Address Buffer (MAB)",
	.topic = "cache",
},
{
	.name = "ls_inef_sw_pref.all",
	.event = "umask=0x03,event=0x52",
	.desc = "(null)",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.local_l2",
	.event = "umask=0x01,event=0x59",
	.desc = "Software prefetch data cache fills from local L2 cache",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.local_ccx",
	.event = "umask=0x02,event=0x59",
	.desc = "Software prefetch data cache fills from L3 cache or different L2 cache in the same CCX",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.near_cache",
	.event = "umask=0x04,event=0x59",
	.desc = "Software prefetch data cache fills from cache of another CCX in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.dram_io_near",
	.event = "umask=0x08,event=0x59",
	.desc = "Software prefetch data cache fills from either DRAM or MMIO in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.far_cache",
	.event = "umask=0x10,event=0x59",
	.desc = "Software prefetch data cache fills from cache of another CCX in a different NUMA node",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.dram_io_far",
	.event = "umask=0x40,event=0x59",
	.desc = "Software prefetch data cache fills from either DRAM or MMIO in a different NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.alternate_memories",
	.event = "umask=0x80,event=0x59",
	.desc = "Software prefetch data cache fills from extension memory",
	.topic = "cache",
},
{
	.name = "ls_sw_pf_dc_fills.all",
	.event = "umask=0xdf,event=0x59",
	.desc = "Software prefetch data cache fills from all types of data sources",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.local_l2",
	.event = "umask=0x01,event=0x5a",
	.desc = "Hardware prefetch data cache fills from local L2 cache",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.local_ccx",
	.event = "umask=0x02,event=0x5a",
	.desc = "Hardware prefetch data cache fills from L3 cache or different L2 cache in the same CCX",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.near_cache",
	.event = "umask=0x04,event=0x5a",
	.desc = "Hardware prefetch data cache fills from cache of another CCX when the address was in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.dram_io_near",
	.event = "umask=0x08,event=0x5a",
	.desc = "Hardware prefetch data cache fills from either DRAM or MMIO in the same NUMA node",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.far_cache",
	.event = "umask=0x10,event=0x5a",
	.desc = "Hardware prefetch data cache fills from cache of another CCX when the address was in a different NUMA node",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.dram_io_far",
	.event = "umask=0x40,event=0x5a",
	.desc = "Hardware prefetch data cache fills from either DRAM or MMIO in a different NUMA node (same or different socket)",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.alternate_memories",
	.event = "umask=0x80,event=0x5a",
	.desc = "Hardware prefetch data cache fills from extension memory",
	.topic = "cache",
},
{
	.name = "ls_hw_pf_dc_fills.all",
	.event = "umask=0xdf,event=0x5a",
	.desc = "Hardware prefetch data cache fills from all types of data sources",
	.topic = "cache",
},
{
	.name = "ls_alloc_mab_count",
	.event = "event=0x5f",
	.desc = "In-flight L1 data cache misses i.e. Miss Address Buffer (MAB) allocations each cycle",
	.topic = "cache",
},
{
	.name = "l2_request_g1.group2",
	.event = "umask=0x01,event=0x60",
	.desc = "L2 cache requests of non-cacheable type (non-cached data and instructions reads, self-modifying code checks)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.l2_hw_pf",
	.event = "umask=0x02,event=0x60",
	.desc = "L2 cache requests: from hardware prefetchers to prefetch directly into L2 (hit or miss)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.prefetch_l2_cmd",
	.event = "umask=0x04,event=0x60",
	.desc = "L2 cache requests: prefetch directly into L2",
	.topic = "cache",
},
{
	.name = "l2_request_g1.change_to_x",
	.event = "umask=0x08,event=0x60",
	.desc = "L2 cache requests: data cache state change to writable, check L2 for current state",
	.topic = "cache",
},
{
	.name = "l2_request_g1.cacheable_ic_read",
	.event = "umask=0x10,event=0x60",
	.desc = "L2 cache requests: instruction cache reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.ls_rd_blk_c_s",
	.event = "umask=0x20,event=0x60",
	.desc = "L2 cache requests: data cache shared reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_x",
	.event = "umask=0x40,event=0x60",
	.desc = "L2 cache requests: data cache stores",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_l",
	.event = "umask=0x80,event=0x60",
	.desc = "L2 cache requests: data cache reads including hardware and software prefetch",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all_dc",
	.event = "umask=0xe8,event=0x60",
	.desc = "L2 cache requests of common types from L1 data cache (including prefetches)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all_no_prefetch",
	.event = "umask=0xf9,event=0x60",
	.desc = "L2 cache requests of common types not including prefetches",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all",
	.event = "umask=0xff,event=0x60",
	.desc = "L2 cache requests of all types",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: instruction cache request miss in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_s",
	.event = "umask=0x02,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: instruction cache hit non-modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_x",
	.event = "umask=0x04,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: instruction cache hit modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_hit_in_l2",
	.event = "umask=0x06,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for instruction cache hits",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_access_in_l2",
	.event = "umask=0x07,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for instruction cache access",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_c",
	.event = "umask=0x08,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: data cache request miss in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_miss_in_l2",
	.event = "umask=0x09,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for data and instruction cache misses",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_x",
	.event = "umask=0x10,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: data cache store or state change hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_s",
	.event = "umask=0x20,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: data cache read hit non-modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_x",
	.event = "umask=0x40,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: data cache read hit modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_cs",
	.event = "umask=0x80,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) with status: data cache shared read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.dc_hit_in_l2",
	.event = "umask=0xf0,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for data cache hits",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_hit_in_l2",
	.event = "umask=0xf6,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for data and instruction cache hits",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.dc_access_in_l2",
	.event = "umask=0xf8,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for data cache access",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.all",
	.event = "umask=0xff,event=0x64",
	.desc = "Core to L2 cache requests (not including L2 prefetch) for data and instruction cache access",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l2_stream",
	.event = "umask=0x01,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L2Stream (fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l2_next_line",
	.event = "umask=0x02,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L2NextLine (fetch the next line into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l2_up_down",
	.event = "umask=0x04,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L2UpDown (fetch the next or previous line into L2 cache for all memory accesses)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l2_burst",
	.event = "umask=0x08,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L2Burst (aggressively fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l2_stride",
	.event = "umask=0x10,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L2Stride (fetch additional lines into L2 cache when each access is at a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l1_stream",
	.event = "umask=0x20,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L1Stream (fetch additional sequential lines into L1 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l1_stride",
	.event = "umask=0x40,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L1Stride (fetch additional lines into L1 cache when each access is a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.l1_region",
	.event = "umask=0x80,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of type L1Region (fetch additional lines into L1 cache when the data access for a given instruction tends to be followed by a consistent pattern of other accesses within a localized region)",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2.all",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 prefetches accepted by the L2 pipeline which hit in the L2 cache of all types",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l2_stream",
	.event = "umask=0x01,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L2Stream (fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l2_next_line",
	.event = "umask=0x02,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L2NextLine (fetch the next line into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l2_up_down",
	.event = "umask=0x04,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L2UpDown (fetch the next or previous line into L2 cache for all memory accesses)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l2_burst",
	.event = "umask=0x08,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L2Burst (aggressively fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l2_stride",
	.event = "umask=0x10,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L2Stride (fetch additional lines into L2 cache when each access is a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l1_stream",
	.event = "umask=0x20,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L1Stream (fetch additional sequential lines into L1 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l1_stride",
	.event = "umask=0x40,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L1Stride (fetch additional lines into L1 cache when each access is a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.l1_region",
	.event = "umask=0x80,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache of type L1Region (fetch additional lines into L1 cache when the data access for a given instruction tends to be followed by a consistent pattern of other accesses within a localized region)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3.all",
	.event = "umask=0xff,event=0x71",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit in the L3 cache cache of all types",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l2_stream",
	.event = "umask=0x01,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L2Stream (fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l2_next_line",
	.event = "umask=0x02,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L2NextLine (fetch the next line into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l2_up_down",
	.event = "umask=0x04,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L2UpDown (fetch the next or previous line into L2 cache for all memory accesses)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l2_burst",
	.event = "umask=0x08,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L2Burst (aggressively fetch additional sequential lines into L2 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l2_stride",
	.event = "umask=0x10,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L2Stride (fetch additional lines into L2 cache when each access is a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l1_stream",
	.event = "umask=0x20,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L1Stream (fetch additional sequential lines into L1 cache)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l1_stride",
	.event = "umask=0x40,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L1Stride (fetch additional lines into L1 cache when each access is a constant distance from the previous)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.l1_region",
	.event = "umask=0x80,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of type L1Region (fetch additional lines into L1 cache when the data access for a given instruction tends to be followed by a consistent pattern of other accesses within a localized region)",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3.all",
	.event = "umask=0xff,event=0x72",
	.desc = "L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches of all types",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_l2",
	.event = "event=0x82",
	.desc = "Instruction cache lines (64 bytes) fulfilled from the L2 cache",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_sys",
	.event = "event=0x83",
	.desc = "Instruction cache lines (64 bytes) fulfilled from system memory or another cache",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.instruction_cache_hit",
	.event = "umask=0x07,event=0x18e",
	.desc = "Instruction cache hits",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.instruction_cache_miss",
	.event = "umask=0x18,event=0x18e",
	.desc = "Instruction cache misses",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.all_instruction_cache_accesses",
	.event = "umask=0x1f,event=0x18e",
	.desc = "Instruction cache accesses of all types",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.op_cache_hit",
	.event = "umask=0x03,event=0x28f",
	.desc = "Op cache hits",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.op_cache_miss",
	.event = "umask=0x04,event=0x28f",
	.desc = "Op cache misses",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.all_op_cache_accesses",
	.event = "umask=0x07,event=0x28f",
	.desc = "Op cache accesses of all types",
	.topic = "cache",
},
{
	.name = "l3_lookup_state.l3_miss",
	.event = "umask=0x01,event=0x4",
	.desc = "L3 cache misses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_lookup_state.l3_hit",
	.event = "umask=0xfe,event=0x4",
	.desc = "L3 cache hits. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_lookup_state.all_coherent_accesses_to_l3",
	.event = "umask=0xff,event=0x4",
	.desc = "L3 cache requests for all coherent accesses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.dram_near",
	.event = "umask=0x01,event=0xac",
	.desc = "Average sampled latency when data is sourced from DRAM in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.dram_far",
	.event = "umask=0x02,event=0xac",
	.desc = "Average sampled latency when data is sourced from DRAM in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.near_cache",
	.event = "umask=0x04,event=0xac",
	.desc = "Average sampled latency when data is sourced from another CCX's cache when the address was in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.far_cache",
	.event = "umask=0x08,event=0xac",
	.desc = "Average sampled latency when data is sourced from another CCX's cache when the address was in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.ext_near",
	.event = "umask=0x10,event=0xac",
	.desc = "Average sampled latency when data is sourced from extension memory (CXL) in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.ext_far",
	.event = "umask=0x20,event=0xac",
	.desc = "Average sampled latency when data is sourced from extension memory (CXL) in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency.all",
	.event = "umask=0x3f,event=0xac",
	.desc = "Average sampled latency from all data sources. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.dram_near",
	.event = "umask=0x01,event=0xad",
	.desc = "L3 cache fill requests sourced from DRAM in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.dram_far",
	.event = "umask=0x02,event=0xad",
	.desc = "L3 cache fill requests sourced from DRAM in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.near_cache",
	.event = "umask=0x04,event=0xad",
	.desc = "L3 cache fill requests sourced from another CCX's cache when the address was in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.far_cache",
	.event = "umask=0x08,event=0xad",
	.desc = "L3 cache fill requests sourced from another CCX's cache when the address was in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.ext_near",
	.event = "umask=0x10,event=0xad",
	.desc = "L3 cache fill requests sourced from extension memory (CXL) in the same NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.ext_far",
	.event = "umask=0x20,event=0xad",
	.desc = "L3 cache fill requests sourced from extension memory (CXL) in a different NUMA node. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_xi_sampled_latency_requests.all",
	.event = "umask=0x3f,event=0xad",
	.desc = "L3 cache fill requests sourced from all data sources. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_alderlaken[] = {
{
	.name = "ocr.corewb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size. Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=2000003,umask=0xe,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.miss_caused_walk",
	.event = "period=1000003,umask=0x1,event=0x85",
	.desc = "Counts the number of page walks initiated by a instruction fetch that missed the first and second level TLBs",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x85",
	.desc = "Counts the number of page walks due to an instruction fetch that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "ld_head.dtlb_miss_at_ret",
	.event = "period=1000003,umask=0x90,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a DTLB miss",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number of BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.topic = "frontend",
	.long_desc = "Counts the total number of BACLEARS, which occur when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend.  Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts the number of requests to the instruction cache for one or more bytes of a cache line",
	.topic = "frontend",
	.long_desc = "Counts the total number of requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line or byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts the number of instruction cache misses",
	.topic = "frontend",
	.long_desc = "Counts the number of missed requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the total number of branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions in which the instruction pointer (IP) of the processor is resteered due to a branch instruction and the branch instruction successfully retires.  All branch type instructions are accounted for (Precise event)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.NEAR_CALL (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of retired JCC (Jump on Conditional Code) branch instructions retired, includes both taken and not taken branches (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired, includes far jump, far call and return, and interrupt call and return (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.indirect_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.INDIRECT_CALL (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.COND (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.INDIRECT (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.NEAR_RETURN (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "This event is deprecated. Refer to new event BR_INST_RETIRED.COND_TAKEN (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the total number of mispredicted branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of mispredicted branch instructions retired.  All branch type instructions are accounted for.  Prediction of the branch target address enables the processor to begin executing instructions before the non-speculative execution path is known. The branch prediction unit (BPU) predicts the target address based on the instruction pointer (IP) of the branch and on the execution path through which execution reached this IP.    A branch misprediction occurs when the prediction is wrong, and results in discarding all instructions executed in the speculative path and re-fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.INDIRECT_CALL (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.COND (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.INDIRECT (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "This event is deprecated. Refer to new event BR_MISP_RETIRED.COND_TAKEN (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses fixed counter 1",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses a programmable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time.  This event uses fixed counter 1",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired. (Fixed event) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses fixed counter 0 (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses a programmable general purpose performance counter (Precise event)",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "This event is deprecated. Refer to new event LD_BLOCKS.ADDRESS_ALIAS (Precise event)",
	.topic = "pipeline",
	.deprecated = "1",
},
{
	.name = "ld_blocks.address_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because it initially appears to be store forward blocked, but subsequently is shown not to be blocked based on 4K alias check (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=1000003,umask=0x1,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address exactly matches an older store whose data is not ready (Precise event)",
	.topic = "pipeline",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=20003,umask=0x8,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering in which an internal load passes an older store within the same CPU",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mrn_nuke",
	.event = "period=1000003,umask=0x80,event=0xc3",
	.desc = "Counts the number of machines clears due to memory renaming",
	.topic = "pipeline",
},
{
	.name = "machine_clears.page_fault",
	.event = "period=20003,umask=0x20,event=0xc3",
	.desc = "Counts the number of machine clears due to a page fault.  Counts both I-Side and D-Side (Loads/Stores) page faults.  A page fault occurs when either the page is not present, or an access violation occurs",
	.topic = "pipeline",
},
{
	.name = "machine_clears.slow",
	.event = "period=20003,umask=0x6f,event=0xc3",
	.desc = "Counts the number of machine clears that flush the pipeline and restart the machine with the use of microcode due to SMC, MEMORY_ORDERING, FP_ASSISTS, PAGE_FAULT, DISAMBIGUATION, and FPC_VIRTUAL_TRAP",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20003,umask=0x1,event=0xc3",
	.desc = "Counts the number of machine clears due to program modifying data (self modifying code) within 1K of a recently fetched code page",
	.topic = "pipeline",
},
{
	.name = "serialization.non_c01_ms_scb",
	.event = "period=200003,umask=0x2,event=0x75",
	.desc = "Counts the number of issue slots not consumed by the backend due to a micro-sequencer (MS) scoreboard, which stalls the front-end from issuing from the UROM until a specified older uop retires",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots not consumed by the backend due to a micro-sequencer (MS) scoreboard, which stalls the front-end from issuing from the UROM until a specified older uop retires. The most commonly executed instruction with an MS scoreboard is PAUSE",
},
{
	.name = "topdown_bad_speculation.all",
	.event = "period=1000003,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear",
	.topic = "pipeline",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ) even if an FE_bound event occurs during this period. Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
},
{
	.name = "topdown_bad_speculation.fastnuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to fast nukes such as memory ordering and memory disambiguation machine clears",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.machine_clears",
	.event = "period=1000003,umask=0x3,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.mispredict",
	.event = "period=1000003,umask=0x4,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to branch mispredicts",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.nuke",
	.event = "period=1000003,umask=0x1,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to a machine clear (nuke)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.all",
	.event = "period=1000003,event=0x74",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to backend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.alloc_restrictions",
	.event = "period=1000003,umask=0x1,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to certain allocation restrictions",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.mem_scheduler",
	.event = "period=1000003,umask=0x2,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.non_mem_scheduler",
	.event = "period=1000003,umask=0x8,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.register",
	.event = "period=1000003,umask=0x20,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.reorder_buffer",
	.event = "period=1000003,umask=0x40,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the reorder buffer being full (ROB stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.serialization",
	.event = "period=1000003,umask=0x10,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.all",
	.event = "period=1000003,event=0x71",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to frontend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.branch_detect",
	.event = "period=1000003,umask=0x2,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "topdown_fe_bound.branch_resteer",
	.event = "period=1000003,umask=0x40,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
},
{
	.name = "topdown_fe_bound.cisc",
	.event = "period=1000003,umask=0x1,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to the microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.decode",
	.event = "period=1000003,umask=0x8,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to decode stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.frontend_bandwidth",
	.event = "period=1000003,umask=0x8d,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.frontend_latency",
	.event = "period=1000003,umask=0x72,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to a latency related stalls including BACLEARs, BTCLEARs, ITLB misses, and ICache misses",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.itlb",
	.event = "period=1000003,umask=0x10,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to ITLB misses",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses",
},
{
	.name = "topdown_fe_bound.other",
	.event = "period=1000003,umask=0x80,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to other common frontend stalls not categorized",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.predecode",
	.event = "period=1000003,umask=0x4,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to wrong predecodes",
	.topic = "pipeline",
},
{
	.name = "topdown_retiring.all",
	.event = "period=1000003,event=0xc2",
	.desc = "Counts the total number of consumed retirement slots (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,event=0xc2",
	.desc = "Counts the total number of uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Counts the number of integer divide uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Counts the number of uops that are from complex flows issued by the micro-sequencer (MS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that are from complex flows issued by the Microcode Sequencer (MS). This includes uops from flows due to complex instructions, faults, assists, and inserted flows (Precise event)",
},
{
	.name = "uops_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Counts the number of x87 uops retired, includes those in MS flows (Precise event)",
	.topic = "pipeline",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=20003,umask=0x4,event=0xc3",
	.desc = "Counts the number of floating point operations retired that required microcode assist",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point operations retired that required microcode assist, which is not a reflection of the number of FP operations, instructions or uops",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Counts the number of floating point divide uops retired (x87 and SSE, including x87 sqrt) (Precise event)",
	.topic = "floating point",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to frontend stalls",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.all / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.frontend_latency / slots",
	.metric_name = "tma_frontend_latency",
	.metric_group = "TopdownL2;tma_frontend_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to instruction cache misses",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.icache / slots",
	.metric_name = "tma_icache",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.itlb / slots",
	.metric_name = "tma_itlb",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend",
	.topic = "adln metrics",
	.long_desc = "Counts the number of issue slots  that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.branch_detect / slots",
	.metric_name = "tma_branch_detect",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.branch_resteer / slots",
	.metric_name = "tma_branch_resteer",
	.metric_group = "TopdownL3;tma_frontend_latency_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to frontend bandwidth restrictions due to decode, predecode, cisc, and other limitations",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.frontend_bandwidth / slots",
	.metric_name = "tma_frontend_bandwidth",
	.metric_group = "TopdownL2;tma_frontend_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to the microcode sequencer (MS)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.cisc / slots",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to decode stalls",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.decode / slots",
	.metric_name = "tma_decode",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to wrong predecodes",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.predecode / slots",
	.metric_name = "tma_predecode",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the number of issue slots  that were not delivered by the frontend due to other common frontend stalls not categorized",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_fe_bound.other / slots",
	.metric_name = "tma_other_fb",
	.metric_group = "TopdownL3;tma_frontend_bandwidth_group",
},
{
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear",
	.topic = "adln metrics",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ). Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
	.unit = "100%",
	.metric_expr = "(slots - (topdown_fe_bound.all + topdown_be_bound.all + topdown_retiring.all)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to branch mispredicts",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.mispredict / slots",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "TopdownL2;tma_bad_speculation_group",
},
{
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.machine_clears / slots",
	.metric_name = "tma_machine_clears",
	.metric_group = "TopdownL2;tma_bad_speculation_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to a machine clear (slow nuke)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.nuke / slots",
	.metric_name = "tma_nuke",
	.metric_group = "TopdownL3;tma_machine_clears_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to SMC",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.smc / machine_clears.slow)",
	.metric_name = "tma_smc",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to memory ordering",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.memory_ordering / machine_clears.slow)",
	.metric_name = "tma_memory_ordering",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to FP assists",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.fp_assist / machine_clears.slow)",
	.metric_name = "tma_fp_assist",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to memory disambiguation",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.disambiguation / machine_clears.slow)",
	.metric_name = "tma_disambiguation",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of machine clears relative to the number of nuke slots due to page faults",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_nuke * (machine_clears.page_fault / machine_clears.slow)",
	.metric_name = "tma_page_fault",
	.metric_group = "TopdownL4;tma_nuke_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to a machine clear classified as a fast nuke due to memory ordering, memory disambiguation and memory renaming",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_bad_speculation.fastnuke / slots",
	.metric_name = "tma_fast_nuke",
	.metric_group = "TopdownL3;tma_machine_clears_group",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls",
	.topic = "adln metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that uops must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count.   The rest of these subevents count backend stalls, in cycles, due to an outstanding request which is memory bound vs core bound.   The subevents are not slot based events and therefore can not be precisely added or subtracted from the Backend_Bound_Aux subevents which are slot based",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.all / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of cycles due to backend bound stalls that are core execution bound and not attributed to outstanding demand load or store stalls",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_load_store_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "TopdownL2;tma_backend_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to stores or loads",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "min(tma_backend_bound, ld_head.any_at_ret / clks + tma_store_bound)",
	.metric_name = "tma_load_store_bound",
	.metric_group = "TopdownL2;tma_backend_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to store buffer full",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_st_buffer",
	.metric_name = "tma_store_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a load block",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "ld_head.l1_bound_at_ret / clks",
	.metric_name = "tma_l1_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a store forward block",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "ld_head.st_addr_at_ret / clks",
	.metric_name = "tma_store_fwd",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a first level TLB miss",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "ld_head.dtlb_miss_at_ret / clks",
	.metric_name = "tma_stlb_hit",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a second level TLB miss requiring a page walk",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "ld_head.pgwalk_at_ret / clks",
	.metric_name = "tma_stlb_miss",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles that the oldest load of the load buffer is stalled at retirement due to a number of other load blocks",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "ld_head.other_at_ret / clks",
	.metric_name = "tma_other_l1",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "Counts the number of cycles a core is stalled due to a demand load which hit in the L2 Cache",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_l2_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_l2_hit / mem_bound_stalls.load",
	.metric_name = "tma_l2_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles a core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_llc_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_llc_hit / mem_bound_stalls.load",
	.metric_name = "tma_l3_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "mem_bound_stalls.load_dram_hit / clks - mem_bound_stalls_at_ret_correction * mem_bound_stalls.load_dram_hit / mem_bound_stalls.load",
	.metric_name = "tma_dram_bound",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hits in the L2, LLC, DRAM or MMIO (Non-DRAM) but could not be correctly attributed or cycles in which the load miss is waiting on a request buffer",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_load_store_bound - (tma_store_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_dram_bound))",
	.metric_name = "tma_other_load_store",
	.metric_group = "TopdownL3;tma_load_store_bound_group",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls",
	.topic = "adln metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that UOPS must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count.  All of these subevents count backend stalls, in slots, due to a resource limitation.   These are not cycle based events and therefore can not be precisely added or subtracted from the Backend_Bound subevents which are cycle based.  These subevents are supplementary to Backend_Bound and can be used to analyze results from a resource perspective at allocation",
	.unit = "100%",
	.metric_expr = "tma_backend_bound",
	.metric_name = "tma_backend_bound_aux",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls",
	.topic = "adln metrics",
	.long_desc = "Counts the total number of issue slots  that were not consumed by the backend due to backend stalls.  Note that uops must be available for consumption in order for this event to count.  If a uop is not available (IQ is empty), this event will not count",
	.unit = "100%",
	.metric_expr = "tma_backend_bound",
	.metric_name = "tma_resource_bound",
	.metric_group = "TopdownL2;tma_backend_bound_aux_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.mem_scheduler / slots",
	.metric_name = "tma_mem_scheduler",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to store buffer full",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * (mem_scheduler_block.st_buf / mem_scheduler_block.all)",
	.metric_name = "tma_st_buffer",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to load buffer full",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * mem_scheduler_block.ld_buf / mem_scheduler_block.all",
	.metric_name = "tma_ld_buffer",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of cycles, relative to the number of mem_scheduler slots, in which uops are blocked due to RSV full relative ",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "tma_mem_scheduler * mem_scheduler_block.rsv / mem_scheduler_block.all",
	.metric_name = "tma_rsv",
	.metric_group = "TopdownL4;tma_mem_scheduler_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.non_mem_scheduler / slots",
	.metric_name = "tma_non_mem_scheduler",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.register / slots",
	.metric_name = "tma_register",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to the reorder buffer being full (ROB stalls)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.reorder_buffer / slots",
	.metric_name = "tma_reorder_buffer",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to certain allocation restrictions",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.alloc_restrictions / slots",
	.metric_name = "tma_alloc_restriction",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the number of issue slots  that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS)",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_be_bound.serialization / slots",
	.metric_name = "tma_serialization",
	.metric_group = "TopdownL3;tma_resource_bound_group",
},
{
	.desc = "Counts the numer of issue slots  that result in retirement slots",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "topdown_retiring.all / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1",
},
{
	.desc = "Counts the number of uops that are not from the microsequencer",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "(topdown_retiring.all - uops_retired.ms) / slots",
	.metric_name = "tma_base",
	.metric_group = "TopdownL2;tma_retiring_group",
},
{
	.desc = "Counts the number of floating point operations per uop with all default weighting",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "uops_retired.fpdiv / slots",
	.metric_name = "tma_fp_uops",
	.metric_group = "TopdownL3;tma_base_group",
},
{
	.desc = "Counts the number of uops retired excluding ms and fp div uops",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "(topdown_retiring.all - uops_retired.ms - uops_retired.fpdiv) / slots",
	.metric_name = "tma_other_ret",
	.metric_group = "TopdownL3;tma_base_group",
},
{
	.desc = "Counts the number of uops that are from the complex flows issued by the micro-sequencer (MS)",
	.topic = "adln metrics",
	.long_desc = "Counts the number of uops that are from the complex flows issued by the micro-sequencer (MS).  This includes uops from flows due to complex instructions, faults, assists, and inserted flows",
	.unit = "100%",
	.metric_expr = "uops_retired.ms / slots",
	.metric_name = "tma_ms_uops",
	.metric_group = "TopdownL2;tma_retiring_group",
},
{
	.desc = "",
	.topic = "adln metrics",
	.metric_expr = "cpu_clk_unhalted.core",
	.metric_name = "CLKS",
},
{
	.desc = "",
	.topic = "adln metrics",
	.metric_expr = "cpu_clk_unhalted.core_p",
	.metric_name = "CLKS_P",
},
{
	.desc = "",
	.topic = "adln metrics",
	.metric_expr = "5 * clks",
	.metric_name = "SLOTS",
},
{
	.desc = "Instructions Per Cycle",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
},
{
	.desc = "Cycles Per Instruction",
	.topic = "adln metrics",
	.metric_expr = "clks / inst_retired.any",
	.metric_name = "CPI",
},
{
	.desc = "Uops Per Instruction",
	.topic = "adln metrics",
	.metric_expr = "uops_retired.all / inst_retired.any",
	.metric_name = "UPI",
},
{
	.desc = "Percentage of total non-speculative loads with a store forward or unknown store address block",
	.topic = "adln metrics",
	.metric_expr = "100 * ld_blocks.data_unknown / mem_uops_retired.all_loads",
	.metric_name = "Store_Fwd_Blocks",
},
{
	.desc = "Percentage of total non-speculative loads with a address aliasing block",
	.topic = "adln metrics",
	.metric_expr = "100 * ld_blocks.4k_alias / mem_uops_retired.all_loads",
	.metric_name = "Address_Alias_Blocks",
},
{
	.desc = "Percentage of total non-speculative loads that are splits",
	.topic = "adln metrics",
	.metric_expr = "100 * mem_uops_retired.split_loads / mem_uops_retired.all_loads",
	.metric_name = "Load_Splits",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
},
{
	.desc = "Instruction per (near) call (lower number means higher occurrence rate)",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.call",
	.metric_name = "IpCall",
},
{
	.desc = "Instructions per Load",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
},
{
	.desc = "Instructions per Store",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
},
{
	.desc = "Instructions per Far Branch",
	.topic = "adln metrics",
	.metric_expr = "inst_retired.any / (br_inst_retired.far_branch / 2)",
	.metric_name = "IpFarBranch",
},
{
	.desc = "Ratio of all branches which mispredict",
	.topic = "adln metrics",
	.metric_expr = "br_misp_retired.all_branches / br_inst_retired.all_branches",
	.metric_name = "Branch_Mispredict_Ratio",
},
{
	.desc = "Ratio between Mispredicted branches and unknown branches",
	.topic = "adln metrics",
	.metric_expr = "br_misp_retired.all_branches / baclears.any",
	.metric_name = "Branch_Mispredict_to_Unknown_Branch_Ratio",
},
{
	.desc = "Percentage of all uops which are ucode ops",
	.topic = "adln metrics",
	.metric_expr = "100 * uops_retired.ms / uops_retired.all",
	.metric_name = "Microcode_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are FPDiv uops",
	.topic = "adln metrics",
	.metric_expr = "100 * uops_retired.fpdiv / uops_retired.all",
	.metric_name = "FPDiv_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are IDiv uops",
	.topic = "adln metrics",
	.metric_expr = "100 * uops_retired.idiv / uops_retired.all",
	.metric_name = "IDiv_Uop_Ratio",
},
{
	.desc = "Percentage of all uops which are x87 uops",
	.topic = "adln metrics",
	.metric_expr = "100 * uops_retired.x87 / uops_retired.all",
	.metric_name = "X87_Uop_Ratio",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "adln metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
},
{
	.desc = "Fraction of cycles spent in Kernel mode",
	.topic = "adln metrics",
	.metric_expr = "cpu@cpu_clk_unhalted.core@k / cpu_clk_unhalted.core",
	.metric_name = "Kernel_Utilization",
},
{
	.desc = "Average CPU Utilization",
	.topic = "adln metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
},
{
	.desc = "Cycle cost per L2 hit",
	.topic = "adln metrics",
	.metric_expr = "mem_bound_stalls.load_l2_hit / mem_load_uops_retired.l2_hit",
	.metric_name = "Cycles_per_Demand_Load_L2_Hit",
},
{
	.desc = "Cycle cost per LLC hit",
	.topic = "adln metrics",
	.metric_expr = "mem_bound_stalls.load_llc_hit / mem_load_uops_retired.l3_hit",
	.metric_name = "Cycles_per_Demand_Load_L3_Hit",
},
{
	.desc = "Cycle cost per DRAM hit",
	.topic = "adln metrics",
	.metric_expr = "mem_bound_stalls.load_dram_hit / mem_load_uops_retired.dram_hit",
	.metric_name = "Cycles_per_Demand_Load_DRAM_Hit",
},
{
	.desc = "Percent of instruction miss cost that hit in the L2",
	.topic = "adln metrics",
	.metric_expr = "100 * mem_bound_stalls.ifetch_l2_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_L2Hit_Percent",
},
{
	.desc = "Percent of instruction miss cost that hit in the L3",
	.topic = "adln metrics",
	.metric_expr = "100 * mem_bound_stalls.ifetch_llc_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_L3Hit_Percent",
},
{
	.desc = "Percent of instruction miss cost that hit in DRAM",
	.topic = "adln metrics",
	.metric_expr = "100 * mem_bound_stalls.ifetch_dram_hit / mem_bound_stalls.ifetch",
	.metric_name = "Inst_Miss_Cost_DRAMHit_Percent",
},
{
	.desc = "load ops retired per 1000 instruction",
	.topic = "adln metrics",
	.metric_expr = "1e3 * mem_uops_retired.all_loads / inst_retired.any",
	.metric_name = "MemLoadPKI",
},
{
	.desc = "C1 residency percent per core",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c1\\-residency@ / tsc",
	.metric_name = "C1_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C8 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c8\\-residency@ / tsc",
	.metric_name = "C8_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C9 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c9\\-residency@ / tsc",
	.metric_name = "C9_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C10 residency percent per package",
	.topic = "adln metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c10\\-residency@ / tsc",
	.metric_name = "C10_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "ld_head.any_at_ret",
	.event = "period=1000003,umask=0xff,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer is stalled due to any number of reasons, including an L1 miss, WCB full, pagewalk, store address block or store data block, on a load that retires",
	.topic = "memory",
},
{
	.name = "ld_head.l1_bound_at_ret",
	.event = "period=1000003,umask=0xf4,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer is stalled due to a core bound stall including a store address match, a DTLB miss or a page walk that detains the load from retiring",
	.topic = "memory",
},
{
	.name = "ld_head.other_at_ret",
	.event = "period=1000003,umask=0xc0,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to other block cases",
	.topic = "memory",
	.long_desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to other block cases such as pipeline conflicts, fences, etc",
},
{
	.name = "ld_head.pgwalk_at_ret",
	.event = "period=1000003,umask=0xa0,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a pagewalk",
	.topic = "memory",
},
{
	.name = "ld_head.st_addr_at_ret",
	.event = "period=1000003,umask=0x84,event=0x5",
	.desc = "Counts the number of cycles that the head (oldest load) of the load buffer and retirement are both stalled due to a store address match",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=20003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering caused by a snoop from an external agent. Does not count internally generated machine clears such as those due to memory disambiguation",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of requests allocated in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Each cycle counts number of all outgoing valid entries in ReqTrk. Such entry is defined as valid from its allocation in ReqTrk till deallocation. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Counts the number of coherent and in-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_clock ",
	.topic = "uncore other",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that miss in the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that miss in the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that access the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that access the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "mem_bound_stalls.ifetch",
	.event = "period=200003,umask=0x38,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
},
{
	.name = "mem_bound_stalls.ifetch_dram_hit",
	.event = "period=200003,umask=0x20,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in DRAM or MMIO (non-DRAM)",
},
{
	.name = "mem_bound_stalls.ifetch_l2_hit",
	.event = "period=200003,umask=0x8,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the L2 cache",
},
{
	.name = "mem_bound_stalls.ifetch_llc_hit",
	.event = "period=200003,umask=0x10,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_bound_stalls.load",
	.event = "period=200003,umask=0x7,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the L2 cache",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in DRAM  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L2 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=200003,umask=0x4,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_scheduler_block.all",
	.event = "period=20003,umask=0x7,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked for any of the following reasons:  load buffer, store buffer or RSV full",
	.topic = "cache",
},
{
	.name = "mem_scheduler_block.ld_buf",
	.event = "period=20003,umask=0x2,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to a load buffer full condition",
	.topic = "cache",
},
{
	.name = "mem_scheduler_block.rsv",
	.event = "period=20003,umask=0x4,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to an RSV full condition",
	.topic = "cache",
},
{
	.name = "mem_scheduler_block.st_buf",
	.event = "period=20003,umask=0x1,event=0x4",
	.desc = "Counts the number of cycles that uops are blocked due to a store buffer full condition",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Counts the number of load uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of load uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Counts the number of store uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of store uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.load_latency_gt_128",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x80",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 128 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 128 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_16",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x10",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 16 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 16 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_256",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x100",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 256 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 256 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_32",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x20",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 32 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 32 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_4",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x4",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 4 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 4 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_512",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x200",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 512 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 512 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_64",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x40",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 64 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 64 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.load_latency_gt_8",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x8",
	.desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 8 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of tagged loads with an instruction latency that exceeds or equals the threshold of 8 cycles as defined in MEC_CR_PEBS_LD_LAT_THRESHOLD (3F6H). Only counts with PEBS enabled. If a PEBS record is generated, will populate the PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Counts the number of retired split load uops  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.store_latency",
	.event = "period=1000003,umask=0x6,event=0xd0",
	.desc = "Counts the number of stores uops retired. Counts with or without PEBS enabled  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of stores uops retired. Counts with or without PEBS enabled. If PEBS is enabled and a PEBS record is generated, will populate PEBS Latency and PEBS Data Source fields accordingly  Supports address when precise (Must be precise)",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts demand data reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "topdown_fe_bound.icache",
	.event = "period=1000003,umask=0x20,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to instruction cache misses",
	.topic = "cache",
},
{
	.name = "unc_mc0_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read  request entering the Memory Controller 0 to DRAM (sum of all channels). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts every 64B read request entering the Memory Controller 0 to DRAM (sum of all channels)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc0_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B write request entering the Memory Controller 0 to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read request entering the Memory Controller 1 to DRAM (sum of all channels). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts every 64B read entering the Memory Controller 1 to DRAM (sum of all channels)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every 64B write request entering the Memory Controller 1 to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_rd",
	.event = "event=0x24",
	.desc = "ACT command for a read request sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_total",
	.event = "event=0x26",
	.desc = "ACT command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count_wr",
	.event = "event=0x25",
	.desc = "ACT command for a write request sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count_rd",
	.event = "event=0x22",
	.desc = "Read CAS command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count_wr",
	.event = "event=0x23",
	.desc = "Write CAS command sent to DRAM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0x1",
	.desc = "Number of clocks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_empty_rd",
	.event = "event=0x1d",
	.desc = "incoming read request page status is Page Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_empty_wr",
	.event = "event=0x20",
	.desc = "incoming write request page status is Page Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_hit_rd",
	.event = "event=0x1c",
	.desc = "incoming read request page status is Page Hit. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_hit_wr",
	.event = "event=0x1f",
	.desc = "incoming write request page status is Page Hit. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_miss_rd",
	.event = "event=0x1e",
	.desc = "incoming read request page status is Page Miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_page_miss_wr",
	.event = "event=0x21",
	.desc = "incoming write request page status is Page Miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_thermal_hot",
	.event = "event=0x19",
	.desc = "Any Rank at Hot state. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_thermal_warm",
	.event = "event=0x1a",
	.desc = "Any Rank at Warm state. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_prefetch_rd",
	.event = "event=0xa",
	.desc = "Incoming read prefetch request from IA. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count_idle",
	.event = "event=0x28",
	.desc = "PRE command sent to DRAM due to page table idle timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count_page_miss",
	.event = "event=0x27",
	.desc = "PRE command sent to DRAM for a read/write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc0_requests_rd",
	.event = "event=0x2",
	.desc = "Incoming VC0 read request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc0_requests_wr",
	.event = "event=0x3",
	.desc = "Incoming VC0 write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc1_requests_rd",
	.event = "event=0x4",
	.desc = "Incoming VC1 read request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vc1_requests_wr",
	.event = "event=0x5",
	.desc = "Incoming VC1 write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_ivytown[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 800 MHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core0_transition_cycles",
	.event = "event=0x70",
	.desc = "Core 0 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core10_transition_cycles",
	.event = "event=0x7a",
	.desc = "Core 10 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core11_transition_cycles",
	.event = "event=0x7b",
	.desc = "Core 11 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core12_transition_cycles",
	.event = "event=0x7c",
	.desc = "Core 12 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core13_transition_cycles",
	.event = "event=0x7d",
	.desc = "Core 13 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core14_transition_cycles",
	.event = "event=0x7e",
	.desc = "Core 14 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core1_transition_cycles",
	.event = "event=0x71",
	.desc = "Core 1 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core2_transition_cycles",
	.event = "event=0x72",
	.desc = "Core 2 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core3_transition_cycles",
	.event = "event=0x73",
	.desc = "Core 3 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core4_transition_cycles",
	.event = "event=0x74",
	.desc = "Core 4 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core5_transition_cycles",
	.event = "event=0x75",
	.desc = "Core 5 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core6_transition_cycles",
	.event = "event=0x76",
	.desc = "Core 6 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core7_transition_cycles",
	.event = "event=0x77",
	.desc = "Core 7 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core8_transition_cycles",
	.event = "event=0x78",
	.desc = "Core 8 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core9_transition_cycles",
	.event = "event=0x79",
	.desc = "Core 9 C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions.  There is one event per core",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core0",
	.event = "event=0x17",
	.desc = "Deep C State Rejection - Core 0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core1",
	.event = "event=0x18",
	.desc = "Deep C State Rejection - Core 1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core10",
	.event = "event=0x21",
	.desc = "Deep C State Rejection - Core 10. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core11",
	.event = "event=0x22",
	.desc = "Deep C State Rejection - Core 11. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core12",
	.event = "event=0x23",
	.desc = "Deep C State Rejection - Core 12. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core13",
	.event = "event=0x24",
	.desc = "Deep C State Rejection - Core 13. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core14",
	.event = "event=0x25",
	.desc = "Deep C State Rejection - Core 14. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core2",
	.event = "event=0x19",
	.desc = "Deep C State Rejection - Core 2. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core3",
	.event = "event=0x1a",
	.desc = "Deep C State Rejection - Core 3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core4",
	.event = "event=0x1b",
	.desc = "Deep C State Rejection - Core 4. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core5",
	.event = "event=0x1c",
	.desc = "Deep C State Rejection - Core 5. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core6",
	.event = "event=0x1d",
	.desc = "Deep C State Rejection - Core 6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core7",
	.event = "event=0x1e",
	.desc = "Deep C State Rejection - Core 7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core8",
	.event = "event=0x1f",
	.desc = "Deep C State Rejection - Core 8. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_delayed_c_state_abort_core9",
	.event = "event=0x20",
	.desc = "Deep C State Rejection - Core 9. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of times that a deep C state was requested, but the delayed C state algorithm rejected the deep sleep state.  In other words, a wake event occurred before the timer expired that causes a transition into the deeper C state",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core0",
	.event = "event=0x1e",
	.desc = "Core 0 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core1",
	.event = "event=0x1f",
	.desc = "Core 1 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core10",
	.event = "event=0x42",
	.desc = "Core 10 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core11",
	.event = "event=0x43",
	.desc = "Core 11 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core12",
	.event = "event=0x44",
	.desc = "Core 12 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core13",
	.event = "event=0x45",
	.desc = "Core 13 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core14",
	.event = "event=0x46",
	.desc = "Core 14 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core2",
	.event = "event=0x20",
	.desc = "Core 2 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core3",
	.event = "event=0x21",
	.desc = "Core 3 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core4",
	.event = "event=0x22",
	.desc = "Core 4 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core5",
	.event = "event=0x23",
	.desc = "Core 5 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core6",
	.event = "event=0x24",
	.desc = "Core 6 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core7",
	.event = "event=0x25",
	.desc = "Core 7 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core8",
	.event = "event=0x40",
	.desc = "Core 8 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions_core9",
	.event = "event=0x41",
	.desc = "Core 9 C State Demotions. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of times when a configurable cores had a C-state demotion",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band0_cycles",
	.event = "event=0xb",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band1_cycles",
	.event = "event=0xc",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band2_cycles",
	.event = "event=0xd",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_band3_cycles",
	.event = "event=0xe",
	.desc = "Frequency Residency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the uncore was running at a frequency greater than or equal to the frequency that is configured in the filter.  One can use all four counters with this event, so it is possible to track up to 4 configurable bands.  One can use edge detect in conjunction with this event to track the number of times that we transitioned into a frequency greater than or equal to the configurable frequency. One can also use inversion to track cycles when we were less than the configured frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_current_cycles",
	.event = "event=0x7",
	.desc = "Current Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when current is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_os_cycles",
	.event = "event=0x6",
	.desc = "OS Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the OS is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x61",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_perf_p_cycles",
	.event = "event=0x62",
	.desc = "Perf P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when Perf P Limit is preventing us from dropping the frequency lower.  Perf P Limit is an algorithm that takes input from remote sockets when determining if a socket should drop it's frequency down.  This is largely to minimize increases in snoop and remote read latencies",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x60",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_exit_latency",
	.event = "event=0x26",
	.desc = "Package C State Exit Latency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is transitioning from package C2 to C3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_exit_latency_sel",
	.event = "event=0x26",
	.desc = "Package C State Exit Latency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is transitioning from package C2 to C3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_state_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is in C0",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_state_residency_c2_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is in C2",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_state_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is in C3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_c_state_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the package is in C6",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x63",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_change",
	.event = "event=0x3",
	.desc = "Cycles Changing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition.  This event is calculated by or'ing together the increasing and decreasing events",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_decrease",
	.event = "event=0x2",
	.desc = "Cycles Decreasing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is decreasing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_volt_trans_cycles_increase",
	.event = "event=0x1",
	.desc = "Cycles Increasing Voltage. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is increasing voltage.  There is no filtering supported with this event.  One can use it as a simple event, or use it conjunction with the occupancy events to monitor the number of cores or threads that were impacted by the transition",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x32",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is in ring 0",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
	.long_desc = "Number of intervals between processor halts while thread is in ring 0",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
	.long_desc = "Unhalted core cycles when the thread is not in ring 0",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
	.long_desc = "Cycles in which the L1D and L2 are locked, due to a UC lock or split lock",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "Cache Lookups; Any Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:17] bits correspond to [M'FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups; Data Read Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:17] bits correspond to [M'FMESI] state.; Read transactions",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.nid",
	.event = "umask=0x41,event=0x34",
	.desc = "Cache Lookups; Lookups that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:17] bits correspond to [M'FMESI] state.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups; External Snoop Request. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:17] bits correspond to [M'FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups; Write Requests. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set filter mask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CBoGlCtrl[22:17] bits correspond to [M'FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.miss",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized; Lines in M state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.nid",
	.event = "umask=0x40,event=0x37",
	.desc = "Lines Victimized; Victimized Lines that Match NID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in.; Qualify one of the other subevents by the Target NID.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.   In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Cbo Misc; RFO HitS. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Number of times that an RFO hit in S state.  This is useful for determining if it might be good for a workload to use RspIWB instead of RspSWB",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.started",
	.event = "umask=0x4,event=0x39",
	.desc = "Cbo Misc. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age0",
	.event = "umask=0x1,event=0x3c",
	.desc = "LRU Queue; LRU Age 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age1",
	.event = "umask=0x2,event=0x3c",
	.desc = "LRU Queue; LRU Age 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age2",
	.event = "umask=0x4,event=0x3c",
	.desc = "LRU Queue; LRU Age 2. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 2",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.age3",
	.event = "umask=0x8,event=0x3c",
	.desc = "LRU Queue; LRU Age 3. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often age was set to 3",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.lru_decrement",
	.event = "umask=0x10,event=0x3c",
	.desc = "LRU Queue; LRU Bits Decremented. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often all LRU bits were decremented by 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_qlru.victim_non_zero",
	.event = "umask=0x20,event=0x3c",
	.desc = "LRU Queue; Non-0 Aged Victim. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "How often we picked a victim that had a non-zero age",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.ccw",
	.event = "umask=0xc,event=0x1b",
	.desc = "AD Ring In Use; Counterclockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.cw",
	.event = "umask=0x3,event=0x1b",
	.desc = "AD Ring In Use; Clockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down",
	.event = "umask=0xcc,event=0x1b",
	.desc = "AD Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_vr0_even",
	.event = "umask=0x4,event=0x1b",
	.desc = "AD Ring In Use; Down and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_vr0_odd",
	.event = "umask=0x8,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_vr1_even",
	.event = "umask=0x40,event=0x1b",
	.desc = "AD Ring In Use; Down and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.down_vr1_odd",
	.event = "umask=0x80,event=0x1b",
	.desc = "AD Ring In Use; Down and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up",
	.event = "umask=0x33,event=0x1b",
	.desc = "AD Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_vr0_even",
	.event = "umask=0x1,event=0x1b",
	.desc = "AD Ring In Use; Up and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_vr0_odd",
	.event = "umask=0x2,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_vr1_even",
	.event = "umask=0x10,event=0x1b",
	.desc = "AD Ring In Use; Up and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ad_used.up_vr1_odd",
	.event = "umask=0x20,event=0x1b",
	.desc = "AD Ring In Use; Up and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.ccw",
	.event = "umask=0xc,event=0x1c",
	.desc = "AK Ring In Use; Counterclockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.cw",
	.event = "umask=0x3,event=0x1c",
	.desc = "AK Ring In Use; Clockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down",
	.event = "umask=0xcc,event=0x1c",
	.desc = "AK Ring In Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_vr0_even",
	.event = "umask=0x4,event=0x1c",
	.desc = "AK Ring In Use; Down and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_vr0_odd",
	.event = "umask=0x8,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_vr1_even",
	.event = "umask=0x40,event=0x1c",
	.desc = "AK Ring In Use; Down and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.down_vr1_odd",
	.event = "umask=0x80,event=0x1c",
	.desc = "AK Ring In Use; Down and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up",
	.event = "umask=0x33,event=0x1c",
	.desc = "AK Ring In Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_vr0_even",
	.event = "umask=0x1,event=0x1c",
	.desc = "AK Ring In Use; Up and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_vr0_odd",
	.event = "umask=0x2,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_vr1_even",
	.event = "umask=0x10,event=0x1c",
	.desc = "AK Ring In Use; Up and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_ak_used.up_vr1_odd",
	.event = "umask=0x20,event=0x1c",
	.desc = "AK Ring In Use; Up and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.ccw",
	.event = "umask=0xc,event=0x1d",
	.desc = "BL Ring in Use; Counterclockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.cw",
	.event = "umask=0x3,event=0x1d",
	.desc = "BL Ring in Use; Clockwise. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down",
	.event = "umask=0xcc,event=0x1d",
	.desc = "BL Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_vr0_even",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Ring in Use; Down and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_vr0_odd",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_vr1_even",
	.event = "umask=0x40,event=0x1d",
	.desc = "BL Ring in Use; Down and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.down_vr1_odd",
	.event = "umask=0x80,event=0x1d",
	.desc = "BL Ring in Use; Down and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Down and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up",
	.event = "umask=0x33,event=0x1d",
	.desc = "BL Ring in Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_vr0_even",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Ring in Use; Up and Even on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_vr0_odd",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd on Vring 0. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_vr1_even",
	.event = "umask=0x10,event=0x1d",
	.desc = "BL Ring in Use; Up and Even on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bl_used.up_vr1_odd",
	.event = "umask=0x20,event=0x1d",
	.desc = "BL Ring in Use; Up and Odd on VRing 1. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring.; Filters for the Up and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ad_irq",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Acknowledgements to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.ak_core",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.: Acknowledgements to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl",
	.event = "umask=0x8,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Data Responses to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.bl_core",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.: Data Responses to core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv",
	.event = "umask=0x10,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.; Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_bounces.iv_core",
	.event = "umask=0x8,event=0x5",
	.desc = "Number of LLC responses that bounced on the Ring.: Snoops of processor's cache. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.any",
	.event = "umask=0xf,event=0x1e",
	.desc = "IV Ring in Use; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters any polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.down",
	.event = "umask=0xcc,event=0x1e",
	.desc = "IV Ring in Use; Down. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for Down polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_iv_used.up",
	.event = "umask=0x33,event=0x1e",
	.desc = "IV Ring in Use; Up. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for Up polarity",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad_ipq",
	.event = "umask=0x2,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.ad_irq",
	.event = "umask=0x1,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_sink_starved.iv",
	.event = "umask=0x10,event=0x6",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0x7",
	.desc = "Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ipq",
	.event = "umask=0x2,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IPQ is externally startved and therefore we are blocking the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.irq",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; IRQ is externally starved and therefore we are blocking the IPQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.ismq_bids",
	.event = "umask=0x8,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles; ISMQ_BID. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in external starvation.  This occurs when one of the ingress queues is being starved by the other queues.; Number of times that the ISMQ Bid",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ext_starved.prq",
	.event = "umask=0x4,event=0x12",
	.desc = "Ingress Arbiter Blocking Cycles. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "IRQ is blocking the ingress queue and causing the starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.irq_rejected",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations: IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_inserts.vfifo",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations; VFIFO. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue.; Counts the number of allocations into the IRQ Ordering FIFO.  In JKT, it is necessary to keep IO requests in order.  Therefore, they are allocated into an ordering FIFO that sits next to the IRQ, and must be satisfied from the FIFO in order (with respect to each other).  This event, in conjunction with the Occupancy Accumulator event, can be used to calculate average lifetime in the FIFO.  Transactions are allocated into the FIFO as soon as they enter the Cachebo (and the IRQ) and are deallocated from the FIFO as soon as they are deallocated from the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IPQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the IRQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Ingress Internal Starvation Cycles; ISMQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts cycles in internal starvation.  This occurs when one (or more) of the entries in the ingress queue are being starved out by other entries in that queue.; Cycles with the ISMQ in Internal Starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.addr_conflict",
	.event = "umask=0x4,event=0x31",
	.desc = "Probe Queue Retries; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from an address conflicts.  Address conflicts out of the IPQ should be rare.  They will generally only occur if two different sockets are sending requests to the same address at the same time.  This is a true conflict case, unlike the IPQ Address Conflict which is commonly caused by prefetching characteristics",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.any",
	.event = "umask=0x1,event=0x31",
	.desc = "Probe Queue Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject.  TOR rejects from the IPQ can be caused by the Egress being full or Address Conflicts",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.full",
	.event = "umask=0x2,event=0x31",
	.desc = "Probe Queue Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries.; Counts the number of times that a request form the IPQ was retried because of a TOR reject from the Egress being full.  IPQ requests make use of the AD Egress for regular responses, the BL egress to forward data, and the AK egress to return credits",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ipq_retry.qpi_credits",
	.event = "umask=0x10,event=0x31",
	.desc = "Probe Queue Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a snoop (probe) request had to retry.  Filters exist to cover some of the common cases retries",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.addr_conflict",
	.event = "umask=0x4,event=0x32",
	.desc = "Ingress Request Queue Rejects; Address Conflict. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because of an address match in the TOR.  In order to maintain coherency, requests to the same address are not allowed to pass each other up in the Cbo.  Therefore, if there is an outstanding request to a given address, one cannot issue another request to that address until it is complete.  This comes up most commonly with prefetches.  Outstanding prefetches occasionally will not complete their memory fetch and a demand request to the same address will then sit in the IRQ and get retried until the prefetch fills the data into the LLC.  Therefore, it will not be uncommon to see this case in high bandwidth streaming workloads when the LLC Prefetcher in the core is enabled",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.any",
	.event = "umask=0x1,event=0x32",
	.desc = "Ingress Request Queue Rejects; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of IRQ retries that occur.  Requests from the IRQ are retried if they are rejected from the TOR pipeline for a variety of reasons.  Some of the most common reasons include if the Egress is full, there are no RTIDs, or there is a Physical Address match to another outstanding request",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.full",
	.event = "umask=0x2,event=0x32",
	.desc = "Ingress Request Queue Rejects; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that a request from the IRQ was retried because it failed to acquire an entry in the Egress.  The egress is the buffer that queues up for allocating onto the ring.  IRQ requests can make use of all four rings and all four Egresses.  If any of the queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.iio_credits",
	.event = "umask=0x20,event=0x32",
	.desc = "Ingress Request Queue Rejects; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.qpi_credits",
	.event = "umask=0x10,event=0x32",
	.desc = "Ingress Request Queue Rejects; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of requests rejects because of lack of QPI Ingress credits.  These credits are required in order to send transactions to the QPI agent.  Please see the QPI_IGR_CREDITS events for more information",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_irq_retry.rtid",
	.event = "umask=0x8,event=0x32",
	.desc = "Ingress Request Queue Rejects; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times that requests from the IRQ were retried because there were no RTIDs available.  RTIDs are required after a request misses the LLC and needs to send snoops and/or requests to memory.  If there are no RTIDs available, requests will queue up in the IRQ and retry until one becomes available.  Note that there are multiple RTID pools for the different sockets.  There may be cases where the local RTIDs are all used, but requests destined for remote memory can still acquire an RTID because there are remote RTIDs available.  This event does not provide any filtering for this case",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.any",
	.event = "umask=0x1,event=0x33",
	.desc = "ISMQ Retries; Any Reject. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the total number of times that a request from the ISMQ retried because of a TOR reject.  ISMQ requests generally will not need to retry (or at least ISMQ retries are less common than IRQ retries).  ISMQ requests will retry if they are not able to acquire a needed Egress credit to get onto the ring, or for cache evictions that need to acquire an RTID.  Most ISMQ requests already have an RTID, so eviction retries will be less common here",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.full",
	.event = "umask=0x2,event=0x33",
	.desc = "ISMQ Retries; No Egress Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by a lack of Egress credits. The egress is the buffer that queues up for allocating onto the ring.  If any of the Egress queues that a given request needs to make use of are full, the request will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.iio_credits",
	.event = "umask=0x20,event=0x33",
	.desc = "ISMQ Retries; No IIO Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Number of times a request attempted to acquire the NCS/NCB credit for sending messages on BL to the IIO.  There is a single credit in each CBo that is shared between the NCS and NCB message classes for sending transactions on the BL ring (such as read data) to the IIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.qpi_credits",
	.event = "umask=0x10,event=0x33",
	.desc = "ISMQ Retries; No QPI Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.rtid",
	.event = "umask=0x8,event=0x33",
	.desc = "ISMQ Retries; No RTIDs. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Counts the number of times that a request from the ISMQ retried because of a TOR reject caused by no RTIDs.  M-state cache evictions are serviced through the ISMQ, and must acquire an RTID in order to write back to memory.  If no RTIDs are available, they will be retried",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_ismq_retry.wb_credits",
	.event = "umask=0x80,event=0x33",
	.desc = "ISMQ Retries; No WB Credits. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores.; Retries of writes to local memory due to lack of HT WB credits",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy; IPQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy; IRQ. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rej",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy; IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.irq_rejected",
	.event = "umask=0x2,event=0x11",
	.desc = "IRQ Rejected. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_rxr_occupancy.vfifo",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Occupancy; VFIFO. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle.; Accumulates the number of used entries in the IRQ Ordering FIFO in each cycle.  In JKT, it is necessary to keep IO requests in order.  Therefore, they are allocated into an ordering FIFO that sits next to the IRQ, and must be satisfied from the FIFO in order (with respect to each other).  This event, in conjunction with the Allocations event, can be used to calculate average lifetime in the FIFO.  This event can be used in conjunction with the Not Empty event to calculate average queue occupancy. Transactions are allocated into the FIFO as soon as they enter the Cachebo (and the IRQ) and are deallocated from the FIFO as soon as they are deallocated from the IRQ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.all",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR.    This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.eviction",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Eviction transactions inserted into the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local",
	.event = "umask=0x28,event=0x35",
	.desc = "TOR Inserts; Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.local_opcode",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local",
	.event = "umask=0x2a,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_local_opcode",
	.event = "umask=0x23,event=0x35",
	.desc = "TOR Inserts; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisfied by an opcode, inserted into the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_opcode",
	.event = "umask=0x3,event=0x35",
	.desc = "TOR Inserts; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote",
	.event = "umask=0x8a,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.miss_remote_opcode",
	.event = "umask=0x83,event=0x35",
	.desc = "TOR Inserts; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_all",
	.event = "umask=0x48,event=0x35",
	.desc = "TOR Inserts; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched (matches an RTID destination) transactions inserted into the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.  In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_eviction",
	.event = "umask=0x44,event=0x35",
	.desc = "TOR Inserts; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched eviction transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_all",
	.event = "umask=0x4a,event=0x35",
	.desc = "TOR Inserts; NID Matched Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All NID matched miss requests that were inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_miss_opcode",
	.event = "umask=0x43,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Miss transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_opcode",
	.event = "umask=0x41,event=0x35",
	.desc = "TOR Inserts; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.nid_wb",
	.event = "umask=0x50,event=0x35",
	.desc = "TOR Inserts; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; NID matched write transactions inserted into the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.opcode",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Transactions inserted into the TOR that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote",
	.event = "umask=0x88,event=0x35",
	.desc = "TOR Inserts; Remote Memory. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.remote_opcode",
	.event = "umask=0x81,event=0x35",
	.desc = "TOR Inserts; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; All transactions, satisfied by an opcode,  inserted into the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.wb",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent.  There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc  to DRD (0x182).; Write transactions inserted into the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.all",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; Any. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All valid TOR entries.  This includes requests that reside in the TOR for a short time, such as LLC Hits that do not need to snoop cores or requests that get rejected and have to be retried through one of the ingress queues.  The TOR is more commonly a bottleneck in skews with smaller core counts, where the ratio of RTIDs to TOR entries is larger.  Note that there are reserved TOR entries for various request types, so it is possible that a given request type be blocked with an occupancy that is less than 20.  Also note that generally requests will not be able to arbitrate into the TOR pipeline if there are no available TOR slots",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.eviction",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding eviction transactions in the TOR.  Evictions can be quick, such as when the line is in the F, S, or E states and no core valid bits are set.  They can also be longer if either CV bits are set (so the cores need to be snooped) and/or if there is a HitM (in which case it is necessary to write the request out to memory)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local",
	.event = "umask=0x28,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.local_opcode",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisfied by an opcode,  in the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_all",
	.event = "umask=0xa,event=0x36",
	.desc = "TOR Occupancy; Miss All. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding miss requests in the TOR.  'Miss' means the allocation requires an RTID.  This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local",
	.event = "umask=0x2a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_local_opcode",
	.event = "umask=0x23,event=0x36",
	.desc = "TOR Occupancy; Misses to Local Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisfied by an opcode, in the TOR that are satisfied by locally HOMed memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_opcode",
	.event = "umask=0x3,event=0x36",
	.desc = "TOR Occupancy; Miss Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries for miss transactions that match an opcode. This generally means that the request was sent to memory or MMIO",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote",
	.event = "umask=0x8a,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.miss_remote_opcode",
	.event = "umask=0x83,event=0x36",
	.desc = "TOR Occupancy; Misses to Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss transactions, satisfied by an opcode, in the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_all",
	.event = "umask=0x48,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of NID matched outstanding requests in the TOR.  The NID is programmed in Cn_MSR_PMON_BOX_FILTER.nid.In conjunction with STATE = I, it is possible to monitor misses to specific NIDs in the system",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_eviction",
	.event = "umask=0x44,event=0x36",
	.desc = "TOR Occupancy; NID Matched Evictions. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding NID matched eviction transactions in the TOR ",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_all",
	.event = "umask=0x4a,event=0x36",
	.desc = "TOR Occupancy; NID Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_miss_opcode",
	.event = "umask=0x43,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched Miss. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding Miss requests in the TOR that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_opcode",
	.event = "umask=0x41,event=0x36",
	.desc = "TOR Occupancy; NID and Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match a NID and an opcode",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.nid_wb",
	.event = "umask=0x50,event=0x36",
	.desc = "TOR Occupancy; NID Matched Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); NID matched write transactions int the TOR",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.opcode",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; Opcode Match. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); TOR entries that match an opcode (matched by Cn_MSR_PMON_BOX_FILTER.opc)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote",
	.event = "umask=0x88,event=0x36",
	.desc = "TOR Occupancy. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182)",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.remote_opcode",
	.event = "umask=0x81,event=0x36",
	.desc = "TOR Occupancy; Remote Memory - Opcode Matched. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Number of outstanding  transactions, satisfied by an opcode,  in the TOR that are satisfied by remote caches or remote memory",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_occupancy.wb",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Writebacks. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); Write transactions in the TOR.   This does not include RFO, but actual operations that contain data being sent from the core",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ad",
	.event = "umask=0x1,event=0x4",
	.desc = "Onto AD Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.ak",
	.event = "umask=0x2,event=0x4",
	.desc = "Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_ads_used.bl",
	.event = "umask=0x4,event=0x4",
	.desc = "Onto BL Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_cache",
	.event = "umask=0x1,event=0x2",
	.desc = "Egress Allocations; AD - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ad_core",
	.event = "umask=0x10,event=0x2",
	.desc = "Egress Allocations; AD - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_cache",
	.event = "umask=0x2,event=0x2",
	.desc = "Egress Allocations; AK - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.ak_core",
	.event = "umask=0x20,event=0x2",
	.desc = "Egress Allocations; AK - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the AK ring.  This is commonly used for snoop responses coming from the core and destined for a Cachebo",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_cache",
	.event = "umask=0x4,event=0x2",
	.desc = "Egress Allocations; BL - Cacheno. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.bl_core",
	.event = "umask=0x40,event=0x2",
	.desc = "Egress Allocations; BL - Corebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Corebo destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_inserts.iv_cache",
	.event = "umask=0x8,event=0x2",
	.desc = "Egress Allocations; IV - Cachebo. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Number of allocations into the Cbo Egress.  The Egress is used to queue up requests destined for the ring.; Ring transactions from the Cachebo destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ad_core",
	.event = "umask=0x10,event=0x3",
	.desc = "Injection Starvation; Onto AD Ring (to core). Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the core AD egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.ak_both",
	.event = "umask=0x2,event=0x3",
	.desc = "Injection Starvation; Onto AK Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that both AK egresses spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_c_txr_starved.iv",
	.event = "umask=0x8,event=0x3",
	.desc = "Injection Starvation; Onto IV Ring. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the Egress cannot send a transaction onto the ring for a long period of time.; cycles that the cachebo IV egress spent in starvation",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_bypass",
	.event = "event=0x52",
	.desc = "BT Bypass. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of transactions that bypass the BT (fifo) to HT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne",
	.event = "event=0x42",
	.desc = "BT Cycles Not Empty. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne.local",
	.event = "umask=0x1,event=0x42",
	.desc = "BT Cycles Not Empty: Local. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_cycles_ne.remote",
	.event = "umask=0x2,event=0x42",
	.desc = "BT Cycles Not Empty: Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Cycles the Backup Tracker (BT) is not empty. The BT is the actual HOM tracker in IVT",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.local",
	.event = "umask=0x1,event=0x43",
	.desc = "BT Occupancy; Local. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.reads_local",
	.event = "umask=0x4,event=0x43",
	.desc = "BT Occupancy; Reads Local. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.reads_remote",
	.event = "umask=0x8,event=0x43",
	.desc = "BT Occupancy; Reads Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.remote",
	.event = "umask=0x2,event=0x43",
	.desc = "BT Occupancy; Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.writes_local",
	.event = "umask=0x10,event=0x43",
	.desc = "BT Occupancy; Writes Local. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_occupancy.writes_remote",
	.event = "umask=0x20,event=0x43",
	.desc = "BT Occupancy; Writes Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the occupancy of the HA BT pool in every cycle.  This can be used with the not empty stat to calculate average queue occupancy or the allocations stat in order to calculate average queue latency.  HA BTs are allocated as soon as a request enters the HA and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_bl_hazard",
	.event = "umask=0x4,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.incoming_snp_hazard",
	.event = "umask=0x2,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Snoop Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming snoop hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.rspackcflt_hazard",
	.event = "umask=0x8,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bt_to_ht_not_issued.wbmdata_hazard",
	.event = "umask=0x10,event=0x51",
	.desc = "BT to HT Not Issued; Incoming Data Hazard. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not issue transaction from BT to HT.; Cycles unable to issue from BT due to incoming BL data hazard",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.not_taken",
	.event = "umask=0x2,event=0x14",
	.desc = "HA to iMC Bypass; Not Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_bypass_imc.taken",
	.event = "umask=0x1,event=0x14",
	.desc = "HA to iMC Bypass; Taken. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of times when the HA was able to bypass was attempted.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filted by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the bypass",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_clockticks",
	.event = "event=0",
	.desc = "uclks. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of uclks in the HA.  This will be slightly different than the count in the Ubox because of enable/freeze delays.  The HA is on the other side of the die from the fixed Ubox uclk counter, so the drift could be somewhat larger than in units that are closer like the QPI Agent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.ackcnflts",
	.event = "umask=0x8,event=0xb",
	.desc = "Conflict Checks; Acknowledge Conflicts. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count the number of Ackcnflts",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.cmp_fwds",
	.event = "umask=0x10,event=0xb",
	.desc = "Conflict Checks; Cmp Fwds. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count the number of Cmp_Fwd. This will give the number of late conflicts",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.conflict",
	.event = "umask=0x2,event=0xb",
	.desc = "Conflict Checks; Conflict Detected. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that we are handling conflicts",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_conflict_cycles.last",
	.event = "umask=0x4,event=0xb",
	.desc = "Conflict Checks; Last in conflict chain. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count every last conflictor in conflict chain. Can be used to compute the average conflict chain length as (#Ackcnflts/#LastConflictor)+1. This can be used to give a feel for the conflict chain lengths while analyzing lock kernels",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_count",
	.event = "event=0x11",
	.desc = "Direct2Core Messages Sent. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Direct2Core messages sent",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_cycles_disabled",
	.event = "event=0x12",
	.desc = "Cycles when Direct2Core was Disabled. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of cycles in which Direct2Core was disabled",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_direct2core_txn_override",
	.event = "event=0x13",
	.desc = "Number of Reads that had Direct2Core Overridden. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of Reads where Direct2Core overridden",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lat_opt",
	.event = "event=0x41",
	.desc = "Directory Lat Opt Return. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Directory Latency Optimization Data Return Path Taken. When directory mode is enabled and the directory returned for a read is Dir=I, then data can be returned using a faster path if certain conditions are met (credits, free pipeline, etc)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.any",
	.event = "umask=0x10,event=0xc",
	.desc = "Directory Lookups: Any state. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.no_snp",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups; Snoop Not Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that did not have to send any snoops because the directory bit was clear",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snoop_a",
	.event = "umask=0x8,event=0xc",
	.desc = "Directory Lookups: Snoop A. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snoop_s",
	.event = "umask=0x2,event=0xc",
	.desc = "Directory Lookups: Snoop S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.snp",
	.event = "umask=0x1,event=0xc",
	.desc = "Directory Lookups; Snoop Needed. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to.; Filters for transactions that had to send one or more snoops because the directory bit was set",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.state_a",
	.event = "umask=0x80,event=0xc",
	.desc = "Directory Lookups: A State. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.state_i",
	.event = "umask=0x20,event=0xc",
	.desc = "Directory Lookups: I State. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_lookup.state_s",
	.event = "umask=0x40,event=0xc",
	.desc = "Directory Lookups: S State. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.a2i",
	.event = "umask=0x20,event=0xd",
	.desc = "Directory Updates: A2I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.a2s",
	.event = "umask=0x40,event=0xd",
	.desc = "Directory Updates: A2S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.any",
	.event = "umask=0x3,event=0xd",
	.desc = "Directory Updates; Any Directory Update. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.clear",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates; Directory Clear. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory clears.  This occurs when snoops were sent and all returned with RspI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.i2a",
	.event = "umask=0x4,event=0xd",
	.desc = "Directory Updates: I2A. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.i2s",
	.event = "umask=0x2,event=0xd",
	.desc = "Directory Updates: I2S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.s2a",
	.event = "umask=0x10,event=0xd",
	.desc = "Directory Updates: S2A. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.s2i",
	.event = "umask=0x8,event=0xd",
	.desc = "Directory Updates: S2I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_directory_update.set",
	.event = "umask=0x1,event=0xd",
	.desc = "Directory Updates; Directory Set. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of directory updates that were required.  These result in writes to the memory controller.  This can be filtered by directory sets and directory clears.; Filter for directory sets.  This occurs when a remote read transaction requests memory, bringing it to a remote cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_ad_qpi2_accumulator",
	.event = "event=0x59",
	.desc = "AD QPI Link 2 Credit Accumulator. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of credits available to the QPI Link 2 AD Ingress buffer",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_bl_qpi2_accumulator",
	.event = "event=0x5a",
	.desc = "BL QPI Link 2 Credit Accumulator. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of credits available to the QPI Link 2 BL Ingress buffer",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_credits_ad_qpi2",
	.event = "event=0x59",
	.desc = "AD QPI Link 2 Credit Accumulator. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of credits available to the QPI Link 2 AD Ingress buffer",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_credits_bl_qpi2",
	.event = "event=0x5a",
	.desc = "BL QPI Link 2 Credit Accumulator. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Accumulates the number of credits available to the QPI Link 2 BL Ingress buffer",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi0",
	.event = "umask=0x1,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.ad_qpi1",
	.event = "umask=0x2,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; AD to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi0",
	.event = "umask=0x4,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_igr_no_credit_cycles.bl_qpi1",
	.event = "umask=0x8,event=0x22",
	.desc = "Cycles without QPI Ingress Credits; BL to QPI Link 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the HA does not have credits to send messages to the QPI Agent.  This can be filtered by the different credit pools and the different links",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_reads.normal",
	.event = "umask=0x1,event=0x17",
	.desc = "HA to iMC Normal Priority Reads Issued; Normal Priority. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_retry",
	.event = "event=0x1e",
	.desc = "Retry Events. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.all",
	.event = "umask=0xf,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; All Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full",
	.event = "umask=0x1,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Full Line. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial",
	.event = "umask=0x2,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; Partial Non-ISOCH. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x1a",
	.desc = "HA to iMC Full Line Writes Issued; ISOCH Partial. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of full line writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_conflicts.any",
	.event = "umask=0x1,event=0x57",
	.desc = "IODC Conflicts; Any Conflict. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_conflicts.last",
	.event = "umask=0x4,event=0x57",
	.desc = "IODC Conflicts; Last Conflict. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_conflicts.remote_invi2e_same_rtid",
	.event = "umask=0x1,event=0x57",
	.desc = "IODC Conflicts: Remote InvItoE - Same RTID. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_conflicts.remote_other_same_addr",
	.event = "umask=0x4,event=0x57",
	.desc = "IODC Conflicts: Remote (Other) - Same Addr. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_inserts",
	.event = "event=0x56",
	.desc = "IODC Inserts. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "IODC Allocations",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_iodc_olen_wbmtoi",
	.event = "event=0x58",
	.desc = "Num IODC 0 Length Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Num IODC 0 Length Writebacks M to I - All of which are dropped",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.invitoe_local",
	.event = "umask=0x4,event=0x53",
	.desc = "OSB Snoop Broadcast; Local InvItoE. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.reads_local",
	.event = "umask=0x2,event=0x53",
	.desc = "OSB Snoop Broadcast; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb.remote",
	.event = "umask=0x8,event=0x53",
	.desc = "OSB Snoop Broadcast; Remote. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.all",
	.event = "umask=0x1,event=0x54",
	.desc = "OSB Early Data Return; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_i",
	.event = "umask=0x2,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local  I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_local_s",
	.event = "umask=0x8,event=0x54",
	.desc = "OSB Early Data Return; Reads to Local S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_i",
	.event = "umask=0x4,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote I. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_osb_edr.reads_remote_s",
	.event = "umask=0x10,event=0x54",
	.desc = "OSB Early Data Return; Reads to Remote S. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of transactions that broadcast snoop due to OSB, but found clean data in memory and was able to do early data return",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x1",
	.desc = "Read and Write Requests; Local InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x1",
	.desc = "Read and Write Requests; Remote InvItoEs. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only InvItoEs coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x1",
	.desc = "Read and Write Requests; Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming ead requests.  This is a good proxy for LLC Read Misses (including RFOs)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x1",
	.desc = "Read and Write Requests; Local Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the local socket.  This is a good proxy for LLC Read Misses (including RFOs) from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x1",
	.desc = "Read and Write Requests; Remote Reads. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only read requests coming from the remote socket.  This is a good proxy for LLC Read Misses (including RFOs) from the remote socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x1",
	.desc = "Read and Write Requests; Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; Incoming write requests",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x1",
	.desc = "Read and Write Requests; Local Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from the local socket",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x1",
	.desc = "Read and Write Requests; Remote Writes. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc).; This filter includes only writes coming from remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw",
	.event = "umask=0xcc,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x3e",
	.desc = "HA AD Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw",
	.event = "umask=0x33,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_vr0_even",
	.event = "umask=0x1,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_vr1_even",
	.event = "umask=0x10,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ad_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x3e",
	.desc = "HA AD Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw",
	.event = "umask=0xcc,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x3f",
	.desc = "HA AK Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw",
	.event = "umask=0x33,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_vr0_even",
	.event = "umask=0x1,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_vr1_even",
	.event = "umask=0x10,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_ak_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x3f",
	.desc = "HA AK Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw",
	.event = "umask=0xcc,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x40",
	.desc = "HA BL Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw",
	.event = "umask=0x33,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_vr0_even",
	.event = "umask=0x1,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_vr1_even",
	.event = "umask=0x10,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bl_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x40",
	.desc = "HA BL Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x15",
	.desc = "iMC RPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_rpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x16",
	.desc = "iMC RPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting reads from the HA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's RPQ (read pending queue).  This queue is broken into regular credits/buffers that are used by general reads, and special requests such as ISOCH reads.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x21",
	.desc = "Snoop Responses Received; RSPCNFLCT*. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x21",
	.desc = "Snoop Responses Received; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x21",
	.desc = "Snoop Responses Received; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x21",
	.desc = "Snoop Responses Received; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x21",
	.desc = "Snoop Responses Received; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x21",
	.desc = "Snoop Responses Received; Rsp*Fwd*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x21",
	.desc = "Snoop Responses Received; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.other",
	.event = "umask=0x80,event=0x60",
	.desc = "Snoop Responses Received Local; Other. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for all other snoop responses",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspcnflct",
	.event = "umask=0x40,event=0x60",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspi",
	.event = "umask=0x1,event=0x60",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspifwd",
	.event = "umask=0x4,event=0x60",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rsps",
	.event = "umask=0x2,event=0x60",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspsfwd",
	.event = "umask=0x8,event=0x60",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxfwdxwb",
	.event = "umask=0x20,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_snp_resp_recv_local.rspxwb",
	.event = "umask=0x10,event=0x60",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region0",
	.event = "umask=0x1,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region1",
	.event = "umask=0x2,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region2",
	.event = "umask=0x4,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 2",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region3",
	.event = "umask=0x8,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 3",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region4",
	.event = "umask=0x10,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 4. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 4",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region5",
	.event = "umask=0x20,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 5. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 5",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region6",
	.event = "umask=0x40,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 6. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 6",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g0.region7",
	.event = "umask=0x80,event=0x1b",
	.desc = "HA Requests to a TAD Region - Group 0; TAD Region 7. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 0 to 7.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 7",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region10",
	.event = "umask=0x4,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 10. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 10",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region11",
	.event = "umask=0x8,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 11. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 11",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region8",
	.event = "umask=0x1,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 8. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 8",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tad_requests_g1.region9",
	.event = "umask=0x2,event=0x1c",
	.desc = "HA Requests to a TAD Region - Group 1; TAD Region 9. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of HA requests to a given TAD region.  There are up to 11 TAD (target address decode) regions in each home agent.  All requests destined for the memory controller must first be decoded to determine which TAD region they are in.  This event is filtered based on the TAD region ID, and covers regions 8 to 10.  This event is useful for understanding how applications are using the memory that is spread across the different memory regions.  It is particularly useful for Monroe systems that use the TAD to enable individual channels to enter self-refresh to save power.; Filters request made to TAD Region 9",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_tracker_cycles_ne",
	.event = "event=0x3",
	.desc = "Tracker Cycles Not Empty. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when the local HA tracker pool is not empty.  This can be used with edge detect to identify the number of situations when the pool became empty.  This should not be confused with RTID credit usage -- which must be tracked inside each cbo individually -- but represents the actual tracker buffer structure.  In other words, this buffer could be completely empty, but there may still be credits in use by the CBos.  This stat can be used in conjunction with the occupancy accumulation stat in order to calculate average queue occpancy.  HA trackers are allocated as soon as a request enters the HA if an HT (Home Tracker) entry is available and is released after the snoop response and data return (or post in the case of a write) and the response is returned on the ring",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad.hom",
	.event = "umask=0x4,event=0xf",
	.desc = "Outbound NDR Ring Transactions; Non-data Responses. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of outbound transactions on the AD ring.  This can be filtered by the NDR and SNP message classes.  See the filter descriptions for more details.; Filter for outbound NDR transactions sent on the AD ring.  NDR stands for non-data response and is generally used for completions that do not include data.  AD NDR is used for transactions to remote sockets",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.all",
	.event = "umask=0x3,event=0x2a",
	.desc = "AD Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched0",
	.event = "umask=0x1,event=0x2a",
	.desc = "AD Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_full.sched1",
	.event = "umask=0x2,event=0x2a",
	.desc = "AD Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.all",
	.event = "umask=0x3,event=0x29",
	.desc = "AD Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched0",
	.event = "umask=0x1,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_cycles_ne.sched1",
	.event = "umask=0x2,event=0x29",
	.desc = "AD Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.all",
	.event = "umask=0x3,event=0x27",
	.desc = "AD Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched0",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_inserts.sched1",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_occupancy.sched0",
	.event = "umask=0x1,event=0x28",
	.desc = "AD Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Occupancy; Filter for occupancy from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ad_occupancy.sched1",
	.event = "umask=0x2,event=0x28",
	.desc = "AD Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AD Egress Occupancy; Filter for occupancy from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak.crd_cbo",
	.event = "umask=0x2,event=0xe",
	.desc = "Outbound Ring Transactions on AK: CRD Transactions to Cbo. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.all",
	.event = "umask=0x3,event=0x32",
	.desc = "AK Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched0",
	.event = "umask=0x1,event=0x32",
	.desc = "AK Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_full.sched1",
	.event = "umask=0x2,event=0x32",
	.desc = "AK Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x31",
	.desc = "AK Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched0",
	.event = "umask=0x1,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_cycles_ne.sched1",
	.event = "umask=0x2,event=0x31",
	.desc = "AK Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.all",
	.event = "umask=0x3,event=0x2f",
	.desc = "AK Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched0",
	.event = "umask=0x1,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_inserts.sched1",
	.event = "umask=0x2,event=0x2f",
	.desc = "AK Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_occupancy.sched0",
	.event = "umask=0x1,event=0x30",
	.desc = "AK Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Occupancy; Filter for occupancy from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_ak_occupancy.sched1",
	.event = "umask=0x2,event=0x30",
	.desc = "AK Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "AK Egress Occupancy; Filter for occupancy from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_cache",
	.event = "umask=0x1,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to the cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_core",
	.event = "umask=0x2,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent directly to the requesting core",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl.drs_qpi",
	.event = "umask=0x4,event=0x10",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of DRS messages sent out on the BL ring.   This can be filtered by the destination.; Filter for data being sent to a remote socket over QPI",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.all",
	.event = "umask=0x3,event=0x36",
	.desc = "BL Egress Full; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched0",
	.event = "umask=0x1,event=0x36",
	.desc = "BL Egress Full; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_full.sched1",
	.event = "umask=0x2,event=0x36",
	.desc = "BL Egress Full; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Full; Filter for cycles full  from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x35",
	.desc = "BL Egress Not Empty; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Cycles full from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched0",
	.event = "umask=0x1,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty  from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_cycles_ne.sched1",
	.event = "umask=0x2,event=0x35",
	.desc = "BL Egress Not Empty; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Not Empty; Filter for cycles not empty from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.all",
	.event = "umask=0x3,event=0x33",
	.desc = "BL Egress Allocations; All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Allocations from both schedulers",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched0",
	.event = "umask=0x1,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_inserts.sched1",
	.event = "umask=0x2,event=0x33",
	.desc = "BL Egress Allocations; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Allocations; Filter for allocations from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.all",
	.event = "umask=0x3,event=0x34",
	.desc = "BL Egress Occupancy: All. Unit: uncore_ha ",
	.topic = "uncore cache",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.sched0",
	.event = "umask=0x1,event=0x34",
	.desc = "BL Egress Occupancy; Scheduler 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Occupancy; Filter for occupancy from scheduler bank 0",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_txr_bl_occupancy.sched1",
	.event = "umask=0x2,event=0x34",
	.desc = "BL Egress Occupancy; Scheduler 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "BL Egress Occupancy; Filter for occupancy from scheduler bank 1",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_reg_credits.chn3",
	.event = "umask=0x8,event=0x18",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Regular; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no regular credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the regular credits  Common high banwidth workloads should be able to make use of all of the regular buffers, but it will be difficult (and uncommon) to make use of both the regular and special buffers at the same time.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 0. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 0 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 1. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 1 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 2. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 2 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "unc_h_wpq_cycles_no_spec_credits.chn3",
	.event = "umask=0x8,event=0x19",
	.desc = "HA iMC CHN0 WPQ Credits Empty - Special; Channel 3. Unit: uncore_ha ",
	.topic = "uncore cache",
	.long_desc = "Counts the number of cycles when there are no special credits available for posting writes from the HA into the iMC.  In order to send writes into the memory controller, the HA must first acquire a credit for the iMC's WPQ (write pending queue).  This queue is broken into regular credits/buffers that are used by general writes, and special requests such as ISOCH writes.  This count only tracks the special credits.  This statistic is generally not interesting for general IA workloads, but may be of interest for understanding the characteristics of systems using ISOCH.  One can filter based on the memory controller channel.  One or more channels can be tracked at a given time.; Filter for memory controller channel 3 only",
	.pmu = "uncore_ha",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.demand_ld_walk_completed",
	.event = "period=100003,umask=0x82,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.demand_ld_walk_duration",
	.event = "period=2000003,umask=0x84,event=0x8",
	.desc = "Demand load cycles page miss handler (PMH) is busy with this walk",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.large_page_walk_completed",
	.event = "period=100003,umask=0x88,event=0x8",
	.desc = "Page walk for a large page completed for Demand load",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x81,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes an page walk of any page size",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that cause a page walk of any page size from demand loads",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x4,event=0x5f",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts load operations that missed 1st level DTLB but hit the 2nd level",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0x82,event=0x8",
	.desc = "Demand load Miss in all translation lookaside buffer (TLB) levels causes a page walk that completes of any page size",
	.topic = "virtual memory",
	.long_desc = "Misses in all TLB levels that caused page walk completed of any size by demand loads",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x84,event=0x8",
	.desc = "Demand load cycles page miss handler (PMH) is busy with this walk",
	.topic = "virtual memory",
	.long_desc = "Cycle PMH is busy with a walk due to demand loads",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Miss in all TLB levels causes a page walk that completes of any page size (4K/2M/4M/1G)",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "Cycles PMH is busy with this walk",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of ITLB flushes, includes 4k/2M/4M pages",
},
{
	.name = "itlb_misses.large_page_walk_completed",
	.event = "period=100003,umask=0x80,event=0x85",
	.desc = "Completed page walks in ITLB due to STLB load misses for large pages",
	.topic = "virtual memory",
	.long_desc = "Completed page walks in ITLB due to STLB load misses for large pages",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all ITLB levels that cause page walks",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
	.long_desc = "Number of cache load STLB hits. No page walk",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
	.long_desc = "Misses in all ITLB levels that cause completed page walks",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "Cycle PMH is busy with a walk",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Count number of STLB flush attempts",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Number of front end re-steers due to BPU misprediction",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
	.long_desc = "Number of DSB to MITE switches",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Cycles DSB to MITE switches caused delay",
},
{
	.name = "dsb_fill.exceed_dsb_lines",
	.event = "period=2000003,umask=0x8,event=0xac",
	.desc = "Cycles when Decode Stream Buffer (DSB) fill encounter more than 3 Decode Stream Buffer (DSB) lines",
	.topic = "frontend",
	.long_desc = "DSB Fill encountered > 3 DSB lines",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
	.long_desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
},
{
	.name = "icache.ifetch_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code-fetch stalled due to L1 instruction-cache miss or an iTLB miss",
	.topic = "frontend",
	.long_desc = "Cycles where a code-fetch stalled due to L1 instruction-cache miss or an iTLB miss",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Instruction cache, streaming buffer and victim cache misses",
	.topic = "frontend",
	.long_desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Misses. Includes UC accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles DSB is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered four uops. Set Cmask = 4",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts cycles MITE is delivered at least one uops. Set Cmask = 1",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Increment each cycle. # of uops delivered to IDQ from DSB path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
	.long_desc = "Counts cycles the IDQ is empty",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Number of uops delivered to IDQ from any path",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MITE path. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequencer (MS) is busy",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by DSB. Set Cmask = 1 to count cycles. Add Edge=1 to count # of delivery",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ when MS_busy by MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequencer (MS) is busy",
	.topic = "frontend",
	.long_desc = "Increment each cycle # of uops delivered to IDQ from MS by either DSB or MITE. Set Cmask = 1 to count cycles",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Count issue pipeline slots where no uop was delivered from the front end to the back end when there is no back-end stall",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "arith.fpu_div",
	.event = "cmask=1,edge=1,period=100003,umask=0x4,event=0x14",
	.desc = "Divide operations executed",
	.topic = "pipeline",
	.long_desc = "Divide operations executed",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
	.long_desc = "Cycles that the divider is active, includes INT and FP. Set 'edge =1, cmask=1' to count the number of divides",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Speculative and retired macro-conditional branches",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "Speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Speculative and retired indirect branches excluding calls and returns",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Not taken macro-conditional branches",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired macro-conditional branches",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired direct near calls",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect branches excluding calls and returns",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect calls",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired indirect branches with return mnemonic",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Branch instructions at retirement",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Number of far branches retired",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts the number of not taken branch instructions retired",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Counts all near executed branches (not necessarily retired)",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Not taken speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted macro conditional branches",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect calls",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
	.long_desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Mispredicted branch instructions at retirement",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Increments at the frequency of XCLK (100 MHz) when not halted",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted. (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
	.long_desc = "Reference cycles when the thread is unhalted. (counts at 100 MHz rate)",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted. (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Core cycles when at least one thread on the physical core is not in halt state",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Core cycles when at least one thread on the physical core is not in halt state",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles with pending L1 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L1 cache miss loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss load* is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles with pending L2 cache miss loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending L2 miss loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_ldm_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles with pending memory loads",
	.topic = "pipeline",
	.long_desc = "Cycles with pending memory loads. Set AnyThread to count per core",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_execute",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "This event increments by 1 for every cycle where there was no execute for this thread",
	.topic = "pipeline",
	.long_desc = "Total execution stalls",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls due to L1 data cache misses",
	.topic = "pipeline",
	.long_desc = "Execution stalls due to L1 data cache miss loads. Set Cmask=0CH",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss load* is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls due to L2 cache misses",
	.topic = "pipeline",
	.long_desc = "Number of loads missed L2",
},
{
	.name = "cycle_activity.stalls_ldm_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls due to memory subsystem",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
	.long_desc = "Stall cycles due to IQ is full",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of instructions at retirement",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution (Must be precise)",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of cycles waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc.)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_stalls_count",
	.event = "cmask=1,edge=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of occurrences waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc.)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "Loads blocked by overlapping with store buffer that cannot be forwarded",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "False dependencies in MOB due to partial compare on address",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for H/W prefetch",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Non-SW-prefetch load dispatches that hit fill buffer allocated for S/W prefetch",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Counts the number of executed AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Number of self-modifying-code machine clears detected",
},
{
	.name = "move_elimination.int_eliminated",
	.event = "period=1000003,umask=0x1,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were eliminated",
	.topic = "pipeline",
},
{
	.name = "move_elimination.int_not_eliminated",
	.event = "period=1000003,umask=0x4,event=0x58",
	.desc = "Number of integer Move Elimination candidate uops that were not eliminated",
	.topic = "pipeline",
},
{
	.name = "other_assists.any_wb_assist",
	.event = "period=100003,umask=0x80,event=0xc1",
	.desc = "Number of times any microcode assist is invoked by HW upon uop writeback",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "Cycles Allocation is stalled due to Resource Related reason",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Cycles stalled due to no store buffers available (not including draining form sync)",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
	.long_desc = "Count cases of saving new LBR records by hardware",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Cycles the RS is empty for the thread",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=200003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 0",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 0",
},
{
	.name = "uops_dispatched_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 0",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 1",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 1",
},
{
	.name = "uops_dispatched_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 1",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 2",
},
{
	.name = "uops_dispatched_port.port_2_core",
	.event = "any=1,period=2000003,umask=0xc,event=0xa1",
	.desc = "Uops dispatched to port 2, loads and stores per core (speculative and retired)",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 3",
},
{
	.name = "uops_dispatched_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
	.long_desc = "Cycles per core when load or STA uops are dispatched to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 4",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 4",
},
{
	.name = "uops_dispatched_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 4",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 5",
	.topic = "pipeline",
	.long_desc = "Cycles which a Uop is dispatched on port 5",
},
{
	.name = "uops_dispatched_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 5",
	.topic = "pipeline",
	.long_desc = "Cycles per core when uops are dispatched to port 5",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-core each cycle",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Cycles with no micro-ops executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Counts total number of uops to be executed per-thread each cycle. Set Cmask = 1, INV =1 to count stall cycles",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "Increments each cycle the # of Uops issued by the RAT to RS. Set Cmask = 1, Inv = 1, Any= 1to count stalled cycles of this core",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
	.long_desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
},
{
	.name = "uops_issued.flags_merge",
	.event = "period=2000003,umask=0x10,event=0xe",
	.desc = "Number of flags-merge uops being allocated",
	.topic = "pipeline",
	.long_desc = "Number of flags-merge uops allocated. Such uops adds delay",
},
{
	.name = "uops_issued.single_mul",
	.event = "period=2000003,umask=0x40,event=0xe",
	.desc = "Number of Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
	.long_desc = "Number of multiply packed/scalar single precision uops allocated",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
	.long_desc = "Number of slow LEA or similar uops allocated. Such uop has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Retired uops (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Cycles with any input/output SSE* or FP assists",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to input values",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
	.long_desc = "Number of SIMD FP assists due to output values",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to input values",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
	.long_desc = "Number of X87 FP assists due to output values",
},
{
	.name = "fp_comp_ops_exe.sse_packed_double",
	.event = "period=2000003,umask=0x10,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.sse_packed_single",
	.event = "period=2000003,umask=0x40,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_double",
	.event = "period=2000003,umask=0x80,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar double-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts number of SSE* or AVX-128 double precision FP scalar uops executed",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_single",
	.event = "period=2000003,umask=0x20,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000003,umask=0x1,event=0x10",
	.desc = "Number of FP Computational Uops Executed this cycle. The number of FADD, FSUB, FCOM, FMULs, integer MULs and IMULs, FDIVs, FPREMs, FSQRTS, integer DIVs, and IDIVs. This event does not distinguish an FADD used in the middle of a transcendental flow from a s",
	.topic = "floating point",
	.long_desc = "Counts number of X87 uops executed",
},
{
	.name = "move_elimination.simd_eliminated",
	.event = "period=1000003,umask=0x2,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were eliminated",
	.topic = "floating point",
},
{
	.name = "move_elimination.simd_not_eliminated",
	.event = "period=1000003,umask=0x8,event=0x58",
	.desc = "Number of SIMD Move Elimination candidate uops that were not eliminated",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_store",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of GSSE memory assist for stores. GSSE microcode assist is being invoked whenever the hardware is unable to properly handle GSSE-256b operations",
	.topic = "floating point",
	.long_desc = "Number of assists associated with 256-bit AVX store operations",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x20,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_double",
	.event = "period=2000003,umask=0x2,event=0x11",
	.desc = "number of AVX-256 Computational FP double precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts 256-bit packed double-precision floating-point instructions",
},
{
	.name = "simd_fp_256.packed_single",
	.event = "period=2000003,umask=0x1,event=0x11",
	.desc = "number of GSSE-256 Computational FP single precision uops issued this cycle",
	.topic = "floating point",
	.long_desc = "Counts 256-bit packed single-precision floating-point instructions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Loads with latency value being above 128 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 128 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Loads with latency value being above 16 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 16 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Loads with latency value being above 256 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 256 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Loads with latency value being above 32 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 32 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Loads with latency value being above 4 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 4 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Loads with latency value being above 512 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 512 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Loads with latency value being above 64 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 64 (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Loads with latency value being above 8 (Must be precise)",
	.topic = "memory",
	.long_desc = "Loads with latency value being above 8 (Must be precise)",
},
{
	.name = "mem_trans_retired.precise_store",
	.event = "period=2000003,umask=0x2,event=0xcd",
	.desc = "Sample stores and collect precise store operation via PEBS record. PMC3 only (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split load uops dispatched to L1D",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
	.long_desc = "Speculative cache-line split Store-address uops dispatched to L1D",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc00244",
	.desc = "Counts all demand & prefetch code reads that miss the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800244",
	.desc = "Counts all demand & prefetch code reads that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f800244",
	.desc = "Counts all demand & prefetch code reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20091",
	.desc = "Counts all demand & prefetch data reads that hits the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc203f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6004003f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc003f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f8203f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20004",
	.desc = "Counts all demand code reads that miss the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400004",
	.desc = "Counts all demand code reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800004",
	.desc = "Counts all demand code reads that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00004",
	.desc = "Counts all demand code reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820004",
	.desc = "Counts all demand code reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.any_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67fc00001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20001",
	.desc = "Counts demand data reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800001",
	.desc = "Counts demand data reads that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00001",
	.desc = "Counts demand data reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820001",
	.desc = "Counts demand data reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc20002",
	.desc = "Counts all demand data writes (RFOs) that miss the LLC and the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.any_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67fc00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data returned from remote & local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x600400010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data returned from local dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x67f800010",
	.desc = "Counts prefetch (that bring data to L2) data reads  that miss the LLC  and the data returned from remote dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107fc00010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  the data is found in M state in remote cache and forwarded from there",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x87f820010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC  and the data forwarded from remote cache",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_miss.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3fffc20080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that miss in the LLC",
	.topic = "memory",
},
{
	.name = "unc_i_address_match.merge_count",
	.event = "umask=0x2,event=0x17",
	.desc = "Address Match (Conflict) Count; Conflict Merges. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when an inbound write (from a device to memory or another device) had an address match with another request in the write cache.; When two requests to the same address from the same source are received back to back, it is possible to merge the two of them together",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_address_match.stall_count",
	.event = "umask=0x1,event=0x17",
	.desc = "Address Match (Conflict) Count; Conflict Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when an inbound write (from a device to memory or another device) had an address match with another request in the write cache.; When it is not possible to merge two conflicting requests, a stall event occurs.  This is bad for performance",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_ack_pending_occupancy.any",
	.event = "umask=0x1,event=0x14",
	.desc = "Write Ack Pending Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes that have acquired ownership but have not yet returned their data to the uncore.  These writes are generally queued up in the switch trying to get to the head of their queues so that they can post their data.  The queue occuapancy increments when the ACK is received, and decrements when either the data is returned OR a tickle is received and ownership is released.  Note that a single tickle can result in multiple decrements.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_ack_pending_occupancy.source",
	.event = "umask=0x2,event=0x14",
	.desc = "Write Ack Pending Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes that have acquired ownership but have not yet returned their data to the uncore.  These writes are generally queued up in the switch trying to get to the head of their queues so that they can post their data.  The queue occuapancy increments when the ACK is received, and decrements when either the data is returned OR a tickle is received and ownership is released.  Note that a single tickle can result in multiple decrements.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_own_occupancy.any",
	.event = "umask=0x1,event=0x13",
	.desc = "Outstanding Write Ownership Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches) that are outstanding in the uncore trying to acquire ownership in each cycle.  This can be used with the write transaction count to calculate the average write latency in the uncore.  The occupancy increments when a write request is issued, and decrements when the data is returned.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_own_occupancy.source",
	.event = "umask=0x2,event=0x13",
	.desc = "Outstanding Write Ownership Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches) that are outstanding in the uncore trying to acquire ownership in each cycle.  This can be used with the write transaction count to calculate the average write latency in the uncore.  The occupancy increments when a write request is issued, and decrements when the data is returned.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_read_occupancy.any",
	.event = "umask=0x1,event=0x10",
	.desc = "Outstanding Read Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads that are outstanding in the uncore in each cycle.  This can be used with the read transaction count to calculate the average read latency in the uncore.  The occupancy increments when a read request is issued, and decrements when the data is returned.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_read_occupancy.source",
	.event = "umask=0x2,event=0x10",
	.desc = "Outstanding Read Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads that are outstanding in the uncore in each cycle.  This can be used with the read transaction count to calculate the average read latency in the uncore.  The occupancy increments when a read request is issued, and decrements when the data is returned.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0x12",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.source",
	.event = "umask=0x2,event=0x12",
	.desc = "Total Write Cache Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_write_occupancy.any",
	.event = "umask=0x1,event=0x11",
	.desc = "Outstanding Write Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches)  that are outstanding in the uncore in each cycle.  This can be used with the transaction count event to calculate the average latency in the uncore.  The occupancy increments when the ownership fetch/prefetch is issued, and decrements the data is returned to the uncore.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_write_occupancy.source",
	.event = "umask=0x2,event=0x11",
	.desc = "Outstanding Write Occupancy; Select Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of writes (and write prefetches)  that are outstanding in the uncore in each cycle.  This can be used with the transaction count event to calculate the average latency in the uncore.  The occupancy increments when the ownership fetch/prefetch is issued, and decrements the data is returned to the uncore.; Tracks only those requests that come from the port specified in the IRP_PmonFilter.OrderingQ register.  This register allows one to select one specific queue.  It is not possible to monitor multiple queues at a time",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0",
	.desc = "Clocks in the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Number of clocks in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_cycles_full",
	.event = "event=0xb",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the AK Ingress is full.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_inserts",
	.event = "event=0xa",
	.desc = "AK Ingress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the AK Ingress.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_ak_occupancy",
	.event = "event=0xc",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the AK Ingress in each cycles.  This queue is where the IRP receives responses from R2PCIe (the ring)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_cycles_full",
	.event = "event=0x4",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_inserts",
	.event = "event=0x1",
	.desc = "BL Ingress Occupancy - DRS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_drs_occupancy",
	.event = "event=0x7",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_cycles_full",
	.event = "event=0x5",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_inserts",
	.event = "event=0x2",
	.desc = "BL Ingress Occupancy - NCB. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncb_occupancy",
	.event = "event=0x8",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_cycles_full",
	.event = "event=0x6",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the BL Ingress is full.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_inserts",
	.event = "event=0x3",
	.desc = "BL Ingress Occupancy - NCS. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the BL Ingress.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_rxr_bl_ncs_occupancy",
	.event = "event=0x9",
	.desc = "Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of the BL Ingress in each cycles.  This queue is where the IRP receives data from R2PCIe (the ring).  It is used for data returns from read requets as well as outbound MMIO writes",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_tickles.lost_ownership",
	.event = "umask=0x1,event=0x16",
	.desc = "Tickle Count; Ownership Lost. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of tickles that are received.  This is for both explicit (from Cbo) and implicit (internal conflict) tickles.; Tracks the number of requests that lost ownership as a result of a tickle.  When a tickle comes in, if the request is not at the head of the queue in the switch, then that request as well as any requests behind it in the switch queue will lose ownership and have to re-acquire it later when they get to the head of the queue.  This will therefore track the number of requests that lost ownership and not just the number of tickles",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_tickles.top_of_queue",
	.event = "umask=0x2,event=0x16",
	.desc = "Tickle Count; Data Returned. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of tickles that are received.  This is for both explicit (from Cbo) and implicit (internal conflict) tickles.; Tracks the number of cases when a tickle was received but the requests was at the head of the queue in the switch.  In this case, data is returned rather than releasing ownership",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.pd_prefetches",
	.event = "umask=0x4,event=0x15",
	.desc = "Inbound Transaction Count: Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_prefetches",
	.event = "umask=0x4,event=0x15",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x15",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x15",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_ad_stall_credit_cycles",
	.event = "event=0x18",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_bl_stall_credit_cycles",
	.event = "event=0x19",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncb",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_data_inserts_ncs",
	.event = "event=0xf",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr_request_occupancy",
	.event = "event=0xd",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_write_ordering_stall_cycles",
	.event = "event=0x1a",
	.desc = "Write Ordering Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when there are pending write ACK's in the switch but the switch->IRP pipeline is not utilized",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_r2_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the R2PCIe uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the R2PCIe is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.drs",
	.event = "umask=0x8,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncb",
	.event = "umask=0x10,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_acquired.ncs",
	.event = "umask=0x20,event=0x33",
	.desc = "R2PCIe IIO Credit Acquired; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of credits that are acquired in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "R2PCIe IIO Failed to Acquire a Credit; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.drs",
	.event = "umask=0x8,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the DRS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncb",
	.event = "umask=0x10,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCB message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_iio_credits_used.ncs",
	.event = "umask=0x20,event=0x32",
	.desc = "R2PCIe IIO Credits in Use; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when one or more credits in the R2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly).; Credits to the IIO for the NCS message class",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw",
	.event = "umask=0xcc,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x7",
	.desc = "R2 AD Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw",
	.event = "umask=0x33,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_vr0_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_vr1_even",
	.event = "umask=0x10,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ad_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x7",
	.desc = "R2 AD Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw",
	.event = "umask=0xcc,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x8",
	.desc = "R2 AK Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw",
	.event = "umask=0x33,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_vr0_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_vr1_even",
	.event = "umask=0x10,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_ak_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x8",
	.desc = "R2 AK Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw",
	.event = "umask=0xcc,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_vr1_even",
	.event = "umask=0x40,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.ccw_vr1_odd",
	.event = "umask=0x80,event=0x9",
	.desc = "R2 BL Ring in Use; Counterclockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw",
	.event = "umask=0x33,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_vr0_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_vr1_even",
	.event = "umask=0x10,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Even on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_bl_used.cw_vr1_odd",
	.event = "umask=0x20,event=0x9",
	.desc = "R2 BL Ring in Use; Clockwise and Odd on VRing 1. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 1",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.any",
	.event = "umask=0xff,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters any polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.ccw",
	.event = "umask=0xcc,event=0xa",
	.desc = "R2 IV Ring in Use; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters for Counterclockwise polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_ring_iv_used.cw",
	.event = "umask=0x33,event=0xa",
	.desc = "R2 IV Ring in Use; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters for Clockwise polarity",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_ak_bounces",
	.event = "event=0x12",
	.desc = "AK Ingress Bounced. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_ak_bounces.ccw",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Ingress Bounced; Counterclockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_ak_bounces.cw",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Ingress Bounced; Clockwise. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when a request destined for the AK ingress bounced",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncb",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_cycles_ne.ncs",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress Cycles Not Empty; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Ingress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the R2PCIe Ingress.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given R2PCIe Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the R2PCIe Ingress Not Empty event to calculate average occupancy or the R2PCIe Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ad",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress Cycles Full; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.ak",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress Cycles Full; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_full.bl",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress Cycles Full; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress buffer is full.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ad",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress Cycles Not Empty; AD. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AD Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.ak",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress Cycles Not Empty; AK. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; AK Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_cycles_ne.bl",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress Cycles Not Empty; BL. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the R2PCIe Egress is not empty.  This tracks one of the three rings that are used by the R2PCIe agent.  This can be used in conjunction with the R2PCIe Egress Occupancy Accumulator event in order to calculate average queue occupancy.  Only a single Egress queue can be tracked at any given time.  It is not possible to filter based on direction or polarity.; BL Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_ccw.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "Egress CCW NACK; AD CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_ccw.ak",
	.event = "umask=0x2,event=0x28",
	.desc = "Egress CCW NACK; AK CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AK CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_ccw.bl",
	.event = "umask=0x4,event=0x28",
	.desc = "Egress CCW NACK; BL CCW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress CW NACK; AD CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.ak",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress CW NACK; AK CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "AK Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r2_txr_nack_cw.bl",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress CW NACK; BL CW. Unit: uncore_r2pcie ",
	.topic = "uncore other",
	.long_desc = "BL Clockwise Egress Queue",
	.pmu = "uncore_r2pcie",
	.perpkg = "1",
},
{
	.name = "unc_r3_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the QPI uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the QPI Agent is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo10",
	.event = "umask=0x4,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 10",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo11",
	.event = "umask=0x8,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 11",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo12",
	.event = "umask=0x10,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 12",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo13",
	.event = "umask=0x20,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 13",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo14",
	.event = "umask=0x40,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 14&16",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo8",
	.event = "umask=0x1,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 8",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_hi_ad_credits_empty.cbo9",
	.event = "umask=0x2,event=0x2c",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes); Cbox 9",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo0",
	.event = "umask=0x1,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo1",
	.event = "umask=0x2,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo2",
	.event = "umask=0x4,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 2",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo3",
	.event = "umask=0x8,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 3",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo4",
	.event = "umask=0x10,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 4",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo5",
	.event = "umask=0x20,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 5",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo6",
	.event = "umask=0x40,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 6",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_c_lo_ad_credits_empty.cbo7",
	.event = "umask=0x80,event=0x2b",
	.desc = "CBox AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers lower CBoxes); Cbox 7",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha0",
	.event = "umask=0x1,event=0x2f",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.ha1",
	.event = "umask=0x2,event=0x2f",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; HA1",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncb",
	.event = "umask=0x4,event=0x2f",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCB Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ha_r2_bl_credits_empty.r2_ncs",
	.event = "umask=0x8,event=0x2f",
	.desc = "HA/R2 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to either HA or R2 on the BL Ring; R2 NCS Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x29",
	.desc = "QPI0 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi0_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x2d",
	.desc = "QPI0 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI0 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x2a",
	.desc = "QPI1 AD Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the AD Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_hom",
	.event = "umask=0x2,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_ndr",
	.event = "umask=0x8,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN0 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_hom",
	.event = "umask=0x10,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 HOM Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_ndr",
	.event = "umask=0x40,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 NDR Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VN1 SNP Messages",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_qpi1_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x2e",
	.desc = "QPI1 BL Credits Empty. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to QPI1 on the BL Ring; VNA",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw",
	.event = "umask=0xcc,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x7",
	.desc = "R3 AD Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw",
	.event = "umask=0x33,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_vr0_even",
	.event = "umask=0x1,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ad_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x7",
	.desc = "R3 AD Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw",
	.event = "umask=0xcc,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x8",
	.desc = "R3 AK Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw",
	.event = "umask=0x33,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_vr0_even",
	.event = "umask=0x1,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_ak_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x8",
	.desc = "R3 AK Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw",
	.event = "umask=0xcc,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_vr0_even",
	.event = "umask=0x4,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.ccw_vr0_odd",
	.event = "umask=0x8,event=0x9",
	.desc = "R3 BL Ring in Use; Counterclockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Counterclockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw",
	.event = "umask=0x33,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_vr0_even",
	.event = "umask=0x1,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Even on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Even ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_bl_used.cw_vr0_odd",
	.event = "umask=0x2,event=0x9",
	.desc = "R3 BL Ring in Use; Clockwise and Odd on VRing 0. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.; Filters for the Clockwise and Odd ring polarity on Virtual Ring 0",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.any",
	.event = "umask=0xff,event=0xa",
	.desc = "R2 IV Ring in Use; Any. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters any polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.ccw",
	.event = "umask=0xcc,event=0xa",
	.desc = "R2 IV Ring in Use; Counterclockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters for Counterclockwise polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_ring_iv_used.cw",
	.event = "umask=0x33,event=0xa",
	.desc = "R2 IV Ring in Use; Clockwise. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sent, but does not include when packets are being sunk into the ring stop.  The IV ring is unidirectional.  Whether UP or DN is used is dependent on the system programming.  Thereofore, one should generally set both the UP and DN bits for a given polarity (or both) at a given time.; Filters for Clockwise polarity",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_ad_bypassed",
	.event = "event=0x12",
	.desc = "AD Ingress Bypassed. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the AD Ingress was bypassed and an incoming transaction was bypassed directly across the BGF and into the qfclk domain",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_bypassed.ad",
	.event = "umask=0x1,event=0x12",
	.desc = "Ingress Bypassed. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the Ingress was bypassed and an incoming transaction was bypassed directly across the BGF and into the qfclk domain",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.hom",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress Cycles Not Empty; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.ndr",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress Cycles Not Empty; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_cycles_ne.snp",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress Cycles Not Empty; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the QPI Ingress is not empty.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.drs",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress Allocations; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.hom",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Allocations; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncb",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Allocations; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ncs",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Allocations; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.ndr",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Allocations; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_inserts.snp",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Allocations; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI Ingress.  This tracks one of the three rings that are used by the QPI agent.  This can be used in conjunction with the QPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.drs",
	.event = "umask=0x8,event=0x13",
	.desc = "Ingress Occupancy Accumulator; DRS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; DRS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.hom",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Occupancy Accumulator; HOM. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; HOM Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ncb",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NCB. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; NCB Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ncs",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NCS. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; NCS Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.ndr",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Occupancy Accumulator; NDR. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; NDR Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_rxr_occupancy.snp",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Occupancy Accumulator; SNP. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given QPI Ingress queue in each cycles.  This tracks one of the three ring Ingress buffers.  This can be used with the QPI Ingress Not Empty event to calculate average occupancy or the QPI Ingress Allocations event in order to calculate average queuing latency.; SNP Ingress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_ccw.ad",
	.event = "umask=0x1,event=0x28",
	.desc = "Egress NACK; AK CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_ccw.ak",
	.event = "umask=0x2,event=0x28",
	.desc = "Egress NACK; BL CW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_ccw.bl",
	.event = "umask=0x4,event=0x28",
	.desc = "Egress NACK; BL CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_cw.ad",
	.event = "umask=0x1,event=0x26",
	.desc = "Egress NACK; AD CW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD Clockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_cw.ak",
	.event = "umask=0x2,event=0x26",
	.desc = "Egress NACK; AD CCW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "AD CounterClockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_txr_nack_cw.bl",
	.event = "umask=0x4,event=0x26",
	.desc = "Egress NACK; AK CW. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "BL Clockwise Egress Queue",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.drs",
	.event = "umask=0x8,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.hom",
	.event = "umask=0x1,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncb",
	.event = "umask=0x10,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ncs",
	.event = "umask=0x20,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.ndr",
	.event = "umask=0x4,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_reject.snp",
	.event = "umask=0x2,event=0x37",
	.desc = "VN0 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a DRS VN0 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN0 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.drs",
	.event = "umask=0x8,event=0x36",
	.desc = "VN0 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.hom",
	.event = "umask=0x1,event=0x36",
	.desc = "VN0 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x36",
	.desc = "VN0 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x36",
	.desc = "VN0 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.ndr",
	.event = "umask=0x4,event=0x36",
	.desc = "VN0 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x36",
	.desc = "VN0 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.drs",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.hom",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncb",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ncs",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.ndr",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_reject.snp",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Acquisition Failed on DRS; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a request failed to acquire a VN1 credit.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This therefore counts the number of times when a request failed to acquire either a VNA or VN1 credit and is delayed.  This should generally be a rare situation.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.drs",
	.event = "umask=0x8,event=0x38",
	.desc = "VN1 Credit Used; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.hom",
	.event = "umask=0x1,event=0x38",
	.desc = "VN1 Credit Used; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x38",
	.desc = "VN1 Credit Used; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x38",
	.desc = "VN1 Credit Used; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Non-Coherent Standard (NCS).  NCS is commonly used for ?",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.ndr",
	.event = "umask=0x4,event=0x38",
	.desc = "VN1 Credit Used; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x38",
	.desc = "VN1 Credit Used; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the DRS message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired",
	.event = "event=0x33",
	.desc = "VNA credit Acquisitions. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credits from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.ad",
	.event = "umask=0x1,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credits from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_acquired.bl",
	.event = "umask=0x4,event=0x33",
	.desc = "VNA credit Acquisitions; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI VNA Credit acquisitions.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average lifetime of a credit holder.  VNA credits are used by all message classes in order to communicate across QPI.  If a packet is unable to acquire credits, it will then attempt to use credits from the VN0 pool.  Note that a single packet may require multiple flit buffers (i.e. when data is being transferred).  Therefore, this event will increment by the number of credits acquired in each cycle.  Filtering based on message class is not provided.  One can count the number of packets transferred in a given message class using an qfclk event.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "VNA Credit Reject; DRS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Data Response (DRS).  DRS is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using DRS",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.hom",
	.event = "umask=0x1,event=0x34",
	.desc = "VNA Credit Reject; HOM Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for the Home (HOM) message class.  HOM is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "VNA Credit Reject; NCB Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Broadcast (NCB).  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "VNA Credit Reject; NCS Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Non-Coherent Standard (NCS)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.ndr",
	.event = "umask=0x4,event=0x34",
	.desc = "VNA Credit Reject; NDR Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; NDR packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credits_reject.snp",
	.event = "umask=0x2,event=0x34",
	.desc = "VNA Credit Reject; SNP Message Class. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of attempted VNA credit acquisitions that were rejected because the VNA credit pool was full (or almost full).  It is possible to filter this event by message class.  Some packets use more than one flit buffer, and therefore must acquire multiple credits.  Therefore, one could get a reject even if the VNA credits were not fully used up.  The VNA pool is generally used to provide the bulk of the QPI bandwidth (as opposed to the VN0 pool which is used to guarantee forward progress).  VNA credits can run out if the flit buffer on the receiving side starts to queue up substantially.  This can happen if the rest of the uncore is unable to drain the requests fast enough.; Filter for Snoop (SNP) message class.  SNP is used for outgoing snoops.  Note that snoop responses flow on the HOM message class",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credit_cycles_out",
	.event = "event=0x31",
	.desc = "Cycles with no VNA credits available. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI uclk cycles when the transmitted has no VNA credits available and therefore cannot send any requests on this channel.  Note that this does not mean that no flits can be transmitted, as those holding VN0 credits will still (potentially) be able to transmit.  Generally it is the goal of the uncore that VNA credits should not run out, as this can substantially throttle back useful QPI bandwidth",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_r3_vna_credit_cycles_used",
	.event = "event=0x32",
	.desc = "Cycles with 1 or more VNA credits in use. Unit: uncore_r3qpi ",
	.topic = "uncore other",
	.long_desc = "Number of QPI uclk cycles with one or more VNA credits in use.  This event can be used in conjunction with the VNA In-Use Accumulator to calculate the average number of used VNA credits",
	.pmu = "uncore_r3qpi",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0",
	.desc = "Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "VLW Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.   Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.disable",
	.event = "umask=0x2,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.enable",
	.event = "umask=0x1,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_disable",
	.event = "umask=0x8,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_filter_match.u2c_enable",
	.event = "umask=0x4,event=0x41",
	.desc = "Filter Match. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Filter match per thread (w/ or w/o Filter Enable).  Specify the thread to filter on using NCUPMONCTRLGLCTR.ThreadID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles.  Filter from source CoreID",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.cmc",
	.event = "umask=0x10,event=0x43",
	.desc = "Monitor Sent to T0; Correctable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.livelock",
	.event = "umask=0x4,event=0x43",
	.desc = "Monitor Sent to T0; Livelock. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.lterror",
	.event = "umask=0x8,event=0x43",
	.desc = "Monitor Sent to T0; LTError. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t0",
	.event = "umask=0x1,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T0. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.monitor_t1",
	.event = "umask=0x2,event=0x43",
	.desc = "Monitor Sent to T0; Monitor T1. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; Filter by core",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.other",
	.event = "umask=0x80,event=0x43",
	.desc = "Monitor Sent to T0; Other. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores; PREQ, PSMI, P2U, Thermal, PCUSMI, PMI",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.trap",
	.event = "umask=0x40,event=0x43",
	.desc = "Monitor Sent to T0; Trap. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_u2c_events.umc",
	.event = "umask=0x20,event=0x43",
	.desc = "Monitor Sent to T0; Uncorrectable Machine Check. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Events coming from Uncore can be sent to one or all cores",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "Counts the number of lines brought into the L1 data cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
	.long_desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstanding duration in cycles",
	.topic = "cache",
	.long_desc = "Increments the number of outstanding L1D misses every cycle. Set Cmask = 1 and Edge =1 to count occurrences",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
	.long_desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
},
{
	.name = "l2_l1d_wb_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
	.topic = "cache",
	.long_desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
},
{
	.name = "l2_l1d_wb_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
	.topic = "cache",
	.long_desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
},
{
	.name = "l2_l1d_wb_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x28",
	.desc = "Count the number of modified Lines evicted from L1 and missed L2. (Non-rejected WBs from the DCU.)",
	.topic = "cache",
	.long_desc = "Not rejected writebacks that missed LLC",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines filling L2",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in E state filling L2",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in I state filling L2",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
	.long_desc = "L2 cache lines in S state filling L2",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x1,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x2,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by demand",
},
{
	.name = "l2_lines_out.dirty_all",
	.event = "period=100003,umask=0xa,event=0xf2",
	.desc = "Dirty L2 cache lines filling the L2",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines filling the L2",
},
{
	.name = "l2_lines_out.pf_clean",
	.event = "period=100003,umask=0x4,event=0xf2",
	.desc = "Clean L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
	.long_desc = "Clean L2 cache lines evicted by the MLC prefetcher",
},
{
	.name = "l2_lines_out.pf_dirty",
	.event = "period=100003,umask=0x8,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
	.long_desc = "Dirty L2 cache lines evicted by the MLC prefetcher",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts all L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0x3,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts any demand and L1 HW prefetch data load requests to L2",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xc0,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xc,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 store RFO requests",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0x10,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that hit the L2 cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x20,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Number of instruction fetches that missed the L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Demand Data Read requests that hit L2 cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0x40,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that hit L2",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x80,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts all L2 HW prefetcher requests that missed L2",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x8,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of store RFO requests that miss the L2 cache",
},
{
	.name = "l2_store_lock_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x27",
	.desc = "RFOs that access cache lines in any state",
	.topic = "cache",
	.long_desc = "RFOs that access cache lines in any state",
},
{
	.name = "l2_store_lock_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x27",
	.desc = "RFOs that hit cache lines in M state",
	.topic = "cache",
	.long_desc = "RFOs that hit cache lines in M state",
},
{
	.name = "l2_store_lock_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x27",
	.desc = "RFOs that miss cache lines",
	.topic = "cache",
	.long_desc = "RFOs that miss cache lines",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or LLC HW prefetches that access L2 cache",
	.topic = "cache",
	.long_desc = "Any MLC or LLC HW prefetch accessing L2, including rejects",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
	.long_desc = "Transactions accessing L2 pipe",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
	.long_desc = "L2 cache accesses when fetching instructions",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
	.long_desc = "Demand Data Read requests that access L2 cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L1D writebacks that access L2 cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 fill requests that access L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "L2 writebacks that access L2 cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
	.long_desc = "RFO requests that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "Cycles in which the L1D is locked",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed LLC",
	.topic = "cache",
	.long_desc = "This event counts each cache miss condition for references to the last level cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to LLC",
	.topic = "cache",
	.long_desc = "This event counts requests originating from the core that reference a cache line in the last level cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were LLC and cross-core snoop hits in on-pkg core cache (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared LLC (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were LLC hit and cross-core snoop missed in on-pkg core cache (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in LLC without snoops required (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.local_dram",
	.event = "period=100007,umask=0x3,event=0xd3",
	.desc = "Retired load uops whose data source was local DRAM (Snoop not needed, Snoop Miss, or Snoop Hit data not forwarded)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.remote_dram",
	.event = "period=100007,umask=0xc,event=0xd3",
	.desc = "Retired load uops whose data source was remote DRAM (Snoop not needed, Snoop Miss, or Snoop Hit data not forwarded)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x20,event=0xd3",
	.desc = "Data forwarded from remote cache",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Remote cache HITM",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load uops which data sources following L1 data-cache miss (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load uops with L2 cache misses as data sources (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in LLC without snoops required (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Miss in last-level (L3) cache. Excludes Unknown data-source (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB. (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB. (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Data read requests sent to uncore (demand and prefetch)",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncacheable code read requests",
	.topic = "cache",
	.long_desc = "Demand code read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Demand data read requests sent to uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Demand RFO read requests sent to uncore, including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Cases when offcore requests buffer cannot take more entries for core",
	.topic = "cache",
	.long_desc = "Cases when offcore requests buffer cannot take more entries for core",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Offcore outstanding cacheable data read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding code reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand Code Read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Offcore outstanding Demand Data Read transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Offcore outstanding RFO store transactions in SQ to uncore. Set Cmask=1 to count cycles",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0090",
	.desc = "Counts all prefetch data reads that hit the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "Counts all writebacks from the core to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0004",
	.desc = "Counts all demand code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0001",
	.desc = "Counts all demand data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoop returned a clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.other.lru_hints",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803c8000",
	.desc = "Counts L2 hints sent to LLC to keep a line from being evicted out of the core caches",
	.topic = "cache",
},
{
	.name = "offcore_response.other.portio_mmio_uc",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23ffc08000",
	.desc = "Counts miscellaneous accesses that include port i/o, MMIO and uncacheable memory accesses",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.split_lock_uc_lock.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts requests where the address of an atomic lock instruction spans a cache line boundary or the lock instruction is executed on uncacheable address",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts non-temporal stores",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "ivt metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "icache.ifetch_stall / clks - tma_itlb_misses",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(12 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "ivt metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "ivt metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "ivt metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_UOPS_RETIRED.L1_HIT_PS;MEM_LOAD_UOPS_RETIRED.HIT_LFB_PS",
	.unit = "100%",
	.metric_expr = "max((min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending) - cycle_activity.stalls_l1d_pending) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "ivt metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "ivt metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_UOPS_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "mem_uops_retired.lock_loads / mem_uops_retired.all_stores * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_UOPS_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "ivt metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=1@ / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l1d_pending - cycle_activity.stalls_l2_pending) / clks",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(60 * (mem_load_uops_llc_hit_retired.xsnp_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) + 43 * (mem_load_uops_llc_hit_retired.xsnp_miss * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd)))) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "43 * (mem_load_uops_llc_hit_retired.xsnp_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "41 * (mem_load_uops_retired.llc_hit * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "ivt metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_retired.llc_miss)) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=6@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_L3_MISS_RETIRED.LOCAL_DRAM_PS",
	.unit = "100%",
	.metric_expr = "200 * (mem_load_uops_llc_miss_retired.local_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) / clks",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article Sample with: MEM_LOAD_UOPS_L3_MISS_RETIRED.REMOTE_DRAM_PS",
	.unit = "100%",
	.metric_expr = "310 * (mem_load_uops_llc_miss_retired.remote_dram * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) / clks",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article Sample with: MEM_LOAD_UOPS_L3_MISS_RETIRED.REMOTE_HITM_PS;MEM_LOAD_UOPS_L3_MISS_RETIRED.REMOTE_FWD_PS",
	.unit = "100%",
	.metric_expr = "(200 * (mem_load_uops_llc_miss_retired.remote_hitm * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd))) + 180 * (mem_load_uops_llc_miss_retired.remote_fwd * (1 + mem_load_uops_retired.hit_lfb / (mem_load_uops_retired.l2_hit + mem_load_uops_retired.llc_hit + mem_load_uops_llc_hit_retired.xsnp_hit + mem_load_uops_llc_hit_retired.xsnp_hitm + mem_load_uops_llc_hit_retired.xsnp_miss + mem_load_uops_llc_miss_retired.local_dram + mem_load_uops_llc_miss_retired.remote_dram + mem_load_uops_llc_miss_retired.remote_hitm + mem_load_uops_llc_miss_retired.remote_fwd)))) / clks",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_mem_latency_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 9 * (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) + (1 - mem_uops_retired.lock_loads / mem_uops_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "ivt metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;OFFCORE_RESPONSE.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "(200 * offcore_response.demand_rfo.llc_miss.remote_hitm + 60 * offcore_response.demand_rfo.llc_hit.hitm_other_core) / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "ivt metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_UOPS_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "2 * mem_uops_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "ivt metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_UOPS_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_store_misses.stlb_hit + dtlb_store_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) + uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_3_uops_exec if ipc > 1.8 else (uops_executed.cycles_ge_2_uops_exec - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_ldm_pending)) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,inv\\,cmask\\=1@ / 2 if #smt_on else (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_execute) - rs_events.empty_cycles if tma_fetch_latency > 0.1 else 0) / core_clks)",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=1@ - cpu@uops_executed.core\\,cmask\\=2@) / 2 if #smt_on else (uops_executed.cycles_ge_1_uop_exec - uops_executed.cycles_ge_2_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((cpu@uops_executed.core\\,cmask\\=2@ - cpu@uops_executed.core\\,cmask\\=3@) / 2 if #smt_on else (uops_executed.cycles_ge_2_uops_exec - uops_executed.cycles_ge_3_uops_exec) / core_clks)",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "(cpu@uops_executed.core\\,cmask\\=3@ / 2 if #smt_on else uops_executed.cycles_ge_3_uops_exec) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5) / (3 * core_clks)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED_PORT.PORT_0",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED_PORT.PORT_1",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_2",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads) Sample with: UOPS_DISPATCHED_PORT.PORT_3",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "tma_port_4",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data) Sample with: UOPS_DISPATCHED_PORT.PORT_4",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "ivt metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "ivt metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "ivt metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots * fp_comp_ops_exe.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "ivt metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double) / uops_executed.thread",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "ivt metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_packed_double + fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_single + simd_fp_256.packed_double) / uops_executed.thread",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "ivt metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: OTHER_ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * other_assists.any_wb_assist / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "ivt metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "ivt metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "ivt metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "ivt metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "ivt metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "ivt metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "ivt metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "ivt metrics",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "ivt metrics",
	.metric_expr = "uops_executed.thread / (cpu@uops_executed.core\\,cmask\\=1@ / 2 if #smt_on else uops_executed.cycles_ge_1_uop_exec)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "ivt metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / mem_uops_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "ivt metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "1 / (tma_fp_scalar + tma_fp_vector)",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "ivt metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "ivt metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "ivt metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "ivt metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_uops_retired.l1_miss + mem_load_uops_retired.hit_lfb)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "ivt metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivt metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivt metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "ivt metrics",
	.metric_expr = "1e3 * mem_load_uops_retired.llc_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "ivt metrics",
	.metric_expr = "(itlb_misses.walk_duration + dtlb_load_misses.walk_duration + dtlb_store_misses.walk_duration) / core_clks",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "0",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "ivt metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "ivt metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "ivt metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "ivt metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "ivt metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "ivt metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "ivt metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "ivt metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "ivt metrics",
	.metric_expr = "1e9 * (unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_inserts.miss_opcode@filter_opc\\=0x182@) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "ivt metrics",
	.metric_expr = "unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182@ / unc_c_tor_occupancy.miss_opcode@filter_opc\\=0x182\\,thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "ivt metrics",
	.metric_expr = "cbox_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "ivt metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "ivt metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "ivt metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_q_clockticks",
	.event = "event=0x14",
	.desc = "Number of qfclks. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of clocks in the QPI LL.  This clock runs at 1/8th the GT/s speed of the QPI link.  For example, a 8GT/s link will have qfclk or 1GHz.  JKT does not support dynamic link speeds, so this frequency is fixed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_cto_count",
	.event = "event=0x38",
	.desc = "Count of CTO Events. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of CTO (cluster trigger outs) events that were asserted across the two slots.  If both slots trigger in a given cycle, the event will increment by 2.  You can use edge detect to count the number of cases when both events triggered",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits",
	.event = "umask=0x2,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits.  Had there been enough credits, the spawn would have worked as the RBT bit was set and the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_miss",
	.event = "umask=0x20,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and there weren't enough Egress credits.   The valid bit was set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt",
	.event = "umask=0x8,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because there were not enough Egress credits AND the RBT bit was not set, but the RBT tag matched",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_credits_rbt_miss",
	.event = "umask=0x80,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - Egress and RBT Miss, Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match, the valid bit was not set and there weren't enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_miss",
	.event = "umask=0x10,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match although the valid bit was set and there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_hit",
	.event = "umask=0x4,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the route-back table (RBT) specified that the transaction should not trigger a direct2core transaction.  This is common for IO transactions.  There were enough Egress credits and the RBT tag matched but the valid bit was not set",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.failure_rbt_miss",
	.event = "umask=0x40,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Failure - RBT Miss and Invalid. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn failed because the RBT tag did not match and the valid bit was not set although there were enough Egress credits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_direct2core.success_rbt_hit",
	.event = "umask=0x1,event=0x13",
	.desc = "Direct 2 Core Spawning; Spawn Success. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of DRS packets that we attempted to do direct2core on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos.; The spawn was successful.  There were sufficient credits, the RBT valid bit was set and there was an RBT tag match.  The message was marked to spawn direct2core",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_l1_power_cycles",
	.event = "event=0x12",
	.desc = "Cycles in L1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a QPI link.  Use edge detect to count the number of instances when the QPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_match_mask",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.anydatac",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.anyresp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.anyresp11flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.anyresp9flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_e",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_e_cmp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_e_frcackcnflt",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_f",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_f_cmp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_f_frcackcnflt",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.datac_m",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.wbedata",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.wbidata",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.drs.wbsdata",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.anyreq",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.anyresp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respfwd",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respfwdi",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respfwdiwb",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respfwds",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respfwdswb",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respiwb",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.hom.respswb",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncb.anyint",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncb.anymsg",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncb.anymsg11flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncb.anymsg9flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncs.anymsg1or2flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncs.anymsg3flits",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ncs.ncrd",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.ndr.anycmp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_message.snp.anysnp",
	.event = "event=0x38",
	.desc = "Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0p_power_cycles",
	.event = "event=0x10",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl0_power_cycles",
	.event = "event=0xf",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_bypassed",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.link_init",
	.event = "umask=0x1,event=0x3",
	.desc = "CRC Errors Detected; LinkInit. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it).; CRC errors detected during link initialization",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_crc_errors.normal_op",
	.event = "umask=0x2,event=0x3",
	.desc = "CRC Errors Detected; Normal Operations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of CRC errors detected in the QPI Agent.  Each QPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the QPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it).; CRC errors detected during normal operation",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.drs",
	.event = "umask=0x1,event=0x1e",
	.desc = "VN0 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.hom",
	.event = "umask=0x8,event=0x1e",
	.desc = "VN0 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncb",
	.event = "umask=0x2,event=0x1e",
	.desc = "VN0 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ncs",
	.event = "umask=0x4,event=0x1e",
	.desc = "VN0 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.ndr",
	.event = "umask=0x20,event=0x1e",
	.desc = "VN0 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn0.snp",
	.event = "umask=0x10,event=0x1e",
	.desc = "VN0 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN0 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.drs",
	.event = "umask=0x1,event=0x39",
	.desc = "VN1 Credit Consumed; DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the DRS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.hom",
	.event = "umask=0x8,event=0x39",
	.desc = "VN1 Credit Consumed; HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the HOM message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncb",
	.event = "umask=0x2,event=0x39",
	.desc = "VN1 Credit Consumed; NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCB message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ncs",
	.event = "umask=0x4,event=0x39",
	.desc = "VN1 Credit Consumed; NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NCS message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.ndr",
	.event = "umask=0x20,event=0x39",
	.desc = "VN1 Credit Consumed; NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the NDR message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vn1.snp",
	.event = "umask=0x10,event=0x39",
	.desc = "VN1 Credit Consumed; SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed.; VN1 credit for the SNP message class",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_credits_consumed_vna",
	.event = "event=0x1d",
	.desc = "VNA Credit Consumed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne",
	.event = "event=0xa",
	.desc = "RxQ Cycles Not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn0",
	.event = "umask=0x1,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_drs.vn1",
	.event = "umask=0x2,event=0xf",
	.desc = "RxQ Cycles Not Empty - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn0",
	.event = "umask=0x1,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_hom.vn1",
	.event = "umask=0x2,event=0x12",
	.desc = "RxQ Cycles Not Empty - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn0",
	.event = "umask=0x1,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncb.vn1",
	.event = "umask=0x2,event=0x10",
	.desc = "RxQ Cycles Not Empty - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn0",
	.event = "umask=0x1,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ncs.vn1",
	.event = "umask=0x2,event=0x11",
	.desc = "RxQ Cycles Not Empty - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn0",
	.event = "umask=0x1,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_ndr.vn1",
	.event = "umask=0x2,event=0x14",
	.desc = "RxQ Cycles Not Empty - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn0",
	.event = "umask=0x1,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_cycles_ne_snp.vn1",
	.event = "umask=0x2,event=0x13",
	.desc = "RxQ Cycles Not Empty - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles that the QPI RxQ was not empty.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy Accumulator event to calculate the average occupancy.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.data",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Received - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits received over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.idle",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Received - Group 0; Idle and Null Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of flits received over QPI that do not hold protocol payload.  When QPI is not in a power saving state, it continuously transmits flits across the link.  When there are no protocol flits to send, it will send IDLE and NULL flits  across.  These flits sometimes do carry a payload, such as credit returns, but are generally not considered part of the QPI bandwidth",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g0.non_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Received - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits received across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs",
	.event = "umask=0x18,event=0x2",
	.desc = "Flits Received - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_data",
	.event = "umask=0x8,event=0x2",
	.desc = "Flits Received - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0x2",
	.desc = "Flits Received - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits received over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits received over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom",
	.event = "umask=0x6,event=0x2",
	.desc = "Flits Received - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits received over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0x2",
	.desc = "Flits Received - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits received over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.hom_req",
	.event = "umask=0x2,event=0x2",
	.desc = "Flits Received - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request received over QPI on the home channel.  This basically counts the number of remote memory requests received over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g1.snp",
	.event = "umask=0x1,event=0x2",
	.desc = "Flits Received - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits received over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are received on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb",
	.event = "umask=0xc,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not the NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent non-data Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ncs",
	.event = "umask=0x10,event=0x3",
	.desc = "Flits Received - Group 2; Non-Coherent standard Rx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits received over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x3",
	.desc = "Flits Received - Group 2; Non-Data Response Rx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits received from the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits received over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts",
	.event = "event=0x8",
	.desc = "Rx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs",
	.event = "event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn0",
	.event = "umask=0x1,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_drs.vn1",
	.event = "umask=0x2,event=0x9",
	.desc = "Rx Flit Buffer Allocations - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only DRS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom",
	.event = "event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn0",
	.event = "umask=0x1,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_hom.vn1",
	.event = "umask=0x2,event=0xc",
	.desc = "Rx Flit Buffer Allocations - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only HOM flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb",
	.event = "event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn0",
	.event = "umask=0x1,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncb.vn1",
	.event = "umask=0x2,event=0xa",
	.desc = "Rx Flit Buffer Allocations - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCB flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs",
	.event = "event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn0",
	.event = "umask=0x1,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ncs.vn1",
	.event = "umask=0x2,event=0xb",
	.desc = "Rx Flit Buffer Allocations - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NCS flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr",
	.event = "event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn0",
	.event = "umask=0x1,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_ndr.vn1",
	.event = "umask=0x2,event=0xe",
	.desc = "Rx Flit Buffer Allocations - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only NDR flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp",
	.event = "event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn0",
	.event = "umask=0x1,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_inserts_snp.vn1",
	.event = "umask=0x2,event=0xd",
	.desc = "Rx Flit Buffer Allocations - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Rx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime.  This monitors only SNP flits",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy",
	.event = "event=0xb",
	.desc = "RxQ Occupancy - All Packets. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs",
	.event = "event=0x15",
	.desc = "RxQ Occupancy - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn0",
	.event = "umask=0x1,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_drs.vn1",
	.event = "umask=0x2,event=0x15",
	.desc = "RxQ Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors DRS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom",
	.event = "event=0x18",
	.desc = "RxQ Occupancy - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_hom.vn1",
	.event = "umask=0x2,event=0x18",
	.desc = "RxQ Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors HOM flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb",
	.event = "event=0x16",
	.desc = "RxQ Occupancy - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn0",
	.event = "umask=0x1,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncb.vn1",
	.event = "umask=0x2,event=0x16",
	.desc = "RxQ Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCB flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs",
	.event = "event=0x17",
	.desc = "RxQ Occupancy - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn0",
	.event = "umask=0x1,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ncs.vn1",
	.event = "umask=0x2,event=0x17",
	.desc = "RxQ Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NCS flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr",
	.event = "event=0x1a",
	.desc = "RxQ Occupancy - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn0",
	.event = "umask=0x1,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_ndr.vn1",
	.event = "umask=0x2,event=0x1a",
	.desc = "RxQ Occupancy - NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors NDR flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp",
	.event = "event=0x19",
	.desc = "RxQ Occupancy - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn0",
	.event = "umask=0x1,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_occupancy_snp.vn1",
	.event = "umask=0x2,event=0x19",
	.desc = "RxQ Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of elements in the QPI RxQ in each cycle.  Generally, when data is transmitted across QPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime.  This monitors SNP flits only",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_drs",
	.event = "umask=0x1,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_hom",
	.event = "umask=0x8,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncb",
	.event = "umask=0x2,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ncs",
	.event = "umask=0x4,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_ndr",
	.event = "umask=0x20,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.bgf_snp",
	.event = "umask=0x10,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.egress_credits",
	.event = "umask=0x40,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; Egress Credits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled a packet because there were insufficient BGF credits.  For details on a message class granularity, use the Egress Credit Occupancy events",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn0.gv",
	.event = "umask=0x80,event=0x35",
	.desc = "Stalls Sending to R3QPI on VN0; GV. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 0; Stalled because a GV transition (frequency transition) was taking place",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_drs",
	.event = "umask=0x1,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - HOM. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the HOM message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_hom",
	.event = "umask=0x8,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - DRS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the DRS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncb",
	.event = "umask=0x2,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - SNP. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the SNP message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ncs",
	.event = "umask=0x4,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NDR message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_ndr",
	.event = "umask=0x20,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCS. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCS message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_rxl_stalls_vn1.bgf_snp",
	.event = "umask=0x10,event=0x3a",
	.desc = "Stalls Sending to R3QPI on VN1; BGF Stall - NCB. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of stalls trying to send to R3QPI on Virtual Network 1.; Stalled a packet from the NCB message class because there were not enough BGF credits.  In bypass mode, we will stall on the packet boundary, while in RxQ mode we will stall on the flit boundary",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0p_power_cycles",
	.event = "event=0xd",
	.desc = "Cycles in L0p. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the QPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize QPI for snoops and their responses.  Use edge detect to count the number of instances when the QPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl0_power_cycles",
	.event = "event=0xc",
	.desc = "Cycles in L0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of QPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_bypassed",
	.event = "event=0x5",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the QPI Link. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.almost_full",
	.event = "umask=0x2,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is almost full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is almost full, we block some but not all packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_crc_no_credits.full",
	.event = "umask=0x1,event=0x2",
	.desc = "Cycles Stalled with no LLR Credits; LLR is full. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of cycles when the Tx side ran out of Link Layer Retry credits, causing the Tx to stall.; When LLR is totally full, we are not allowed to send any packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_cycles_ne",
	.event = "event=0x6",
	.desc = "Tx Flit Buffer Cycles not Empty. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of cycles when the TxQ is not empty. Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.data",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 0; Data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of data flits transmitted over QPI.  Each flit contains 64b of data.  This includes both DRS and NCB data flits (coherent and non-coherent).  This can be used to calculate the data bandwidth of the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This does not include the header flits that go in data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g0.non_data",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 0; Non-Data protocol Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  It includes filters for Idle, protocol, and Data Flits.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time (for L0) or 4B instead of 8B for L0p.; Number of non-NULL non-data flits transmitted across QPI.  This basically tracks the protocol overhead on the QPI link.  One can get a good picture of the QPI-link characteristics by evaluating the protocol flits, data flits, and idle/null flits.  This includes the header flits for data packets",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs",
	.event = "umask=0x18,event=0",
	.desc = "Flits Transferred - Group 1; DRS Flits (both Header and Data). Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_data",
	.event = "umask=0x8,event=0",
	.desc = "Flits Transferred - Group 1; DRS Data Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of data flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the data flits (not the header)",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.drs_nondata",
	.event = "umask=0x10,event=0",
	.desc = "Flits Transferred - Group 1; DRS Header Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of protocol flits transmitted over QPI on the DRS (Data Response) channel.  DRS flits are used to transmit data with coherency.  This does not count data flits transmitted over the NCB channel which transmits non-coherent data.  This includes only the header flits (not the data).  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom",
	.event = "umask=0x6,event=0",
	.desc = "Flits Transferred - Group 1; HOM Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of flits transmitted over QPI on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_nonreq",
	.event = "umask=0x4,event=0",
	.desc = "Flits Transferred - Group 1; HOM Non-Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of non-request flits transmitted over QPI on the home channel.  These are most commonly snoop responses, and this event can be used as a proxy for that",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.hom_req",
	.event = "umask=0x2,event=0",
	.desc = "Flits Transferred - Group 1; HOM Request Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of data request transmitted over QPI on the home channel.  This basically counts the number of remote memory requests transmitted over QPI.  In conjunction with the local read count in the Home Agent, one can calculate the number of LLC Misses",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g1.snp",
	.event = "umask=0x1,event=0",
	.desc = "Flits Transferred - Group 1; SNP Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for SNP, HOM, and DRS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the number of snoop request flits transmitted over QPI.  These requests are contained in the snoop channel.  This does not include snoop responses, which are transmitted on the home channel",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb",
	.event = "umask=0xc,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent Bypass Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass flits.  These packets are generally used to transmit non-coherent data across QPI",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_data",
	.event = "umask=0x4,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass data flits.  These flits are generally used to transmit non-coherent data across QPI.  This does not include a count of the DRS (coherent) data flits.  This only counts the data flits, not the NCB headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncb_nondata",
	.event = "umask=0x8,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent non-data Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of Non-Coherent Bypass non-data flits.  These packets are generally used to transmit non-coherent data across QPI, and the flits counted here are for headers and other non-data flits.  This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ncs",
	.event = "umask=0x10,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Coherent standard Tx Flits. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Number of NCS (non-coherent standard) flits transmitted over QPI.    This includes extended headers",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ad",
	.event = "umask=0x1,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AD. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets to the local socket which use the AK ring",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_flits_g2.ndr_ak",
	.event = "umask=0x2,event=0x1",
	.desc = "Flits Transferred - Group 2; Non-Data Response Tx Flits - AK. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Counts the number of flits transmitted across the QPI Link.  This is one of three groups that allow us to track flits.  It includes filters for NDR, NCB, and NCS message classes.  Each flit is made up of 80 bits of information (in addition to some ECC data).  In full-width (L0) mode, flits are made up of four fits, each of which contains 20 bits of data (along with some additional ECC data).   In half-width (L0p) mode, the fits are only 10 bits, and therefore it takes twice as many fits to transmit a flit.  When one talks about QPI speed (for example, 8.0 GT/s), the transfers here refer to fits.  Therefore, in L0, the system will transfer 1 flit at the rate of 1/4th the QPI speed.  One can calculate the bandwidth of the link by taking: flits*80b/time.  Note that this is not the same as data bandwidth.  For example, when we are transferring a 64B cacheline across QPI, we will break it into 9 flits -- 1 with header information and 8 with 64 bits of actual data and an additional 16 bits of other information.  To calculate data bandwidth, one should therefore do: data flits * 8B / time.; Counts the total number of flits transmitted over the NDR (Non-Data Response) channel.  This channel is used to send a variety of protocol flits including grants and completions.  This is only for NDR packets destined for Route-thru to a remote socket",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_inserts",
	.event = "event=0x4",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of allocations into the QPI Tx Flit Buffer.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txl_occupancy",
	.event = "event=0x7",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across QPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_acquired.vn1",
	.event = "umask=0x2,event=0x26",
	.desc = "R3QPI Egress Credit Occupancy - HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle. Flow Control FIFO for Home messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_hom_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x22",
	.desc = "R3QPI Egress Credit Occupancy - AD HOM; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for HOM messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_acquired.vn1",
	.event = "umask=0x2,event=0x28",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_ndr_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x24",
	.desc = "R3QPI Egress Credit Occupancy - AD NDR; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle. Flow Control FIFO  for NDR messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn0",
	.event = "umask=0x1,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_acquired.vn1",
	.event = "umask=0x2,event=0x27",
	.desc = "R3QPI Egress Credit Occupancy - SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of link layer credits into the R3 (for transactions across the BGF) acquired each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ad_snp_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x23",
	.desc = "R3QPI Egress Credit Occupancy - AD SNP; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of link layer credits into the R3 (for transactions across the BGF) available in each cycle.  Flow Control FIFO for Snoop messages on AD",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_acquired",
	.event = "event=0x29",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_acquired.vn0",
	.event = "umask=0x1,event=0x29",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR: for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_acquired.vn1",
	.event = "umask=0x2,event=0x29",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR: for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_occupancy",
	.event = "event=0x25",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x25",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR: for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_ak_ndr_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x25",
	.desc = "R3QPI Egress Credit Occupancy - AK NDR: for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  Local NDR message class to AK Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_acquired.vn_shr",
	.event = "umask=0x4,event=0x2a",
	.desc = "R3QPI Egress Credit Occupancy - DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_drs_credit_occupancy.vn_shr",
	.event = "umask=0x4,event=0x1f",
	.desc = "R3QPI Egress Credit Occupancy - BL DRS; for Shared VN. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  DRS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2b",
	.desc = "R3QPI Egress Credit Occupancy - NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncb_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x20",
	.desc = "R3QPI Egress Credit Occupancy - BL NCB; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCB message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_acquired.vn1",
	.event = "umask=0x2,event=0x2c",
	.desc = "R3QPI Egress Credit Occupancy - NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of credits into the R3 (for transactions across the BGF) acquired each cycle. NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn0",
	.event = "umask=0x1,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN0. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_txr_bl_ncs_credit_occupancy.vn1",
	.event = "umask=0x2,event=0x21",
	.desc = "R3QPI Egress Credit Occupancy - BL NCS; for VN1. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Occupancy event that tracks the number of credits into the R3 (for transactions across the BGF) available in each cycle.  NCS message class to BL Egress",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_returns",
	.event = "event=0x1c",
	.desc = "VNA Credits Returned. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits returned",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_q_vna_credit_return_occupancy",
	.event = "event=0x1b",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_qpi ",
	.topic = "uncore interconnect",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_qpi",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM Reads (RD_CAS + Underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Read CAS commands issued on this channel (including underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM RD_CAS (w/ and w/out auto-pre). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Underfill Read Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the number of underfill reads that are issued by the memory controller.  This will generally be about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ.  While it is possible for underfills to be issed in both WMM and RMM, this event counts both",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; All DRAM WR_CAS (both Modes). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of DRAM Write CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands; Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dclockticks",
	.event = "event=0",
	.desc = "DRAM Clockticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x5",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit errors in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "DRAM Precharge commands.; Precharges due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of page misses.  This does not include explicit precharge commands sent with CAS commands in Auto-Precharge mode.  This does not include PRE commands sent as a result of the page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x20,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x40,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x80,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x20,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x40,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x80,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "umask=0x1,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank1",
	.event = "umask=0x2,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank2",
	.event = "umask=0x4,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank3",
	.event = "umask=0x8,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank4",
	.event = "umask=0x10,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank5",
	.event = "umask=0x20,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank6",
	.event = "umask=0x40,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank7",
	.event = "umask=0x80,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank0",
	.event = "umask=0x1,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank1",
	.event = "umask=0x2,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank2",
	.event = "umask=0x4,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank3",
	.event = "umask=0x8,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank4",
	.event = "umask=0x10,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank5",
	.event = "umask=0x20,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank6",
	.event = "umask=0x40,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank7",
	.event = "umask=0x80,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x20,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x40,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x80,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x20,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x40,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x80,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x20,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x40,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x80,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x20,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x40,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x80,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_mxb_wr_occupancy",
	.event = "event=0x91",
	.desc = "VMSE MXB write buffer occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.rmm",
	.event = "umask=0x2,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_vmse_wr_push.wmm",
	.event = "umask=0x1,event=0x90",
	.desc = "VMSE WR PUSH issued; VMSE write PUSH issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts",
	.event = "event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x20,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x40,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x80,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x20,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x40,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x80,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank0",
	.event = "umask=0x1,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank1",
	.event = "umask=0x2,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank2",
	.event = "umask=0x4,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank3",
	.event = "umask=0x8,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank4",
	.event = "umask=0x10,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank5",
	.event = "umask=0x20,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank6",
	.event = "umask=0x40,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank7",
	.event = "umask=0x80,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank0",
	.event = "umask=0x1,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank1",
	.event = "umask=0x2,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank2",
	.event = "umask=0x4,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank3",
	.event = "umask=0x8,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank4",
	.event = "umask=0x10,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank5",
	.event = "umask=0x20,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank6",
	.event = "umask=0x40,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank7",
	.event = "umask=0x80,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x20,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x40,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x80,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x20,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x40,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x80,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x20,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x40,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x80,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x20,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x40,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x80,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_nehalemex[] = {
{
	.name = "es_reg_renames",
	.event = "period=2000000,umask=0x1,event=0xd5",
	.desc = "ES segment renames",
	.topic = "other",
},
{
	.name = "io_transactions",
	.event = "period=2000000,umask=0x1,event=0x6c",
	.desc = "I/O transactions",
	.topic = "other",
},
{
	.name = "l1i.cycles_stalled",
	.event = "period=2000000,umask=0x4,event=0x80",
	.desc = "L1I instruction fetch stall cycles",
	.topic = "other",
},
{
	.name = "l1i.hits",
	.event = "period=2000000,umask=0x1,event=0x80",
	.desc = "L1I instruction fetch hits",
	.topic = "other",
},
{
	.name = "l1i.misses",
	.event = "period=2000000,umask=0x2,event=0x80",
	.desc = "L1I instruction fetch misses",
	.topic = "other",
},
{
	.name = "l1i.reads",
	.event = "period=2000000,umask=0x3,event=0x80",
	.desc = "L1I Instruction fetches",
	.topic = "other",
},
{
	.name = "large_itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "Large ITLB hit",
	.topic = "other",
},
{
	.name = "load_dispatch.any",
	.event = "period=2000000,umask=0x7,event=0x13",
	.desc = "All loads dispatched",
	.topic = "other",
},
{
	.name = "load_dispatch.mob",
	.event = "period=2000000,umask=0x4,event=0x13",
	.desc = "Loads dispatched from the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Loads dispatched that bypass the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs_delayed",
	.event = "period=2000000,umask=0x2,event=0x13",
	.desc = "Loads dispatched from stage 305",
	.topic = "other",
},
{
	.name = "partial_address_alias",
	.event = "period=200000,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial address aliasing",
	.topic = "other",
},
{
	.name = "sb_drain.any",
	.event = "period=200000,umask=0x7,event=0x4",
	.desc = "All Store buffer stall cycles",
	.topic = "other",
},
{
	.name = "seg_rename_stalls",
	.event = "period=2000000,umask=0x1,event=0xd4",
	.desc = "Segment rename stall cycles",
	.topic = "other",
},
{
	.name = "snoop_response.hit",
	.event = "period=100000,umask=0x1,event=0xb8",
	.desc = "Thread responded HIT to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hite",
	.event = "period=100000,umask=0x2,event=0xb8",
	.desc = "Thread responded HITE to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hitm",
	.event = "period=100000,umask=0x4,event=0xb8",
	.desc = "Thread responded HITM to snoop",
	.topic = "other",
},
{
	.name = "sq_full_stall_cycles",
	.event = "period=2000000,umask=0x1,event=0xf6",
	.desc = "Super Queue full stall cycles",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.any",
	.event = "period=200000,umask=0x1,event=0x8",
	.desc = "DTLB load misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x8",
	.desc = "DTLB load miss caused by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000000,umask=0x10,event=0x8",
	.desc = "DTLB second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x8",
	.desc = "DTLB load miss page walks complete",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x49",
	.desc = "DTLB misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.stlb_hit",
	.event = "period=200000,umask=0x10,event=0x49",
	.desc = "DTLB first level misses but second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x49",
	.desc = "DTLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_flush",
	.event = "period=2000000,umask=0x1,event=0xae",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x85",
	.desc = "ITLB miss",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x85",
	.desc = "ITLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_miss_retired",
	.event = "period=200000,umask=0x20,event=0xc8",
	.desc = "Retired instructions that missed the ITLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x80,event=0xcb",
	.desc = "Retired loads that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_store_retired.dtlb_miss",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Retired stores that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "macro_insts.decoded",
	.event = "period=2000000,umask=0x1,event=0xd0",
	.desc = "Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.fusions_decoded",
	.event = "period=2000000,umask=0x1,event=0xa6",
	.desc = "Macro-fused instructions decoded",
	.topic = "frontend",
},
{
	.name = "two_uop_insts_decoded",
	.event = "period=2000000,umask=0x1,event=0x19",
	.desc = "Two Uop instructions decoded",
	.topic = "frontend",
},
{
	.name = "arith.cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.div",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1,event=0x14",
	.desc = "Divide Operations executed",
	.topic = "pipeline",
},
{
	.name = "arith.mul",
	.event = "period=2000000,umask=0x2,event=0x14",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "baclear.bad_target",
	.event = "period=2000000,umask=0x2,event=0xe6",
	.desc = "BACLEAR asserted with bad target address",
	.topic = "pipeline",
},
{
	.name = "baclear.clear",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEAR asserted, regardless of cause",
	.topic = "pipeline",
},
{
	.name = "baclear_force_iq",
	.event = "period=2000000,umask=0x1,event=0xa7",
	.desc = "Instruction queue forced BACLEAR",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.early",
	.event = "period=2000000,umask=0x1,event=0xe8",
	.desc = "Early Branch Prediciton Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.late",
	.event = "period=2000000,umask=0x2,event=0xe8",
	.desc = "Late Branch Prediction Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_missed_call_ret",
	.event = "period=2000000,umask=0x1,event=0xe5",
	.desc = "Branch prediction unit missed call or return",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.any",
	.event = "period=200000,umask=0x7f,event=0x88",
	.desc = "Branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.cond",
	.event = "period=200000,umask=0x1,event=0x88",
	.desc = "Conditional branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct",
	.event = "period=200000,umask=0x2,event=0x88",
	.desc = "Unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct_near_call",
	.event = "period=20000,umask=0x10,event=0x88",
	.desc = "Unconditional call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_near_call",
	.event = "period=20000,umask=0x20,event=0x88",
	.desc = "Indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_non_call",
	.event = "period=20000,umask=0x4,event=0x88",
	.desc = "Indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.near_calls",
	.event = "period=20000,umask=0x30,event=0x88",
	.desc = "Call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.non_calls",
	.event = "period=200000,umask=0x7,event=0x88",
	.desc = "All non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.return_near",
	.event = "period=20000,umask=0x8,event=0x88",
	.desc = "Indirect return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken",
	.event = "period=200000,umask=0x40,event=0x88",
	.desc = "Taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=200000,umask=0x1,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=20000,umask=0x2,event=0xc4",
	.desc = "Retired near call instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.any",
	.event = "period=20000,umask=0x7f,event=0x89",
	.desc = "Mispredicted branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.cond",
	.event = "period=20000,umask=0x1,event=0x89",
	.desc = "Mispredicted conditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct",
	.event = "period=20000,umask=0x2,event=0x89",
	.desc = "Mispredicted unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct_near_call",
	.event = "period=2000,umask=0x10,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_near_call",
	.event = "period=2000,umask=0x20,event=0x89",
	.desc = "Mispredicted indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_non_call",
	.event = "period=2000,umask=0x4,event=0x89",
	.desc = "Mispredicted indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.near_calls",
	.event = "period=2000,umask=0x30,event=0x89",
	.desc = "Mispredicted call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.non_calls",
	.event = "period=20000,umask=0x7,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.return_near",
	.event = "period=2000,umask=0x8,event=0x89",
	.desc = "Mispredicted return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken",
	.event = "period=20000,umask=0x40,event=0x89",
	.desc = "Mispredicted taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=2000,umask=0x2,event=0xc5",
	.desc = "Mispredicted near retired calls (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_p",
	.event = "period=100000,umask=0x1,event=0x3c",
	.desc = "Reference base clock (133 Mhz) cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.total_cycles",
	.event = "cmask=2,inv=1,period=2000000,event=0x3c",
	.desc = "Total CPU cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.any",
	.event = "period=2000000,umask=0xf,event=0x87",
	.desc = "Any Instruction Length Decoder stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000000,umask=0x4,event=0x87",
	.desc = "Instruction Queue full stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Length Change Prefix stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.mru",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Stall cycles due to BPU MRU bypass",
	.topic = "pipeline",
},
{
	.name = "ild_stall.regen",
	.event = "period=2000000,umask=0x8,event=0x87",
	.desc = "Regen stall cycles",
	.topic = "pipeline",
},
{
	.name = "inst_decoded.dec0",
	.event = "period=2000000,umask=0x1,event=0x18",
	.desc = "Instructions that must be decoded by decoder 0",
	.topic = "pipeline",
},
{
	.name = "inst_queue_writes",
	.event = "period=2000000,umask=0x1,event=0x17",
	.desc = "Instructions written to instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_queue_write_cycles",
	.event = "period=2000000,umask=0x1,event=0x1e",
	.desc = "Cycles instructions are written to the instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Programmable counter and Precise Event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.mmx",
	.event = "period=2000000,umask=0x4,event=0xc0",
	.desc = "Retired MMX instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000000,umask=0x2,event=0xc0",
	.desc = "Retired floating-point operations (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre",
	.event = "period=200000,umask=0x1,event=0x4c",
	.desc = "Load operations conflicting with software prefetches",
	.topic = "pipeline",
},
{
	.name = "lsd.active",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles when uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd.inactive",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles no uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd_overflow",
	.event = "period=2000000,umask=0x1,event=0x20",
	.desc = "Loops that can't stream from the instruction queue",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=20000,umask=0x1,event=0xc3",
	.desc = "Cycles machine clear asserted",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mem_order",
	.event = "period=20000,umask=0x2,event=0xc3",
	.desc = "Execution pipeline restart due to Memory ordering conflicts",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20000,umask=0x4,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.any",
	.event = "period=2000000,umask=0xf,event=0xd2",
	.desc = "All RAT stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.flags",
	.event = "period=2000000,umask=0x1,event=0xd2",
	.desc = "Flag stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.registers",
	.event = "period=2000000,umask=0x2,event=0xd2",
	.desc = "Partial register stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.rob_read_port",
	.event = "period=2000000,umask=0x4,event=0xd2",
	.desc = "ROB read port stalls cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.scoreboard",
	.event = "period=2000000,umask=0x8,event=0xd2",
	.desc = "Scoreboard stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000000,umask=0x1,event=0xa2",
	.desc = "Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.fpcw",
	.event = "period=2000000,umask=0x20,event=0xa2",
	.desc = "FPU control word write stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.load",
	.event = "period=2000000,umask=0x2,event=0xa2",
	.desc = "Load buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mxcsr",
	.event = "period=2000000,umask=0x40,event=0xa2",
	.desc = "MXCSR rename stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.other",
	.event = "period=2000000,umask=0x80,event=0xa2",
	.desc = "Other Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob_full",
	.event = "period=2000000,umask=0x10,event=0xa2",
	.desc = "ROB full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs_full",
	.event = "period=2000000,umask=0x4,event=0xa2",
	.desc = "Reservation Station full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.store",
	.event = "period=2000000,umask=0x8,event=0xa2",
	.desc = "Store buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_double",
	.event = "period=200000,umask=0x4,event=0xc7",
	.desc = "SIMD Packed-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_single",
	.event = "period=200000,umask=0x1,event=0xc7",
	.desc = "SIMD Packed-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_double",
	.event = "period=200000,umask=0x8,event=0xc7",
	.desc = "SIMD Scalar-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_single",
	.event = "period=200000,umask=0x2,event=0xc7",
	.desc = "SIMD Scalar-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.vector_integer",
	.event = "period=200000,umask=0x10,event=0xc7",
	.desc = "SIMD Vector Integer Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_folding",
	.event = "period=2000000,umask=0x4,event=0xd1",
	.desc = "Stack pointer instructions decoded",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_sync",
	.event = "period=2000000,umask=0x8,event=0xd1",
	.desc = "Stack pointer sync operations",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.ms_cycles_active",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xd1",
	.desc = "Uops decoded by Microcode Sequencer",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xd1",
	.desc = "Cycles no Uops are decoded",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles",
	.event = "any=1,cmask=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles_no_port5",
	.event = "any=1,cmask=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count_no_port5",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles no Uops issued on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles_no_port5",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port0",
	.event = "period=2000000,umask=0x1,event=0xb1",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015",
	.event = "period=2000000,umask=0x40,event=0xb1",
	.desc = "Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015_stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x40,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port1",
	.event = "period=2000000,umask=0x2,event=0xb1",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port234_core",
	.event = "any=1,period=2000000,umask=0x80,event=0xb1",
	.desc = "Uops issued on ports 2, 3 or 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port2_core",
	.event = "any=1,period=2000000,umask=0x4,event=0xb1",
	.desc = "Uops executed on port 2 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port3_core",
	.event = "any=1,period=2000000,umask=0x8,event=0xb1",
	.desc = "Uops executed on port 3 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port4_core",
	.event = "any=1,period=2000000,umask=0x10,event=0xb1",
	.desc = "Uops executed on port 4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port5",
	.event = "period=2000000,umask=0x20,event=0xb1",
	.desc = "Uops executed on port 5",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000000,umask=0x1,event=0xe",
	.desc = "Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued on any thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.cycles_all_threads",
	.event = "any=1,cmask=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles Uops were issued on either thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.fused",
	.event = "period=2000000,umask=0x2,event=0xe",
	.desc = "Fused Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued",
	.topic = "pipeline",
},
{
	.name = "uops_retired.active_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are being retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x1,event=0xc2",
	.desc = "Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000000,umask=0x4,event=0xc2",
	.desc = "Macro-fused Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000000,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are not retiring (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Total cycles using precise uop retired event (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uop_unfusion",
	.event = "period=2000000,umask=0x1,event=0xdb",
	.desc = "Uop unfusions due to FP exceptions",
	.topic = "pipeline",
},
{
	.name = "fp_assist.all",
	.event = "period=20000,umask=0x1,event=0xf7",
	.desc = "X87 Floating point assists (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.input",
	.event = "period=20000,umask=0x4,event=0xf7",
	.desc = "X87 Floating poiint assists for invalid input value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.output",
	.event = "period=20000,umask=0x2,event=0xf7",
	.desc = "X87 Floating point assists for invalid output value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.mmx",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "MMX Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse2_integer",
	.event = "period=2000000,umask=0x8,event=0x10",
	.desc = "SSE2 integer Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_double_precision",
	.event = "period=2000000,umask=0x80,event=0x10",
	.desc = "SSE* FP double precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp",
	.event = "period=2000000,umask=0x4,event=0x10",
	.desc = "SSE and SSE2 FP Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_packed",
	.event = "period=2000000,umask=0x10,event=0x10",
	.desc = "SSE FP packed Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_scalar",
	.event = "period=2000000,umask=0x20,event=0x10",
	.desc = "SSE FP scalar Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_single_precision",
	.event = "period=2000000,umask=0x40,event=0x10",
	.desc = "SSE* FP single precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Computational floating-point operations executed",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.any",
	.event = "period=2000000,umask=0x3,event=0xcc",
	.desc = "All Floating Point to and from MMX transitions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_fp",
	.event = "period=2000000,umask=0x1,event=0xcc",
	.desc = "Transitions from MMX to Floating Point instructions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_mmx",
	.event = "period=2000000,umask=0x2,event=0xcc",
	.desc = "Transitions from Floating Point to MMX instructions",
	.topic = "floating point",
},
{
	.name = "simd_int_128.pack",
	.event = "period=200000,umask=0x4,event=0x12",
	.desc = "128 bit SIMD integer pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_arith",
	.event = "period=200000,umask=0x20,event=0x12",
	.desc = "128 bit SIMD integer arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_logical",
	.event = "period=200000,umask=0x10,event=0x12",
	.desc = "128 bit SIMD integer logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_mpy",
	.event = "period=200000,umask=0x1,event=0x12",
	.desc = "128 bit SIMD integer multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_shift",
	.event = "period=200000,umask=0x2,event=0x12",
	.desc = "128 bit SIMD integer shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.shuffle_move",
	.event = "period=200000,umask=0x40,event=0x12",
	.desc = "128 bit SIMD integer shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.unpack",
	.event = "period=200000,umask=0x8,event=0x12",
	.desc = "128 bit SIMD integer unpack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.pack",
	.event = "period=200000,umask=0x4,event=0xfd",
	.desc = "SIMD integer 64 bit pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_arith",
	.event = "period=200000,umask=0x20,event=0xfd",
	.desc = "SIMD integer 64 bit arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_logical",
	.event = "period=200000,umask=0x10,event=0xfd",
	.desc = "SIMD integer 64 bit logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_mpy",
	.event = "period=200000,umask=0x1,event=0xfd",
	.desc = "SIMD integer 64 bit packed multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_shift",
	.event = "period=200000,umask=0x2,event=0xfd",
	.desc = "SIMD integer 64 bit shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.shuffle_move",
	.event = "period=200000,umask=0x40,event=0xfd",
	.desc = "SIMD integer 64 bit shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.unpack",
	.event = "period=200000,umask=0x8,event=0xfd",
	.desc = "SIMD integer 64 bit unpack operations",
	.topic = "floating point",
},
{
	.name = "offcore_response.any_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6011",
	.desc = "Offcore data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF811",
	.desc = "Offcore data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4011",
	.desc = "Offcore data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2011",
	.desc = "Offcore data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6044",
	.desc = "Offcore code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF844",
	.desc = "Offcore code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4044",
	.desc = "Offcore code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2044",
	.desc = "Offcore code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x60FF",
	.desc = "Offcore requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF8FF",
	.desc = "Offcore requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x40FF",
	.desc = "Offcore requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x20FF",
	.desc = "Offcore requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6022",
	.desc = "Offcore RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF822",
	.desc = "Offcore RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4022",
	.desc = "Offcore RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2022",
	.desc = "Offcore RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6008",
	.desc = "Offcore writebacks to any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF808",
	.desc = "Offcore writebacks that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4008",
	.desc = "Offcore writebacks to the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2008",
	.desc = "Offcore writebacks to a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6077",
	.desc = "Offcore code or data read requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF877",
	.desc = "Offcore code or data read requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4077",
	.desc = "Offcore code or data read requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2077",
	.desc = "Offcore code or data read requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6033",
	.desc = "Offcore request = all data, response = any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF833",
	.desc = "Offcore request = all data, response = any LLC miss",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6003",
	.desc = "Offcore demand data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF803",
	.desc = "Offcore demand data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4003",
	.desc = "Offcore demand data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2003",
	.desc = "Offcore demand data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6001",
	.desc = "Offcore demand data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF801",
	.desc = "Offcore demand data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4001",
	.desc = "Offcore demand data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2001",
	.desc = "Offcore demand data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6004",
	.desc = "Offcore demand code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF804",
	.desc = "Offcore demand code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4004",
	.desc = "Offcore demand code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2004",
	.desc = "Offcore demand code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6002",
	.desc = "Offcore demand RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF802",
	.desc = "Offcore demand RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4002",
	.desc = "Offcore demand RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2002",
	.desc = "Offcore demand RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6080",
	.desc = "Offcore other requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF880",
	.desc = "Offcore other requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.other.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2080",
	.desc = "Offcore other requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6030",
	.desc = "Offcore prefetch data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF830",
	.desc = "Offcore prefetch data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4030",
	.desc = "Offcore prefetch data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2030",
	.desc = "Offcore prefetch data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6010",
	.desc = "Offcore prefetch data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF810",
	.desc = "Offcore prefetch data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4010",
	.desc = "Offcore prefetch data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2010",
	.desc = "Offcore prefetch data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6040",
	.desc = "Offcore prefetch code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF840",
	.desc = "Offcore prefetch code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4040",
	.desc = "Offcore prefetch code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2040",
	.desc = "Offcore prefetch code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6020",
	.desc = "Offcore prefetch RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF820",
	.desc = "Offcore prefetch RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4020",
	.desc = "Offcore prefetch RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2020",
	.desc = "Offcore prefetch RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6070",
	.desc = "Offcore prefetch requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF870",
	.desc = "Offcore prefetch requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4070",
	.desc = "Offcore prefetch requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2070",
	.desc = "Offcore prefetch requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "cache_lock_cycles.l1d",
	.event = "period=2000000,umask=0x2,event=0x63",
	.desc = "Cycles L1D locked",
	.topic = "cache",
},
{
	.name = "cache_lock_cycles.l1d_l2",
	.event = "period=2000000,umask=0x1,event=0x63",
	.desc = "Cycles L1D and L2 locked",
	.topic = "cache",
},
{
	.name = "l1d.m_evict",
	.event = "period=2000000,umask=0x4,event=0x51",
	.desc = "L1D cache lines replaced in M state",
	.topic = "cache",
},
{
	.name = "l1d.m_repl",
	.event = "period=2000000,umask=0x2,event=0x51",
	.desc = "L1D cache lines allocated in the M state",
	.topic = "cache",
},
{
	.name = "l1d.m_snoop_evict",
	.event = "period=2000000,umask=0x8,event=0x51",
	.desc = "L1D snoop eviction of cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.repl",
	.event = "period=2000000,umask=0x1,event=0x51",
	.desc = "L1 data cache lines allocated",
	.topic = "cache",
},
{
	.name = "l1d_all_ref.any",
	.event = "period=2000000,umask=0x1,event=0x43",
	.desc = "All references to the L1 data cache",
	.topic = "cache",
},
{
	.name = "l1d_all_ref.cacheable",
	.event = "period=2000000,umask=0x2,event=0x43",
	.desc = "L1 data cacheable reads and writes",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.e_state",
	.event = "period=2000000,umask=0x4,event=0x40",
	.desc = "L1 data cache read in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.i_state",
	.event = "period=2000000,umask=0x1,event=0x40",
	.desc = "L1 data cache read in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.mesi",
	.event = "period=2000000,umask=0xf,event=0x40",
	.desc = "L1 data cache reads",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.m_state",
	.event = "period=2000000,umask=0x8,event=0x40",
	.desc = "L1 data cache read in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_ld.s_state",
	.event = "period=2000000,umask=0x2,event=0x40",
	.desc = "L1 data cache read in S state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.e_state",
	.event = "period=2000000,umask=0x4,event=0x42",
	.desc = "L1 data cache load locks in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.hit",
	.event = "period=2000000,umask=0x1,event=0x42",
	.desc = "L1 data cache load lock hits",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.m_state",
	.event = "period=2000000,umask=0x8,event=0x42",
	.desc = "L1 data cache load locks in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock.s_state",
	.event = "period=2000000,umask=0x2,event=0x42",
	.desc = "L1 data cache load locks in S state",
	.topic = "cache",
},
{
	.name = "l1d_cache_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x53",
	.desc = "L1D load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_cache_prefetch_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x52",
	.desc = "L1D prefetch load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.e_state",
	.event = "period=2000000,umask=0x4,event=0x41",
	.desc = "L1 data cache stores in E state",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.m_state",
	.event = "period=2000000,umask=0x8,event=0x41",
	.desc = "L1 data cache stores in M state",
	.topic = "cache",
},
{
	.name = "l1d_cache_st.s_state",
	.event = "period=2000000,umask=0x2,event=0x41",
	.desc = "L1 data cache stores in S state",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.miss",
	.event = "period=200000,umask=0x2,event=0x4e",
	.desc = "L1D hardware prefetch misses",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.requests",
	.event = "period=200000,umask=0x1,event=0x4e",
	.desc = "L1D hardware prefetch requests",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.triggers",
	.event = "period=200000,umask=0x4,event=0x4e",
	.desc = "L1D hardware prefetch requests triggered",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.e_state",
	.event = "period=100000,umask=0x4,event=0x28",
	.desc = "L1 writebacks to L2 in E state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.i_state",
	.event = "period=100000,umask=0x1,event=0x28",
	.desc = "L1 writebacks to L2 in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.mesi",
	.event = "period=100000,umask=0xf,event=0x28",
	.desc = "All L1 writebacks to L2",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.m_state",
	.event = "period=100000,umask=0x8,event=0x28",
	.desc = "L1 writebacks to L2 in M state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.s_state",
	.event = "period=100000,umask=0x2,event=0x28",
	.desc = "L1 writebacks to L2 in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.any",
	.event = "period=200000,umask=0xff,event=0x26",
	.desc = "All L2 data requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.e_state",
	.event = "period=200000,umask=0x4,event=0x26",
	.desc = "L2 data demand loads in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.i_state",
	.event = "period=200000,umask=0x1,event=0x26",
	.desc = "L2 data demand loads in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.mesi",
	.event = "period=200000,umask=0xf,event=0x26",
	.desc = "L2 data demand requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.m_state",
	.event = "period=200000,umask=0x8,event=0x26",
	.desc = "L2 data demand loads in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.s_state",
	.event = "period=200000,umask=0x2,event=0x26",
	.desc = "L2 data demand loads in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.e_state",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 data prefetches in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.i_state",
	.event = "period=200000,umask=0x10,event=0x26",
	.desc = "L2 data prefetches in the I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.mesi",
	.event = "period=200000,umask=0xf0,event=0x26",
	.desc = "All L2 data prefetches",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.m_state",
	.event = "period=200000,umask=0x80,event=0x26",
	.desc = "L2 data prefetches in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.s_state",
	.event = "period=200000,umask=0x20,event=0x26",
	.desc = "L2 data prefetches in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.any",
	.event = "period=100000,umask=0x7,event=0xf1",
	.desc = "L2 lines alloacated",
	.topic = "cache",
},
{
	.name = "l2_lines_in.e_state",
	.event = "period=100000,umask=0x4,event=0xf1",
	.desc = "L2 lines allocated in the E state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s_state",
	.event = "period=100000,umask=0x2,event=0xf1",
	.desc = "L2 lines allocated in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_out.any",
	.event = "period=100000,umask=0xf,event=0xf2",
	.desc = "L2 lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100000,umask=0x1,event=0xf2",
	.desc = "L2 lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100000,umask=0x2,event=0xf2",
	.desc = "L2 modified lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_clean",
	.event = "period=100000,umask=0x4,event=0xf2",
	.desc = "L2 lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_dirty",
	.event = "period=100000,umask=0x8,event=0xf2",
	.desc = "L2 modified lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetches",
	.event = "period=200000,umask=0x30,event=0x24",
	.desc = "L2 instruction fetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_hit",
	.event = "period=200000,umask=0x10,event=0x24",
	.desc = "L2 instruction fetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_miss",
	.event = "period=200000,umask=0x20,event=0x24",
	.desc = "L2 instruction fetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_hit",
	.event = "period=200000,umask=0x1,event=0x24",
	.desc = "L2 load hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_miss",
	.event = "period=200000,umask=0x2,event=0x24",
	.desc = "L2 load misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.loads",
	.event = "period=200000,umask=0x3,event=0x24",
	.desc = "L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200000,umask=0xaa,event=0x24",
	.desc = "All L2 misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetches",
	.event = "period=200000,umask=0xc0,event=0x24",
	.desc = "All L2 prefetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_hit",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 prefetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_miss",
	.event = "period=200000,umask=0x80,event=0x24",
	.desc = "L2 prefetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200000,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfos",
	.event = "period=200000,umask=0xc,event=0x24",
	.desc = "L2 RFO requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200000,umask=0x4,event=0x24",
	.desc = "L2 RFO hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200000,umask=0x8,event=0x24",
	.desc = "L2 RFO misses",
	.topic = "cache",
},
{
	.name = "l2_transactions.any",
	.event = "period=200000,umask=0x80,event=0xf0",
	.desc = "All L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.fill",
	.event = "period=200000,umask=0x20,event=0xf0",
	.desc = "L2 fill transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.ifetch",
	.event = "period=200000,umask=0x4,event=0xf0",
	.desc = "L2 instruction fetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.l1d_wb",
	.event = "period=200000,umask=0x10,event=0xf0",
	.desc = "L1D writeback to L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.load",
	.event = "period=200000,umask=0x1,event=0xf0",
	.desc = "L2 Load transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.prefetch",
	.event = "period=200000,umask=0x8,event=0xf0",
	.desc = "L2 prefetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.rfo",
	.event = "period=200000,umask=0x2,event=0xf0",
	.desc = "L2 RFO transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.wb",
	.event = "period=200000,umask=0x40,event=0xf0",
	.desc = "L2 writeback to LLC transactions",
	.topic = "cache",
},
{
	.name = "l2_write.lock.e_state",
	.event = "period=100000,umask=0x40,event=0x27",
	.desc = "L2 demand lock RFOs in E state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.hit",
	.event = "period=100000,umask=0xe0,event=0x27",
	.desc = "All demand L2 lock RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.lock.i_state",
	.event = "period=100000,umask=0x10,event=0x27",
	.desc = "L2 demand lock RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.lock.mesi",
	.event = "period=100000,umask=0xf0,event=0x27",
	.desc = "All demand L2 lock RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.lock.m_state",
	.event = "period=100000,umask=0x80,event=0x27",
	.desc = "L2 demand lock RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.s_state",
	.event = "period=100000,umask=0x20,event=0x27",
	.desc = "L2 demand lock RFOs in S state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.hit",
	.event = "period=100000,umask=0xe,event=0x27",
	.desc = "All L2 demand store RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.i_state",
	.event = "period=100000,umask=0x1,event=0x27",
	.desc = "L2 demand store RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.mesi",
	.event = "period=100000,umask=0xf,event=0x27",
	.desc = "All L2 demand store RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.m_state",
	.event = "period=100000,umask=0x8,event=0x27",
	.desc = "L2 demand store RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.s_state",
	.event = "period=100000,umask=0x2,event=0x27",
	.desc = "L2 demand store RFOs in S state",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100000,umask=0x41,event=0x2e",
	.desc = "Longest latency cache miss",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "Longest latency cache reference",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_0",
	.event = "period=2000000,umask=0x10,event=0xb,ldlat=",
	.desc = "Memory instructions retired above 0 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_1024",
	.event = "period=100,umask=0x10,event=0xb,ldlat=0x400",
	.desc = "Memory instructions retired above 1024 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_128",
	.event = "period=1000,umask=0x10,event=0xb,ldlat=0x80",
	.desc = "Memory instructions retired above 128 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16",
	.event = "period=10000,umask=0x10,event=0xb,ldlat=0x10",
	.desc = "Memory instructions retired above 16 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16384",
	.event = "period=5,umask=0x10,event=0xb,ldlat=0x4000",
	.desc = "Memory instructions retired above 16384 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_2048",
	.event = "period=50,umask=0x10,event=0xb,ldlat=0x800",
	.desc = "Memory instructions retired above 2048 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_256",
	.event = "period=500,umask=0x10,event=0xb,ldlat=0x100",
	.desc = "Memory instructions retired above 256 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32",
	.event = "period=5000,umask=0x10,event=0xb,ldlat=0x20",
	.desc = "Memory instructions retired above 32 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32768",
	.event = "period=3,umask=0x10,event=0xb,ldlat=0x8000",
	.desc = "Memory instructions retired above 32768 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4",
	.event = "period=50000,umask=0x10,event=0xb,ldlat=0x4",
	.desc = "Memory instructions retired above 4 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4096",
	.event = "period=20,umask=0x10,event=0xb,ldlat=0x1000",
	.desc = "Memory instructions retired above 4096 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_512",
	.event = "period=200,umask=0x10,event=0xb,ldlat=0x200",
	.desc = "Memory instructions retired above 512 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_64",
	.event = "period=2000,umask=0x10,event=0xb,ldlat=0x40",
	.desc = "Memory instructions retired above 64 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8",
	.event = "period=20000,umask=0x10,event=0xb,ldlat=0x8",
	.desc = "Memory instructions retired above 8 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8192",
	.event = "period=10,umask=0x10,event=0xb,ldlat=0x2000",
	.desc = "Memory instructions retired above 8192 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.loads",
	.event = "period=2000000,umask=0x1,event=0xb",
	.desc = "Instructions retired which contains a load (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.stores",
	.event = "period=2000000,umask=0x2,event=0xb",
	.desc = "Instructions retired which contains a store (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.hit_lfb",
	.event = "period=200000,umask=0x40,event=0xcb",
	.desc = "Retired loads that miss L1D and hit an previously allocated LFB (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l1d_hit",
	.event = "period=2000000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L1 data cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x2,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_miss",
	.event = "period=10000,umask=0x10,event=0xcb",
	.desc = "Retired loads that miss the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_unshared_hit",
	.event = "period=40000,umask=0x4,event=0xcb",
	.desc = "Retired loads that hit valid versions in the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.other_core_l2_hit_hitm",
	.event = "period=40000,umask=0x8,event=0xcb",
	.desc = "Retired loads that hit sibling core's L2 in modified or unmodified states (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.l1d_writeback",
	.event = "period=100000,umask=0x40,event=0xb0",
	.desc = "Offcore L1 data cache writebacks",
	.topic = "cache",
},
{
	.name = "offcore_requests_sq_full",
	.event = "period=100000,umask=0x1,event=0xb2",
	.desc = "Offcore requests blocked due to Super Queue full",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F11",
	.desc = "Offcore data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF11",
	.desc = "All offcore data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8011",
	.desc = "Offcore data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x111",
	.desc = "Offcore data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x211",
	.desc = "Offcore data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x411",
	.desc = "Offcore data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x711",
	.desc = "Offcore data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4711",
	.desc = "Offcore data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1811",
	.desc = "Offcore data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3811",
	.desc = "Offcore data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1011",
	.desc = "Offcore data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x811",
	.desc = "Offcore data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F44",
	.desc = "Offcore code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF44",
	.desc = "All offcore code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8044",
	.desc = "Offcore code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x144",
	.desc = "Offcore code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x244",
	.desc = "Offcore code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x444",
	.desc = "Offcore code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x744",
	.desc = "Offcore code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4744",
	.desc = "Offcore code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1844",
	.desc = "Offcore code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3844",
	.desc = "Offcore code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1044",
	.desc = "Offcore code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x844",
	.desc = "Offcore code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FFF",
	.desc = "Offcore requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFFFF",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x80FF",
	.desc = "Offcore requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1FF",
	.desc = "Offcore requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2FF",
	.desc = "Offcore requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4FF",
	.desc = "Offcore requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FF",
	.desc = "Offcore requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x47FF",
	.desc = "Offcore requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x18FF",
	.desc = "Offcore requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x38FF",
	.desc = "Offcore requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x10FF",
	.desc = "Offcore requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8FF",
	.desc = "Offcore requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F22",
	.desc = "Offcore RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF22",
	.desc = "All offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8022",
	.desc = "Offcore RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x122",
	.desc = "Offcore RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x222",
	.desc = "Offcore RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x422",
	.desc = "Offcore RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x722",
	.desc = "Offcore RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4722",
	.desc = "Offcore RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1822",
	.desc = "Offcore RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3822",
	.desc = "Offcore RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1022",
	.desc = "Offcore RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x822",
	.desc = "Offcore RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F08",
	.desc = "Offcore writebacks to any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF08",
	.desc = "All offcore writebacks",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8008",
	.desc = "Offcore writebacks to the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x108",
	.desc = "Offcore writebacks to the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x408",
	.desc = "Offcore writebacks to the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x708",
	.desc = "Offcore writebacks to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4708",
	.desc = "Offcore writebacks to the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1808",
	.desc = "Offcore writebacks to a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3808",
	.desc = "Offcore writebacks to a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1008",
	.desc = "Offcore writebacks that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x808",
	.desc = "Offcore writebacks that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F77",
	.desc = "Offcore code or data read requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF77",
	.desc = "All offcore code or data read requests",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8077",
	.desc = "Offcore code or data read requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x177",
	.desc = "Offcore code or data read requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x277",
	.desc = "Offcore code or data read requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x477",
	.desc = "Offcore code or data read requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x777",
	.desc = "Offcore code or data read requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4777",
	.desc = "Offcore code or data read requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1877",
	.desc = "Offcore code or data read requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3877",
	.desc = "Offcore code or data read requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1077",
	.desc = "Offcore code or data read requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x877",
	.desc = "Offcore code or data read requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F33",
	.desc = "Offcore request = all data, response = any cache_dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF33",
	.desc = "Offcore request = all data, response = any location",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x133",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x233",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x433",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x733",
	.desc = "Offcore request = all data, response = local cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4733",
	.desc = "Offcore request = all data, response = local cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1833",
	.desc = "Offcore request = all data, response = remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3833",
	.desc = "Offcore request = all data, response = remote cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1033",
	.desc = "Offcore data reads, RFOs, and prefetches that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x833",
	.desc = "Offcore data reads, RFOs, and prefetches that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F03",
	.desc = "Offcore demand data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF03",
	.desc = "All offcore demand data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8003",
	.desc = "Offcore demand data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x103",
	.desc = "Offcore demand data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x203",
	.desc = "Offcore demand data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x403",
	.desc = "Offcore demand data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x703",
	.desc = "Offcore demand data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4703",
	.desc = "Offcore demand data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1803",
	.desc = "Offcore demand data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3803",
	.desc = "Offcore demand data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1003",
	.desc = "Offcore demand data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x803",
	.desc = "Offcore demand data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F01",
	.desc = "Offcore demand data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF01",
	.desc = "All offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8001",
	.desc = "Offcore demand data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x101",
	.desc = "Offcore demand data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x201",
	.desc = "Offcore demand data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x401",
	.desc = "Offcore demand data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x701",
	.desc = "Offcore demand data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4701",
	.desc = "Offcore demand data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1801",
	.desc = "Offcore demand data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3801",
	.desc = "Offcore demand data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1001",
	.desc = "Offcore demand data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x801",
	.desc = "Offcore demand data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F04",
	.desc = "Offcore demand code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF04",
	.desc = "All offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8004",
	.desc = "Offcore demand code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x104",
	.desc = "Offcore demand code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x204",
	.desc = "Offcore demand code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x404",
	.desc = "Offcore demand code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x704",
	.desc = "Offcore demand code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4704",
	.desc = "Offcore demand code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1804",
	.desc = "Offcore demand code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3804",
	.desc = "Offcore demand code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1004",
	.desc = "Offcore demand code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x804",
	.desc = "Offcore demand code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F02",
	.desc = "Offcore demand RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF02",
	.desc = "All offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8002",
	.desc = "Offcore demand RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x102",
	.desc = "Offcore demand RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x202",
	.desc = "Offcore demand RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x402",
	.desc = "Offcore demand RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x702",
	.desc = "Offcore demand RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4702",
	.desc = "Offcore demand RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1002",
	.desc = "Offcore demand RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x802",
	.desc = "Offcore demand RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F80",
	.desc = "Offcore other requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF80",
	.desc = "All offcore other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8080",
	.desc = "Offcore other requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x180",
	.desc = "Offcore other requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x280",
	.desc = "Offcore other requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x480",
	.desc = "Offcore other requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x780",
	.desc = "Offcore other requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4780",
	.desc = "Offcore other requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1880",
	.desc = "Offcore other requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3880",
	.desc = "Offcore other requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1080",
	.desc = "Offcore other requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x880",
	.desc = "Offcore other requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F30",
	.desc = "Offcore prefetch data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF30",
	.desc = "All offcore prefetch data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8030",
	.desc = "Offcore prefetch data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x130",
	.desc = "Offcore prefetch data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x230",
	.desc = "Offcore prefetch data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x430",
	.desc = "Offcore prefetch data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x730",
	.desc = "Offcore prefetch data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4730",
	.desc = "Offcore prefetch data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3830",
	.desc = "Offcore prefetch data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1030",
	.desc = "Offcore prefetch data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x830",
	.desc = "Offcore prefetch data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F10",
	.desc = "Offcore prefetch data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF10",
	.desc = "All offcore prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8010",
	.desc = "Offcore prefetch data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x110",
	.desc = "Offcore prefetch data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x210",
	.desc = "Offcore prefetch data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x410",
	.desc = "Offcore prefetch data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x710",
	.desc = "Offcore prefetch data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4710",
	.desc = "Offcore prefetch data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1010",
	.desc = "Offcore prefetch data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x810",
	.desc = "Offcore prefetch data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F40",
	.desc = "Offcore prefetch code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF40",
	.desc = "All offcore prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8040",
	.desc = "Offcore prefetch code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x140",
	.desc = "Offcore prefetch code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x240",
	.desc = "Offcore prefetch code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x440",
	.desc = "Offcore prefetch code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x740",
	.desc = "Offcore prefetch code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4740",
	.desc = "Offcore prefetch code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1040",
	.desc = "Offcore prefetch code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x840",
	.desc = "Offcore prefetch code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F20",
	.desc = "Offcore prefetch RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF20",
	.desc = "All offcore prefetch RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8020",
	.desc = "Offcore prefetch RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x120",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x220",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x420",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1020",
	.desc = "Offcore prefetch RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x820",
	.desc = "Offcore prefetch RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F70",
	.desc = "Offcore prefetch requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF70",
	.desc = "All offcore prefetch requests",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8070",
	.desc = "Offcore prefetch requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x170",
	.desc = "Offcore prefetch requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x270",
	.desc = "Offcore prefetch requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x470",
	.desc = "Offcore prefetch requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x770",
	.desc = "Offcore prefetch requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4770",
	.desc = "Offcore prefetch requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1870",
	.desc = "Offcore prefetch requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3870",
	.desc = "Offcore prefetch requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1070",
	.desc = "Offcore prefetch requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x870",
	.desc = "Offcore prefetch requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=2000000,umask=0x10,event=0xf4",
	.desc = "Super Queue lock splits across a cache line",
	.topic = "cache",
},
{
	.name = "store_blocks.at_ret",
	.event = "period=200000,umask=0x4,event=0x6",
	.desc = "Loads delayed with at-Retirement block code",
	.topic = "cache",
},
{
	.name = "store_blocks.l1d_block",
	.event = "period=200000,umask=0x8,event=0x6",
	.desc = "Cacheable loads delayed with L1D block code",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_meteorlake[] = {
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts cacheable demand data reads Catch all value for any response types - this includes response types not define in the OCR.  If this is set all other response types will be ignored. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership, including SWPREFETCHW which is an RFO Catch all value for any response types - this includes response types not define in the OCR.  If this is set all other response types will be ignored. Unit: cpu_atom ",
	.topic = "other",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x10002",
	.desc = "Counts demand read for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that have any type of response. Unit: cpu_core ",
	.topic = "other",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x12",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.pmu = "cpu_core",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x13",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.pmu = "cpu_core",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to any page size. Unit: cpu_atom ",
	.topic = "virtual memory",
	.pmu = "cpu_atom",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x11",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes). Unit: cpu_core ",
	.topic = "virtual memory",
	.pmu = "cpu_core",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts every time the code stream enters into a new cache line by walking sequential from the previous line or being redirected by a jump. Unit: cpu_atom ",
	.topic = "frontend",
	.pmu = "cpu_atom",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts every time the code stream enters into a new cache line by walking sequential from the previous line or being redirected by a jump and the instruction cache registers bytes are not present. -. Unit: cpu_atom ",
	.topic = "frontend",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the total number of branch instructions retired for all branch types. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the total number of mispredicted branch instructions retired for all branch types. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted branch instructions retired. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Fixed Counter: Counts the number of unhalted core clock cycles. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles[This event is alias to CPU_CLK_UNHALTED.THREAD_P]. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Fixed Counter: Counts the number of unhalted reference clock cycles. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the core is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Fixed Counter: Counts the number of unhalted core clock cycles. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles[This event is alias to CPU_CLK_UNHALTED.CORE_P]. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Fixed Counter: Counts the number of instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the number of instructions retired. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event. Unit: cpu_core  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x82,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event. Unit: cpu_core ",
	.topic = "pipeline",
	.pmu = "cpu_core",
},
{
	.name = "topdown_bad_speculation.all",
	.event = "period=1000003,event=0x73",
	.desc = "Counts the number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_be_bound.all",
	.event = "period=1000003,event=0x74",
	.desc = "Counts the number of retirement slots not consumed due to backend stalls. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_fe_bound.all",
	.event = "period=1000003,event=0x71",
	.desc = "Counts the number of retirement slots not consumed due to front end stalls. Unit: cpu_atom ",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "topdown_retiring.all",
	.event = "period=1000003,event=0x72",
	.desc = "Counts the number of consumed retirement slots.  Similar to UOPS_RETIRED.ALL. Unit: cpu_atom  (Precise event)",
	.topic = "pipeline",
	.pmu = "cpu_atom",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "mem_trans_retired.store_sample",
	.event = "period=1000003,umask=0x2,event=0xcd",
	.desc = "Retired memory store access operations. A PDist event for PEBS Store Latency Facility. Unit: cpu_core   Supports address when precise (Must be precise)",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00001",
	.desc = "Counts cacheable demand data reads were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00001",
	.desc = "Counts demand data reads that were not supplied by the L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00002",
	.desc = "Counts demand reads for ownership, including SWPREFETCHW which is an RFO were not supplied by the L3 cache. Unit: cpu_atom ",
	.topic = "memory",
	.pmu = "cpu_atom",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0x2a,offcore_rsp=0x3FBFC00002",
	.desc = "Counts demand read for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache. Unit: cpu_core ",
	.topic = "memory",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read access L2 cache. Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that miss in the LLC. Counts on a per core basis. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3). Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that access the LLC. Counts on a per core basis. Unit: cpu_atom ",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable requests that refer to L3 (Except hardware prefetches to the L3). Unit: cpu_core ",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions. Unit: cpu_core   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_core",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Counts the number of load ops retired. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Counts the number of store ops retired. Unit: cpu_atom   Supports address when precise (Precise event)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_128",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x80",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_16",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x10",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_256",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x100",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_32",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x20",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_4",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x4",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_512",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x200",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_64",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x40",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.load_latency_gt_8",
	.event = "period=1000003,umask=0x5,event=0xd0,ldlat=0x8",
	.desc = "Counts the number of tagged load uops retired that exceed the latency threshold defined in MEC_CR_PEBS_LD_LAT_THRESHOLD - Only counts with PEBS enabled. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = "mem_uops_retired.store_latency",
	.event = "period=1000003,umask=0x6,event=0xd0",
	.desc = "Counts the number of  stores uops retired same as MEM_UOPS_RETIRED.ALL_STORES. Unit: cpu_atom   Supports address when precise (Must be precise)",
	.topic = "cache",
	.pmu = "cpu_atom",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_westmereep_sp[] = {
{
	.name = "es_reg_renames",
	.event = "period=2000000,umask=0x1,event=0xd5",
	.desc = "ES segment renames",
	.topic = "other",
},
{
	.name = "io_transactions",
	.event = "period=2000000,umask=0x1,event=0x6c",
	.desc = "I/O transactions",
	.topic = "other",
},
{
	.name = "l1i.cycles_stalled",
	.event = "period=2000000,umask=0x4,event=0x80",
	.desc = "L1I instruction fetch stall cycles",
	.topic = "other",
},
{
	.name = "l1i.hits",
	.event = "period=2000000,umask=0x1,event=0x80",
	.desc = "L1I instruction fetch hits",
	.topic = "other",
},
{
	.name = "l1i.misses",
	.event = "period=2000000,umask=0x2,event=0x80",
	.desc = "L1I instruction fetch misses",
	.topic = "other",
},
{
	.name = "l1i.reads",
	.event = "period=2000000,umask=0x3,event=0x80",
	.desc = "L1I Instruction fetches",
	.topic = "other",
},
{
	.name = "large_itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "Large ITLB hit",
	.topic = "other",
},
{
	.name = "load_block.overlap_store",
	.event = "period=200000,umask=0x2,event=0x3",
	.desc = "Loads that partially overlap an earlier store",
	.topic = "other",
},
{
	.name = "load_dispatch.any",
	.event = "period=2000000,umask=0x7,event=0x13",
	.desc = "All loads dispatched",
	.topic = "other",
},
{
	.name = "load_dispatch.mob",
	.event = "period=2000000,umask=0x4,event=0x13",
	.desc = "Loads dispatched from the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Loads dispatched that bypass the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs_delayed",
	.event = "period=2000000,umask=0x2,event=0x13",
	.desc = "Loads dispatched from stage 305",
	.topic = "other",
},
{
	.name = "partial_address_alias",
	.event = "period=200000,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial address aliasing",
	.topic = "other",
},
{
	.name = "sb_drain.any",
	.event = "period=200000,umask=0x7,event=0x4",
	.desc = "All Store buffer stall cycles",
	.topic = "other",
},
{
	.name = "seg_rename_stalls",
	.event = "period=2000000,umask=0x1,event=0xd4",
	.desc = "Segment rename stall cycles",
	.topic = "other",
},
{
	.name = "snoopq_requests.code",
	.event = "period=100000,umask=0x4,event=0xb4",
	.desc = "Snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.data",
	.event = "period=100000,umask=0x1,event=0xb4",
	.desc = "Snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.invalidate",
	.event = "period=100000,umask=0x2,event=0xb4",
	.desc = "Snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code",
	.event = "period=2000000,umask=0x4,event=0xb3",
	.desc = "Outstanding snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0xb3",
	.desc = "Cycles snoop code requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data",
	.event = "period=2000000,umask=0x1,event=0xb3",
	.desc = "Outstanding snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xb3",
	.desc = "Cycles snoop data requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate",
	.event = "period=2000000,umask=0x2,event=0xb3",
	.desc = "Outstanding snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xb3",
	.desc = "Cycles snoop invalidate requests queued",
	.topic = "other",
},
{
	.name = "snoop_response.hit",
	.event = "period=100000,umask=0x1,event=0xb8",
	.desc = "Thread responded HIT to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hite",
	.event = "period=100000,umask=0x2,event=0xb8",
	.desc = "Thread responded HITE to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hitm",
	.event = "period=100000,umask=0x4,event=0xb8",
	.desc = "Thread responded HITM to snoop",
	.topic = "other",
},
{
	.name = "sq_full_stall_cycles",
	.event = "period=2000000,umask=0x1,event=0xf6",
	.desc = "Super Queue full stall cycles",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.any",
	.event = "period=200000,umask=0x1,event=0x8",
	.desc = "DTLB load misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x8",
	.desc = "DTLB load miss caused by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000000,umask=0x10,event=0x8",
	.desc = "DTLB second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x8",
	.desc = "DTLB load miss page walks complete",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_cycles",
	.event = "period=200000,umask=0x4,event=0x8",
	.desc = "DTLB load miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x49",
	.desc = "DTLB misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x49",
	.desc = "DTLB miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.stlb_hit",
	.event = "period=200000,umask=0x10,event=0x49",
	.desc = "DTLB first level misses but second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x49",
	.desc = "DTLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x49",
	.desc = "DTLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000000,umask=0x10,event=0x4f",
	.desc = "Extended Page Table walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_flush",
	.event = "period=2000000,umask=0x1,event=0xae",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x85",
	.desc = "ITLB miss",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x85",
	.desc = "ITLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x85",
	.desc = "ITLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_miss_retired",
	.event = "period=200000,umask=0x20,event=0xc8",
	.desc = "Retired instructions that missed the ITLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x80,event=0xcb",
	.desc = "Retired loads that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_store_retired.dtlb_miss",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Retired stores that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "macro_insts.decoded",
	.event = "period=2000000,umask=0x1,event=0xd0",
	.desc = "Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.fusions_decoded",
	.event = "period=2000000,umask=0x1,event=0xa6",
	.desc = "Macro-fused instructions decoded",
	.topic = "frontend",
},
{
	.name = "two_uop_insts_decoded",
	.event = "period=2000000,umask=0x1,event=0x19",
	.desc = "Two Uop instructions decoded",
	.topic = "frontend",
},
{
	.name = "arith.cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.div",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1,event=0x14",
	.desc = "Divide Operations executed",
	.topic = "pipeline",
},
{
	.name = "arith.mul",
	.event = "period=2000000,umask=0x2,event=0x14",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "baclear.bad_target",
	.event = "period=2000000,umask=0x2,event=0xe6",
	.desc = "BACLEAR asserted with bad target address",
	.topic = "pipeline",
},
{
	.name = "baclear.clear",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEAR asserted, regardless of cause",
	.topic = "pipeline",
},
{
	.name = "baclear_force_iq",
	.event = "period=2000000,umask=0x1,event=0xa7",
	.desc = "Instruction queue forced BACLEAR",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.early",
	.event = "period=2000000,umask=0x1,event=0xe8",
	.desc = "Early Branch Prediciton Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.late",
	.event = "period=2000000,umask=0x2,event=0xe8",
	.desc = "Late Branch Prediction Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_missed_call_ret",
	.event = "period=2000000,umask=0x1,event=0xe5",
	.desc = "Branch prediction unit missed call or return",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.any",
	.event = "period=200000,umask=0x7f,event=0x88",
	.desc = "Branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.cond",
	.event = "period=200000,umask=0x1,event=0x88",
	.desc = "Conditional branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct",
	.event = "period=200000,umask=0x2,event=0x88",
	.desc = "Unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct_near_call",
	.event = "period=20000,umask=0x10,event=0x88",
	.desc = "Unconditional call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_near_call",
	.event = "period=20000,umask=0x20,event=0x88",
	.desc = "Indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_non_call",
	.event = "period=20000,umask=0x4,event=0x88",
	.desc = "Indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.near_calls",
	.event = "period=20000,umask=0x30,event=0x88",
	.desc = "Call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.non_calls",
	.event = "period=200000,umask=0x7,event=0x88",
	.desc = "All non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.return_near",
	.event = "period=20000,umask=0x8,event=0x88",
	.desc = "Indirect return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken",
	.event = "period=200000,umask=0x40,event=0x88",
	.desc = "Taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=200000,umask=0x1,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=20000,umask=0x2,event=0xc4",
	.desc = "Retired near call instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.any",
	.event = "period=20000,umask=0x7f,event=0x89",
	.desc = "Mispredicted branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.cond",
	.event = "period=20000,umask=0x1,event=0x89",
	.desc = "Mispredicted conditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct",
	.event = "period=20000,umask=0x2,event=0x89",
	.desc = "Mispredicted unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct_near_call",
	.event = "period=2000,umask=0x10,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_near_call",
	.event = "period=2000,umask=0x20,event=0x89",
	.desc = "Mispredicted indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_non_call",
	.event = "period=2000,umask=0x4,event=0x89",
	.desc = "Mispredicted indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.near_calls",
	.event = "period=2000,umask=0x30,event=0x89",
	.desc = "Mispredicted call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.non_calls",
	.event = "period=20000,umask=0x7,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.return_near",
	.event = "period=2000,umask=0x8,event=0x89",
	.desc = "Mispredicted return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken",
	.event = "period=20000,umask=0x40,event=0x89",
	.desc = "Mispredicted taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=20000,umask=0x4,event=0xc5",
	.desc = "Mispredicted retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=20000,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional retired branches (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=2000,umask=0x2,event=0xc5",
	.desc = "Mispredicted near retired calls (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_p",
	.event = "period=100000,umask=0x1,event=0x3c",
	.desc = "Reference base clock (133 Mhz) cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.total_cycles",
	.event = "cmask=2,inv=1,period=2000000,event=0x3c",
	.desc = "Total CPU cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.any",
	.event = "period=2000000,umask=0xf,event=0x87",
	.desc = "Any Instruction Length Decoder stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000000,umask=0x4,event=0x87",
	.desc = "Instruction Queue full stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Length Change Prefix stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.mru",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Stall cycles due to BPU MRU bypass",
	.topic = "pipeline",
},
{
	.name = "ild_stall.regen",
	.event = "period=2000000,umask=0x8,event=0x87",
	.desc = "Regen stall cycles",
	.topic = "pipeline",
},
{
	.name = "inst_decoded.dec0",
	.event = "period=2000000,umask=0x1,event=0x18",
	.desc = "Instructions that must be decoded by decoder 0",
	.topic = "pipeline",
},
{
	.name = "inst_queue_writes",
	.event = "period=2000000,umask=0x1,event=0x17",
	.desc = "Instructions written to instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_queue_write_cycles",
	.event = "period=2000000,umask=0x1,event=0x1e",
	.desc = "Cycles instructions are written to the instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Programmable counter and Precise Event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.mmx",
	.event = "period=2000000,umask=0x4,event=0xc0",
	.desc = "Retired MMX instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000000,umask=0x2,event=0xc0",
	.desc = "Retired floating-point operations (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre",
	.event = "period=200000,umask=0x1,event=0x4c",
	.desc = "Load operations conflicting with software prefetches",
	.topic = "pipeline",
},
{
	.name = "lsd.active",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles when uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd.inactive",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles no uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd_overflow",
	.event = "period=2000000,umask=0x1,event=0x20",
	.desc = "Loops that can't stream from the instruction queue",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=20000,umask=0x1,event=0xc3",
	.desc = "Cycles machine clear asserted",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mem_order",
	.event = "period=20000,umask=0x2,event=0xc3",
	.desc = "Execution pipeline restart due to Memory ordering conflicts",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20000,umask=0x4,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.any",
	.event = "period=2000000,umask=0xf,event=0xd2",
	.desc = "All RAT stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.flags",
	.event = "period=2000000,umask=0x1,event=0xd2",
	.desc = "Flag stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.registers",
	.event = "period=2000000,umask=0x2,event=0xd2",
	.desc = "Partial register stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.rob_read_port",
	.event = "period=2000000,umask=0x4,event=0xd2",
	.desc = "ROB read port stalls cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.scoreboard",
	.event = "period=2000000,umask=0x8,event=0xd2",
	.desc = "Scoreboard stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000000,umask=0x1,event=0xa2",
	.desc = "Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.fpcw",
	.event = "period=2000000,umask=0x20,event=0xa2",
	.desc = "FPU control word write stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.load",
	.event = "period=2000000,umask=0x2,event=0xa2",
	.desc = "Load buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mxcsr",
	.event = "period=2000000,umask=0x40,event=0xa2",
	.desc = "MXCSR rename stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.other",
	.event = "period=2000000,umask=0x80,event=0xa2",
	.desc = "Other Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob_full",
	.event = "period=2000000,umask=0x10,event=0xa2",
	.desc = "ROB full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs_full",
	.event = "period=2000000,umask=0x4,event=0xa2",
	.desc = "Reservation Station full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.store",
	.event = "period=2000000,umask=0x8,event=0xa2",
	.desc = "Store buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_double",
	.event = "period=200000,umask=0x4,event=0xc7",
	.desc = "SIMD Packed-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_single",
	.event = "period=200000,umask=0x1,event=0xc7",
	.desc = "SIMD Packed-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_double",
	.event = "period=200000,umask=0x8,event=0xc7",
	.desc = "SIMD Scalar-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_single",
	.event = "period=200000,umask=0x2,event=0xc7",
	.desc = "SIMD Scalar-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.vector_integer",
	.event = "period=200000,umask=0x10,event=0xc7",
	.desc = "SIMD Vector Integer Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_folding",
	.event = "period=2000000,umask=0x4,event=0xd1",
	.desc = "Stack pointer instructions decoded",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_sync",
	.event = "period=2000000,umask=0x8,event=0xd1",
	.desc = "Stack pointer sync operations",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.ms_cycles_active",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xd1",
	.desc = "Uops decoded by Microcode Sequencer",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xd1",
	.desc = "Cycles no Uops are decoded",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles",
	.event = "any=1,cmask=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles_no_port5",
	.event = "any=1,cmask=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count_no_port5",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles no Uops issued on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles_no_port5",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port0",
	.event = "period=2000000,umask=0x1,event=0xb1",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015",
	.event = "period=2000000,umask=0x40,event=0xb1",
	.desc = "Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015_stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x40,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port1",
	.event = "period=2000000,umask=0x2,event=0xb1",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port234_core",
	.event = "any=1,period=2000000,umask=0x80,event=0xb1",
	.desc = "Uops issued on ports 2, 3 or 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port2_core",
	.event = "any=1,period=2000000,umask=0x4,event=0xb1",
	.desc = "Uops executed on port 2 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port3_core",
	.event = "any=1,period=2000000,umask=0x8,event=0xb1",
	.desc = "Uops executed on port 3 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port4_core",
	.event = "any=1,period=2000000,umask=0x10,event=0xb1",
	.desc = "Uops executed on port 4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port5",
	.event = "period=2000000,umask=0x20,event=0xb1",
	.desc = "Uops executed on port 5",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000000,umask=0x1,event=0xe",
	.desc = "Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued on any thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.cycles_all_threads",
	.event = "any=1,cmask=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles Uops were issued on either thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.fused",
	.event = "period=2000000,umask=0x2,event=0xe",
	.desc = "Fused Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued",
	.topic = "pipeline",
},
{
	.name = "uops_retired.active_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are being retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x1,event=0xc2",
	.desc = "Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000000,umask=0x4,event=0xc2",
	.desc = "Macro-fused Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000000,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are not retiring (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Total cycles using precise uop retired event (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uop_unfusion",
	.event = "period=2000000,umask=0x1,event=0xdb",
	.desc = "Uop unfusions due to FP exceptions",
	.topic = "pipeline",
},
{
	.name = "fp_assist.all",
	.event = "period=20000,umask=0x1,event=0xf7",
	.desc = "X87 Floating point assists (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.input",
	.event = "period=20000,umask=0x4,event=0xf7",
	.desc = "X87 Floating poiint assists for invalid input value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.output",
	.event = "period=20000,umask=0x2,event=0xf7",
	.desc = "X87 Floating point assists for invalid output value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.mmx",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "MMX Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse2_integer",
	.event = "period=2000000,umask=0x8,event=0x10",
	.desc = "SSE2 integer Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_double_precision",
	.event = "period=2000000,umask=0x80,event=0x10",
	.desc = "SSE* FP double precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp",
	.event = "period=2000000,umask=0x4,event=0x10",
	.desc = "SSE and SSE2 FP Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_packed",
	.event = "period=2000000,umask=0x10,event=0x10",
	.desc = "SSE FP packed Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_scalar",
	.event = "period=2000000,umask=0x20,event=0x10",
	.desc = "SSE FP scalar Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_single_precision",
	.event = "period=2000000,umask=0x40,event=0x10",
	.desc = "SSE* FP single precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Computational floating-point operations executed",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.any",
	.event = "period=2000000,umask=0x3,event=0xcc",
	.desc = "All Floating Point to and from MMX transitions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_fp",
	.event = "period=2000000,umask=0x1,event=0xcc",
	.desc = "Transitions from MMX to Floating Point instructions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_mmx",
	.event = "period=2000000,umask=0x2,event=0xcc",
	.desc = "Transitions from Floating Point to MMX instructions",
	.topic = "floating point",
},
{
	.name = "simd_int_128.pack",
	.event = "period=200000,umask=0x4,event=0x12",
	.desc = "128 bit SIMD integer pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_arith",
	.event = "period=200000,umask=0x20,event=0x12",
	.desc = "128 bit SIMD integer arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_logical",
	.event = "period=200000,umask=0x10,event=0x12",
	.desc = "128 bit SIMD integer logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_mpy",
	.event = "period=200000,umask=0x1,event=0x12",
	.desc = "128 bit SIMD integer multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_shift",
	.event = "period=200000,umask=0x2,event=0x12",
	.desc = "128 bit SIMD integer shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.shuffle_move",
	.event = "period=200000,umask=0x40,event=0x12",
	.desc = "128 bit SIMD integer shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.unpack",
	.event = "period=200000,umask=0x8,event=0x12",
	.desc = "128 bit SIMD integer unpack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.pack",
	.event = "period=200000,umask=0x4,event=0xfd",
	.desc = "SIMD integer 64 bit pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_arith",
	.event = "period=200000,umask=0x20,event=0xfd",
	.desc = "SIMD integer 64 bit arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_logical",
	.event = "period=200000,umask=0x10,event=0xfd",
	.desc = "SIMD integer 64 bit logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_mpy",
	.event = "period=200000,umask=0x1,event=0xfd",
	.desc = "SIMD integer 64 bit packed multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_shift",
	.event = "period=200000,umask=0x2,event=0xfd",
	.desc = "SIMD integer 64 bit shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.shuffle_move",
	.event = "period=200000,umask=0x40,event=0xfd",
	.desc = "SIMD integer 64 bit shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.unpack",
	.event = "period=200000,umask=0x8,event=0xfd",
	.desc = "SIMD integer 64 bit unpack operations",
	.topic = "floating point",
},
{
	.name = "offcore_response.any_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6011",
	.desc = "Offcore data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF811",
	.desc = "Offcore data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2011",
	.desc = "Offcore data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4011",
	.desc = "Offcore data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6044",
	.desc = "Offcore code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF844",
	.desc = "Offcore code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2044",
	.desc = "Offcore code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4044",
	.desc = "Offcore code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x60FF",
	.desc = "Offcore requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF8FF",
	.desc = "Offcore requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x20FF",
	.desc = "Offcore requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x40FF",
	.desc = "Offcore requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6022",
	.desc = "Offcore RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF822",
	.desc = "Offcore RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2022",
	.desc = "Offcore RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4022",
	.desc = "Offcore RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6008",
	.desc = "Offcore writebacks to any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF808",
	.desc = "Offcore writebacks that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2008",
	.desc = "Offcore writebacks to the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4008",
	.desc = "Offcore writebacks to a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6077",
	.desc = "Offcore code or data read requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF877",
	.desc = "Offcore code or data read requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2077",
	.desc = "Offcore code or data read requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4077",
	.desc = "Offcore code or data read requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6033",
	.desc = "Offcore request = all data, response = any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF833",
	.desc = "Offcore request = all data, response = any LLC miss",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6003",
	.desc = "Offcore demand data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF803",
	.desc = "Offcore demand data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2003",
	.desc = "Offcore demand data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4003",
	.desc = "Offcore demand data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6001",
	.desc = "Offcore demand data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF801",
	.desc = "Offcore demand data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2001",
	.desc = "Offcore demand data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4001",
	.desc = "Offcore demand data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6004",
	.desc = "Offcore demand code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF804",
	.desc = "Offcore demand code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2004",
	.desc = "Offcore demand code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4004",
	.desc = "Offcore demand code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6002",
	.desc = "Offcore demand RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF802",
	.desc = "Offcore demand RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2002",
	.desc = "Offcore demand RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4002",
	.desc = "Offcore demand RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6080",
	.desc = "Offcore other requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF880",
	.desc = "Offcore other requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.other.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4080",
	.desc = "Offcore other requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6050",
	.desc = "Offcore prefetch data requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF850",
	.desc = "Offcore prefetch data requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2050",
	.desc = "Offcore prefetch data requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4050",
	.desc = "Offcore prefetch data requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6010",
	.desc = "Offcore prefetch data reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF810",
	.desc = "Offcore prefetch data reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2010",
	.desc = "Offcore prefetch data reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4010",
	.desc = "Offcore prefetch data reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6040",
	.desc = "Offcore prefetch code reads satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF840",
	.desc = "Offcore prefetch code reads that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2040",
	.desc = "Offcore prefetch code reads satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4040",
	.desc = "Offcore prefetch code reads satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6020",
	.desc = "Offcore prefetch RFO requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF820",
	.desc = "Offcore prefetch RFO requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2020",
	.desc = "Offcore prefetch RFO requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4020",
	.desc = "Offcore prefetch RFO requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x6070",
	.desc = "Offcore prefetch requests satisfied by any DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xF870",
	.desc = "Offcore prefetch requests that missed the LLC",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2070",
	.desc = "Offcore prefetch requests satisfied by the local DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4070",
	.desc = "Offcore prefetch requests satisfied by a remote DRAM",
	.topic = "memory",
},
{
	.name = "cache_lock_cycles.l1d",
	.event = "period=2000000,umask=0x2,event=0x63",
	.desc = "Cycles L1D locked",
	.topic = "cache",
},
{
	.name = "cache_lock_cycles.l1d_l2",
	.event = "period=2000000,umask=0x1,event=0x63",
	.desc = "Cycles L1D and L2 locked",
	.topic = "cache",
},
{
	.name = "l1d.m_evict",
	.event = "period=2000000,umask=0x4,event=0x51",
	.desc = "L1D cache lines replaced in M state",
	.topic = "cache",
},
{
	.name = "l1d.m_repl",
	.event = "period=2000000,umask=0x2,event=0x51",
	.desc = "L1D cache lines allocated in the M state",
	.topic = "cache",
},
{
	.name = "l1d.m_snoop_evict",
	.event = "period=2000000,umask=0x8,event=0x51",
	.desc = "L1D snoop eviction of cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.repl",
	.event = "period=2000000,umask=0x1,event=0x51",
	.desc = "L1 data cache lines allocated",
	.topic = "cache",
},
{
	.name = "l1d_cache_prefetch_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x52",
	.desc = "L1D prefetch load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.miss",
	.event = "period=200000,umask=0x2,event=0x4e",
	.desc = "L1D hardware prefetch misses",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.requests",
	.event = "period=200000,umask=0x1,event=0x4e",
	.desc = "L1D hardware prefetch requests",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.triggers",
	.event = "period=200000,umask=0x4,event=0x4e",
	.desc = "L1D hardware prefetch requests triggered",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.e_state",
	.event = "period=100000,umask=0x4,event=0x28",
	.desc = "L1 writebacks to L2 in E state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.i_state",
	.event = "period=100000,umask=0x1,event=0x28",
	.desc = "L1 writebacks to L2 in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.mesi",
	.event = "period=100000,umask=0xf,event=0x28",
	.desc = "All L1 writebacks to L2",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.m_state",
	.event = "period=100000,umask=0x8,event=0x28",
	.desc = "L1 writebacks to L2 in M state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.s_state",
	.event = "period=100000,umask=0x2,event=0x28",
	.desc = "L1 writebacks to L2 in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.any",
	.event = "period=200000,umask=0xff,event=0x26",
	.desc = "All L2 data requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.e_state",
	.event = "period=200000,umask=0x4,event=0x26",
	.desc = "L2 data demand loads in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.i_state",
	.event = "period=200000,umask=0x1,event=0x26",
	.desc = "L2 data demand loads in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.mesi",
	.event = "period=200000,umask=0xf,event=0x26",
	.desc = "L2 data demand requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.m_state",
	.event = "period=200000,umask=0x8,event=0x26",
	.desc = "L2 data demand loads in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.s_state",
	.event = "period=200000,umask=0x2,event=0x26",
	.desc = "L2 data demand loads in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.e_state",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 data prefetches in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.i_state",
	.event = "period=200000,umask=0x10,event=0x26",
	.desc = "L2 data prefetches in the I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.mesi",
	.event = "period=200000,umask=0xf0,event=0x26",
	.desc = "All L2 data prefetches",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.m_state",
	.event = "period=200000,umask=0x80,event=0x26",
	.desc = "L2 data prefetches in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.s_state",
	.event = "period=200000,umask=0x20,event=0x26",
	.desc = "L2 data prefetches in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.any",
	.event = "period=100000,umask=0x7,event=0xf1",
	.desc = "L2 lines alloacated",
	.topic = "cache",
},
{
	.name = "l2_lines_in.e_state",
	.event = "period=100000,umask=0x4,event=0xf1",
	.desc = "L2 lines allocated in the E state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s_state",
	.event = "period=100000,umask=0x2,event=0xf1",
	.desc = "L2 lines allocated in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_out.any",
	.event = "period=100000,umask=0xf,event=0xf2",
	.desc = "L2 lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100000,umask=0x1,event=0xf2",
	.desc = "L2 lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100000,umask=0x2,event=0xf2",
	.desc = "L2 modified lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_clean",
	.event = "period=100000,umask=0x4,event=0xf2",
	.desc = "L2 lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_dirty",
	.event = "period=100000,umask=0x8,event=0xf2",
	.desc = "L2 modified lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetches",
	.event = "period=200000,umask=0x30,event=0x24",
	.desc = "L2 instruction fetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_hit",
	.event = "period=200000,umask=0x10,event=0x24",
	.desc = "L2 instruction fetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_miss",
	.event = "period=200000,umask=0x20,event=0x24",
	.desc = "L2 instruction fetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_hit",
	.event = "period=200000,umask=0x1,event=0x24",
	.desc = "L2 load hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_miss",
	.event = "period=200000,umask=0x2,event=0x24",
	.desc = "L2 load misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.loads",
	.event = "period=200000,umask=0x3,event=0x24",
	.desc = "L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200000,umask=0xaa,event=0x24",
	.desc = "All L2 misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetches",
	.event = "period=200000,umask=0xc0,event=0x24",
	.desc = "All L2 prefetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_hit",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 prefetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_miss",
	.event = "period=200000,umask=0x80,event=0x24",
	.desc = "L2 prefetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200000,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfos",
	.event = "period=200000,umask=0xc,event=0x24",
	.desc = "L2 RFO requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200000,umask=0x4,event=0x24",
	.desc = "L2 RFO hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200000,umask=0x8,event=0x24",
	.desc = "L2 RFO misses",
	.topic = "cache",
},
{
	.name = "l2_transactions.any",
	.event = "period=200000,umask=0x80,event=0xf0",
	.desc = "All L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.fill",
	.event = "period=200000,umask=0x20,event=0xf0",
	.desc = "L2 fill transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.ifetch",
	.event = "period=200000,umask=0x4,event=0xf0",
	.desc = "L2 instruction fetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.l1d_wb",
	.event = "period=200000,umask=0x10,event=0xf0",
	.desc = "L1D writeback to L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.load",
	.event = "period=200000,umask=0x1,event=0xf0",
	.desc = "L2 Load transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.prefetch",
	.event = "period=200000,umask=0x8,event=0xf0",
	.desc = "L2 prefetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.rfo",
	.event = "period=200000,umask=0x2,event=0xf0",
	.desc = "L2 RFO transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.wb",
	.event = "period=200000,umask=0x40,event=0xf0",
	.desc = "L2 writeback to LLC transactions",
	.topic = "cache",
},
{
	.name = "l2_write.lock.e_state",
	.event = "period=100000,umask=0x40,event=0x27",
	.desc = "L2 demand lock RFOs in E state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.hit",
	.event = "period=100000,umask=0xe0,event=0x27",
	.desc = "All demand L2 lock RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.lock.i_state",
	.event = "period=100000,umask=0x10,event=0x27",
	.desc = "L2 demand lock RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.lock.mesi",
	.event = "period=100000,umask=0xf0,event=0x27",
	.desc = "All demand L2 lock RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.lock.m_state",
	.event = "period=100000,umask=0x80,event=0x27",
	.desc = "L2 demand lock RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.s_state",
	.event = "period=100000,umask=0x20,event=0x27",
	.desc = "L2 demand lock RFOs in S state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.hit",
	.event = "period=100000,umask=0xe,event=0x27",
	.desc = "All L2 demand store RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.i_state",
	.event = "period=100000,umask=0x1,event=0x27",
	.desc = "L2 demand store RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.mesi",
	.event = "period=100000,umask=0xf,event=0x27",
	.desc = "All L2 demand store RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.m_state",
	.event = "period=100000,umask=0x8,event=0x27",
	.desc = "L2 demand store RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.s_state",
	.event = "period=100000,umask=0x2,event=0x27",
	.desc = "L2 demand store RFOs in S state",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100000,umask=0x41,event=0x2e",
	.desc = "Longest latency cache miss",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "Longest latency cache reference",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_0",
	.event = "period=2000000,umask=0x10,event=0xb,ldlat=",
	.desc = "Memory instructions retired above 0 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_1024",
	.event = "period=100,umask=0x10,event=0xb,ldlat=0x400",
	.desc = "Memory instructions retired above 1024 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_128",
	.event = "period=1000,umask=0x10,event=0xb,ldlat=0x80",
	.desc = "Memory instructions retired above 128 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16",
	.event = "period=10000,umask=0x10,event=0xb,ldlat=0x10",
	.desc = "Memory instructions retired above 16 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16384",
	.event = "period=5,umask=0x10,event=0xb,ldlat=0x4000",
	.desc = "Memory instructions retired above 16384 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_2048",
	.event = "period=50,umask=0x10,event=0xb,ldlat=0x800",
	.desc = "Memory instructions retired above 2048 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_256",
	.event = "period=500,umask=0x10,event=0xb,ldlat=0x100",
	.desc = "Memory instructions retired above 256 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32",
	.event = "period=5000,umask=0x10,event=0xb,ldlat=0x20",
	.desc = "Memory instructions retired above 32 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32768",
	.event = "period=3,umask=0x10,event=0xb,ldlat=0x8000",
	.desc = "Memory instructions retired above 32768 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4",
	.event = "period=50000,umask=0x10,event=0xb,ldlat=0x4",
	.desc = "Memory instructions retired above 4 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4096",
	.event = "period=20,umask=0x10,event=0xb,ldlat=0x1000",
	.desc = "Memory instructions retired above 4096 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_512",
	.event = "period=200,umask=0x10,event=0xb,ldlat=0x200",
	.desc = "Memory instructions retired above 512 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_64",
	.event = "period=2000,umask=0x10,event=0xb,ldlat=0x40",
	.desc = "Memory instructions retired above 64 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8",
	.event = "period=20000,umask=0x10,event=0xb,ldlat=0x8",
	.desc = "Memory instructions retired above 8 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8192",
	.event = "period=10,umask=0x10,event=0xb,ldlat=0x2000",
	.desc = "Memory instructions retired above 8192 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.loads",
	.event = "period=2000000,umask=0x1,event=0xb",
	.desc = "Instructions retired which contains a load (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.stores",
	.event = "period=2000000,umask=0x2,event=0xb",
	.desc = "Instructions retired which contains a store (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.hit_lfb",
	.event = "period=200000,umask=0x40,event=0xcb",
	.desc = "Retired loads that miss L1D and hit an previously allocated LFB (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l1d_hit",
	.event = "period=2000000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L1 data cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x2,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_miss",
	.event = "period=10000,umask=0x10,event=0xcb",
	.desc = "Retired loads that miss the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_unshared_hit",
	.event = "period=40000,umask=0x4,event=0xcb",
	.desc = "Retired loads that hit valid versions in the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.other_core_l2_hit_hitm",
	.event = "period=40000,umask=0x8,event=0xcb",
	.desc = "Retired loads that hit sibling core's L2 in modified or unmodified states (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.local_dram",
	.event = "period=10000,umask=0x10,event=0xf",
	.desc = "Load instructions retired with a data source of local DRAM or locally homed remote hitm (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.other_core_l2_hitm",
	.event = "period=40000,umask=0x2,event=0xf",
	.desc = "Load instructions retired that HIT modified data in sibling core (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_cache_local_home_hit",
	.event = "period=20000,umask=0x8,event=0xf",
	.desc = "Load instructions retired remote cache HIT data source (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.remote_dram",
	.event = "period=10000,umask=0x20,event=0xf",
	.desc = "Load instructions retired remote DRAM and remote home-remote cache HITM (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_uncore_retired.uncacheable",
	.event = "period=4000,umask=0x80,event=0xf",
	.desc = "Load instructions retired IO (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.any",
	.event = "period=100000,umask=0x80,event=0xb0",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.read",
	.event = "period=100000,umask=0x8,event=0xb0",
	.desc = "Offcore read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.rfo",
	.event = "period=100000,umask=0x10,event=0xb0",
	.desc = "Offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_code",
	.event = "period=100000,umask=0x2,event=0xb0",
	.desc = "Offcore demand code read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_data",
	.event = "period=100000,umask=0x1,event=0xb0",
	.desc = "Offcore demand data read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.rfo",
	.event = "period=100000,umask=0x4,event=0xb0",
	.desc = "Offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.l1d_writeback",
	.event = "period=100000,umask=0x40,event=0xb0",
	.desc = "Offcore L1 data cache writebacks",
	.topic = "cache",
},
{
	.name = "offcore_requests.uncached_mem",
	.event = "period=100000,umask=0x20,event=0xb0",
	.desc = "Offcore uncached memory accesses",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read",
	.event = "period=2000000,umask=0x8,event=0x60",
	.desc = "Outstanding offcore reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read_not_empty",
	.event = "cmask=1,period=2000000,umask=0x8,event=0x60",
	.desc = "Cycles offcore reads busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code",
	.event = "period=2000000,umask=0x2,event=0x60",
	.desc = "Outstanding offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0x60",
	.desc = "Cycles offcore demand code read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data",
	.event = "period=2000000,umask=0x1,event=0x60",
	.desc = "Outstanding offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0x60",
	.desc = "Cycles offcore demand data read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo",
	.event = "period=2000000,umask=0x4,event=0x60",
	.desc = "Outstanding offcore demand RFOs",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0x60",
	.desc = "Cycles offcore demand RFOs busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_sq_full",
	.event = "period=100000,umask=0x1,event=0xb2",
	.desc = "Offcore requests blocked due to Super Queue full",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F11",
	.desc = "Offcore data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF11",
	.desc = "All offcore data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8011",
	.desc = "Offcore data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x111",
	.desc = "Offcore data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x211",
	.desc = "Offcore data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x411",
	.desc = "Offcore data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x711",
	.desc = "Offcore data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2711",
	.desc = "Offcore data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1811",
	.desc = "Offcore data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5811",
	.desc = "Offcore data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1011",
	.desc = "Offcore data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x811",
	.desc = "Offcore data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F44",
	.desc = "Offcore code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF44",
	.desc = "All offcore code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8044",
	.desc = "Offcore code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x144",
	.desc = "Offcore code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x244",
	.desc = "Offcore code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x444",
	.desc = "Offcore code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x744",
	.desc = "Offcore code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2744",
	.desc = "Offcore code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1844",
	.desc = "Offcore code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5844",
	.desc = "Offcore code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1044",
	.desc = "Offcore code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x844",
	.desc = "Offcore code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FFF",
	.desc = "Offcore requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFFFF",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x80FF",
	.desc = "Offcore requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1FF",
	.desc = "Offcore requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2FF",
	.desc = "Offcore requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4FF",
	.desc = "Offcore requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7FF",
	.desc = "Offcore requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x27FF",
	.desc = "Offcore requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x18FF",
	.desc = "Offcore requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x58FF",
	.desc = "Offcore requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x10FF",
	.desc = "Offcore requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8FF",
	.desc = "Offcore requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F22",
	.desc = "Offcore RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF22",
	.desc = "All offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8022",
	.desc = "Offcore RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x122",
	.desc = "Offcore RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x222",
	.desc = "Offcore RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x422",
	.desc = "Offcore RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x722",
	.desc = "Offcore RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2722",
	.desc = "Offcore RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1822",
	.desc = "Offcore RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5822",
	.desc = "Offcore RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1022",
	.desc = "Offcore RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x822",
	.desc = "Offcore RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F08",
	.desc = "Offcore writebacks to any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF08",
	.desc = "All offcore writebacks",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8008",
	.desc = "Offcore writebacks to the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x108",
	.desc = "Offcore writebacks to the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x408",
	.desc = "Offcore writebacks to the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x708",
	.desc = "Offcore writebacks to the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2708",
	.desc = "Offcore writebacks to the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1808",
	.desc = "Offcore writebacks to a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5808",
	.desc = "Offcore writebacks to a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1008",
	.desc = "Offcore writebacks that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x808",
	.desc = "Offcore writebacks that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F77",
	.desc = "Offcore code or data read requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF77",
	.desc = "All offcore code or data read requests",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8077",
	.desc = "Offcore code or data read requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x177",
	.desc = "Offcore code or data read requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x277",
	.desc = "Offcore code or data read requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x477",
	.desc = "Offcore code or data read requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x777",
	.desc = "Offcore code or data read requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2777",
	.desc = "Offcore code or data read requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1877",
	.desc = "Offcore code or data read requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5877",
	.desc = "Offcore code or data read requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1077",
	.desc = "Offcore code or data read requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x877",
	.desc = "Offcore code or data read requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F33",
	.desc = "Offcore request = all data, response = any cache_dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF33",
	.desc = "Offcore request = all data, response = any location",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8033",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x133",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x233",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x433",
	.desc = "Offcore data reads, RFOs, and prefetches satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x733",
	.desc = "Offcore request = all data, response = local cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2733",
	.desc = "Offcore request = all data, response = local cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1833",
	.desc = "Offcore request = all data, response = remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5833",
	.desc = "Offcore request = all data, response = remote cache or dram",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1033",
	.desc = "Offcore data reads, RFOs, and prefetches that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x833",
	.desc = "Offcore data reads, RFOs, and prefetches that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F03",
	.desc = "Offcore demand data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF03",
	.desc = "All offcore demand data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8003",
	.desc = "Offcore demand data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x103",
	.desc = "Offcore demand data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x203",
	.desc = "Offcore demand data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x403",
	.desc = "Offcore demand data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x703",
	.desc = "Offcore demand data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2703",
	.desc = "Offcore demand data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1803",
	.desc = "Offcore demand data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5803",
	.desc = "Offcore demand data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1003",
	.desc = "Offcore demand data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x803",
	.desc = "Offcore demand data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F01",
	.desc = "Offcore demand data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF01",
	.desc = "All offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8001",
	.desc = "Offcore demand data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x101",
	.desc = "Offcore demand data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x201",
	.desc = "Offcore demand data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x401",
	.desc = "Offcore demand data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x701",
	.desc = "Offcore demand data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2701",
	.desc = "Offcore demand data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1801",
	.desc = "Offcore demand data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5801",
	.desc = "Offcore demand data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1001",
	.desc = "Offcore demand data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x801",
	.desc = "Offcore demand data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F04",
	.desc = "Offcore demand code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF04",
	.desc = "All offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8004",
	.desc = "Offcore demand code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x104",
	.desc = "Offcore demand code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x204",
	.desc = "Offcore demand code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x404",
	.desc = "Offcore demand code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x704",
	.desc = "Offcore demand code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2704",
	.desc = "Offcore demand code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1804",
	.desc = "Offcore demand code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5804",
	.desc = "Offcore demand code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1004",
	.desc = "Offcore demand code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x804",
	.desc = "Offcore demand code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F02",
	.desc = "Offcore demand RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF02",
	.desc = "All offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8002",
	.desc = "Offcore demand RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x102",
	.desc = "Offcore demand RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x202",
	.desc = "Offcore demand RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x402",
	.desc = "Offcore demand RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x702",
	.desc = "Offcore demand RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2702",
	.desc = "Offcore demand RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5802",
	.desc = "Offcore demand RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1002",
	.desc = "Offcore demand RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x802",
	.desc = "Offcore demand RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F80",
	.desc = "Offcore other requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF80",
	.desc = "All offcore other requests",
	.topic = "cache",
},
{
	.name = "offcore_response.other.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8080",
	.desc = "Offcore other requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x180",
	.desc = "Offcore other requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x280",
	.desc = "Offcore other requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x480",
	.desc = "Offcore other requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x780",
	.desc = "Offcore other requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2780",
	.desc = "Offcore other requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1880",
	.desc = "Offcore other requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5880",
	.desc = "Offcore other requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1080",
	.desc = "Offcore other requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x880",
	.desc = "Offcore other requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F50",
	.desc = "Offcore prefetch data requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF50",
	.desc = "All offcore prefetch data requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8050",
	.desc = "Offcore prefetch data requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x150",
	.desc = "Offcore prefetch data requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x250",
	.desc = "Offcore prefetch data requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x450",
	.desc = "Offcore prefetch data requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x750",
	.desc = "Offcore prefetch data requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2750",
	.desc = "Offcore prefetch data requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1850",
	.desc = "Offcore prefetch data requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5850",
	.desc = "Offcore prefetch data requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1050",
	.desc = "Offcore prefetch data requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x850",
	.desc = "Offcore prefetch data requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F10",
	.desc = "Offcore prefetch data reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF10",
	.desc = "All offcore prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8010",
	.desc = "Offcore prefetch data reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x110",
	.desc = "Offcore prefetch data reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x210",
	.desc = "Offcore prefetch data reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x410",
	.desc = "Offcore prefetch data reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x710",
	.desc = "Offcore prefetch data reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2710",
	.desc = "Offcore prefetch data reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5810",
	.desc = "Offcore prefetch data reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1010",
	.desc = "Offcore prefetch data reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x810",
	.desc = "Offcore prefetch data reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F40",
	.desc = "Offcore prefetch code reads satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF40",
	.desc = "All offcore prefetch code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8040",
	.desc = "Offcore prefetch code reads satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x140",
	.desc = "Offcore prefetch code reads satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x240",
	.desc = "Offcore prefetch code reads satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x440",
	.desc = "Offcore prefetch code reads satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x740",
	.desc = "Offcore prefetch code reads satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2740",
	.desc = "Offcore prefetch code reads satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5840",
	.desc = "Offcore prefetch code reads satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1040",
	.desc = "Offcore prefetch code reads that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x840",
	.desc = "Offcore prefetch code reads that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F20",
	.desc = "Offcore prefetch RFO requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF20",
	.desc = "All offcore prefetch RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8020",
	.desc = "Offcore prefetch RFO requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x120",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x220",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x420",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2720",
	.desc = "Offcore prefetch RFO requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5820",
	.desc = "Offcore prefetch RFO requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1020",
	.desc = "Offcore prefetch RFO requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x820",
	.desc = "Offcore prefetch RFO requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7F70",
	.desc = "Offcore prefetch requests satisfied by any cache or DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xFF70",
	.desc = "All offcore prefetch requests",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8070",
	.desc = "Offcore prefetch requests satisfied by the IO, CSR, MMIO unit",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x170",
	.desc = "Offcore prefetch requests satisfied by the LLC and not found in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x270",
	.desc = "Offcore prefetch requests satisfied by the LLC and HIT in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x470",
	.desc = "Offcore prefetch requests satisfied by the LLC  and HITM in a sibling core",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x770",
	.desc = "Offcore prefetch requests satisfied by the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2770",
	.desc = "Offcore prefetch requests satisfied by the LLC or local DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1870",
	.desc = "Offcore prefetch requests satisfied by a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5870",
	.desc = "Offcore prefetch requests satisfied by a remote cache or remote DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1070",
	.desc = "Offcore prefetch requests that HIT in a remote cache",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x870",
	.desc = "Offcore prefetch requests that HITM in a remote cache",
	.topic = "cache",
},
{
	.name = "sq_misc.lru_hints",
	.event = "period=2000000,umask=0x4,event=0xf4",
	.desc = "Super Queue LRU hints sent to LLC",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=2000000,umask=0x10,event=0xf4",
	.desc = "Super Queue lock splits across a cache line",
	.topic = "cache",
},
{
	.name = "store_blocks.at_ret",
	.event = "period=200000,umask=0x4,event=0x6",
	.desc = "Loads delayed with at-Retirement block code",
	.topic = "cache",
},
{
	.name = "store_blocks.l1d_block",
	.event = "period=200000,umask=0x8,event=0x6",
	.desc = "Cacheable loads delayed with L1D block code",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_amdzen3[] = {
{
	.desc = "Execution-Time Branch Misprediction Ratio (Non-Speculative)",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ex_ret_brn_misp, ex_ret_brn)",
	.metric_name = "branch_misprediction_ratio",
	.metric_group = "branch_prediction",
},
{
	.name = "all_data_cache_accesses",
	.event = "umask=0x07,event=0x29",
	.desc = "All L1 Data Cache Accesses",
	.topic = "recommended",
},
{
	.desc = "All L2 Cache Accesses",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.all_no_prefetch + l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_accesses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_accesses_from_ic_misses",
	.event = "umask=0x10,event=0x60",
	.desc = "L2 Cache Accesses from L1 Instruction Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.name = "l2_cache_accesses_from_dc_misses",
	.event = "umask=0xe8,event=0x60",
	.desc = "L2 Cache Accesses from L1 Data Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Accesses from L2 HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_accesses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_miss_in_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_misses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_misses_from_ic_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "L2 Cache Misses from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_misses_from_dc_misses",
	.event = "umask=0x08,event=0x64",
	.desc = "L2 Cache Misses from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Misses from L2 Cache HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_misses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Hits",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_hit_in_l2 + l2_pf_hit_l2",
	.metric_name = "all_l2_cache_hits",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_hits_from_ic_misses",
	.event = "umask=0x06,event=0x64",
	.desc = "L2 Cache Hits from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_dc_misses",
	.event = "umask=0xf0,event=0x64",
	.desc = "L2 Cache Hits from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_l2_hwpf",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 Cache Hits from L2 Cache HWPF",
	.topic = "recommended",
},
{
	.name = "l3_cache_accesses",
	.event = "umask=0xff,event=0x4",
	.desc = "L3 Cache Accesses. Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.name = "l3_misses",
	.event = "umask=0x01,event=0x4",
	.desc = "L3 Misses (includes cacheline state change requests). Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.desc = "Average L3 Read Miss Latency (in core clocks)",
	.topic = "recommended",
	.unit = "1core clocks",
	.metric_expr = "(xi_sys_fill_latency * 16) / xi_ccx_sdp_req1",
	.metric_name = "l3_read_miss_latency",
	.metric_group = "l3_cache",
},
{
	.desc = "Op Cache (64B) Fetch Miss Ratio",
	.topic = "recommended",
	.metric_expr = "d_ratio(op_cache_hit_miss.op_cache_miss, op_cache_hit_miss.all_op_cache_accesses)",
	.metric_name = "op_cache_fetch_miss_ratio",
	.metric_group = "l2_cache",
},
{
	.desc = "Instruction Cache (32B) Fetch Miss Ratio",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ic_tag_hit_miss.instruction_cache_miss, ic_tag_hit_miss.all_instruction_cache_accesses)",
	.metric_name = "ic_fetch_miss_ratio",
	.metric_group = "l2_cache",
},
{
	.name = "l1_data_cache_fills_from_memory",
	.event = "umask=0x48,event=0x44",
	.desc = "L1 Data Cache Fills: From Memory",
	.topic = "recommended",
},
{
	.name = "l1_data_cache_fills_from_remote_node",
	.event = "umask=0x50,event=0x44",
	.desc = "L1 Data Cache Fills: From Remote Node",
	.topic = "recommended",
},
{
	.name = "l1_data_cache_fills_from_within_same_ccx",
	.event = "umask=0x03,event=0x44",
	.desc = "L1 Data Cache Fills: From within same CCX",
	.topic = "recommended",
},
{
	.name = "l1_data_cache_fills_from_external_ccx_cache",
	.event = "umask=0x14,event=0x44",
	.desc = "L1 Data Cache Fills: From External CCX Cache",
	.topic = "recommended",
},
{
	.name = "l1_data_cache_fills_all",
	.event = "umask=0xff,event=0x44",
	.desc = "L1 Data Cache Fills: All",
	.topic = "recommended",
},
{
	.desc = "L1 ITLB Misses",
	.topic = "recommended",
	.metric_expr = "bp_l1_tlb_miss_l2_tlb_hit + bp_l1_tlb_miss_l2_tlb_miss",
	.metric_name = "l1_itlb_misses",
	.metric_group = "tlb",
},
{
	.name = "l2_itlb_misses",
	.event = "umask=0x07,event=0x85",
	.desc = "L2 ITLB Misses & Instruction page walks",
	.topic = "recommended",
},
{
	.name = "l1_dtlb_misses",
	.event = "umask=0xff,event=0x45",
	.desc = "L1 DTLB Misses",
	.topic = "recommended",
},
{
	.name = "l2_dtlb_misses",
	.event = "umask=0xf0,event=0x45",
	.desc = "L2 DTLB Misses & Data page walks",
	.topic = "recommended",
},
{
	.name = "all_tlbs_flushed",
	.event = "umask=0xff,event=0x78",
	.desc = "All TLBs Flushed",
	.topic = "recommended",
},
{
	.desc = "Macro-ops Dispatched",
	.topic = "recommended",
	.metric_expr = "de_dis_cops_from_decoder.disp_op_type.any_integer_dispatch + de_dis_cops_from_decoder.disp_op_type.any_fp_dispatch",
	.metric_name = "macro_ops_dispatched",
	.metric_group = "decoder",
},
{
	.name = "sse_avx_stalls",
	.event = "umask=0x0e,event=0xe",
	.desc = "Mixed SSE/AVX Stalls",
	.topic = "recommended",
},
{
	.name = "macro_ops_retired",
	.event = "event=0xc1",
	.desc = "Macro-ops Retired",
	.topic = "recommended",
},
{
	.desc = "Approximate: Outbound data bytes for all Remote Links for a node (die)",
	.topic = "recommended",
	.unit = "3e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_outbound_data_controller_0 + remote_outbound_data_controller_1 + remote_outbound_data_controller_2 + remote_outbound_data_controller_3",
	.metric_name = "all_remote_links_outbound",
	.metric_group = "data_fabric",
},
{
	.desc = "Approximate: Combined DRAM B/bytes of all channels on a NPS1 node (die) (may need --metric-no-group)",
	.topic = "recommended",
	.unit = "6.1e-5MiB",
	.perpkg = "1",
	.metric_expr = "dram_channel_data_controller_0 + dram_channel_data_controller_1 + dram_channel_data_controller_2 + dram_channel_data_controller_3 + dram_channel_data_controller_4 + dram_channel_data_controller_5 + dram_channel_data_controller_6 + dram_channel_data_controller_7",
	.metric_name = "nps1_die_to_dram",
	.metric_group = "data_fabric",
},
{
	.name = "de_dis_uop_queue_empty_di0",
	.event = "event=0xa9",
	.desc = "Cycles where the Micro-Op Queue is empty",
	.topic = "other",
},
{
	.name = "de_dis_cops_from_decoder.disp_op_type.any_integer_dispatch",
	.event = "umask=0x08,event=0xab",
	.desc = "Any Integer dispatch. Types of Oops Dispatched from Decoder",
	.topic = "other",
},
{
	.name = "de_dis_cops_from_decoder.disp_op_type.any_fp_dispatch",
	.event = "umask=0x04,event=0xab",
	.desc = "Any FP dispatch. Types of Oops Dispatched from Decoder",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_flush_recovery_stall",
	.event = "umask=0x80,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. FP Flush recovery stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_sch_rsrc_stall",
	.event = "umask=0x40,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. FP scheduler resource stall. Applies to ops that use the FP scheduler",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_reg_file_rsrc_stall",
	.event = "umask=0x20,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. Floating point register file resource stall. Applies to all FP ops that have a destination register",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.taken_brnch_buffer_rsrc",
	.event = "umask=0x10,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. Taken branch buffer resource stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.int_sched_misc_token_stall",
	.event = "umask=0x08,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Integer Scheduler miscellaneous resource stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.store_queue_rsrc_stall",
	.event = "umask=0x04,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. Store Queue resource stall. Applies to all ops with store semantics",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.load_queue_rsrc_stall",
	.event = "umask=0x02,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. Load Queue resource stall. Applies to all ops with load semantics",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.int_phy_reg_file_rsrc_stall",
	.event = "umask=0x01,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a Token Stall. Also counts cycles when the thread is not selected to dispatch but would have been stalled due to a Token Stall. Integer Physical Register File resource stall. Integer Physical Register File, applies to all ops that have an integer destination register",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.retire_token_stall",
	.event = "umask=0x20,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Insufficient Retire Queue tokens available",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.agsq_token_stall",
	.event = "umask=0x10,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. AGSQ Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch3_token_stall",
	.event = "umask=0x08,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. No tokens for Integer Scheduler Queue 3 available",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch2_token_stall",
	.event = "umask=0x04,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. No tokens for Integer Scheduler Queue 2 available",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch1_token_stall",
	.event = "umask=0x02,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. No tokens for Integer Scheduler Queue 1 available",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls2.int_sch0_token_stall",
	.event = "umask=0x01,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. No tokens for Integer Scheduler Queue 0 available",
	.topic = "other",
},
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 Branch Prediction Overrides Existing Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 Branch Prediction Overrides Existing Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_dyn_ind_pred",
	.event = "event=0x8e",
	.desc = "Dynamic Indirect Predictions",
	.topic = "branch",
	.long_desc = "The number of times a branch used the indirect predictor to make a prediction",
},
{
	.name = "bp_de_redirect",
	.event = "event=0x91",
	.desc = "Decode Redirects",
	.topic = "branch",
	.long_desc = "The number of times the instruction decoder overrides the predicted target",
},
{
	.name = "bp_l1_tlb_fetch_hit",
	.event = "umask=0xff,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if1g",
	.event = "umask=0x04,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. L1 Instruction TLB hit (1G page size)",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if2m",
	.event = "umask=0x02,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. L1 Instruction TLB hit (2M page size)",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if4k",
	.event = "umask=0x01,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. L1 Instrcution TLB hit (4K or 16K page size)",
	.topic = "branch",
},
{
	.name = "bp_tlb_rel",
	.event = "event=0x99",
	.desc = "The number of ITLB reload requests",
	.topic = "branch",
},
{
	.name = "ex_ret_instr",
	.event = "event=0xc0",
	.desc = "Retired Instructions",
	.topic = "core",
},
{
	.name = "ex_ret_ops",
	.event = "event=0xc1",
	.desc = "Retired Ops. Use macro_ops_retired instead",
	.topic = "core",
	.long_desc = "The number of macro-ops retired",
},
{
	.name = "ex_ret_brn",
	.event = "event=0xc2",
	.desc = "Retired Branch Instructions",
	.topic = "core",
	.long_desc = "The number of branch instructions retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_misp",
	.event = "event=0xc3",
	.desc = "Retired Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of retired branch instructions, that were mispredicted",
},
{
	.name = "ex_ret_brn_tkn",
	.event = "event=0xc4",
	.desc = "Retired Taken Branch Instructions",
	.topic = "core",
	.long_desc = "The number of taken branches that were retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_tkn_misp",
	.event = "event=0xc5",
	.desc = "Retired Taken Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of retired taken branch instructions that were mispredicted",
},
{
	.name = "ex_ret_brn_far",
	.event = "event=0xc6",
	.desc = "Retired Far Control Transfers",
	.topic = "core",
	.long_desc = "The number of far control transfers retired including far call/jump/return, IRET, SYSCALL and SYSRET, plus exceptions and interrupts. Far control transfers are not subject to branch prediction",
},
{
	.name = "ex_ret_brn_resync",
	.event = "event=0xc7",
	.desc = "Retired Branch Resyncs",
	.topic = "core",
	.long_desc = "The number of resync branches. These reflect pipeline restarts due to certain microcode assists and events such as writes to the active instruction stream, among other things. Each occurrence reflects a restart penalty similar to a branch mispredict. This is relatively rare",
},
{
	.name = "ex_ret_near_ret",
	.event = "event=0xc8",
	.desc = "Retired Near Returns",
	.topic = "core",
	.long_desc = "The number of near return instructions (RET or RET Iw) retired",
},
{
	.name = "ex_ret_near_ret_mispred",
	.event = "event=0xc9",
	.desc = "Retired Near Returns Mispredicted",
	.topic = "core",
	.long_desc = "The number of near returns retired that were not correctly predicted by the return address predictor. Each such mispredict incurs the same penalty as a mispredicted conditional branch instruction",
},
{
	.name = "ex_ret_brn_ind_misp",
	.event = "event=0xca",
	.desc = "Retired Indirect Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of indirect branches retired that were not correctly predicted. Each such mispredict incurs the same penalty as a mispredicted conditional branch instruction. Note that only EX mispredicts are counted",
},
{
	.name = "ex_ret_mmx_fp_instr.sse_instr",
	.event = "umask=0x04,event=0xcb",
	.desc = "SSE instructions (SSE, SSE2, SSE3, SSSE3, SSE4A, SSE41, SSE42, AVX)",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS",
},
{
	.name = "ex_ret_mmx_fp_instr.mmx_instr",
	.event = "umask=0x02,event=0xcb",
	.desc = "MMX instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. MMX instructions",
},
{
	.name = "ex_ret_mmx_fp_instr.x87_instr",
	.event = "umask=0x01,event=0xcb",
	.desc = "x87 instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. x87 instructions",
},
{
	.name = "ex_ret_ind_brch_instr",
	.event = "event=0xcc",
	.desc = "Retired Indirect Branch Instructions. The number of indirect branches retired",
	.topic = "core",
},
{
	.name = "ex_ret_cond",
	.event = "event=0xd1",
	.desc = "Retired Conditional Branch Instructions",
	.topic = "core",
},
{
	.name = "ex_div_busy",
	.event = "event=0xd3",
	.desc = "Div Cycles Busy count",
	.topic = "core",
},
{
	.name = "ex_div_count",
	.event = "event=0xd4",
	.desc = "Div Op Count",
	.topic = "core",
},
{
	.name = "ex_ret_msprd_brnch_instr_dir_msmtch",
	.event = "event=0x1c7",
	.desc = "Retired Mispredicted Branch Instructions due to Direction Mismatch",
	.topic = "core",
	.long_desc = "The number of retired conditional branch instructions that were not correctly predicted because of a branch direction mismatch",
},
{
	.name = "ex_tagged_ibs_ops.ibs_count_rollover",
	.event = "umask=0x04,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of times an op could not be tagged by IBS because of a previous tagged op that has not retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops_ret",
	.event = "umask=0x02,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS that retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops",
	.event = "umask=0x01,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS",
	.topic = "core",
},
{
	.name = "ex_ret_fused_instr",
	.event = "event=0x1d0",
	.desc = "Counts retired Fused Instructions",
	.topic = "core",
},
{
	.name = "remote_outbound_data_controller_0",
	.event = "umask=0x02,event=0x7c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_1",
	.event = "umask=0x02,event=0x807",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_2",
	.event = "umask=0x02,event=0x847",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_3",
	.event = "umask=0x02,event=0x887",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_0",
	.event = "umask=0x38,event=0x7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_1",
	.event = "umask=0x38,event=0x47",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_2",
	.event = "umask=0x38,event=0x87",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_3",
	.event = "umask=0x38,event=0xc7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_4",
	.event = "umask=0x38,event=0x107",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_5",
	.event = "umask=0x38,event=0x147",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_6",
	.event = "umask=0x38,event=0x187",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_7",
	.event = "umask=0x38,event=0x1c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "fpu_pipe_assignment.total",
	.event = "umask=0x0f,event=0",
	.desc = "Total number of fp uOps",
	.topic = "floating point",
	.long_desc = "Total number of fp uOps. The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS",
},
{
	.name = "fpu_pipe_assignment.total3",
	.event = "umask=0x08,event=0",
	.desc = "Total number uOps assigned to pipe 3",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one-cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 3",
},
{
	.name = "fpu_pipe_assignment.total2",
	.event = "umask=0x04,event=0",
	.desc = "Total number uOps assigned to pipe 2",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 2",
},
{
	.name = "fpu_pipe_assignment.total1",
	.event = "umask=0x02,event=0",
	.desc = "Total number uOps assigned to pipe 1",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 1",
},
{
	.name = "fpu_pipe_assignment.total0",
	.event = "umask=0x01,event=0",
	.desc = "Total number of fp uOps  on pipe 0",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 0",
},
{
	.name = "fp_ret_sse_avx_ops.all",
	.event = "umask=0xff,event=0x3",
	.desc = "All FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mac_flops",
	.event = "umask=0x08,event=0x3",
	.desc = "Multiply-Accumulate FLOPs. Each MAC operation is counted as 2 FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPs. The number of events logged per cycle can vary from 0 to 64. This event requires the use of the MergeEvent since it can count above 15 events per cycle. See 2.1.17.3 [Large Increment per Cycle Events]. It does not provide a useful count without the use of the MergeEvent",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.div_flops",
	.event = "umask=0x04,event=0x3",
	.desc = "Divide/square root FLOPs. This is a retire-based event. The number of retired SSE/AVX FLOPs. The number of events logged per cycle can vary from 0 to 64. This event requires the use of the MergeEvent since it can count above 15 events per cycle. See 2.1.17.3 [Large Increment per Cycle Events]. It does not provide a useful count without the use of the MergeEvent",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mult_flops",
	.event = "umask=0x02,event=0x3",
	.desc = "Multiply FLOPs. This is a retire-based event. The number of retired SSE/AVX FLOPs. The number of events logged per cycle can vary from 0 to 64. This event requires the use of the MergeEvent since it can count above 15 events per cycle. See 2.1.17.3 [Large Increment per Cycle Events]. It does not provide a useful count without the use of the MergeEvent",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.add_sub_flops",
	.event = "umask=0x01,event=0x3",
	.desc = "Add/subtract FLOPs. This is a retire-based event. The number of retired SSE/AVX FLOPs. The number of events logged per cycle can vary from 0 to 64. This event requires the use of the MergeEvent since it can count above 15 events per cycle. See 2.1.17.3 [Large Increment per Cycle Events]. It does not provide a useful count without the use of the MergeEvent",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.optimized",
	.event = "umask=0x08,event=0x4",
	.desc = "Number of Scalar Ops optimized. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.opt_potential",
	.event = "umask=0x04,event=0x4",
	.desc = "Number of Ops that are candidates for optimization (have Z-bit either set or pass). This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops_elim",
	.event = "umask=0x02,event=0x4",
	.desc = "Number of SSE Move Ops eliminated. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops",
	.event = "umask=0x01,event=0x4",
	.desc = "Number of SSE Move Ops. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_bot_ret",
	.event = "umask=0x08,event=0x5",
	.desc = "SSE/AVX bottom-executing ops retired. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_ctrl_ret",
	.event = "umask=0x04,event=0x5",
	.desc = "SSE/AVX control word mispredict traps. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_bot_ret",
	.event = "umask=0x02,event=0x5",
	.desc = "x87 bottom-executing ops retired. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_ctrl_ret",
	.event = "umask=0x01,event=0x5",
	.desc = "x87 control word mispredict traps due to mispredictions in RC or PC, or changes in mask bits. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_spill_fault",
	.event = "umask=0x08,event=0xe",
	.desc = "Floating Point Dispatch Faults. YMM spill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_fill_fault",
	.event = "umask=0x04,event=0xe",
	.desc = "Floating Point Dispatch Faults. YMM fill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.xmm_fill_fault",
	.event = "umask=0x02,event=0xe",
	.desc = "Floating Point Dispatch Faults. XMM fill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.x87_fill_fault",
	.event = "umask=0x01,event=0xe",
	.desc = "Floating Point Dispatch Faults. x87 fill fault",
	.topic = "floating point",
},
{
	.name = "ls_bad_status2.stli_other",
	.event = "umask=0x02,event=0x24",
	.desc = "Non-forwardable conflict; used to reduce STLI's via software. All reasons. Store To Load Interlock (STLI) are loads that were unable to complete because of a possible match with an older store, and the older store could not do STLF for some reason",
	.topic = "memory",
	.long_desc = "Store-to-load conflicts: A load was unable to complete due to a non-forwardable conflict with an older store. Most commonly, a load's address range partially but not completely overlaps with an uncompleted older store. Software can avoid this problem by using same-size and same-alignment loads and stores when accessing the same data. Vector/SIMD code is particularly susceptible to this problem; software should construct wide vector stores by manipulating vector elements in registers using shuffle/blend/swap instructions prior to storing to memory, instead of using narrow element-by-element stores",
},
{
	.name = "ls_locks.spec_lock_hi_spec",
	.event = "umask=0x08,event=0x25",
	.desc = "Retired lock instructions. High speculative cacheable lock speculation succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.spec_lock_lo_spec",
	.event = "umask=0x04,event=0x25",
	.desc = "Retired lock instructions. Low speculative cacheable lock speculation succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.non_spec_lock",
	.event = "umask=0x02,event=0x25",
	.desc = "Retired lock instructions. Non-speculative lock succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.bus_lock",
	.event = "umask=0x01,event=0x25",
	.desc = "Retired lock instructions. Comparable to legacy bus lock",
	.topic = "memory",
},
{
	.name = "ls_ret_cl_flush",
	.event = "event=0x26",
	.desc = "The number of retired CLFLUSH instructions. This is a non-speculative event",
	.topic = "memory",
},
{
	.name = "ls_ret_cpuid",
	.event = "event=0x27",
	.desc = "The number of CPUID instructions retired",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_st_dispatch",
	.event = "umask=0x04,event=0x29",
	.desc = "Load-op-Store Dispatch. Dispatch of a single op that performs a load from and store to the same memory address. Counts the number of operations dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_dispatch.store_dispatch",
	.event = "umask=0x02,event=0x29",
	.desc = "Dispatch of a single op that performs a memory store. Counts the number of operations dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_dispatch",
	.event = "umask=0x01,event=0x29",
	.desc = "Dispatch of a single op that performs a memory load. Counts the number of operations dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_smi_rx",
	.event = "event=0x2b",
	.desc = "Counts the number of SMIs received",
	.topic = "memory",
},
{
	.name = "ls_int_taken",
	.event = "event=0x2c",
	.desc = "Counts the number of interrupts taken",
	.topic = "memory",
},
{
	.name = "ls_rdtsc",
	.event = "event=0x2d",
	.desc = "Number of reads of the TSC (RDTSC instructions). The count is speculative",
	.topic = "memory",
},
{
	.name = "ls_stlf",
	.event = "event=0x35",
	.desc = "Number of STLF hits",
	.topic = "memory",
},
{
	.name = "ls_st_commit_cancel2.st_commit_cancel_wcb_full",
	.event = "umask=0x01,event=0x37",
	.desc = "A non-cacheable store and the non-cacheable commit buffer is full",
	.topic = "memory",
},
{
	.name = "ls_dc_accesses",
	.event = "event=0x40",
	.desc = "Number of accesses to the dcache for load/store references",
	.topic = "memory",
	.long_desc = "The number of accesses to the data cache for load and store references. This may include certain microcode scratchpad accesses, although these are generally rare. Each increment represents an eight-byte access, although the instruction may only be accessing a portion of that. This event is a speculative event",
},
{
	.name = "ls_mab_alloc.all_allocations",
	.event = "umask=0x7f,event=0x41",
	.desc = "All Allocations. Counts when a LS pipe allocates a MAB entry",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.hardware_prefetcher_allocations",
	.event = "umask=0x40,event=0x41",
	.desc = "Hardware Prefetcher Allocations. Counts when a LS pipe allocates a MAB entry",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.load_store_allocations",
	.event = "umask=0x3f,event=0x41",
	.desc = "Load Store Allocations. Counts when a LS pipe allocates a MAB entry",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.dc_prefetcher",
	.event = "umask=0x08,event=0x41",
	.desc = "LS MAB Allocates by Type. DC prefetcher",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.stores",
	.event = "umask=0x02,event=0x41",
	.desc = "LS MAB Allocates by Type. Stores",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.loads",
	.event = "umask=0x01,event=0x41",
	.desc = "LS MAB Allocates by Type. Loads",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.mem_io_remote",
	.event = "umask=0x40,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From DRAM or IO connected in different Node",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.ext_cache_remote",
	.event = "umask=0x10,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From CCX Cache in different Node",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.mem_io_local",
	.event = "umask=0x08,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From DRAM or IO connected in same node",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.ext_cache_local",
	.event = "umask=0x04,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From cache of different CCX in same node",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.int_cache",
	.event = "umask=0x02,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From L3 or different L2 in same CCX",
	.topic = "memory",
},
{
	.name = "ls_dmnd_fills_from_sys.lcl_l2",
	.event = "umask=0x01,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. From Local L2 to the core",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.mem_io_remote",
	.event = "umask=0x40,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From DRAM or IO connected in different Node",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.ext_cache_remote",
	.event = "umask=0x10,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From CCX Cache in different Node",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.mem_io_local",
	.event = "umask=0x08,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From DRAM or IO connected in same node",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.ext_cache_local",
	.event = "umask=0x04,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From cache of different CCX in same node",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.int_cache",
	.event = "umask=0x02,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From L3 or different L2 in same CCX",
	.topic = "memory",
},
{
	.name = "ls_any_fills_from_sys.lcl_l2",
	.event = "umask=0x01,event=0x44",
	.desc = "Any Data Cache Fills by Data Source. From Local L2 to the core",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.all",
	.event = "umask=0xff,event=0x45",
	.desc = "All L1 DTLB Misses or Reloads. Use l1_dtlb_misses instead",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_miss",
	.event = "umask=0x80,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 1G page that also missed in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_miss",
	.event = "umask=0x40,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 2M page that also missed in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_miss",
	.event = "umask=0x20,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload coalesced page that also missed in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_miss",
	.event = "umask=0x10,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 4K page that missed the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_hit",
	.event = "umask=0x08,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 1G page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_hit",
	.event = "umask=0x04,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 2M page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_hit",
	.event = "umask=0x02,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a coalesced page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_hit",
	.event = "umask=0x01,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 4K page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.iside",
	.event = "umask=0x0c,event=0x46",
	.desc = "Total Page Table Walks on I-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type1",
	.event = "umask=0x08,event=0x46",
	.desc = "Total Page Table Walks IC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type0",
	.event = "umask=0x04,event=0x46",
	.desc = "Total Page Table Walks IC Type 0",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dside",
	.event = "umask=0x03,event=0x46",
	.desc = "Total Page Table Walks on D-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type1",
	.event = "umask=0x02,event=0x46",
	.desc = "Total Page Table Walks DC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type0",
	.event = "umask=0x01,event=0x46",
	.desc = "Total Page Table Walks DC Type 0",
	.topic = "memory",
},
{
	.name = "ls_misal_loads.ma4k",
	.event = "umask=0x02,event=0x47",
	.desc = "The number of 4KB misaligned (i.e., page crossing) loads",
	.topic = "memory",
},
{
	.name = "ls_misal_loads.ma64",
	.event = "umask=0x01,event=0x47",
	.desc = "The number of 64B misaligned (i.e., cacheline crossing) loads",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp",
	.event = "umask=0xff,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative)",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch_nta",
	.event = "umask=0x04,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). PrefetchNTA instruction. See docAPM3 PREFETCHlevel",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch_w",
	.event = "umask=0x02,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). PrefetchW instruction. See docAPM3 PREFETCHW",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch",
	.event = "umask=0x01,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). PrefetchT0, T1 and T2 instructions. See docAPM3 PREFETCHlevel",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.mab_mch_cnt",
	.event = "umask=0x02,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a match on an already-allocated miss request buffer",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.data_pipe_sw_pf_dc_hit",
	.event = "umask=0x01,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a DC hit",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.mem_io_remote",
	.event = "umask=0x40,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From DRAM or IO connected in different Node",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.ext_cache_remote",
	.event = "umask=0x10,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From CCX Cache in different Node",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.mem_io_local",
	.event = "umask=0x08,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From DRAM or IO connected in same node",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.ext_cache_local",
	.event = "umask=0x04,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From cache of different CCX in same node",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.int_cache",
	.event = "umask=0x02,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From L3 or different L2 in same CCX",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fills.lcl_l2",
	.event = "umask=0x01,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From Local L2 to the core",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.mem_io_remote",
	.event = "umask=0x40,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From DRAM or IO connected in different Node",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.ext_cache_remote",
	.event = "umask=0x10,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From CCX Cache in different Node",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.mem_io_local",
	.event = "umask=0x08,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From DRAM or IO connected in same node",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.ext_cache_local",
	.event = "umask=0x04,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From cache of different CCX in same node",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.int_cache",
	.event = "umask=0x02,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From L3 or different L2 in same CCX",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fills.lcl_l2",
	.event = "umask=0x01,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From Local L2 to the core",
	.topic = "memory",
},
{
	.name = "ls_alloc_mab_count",
	.event = "event=0x5f",
	.desc = "Count of Allocated Mabs",
	.topic = "memory",
	.long_desc = "This event counts the in-flight L1 data cache misses (allocated Miss Address Buffers) divided by 4 and rounded down each cycle unless used with the MergeEvent functionality. If the MergeEvent is used, it counts the exact number of outstanding L1 data cache misses. See 2.1.17.3 [Large Increment per Cycle Events]",
},
{
	.name = "ls_not_halted_cyc",
	.event = "event=0x76",
	.desc = "Cycles not in Halt",
	.topic = "memory",
},
{
	.name = "ls_tlb_flush.all_tlb_flushes",
	.event = "umask=0xff,event=0x78",
	.desc = "All TLB Flushes. Requires unit mask 0xFF to engage event for counting. Use all_tlbs_flushed instead",
	.topic = "memory",
},
{
	.name = "l2_request_g1.rd_blk_l",
	.event = "umask=0x80,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache reads (including hardware and software prefetch)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_x",
	.event = "umask=0x40,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache stores",
	.topic = "cache",
},
{
	.name = "l2_request_g1.ls_rd_blk_c_s",
	.event = "umask=0x20,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache shared reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.cacheable_ic_read",
	.event = "umask=0x10,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Instruction cache reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.change_to_x",
	.event = "umask=0x08,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache state change requests. Request change to writable, check L2 for current state",
	.topic = "cache",
},
{
	.name = "l2_request_g1.prefetch_l2_cmd",
	.event = "umask=0x04,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). PrefetchL2Cmd",
	.topic = "cache",
},
{
	.name = "l2_request_g1.l2_hw_pf",
	.event = "umask=0x02,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). L2 Prefetcher. All prefetches accepted by L2 pipeline, hit or miss. Types of PF and L2 hit/miss broken out in a separate perfmon event",
	.topic = "cache",
},
{
	.name = "l2_request_g1.group2",
	.event = "umask=0x01,event=0x60",
	.desc = "Miscellaneous events covered in more detail by l2_request_g2 (PMCx061)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all_no_prefetch",
	.event = "umask=0xf9,event=0x60",
	.desc = "(null)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.group1",
	.event = "umask=0x80,event=0x61",
	.desc = "Miscellaneous events covered in more detail by l2_request_g1 (PMCx060)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized",
	.event = "umask=0x40,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized_nc",
	.event = "umask=0x20,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized",
	.event = "umask=0x10,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized_nc",
	.event = "umask=0x08,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.smc_inval",
	.event = "umask=0x04,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Self-modifying code invalidates",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_originator",
	.event = "umask=0x02,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus locks",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_responses",
	.event = "umask=0x01,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus lock response",
	.topic = "cache",
},
{
	.name = "l2_latency.l2_cycles_waiting_on_fills",
	.event = "umask=0x01,event=0x62",
	.desc = "Total cycles spent waiting for L2 fills to complete from L3 or memory, divided by four. Event counts are for both threads. To calculate average latency, the number of fills from both threads must be used",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_write",
	.event = "umask=0x40,event=0x63",
	.desc = "LS to L2 WCB write requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) write requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_close",
	.event = "umask=0x20,event=0x63",
	.desc = "LS to L2 WCB close requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) close requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.zero_byte_store",
	.event = "umask=0x04,event=0x63",
	.desc = "LS to L2 WCB zero byte store requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) zero byte store requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.cl_zero",
	.event = "umask=0x01,event=0x63",
	.desc = "LS to L2 WCB cache line zeroing requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) cache line zeroing requests",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_cs",
	.event = "umask=0x80,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache shared read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_x",
	.event = "umask=0x40,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit in L2. Modifiable",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_s",
	.event = "umask=0x20,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit non-modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_x",
	.event = "umask=0x10,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache store or state change hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_c",
	.event = "umask=0x08,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache request miss in L2 (all types). Use l2_cache_misses_from_dc_misses instead",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_x",
	.event = "umask=0x04,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_s",
	.event = "umask=0x02,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit non-modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2. Use l2_cache_misses_from_ic_miss instead",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_access_in_l2",
	.event = "umask=0x07,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache requests in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_miss_in_l2",
	.event = "umask=0x09,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2 and Data cache request miss in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_hit_in_l2",
	.event = "umask=0xf6,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request hit in L2 and Data cache request hit in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_fill_pending.l2_fill_busy",
	.event = "umask=0x01,event=0x6d",
	.desc = "Cycles with fill pending from L2. Total cycles spent with one or more fill requests in flight from L2",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 prefetch hit in L2. Use l2_cache_hits_from_l2_hwpf instead",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3",
	.event = "umask=0xff,event=0x71",
	.desc = "L2 prefetcher hits in L3. Counts all L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit the L3",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3",
	.event = "umask=0xff,event=0x72",
	.desc = "L2 prefetcher misses in L3. Counts all L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches",
	.topic = "cache",
},
{
	.name = "ic_fw32",
	.event = "event=0x80",
	.desc = "The number of 32B fetch windows transferred from IC pipe to DE instruction decoder (includes non-cacheable and cacheable fill responses)",
	.topic = "cache",
},
{
	.name = "ic_fw32_miss",
	.event = "event=0x81",
	.desc = "The number of 32B fetch windows tried to read the L1 IC and missed in the full tag",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_l2",
	.event = "event=0x82",
	.desc = "Instruction Cache Refills from L2. The number of 64 byte instruction cache line was fulfilled from the L2 cache",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_sys",
	.event = "event=0x83",
	.desc = "Instruction Cache Refills from System. The number of 64 byte instruction cache line fulfilled from system memory or another cache",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_hit",
	.event = "event=0x84",
	.desc = "L1 ITLB Miss, L2 ITLB Hit. The number of instruction fetches that miss in the L1 ITLB but hit in the L2 ITLB",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss",
	.event = "umask=0xff,event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.coalesced_4k",
	.event = "umask=0x08,event=0x85",
	.desc = "The number of valid fills into the ITLB originating from the LS Page-Table Walker. Tablewalk requests are issued for L1-ITLB and L2-ITLB misses. Walk for >4K Coalesced page",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if1g",
	.event = "umask=0x04,event=0x85",
	.desc = "The number of valid fills into the ITLB originating from the LS Page-Table Walker. Tablewalk requests are issued for L1-ITLB and L2-ITLB misses. Walk for 1G page",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if2m",
	.event = "umask=0x02,event=0x85",
	.desc = "The number of valid fills into the ITLB originating from the LS Page-Table Walker. Tablewalk requests are issued for L1-ITLB and L2-ITLB misses. Walk for 2M page",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if4k",
	.event = "umask=0x01,event=0x85",
	.desc = "The number of valid fills into the ITLB originating from the LS Page-Table Walker. Tablewalk requests are issued for L1-ITLB and L2-ITLB misses. Walk to 4K page",
	.topic = "cache",
},
{
	.name = "bp_snp_re_sync",
	.event = "event=0x86",
	.desc = "The number of pipeline restarts caused by invalidating probes that hit on the instruction stream currently being executed. This would happen if the active instruction stream was being modified by another processor in an MP system - typically a highly unlikely event",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_any",
	.event = "umask=0x04,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle for any reason (nothing valid in pipe ICM1)",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_dq_empty",
	.event = "umask=0x02,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to DQ empty",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_back_pressure",
	.event = "umask=0x01,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to back-pressure",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.l2_invalidating_probe",
	.event = "umask=0x02,event=0x8c",
	.desc = "IC line invalidated due to L2 invalidating probe (external or LS). The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.fill_invalidated",
	.event = "umask=0x01,event=0x8c",
	.desc = "IC line invalidated due to overwriting fill response. The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.all_instruction_cache_accesses",
	.event = "umask=0x1f,event=0x18e",
	.desc = "All Instruction Cache Accesses. Counts various IC tag related hit and miss events",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.instruction_cache_miss",
	.event = "umask=0x18,event=0x18e",
	.desc = "Instruction Cache Miss. Counts various IC tag related hit and miss events",
	.topic = "cache",
},
{
	.name = "ic_tag_hit_miss.instruction_cache_hit",
	.event = "umask=0x07,event=0x18e",
	.desc = "Instruction Cache Hit. Counts various IC tag related hit and miss events",
	.topic = "cache",
},
{
	.name = "ic_oc_mode_switch.oc_ic_mode_switch",
	.event = "umask=0x02,event=0x28a",
	.desc = "OC Mode Switch. OC to IC mode switch",
	.topic = "cache",
},
{
	.name = "ic_oc_mode_switch.ic_oc_mode_switch",
	.event = "umask=0x01,event=0x28a",
	.desc = "OC Mode Switch. IC to OC mode switch",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.all_op_cache_accesses",
	.event = "umask=0x07,event=0x28f",
	.desc = "All Op Cache accesses. Counts Op Cache micro-tag hit/miss events",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.op_cache_miss",
	.event = "umask=0x04,event=0x28f",
	.desc = "Op Cache Miss. Counts Op Cache micro-tag hit/miss events",
	.topic = "cache",
},
{
	.name = "op_cache_hit_miss.op_cache_hit",
	.event = "umask=0x03,event=0x28f",
	.desc = "Op Cache Hit. Counts Op Cache micro-tag hit/miss events",
	.topic = "cache",
},
{
	.name = "l3_request_g1.caching_l3_cache_accesses",
	.event = "umask=0x80,event=0x1",
	.desc = "Caching: L3 cache accesses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_lookup_state.all_l3_req_typs",
	.event = "umask=0xff,event=0x4",
	.desc = "All L3 Request Types. All L3 cache Requests. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.other_l3_miss_typs",
	.event = "umask=0xfe,event=0x6",
	.desc = "Other L3 Miss Request Types. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.request_miss",
	.event = "umask=0x01,event=0x6",
	.desc = "L3 cache misses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_sys_fill_latency",
	.event = "event=0x90",
	.desc = "L3 Cache Miss Latency. Total cycles for all transactions divided by 16. Ignores SliceMask and ThreadMask. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_ccx_sdp_req1",
	.event = "umask=0xff,event=0x9a",
	.desc = "L3 Misses by Request Type. Ignores SliceID, EnAllSlices, CoreID, EnAllCores and ThreadMask. Requires unit mask 0xFF to engage event for counting. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cascadelakex[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "pclk Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "The PCU runs off a fixed 1 GHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core_transition_cycles",
	.event = "event=0x60",
	.desc = "UNC_P_CORE_TRANSITION_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions",
	.event = "event=0x30",
	.desc = "UNC_P_DEMOTIONS. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps0_cycles",
	.event = "event=0x75",
	.desc = "Phase Shed 0 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 0",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps1_cycles",
	.event = "event=0x76",
	.desc = "Phase Shed 1 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 1",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps2_cycles",
	.event = "event=0x77",
	.desc = "Phase Shed 2 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 2",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps3_cycles",
	.event = "event=0x78",
	.desc = "Phase Shed 3 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent in phase-shedding power state 3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when thermal conditions are the upper limit on frequency.  This is related to the THERMAL_THROTTLE CYCLES_ABOVE_TEMP event, which always counts cycles when we are above the thermal temperature.  This event (STRONGEST_UPPER_LIMIT) is sampled at the output of the algorithm that determines the actual frequency, while THERMAL_THROTTLE looks at the input",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_mcp_prochot_cycles",
	.event = "event=0x6",
	.desc = "UNC_P_MCP_PROCHOT_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pmax_throttled_cycles",
	.event = "event=0x7",
	.desc = "UNC_P_PMAX_THROTTLED_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State; C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Counts the number of cycles that we are in Interal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "clx metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "clx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "clx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "clx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "clx metrics",
	.metric_expr = "100 * ((br_inst_retired.conditional + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "clx metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "clx metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "clx metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "clx metrics",
	.metric_expr = "uops_retired.retire_slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "clx metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "clx metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "clx metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "clx metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "clx metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "clx metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "clx metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "clx metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "clx metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "clx metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "clx metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "clx metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "clx metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "clx metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "clx metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / dsb2mite_switches.count",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "clx metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "clx metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "clx metrics",
	.metric_expr = "br_inst_retired.not_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "clx metrics",
	.metric_expr = "(br_inst_retired.conditional - br_inst_retired.not_taken) / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "clx metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "clx metrics",
	.metric_expr = "(br_inst_retired.near_taken - (br_inst_retired.conditional - br_inst_retired.not_taken) - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "clx metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "clx metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "clx metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "clx metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "clx metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "clx metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending + ept.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Rate of silent evictions from the L2 cache per Kilo instruction where the evicted lines are dropped (no writeback to L3 or memory)",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_lines_out.silent / instructions",
	.metric_name = "L2_Evictions_Silent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Rate of non silent evictions from the L2 cache per Kilo instruction",
	.topic = "clx metrics",
	.metric_expr = "1e3 * l2_lines_out.non_silent / instructions",
	.metric_name = "L2_Evictions_NonSilent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "clx metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "clx metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "clx metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "clx metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0",
	.topic = "clx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
	.metric_expr = "(core_power.lvl0_turbo_license / 2 / core_clks if #smt_on else core_power.lvl0_turbo_license / core_clks)",
	.metric_name = "Power_License0_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1",
	.topic = "clx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
	.metric_expr = "(core_power.lvl1_turbo_license / 2 / core_clks if #smt_on else core_power.lvl1_turbo_license / core_clks)",
	.metric_name = "Power_License1_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX)",
	.topic = "clx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX).  This includes high current AVX 512-bit instructions",
	.metric_expr = "(core_power.lvl2_turbo_license / 2 / core_clks if #smt_on else core_power.lvl2_turbo_license / core_clks)",
	.metric_name = "Power_License2_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "clx metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "clx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "clx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "clx metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "clx metrics",
	.metric_expr = "unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_occupancy.ia_miss_drd@thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external 3D X-Point memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "clx metrics",
	.metric_expr = "1e9 * (unc_m_pmm_rpq_occupancy.all / unc_m_pmm_rpq_inserts) / imc_0@event\\=0x0@",
	.metric_name = "MEM_PMM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average latency of data read request to external DRAM memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "clx metrics",
	.metric_expr = "1e9 * (unc_m_rpq_occupancy / unc_m_rpq_inserts) / imc_0@event\\=0x0@",
	.metric_name = "MEM_DRAM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for reads [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * unc_m_pmm_rpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Read_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for Writes [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "64 * unc_m_pmm_wpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Write_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Writes [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3) * 4 / 1e9 / duration_time",
	.metric_name = "IO_Write_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Reads [GB / sec]",
	.topic = "clx metrics",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_write.part0 + unc_iio_data_req_of_cpu.mem_write.part1 + unc_iio_data_req_of_cpu.mem_write.part2 + unc_iio_data_req_of_cpu.mem_write.part3) * 4 / 1e9 / duration_time",
	.metric_name = "IO_Read_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "clx metrics",
	.metric_expr = "cha_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "clx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "clx metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "Percentage of time spent in the active CPU power state C0",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "cpu_utilization",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "clx metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions ",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions ",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x12d4043300000000@ / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "clx metrics",
	.unit = "1per_instr",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x12cc023300000000@ / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) in nano seconds",
	.topic = "clx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043300000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043300000000@) / (unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "clx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043200000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@) / (unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand and prefetch data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "clx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (cha@unc_cha_tor_occupancy.ia_miss\\,config1\\=0x4043100000000@ / cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@) / (unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages)) * duration_time",
	.metric_name = "llc_data_read_demand_plus_prefetch_miss_latency_for_remote_requests",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "clx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "clx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "clx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "clx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the Data Translation Lookaside Buffer (DTLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "dtlb_2mb_large_page_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "clx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_store_mpi",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ / (cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ + cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@ / (cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043200000000@ + cha@unc_cha_tor_inserts.ia_miss\\,config1\\=0x4043100000000@)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "clx metrics",
	.unit = "1GHz",
	.metric_expr = "unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Ultra Path Interconnect (UPI) data transmit bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_upi_txl_flits.all_data * 7.111111111111111 / 1e6 / duration_time",
	.metric_name = "upi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory read bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_rpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_read",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory write bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_wpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_write",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory bandwidth (MB/sec)",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_pmm_rpq_inserts + unc_m_pmm_wpq_inserts) * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3) * 4 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_iio_payload_bytes_in.mem_write.part0 + unc_iio_payload_bytes_in.mem_write.part1 + unc_iio_payload_bytes_in.mem_write.part2 + unc_iio_payload_bytes_in.mem_write.part3) * 4 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to local memory",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to local memory",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_write",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "clx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_read",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "clx metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "4 * idq_uops_not_delivered.cycles_0_uops_deliv.core / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(icache_16b.ifdata_stall + 2 * cpu@icache_16b.ifdata_stall\\,cmask\\=0x1\\,edge\\=0x1@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit)",
	.unit = "100%",
	.metric_expr = "9 * baclears.any / cpu_clk_unhalted.thread",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "clx metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "2 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "clx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.all_mite_cycles_any_uops - idq.all_mite_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=0x1@ - cpu@inst_decoded.decoders\\,cmask\\=0x2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_L4_group;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "clx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.all_dsb_cycles_any_uops - idq.all_dsb_cycles_4_uops) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "clx metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "clx metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - tma_frontend_bound - (uops_issued.any + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "clx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "min(9 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "clx metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min((12 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (11 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / cpu_clk_unhalted.thread",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "clx metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * cpu@l1d_pend_miss.fb_full\\,cmask\\=0x1@ / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + cpu@l1d_pend_miss.fb_full\\,cmask\\=0x1@) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min(((47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hitm * (ocr.demand_data_rd.l3_hit.hitm_other_core / (ocr.demand_data_rd.l3_hit.hitm_other_core + ocr.demand_data_rd.l3_hit.hit_other_core_fwd))) + (47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min((47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hit + mem_load_l3_hit_retired.xsnp_hitm * (1 - ocr.demand_data_rd.l3_hit.hitm_other_core / (ocr.demand_data_rd.l3_hit.hitm_other_core + ocr.demand_data_rd.l3_hit.hit_other_core_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min((20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 3.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "clx metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "(offcore_requests_buffer.sq_full / 2 if #smt_on else offcore_requests_buffer.sq_full) / core_clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound - min(((1 - (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))) / (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + (25 * (mem_load_retired.local_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 33 * (mem_load_l3_miss_retired.remote_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))))) * (cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound) if 1e6 * (mem_load_l3_miss_retired.remote_pmm + mem_load_retired.local_pmm) > mem_load_retired.l1_miss else 0), 1), 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x4@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((80 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((147.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(((110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_hitm + (110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 20.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_fwd) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a",
	.topic = "clx metrics",
	.long_desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a. IXP) memory by loads, PMM stands for Persistent Memory Module",
	.unit = "100%",
	.metric_expr = "min(((1 - (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))) / (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + (25 * (mem_load_retired.local_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 33 * (mem_load_l3_miss_retired.remote_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))))) * (cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound) if 1e6 * (mem_load_l3_miss_retired.remote_pmm + mem_load_retired.local_pmm) > mem_load_retired.l1_miss else 0), 1)",
	.metric_name = "tma_pmm_bound",
	.metric_group = "MemoryBound;Server;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "clx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 11 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "clx metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min((110 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * (ocr.demand_rfo.l3_miss.remote_hitm + ocr.pf_l2_rfo.l3_miss.remote_hitm) + 47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * (ocr.demand_rfo.l3_hit.hitm_other_core + ocr.pf_l2_rfo.l3_hit.hitm_other_core)) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "clx metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "clx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((9 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_store_misses.walk_active) / core_clks, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "arith.divider_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((exe_activity.exe_bound_0_ports + (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util)) / cpu_clk_unhalted.thread if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + uops_retired.retire_slots / slots * exe_activity.2_ports_util) / cpu_clk_unhalted.thread)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_none / 2 if #smt_on else cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / core_clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance",
	.unit = "100%",
	.metric_expr = "partial_rat_stalls.scoreboard / cpu_clk_unhalted.thread",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "40 * rob_misc_events.pause_inst / cpu_clk_unhalted.thread",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_L6_group;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "clx metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread * uops_issued.vector_width_mismatch / uops_issued.any, 1)",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_1 - uops_executed.core_cycles_ge_2) / 2 if #smt_on else exe_activity.1_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "((uops_executed.core_cycles_ge_2 - uops_executed.core_cycles_ge_3) / 2 if #smt_on else exe_activity.2_ports_util) / core_clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(uops_executed.core_cycles_ge_3 / 2 if #smt_on else uops_executed.core_cycles_ge_3) / core_clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_0 + uops_dispatched_port.port_1 + uops_dispatched_port.port_5 + uops_dispatched_port.port_6) / slots",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched_port.port_2 + uops_dispatched_port.port_3 + uops_dispatched_port.port_7 - uops_dispatched_port.port_4) / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 2 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_2 / core_clks",
	.metric_name = "tma_port_2",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 3 ([SNB+]Loads and Store-address; [ICL+] Loads)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_3 / core_clks",
	.metric_name = "tma_port_3",
	.metric_group = "TopdownL6;tma_L6_group;tma_load_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_4 / core_clks",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 4 (Store-data)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "tma_store_op_utilization",
	.metric_name = "tma_port_4",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 7 ([HSW+]simple Store-address)",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched_port.port_7 / core_clks",
	.metric_name = "tma_port_7",
	.metric_group = "TopdownL6;tma_L6_group;tma_store_op_utilization_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "clx metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "tma_retiring - (uops_retired.retire_slots + uops_retired.macro_fused - inst_retired.any) / slots",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "clx metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "clx metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "clx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / uops_retired.retire_slots",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "clx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "clx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "clx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "clx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / uops_retired.retire_slots, 1)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring fused instructions -- where one uop can represent multiple contiguous instructions. The instruction pairs of CMP+JCC or DEC+JCC are commonly used examples",
	.unit = "100%",
	.metric_expr = "tma_light_operations * uops_retired.macro_fused / uops_retired.retire_slots",
	.metric_name = "tma_fused_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring branch instructions that were not fused. Non-conditional branches like direct JMP or CALL would count here. Can be used to examine fusible conditional jumps that were not fused",
	.unit = "100%",
	.metric_expr = "tma_light_operations * (br_inst_retired.all_branches - uops_retired.macro_fused) / uops_retired.retire_slots",
	.metric_name = "tma_non_fused_branches",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / uops_retired.retire_slots",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_fused_instructions + tma_non_fused_branches + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "(uops_retired.retire_slots + uops_retired.macro_fused - inst_retired.any) / slots",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "clx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * (fp_assist.any + other_assists.any) / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "clx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C3 residency percent per core",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "clx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "core_power.lvl0_turbo_license",
	.event = "period=200003,umask=0x7,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the Non-AVX turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
},
{
	.name = "core_power.lvl1_turbo_license",
	.event = "period=200003,umask=0x18,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX2 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
},
{
	.name = "core_power.lvl2_turbo_license",
	.event = "period=200003,umask=0x20,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX512 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 2 (introduced in Skylake Server michroarchtecture).  This includes high current AVX 512-bit instructions",
},
{
	.name = "core_power.throttle",
	.event = "period=200003,umask=0x40,event=0x28",
	.desc = "Core cycles the core was throttled due to a pending power level request",
	.topic = "other",
	.long_desc = "Core cycles the out-of-order engine was throttled due to a pending power level request",
},
{
	.name = "core_snoop_response.rsp_ifwdfe",
	.event = "period=2000003,umask=0x20,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IFWDFE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ifwdm",
	.event = "period=2000003,umask=0x10,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IFWDM",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ihitfse",
	.event = "period=2000003,umask=0x2,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IHITFSE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_ihiti",
	.event = "period=2000003,umask=0x1,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_IHITI",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_sfwdfe",
	.event = "period=2000003,umask=0x40,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SFWDFE",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_sfwdm",
	.event = "period=2000003,umask=0x8,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SFWDM",
	.topic = "other",
},
{
	.name = "core_snoop_response.rsp_shitfse",
	.event = "period=2000003,umask=0x4,event=0xef",
	.desc = "CORE_SNOOP_RESPONSE.RSP_SHITFSE",
	.topic = "other",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Number of hardware interrupts received by the processor",
	.topic = "other",
	.long_desc = "Counts the number of hardware interruptions received by the processor",
},
{
	.name = "idi_misc.wb_downgrade",
	.event = "period=100003,umask=0x4,event=0xfe",
	.desc = "Counts number of cache lines that are dropped and not written back to L3 as they are deemed to be less likely to be reused shortly",
	.topic = "other",
	.long_desc = "Counts number of cache lines that are dropped and not written back to L3 as they are deemed to be less likely to be reused shortly",
},
{
	.name = "idi_misc.wb_upgrade",
	.event = "period=100003,umask=0x2,event=0xfe",
	.desc = "Counts number of cache lines that are allocated and written back to L3 with the intention that they are more likely to be reused shortly",
	.topic = "other",
	.long_desc = "Counts number of cache lines that are allocated and written back to L3 with the intention that they are more likely to be reused shortly",
},
{
	.name = "ocr.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10491",
	.desc = "OCR.ALL_DATA_RD.ANY_RESPONSE have any response type",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400491",
	.desc = "OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400491",
	.desc = "OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400491",
	.desc = "OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.ANY_SNOOP  OCR.ALL_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE  OCR.ALL_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "other",
},
{
	.name = "ocr.all_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020491",
	.desc = "OCR.ALL_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10490",
	.desc = "OCR.ALL_PF_DATA_RD.ANY_RESPONSE have any response type",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400490",
	.desc = "OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400490",
	.desc = "OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400490",
	.desc = "OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.ANY_SNOOP  OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "other",
},
{
	.name = "ocr.all_pf_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020490",
	.desc = "OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10120",
	.desc = "OCR.ALL_PF_RFO.ANY_RESPONSE have any response type",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400120",
	.desc = "OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400120",
	.desc = "OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400120",
	.desc = "OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.ANY_SNOOP  OCR.ALL_PF_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.HITM_OTHER_CORE  OCR.ALL_PF_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "other",
},
{
	.name = "ocr.all_pf_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020120",
	.desc = "OCR.ALL_PF_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_reads.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107F7",
	.desc = "OCR.ALL_READS.ANY_RESPONSE have any response type",
	.topic = "other",
},
{
	.name = "ocr.all_reads.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F804007F7",
	.desc = "OCR.ALL_READS.PMM_HIT_LOCAL_PMM.ANY_SNOOP OCR.ALL_READS.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_reads.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804007F7",
	.desc = "OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NONE OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_reads.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004007F7",
	.desc = "OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.ANY_SNOOP  OCR.ALL_READS.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.HITM_OTHER_CORE  OCR.ALL_READS.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_FWD  OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.NO_SNOOP_NEEDED  OCR.ALL_READS.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "other",
},
{
	.name = "ocr.all_reads.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800207F7",
	.desc = "OCR.ALL_READS.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10122",
	.desc = "OCR.ALL_RFO.ANY_RESPONSE have any response type",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400122",
	.desc = "OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400122",
	.desc = "OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400122",
	.desc = "OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.ANY_SNOOP  OCR.ALL_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.HITM_OTHER_CORE  OCR.ALL_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED  OCR.ALL_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "other",
},
{
	.name = "ocr.all_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020122",
	.desc = "OCR.ALL_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts all demand code reads have any response type",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020004",
	.desc = "Counts all demand code reads",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020004",
	.desc = "Counts all demand code reads",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads have any response type",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020001",
	.desc = "Counts demand data reads",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020001",
	.desc = "Counts demand data reads",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts all demand data writes (RFOs) have any response type",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "other",
},
{
	.name = "ocr.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts any other requests have any response type",
	.topic = "other",
},
{
	.name = "ocr.other.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80408000",
	.desc = "Counts any other requests OCR.OTHER.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.other.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80408000",
	.desc = "Counts any other requests OCR.OTHER.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.other.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100408000",
	.desc = "Counts any other requests OCR.OTHER.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80028000",
	.desc = "Counts any other requests  OCR.OTHER.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000028000",
	.desc = "Counts any other requests  OCR.OTHER.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800028000",
	.desc = "Counts any other requests  OCR.OTHER.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400028000",
	.desc = "Counts any other requests  OCR.OTHER.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100028000",
	.desc = "Counts any other requests  OCR.OTHER.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200028000",
	.desc = "Counts any other requests",
	.topic = "other",
},
{
	.name = "ocr.other.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80028000",
	.desc = "Counts any other requests",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests have any response type",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "other",
},
{
	.name = "ocr.pf_l1d_and_sw.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "Counts prefetch (that bring data to L2) data reads have any response type",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs have any response type",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "other",
},
{
	.name = "ocr.pf_l2_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads have any response type",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs have any response type",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "other",
},
{
	.name = "ocr.pf_l3_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data loads that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=2000003,umask=0x8,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x8",
	.desc = "Page walk completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x8",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a load. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts demand data stores that caused a page walk of any page size (4K/2M/4M/1G). This implies it missed in all TLB levels, but the walk need not have completed",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walk completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x49",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH that is busy with a page walk for a store. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "ept.walk_pending",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Counts 1 per cycle for each PMH that is busy with a EPT (Extended Page Table) walk for any request type",
	.topic = "virtual memory",
	.long_desc = "Counts cycles for each PMH (Page Miss Handler) that is busy with an EPT (Extended Page Table) walk for any request type",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
	.long_desc = "Counts the number of flushes of the big or small ITLB pages. Counting include both TLB Flush (covering all sets) and TLB Set Clear (set-specific)",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
	.long_desc = "Counts page walks of any page size (4K/2M/4M/1G) caused by a code fetch. This implies it missed in the ITLB and further levels of TLB, but the walk need not have completed",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request. EPT page walk duration are excluded in Skylake microarchitecture",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (1G)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (1G page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Counts 1 per cycle for each PMH that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake",
	.topic = "virtual memory",
	.long_desc = "Counts 1 per cycle for each PMH (Page Miss Handler) that is busy with a page walk for an instruction fetch request. EPT page walk duration are excluded in Skylake michroarchitecture",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
	.long_desc = "This event counts the number of the Decode Stream Buffer (DSB)-to-MITE switches including all misses because of missing Decode Stream Buffer (DSB) cache and u-arch forced misses.\nNote: Invoking MITE requires two or three cycles delay",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Counts Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles. These cycles do not include uops routed through because of the switch itself, for example, when Instruction Decode Queue (IDQ) pre-allocation is unavailable, or Instruction Decode Queue (IDQ) is full. SBD-to-MITE switch true penalty cycles happen after the merge mux (MM) receives Decode Stream Buffer (DSB) Sync-indication until receiving the first MITE uop. MM is placed before Instruction Decode Queue (IDQ) to merge uops being fed from the MITE and Decode Stream Buffer (DSB) paths. Decode Stream Buffer (DSB) inserts the Sync-indication whenever a Decode Stream Buffer (DSB)-to-MITE switch occurs.Penalty: A Decode Stream Buffer (DSB) hit followed by a Decode Stream Buffer (DSB) miss can cost up to six cycles in which no uops are delivered to the IDQ. Most often, such switches from the Decode Stream Buffer (DSB) to the legacy pipeline cost 02 cycles",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Must be precise)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Must be precise)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x408006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x401006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400206",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x410006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x200206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 2 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_3",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x300206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 3 bubble-slots for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x402006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x420006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x404006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x400806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=2000003,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Count includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles 4 uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. Counting includes uops that may 'bypass' the IDQ. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. Counting includes uops that may 'bypass' the IDQ. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the number of uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Counting includes uops that may 'bypass' the IDQ",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to Resource Allocation Table (RAT) per thread adding 4  x when Resource Allocation Table (RAT) is not stalled and Instruction Decode Queue (IDQ) delivers x uops to Resource Allocation Table (RAT) (where x belongs to {0,1,2,3}). Counting does not cover cases when: a. IDQ-Resource Allocation Table (RAT) pipe serves the other thread. b. Resource Allocation Table (RAT) is stalled for the thread (including uop drops and clear BE conditions).  c. Instruction Decode Queue (IDQ) delivers four uops",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when no uops are delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core =4",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts, on the per-thread basis, cycles when less than 1 uop is delivered to Resource Allocation Table (RAT). IDQ_Uops_Not_Delivered.core >= 3",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 2 uops delivered by the front-end",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
	.long_desc = "Cycles with less than 3 uops delivered by the front-end",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "Counts all (macro) branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_INST_RETIRED.ALL_BRANCHES that counts all (macro) branch instructions retired  Spec update: SKL091 (Must be precise)",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts conditional branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts far branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts both direct and indirect near call instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts return instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired  Spec update: SKL091 (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts taken branch instructions retired  Spec update: SKL091 (Precise event)",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired  Spec update: SKL091",
	.topic = "pipeline",
	.long_desc = "This event counts not taken branch instructions retired  Spec update: SKL091",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired (Must be precise)",
	.topic = "pipeline",
	.long_desc = "This is a precise version of BR_MISP_RETIRED.ALL_BRANCHES that counts all mispredicted macro branch instructions retired (Must be precise)",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=400009,umask=0x2,event=0xc5",
	.desc = "Mispredicted direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both taken and not taken retired mispredicted direct and indirect near calls, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=100007,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when at least one thread on the physical core is unhalted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,event=0x3c",
	.desc = "Counts when there is a transition from ring 1, 2 or 3 to ring 0",
	.topic = "pipeline",
	.long_desc = "Counts when the Current Privilege Level (CPL) transitions from ring 1, 2 or 3 to ring 0 (Kernel)",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=2000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=2000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=2000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=2000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "period=2000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no outstanding load",
	.topic = "pipeline",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=2000003,umask=0x1,event=0xa6",
	.desc = "Cycles where no uops were executed, the Reservation Station was not empty, the Store Buffer was full and there was no outstanding load",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, Counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events. INST_RETIRED.ANY_P is counted by a programmable counter and it is an architectural performance event. Counting: Faulting executions of GETSEC/VM entry/VM Exit/MWait will not count as retired instructions",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event  Spec update: SKL091, SKL044",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions (EOMs) retired. Counting covers macro-fused instructions individually (that is, increments by two)  Spec update: SKL091, SKL044",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Number of all retired NOP instructions  Spec update: SKL091, SKL044 (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Precise instruction retired event with HW to reduce effect of PEBS shadow in IP distribution  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc0",
	.desc = "Number of cycles using always true condition applied to  PEBS instructions retired event  Spec update: SKL091, SKL044 (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Number of cycles using an always true condition applied to  PEBS instructions retired event. (inst_ret< 16)  Spec update: SKL091, SKL044 (Must be precise)",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=2000003,umask=0x80,event=0xd",
	.desc = "Cycles the issue-stage is waiting for front-end to fetch from resteered path following branch misprediction or machine clear events",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
	.long_desc = "Core cycles the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,period=2000003,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts false dependencies in MOB when the partial comparison upon loose net check and dependency was resolved by the Enhanced Loose net mechanism. This may not result in high performance penalties. Loose net checks can fail when loads and stores are 4k aliased",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when 4 uops are delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "other_assists.any",
	.event = "period=100003,umask=0x3f,event=0xc1",
	.desc = "Number of times a microcode assist is invoked by HW other than FP-assist. Examples include AD (page Access Dirty) and AVX* related assists",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.scoreboard",
	.event = "period=2000003,umask=0x1,event=0x59",
	.desc = "Cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
	.long_desc = "This event counts cycles during which the microcode scoreboard stalls happen",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
	.long_desc = "Counts resource-related stall cycles",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
},
{
	.name = "rob_misc_events.pause_inst",
	.event = "period=2000003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions (that do not end up with a VMExit to the VMM; TSX aborted Instructions may be counted). This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for the thread.; Note: In ST-mode, not active thread should drive 0. This is usually caused by severely costly branch mispredictions, or allocator/FE issues",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=2000003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate front-end Latency Bound issues",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 2",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 2",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x8,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 3",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 4",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 4",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched_port.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched_port.port_7",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are executed in port 7",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 7",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.cycles_ge_1_uop_exec",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2_uops_exec",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3_uops_exec",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4_uops_exec",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
	.long_desc = "Number of uops to be executed per-thread each cycle",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.slow_lea",
	.event = "period=2000003,umask=0x20,event=0xe",
	.desc = "Number of slow LEA uops being allocated. A uop is generally considered SlowLea if it has 3 sources (e.g. 2 sources + immediate) regardless if as a result of LEA instruction or not",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=2000003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to Mixing Intel AVX and Intel SSE Code section of the Optimization Guide",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000003,umask=0x4,event=0xc2",
	.desc = "Number of macro-fused uops retired. (non precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of macro-fused uops retired. (non precise)",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=2000003,umask=0x4,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=2000003,umask=0x8,event=0xc7",
	.desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instruction retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 128-bit packed computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=2000003,umask=0x10,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed double computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=2000003,umask=0x20,event=0xc7",
	.desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD 256-bit packed single computational precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=2000003,umask=0x40,event=0xc7",
	.desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element.  The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=2000003,umask=0x80,event=0xc7",
	.desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=2000003,umask=0x1,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=2000003,umask=0x2,event=0xc7",
	.desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired. Counts twice for DPP and FM(N)ADD/SUB instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for most SIMD scalar computational single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SIMD scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired2.128bit_packed_bf16",
	.event = "period=2000003,umask=0x20,event=0xcf",
	.desc = "Intel AVX-512 computational 512-bit packed BFloat16 instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for each Intel AVX-512 computational 512-bit packed BFloat16 floating-point instruction retired. Applies to the ZMM based VDPBF16PS instruction.  Each count represents 64 computation operations. This event is only supported on products formerly named Cooper Lake and is not supported on products formerly named Cascade Lake",
},
{
	.name = "fp_arith_inst_retired2.256bit_packed_bf16",
	.event = "period=2000003,umask=0x40,event=0xcf",
	.desc = "Intel AVX-512 computational 128-bit packed BFloat16 instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for each Intel AVX-512 computational 128-bit packed BFloat16 floating-point instruction retired. Applies to the XMM based VDPBF16PS instruction. Each count represents 16 computation operations. This event is only supported on products formerly named Cooper Lake and is not supported on products formerly named Cascade Lake",
},
{
	.name = "fp_arith_inst_retired2.512bit_packed_bf16",
	.event = "period=2000003,umask=0x80,event=0xcf",
	.desc = "Intel AVX-512 computational 256-bit packed BFloat16 instructions retired",
	.topic = "floating point",
	.long_desc = "Counts once for each Intel AVX-512 computational 256-bit packed BFloat16 floating-point instruction retired. Applies to the YMM based VDPBF16PS instruction.  Each count represents 32 computation operations. This event is only supported on products formerly named Cooper Lake and is not supported on products formerly named Cascade Lake",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
	.long_desc = "Counts cycles with any input and output SSE or x87 FP assist. If an input and output assist are detected on the same cycle the event increments by 1",
},
{
	.name = "cycle_activity.cycles_l3_miss",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Cycles while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times HLE abort was triggered (Precise event)",
},
{
	.name = "hle_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to unfriendly events (such as interrupts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an HLE execution aborted due to incompatible memory type",
},
{
	.name = "hle_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to hardware timer expiration",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions and certain unfriendly events (such as AD assists etc.)",
	.topic = "memory",
},
{
	.name = "hle_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an HLE region. Does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts  Spec update: SKL089",
	.topic = "memory",
	.long_desc = "Counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from one of the following:a. memory disambiguation,b. external snoop, orc. cross SMT-HW-thread snoop (stores) hitting load buffer  Spec update: SKL089",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "ocr.all_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.ANY_SNOOP OCR.ALL_DATA_RD.L3_MISS.ANY_SNOOP OCR.ALL_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.ALL_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.ALL_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.REMOTE_HITM OCR.ALL_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD OCR.ALL_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.SNOOP_MISS OCR.ALL_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS.SNOOP_NONE OCR.ALL_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP  OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP  OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000491",
	.desc = "OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.ANY_SNOOP OCR.ALL_PF_DATA_RD.L3_MISS.ANY_SNOOP OCR.ALL_PF_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.ALL_PF_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.ALL_PF_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_PF_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_PF_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HITM OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_MISS OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_NONE OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.ANY_SNOOP OCR.ALL_PF_RFO.L3_MISS.ANY_SNOOP OCR.ALL_PF_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.HITM_OTHER_CORE OCR.ALL_PF_RFO.L3_MISS.HITM_OTHER_CORE OCR.ALL_PF_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_PF_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_PF_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.REMOTE_HITM OCR.ALL_PF_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.REMOTE_HIT_FORWARD OCR.ALL_PF_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.SNOOP_MISS OCR.ALL_PF_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS.SNOOP_NONE OCR.ALL_PF_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP  OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_PF_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP  OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_pf_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000120",
	.desc = "OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.ANY_SNOOP OCR.ALL_READS.L3_MISS.ANY_SNOOP OCR.ALL_READS.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.HITM_OTHER_CORE OCR.ALL_READS.L3_MISS.HITM_OTHER_CORE OCR.ALL_READS.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_READS.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_READS.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC007F7",
	.desc = "OCR.ALL_READS.L3_MISS.REMOTE_HITM OCR.ALL_READS.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC007F7",
	.desc = "OCR.ALL_READS.L3_MISS.REMOTE_HIT_FORWARD OCR.ALL_READS.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.SNOOP_MISS OCR.ALL_READS.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC0007F7",
	.desc = "OCR.ALL_READS.L3_MISS.SNOOP_NONE OCR.ALL_READS.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F840007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.ANY_SNOOP  OCR.ALL_READS.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE  OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6040007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x840007F7",
	.desc = "OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B8007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_READS.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F900007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP  OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10100007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE  OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8100007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4100007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1100007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2100007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_reads.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x900007F7",
	.desc = "OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000122",
	.desc = "OCR.ALL_RFO.L3_MISS.ANY_SNOOP OCR.ALL_RFO.L3_MISS.ANY_SNOOP OCR.ALL_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000122",
	.desc = "OCR.ALL_RFO.L3_MISS.HITM_OTHER_CORE OCR.ALL_RFO.L3_MISS.HITM_OTHER_CORE OCR.ALL_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000122",
	.desc = "OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000122",
	.desc = "OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000122",
	.desc = "OCR.ALL_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.ALL_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00122",
	.desc = "OCR.ALL_RFO.L3_MISS.REMOTE_HITM OCR.ALL_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00122",
	.desc = "OCR.ALL_RFO.L3_MISS.REMOTE_HIT_FORWARD OCR.ALL_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000122",
	.desc = "OCR.ALL_RFO.L3_MISS.SNOOP_MISS OCR.ALL_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000122",
	.desc = "OCR.ALL_RFO.L3_MISS.SNOOP_NONE OCR.ALL_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP  OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE  OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000122",
	.desc = "OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD OCR.ALL_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP  OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE  OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.all_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000122",
	.desc = "OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.ANY_SNOOP OCR.DEMAND_CODE_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.HITM_OTHER_CORE OCR.DEMAND_CODE_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.NO_SNOOP_NEEDED OCR.DEMAND_CODE_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000004",
	.desc = "Counts all demand code reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.ANY_SNOOP OCR.DEMAND_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.DEMAND_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.DEMAND_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000001",
	.desc = "Counts demand data reads",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.ANY_SNOOP OCR.DEMAND_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.HITM_OTHER_CORE OCR.DEMAND_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.DEMAND_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.ANY_SNOOP OCR.OTHER.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.HITM_OTHER_CORE OCR.OTHER.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.HIT_OTHER_CORE_FWD OCR.OTHER.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.OTHER.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.NO_SNOOP_NEEDED OCR.OTHER.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC08000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC08000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604008000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B808000",
	.desc = "Counts any other requests OCR.OTHER.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110008000",
	.desc = "Counts any other requests  OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90008000",
	.desc = "Counts any other requests",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.ANY_SNOOP OCR.PF_L1D_AND_SW.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.HITM_OTHER_CORE OCR.PF_L1D_AND_SW.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_FWD OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.NO_SNOOP_NEEDED OCR.PF_L1D_AND_SW.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "memory",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.ANY_SNOOP OCR.PF_L2_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.PF_L2_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.PF_L2_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.ANY_SNOOP OCR.PF_L2_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.HITM_OTHER_CORE OCR.PF_L2_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.PF_L2_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l2_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.ANY_SNOOP OCR.PF_L3_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.HITM_OTHER_CORE OCR.PF_L3_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.NO_SNOOP_NEEDED OCR.PF_L3_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.ANY_SNOOP OCR.PF_L3_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.HITM_OTHER_CORE OCR.PF_L3_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_FWD OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.NO_SNOOP_NEEDED OCR.PF_L3_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "ocr.pf_l3_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "memory",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Demand Data Read requests who miss L3 cache",
	.topic = "memory",
	.long_desc = "Demand Data Read requests who miss L3 cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_l3_miss_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 1 Demand Data Read requests who miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x60",
	.desc = "Counts number of Offcore outstanding Demand Data Read requests that miss L3 cache in the superQ every cycle",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles with at least 6 Demand Data Read requests that miss L3 cache in the superQ",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC0007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F840007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6040007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x840007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B8007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F900007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10100007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8100007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4100007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1100007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2100007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x900007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC08000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC08000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B808000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90008000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBC000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103C000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83C000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x43C000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x13C000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.remote_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x103FC00100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.REMOTE_HITM",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.remote_hit_forward",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x83FC00100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.REMOTE_HIT_FORWARD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x23C000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xBC000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x404000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x204000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x604000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_local_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_LOCAL_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_dram.snoop_miss_or_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x63B800100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_DRAM.SNOOP_MISS_OR_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F90000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.ANY_SNOOP",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HITM_OTHER_CORE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x810000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x410000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.HIT_OTHER_CORE_NO_FWD",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x110000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.NO_SNOOP_NEEDED",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x210000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_MISS",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_miss_remote_hop1_dram.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_MISS_REMOTE_HOP1_DRAM.SNOOP_NONE",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=2000003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to any reasons (multiple categories may count as one) (Precise event)",
	.topic = "memory",
	.long_desc = "Number of times RTM abort was triggered (Precise event)",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=2000003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=2000003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=2000003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_timer",
	.event = "period=2000003,umask=0x10,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to uncommon conditions",
	.topic = "memory",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=2000003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=2000003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=2000003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc1",
	.event = "period=2000003,umask=0x1,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed. Since this is the count of execution, it may not always cause a transactional abort",
	.topic = "memory",
},
{
	.name = "tx_exec.misc2",
	.event = "period=2000003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions (e.g., vzeroupper) that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=2000003,umask=0x4,event=0x5d",
	.desc = "Counts the number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_exec.misc4",
	.event = "period=2000003,umask=0x8,event=0x5d",
	.desc = "Counts the number of times a XBEGIN instruction was executed inside an HLE transactional region",
	.topic = "memory",
	.long_desc = "RTM region detected inside HLE",
},
{
	.name = "tx_exec.misc5",
	.event = "period=2000003,umask=0x10,event=0x5d",
	.desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE XACQUIRE instruction was executed inside an RTM transactional region",
},
{
	.name = "tx_mem.abort_capacity",
	.event = "period=2000003,umask=0x2,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data capacity limitation for transactional reads or writes",
	.topic = "memory",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=2000003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=2000003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=2000003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=2000003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=2000003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
	.long_desc = "Number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=2000003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
	.long_desc = "Number of times we could not allocate Lock Buffer",
},
{
	.name = "llc_misses.mmio_read",
	.event = "umask=0x21,event=0x35,config1=0x40040e33",
	.desc = "MMIO reads. Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_write",
	.event = "umask=0x21,event=0x35,config1=0x40041e33",
	.desc = "MMIO writes. Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_read",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth reading at IIO. Derived from unc_iio_data_req_of_cpu.mem_read.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3",
	.metric_name = "LLC_MISSES.PCIE_READ",
},
{
	.name = "llc_misses.pcie_write",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth writing at IIO. Derived from unc_iio_data_req_of_cpu.mem_write.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part0 to a unit onthe main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_write.part0 + unc_iio_data_req_of_cpu.mem_write.part1 + unc_iio_data_req_of_cpu.mem_write.part2 + unc_iio_data_req_of_cpu.mem_write.part3",
	.metric_name = "LLC_MISSES.PCIE_WRITE",
},
{
	.name = "llc_misses.uncacheable",
	.event = "umask=0x21,event=0x35,config1=0x40e33",
	.desc = "LLC misses - Uncacheable reads (from cpu) . Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_full",
	.event = "umask=0x21,event=0x35,config1=0x41833",
	.desc = "Streaming stores (full cache line). Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_partial",
	.event = "umask=0x21,event=0x35,config1=0x41a33",
	.desc = "Streaming stores (partial cache line). Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "CHA to iMC Bypass; Intermediate bypass Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the intermediate bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "CHA to iMC Bypass; Not Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that could not take the bypass, and issues a read to memory. Note that transactions that did not take the bypass but did not issue read to memory will not be counted",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "CHA to iMC Bypass; Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not.; Filter for transactions that succeeded in taking the full bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_clockticks",
	.event = "event=0",
	.desc = "Uncore cache clock ticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the clock controlling the uncore caching and home agent (CHA)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c1_state",
	.event = "umask=0x1,event=0x17",
	.desc = "Core PMA Events; C1  State. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c1_transition",
	.event = "umask=0x2,event=0x17",
	.desc = "Core PMA Events; C1 Transition. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c6_state",
	.event = "umask=0x4,event=0x17",
	.desc = "Core PMA Events; C6 State. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.c6_transition",
	.event = "umask=0x8,event=0x17",
	.desc = "Core PMA Events; C6 Transition. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_pma.gv",
	.event = "umask=0x10,event=0x17",
	.desc = "Core PMA Events; GV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_gtone",
	.event = "umask=0xe2,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Cycle with Multiple Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_one",
	.event = "umask=0xe1,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Single Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_remote",
	.event = "umask=0xe4,event=0x33",
	.desc = "Core Cross Snoops Issued; Any Snoop to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "Core Cross Snoops Issued; Single Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_remote",
	.event = "umask=0x44,event=0x33",
	.desc = "Core Cross Snoops Issued; Core Request to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "Core Cross Snoops Issued; Single Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_remote",
	.event = "umask=0x84,event=0x33",
	.desc = "Core Cross Snoops Issued; Eviction to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "Core Cross Snoops Issued; Multiple External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "Core Cross Snoops Issued; Single External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_remote",
	.event = "umask=0x24,event=0x33",
	.desc = "Core Cross Snoops Issued; External Snoop to Remote Node. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Not Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts transactions that looked into the multi-socket cacheline Directory state, and therefore did not send a snoop because the Directory indicated it was not needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "Multi-socket cacheline Directory state lookups; Snoop Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  transactions that looked into the multi-socket cacheline Directory state, and sent one or more snoops, because the Directory indicated it was needed",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from the HA pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates memory writes issued from the HA pipe. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "Multi-socket cacheline Directory state updates; Directory Updated memory write from TOR pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline Directory state updates due to memory writes issued from the TOR pipe which are the result of remote transaction hitting the SF/LLC and returning data Core2Core. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.ex_rds",
	.event = "umask=0x1,event=0x5f",
	.desc = "Read request from a remote socket which hit in the HitMe Cache to a line In the E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests from a remote socket which hit in the HitME cache (used to cache the multi-socket Directory state) to a line in the E(Exclusive) state.  This includes the following read opcodes (RdCode, RdData, RdDataMigratory, RdCur, RdInv*, Inv*)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.shared_ownreq",
	.event = "umask=0x4,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; Shared hit and op is RdInvOwn, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoe",
	.event = "umask=0x8,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoi_or_s",
	.event = "umask=0x10,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache; op is WbMtoI, WbPushMtoI, WbFlush, or WbMtoS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.read",
	.event = "umask=0x1,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed; op is RdCode, RdData, RdDataMigratory, RdCur, RdInvOwn, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.write",
	.event = "umask=0x2,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed; op is WbMtoE, WbMtoI, WbPushMtoI, WbFlush, or WbMtoS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.notshared_rdinvown",
	.event = "umask=0x40,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; No SF/LLC HitS/F and op is RdInvOwn. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.read_or_inv",
	.event = "umask=0x80,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; op is RdCode, RdData, RdDataMigratory, RdCur, RdInv, Inv*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.shared_rdinvown",
	.event = "umask=0x20,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache; SF/LLC HitS/F and op is RdInvOwn. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate",
	.event = "umask=0x10,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Deallocate HtiME$ on Reads without RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate_rspfwdi_loc",
	.event = "umask=0x1,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Received RspFwdI* for a local request, but converted HitME$ to SF entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rdinvown",
	.event = "umask=0x8,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Update HitMe Cache on RdInvOwn even if not RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rspfwdi_rem",
	.event = "umask=0x2,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Updated HitME$ on RspFwdI* or local HitM/E received for a remote request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.shared",
	.event = "umask=0x4,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache; Update HitMe Cache to SHARed. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "Normal priority reads issued to the memory controller from the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) read is issued to any of the memory controller channels from the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "HA to iMC Reads Issued; ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued; Full Line Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) full line write is issued from the CHA to the any of the memory controller channels",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_mig",
	.event = "umask=0x10,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Full Line MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; ISOCH Full Line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Partial Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_mig",
	.event = "umask=0x20,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; Partial MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "Writes Issued to the iMC by the HA; ISOCH Partial. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of writes issued from the HA into the memory controller.  This counts for all four channels.  It can be filtered by full/partial and ISOCH/non-ISOCH",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.invitom",
	.event = "umask=0x1,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IODC allocations. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.iodcfull",
	.event = "umask=0x2,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IODC allocations dropped due to IODC Full. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_alloc.osbgated",
	.event = "umask=0x4,event=0x62",
	.desc = "Counts Number of times IODC entry allocation is attempted; Number of IDOC allocation dropped due to OSB gate. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.all",
	.event = "umask=0x10,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to any reason. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.snpout",
	.event = "umask=0x8,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to conflicting transaction. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbmtoe",
	.event = "umask=0x1,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbMtoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbmtoi",
	.event = "umask=0x2,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbMtoI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_iodc_dealloc.wbpushmtoi",
	.event = "umask=0x4,event=0x63",
	.desc = "Counts number of IODC deallocations; IODC deallocated due to WbPushMtoI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Moved to Cbo section",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Any Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.local",
	.event = "umask=0x31,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote",
	.event = "umask=0x91,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; External Snoop Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for only snoop requests coming from the remote socket(s) through the IPQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Write Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cachable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_E. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_F. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.local",
	.event = "umask=0x20,event=0x37",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.local_all",
	.event = "umask=0x2f,event=0x37",
	.desc = "Lines Victimized; Local - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_e",
	.event = "umask=0x22,event=0x37",
	.desc = "Lines Victimized; Local - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_f",
	.event = "umask=0x28,event=0x37",
	.desc = "Lines Victimized; Local - Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_m",
	.event = "umask=0x21,event=0x37",
	.desc = "Lines Victimized; Local - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_s",
	.event = "umask=0x24,event=0x37",
	.desc = "Lines Victimized; Local - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_M. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.remote",
	.event = "umask=0x80,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.REMOTE_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.remote_all",
	.event = "umask=0x8f,event=0x37",
	.desc = "Lines Victimized; Remote - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_e",
	.event = "umask=0x82,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_f",
	.event = "umask=0x88,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_m",
	.event = "umask=0x81,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_s",
	.event = "umask=0x84,event=0x37",
	.desc = "Lines Victimized; Remote - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.total_e",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized; Lines in E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_f",
	.event = "umask=0x8,event=0x37",
	.desc = "Lines Victimized; Lines in F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_m",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized; Lines in M state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.total_s",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized; Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc; CV0 Prefetch Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc; CV0 Prefetch Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Number of times that an RFO hit in S state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a RFO (the Read for Ownership issued before a  write) request hit a cacheline in the S (Shared) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc; Silent Snoop Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc; Write Combining Aliasing. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous events in the Cbo.; Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb",
	.event = "event=0x55",
	.desc = "OSB Snoop Broadcast. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.iodc",
	.event = "umask=0x10,event=0x64",
	.desc = "Memory Mode related events; Counts the number of times CHA saw NM Set conflict in IODC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "2LM related events; Counts the number of times CHA saw NM Set conflict in IODC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.llc",
	.event = "umask=0x2,event=0x64",
	.desc = "Memory Mode related events; Counts the number of times CHA saw NM Set conflict in SF/LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "NM evictions due to another read to the same near memory set in the LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.sf",
	.event = "umask=0x1,event=0x64",
	.desc = "Memory Mode related events; Counts the number of times CHA saw NM Set conflict in SF/LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "NM evictions due to another read to the same near memory set in the SF",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.tor",
	.event = "umask=0x4,event=0x64",
	.desc = "Memory Mode related events; Counts the number of times CHA saw NM Set conflict in TOR. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "No Reject in the CHA due to a pending read to the same near memory set in the TOR",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.tor_reject",
	.event = "umask=0x8,event=0x64",
	.desc = "Memory mode related events; Counts the number of times CHA saw NM Set conflict in TOR and the transaction was rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Rejects in the CHA due to a pending read to the same near memory set in the TOR",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty; MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue.; Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "Local requests for exclusive ownership of a cache line  without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_remote",
	.event = "umask=0x20,event=0x50",
	.desc = "Local requests for exclusive ownership of a cache line without receiving data. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a remote socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "Read requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write) ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "Read requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a unit on this socket made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "Read requests from a remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a remote socket made into the CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "Write requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts write requests made into the CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "Write Requests from a unit on this socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  write requests coming from a unit on this socket made into this CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "Read and Write Requests; Writes Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress (from CMS) Allocations; IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress (from CMS) Allocations; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress (from CMS) Allocations; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.rrq",
	.event = "umask=0x40,event=0x13",
	.desc = "Ingress (from CMS) Allocations; RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.wbq",
	.event = "umask=0x80,event=0x13",
	.desc = "Ingress (from CMS) Allocations; WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "Ingress Probe Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "Ingress Probe Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x22",
	.desc = "Ingress Probe Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "Ingress Probe Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x22",
	.desc = "Ingress Probe Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.any0",
	.event = "umask=0x1,event=0x23",
	.desc = "Ingress Probe Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.ha",
	.event = "umask=0x2,event=0x23",
	.desc = "Ingress Probe Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_victim",
	.event = "umask=0x4,event=0x23",
	.desc = "Ingress Probe Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "Ingress Probe Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "Ingress Probe Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.victim",
	.event = "umask=0x10,event=0x23",
	.desc = "Ingress Probe Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x18",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.any0",
	.event = "umask=0x1,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "ISMQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "ISMQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x24",
	.desc = "ISMQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "ISMQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "ISMQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "ISMQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "ISMQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x24",
	.desc = "ISMQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "ISMQ Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "ISMQ Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2c",
	.desc = "ISMQ Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "ISMQ Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "ISMQ Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "ISMQ Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "ISMQ Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2c",
	.desc = "ISMQ Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.any0",
	.event = "umask=0x1,event=0x25",
	.desc = "ISMQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "ISMQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.any0",
	.event = "umask=0x1,event=0x2d",
	.desc = "ISMQ Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "ISMQ Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.rrq",
	.event = "umask=0x40,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.wbq",
	.event = "umask=0x80,event=0x11",
	.desc = "Ingress (from CMS) Occupancy; WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "Other Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "Other Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2e",
	.desc = "Other Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "Other Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "Other Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "Other Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "Other Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2e",
	.desc = "Other Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "Other Retries; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.any0",
	.event = "umask=0x1,event=0x2f",
	.desc = "Other Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "Other Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "Other Retries; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "Other Retries; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "Other Retries; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "Other Retries; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "Other Retries; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x20",
	.desc = "Ingress (from CMS) Request Queue Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.any0",
	.event = "umask=0x1,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "Ingress (from CMS) Request Queue Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "Request Queue Retries; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "Request Queue Retries; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2a",
	.desc = "Request Queue Retries; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "Request Queue Retries; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "Request Queue Retries; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "Request Queue Retries; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "Request Queue Retries; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2a",
	.desc = "Request Queue Retries; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "Request Queue Retries; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.any0",
	.event = "umask=0x1,event=0x2b",
	.desc = "Request Queue Retries; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "Request Queue Retries; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "Request Queue Retries; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "Request Queue Retries; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "Request Queue Retries; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "Request Queue Retries; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "Request Queue Retries; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "RRQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x26",
	.desc = "RRQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x26",
	.desc = "RRQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x26",
	.desc = "RRQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x26",
	.desc = "RRQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x26",
	.desc = "RRQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x26",
	.desc = "RRQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x26",
	.desc = "RRQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.allow_snp",
	.event = "umask=0x40,event=0x27",
	.desc = "RRQ Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.any0",
	.event = "umask=0x1,event=0x27",
	.desc = "RRQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.ha",
	.event = "umask=0x2,event=0x27",
	.desc = "RRQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x27",
	.desc = "RRQ Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_victim",
	.event = "umask=0x4,event=0x27",
	.desc = "RRQ Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.pa_match",
	.event = "umask=0x80,event=0x27",
	.desc = "RRQ Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.sf_victim",
	.event = "umask=0x8,event=0x27",
	.desc = "RRQ Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.victim",
	.event = "umask=0x10,event=0x27",
	.desc = "RRQ Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "WBQ Rejects; AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x28",
	.desc = "WBQ Rejects; AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x28",
	.desc = "WBQ Rejects; Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x28",
	.desc = "WBQ Rejects; BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x28",
	.desc = "WBQ Rejects; BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x28",
	.desc = "WBQ Rejects; BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x28",
	.desc = "WBQ Rejects; BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x28",
	.desc = "WBQ Rejects; Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.allow_snp",
	.event = "umask=0x40,event=0x29",
	.desc = "WBQ Rejects; Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.any0",
	.event = "umask=0x1,event=0x29",
	.desc = "WBQ Rejects; ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.ha",
	.event = "umask=0x2,event=0x29",
	.desc = "WBQ Rejects; HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x29",
	.desc = "WBQ Rejects; Merging these two together to make room for ANY_REJECT_*0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_victim",
	.event = "umask=0x4,event=0x29",
	.desc = "WBQ Rejects; LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.pa_match",
	.event = "umask=0x80,event=0x29",
	.desc = "WBQ Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.sf_victim",
	.event = "umask=0x8,event=0x29",
	.desc = "WBQ Rejects; SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.victim",
	.event = "umask=0x10,event=0x29",
	.desc = "WBQ Rejects; Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop filter capacity evictions for E-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking exclusive lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop filter capacity evictions for M-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking modified lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop filter capacity evictions for S-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking shared lines in the cores cache. Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry. Does not count clean evictions such as when a cores cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.all",
	.event = "umask=0x1,event=0x51",
	.desc = "Snoops Sent; All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_local",
	.event = "umask=0x10,event=0x51",
	.desc = "Snoops Sent; Broadcast snoop for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast snoops issued by the HA. This filter includes only requests coming from local sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_remote",
	.event = "umask=0x20,event=0x51",
	.desc = "Snoops Sent; Broadcast snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast snoops issued by the HA.This filter includes only requests coming from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_local",
	.event = "umask=0x40,event=0x51",
	.desc = "Snoops Sent; Directed snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of directed snoops issued by the HA. This filter includes only requests coming from local sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_remote",
	.event = "umask=0x80,event=0x51",
	.desc = "Snoops Sent; Directed snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of directed snoops issued by the HA. This filter includes only requests coming from remote sockets",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "Snoops Sent; Broadcast or directed Snoops sent for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast or directed snoops issued by the HA per request. This filter includes only requests coming from the local socket",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.remote",
	.event = "umask=0x8,event=0x51",
	.desc = "Snoops Sent; Broadcast or directed Snoops sent for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of snoops issued by the HA.; Counts the number of broadcast or directed snoops issued by the HA per request. This filter includes only requests coming from the remote socket",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspcnflcts",
	.event = "umask=0x40,event=0x5c",
	.desc = "RspCnflct* Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspCnflct* Snoop Response was received. This is returned when a snoop finds an existing outstanding transaction in a remote caching agent. This triggers conflict resolution hardware. This covers both the opcode RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspfwd",
	.event = "umask=0x80,event=0x5c",
	.desc = "Snoop Responses Received; RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1.; Filters for a snoop response of RspFwd to a CA request.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspi",
	.event = "umask=0x1,event=0x5c",
	.desc = "RspI Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type RspI Snoop Response was received which indicates the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO: the Read for Ownership issued before a write hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x5c",
	.desc = "RspIFwd Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspIFwd Snoop Response was received which indicates a remote caching agent forwarded the data and the requesting agent is able to acquire the data in E (Exclusive) or M (modified) states.  This is commonly returned with RFO (the Read for Ownership issued before a write) transactions.  The snoop could have either been to a cacheline in the M,E,F (Modified, Exclusive or Forward)  states",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsps",
	.event = "umask=0x2,event=0x5c",
	.desc = "Snoop Responses Received : RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : RspS : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for snoop responses of RspS.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x5c",
	.desc = "RspSFwd Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspSFwd Snoop Response was received which indicates a remote caching agent forwarded the data but held on to its current copy.  This is common for data and code reads that hit in a remote socket in E (Exclusive) or F (Forward) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5c",
	.desc = "Rsp*Fwd*WB Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type Rsp*Fwd*WB Snoop Response was received which indicates the data was written back to its home socket, and the cacheline was forwarded to the requestor socket.  This snoop response is only used in >= 4 socket systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to its home socket to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsp_wbwb",
	.event = "umask=0x10,event=0x5c",
	.desc = "Rsp*WB Snoop Responses Received. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type Rsp*WB Snoop Response was received which indicates which indicates the data was written back to its home.  This is returned when a non-RFO request hits a cacheline in the Modified state. The Cache can either downgrade the cacheline to a S (Shared) or I (Invalid) state depending on how the system has been configured.  This response will also be sent when a cache requests E (Exclusive) ownership of a cache line without receiving data, because the cache must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "Snoop Responses Received Local; RspCnflct. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspConflict to local CA requests.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "Snoop Responses Received Local; RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspFwd to local CA requests.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "Snoop Responses Received Local; RspI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoops responses of RspI to local CA requests.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "Snoop Responses Received Local; RspIFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspIFwd to local CA requests.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "Snoop Responses Received Local; RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for snoop responses of RspS to local CA requests.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "Snoop Responses Received Local; RspSFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspSFwd to local CA requests.  This is returned when a remote caching agent forwards data but holds on to its currentl copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5d",
	.desc = "Snoop Responses Received Local; Rsp*FWD*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of Rsp*Fwd*WB to local CA requests.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsp_wb",
	.event = "umask=0x10,event=0x5d",
	.desc = "Snoop Responses Received Local; Rsp*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of snoop responses received for a Local  request; Filters for a snoop response of RspIWB or RspSWB to local CA requests.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all",
	.event = "umask=0xff,event=0x35",
	.desc = "TOR Inserts; All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_hit",
	.event = "umask=0x15,event=0x35",
	.desc = "TOR Inserts; Hits from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_io_ia",
	.event = "umask=0x35,event=0x35",
	.desc = "TOR Inserts; All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all_miss",
	.event = "umask=0x25,event=0x35",
	.desc = "TOR Inserts; Misses from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "TOR Inserts; SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.hit",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts; Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; HITs (hit is defined to be not a miss [see below], as a result for any request allocated into the TOR, one of either HIT or MISS must be true)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia",
	.event = "umask=0x31,event=0x35",
	.desc = "TOR Inserts; All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit",
	.event = "umask=0x11,event=0x35",
	.desc = "TOR Inserts; Hits from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd",
	.event = "umask=0x11,event=0x35,config1=0x40233",
	.desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd",
	.event = "umask=0x11,event=0x35,config1=0x40433",
	.desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefcrd",
	.event = "umask=0x11,event=0x35,config1=0x4b233",
	.desc = "UNC_CHA_TOR_INSERTS.IA_HIT_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefdrd",
	.event = "umask=0x11,event=0x35,config1=0x4b433",
	.desc = "UNC_CHA_TOR_INSERTS.IA_HIT_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefrfo",
	.event = "umask=0x11,event=0x35,config1=0x4b033",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo",
	.event = "umask=0x11,event=0x35,config1=0x40033",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss",
	.event = "umask=0x21,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd",
	.event = "umask=0x21,event=0x35,config1=0x40233",
	.desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd",
	.event = "umask=0x21,event=0x35,config1=0x40433",
	.desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefcrd",
	.event = "umask=0x21,event=0x35,config1=0x4b233",
	.desc = "UNC_CHA_TOR_INSERTS.IA_MISS_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefdrd",
	.event = "umask=0x21,event=0x35,config1=0x4b433",
	.desc = "UNC_CHA_TOR_INSERTS.IA_MISS_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefrfo",
	.event = "umask=0x21,event=0x35,config1=0x4b033",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo",
	.event = "umask=0x21,event=0x35,config1=0x40033",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io",
	.event = "umask=0x34,event=0x35",
	.desc = "TOR Inserts; All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit",
	.event = "umask=0x14,event=0x35",
	.desc = "TOR Inserts; Hits from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss",
	.event = "umask=0x24,event=0x35",
	.desc = "TOR Inserts; Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itom",
	.event = "umask=0x24,event=0x35,config1=0x49033",
	.desc = "TOR Inserts; ItoM misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO ItoM requests that miss the LLC. An ItoM request is used by IIO to request a data write without first reading the data for ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rdcur",
	.event = "umask=0x24,event=0x35,config1=0x43C33",
	.desc = "TOR Inserts; RdCur misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO RdCur requests and miss the LLC. A RdCur request is used by IIO to read data without changing state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rfo",
	.event = "umask=0x24,event=0x35,config1=0x40033",
	.desc = "TOR Inserts; RFO misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that are generated from local IO RFO requests that miss the LLC. A read for ownership (RFO) requests a cache line to be cached in E state with the intent to modify",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq_hit",
	.event = "umask=0x18,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq_miss",
	.event = "umask=0x28,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.irq",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_all",
	.event = "umask=0x37,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.miss",
	.event = "umask=0x20,event=0x35",
	.desc = "TOR Inserts; Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.; Misses.  (a miss is defined to be any transaction from the IRQ, PRQ, RRQ, IPQ or (in the victim case) the ISMQ, that required the CHA to spawn a new UPI/SMI3 request on the UPI fabric (including UPI snoops and/or any RD/WR to a local memory controller, in the event that the CHA is the home node)).  Basically, if the LLC/SF/MLC complex were not able to service the request without involving another agent...it is a miss.  If only IDI snoops were required, it is not a miss (that means the SF/MLC com",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rem_all",
	.event = "umask=0x30,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq_hit",
	.event = "umask=0x50,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq_miss",
	.event = "umask=0x60,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq_hit",
	.event = "umask=0x90,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq_miss",
	.event = "umask=0xa0,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.all",
	.event = "umask=0xff,event=0x36",
	.desc = "UNC_CHA_TOR_OCCUPANCY.ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_from_loc",
	.event = "umask=0x37,event=0x36",
	.desc = "TOR Occupancy; All from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   There are a number of subevent 'filters' but only a subset of the subevent combinations are valid.  Subevents that require an opcode or NID match require the Cn_MSR_PMON_BOX_FILTER.{opc, nid} field to be set.  If, for example, one wanted to count DRD Local Misses, one should select MISS_OPC_MATCH and set Cn_MSR_PMON_BOX_FILTER.opc to DRD (0x182); All remotely generated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_hit",
	.event = "umask=0x17,event=0x36",
	.desc = "TOR Occupancy; Hits from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.all_miss",
	.event = "umask=0x27,event=0x36",
	.desc = "TOR Occupancy; Misses from Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "TOR Occupancy; SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.hit",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy; Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; HITs (hit is defined to be not a miss [see below], as a result for any request allocated into the TOR, one of either HIT or MISS must be true)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia",
	.event = "umask=0x31,event=0x36",
	.desc = "TOR Occupancy; All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit",
	.event = "umask=0x11,event=0x36",
	.desc = "TOR Occupancy; Hits from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd",
	.event = "umask=0x11,event=0x36,config1=0x40233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd",
	.event = "umask=0x11,event=0x36,config1=0x40433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_DRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefcrd",
	.event = "umask=0x11,event=0x36,config1=0x4b233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefdrd",
	.event = "umask=0x11,event=0x36,config1=0x4b433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefrfo",
	.event = "umask=0x11,event=0x36,config1=0x4b033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_LlcPrefRFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo",
	.event = "umask=0x11,event=0x36,config1=0x40033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_HIT_RFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss",
	.event = "umask=0x21,event=0x36",
	.desc = "TOR Occupancy; Misses from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd",
	.event = "umask=0x21,event=0x36,config1=0x40233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd",
	.event = "umask=0x21,event=0x36,config1=0x40433",
	.desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefcrd",
	.event = "umask=0x21,event=0x36,config1=0x4b233",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefCRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefdrd",
	.event = "umask=0x21,event=0x36,config1=0x4b433",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefDRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefrfo",
	.event = "umask=0x21,event=0x36,config1=0x4b033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_LlcPrefRFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo",
	.event = "umask=0x21,event=0x36,config1=0x40033",
	.desc = "UNC_CHA_TOR_OCCUPANCY.IA_MISS_RFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io",
	.event = "umask=0x34,event=0x36",
	.desc = "TOR Occupancy; All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit",
	.event = "umask=0x14,event=0x36",
	.desc = "TOR Occupancy; Hits from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss",
	.event = "umask=0x24,event=0x36",
	.desc = "TOR Occupancy; Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itom",
	.event = "umask=0x24,event=0x36,config1=0x49033",
	.desc = "TOR Occupancy;  ITOM Misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO ItoM requests that miss the LLC. An ItoM is used by IIO to request a data write without first reading the data for ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rdcur",
	.event = "umask=0x24,event=0x36,config1=0x43C33",
	.desc = "TOR Occupancy;  RDCUR isses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO RdCur requests that miss the LLC. A RdCur request is used by IIO to read data without changing state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rfo",
	.event = "umask=0x24,event=0x36,config1=0x40033",
	.desc = "TOR Occupancy;  RFO misses from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that are generated from local IO RFO requests that miss the LLC. A read for ownership (RFO) requests data to be cached in E state with the intent to modify",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy; IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq_hit",
	.event = "umask=0x18,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq_miss",
	.event = "umask=0x28,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy; IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_all",
	.event = "umask=0x37,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.ALL_FROM_LOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_occupancy.miss",
	.event = "umask=0x20,event=0x36",
	.desc = "TOR Occupancy; Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T; Misses.  (a miss is defined to be any transaction from the IRQ, PRQ, RRQ, IPQ or (in the victim case) the ISMQ, that required the CHA to spawn a new UPI/SMI3 request on the UPI fabric (including UPI snoops and/or any RD/WR to a local memory controller, in the event that the CHA is the home node)).  Basically, if the LLC/SF/MLC complex were not able to service the request without involving another agent...it is a miss.  If only IDI snoops were required, it is not a miss (that means the SF/MLC com",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy; PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.   T",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.ad_req",
	.event = "umask=0x4,event=0x38",
	.desc = "UPI Ingress Credit Allocations; AD REQ Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.ad_rsp",
	.event = "umask=0x8,event=0x38",
	.desc = "UPI Ingress Credit Allocations; AD RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_ncb",
	.event = "umask=0x40,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL NCB Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_ncs",
	.event = "umask=0x80,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL NCS Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_rsp",
	.event = "umask=0x10,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL RSP Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.bl_wb",
	.event = "umask=0x20,event=0x38",
	.desc = "UPI Ingress Credit Allocations; BL DRS Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.vn0",
	.event = "umask=0x2,event=0x38",
	.desc = "UPI Ingress Credit Allocations; VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credits_acquired.vna",
	.event = "umask=0x1,event=0x38",
	.desc = "UPI Ingress Credit Allocations; VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of UPI credits acquired for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This can be used with the Credit Occupancy event in order to calculate average credit lifetime.  This event supports filtering to cover the VNA/VN0 credits and the different message classes.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_ad_req",
	.event = "umask=0x4,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD REQ VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_ad_rsp",
	.event = "umask=0x8,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_ncb",
	.event = "umask=0x40,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL NCB VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_ncs",
	.event = "umask=0x80,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL NCS VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_rsp",
	.event = "umask=0x10,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL RSP VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vn0_bl_wb",
	.event = "umask=0x20,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL DRS VN0 Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vna_ad",
	.event = "umask=0x1,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; AD VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_upi_credit_occupancy.vna_bl",
	.event = "umask=0x2,event=0x3b",
	.desc = "UPI Ingress Credits In Use Cycles; BL VNA Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of UPI credits available in each cycle for either the AD or BL ring.  In order to send snoops, snoop responses, requests, data, etc to the UPI agent on the ring, it is necessary to first acquire a credit for the UPI ingress buffer.  This stat increments by the number of credits that are available each cycle.  This can be used in conjunction with the Credit Acquired event in order to calculate average credit lifetime.  This event supports filtering for the different types of credits that are available.  Note that you must select the link that you would like to monitor using the link select register, and you can only monitor 1 link at a time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "WbPushMtoI; Pushed to LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was received WbPushMtoI; Counts the number of times when the CHA was able to push WbPushMToI to LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "WbPushMtoI; Pushed to Memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when the CHA was received WbPushMtoI; Counts the number of times when the CHA was unable to push WbPushMToI to LLC (hence pushed it to MEM)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty; MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue.; Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rspi_fwdfe",
	.event = "umask=0xe4,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rspi_fwdm",
	.event = "umask=0xf0,event=0x32",
	.desc = "Core Cross Snoop Responses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsps_fwdfe",
	.event = "umask=0xe2,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsps_fwdm",
	.event = "umask=0xe8,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.any_rsp_hitfse",
	.event = "umask=0xe1,event=0x32",
	.desc = "Core Cross Snoop Responses; Any RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Any Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rspi_fwdfe",
	.event = "umask=0x44,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rspi_fwdm",
	.event = "umask=0x50,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsps_fwdfe",
	.event = "umask=0x42,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsps_fwdm",
	.event = "umask=0x48,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.core_rsp_hitfse",
	.event = "umask=0x41,event=0x32",
	.desc = "Core Cross Snoop Responses; Core RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Core Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rspi_fwdfe",
	.event = "umask=0x84,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rspi_fwdm",
	.event = "umask=0x90,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsps_fwdfe",
	.event = "umask=0x82,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsps_fwdm",
	.event = "umask=0x88,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.evict_rsp_hitfse",
	.event = "umask=0x81,event=0x32",
	.desc = "Core Cross Snoop Responses; Evict RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; Eviction Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rspi_fwdfe",
	.event = "umask=0x24,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspIFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response I to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rspi_fwdm",
	.event = "umask=0x30,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response I to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsps_fwdfe",
	.event = "umask=0x22,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspSFwdFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response S to Fwd F/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsps_fwdm",
	.event = "umask=0x28,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspSFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response S to Fwd M",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xsnp_resp.ext_rsp_hitfse",
	.event = "umask=0x21,event=0x32",
	.desc = "Core Cross Snoop Responses; External RspHitFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of core cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type. This event can be filtered based on who triggered the initial snoop(s):  from Evictions, Core  or External (i.e. from a remote node) Requests.  And the event can be filtered based on the responses:  RspX_Fwd/HitY where Y is the state prior to the snoop response and X is the state following.; External Request - Response any to Hit F/S/E",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_clockticks",
	.event = "event=0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CLOCKTICKS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_fast_asserted",
	.event = "umask=0x2,event=0xa5",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_FAST_ASSERTED.HORZ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.ANY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.local",
	.event = "umask=0x31,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.remote",
	.event = "umask=0x91,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.REMOTE_SNOOP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.WRITE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_E. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_F. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.local",
	.event = "umask=0x2f,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.LOCAL_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_M. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.remote",
	.event = "umask=0x80,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.REMOTE_ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_VICTIMS.TOTAL_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SRC_THRTL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.EVICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.hit",
	.event = "umask=0x10,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq_hit",
	.event = "umask=0x18,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.ipq_miss",
	.event = "umask=0x28,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq",
	.event = "umask=0x31,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq_hit",
	.event = "umask=0x11,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.irq_miss",
	.event = "umask=0x21,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_all",
	.event = "umask=0x37,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_ia",
	.event = "umask=0x31,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.loc_io",
	.event = "umask=0x34,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.miss",
	.event = "umask=0x20,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq",
	.event = "umask=0x4,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq_hit",
	.event = "umask=0x14,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.prq_miss",
	.event = "umask=0x24,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IO_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rem_all",
	.event = "umask=0x30,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rrq_hit",
	.event = "umask=0x50,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.rrq_miss",
	.event = "umask=0x60,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.wbq_hit",
	.event = "umask=0x90,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_inserts.wbq_miss",
	.event = "umask=0xa0,event=0x35",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.EVICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.hit",
	.event = "umask=0x10,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq_hit",
	.event = "umask=0x18,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.ipq_miss",
	.event = "umask=0x28,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq",
	.event = "umask=0x31,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq_hit",
	.event = "umask=0x11,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.irq_miss",
	.event = "umask=0x21,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_all",
	.event = "umask=0x37,event=0x36",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_ia",
	.event = "umask=0x31,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.loc_io",
	.event = "umask=0x34,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.miss",
	.event = "umask=0x20,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq_hit",
	.event = "umask=0x14,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO_HIT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_c_tor_occupancy.prq_miss",
	.event = "umask=0x24,event=0x36",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_OCCUPANCY.IO_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_AD_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG0_BL_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_AD_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CRD_OCCUPANCY.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_AG1_BL_CREDITS_ACQUIRED.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.INTERMEDIATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.NOT_TAKEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_BYPASS_CHA_IMC.TAKEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_clock",
	.event = "event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CMS_CLOCKTICKS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c1_state",
	.event = "umask=0x1,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C1_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c1_transition",
	.event = "umask=0x2,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C1_TRANSITION. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c6_state",
	.event = "umask=0x4,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C6_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.c6_transition",
	.event = "umask=0x8,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.C6_TRANSITION. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_pma.gv",
	.event = "umask=0x10,event=0x17",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_PMA.GV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_gtone",
	.event = "umask=0xe2,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_one",
	.event = "umask=0xe1,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.any_remote",
	.event = "umask=0xe4,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.ANY_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.core_remote",
	.event = "umask=0x44,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.CORE_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.evict_remote",
	.event = "umask=0x84,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EVICT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_GTONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_ONE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_core_snp.ext_remote",
	.event = "umask=0x24,event=0x33",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_CORE_SNP.EXT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_COUNTER0_OCCUPANCY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_LOOKUP.NO_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_LOOKUP.SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_UPDATE.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_DIR_UPDATE.TOR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_EGRESS_ORDERING.IV_SNOOPGO_DN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_EGRESS_ORDERING.IV_SNOOPGO_UP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.ex_rds",
	.event = "umask=0x1,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.EX_RDS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.shared_ownreq",
	.event = "umask=0x4,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.SHARED_OWNREQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoe",
	.event = "umask=0x8,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.WBMTOE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_hit.wbmtoi_or_s",
	.event = "umask=0x10,event=0x5f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_HIT.WBMTOI_OR_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_lookup.read",
	.event = "umask=0x1,event=0x5e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_LOOKUP.READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_lookup.write",
	.event = "umask=0x2,event=0x5e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_LOOKUP.WRITE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.notshared_rdinvown",
	.event = "umask=0x40,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.NOTSHARED_RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.read_or_inv",
	.event = "umask=0x80,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.READ_OR_INV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_miss.shared_rdinvown",
	.event = "umask=0x20,event=0x60",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_MISS.SHARED_RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.deallocate",
	.event = "umask=0x10,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.DEALLOCATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.deallocate_rspfwdi_loc",
	.event = "umask=0x1,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.DEALLOCATE_RSPFWDI_LOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.rdinvown",
	.event = "umask=0x8,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.RDINVOWN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.rspfwdi_rem",
	.event = "umask=0x2,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.RSPFWDI_REM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_hitme_update.shared",
	.event = "umask=0x4,event=0x61",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HITME_UPDATE.SHARED. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AD_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_AK_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.LEFT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.LEFT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.RIGHT_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_BL_IN_USE.RIGHT_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_IV_IN_USE.LEFT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_HORZ_RING_IV_IN_USE.RIGHT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_READS_COUNT.NORMAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_READS_COUNT.PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full_mig",
	.event = "umask=0x10,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL_MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.FULL_PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial_mig",
	.event = "umask=0x20,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL_MIG. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IMC_WRITES_COUNT.PARTIAL_PRIORITY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.invitom",
	.event = "umask=0x1,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.INVITOM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.iodcfull",
	.event = "umask=0x2,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.IODCFULL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_alloc.osbgated",
	.event = "umask=0x4,event=0x62",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_ALLOC.OSBGATED. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.all",
	.event = "umask=0x10,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.snpout",
	.event = "umask=0x8,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.SNPOUT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbmtoe",
	.event = "umask=0x1,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBMTOE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbmtoi",
	.event = "umask=0x2,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBMTOI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_iodc_dealloc.wbpushmtoi",
	.event = "umask=0x4,event=0x63",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_IODC_DEALLOC.WBPUSHMTOI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.CV0_PREF_MISS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.CV0_PREF_VIC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.RFO_HIT_S. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.RSPI_WAS_FSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_MISC.WC_ALIASING. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_osb",
	.event = "event=0x55",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_OSB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_read_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x58",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_READ_NO_CREDITS.MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_REQUESTS.INVITOE_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.invitoe_remote",
	.event = "umask=0x20,event=0x50",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_REQUESTS.INVITOE_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "read requests from home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "read requests from local home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "read requests from remote home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "write requests from home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "write requests from local home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "write requests from remote home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_HORZ.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_BOUNCES_VERT.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_HORZ.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RING_SINK_STARVED_VERT.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.IRQ_REJ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.PRQ_REJ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.rrq",
	.event = "umask=0x40,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_inserts.wbq",
	.event = "umask=0x80,event=0x13",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_INSERTS.WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.any_ipq0",
	.event = "umask=0x1,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.ha",
	.event = "umask=0x2,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.llc_victim",
	.event = "umask=0x4,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ipq1_reject.victim",
	.event = "umask=0x10,event=0x23",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IPQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.any_reject_irq0",
	.event = "umask=0x1,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_IRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_reject.any_ismq0",
	.event = "umask=0x1,event=0x25",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_retry.any",
	.event = "umask=0x1,event=0x2d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_ISMQ1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.rrq",
	.event = "umask=0x40,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_occupancy.wbq",
	.event = "umask=0x80,event=0x11",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OCCUPANCY.WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.any",
	.event = "umask=0x1,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_OTHER1_RETRY.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.any_prq0",
	.event = "umask=0x1,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_PRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q0_RETRY.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.any",
	.event = "umask=0x1,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_REQ_Q1_RETRY.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x26",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.allow_snp",
	.event = "umask=0x40,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.any_rrq0",
	.event = "umask=0x1,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.ha",
	.event = "umask=0x2,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.llc_victim",
	.event = "umask=0x4,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.pa_match",
	.event = "umask=0x80,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.sf_victim",
	.event = "umask=0x8,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_rrq1_reject.victim",
	.event = "umask=0x10,event=0x27",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_RRQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.AD_REQ_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.AD_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_NCB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_NCS_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_RSP_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x28",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ0_REJECT.BL_WB_VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.allow_snp",
	.event = "umask=0x40,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.ALLOW_SNP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.any_wbq0",
	.event = "umask=0x1,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.ha",
	.event = "umask=0x2,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.LLC_OR_SF_WAY. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.llc_victim",
	.event = "umask=0x4,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.LLC_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.pa_match",
	.event = "umask=0x80,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.PA_MATCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.sf_victim",
	.event = "umask=0x8,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.SF_VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxc_wbq1_reject.victim",
	.event = "umask=0x10,event=0x29",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxC_WBQ1_REJECT.VICTIM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BUSY_STARVED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_BYPASS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.IFV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_CRD_STARVED.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_INSERTS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_RxR_OCCUPANCY.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.E_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.M_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SF_EVICTION.S_STATE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.",
	.event = "umask=0x1,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.ALL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.bcst_loc",
	.event = "umask=0x10,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.BCST_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.bcst_rem",
	.event = "umask=0x20,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.BCST_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.direct_loc",
	.event = "umask=0x40,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.DIRECT_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.direct_rem",
	.event = "umask=0x80,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.DIRECT_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoops_sent.remote",
	.event = "umask=0x8,event=0x51",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOPS_SENT.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPCNFLCTS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspfwd",
	.event = "umask=0x80,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspi",
	.event = "umask=0x1,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPIFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsps",
	.event = "umask=0x2,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSPSFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSP_FWD_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snoop_resp.rsp_wb",
	.event = "umask=0x10,event=0x5c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP.RSP_WBWB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPCNFLCT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPIFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSPSFWD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsp_fwd_wb",
	.event = "umask=0x20,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSP_FWD_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_snp_rsp_rcv_local.rsp_wb",
	.event = "umask=0x10,event=0x5d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_SNOOP_RESP_LOCAL.RSP_WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG0.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_AD_AG1.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG0.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_STALL_NO_TxR_HORZ_CRD_BL_AG1.TGR5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_ADS_USED.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_BYPASS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_FULL.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_CYCLES_NE.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_INSERTS.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_NACK.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AD_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.BL_CRD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_OCCUPANCY.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.AD_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.AK_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.BL_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_HORZ_STARVED.IV_BNC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_ADS_USED.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9e",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_BYPASS.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_full.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_FULL.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_cycles_ne.iv_ag0",
	.event = "umask=0x8,event=0x93",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_CYCLES_NE.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_inserts.iv_ag0",
	.event = "umask=0x8,event=0x91",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_INSERTS.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_NACK.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_occupancy.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_OCCUPANCY.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AD_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AD_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AK_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.AK_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.BL_AG0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.BL_AG1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TxR_VERT_STARVED.IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AD_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_AK_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.DN_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.DN_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.UP_EVEN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_BL_IN_USE.UP_ODD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_IV_IN_USE.DN. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_VERT_RING_IV_IN_USE.UP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WB_PUSH_MTOI.LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WB_PUSH_MTOI.MEM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc0_smi2",
	.event = "umask=0x4,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC0_SMI2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc1_smi3",
	.event = "umask=0x8,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC1_SMI3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc2_smi4",
	.event = "umask=0x10,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC2_SMI4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.edc3_smi5",
	.event = "umask=0x20,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.EDC3_SMI5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.mc0_smi0",
	.event = "umask=0x1,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.MC0_SMI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_write_no_credits.mc1_smi1",
	.event = "umask=0x2,event=0x5a",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_WRITE_NO_CREDITS.MC1_SMI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rspi_fwdfe",
	.event = "umask=0xe4,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rspi_fwdm",
	.event = "umask=0xf0,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsps_fwdfe",
	.event = "umask=0xe2,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsps_fwdm",
	.event = "umask=0xe8,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.any_rsp_hitfse",
	.event = "umask=0xe1,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.ANY_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rspi_fwdfe",
	.event = "umask=0x44,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rspi_fwdm",
	.event = "umask=0x50,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsps_fwdfe",
	.event = "umask=0x42,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsps_fwdm",
	.event = "umask=0x48,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.core_rsp_hitfse",
	.event = "umask=0x41,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.CORE_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rspi_fwdfe",
	.event = "umask=0x84,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rspi_fwdm",
	.event = "umask=0x90,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsps_fwdfe",
	.event = "umask=0x82,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsps_fwdm",
	.event = "umask=0x88,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.evict_rsp_hitfse",
	.event = "umask=0x81,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EVICT_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rspi_fwdfe",
	.event = "umask=0x24,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPI_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rspi_fwdm",
	.event = "umask=0x30,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPI_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsps_fwdfe",
	.event = "umask=0x22,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPS_FWDFE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsps_fwdm",
	.event = "umask=0x28,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSPS_FWDM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_h_xsnp_resp.ext_rsp_hitfse",
	.event = "umask=0x21,event=0x32",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_XSNP_RESP.EXT_RSP_HITFSE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the IIO Traffic Controller. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the 1GHz traffic controller clock in the IIO unit",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all_parts",
	.event = "fc_mask=0x4,ch_mask=0x0f,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0-3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part0",
	.event = "fc_mask=0x4,ch_mask=0x01,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part1",
	.event = "fc_mask=0x4,ch_mask=0x02,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part2",
	.event = "fc_mask=0x4,ch_mask=0x04,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part3",
	.event = "fc_mask=0x4,ch_mask=0x08,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port0",
	.event = "fc_mask=0x7,ch_mask=0x01,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port1",
	.event = "fc_mask=0x7,ch_mask=0x02,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port2",
	.event = "fc_mask=0x7,ch_mask=0x04,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.port3",
	.event = "fc_mask=0x7,ch_mask=0x08,umask=0x4,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts; Port 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all_parts",
	.event = "fc_mask=0x04,umask=0xf,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 0-3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part0",
	.event = "fc_mask=0x04,umask=0x1,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part1",
	.event = "fc_mask=0x04,umask=0x2,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part2",
	.event = "fc_mask=0x04,umask=0x4,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part3",
	.event = "fc_mask=0x04,umask=0x8,event=0xd5",
	.desc = "PCIe Completion Buffer occupancy of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part0. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part1. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part2. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc0",
	.desc = "Read request for 4 bytes made by the CPU to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part3. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part0 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part1 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part2 by  a unit on the main die (generally a core) or by another IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc0",
	.desc = "Write request of 4 bytes made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made to the MMIO space of a card on IIO Part3 by  a unit on the main die (generally a core) or by another IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part0. Does not include requests made by the same IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part1. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part2. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc0",
	.desc = "Peer to peer read request for 4 bytes made by a different IIO unit to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts ever peer to peer read request for 4 bytes of data made by a different IIO unit to the MMIO space of a card on IIO Part3. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part0 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part0 by a different IIO unit. Does not include requests made by the same IIO unit.  In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part1 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part1 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part2 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part2 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc0",
	.desc = "Peer to peer write request of 4 bytes made to IIO Part3 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made to the MMIO space of a card on IIO Part3 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests initiated by the main die to the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomiccmp.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0x83",
	.desc = "Data requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for 4 bytes of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "Data requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part0 to a unit onthe main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of 4 bytes of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "Data requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x83",
	.desc = "Peer to peer read request for 4 bytes made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for 4 bytes of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x83",
	.desc = "Peer to peer write request of 4 bytes made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of 4 bytes of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number of double word (4 bytes) requests the attached device made of the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_link_num_corr_err",
	.event = "event=0xf",
	.desc = "Num Link  Correctable Errors. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_link_num_retries",
	.event = "event=0xe",
	.desc = "Num Link Retries. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match",
	.event = "event=0x21",
	.desc = "Number packets that passed the Mask/Match Filter. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0",
	.event = "umask=0x1,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_bus1",
	.event = "umask=0x8,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_not_bus1",
	.event = "umask=0x4,event=0x2",
	.desc = "AND Mask/match for debug bus; Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus1",
	.event = "umask=0x2,event=0x2",
	.desc = "AND Mask/match for debug bus; PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_bus1",
	.event = "umask=0x10,event=0x2",
	.desc = "AND Mask/match for debug bus; !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x2",
	.desc = "AND Mask/match for debug bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0",
	.event = "umask=0x1,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_bus1",
	.event = "umask=0x8,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_not_bus1",
	.event = "umask=0x4,event=0x3",
	.desc = "OR Mask/match for debug bus; Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus1",
	.event = "umask=0x2,event=0x3",
	.desc = "OR Mask/match for debug bus; PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_bus1",
	.event = "umask=0x10,event=0x3",
	.desc = "OR Mask/match for debug bus; !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x3",
	.desc = "OR Mask/match for debug bus; !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_nothing",
	.event = "event=0",
	.desc = "UNC_IIO_NOTHING. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomic.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMIC.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.atomiccmp.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.ATOMICCMP.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.msg.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.MSG.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_in.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_OF_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.cfg_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.CFG_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.io_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.IO_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_payload_bytes_out.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_DATA_REQ_BY_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_symbol_times",
	.event = "event=0x82",
	.desc = "Symbol Times on Link. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Gen1 - increment once every 4nS, Gen2 - increment once every 2nS, Gen3 - increment once every 1nS",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomic.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.atomiccmp.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_OF_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.msg.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_in.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "This event is deprecated. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.cfg_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.CFG_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.io_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.IO_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.mem_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.MEM_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_read.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_READ.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part0",
	.event = "fc_mask=0x7,ch_mask=0x1,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part1",
	.event = "fc_mask=0x7,ch_mask=0x2,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part2",
	.event = "fc_mask=0x7,ch_mask=0x4,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART2. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.part3",
	.event = "fc_mask=0x7,ch_mask=0x8,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.PART3. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.vtd0",
	.event = "fc_mask=0x7,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.VTD0. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_out.peer_write.vtd1",
	.event = "fc_mask=0x7,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "This event is deprecated. Refer to new event UNC_IIO_TXN_REQ_BY_CPU.PEER_WRITE.VTD1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part0. In the general case, part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part1. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part2. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc1",
	.desc = "Read request for up to a 64 byte transaction is made by the CPU to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by a unit on the main die (generally a core) or by another IIO unit to the MMIO space of a card on IIO Part3. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part0 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part0 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part1 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part1 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part2 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part2 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc1",
	.desc = "Write request of up to a 64 byte transaction is made to IIO Part3 by the CPU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part3 by a unit on the main die (generally a core) or by another IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part0. Does not include requests made by the same IIO unit. In the general case, part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part1. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part2. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc1",
	.desc = "Peer to peer read request for up to a 64 byte transaction is made by a different IIO unit to IIO Part3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request for up to a 64 byte transaction of data made by a different IIO unit to the MMIO space of a card on IIO Part3. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part0 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part0 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part1 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part1 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part2 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part2 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc1",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made to IIO Part3 by a different IIO unit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made to the MMIO space of a card on IIO Part3 by a different IIO unit. Does not include requests made by the same IIO unit. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU; Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Outbound.  Number of requests, to the attached device, initiated by the main die.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU; Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomiccmp.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0x84",
	.desc = "Number Transactions requested of the CPU; Completion of atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is  made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x84",
	.desc = "Read request for up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every read request for up to a 64 byte transaction of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part0 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part0 to a unit on the main die (generally memory). In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part1 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part1 to a unit on the main die (generally memory). In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part2 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part2 to a unit on the main die (generally memory). In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x84",
	.desc = "Write request of up to a 64 byte transaction is made by IIO Part3 to Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every write request of up to a 64 byte transaction of data made by IIO Part3 to a unit on the main die (generally memory). In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x16 card plugged in to stack, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU; Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part1 to the MMIO space of an IIO target. In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x84",
	.desc = "Peer to peer read request of up to a 64 byte transaction is made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer read request of up to a 64 byte transaction made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part0 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part0 to the MMIO space of an IIO target. In the general case, Part0 refers to a standard PCIe card of any size (x16,x8,x4) that is plugged directly into one of the PCIe slots. Part0 could also refer to any device plugged into the first slot of a PCIe riser card or to a device attached to the IIO unit which starts its use of the bus using lane 0 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part1 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part1 to the MMIO space of an IIO target.In the general case, Part1 refers to a x4 PCIe card plugged into the second slot of a PCIe riser card, but it could refer to any x4 device attached to the IIO unit using lanes starting at lane 4 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part2 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part2 to the MMIO space of an IIO target. In the general case, Part2 refers to a x4 or x8 PCIe card plugged into the third slot of a PCIe riser card, but it could refer to any x4 or x8 device attached to the IIO unit and using lanes starting at lane 8 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x84",
	.desc = "Peer to peer write request of up to a 64 byte transaction is made by IIO Part3 to an IIO target. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Counts every peer to peer write request of up to a 64 byte transaction of data made by IIO Part3 to the MMIO space of an IIO target. In the general case, Part3 refers to a x4 PCIe card plugged into the fourth slot of a PCIe riser card, but it could brefer to  any device attached to the IIO unit using the lanes starting at lane 12 of the 16 lanes supported by the bus",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.vtd0",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.vtd1",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU; Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Also known as Inbound.  Number of 64 byte cache line requests initiated by the attached device.; VTd - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.ctxt_miss",
	.event = "umask=0x2,event=0x41",
	.desc = "VTd Access; context cache miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l1_miss",
	.event = "umask=0x4,event=0x41",
	.desc = "VTd Access; L1 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l2_miss",
	.event = "umask=0x8,event=0x41",
	.desc = "VTd Access; L2 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l3_miss",
	.event = "umask=0x10,event=0x41",
	.desc = "VTd Access; L3 miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.l4_page_hit",
	.event = "umask=0x1,event=0x41",
	.desc = "VTd Access; Vtd hit. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb1_miss",
	.event = "umask=0x80,event=0x41",
	.desc = "VTd Access; TLB miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb_full",
	.event = "umask=0x40,event=0x41",
	.desc = "VTd Access; TLB is full. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_access.tlb_miss",
	.event = "umask=0x20,event=0x41",
	.desc = "VTd Access; TLB miss. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_vtd_occupancy",
	.event = "event=0x40",
	.desc = "VTd Occupancy. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0xf",
	.desc = "Total Write Cache Occupancy; Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events.; Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.iv_q",
	.event = "umask=0x2,event=0xf",
	.desc = "Total Write Cache Occupancy; Snoops. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.mem",
	.event = "umask=0x4,event=0xf",
	.desc = "Total IRP occupancy of inbound read and write requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total IRP occupancy of inbound read and write requests.  This is effectively the sum of read occupancy and write occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0x1",
	.desc = "IRP Clocks. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x10",
	.desc = "Coherent Ops; CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.crd",
	.event = "umask=0x2,event=0x10",
	.desc = "Coherent Ops; CRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.drd",
	.event = "umask=0x4,event=0x10",
	.desc = "Coherent Ops; DRd. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcidcahint",
	.event = "umask=0x20,event=0x10",
	.desc = "Coherent Ops; PCIDCAHin5t. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcirdcur",
	.event = "umask=0x1,event=0x10",
	.desc = "Coherent Ops; PCIRdCur. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x10",
	.desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline to coherent memory, without a RFO.  PCIITOM is a speculative Invalidate to Modified command that requests ownership of the cacheline and does not move data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x10",
	.desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline to coherent memory.  RFO is a Read For Ownership command that requests ownership of the cacheline and moves data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x10",
	.desc = "Coherent Ops; WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_full",
	.event = "event=0x17",
	.desc = "FAF RF full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_inserts",
	.event = "event=0x18",
	.desc = "Inbound read requests received by the IRP and inserted into the FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound read requests to coherent memory, received by the IRP and inserted into the Fire and Forget queue (FAF), a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_occupancy",
	.event = "event=0x19",
	.desc = "Occupancy of the IRP FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Occupancy of the IRP Fire and Forget (FAF) queue, a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_transactions",
	.event = "event=0x16",
	.desc = "FAF allocation -- sent to ADQ. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.inbound_inserts",
	.event = "umask=0x1,event=0x1e",
	.desc = "All Inserts Inbound (p2p + faf + cset). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.outbound_inserts",
	.event = "umask=0x2,event=0x1e",
	.desc = "All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x1c",
	.desc = "Misc Events - Set 0; Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x1c",
	.desc = "Misc Events - Set 0; Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x1c",
	.desc = "Misc Events - Set 0; Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.unknown",
	.event = "umask=0x80,event=0x1c",
	.desc = "Misc Events - Set 0. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x1d",
	.desc = "Misc Events - Set 1; Lost Forward. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x1d",
	.desc = "Misc Events - Set 1; Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x1d",
	.desc = "Misc Events - Set 1; Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x1d",
	.desc = "Misc Events - Set 1; Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_inserts",
	.event = "event=0x14",
	.desc = "P2P Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P requests from the ITC",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_occupancy",
	.event = "event=0x15",
	.desc = "P2P Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P B & S Queue Occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.cmpl",
	.event = "umask=0x8,event=0x13",
	.desc = "P2P Transactions; P2P completions. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc",
	.event = "umask=0x40,event=0x13",
	.desc = "P2P Transactions; match if local only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc_and_tgt_match",
	.event = "umask=0x80,event=0x13",
	.desc = "P2P Transactions; match if local and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.msg",
	.event = "umask=0x4,event=0x13",
	.desc = "P2P Transactions; P2P Message. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rd",
	.event = "umask=0x1,event=0x13",
	.desc = "P2P Transactions; P2P reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem",
	.event = "umask=0x10,event=0x13",
	.desc = "P2P Transactions; Match if remote only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem_and_tgt_match",
	.event = "umask=0x20,event=0x13",
	.desc = "P2P Transactions; match if remote and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.wr",
	.event = "umask=0x2,event=0x13",
	.desc = "P2P Transactions; P2P Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit",
	.event = "umask=0x7e,event=0x12",
	.desc = "Responses to snoops of any type that hit M, E, S or I line in the IIO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M, E, S or I line in the IIO",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_es",
	.event = "umask=0x74,event=0x12",
	.desc = "Responses to snoops of any type that hit E or S line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit E or S line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_i",
	.event = "umask=0x72,event=0x12",
	.desc = "Responses to snoops of any type that hit I line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit I line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_m",
	.event = "umask=0x78,event=0x12",
	.desc = "Responses to snoops of any type that hit M line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_miss",
	.event = "umask=0x71,event=0x12",
	.desc = "Responses to snoops of any type that miss the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that miss the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x12",
	.desc = "Snoop Responses; Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x12",
	.desc = "Snoop Responses; Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x12",
	.desc = "Snoop Responses; Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x12",
	.desc = "Snoop Responses; Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x12",
	.desc = "Snoop Responses; SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x12",
	.desc = "Snoop Responses; SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x12",
	.desc = "Snoop Responses; SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x11",
	.desc = "Inbound Transaction Count; Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x11",
	.desc = "Inbound Transaction Count; Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.rd_pref",
	.event = "umask=0x4,event=0x11",
	.desc = "Inbound Transaction Count; Read Prefetches. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks the number of read prefetches",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.reads",
	.event = "umask=0x1,event=0x11",
	.desc = "Inbound Transaction Count; Reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Tracks only read requests (not including read prefetches)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x11",
	.desc = "Inbound Transaction Count; Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID.; Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x11",
	.desc = "Inbound write (fast path) requests received by the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound write (fast path) requests to coherent memory, received by the IRP resulting in write ownership requests issued by IRP to the mesh",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_ak_inserts",
	.event = "event=0xb",
	.desc = "AK Egress Allocations. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_cycles_full",
	.event = "event=0x5",
	.desc = "BL DRS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_inserts",
	.event = "event=0x2",
	.desc = "BL DRS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_occupancy",
	.event = "event=0x8",
	.desc = "BL DRS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_cycles_full",
	.event = "event=0x6",
	.desc = "BL NCB Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_inserts",
	.event = "event=0x3",
	.desc = "BL NCB Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_occupancy",
	.event = "event=0x9",
	.desc = "BL NCB Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_cycles_full",
	.event = "event=0x7",
	.desc = "BL NCS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_inserts",
	.event = "event=0x4",
	.desc = "BL NCS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_occupancy",
	.event = "event=0xa",
	.desc = "BL NCS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad_stall_credit_cycles",
	.event = "event=0x1a",
	.desc = "No AD Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue a request to the R2PCIe because there are no AD Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_bl_stall_credit_cycles",
	.event = "event=0x1b",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncb",
	.event = "event=0xd",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncs",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_request_occupancy",
	.event = "event=0xc",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.not_taken",
	.event = "umask=0x2,event=0x22",
	.desc = "Traffic in which the M2M to iMC Bypass was not taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts traffic in which the M2M (Mesh to Memory) to iMC (Memory Controller) bypass was not taken",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.taken",
	.event = "umask=0x1,event=0x22",
	.desc = "M2M to iMC Bypass; Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.not_taken",
	.event = "umask=0x2,event=0x21",
	.desc = "M2M to iMC Bypass; Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.taken",
	.event = "umask=0x1,event=0x21",
	.desc = "M2M to iMC Bypass; Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_clockticks",
	.event = "event=0",
	.desc = "Cycles - at UCLK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_dirstate",
	.event = "event=0x24",
	.desc = "Cycles when direct to core mode (which bypasses the CHA) was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when direct to core mode (which bypasses the CHA) was disabled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_taken",
	.event = "event=0x23",
	.desc = "Messages sent direct to core (bypassing the CHA). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when messages were sent direct to core (bypassing the CHA)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_txn_override",
	.event = "event=0x25",
	.desc = "Number of reads in which direct to core transaction were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts reads in which direct to core transactions (which would have bypassed the CHA) were overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_credits",
	.event = "event=0x28",
	.desc = "Number of reads in which direct to Intel UPI transactions were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts reads in which direct to Intel Ultra Path Interconnect (UPI) transactions (which would have bypassed the CHA) were overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_dirstate",
	.event = "event=0x27",
	.desc = "Cycles when direct to Intel UPI was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the ability to send messages direct to the Intel Ultra Path Interconnect (bypassing the CHA) was disabled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_taken",
	.event = "event=0x26",
	.desc = "Messages sent direct to the Intel UPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when messages were sent direct to the Intel Ultra Path Interconnect (bypassing the CHA)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_txn_override",
	.event = "event=0x29",
	.desc = "Number of reads that a message sent direct2 Intel UPI was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when a read message that was sent direct to the Intel Ultra Path Interconnect (bypassing the CHA) was overridden",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_a",
	.event = "umask=0x80,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_i",
	.event = "umask=0x10,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_p",
	.event = "umask=0x40,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_s",
	.event = "umask=0x20,event=0x2a",
	.desc = "Directory Hit; On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_a",
	.event = "umask=0x8,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_i",
	.event = "umask=0x1,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_p",
	.event = "umask=0x4,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_s",
	.event = "umask=0x2,event=0x2a",
	.desc = "Directory Hit; On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.any",
	.event = "umask=0x1,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookups (any state found). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state, and found the cacheline marked in Any State (A, I, S or unused)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_a",
	.event = "umask=0x8,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookups (cacheline found in A state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state, and found the cacheline marked in the A (SnoopAll) state, indicating the cacheline is stored in another socket in any state, and we must snoop the other sockets to make sure we get the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_i",
	.event = "umask=0x2,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in I state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state , and found the cacheline marked in the I (Invalid) state indicating the cacheline is not stored in another socket, and so there is no need to snoop the other sockets for the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_s",
	.event = "umask=0x4,event=0x2d",
	.desc = "Multi-socket cacheline Directory lookup (cacheline found in S state). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) looks into the multi-socket cacheline Directory state , and found the cacheline marked in the S (Shared) state indicating the cacheline is either stored in another socket in the S(hared) state , and so there is no need to snoop the other sockets for the latest data.  The data may be stored in any state in the local socket",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_a",
	.event = "umask=0x80,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_i",
	.event = "umask=0x10,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_p",
	.event = "umask=0x40,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_s",
	.event = "umask=0x20,event=0x2b",
	.desc = "Directory Miss; On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_a",
	.event = "umask=0x8,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_i",
	.event = "umask=0x1,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_p",
	.event = "umask=0x4,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_s",
	.event = "umask=0x2,event=0x2b",
	.desc = "Directory Miss; On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2i",
	.event = "umask=0x20,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from A to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from A (SnoopAll) to I (Invalid)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.a2s",
	.event = "umask=0x40,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from A to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from A (SnoopAll) to S (Shared)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.any",
	.event = "umask=0x1,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from/to Any state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory to a new state",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2a",
	.event = "umask=0x4,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from I to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from I (Invalid) to A (SnoopAll)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.i2s",
	.event = "umask=0x2,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from I to S. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from I (Invalid) to S (Shared)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2a",
	.event = "umask=0x10,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from S to A. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from S (Shared) to A (SnoopAll)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.s2i",
	.event = "umask=0x8,event=0x2e",
	.desc = "Multi-socket cacheline Directory update from S to I. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) updates the multi-socket cacheline Directory state from S (Shared) to I (Invalid)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.all",
	.event = "umask=0x4,event=0x37",
	.desc = "Reads to iMC issued. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues reads to the iMC (Memory Controller)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.from_transgress",
	.event = "umask=0x10,event=0x37",
	.desc = "M2M Reads Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.isoch",
	.event = "umask=0x2,event=0x37",
	.desc = "M2M Reads Issued to iMC; Critical Priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.normal",
	.event = "umask=0x1,event=0x37",
	.desc = "Reads to iMC issued at Normal Priority (Non-Isochronous). Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues reads to the iMC (Memory Controller).  It only counts  normal priority non-isochronous reads",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.to_pmm",
	.event = "umask=0x8,event=0x37",
	.desc = "Read requests to Intel Optane DC persistent memory issued to the iMC from M2M. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Reads Issued to iMC; All, regardless of priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.all",
	.event = "umask=0x10,event=0x38",
	.desc = "Writes to iMC issued. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues writes to the iMC (Memory Controller)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.from_transgress",
	.event = "umask=0x40,event=0x38",
	.desc = "M2M Writes Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full",
	.event = "umask=0x1,event=0x38",
	.desc = "M2M Writes Issued to iMC; Full Line Non-ISOCH. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full_isoch",
	.event = "umask=0x4,event=0x38",
	.desc = "M2M Writes Issued to iMC; ISOCH Full Line. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ni",
	.event = "umask=0x80,event=0x38",
	.desc = "M2M Writes Issued to iMC; All, regardless of priority. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial",
	.event = "umask=0x2,event=0x38",
	.desc = "Partial Non-Isochronous writes to the iMC. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) issues partial writes to the iMC (Memory Controller).  It only counts normal priority non-isochronous writes",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial_isoch",
	.event = "umask=0x8,event=0x38",
	.desc = "M2M Writes Issued to iMC; ISOCH Partial. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.to_pmm",
	.event = "umask=0x20,event=0x38",
	.desc = "Write requests to Intel Optane DC persistent memory issued to the iMC from M2M. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Writes Issued to iMC; All, regardless of priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mc",
	.event = "umask=0x2,event=0x4c",
	.desc = "Number Packet Header Matches; MC Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mesh",
	.event = "umask=0x1,event=0x4c",
	.desc = "Number Packet Header Matches; Mesh Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_rpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x4f",
	.desc = "M2M-&gt;iMC RPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_rpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x4f",
	.desc = "M2M-&gt;iMC RPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_rpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x4f",
	.desc = "M2M-&gt;iMC RPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_wpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x51",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_wpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x51",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pmm_wpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x51",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full",
	.event = "event=0x53",
	.desc = "Prefetch CAM Cycles Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne",
	.event = "event=0x54",
	.desc = "Prefetch CAM Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_promotions",
	.event = "event=0x56",
	.desc = "Prefecth requests that got turn into a demand request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) promotes a outstanding request in the prefetch queue due to a subsequent demand read request that entered the M2M with the same address.  Explanatory Side Note: The Prefecth queue is made of CAM (Content Addressable Memory)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts",
	.event = "event=0x57",
	.desc = "Inserts into the Memory Controller Prefetch Queue. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the M2M (Mesh to Memory) receives a prefetch request and inserts it into its outstanding prefetch queue.  Explanatory Side Note: the prefect queue is made from CAM: Content Addressable Memory",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy",
	.event = "event=0x55",
	.desc = "Prefetch CAM Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn0",
	.event = "umask=0x1,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn1",
	.event = "umask=0x2,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_no_spec_credits.chn2",
	.event = "umask=0x4,event=0x44",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_RPQ_CYCLES_SPEC_CREDITS.CHN2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn0",
	.event = "umask=0x1,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn1",
	.event = "umask=0x2,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_cycles_spec_credits.chn2",
	.event = "umask=0x4,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_full",
	.event = "event=0x4",
	.desc = "AD Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_ne",
	.event = "event=0x3",
	.desc = "AD Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_inserts",
	.event = "event=0x1",
	.desc = "AD Ingress (from CMS) Queue Inserts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts when the a new entry is Received(RxC) and then added to the AD (Address Ring) Ingress Queue from the CMS (Common Mesh Stop).  This is generally used for reads, and",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_occupancy",
	.event = "event=0x2",
	.desc = "AD Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_full",
	.event = "event=0x8",
	.desc = "BL Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_ne",
	.event = "event=0x7",
	.desc = "BL Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_inserts",
	.event = "event=0x5",
	.desc = "BL Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_occupancy",
	.event = "event=0x6",
	.desc = "BL Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_rd_hit_clean",
	.event = "umask=0x1,event=0x2c",
	.desc = "Clean line read hits(Regular and RFO) to Near Memory(DRAM cache) in Memory Mode and regular reads to DRAM in 1LM. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit; Read Hit from NearMem, Clean Line",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_rd_hit_dirty",
	.event = "umask=0x2,event=0x2c",
	.desc = "Dirty line read hits(Regular and RFO) to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit; Read Hit from NearMem, Dirty  Line",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_ufill_hit_clean",
	.event = "umask=0x4,event=0x2c",
	.desc = "Clean line underfill read hits to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit; Underfill Rd Hit from NearMem, Clean Line",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_ufill_hit_dirty",
	.event = "umask=0x8,event=0x2c",
	.desc = "Dirty line underfill read hits to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit; Underfill Rd Hit from NearMem, Dirty  Line",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_ad_credits",
	.event = "event=0x41",
	.desc = "Number AD Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_bl_credits",
	.event = "event=0x42",
	.desc = "Number BL Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch0",
	.event = "umask=0x1,event=0x45",
	.desc = "Tracker Cycles Full; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch1",
	.event = "umask=0x2,event=0x45",
	.desc = "Tracker Cycles Full; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_full.ch2",
	.event = "umask=0x4,event=0x45",
	.desc = "Tracker Cycles Full; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch0",
	.event = "umask=0x1,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch1",
	.event = "umask=0x2,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_cycles_ne.ch2",
	.event = "umask=0x4,event=0x46",
	.desc = "Tracker Cycles Not Empty; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x49",
	.desc = "Tracker Inserts; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x49",
	.desc = "Tracker Inserts; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x49",
	.desc = "Tracker Inserts; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x47",
	.desc = "Tracker Occupancy; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x47",
	.desc = "Tracker Occupancy; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x47",
	.desc = "Tracker Occupancy; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_pending_occupancy",
	.event = "event=0x48",
	.desc = "Data Pending Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credits_acquired",
	.event = "event=0xd",
	.desc = "AD Egress (to CMS) Credit Acquired. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credit_occupancy",
	.event = "event=0xe",
	.desc = "AD Egress (to CMS) Credits Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_full",
	.event = "event=0xc",
	.desc = "AD Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_ne",
	.event = "event=0xb",
	.desc = "AD Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_inserts",
	.event = "event=0x9",
	.desc = "AD Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_cycles",
	.event = "event=0xf",
	.desc = "Cycles with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_stalled",
	.event = "event=0x10",
	.desc = "Cycles Stalled with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_occupancy",
	.event = "event=0xa",
	.desc = "AD Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.crd_cbo",
	.event = "umask=0x2,event=0x39",
	.desc = "Outbound Ring Transactions on AK; CRD Transactions to Cbo. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.ndr",
	.event = "umask=0x1,event=0x39",
	.desc = "Outbound Ring Transactions on AK; NDR Transactions. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms0",
	.event = "umask=0x1,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms1",
	.event = "umask=0x2,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credit_occupancy.cms0",
	.event = "umask=0x1,event=0x1e",
	.desc = "AK Egress (to CMS) Credits Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credit_occupancy.cms1",
	.event = "umask=0x2,event=0x1e",
	.desc = "AK Egress (to CMS) Credits Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.all",
	.event = "umask=0x3,event=0x14",
	.desc = "AK Egress (to CMS) Full; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms0",
	.event = "umask=0x1,event=0x14",
	.desc = "AK Egress (to CMS) Full; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms1",
	.event = "umask=0x2,event=0x14",
	.desc = "AK Egress (to CMS) Full; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd0",
	.event = "umask=0x8,event=0x14",
	.desc = "AK Egress (to CMS) Full; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd1",
	.event = "umask=0x88,event=0x14",
	.desc = "AK Egress (to CMS) Full; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp0",
	.event = "umask=0x20,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp1",
	.event = "umask=0xa0,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd0",
	.event = "umask=0x10,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd1",
	.event = "umask=0x90,event=0x14",
	.desc = "AK Egress (to CMS) Full; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms0",
	.event = "umask=0x1,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms1",
	.event = "umask=0x2,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.rdcrd",
	.event = "umask=0x8,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcmp",
	.event = "umask=0x20,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcrd",
	.event = "umask=0x10,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.all",
	.event = "umask=0x3,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms0",
	.event = "umask=0x1,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms1",
	.event = "umask=0x2,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.pref_rd_cam_hit",
	.event = "umask=0x40,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Prefetch Read Cam Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.rdcrd",
	.event = "umask=0x8,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcmp",
	.event = "umask=0x20,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcrd",
	.event = "umask=0x10,event=0x11",
	.desc = "AK Egress (to CMS) Allocations; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.all",
	.event = "umask=0x3,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms0",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms1",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.rdcrd",
	.event = "umask=0x8,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Read Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcmp",
	.event = "umask=0x20,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Write Compare Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcrd",
	.event = "umask=0x10,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy; Write Credit Request. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_sideband.rd",
	.event = "umask=0x1,event=0x6b",
	.desc = "AK Egress (to CMS) Sideband. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_sideband.wr",
	.event = "umask=0x2,event=0x6b",
	.desc = "AK Egress (to CMS) Sideband. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_cache",
	.event = "umask=0x1,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_core",
	.event = "umask=0x2,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to Core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_upi",
	.event = "umask=0x4,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache; Data to QPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms0",
	.event = "umask=0x1,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms1",
	.event = "umask=0x2,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credit_occupancy.cms0",
	.event = "umask=0x1,event=0x1a",
	.desc = "BL Egress (to CMS) Credits Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credit_occupancy.cms1",
	.event = "umask=0x2,event=0x1a",
	.desc = "BL Egress (to CMS) Credits Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.all",
	.event = "umask=0x3,event=0x18",
	.desc = "BL Egress (to CMS) Full; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms0",
	.event = "umask=0x1,event=0x18",
	.desc = "BL Egress (to CMS) Full; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms1",
	.event = "umask=0x2,event=0x18",
	.desc = "BL Egress (to CMS) Full; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms0",
	.event = "umask=0x1,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms1",
	.event = "umask=0x2,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.all",
	.event = "umask=0x3,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms0",
	.event = "umask=0x1,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms1",
	.event = "umask=0x2,event=0x15",
	.desc = "BL Egress (to CMS) Allocations; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.all",
	.event = "umask=0x3,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.cms0",
	.event = "umask=0x1,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_occupancy.cms1",
	.event = "umask=0x2,event=0x16",
	.desc = "BL Egress (to CMS) Occupancy; Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_no_reg_credits.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_WPQ_CYCLES_REG_CREDITS.CHN2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_reg_credits.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn0",
	.event = "umask=0x1,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn1",
	.event = "umask=0x2,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_cycles_spec_credits.chn2",
	.event = "umask=0x4,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch0",
	.event = "umask=0x1,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch1",
	.event = "umask=0x2,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_full.ch2",
	.event = "umask=0x4,event=0x4a",
	.desc = "Write Tracker Cycles Full; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch0",
	.event = "umask=0x1,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch1",
	.event = "umask=0x2,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_cycles_ne.ch2",
	.event = "umask=0x4,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x61",
	.desc = "Write Tracker Inserts; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x61",
	.desc = "Write Tracker Inserts; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x61",
	.desc = "Write Tracker Inserts; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_write_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x60",
	.desc = "Write Tracker Occupancy; Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_credits_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.req",
	.event = "umask=0x4,event=0x22",
	.desc = "CBox AD Credits Empty; Requests. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.snp",
	.event = "umask=0x8,event=0x22",
	.desc = "CBox AD Credits Empty; Snoops. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x22",
	.desc = "CBox AD Credits Empty; VNA Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.wb",
	.event = "umask=0x2,event=0x22",
	.desc = "CBox AD Credits Empty; Writebacks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_clockticks",
	.event = "event=0x1",
	.desc = "Number of uclks in domain. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of uclks in the M3 uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the M3 is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2c_sent",
	.event = "event=0x2b",
	.desc = "D2C Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases BL sends direct to core",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2u_sent",
	.event = "event=0x2a",
	.desc = "D2U Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cases where SMI3 sends D2U command",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Egress Blocking due to Ordering requirements; Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_fast_asserted.horz",
	.event = "umask=0x2,event=0xa5",
	.desc = "FaST wire asserted; Horizontal. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_fast_asserted.vert",
	.event = "umask=0x1,event=0xa5",
	.desc = "FaST wire asserted; Vertical. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles either the local or incoming distress signals are asserted.  Incoming distress includes up, dn and across",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Horizontal AD Ring In Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Horizontal AK Ring In Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Horizontal BL Ring in Use; Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Horizontal BL Ring in Use; Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Horizontal IV Ring in Use; Left. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Horizontal IV Ring in Use; Right. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio0_iio1_ncb",
	.event = "umask=0x1,event=0x23",
	.desc = "M2 BL Credits Empty; IIO0 and IIO1 share the same ring destination. (1 VN0 credit only). Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio2_ncb",
	.event = "umask=0x2,event=0x23",
	.desc = "M2 BL Credits Empty; IIO2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio3_ncb",
	.event = "umask=0x4,event=0x23",
	.desc = "M2 BL Credits Empty; IIO3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio4_ncb",
	.event = "umask=0x8,event=0x23",
	.desc = "M2 BL Credits Empty; IIO4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio5_ncb",
	.event = "umask=0x10,event=0x23",
	.desc = "M2 BL Credits Empty; IIO5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs",
	.event = "umask=0x20,event=0x23",
	.desc = "M2 BL Credits Empty; All IIO targets for NCS are in single mask. ORs them together. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs_sel",
	.event = "umask=0x40,event=0x23",
	.desc = "M2 BL Credits Empty; Selected M2p BL NCS credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot0",
	.event = "umask=0x1,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot1",
	.event = "umask=0x2,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot2",
	.event = "umask=0x4,event=0x3e",
	.desc = "Multi Slot Flit Received; AD - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot0",
	.event = "umask=0x10,event=0x3e",
	.desc = "Multi Slot Flit Received; AK - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot2",
	.event = "umask=0x20,event=0x3e",
	.desc = "Multi Slot Flit Received; AK - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.bl_slot0",
	.event = "umask=0x8,event=0x3e",
	.desc = "Multi Slot Flit Received; BL - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Messages that bounced on the Horizontal Ring.; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Messages that bounced on the Vertical Ring.; Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; Acknowledgements to Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Sink Starvation on Horizontal Ring; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Sink Starvation on Vertical Ring; Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Source Throttle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_req",
	.event = "umask=0x1,event=0x4b",
	.desc = "Lost Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4b",
	.desc = "Lost Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_snp",
	.event = "umask=0x2,event=0x4b",
	.desc = "Lost Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4b",
	.desc = "Lost Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4b",
	.desc = "Lost Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4b",
	.desc = "Lost Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_wb",
	.event = "umask=0x10,event=0x4b",
	.desc = "Lost Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message requested but lost arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_req",
	.event = "umask=0x1,event=0x4c",
	.desc = "Lost Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4c",
	.desc = "Lost Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_snp",
	.event = "umask=0x2,event=0x4c",
	.desc = "Lost Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4c",
	.desc = "Lost Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4c",
	.desc = "Lost Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4c",
	.desc = "Lost Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_wb",
	.event = "umask=0x10,event=0x4c",
	.desc = "Lost Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message requested but lost arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.adbl_parallel_win",
	.event = "umask=0x40,event=0x4d",
	.desc = "Arb Miscellaneous; AD, BL Parallel Win. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD and BL messages won arbitration concurrently / in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn0",
	.event = "umask=0x4,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending AD VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending ad vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn1",
	.event = "umask=0x8,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending AD VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending ad vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn0",
	.event = "umask=0x10,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending BL VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending bl vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn1",
	.event = "umask=0x20,event=0x4d",
	.desc = "Arb Miscellaneous; No Progress on Pending BL VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arbitration stage made no progress on pending bl vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.par_bias_vn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "Arb Miscellaneous; Parallel Bias to VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0/VN1 arbiter gave second, consecutive win to vn0, delaying vn1 win, because vn0 offered parallel ad/bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.par_bias_vn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "Arb Miscellaneous; Parallel Bias to VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0/VN1 arbiter gave second, consecutive win to vn1, delaying vn0 win, because vn1 offered parallel ad/bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_req",
	.event = "umask=0x1,event=0x49",
	.desc = "Can't Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_rsp",
	.event = "umask=0x4,event=0x49",
	.desc = "Can't Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.ad_snp",
	.event = "umask=0x2,event=0x49",
	.desc = "Can't Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_ncb",
	.event = "umask=0x20,event=0x49",
	.desc = "Can't Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_ncs",
	.event = "umask=0x40,event=0x49",
	.desc = "Can't Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_rsp",
	.event = "umask=0x8,event=0x49",
	.desc = "Can't Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn0.bl_wb",
	.event = "umask=0x10,event=0x49",
	.desc = "Can't Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message was not able to request arbitration while some other message won arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_req",
	.event = "umask=0x1,event=0x4a",
	.desc = "Can't Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4a",
	.desc = "Can't Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.ad_snp",
	.event = "umask=0x2,event=0x4a",
	.desc = "Can't Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4a",
	.desc = "Can't Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4a",
	.desc = "Can't Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4a",
	.desc = "Can't Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noad_req_vn1.bl_wb",
	.event = "umask=0x10,event=0x4a",
	.desc = "Can't Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message was not able to request arbitration while some other message won arbitration; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_req",
	.event = "umask=0x1,event=0x47",
	.desc = "No Credits to Arb for VN0; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_rsp",
	.event = "umask=0x4,event=0x47",
	.desc = "No Credits to Arb for VN0; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.ad_snp",
	.event = "umask=0x2,event=0x47",
	.desc = "No Credits to Arb for VN0; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_ncb",
	.event = "umask=0x20,event=0x47",
	.desc = "No Credits to Arb for VN0; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_ncs",
	.event = "umask=0x40,event=0x47",
	.desc = "No Credits to Arb for VN0; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_rsp",
	.event = "umask=0x8,event=0x47",
	.desc = "No Credits to Arb for VN0; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn0.bl_wb",
	.event = "umask=0x10,event=0x47",
	.desc = "No Credits to Arb for VN0; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message is blocked from requesting arbitration due to lack of remote UPI credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_req",
	.event = "umask=0x1,event=0x48",
	.desc = "No Credits to Arb for VN1; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_rsp",
	.event = "umask=0x4,event=0x48",
	.desc = "No Credits to Arb for VN1; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.ad_snp",
	.event = "umask=0x2,event=0x48",
	.desc = "No Credits to Arb for VN1; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_ncb",
	.event = "umask=0x20,event=0x48",
	.desc = "No Credits to Arb for VN1; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_ncs",
	.event = "umask=0x40,event=0x48",
	.desc = "No Credits to Arb for VN1; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_rsp",
	.event = "umask=0x8,event=0x48",
	.desc = "No Credits to Arb for VN1; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocred_vn1.bl_wb",
	.event = "umask=0x10,event=0x48",
	.desc = "No Credits to Arb for VN1; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message is blocked from requesting arbitration due to lack of remote UPI credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_bl_arb",
	.event = "umask=0x2,event=0x40",
	.desc = "Ingress Queue Bypasses; AD to Slot 0 on BL Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number ot times message is bypassed around the Ingress Queue; AD is taking bypass to slot 0 of independent flit while bl message is in arbitration",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_idle",
	.event = "umask=0x1,event=0x40",
	.desc = "Ingress Queue Bypasses; AD to Slot 0 on Idle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number ot times message is bypassed around the Ingress Queue; AD is taking bypass to slot 0 of independent flit while pipeline is idle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s1_bl_slot",
	.event = "umask=0x4,event=0x40",
	.desc = "Ingress Queue Bypasses; AD + BL to Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number ot times message is bypassed around the Ingress Queue; AD is taking bypass to flit slot 1 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s2_bl_slot",
	.event = "umask=0x8,event=0x40",
	.desc = "Ingress Queue Bypasses; AD + BL to Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number ot times message is bypassed around the Ingress Queue; AD is taking bypass to flit slot 2 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_req",
	.event = "umask=0x1,event=0x50",
	.desc = "VN0 message lost contest for flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_rsp",
	.event = "umask=0x4,event=0x50",
	.desc = "VN0 message lost contest for flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.ad_snp",
	.event = "umask=0x2,event=0x50",
	.desc = "VN0 message lost contest for flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_ncb",
	.event = "umask=0x20,event=0x50",
	.desc = "VN0 message lost contest for flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_ncs",
	.event = "umask=0x40,event=0x50",
	.desc = "VN0 message lost contest for flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_rsp",
	.event = "umask=0x8,event=0x50",
	.desc = "VN0 message lost contest for flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn0.bl_wb",
	.event = "umask=0x10,event=0x50",
	.desc = "VN0 message lost contest for flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN0 packets lost the contest for Flit Slot 0.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_req",
	.event = "umask=0x1,event=0x51",
	.desc = "VN1 message lost contest for flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_rsp",
	.event = "umask=0x4,event=0x51",
	.desc = "VN1 message lost contest for flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.ad_snp",
	.event = "umask=0x2,event=0x51",
	.desc = "VN1 message lost contest for flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_ncb",
	.event = "umask=0x20,event=0x51",
	.desc = "VN1 message lost contest for flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_ncs",
	.event = "umask=0x40,event=0x51",
	.desc = "VN1 message lost contest for flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_rsp",
	.event = "umask=0x8,event=0x51",
	.desc = "VN1 message lost contest for flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_collision_vn1.bl_wb",
	.event = "umask=0x10,event=0x51",
	.desc = "VN1 message lost contest for flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress VN1 packets lost the contest for Flit Slot 0.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_fifo",
	.event = "umask=0x1,event=0x60",
	.desc = "Miscellaneous Credit Events; Any In BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Indication that at least one packet (flit) is in the bgf (fifo only)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_path",
	.event = "umask=0x2,event=0x60",
	.desc = "Miscellaneous Credit Events; Any in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Indication that at least one packet (flit) is in the bgf path (i.e. pipe to fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.no_d2k_for_arb",
	.event = "umask=0x4,event=0x60",
	.desc = "Miscellaneous Credit Events; No D2K For Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 or VN1 BL RSP message was blocked from arbitration request due to lack of D2K CMP credits",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.d2k_crd",
	.event = "umask=0x10,event=0x61",
	.desc = "Credit Occupancy; D2K Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2K completion fifo credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_fifo",
	.event = "umask=0x2,event=0x61",
	.desc = "Credit Occupancy; Packets in BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy of m3upi ingress -> upi link layer bgf; packets (flits) in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_path",
	.event = "umask=0x4,event=0x61",
	.desc = "Credit Occupancy; Packets in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy of m3upi ingress -> upi link layer bgf; packets (flits) in path (i.e. pipe to fifo or fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_fifo",
	.event = "umask=0x40,event=0x61",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "count of bl messages in pump-1-pending state, in completion fifo only",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_total",
	.event = "umask=0x20,event=0x61",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "count of bl messages in pump-1-pending state, in marker table and in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.txq_crd",
	.event = "umask=0x8,event=0x61",
	.desc = "Credit Occupancy; Transmit Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Link layer transmit queue credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.vna_in_use",
	.event = "umask=0x1,event=0x61",
	.desc = "Credit Occupancy; VNA In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote UPI VNA credit occupancy (number of credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_req",
	.event = "umask=0x1,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_rsp",
	.event = "umask=0x4,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_snp",
	.event = "umask=0x2,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncb",
	.event = "umask=0x20,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncs",
	.event = "umask=0x40,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_rsp",
	.event = "umask=0x8,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_wb",
	.event = "umask=0x10,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_req",
	.event = "umask=0x1,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_rsp",
	.event = "umask=0x4,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_snp",
	.event = "umask=0x2,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncb",
	.event = "umask=0x20,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncs",
	.event = "umask=0x40,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_rsp",
	.event = "umask=0x8,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_wb",
	.event = "umask=0x10,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.all",
	.event = "umask=0x1,event=0x57",
	.desc = "Data Flit Not Sent; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.no_bgf",
	.event = "umask=0x2,event=0x57",
	.desc = "Data Flit Not Sent; No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_data_not_sent.no_txq",
	.event = "umask=0x4,event=0x57",
	.desc = "Data Flit Not Sent; No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p0_wait",
	.event = "umask=0x1,event=0x59",
	.desc = "Generating BL Data Flit Sequence; Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "generating bl data flit sequence; waiting for data pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_at_limit",
	.event = "umask=0x10,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is at capacity (pending table plus completion fifo at limit)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_busy",
	.event = "umask=0x8,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is tracking at least one message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_fifo_full",
	.event = "umask=0x40,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending completion fifo is full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_hold_p0",
	.event = "umask=0x20,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "pump-1-pending logic is at or near capacity, such that pump-0-only bl messages are getting stalled in slotting stage",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_to_limbo",
	.event = "umask=0x4,event=0x59",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "a bl message finished but is in limbo and moved to pump-1-pending logic",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1_wait",
	.event = "umask=0x2,event=0x59",
	.desc = "Generating BL Data Flit Sequence; Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "generating bl data flit sequence; waiting for data pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc",
	.event = "event=0x5a",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.1_msg",
	.event = "umask=0x1,event=0x56",
	.desc = "Sent Header Flit; One Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "One message in flit; VNA or non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.1_msg_vnx",
	.event = "umask=0x8,event=0x56",
	.desc = "Sent Header Flit; One Message in non-VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "One message in flit; non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.2_msgs",
	.event = "umask=0x2,event=0x56",
	.desc = "Sent Header Flit; Two Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Two messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.3_msgs",
	.event = "umask=0x4,event=0x56",
	.desc = "Sent Header Flit; Three Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Three messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_1",
	.event = "umask=0x10,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_2",
	.event = "umask=0x20,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_sent.slots_3",
	.event = "umask=0x40,event=0x56",
	.desc = "Sent Header Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.all",
	.event = "umask=0x1,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.need_data",
	.event = "umask=0x2,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Needs Data Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL message requires data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p0_wait",
	.event = "umask=0x4,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Waiting for header pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req",
	.event = "umask=0x10,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_but_bubble",
	.event = "umask=0x20,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1 - Bubble. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit but flit transmission delayed",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_not_avail",
	.event = "umask=0x40,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Don't Need Pump 1 - Not Avail. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header pump 1 is not required for flit and not available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_wait",
	.event = "umask=0x8,event=0x58",
	.desc = "Slotting BL Message Into Header Flit; Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Waiting for header pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum",
	.event = "umask=0x1,event=0x53",
	.desc = "Flit Gen - Header 1; Acumullate. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting control state machine is in any accumulate state; multi-message flit may be assembled over multiple cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_read",
	.event = "umask=0x2,event=0x53",
	.desc = "Flit Gen - Header 1; Accumulate Ready. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; header flit slotting control state machine is in accum_ready state; flit is ready to send but transmission is blocked; more messages may be slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_wasted",
	.event = "umask=0x4,event=0x53",
	.desc = "Flit Gen - Header 1; Accumulate Wasted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Flit is being assembled over multiple cycles, but no additional message is being slotted into flit in current cycle; accumulate cycle is wasted",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_blocked",
	.event = "umask=0x8,event=0x53",
	.desc = "Flit Gen - Header 1; Run-Ahead - Blocked. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting entered run-ahead state; new header flit is started while transmission of prior, fully assembled flit is blocked",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg",
	.event = "umask=0x10,event=0x53",
	.desc = "Flit Gen - Header 1; Run-Ahead - Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit slotting is in run-ahead to start new flit, and message is actually slotted into new flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par",
	.event = "umask=0x20,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Ok. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; New header flit construction may proceed in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par_flit",
	.event = "umask=0x80,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Flit Finished. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Header flit finished assembly in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.par_msg",
	.event = "umask=0x40,event=0x53",
	.desc = "Flit Gen - Header 1; Parallel Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 1; Message is slotted into header flit in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall",
	.event = "umask=0x1,event=0x54",
	.desc = "Flit Gen - Header 2; Rate-matching Stall. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 2; Rate-matching stall injected",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall_nomsg",
	.event = "umask=0x2,event=0x54",
	.desc = "Flit Gen - Header 2; Rate-matching Stall - No Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Events related to Header Flit Generation - Set 2; Rate matching stall injected, but no additional message slotted during stall cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.all",
	.event = "umask=0x1,event=0x55",
	.desc = "Header Not Sent; All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_bgf_crd",
	.event = "umask=0x2,event=0x55",
	.desc = "Header Not Sent; No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No BGF credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_bgf_no_msg",
	.event = "umask=0x8,event=0x55",
	.desc = "Header Not Sent; No BGF Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No BGF credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_txq_crd",
	.event = "umask=0x4,event=0x55",
	.desc = "Header Not Sent; No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No TxQ credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.no_txq_no_msg",
	.event = "umask=0x10,event=0x55",
	.desc = "Header Not Sent; No TxQ Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; No TxQ credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.one_taken",
	.event = "umask=0x20,event=0x55",
	.desc = "Header Not Sent; Sent - One Slot Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with only one slot taken (two slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.three_taken",
	.event = "umask=0x80,event=0x55",
	.desc = "Header Not Sent; Sent - Three Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with three slots taken (no slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_not_sent.two_taken",
	.event = "umask=0x40,event=0x55",
	.desc = "Header Not Sent; Sent - Two Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "header flit is ready for transmission but could not be sent; sending header flit with only two slots taken (one slots free)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_ad",
	.event = "umask=0x40,event=0x52",
	.desc = "Message Held; Can't Slot AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some AD message could not be slotted (logical OR of all AD events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_bl",
	.event = "umask=0x80,event=0x52",
	.desc = "Message Held; Can't Slot BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some BL message could not be slotted (logical OR of all BL events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_ad_lost",
	.event = "umask=0x10,event=0x52",
	.desc = "Message Held; Parallel AD Lost. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some AD message lost contest for slot 0 (logical OR of all AD events under INGR_SLOT_LOST_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_attempt",
	.event = "umask=0x4,event=0x52",
	.desc = "Message Held; Parallel Attempt. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "ad and bl messages attempted to slot into the same flit in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_bl_lost",
	.event = "umask=0x20,event=0x52",
	.desc = "Message Held; Parallel BL Lost. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "some BL message lost contest for slot 0 (logical OR of all BL events under INGR_SLOT_LOST_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_success",
	.event = "umask=0x8,event=0x52",
	.desc = "Message Held; Parallel Success. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "ad and bl messages were actually slotted into the same flit in paralle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn0",
	.event = "umask=0x1,event=0x52",
	.desc = "Message Held; VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "vn0 message(s) that couldn't be slotted into last vn0 flit are held in slotting stage while processing vn1 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn1",
	.event = "umask=0x2,event=0x52",
	.desc = "Message Held; VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "vn1 message(s) that couldn't be slotted into last vn1 flit are held in slotting stage while processing vn0 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_req",
	.event = "umask=0x1,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_rsp",
	.event = "umask=0x4,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_snp",
	.event = "umask=0x2,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncb",
	.event = "umask=0x20,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncs",
	.event = "umask=0x40,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_rsp",
	.event = "umask=0x8,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_wb",
	.event = "umask=0x10,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_req",
	.event = "umask=0x1,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_rsp",
	.event = "umask=0x4,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_snp",
	.event = "umask=0x2,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncb",
	.event = "umask=0x20,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncs",
	.event = "umask=0x40,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_rsp",
	.event = "umask=0x8,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_wb",
	.event = "umask=0x10,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_req",
	.event = "umask=0x1,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_rsp",
	.event = "umask=0x4,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_snp",
	.event = "umask=0x2,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncb",
	.event = "umask=0x20,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncs",
	.event = "umask=0x40,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_rsp",
	.event = "umask=0x8,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_wb",
	.event = "umask=0x10,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_req",
	.event = "umask=0x1,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_rsp",
	.event = "umask=0x4,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_snp",
	.event = "umask=0x2,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncb",
	.event = "umask=0x20,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncs",
	.event = "umask=0x40,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_rsp",
	.event = "umask=0x8,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_wb",
	.event = "umask=0x10,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_req",
	.event = "umask=0x1,event=0x4e",
	.desc = "VN0 message can't slot into flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4e",
	.desc = "VN0 message can't slot into flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_snp",
	.event = "umask=0x2,event=0x4e",
	.desc = "VN0 message can't slot into flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4e",
	.desc = "VN0 message can't slot into flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4e",
	.desc = "VN0 message can't slot into flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4e",
	.desc = "VN0 message can't slot into flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_wb",
	.event = "umask=0x10,event=0x4e",
	.desc = "VN0 message can't slot into flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_req",
	.event = "umask=0x1,event=0x4f",
	.desc = "VN1 message can't slot into flit; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4f",
	.desc = "VN1 message can't slot into flit; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_snp",
	.event = "umask=0x2,event=0x4f",
	.desc = "VN1 message can't slot into flit; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4f",
	.desc = "VN1 message can't slot into flit; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4f",
	.desc = "VN1 message can't slot into flit; NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4f",
	.desc = "VN1 message can't slot into flit; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_wb",
	.event = "umask=0x10,event=0x4f",
	.desc = "VN1 message can't slot into flit; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.arb_lost",
	.event = "umask=0x2,event=0x62",
	.desc = "SMI3 Prefetch Messages; Lost Arbitration. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.arrived",
	.event = "umask=0x1,event=0x62",
	.desc = "SMI3 Prefetch Messages; Arrived. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.drop_old",
	.event = "umask=0x8,event=0x62",
	.desc = "SMI3 Prefetch Messages; Dropped - Old. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.drop_wrap",
	.event = "umask=0x10,event=0x62",
	.desc = "SMI3 Prefetch Messages; Dropped - Wrap. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Dropped because it was overwritten by new message while prefetch queue was full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_smi3_pftch.slotted",
	.event = "umask=0x4,event=0x62",
	.desc = "SMI3 Prefetch Messages; Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.any_in_use",
	.event = "umask=0x20,event=0x5b",
	.desc = "Remote VNA Credits; Any In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "At least one remote vna credit is in use",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.corrected",
	.event = "umask=0x2,event=0x5b",
	.desc = "Remote VNA Credits; Corrected. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of remote vna credits corrected (local return) per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt1",
	.event = "umask=0x4,event=0x5b",
	.desc = "Remote VNA Credits; Level < 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 1 (i.e. no vna credits available)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt4",
	.event = "umask=0x8,event=0x5b",
	.desc = "Remote VNA Credits; Level < 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 4; bl (or ad requiring 4 vna) cannot arb on vna",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt5",
	.event = "umask=0x10,event=0x5b",
	.desc = "Remote VNA Credits; Level < 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote vna credit level is less than 5; parallel ad/bl arb on vna not possible",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.used",
	.event = "umask=0x1,event=0x5b",
	.desc = "Remote VNA Credits; Used. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of remote vna credits consumed per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation; IFV - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits; For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_req",
	.event = "umask=0x1,event=0x30",
	.desc = "Failed ARB for AD; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_rsp",
	.event = "umask=0x4,event=0x30",
	.desc = "Failed ARB for AD; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_snp",
	.event = "umask=0x2,event=0x30",
	.desc = "Failed ARB for AD; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_wb",
	.event = "umask=0x8,event=0x30",
	.desc = "Failed ARB for AD; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_req",
	.event = "umask=0x10,event=0x30",
	.desc = "Failed ARB for AD; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_rsp",
	.event = "umask=0x40,event=0x30",
	.desc = "Failed ARB for AD; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_snp",
	.event = "umask=0x20,event=0x30",
	.desc = "Failed ARB for AD; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_wb",
	.event = "umask=0x80,event=0x30",
	.desc = "Failed ARB for AD; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot0",
	.event = "umask=0x1,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot1",
	.event = "umask=0x2,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot2",
	.event = "umask=0x4,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.bl_early_rsp",
	.event = "umask=0x8,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x27",
	.desc = "AD Flow Q Not Empty; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x27",
	.desc = "AD Flow Q Not Empty; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_req",
	.event = "umask=0x1,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_rsp",
	.event = "umask=0x4,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_snp",
	.event = "umask=0x2,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_wb",
	.event = "umask=0x8,event=0x2d",
	.desc = "AD Flow Q Inserts; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_req",
	.event = "umask=0x10,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_rsp",
	.event = "umask=0x40,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_snp",
	.event = "umask=0x20,event=0x2d",
	.desc = "AD Flow Q Inserts; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_req",
	.event = "umask=0x1,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_rsp",
	.event = "umask=0x4,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_snp",
	.event = "umask=0x2,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_wb",
	.event = "umask=0x8,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_req",
	.event = "umask=0x10,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_rsp",
	.event = "umask=0x40,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_snp",
	.event = "umask=0x20,event=0x1c",
	.desc = "AD Flow Q Occupancy; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_cha",
	.event = "umask=0x4,event=0x3c",
	.desc = "Number of Snoop Targets; CHA on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to CHA",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_non_idle",
	.event = "umask=0x40,event=0x3c",
	.desc = "Number of Snoop Targets; Non Idle cycles on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of non-idle cycles in issuing Vn0 Snpf",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_peer_upi0",
	.event = "umask=0x1,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI0 on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to peer UPI0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn0_peer_upi1",
	.event = "umask=0x2,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI1 on VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN0 Snpf to peer UPI1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_cha",
	.event = "umask=0x20,event=0x3c",
	.desc = "Number of Snoop Targets; CHA on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to CHA",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_non_idle",
	.event = "umask=0x80,event=0x3c",
	.desc = "Number of Snoop Targets; Non Idle cycles on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of non-idle cycles in issuing Vn1 Snpf",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_peer_upi0",
	.event = "umask=0x8,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI0 on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to peer UPI0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp1_vn1.vn1_peer_upi1",
	.event = "umask=0x10,event=0x3c",
	.desc = "Number of Snoop Targets; Peer UPI1 on VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of snpfanout targets and non-idle cycles can be used to calculate average snpfanout latency; Number of VN1 Snpf to peer UPI1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn0_snpfp_nonsnp",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ txn issued when SnpF pending on Vn0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn0_snpfp_vn2snp",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ SnpF Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ Vn0 SnpF issued when SnpF pending on Vn1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn1_snpfp_nonsnp",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ txn issued when SnpF pending on Vn1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_snpf_grp2_vn1.vn1_snpfp_vn0snp",
	.event = "umask=0x8,event=0x3d",
	.desc = "Snoop Arbitration; FlowQ SnpF Won. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Outcome of SnpF pending arbitration; FlowQ Vn1 SnpF issued when SnpF pending on Vn0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_req",
	.event = "umask=0x1,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_snp",
	.event = "umask=0x2,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn0_wb",
	.event = "umask=0x8,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_req",
	.event = "umask=0x10,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_snp",
	.event = "umask=0x20,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_crd_avail.vn1_wb",
	.event = "umask=0x80,event=0x34",
	.desc = "Speculative ARB for AD  -  Credit Available; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request with prior cycle credit check complete and credit avail",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_req",
	.event = "umask=0x1,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_snp",
	.event = "umask=0x2,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn0_wb",
	.event = "umask=0x8,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_req",
	.event = "umask=0x10,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_snp",
	.event = "umask=0x20,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_new_msg.vn1_wb",
	.event = "umask=0x80,event=0x33",
	.desc = "Speculative ARB for AD  - New Message; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_req",
	.event = "umask=0x1,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_rsp",
	.event = "umask=0x4,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_snp",
	.event = "umask=0x2,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn0_wb",
	.event = "umask=0x8,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_req",
	.event = "umask=0x10,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_rsp",
	.event = "umask=0x40,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_snp",
	.event = "umask=0x20,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_spec_arb_no_other_pend.vn1_wb",
	.event = "umask=0x80,event=0x32",
	.desc = "Speculative ARB for AD  - No Credit; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_inserts",
	.event = "event=0x2f",
	.desc = "AK Flow Q Inserts. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_occupancy",
	.event = "event=0x1e",
	.desc = "AK Flow Q Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncb",
	.event = "umask=0x4,event=0x35",
	.desc = "Failed ARB for BL; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncs",
	.event = "umask=0x8,event=0x35",
	.desc = "Failed ARB for BL; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_rsp",
	.event = "umask=0x1,event=0x35",
	.desc = "Failed ARB for BL; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_wb",
	.event = "umask=0x2,event=0x35",
	.desc = "Failed ARB for BL; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncb",
	.event = "umask=0x40,event=0x35",
	.desc = "Failed ARB for BL; VN1 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncs",
	.event = "umask=0x80,event=0x35",
	.desc = "Failed ARB for BL; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_rsp",
	.event = "umask=0x10,event=0x35",
	.desc = "Failed ARB for BL; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_wb",
	.event = "umask=0x20,event=0x35",
	.desc = "Failed ARB for BL; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x28",
	.desc = "BL Flow Q Not Empty; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x28",
	.desc = "BL Flow Q Not Empty; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncb",
	.event = "umask=0x1,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncs",
	.event = "umask=0x2,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_rsp",
	.event = "umask=0x8,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_wb",
	.event = "umask=0x4,event=0x2e",
	.desc = "BL Flow Q Inserts; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncb",
	.event = "umask=0x10,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncs",
	.event = "umask=0x20,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_rsp",
	.event = "umask=0x80,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_wb",
	.event = "umask=0x40,event=0x2e",
	.desc = "BL Flow Q Inserts; VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncb",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncs",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_rsp",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_wb",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncb",
	.event = "umask=0x40,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncs",
	.event = "umask=0x80,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_rsp",
	.event = "umask=0x10,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_wb",
	.event = "umask=0x20,event=0x1d",
	.desc = "BL Flow Q Occupancy; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_ncb",
	.event = "umask=0x2,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_ncs",
	.event = "umask=0x8,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn0_wb",
	.event = "umask=0x1,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_ncb",
	.event = "umask=0x20,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_ncs",
	.event = "umask=0x80,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_new_msg.vn1_wb",
	.event = "umask=0x10,event=0x38",
	.desc = "Speculative ARB for BL  - New Message; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request due to new message arriving on a specific channel (MC/VN)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_ncb",
	.event = "umask=0x4,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_ncs",
	.event = "umask=0x8,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_rsp",
	.event = "umask=0x1,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn0_wb",
	.event = "umask=0x2,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_ncb",
	.event = "umask=0x40,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_ncs",
	.event = "umask=0x80,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_rsp",
	.event = "umask=0x10,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_spec_arb_no_other_pend.vn1_wb",
	.event = "umask=0x20,event=0x37",
	.desc = "Speculative ARB for AD Failed - No Credit; VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL speculative arb request asserted due to no other channel being active (have a valid entry but don't have credits to send)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_bnc",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ak_bnc",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_bnc",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Horizontal ADS Used; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_bnc",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ak_bnc",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_bnc",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.iv_bnc",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Bypass Used; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_bnc",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ak_bnc",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_bnc",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.iv_bnc",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_bnc",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ak_bnc",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_bnc",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.iv_bnc",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_bnc",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ak_bnc",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_bnc",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.iv_bnc",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_bnc",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_crd",
	.event = "umask=0x20,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ak_bnc",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_bnc",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.iv_bnc",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_bnc",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AD - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ak_bnc",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_bnc",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; BL - Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.iv_bnc",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ad_bnc",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AD - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ak_bnc",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; AK - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.bl_bnc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; BL - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.iv_bnc",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation; IV - Bounce. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical ADS Used; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical ADS Used; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical ADS Used; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical ADS Used; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full.iv",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne.iv",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts.iv",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack.iv",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy.iv",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh.; Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved.iv",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation; IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_req",
	.event = "umask=0x2,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_rsp",
	.event = "umask=0x8,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_req",
	.event = "umask=0x10,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_rsp",
	.event = "umask=0x40,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x20",
	.desc = "UPI0 AD Credits Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x20",
	.desc = "UPI0 AD Credits Empty; VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_ncs_ncb",
	.event = "umask=0x4,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_rsp",
	.event = "umask=0x2,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_wb",
	.event = "umask=0x8,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_ncs_ncb",
	.event = "umask=0x20,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_rsp",
	.event = "umask=0x10,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_wb",
	.event = "umask=0x40,event=0x21",
	.desc = "UPI0 BL Credits Empty; VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x21",
	.desc = "UPI0 BL Credits Empty; VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_prefetch_spawn",
	.event = "event=0x29",
	.desc = "Prefetches generated by the flow control queue of the M3UPI unit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Count cases where flow control queue that sits between the Intel Ultra Path Interconnect (UPI) and the mesh spawns a prefetch to the iMC (Memory Controller)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Vertical AD Ring In Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Vertical AD Ring In Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Vertical AK Ring In Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Vertical AK Ring In Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Vertical BL Ring in Use; Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Vertical BL Ring in Use; Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Vertical IV Ring in Use; Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Vertical IV Ring in Use; Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x5c",
	.desc = "VN0 Credit Used; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x5c",
	.desc = "VN0 Credit Used; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.req",
	.event = "umask=0x1,event=0x5c",
	.desc = "VN0 Credit Used; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.rsp",
	.event = "umask=0x4,event=0x5c",
	.desc = "VN0 Credit Used; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x5c",
	.desc = "VN0 Credit Used; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.wb",
	.event = "umask=0x8,event=0x5c",
	.desc = "VN0 Credit Used; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncb",
	.event = "umask=0x10,event=0x5e",
	.desc = "VN0 No Credits; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncs",
	.event = "umask=0x20,event=0x5e",
	.desc = "VN0 No Credits; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.req",
	.event = "umask=0x1,event=0x5e",
	.desc = "VN0 No Credits; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.rsp",
	.event = "umask=0x4,event=0x5e",
	.desc = "VN0 No Credits; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.snp",
	.event = "umask=0x2,event=0x5e",
	.desc = "VN0 No Credits; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.wb",
	.event = "umask=0x8,event=0x5e",
	.desc = "VN0 No Credits; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN0 Credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x5d",
	.desc = "VN1 Credit Used; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x5d",
	.desc = "VN1 Credit Used; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.req",
	.event = "umask=0x1,event=0x5d",
	.desc = "VN1 Credit Used; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.rsp",
	.event = "umask=0x4,event=0x5d",
	.desc = "VN1 Credit Used; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x5d",
	.desc = "VN1 Credit Used; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.wb",
	.event = "umask=0x8,event=0x5d",
	.desc = "VN1 Credit Used; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers.; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncb",
	.event = "umask=0x10,event=0x5f",
	.desc = "VN1 No Credits; WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncs",
	.event = "umask=0x20,event=0x5f",
	.desc = "VN1 No Credits; NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.req",
	.event = "umask=0x1,event=0x5f",
	.desc = "VN1 No Credits; REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.rsp",
	.event = "umask=0x4,event=0x5f",
	.desc = "VN1 No Credits; RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.snp",
	.event = "umask=0x2,event=0x5f",
	.desc = "VN1 No Credits; SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.wb",
	.event = "umask=0x8,event=0x5f",
	.desc = "VN1 No Credits; RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Number of Cycles there were no VN1 Credits; Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_nounit_txc_bl.drs_upi",
	.event = "umask=0x4,event=0x40",
	.desc = "This event is deprecated. Refer to new event UNC_M2M_TxC_BL.DRS_UPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_clockticks",
	.event = "event=0x1",
	.desc = "Clocks of the Intel Ultra Path Interconnect (UPI). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts clockticks of the fixed frequency clock controlling the Intel Ultra Path Interconnect (UPI).  This clock runs at1/8th the 'GT/s' speed of the UPI link.  For example, a  9.6GT/s  link will have a fixed Frequency of 1.2 Ghz",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2c",
	.event = "umask=0x1,event=0x12",
	.desc = "Data Response packets that go direct to core. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts Data Response (DRS) packets that attempted to go direct to core bypassing the CHA",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2k",
	.event = "umask=0x2,event=0x12",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_DIRECT_ATTEMPTS.D2U. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_direct_attempts.d2u",
	.event = "umask=0x2,event=0x12",
	.desc = "Data Response packets that go direct to Intel UPI. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts Data Response (DRS) packets that attempted to go direct to Intel Ultra Path Interconnect (UPI) bypassing the CHA ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq0",
	.event = "umask=0x1,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq1",
	.event = "umask=0x2,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq2",
	.event = "umask=0x4,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq0",
	.event = "umask=0x10,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq1",
	.event = "umask=0x20,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq2",
	.event = "umask=0x40,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq3",
	.event = "umask=0x80,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.bl_vna_eq0",
	.event = "umask=0x8,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_l1_power_cycles",
	.event = "event=0x21",
	.desc = "Cycles Intel UPI is in L1 power mode (shutdown). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the Intel Ultra Path Interconnect (UPI) is in L1 power mode.  L1 is a mode that totally shuts down the UPI link.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another, this event only coutns when both links are shutdown",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.bgf_crd",
	.event = "umask=0x8,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ak_vna_le3",
	.event = "umask=0x4,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x2,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.gv_block",
	.event = "umask=0x10,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_crd_return_blocked",
	.event = "event=0x16",
	.desc = "UNC_UPI_M3_CRD_RETURN_BLOCKED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.bgf_crd",
	.event = "umask=0x20,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_btw_2_thresh",
	.event = "umask=0x2,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_BTW_2_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ak_vna_le3",
	.event = "umask=0x10,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_btw_0_thresh",
	.event = "umask=0x8,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_BTW_0_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x4,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.gv_block",
	.event = "umask=0x40,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_phy_init_cycles",
	.event = "event=0x20",
	.desc = "Cycles where phy is not in L0, L0c, L0p, L1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_nack",
	.event = "event=0x23",
	.desc = "L1 Req Nack. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times a link sends/receives a LinkReqNAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqNAck refers to receiving an NAck (meaning this agent's Tx originally requested the power change).  A Tx LinkReqNAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_req",
	.event = "event=0x22",
	.desc = "L1 Req (same as L1 Ack). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times a link sends/receives a LinkReqAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqAck refers to receiving an Ack (meaning this agent's Tx originally requested the power change).  A Tx LinkReqAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.ack",
	.event = "umask=0x8,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.ACK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn0",
	.event = "umask=0x2,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn1",
	.event = "umask=0x4,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vna",
	.event = "umask=0x1,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VNA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0p_power_cycles",
	.event = "event=0x25",
	.desc = "Cycles the Rx of the Intel UPI is in L0p power mode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the receive side (Rx) of the Intel Ultra Path Interconnect(UPI) is in L0p power mode. L0p is a mode where we disable 60% of the UPI lanes, decreasing our bandwidth in order to save power",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0_power_cycles",
	.event = "event=0x24",
	.desc = "Cycles in L0. Receive side. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "REQ Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Request Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match REQ Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "SNP Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Snoop Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match SNP Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x5",
	.desc = "Matches on Receive path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot0",
	.event = "umask=0x1,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot0 RxQ buffer (Receive Queue) and passed directly to the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot1",
	.event = "umask=0x2,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot1 RxQ buffer  (Receive Queue) and passed directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot2",
	.event = "umask=0x4,event=0x31",
	.desc = "FLITs received which bypassed the Slot0 Receive Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the slot2 RxQ buffer (Receive Queue)  and passed directly to the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of FLITs transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn0",
	.event = "event=0x39",
	.desc = "VN0 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn1",
	.event = "event=0x3a",
	.desc = "VN1 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vna",
	.event = "event=0x38",
	.desc = "VNA Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_data",
	.event = "umask=0xf,event=0x3",
	.desc = "Valid data FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs  (80 bit FLow control unITs: 64bits of data) received from any of the 3 Intel Ultra Path Interconnect (UPI) Receive Queue slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_null",
	.event = "umask=0x27,event=0x3",
	.desc = "Null FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts null FLITs (80 bit FLow control unITs) received from any of the 3 Intel Ultra Path Interconnect (UPI) Receive Queue slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.data",
	.event = "umask=0x8,event=0x3",
	.desc = "Valid Flits Received; Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.idle",
	.event = "umask=0x47,event=0x3",
	.desc = "Valid Flits Received; Idle. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llcrd",
	.event = "umask=0x10,event=0x3",
	.desc = "Valid Flits Received; LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llctrl",
	.event = "umask=0x40,event=0x3",
	.desc = "Valid Flits Received; LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.non_data",
	.event = "umask=0x97,event=0x3",
	.desc = "Protocol header and credit FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts protocol header and credit FLITs  (80 bit FLow control unITs) received from any of the 3 UPI slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.null",
	.event = "umask=0x20,event=0x3",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_FLITS.ALL_NULL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_flits.prothdr",
	.event = "umask=0x80,event=0x3",
	.desc = "Valid Flits Received; Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.prot_hdr",
	.event = "umask=0x80,event=0x3",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_FLITS.PROTHDR. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_flits.slot0",
	.event = "umask=0x1,event=0x3",
	.desc = "Valid Flits Received; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot1",
	.event = "umask=0x2,event=0x3",
	.desc = "Valid Flits Received; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot2",
	.event = "umask=0x4,event=0x3",
	.desc = "Valid Flits Received; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.ncb",
	.event = "umask=0xc,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.NCB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.ncs",
	.event = "umask=0xd,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.NCS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.req",
	.event = "umask=0x8,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.REQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.rsp",
	.event = "umask=0xa,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.RSP_DATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.snp",
	.event = "umask=0x9,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.SNP. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_hdr_match.wb",
	.event = "umask=0xb,event=0x5",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_RxL_BASIC_HDR_MATCH.WB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot0",
	.event = "umask=0x1,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot1",
	.event = "umask=0x2,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot2",
	.event = "umask=0x4,event=0x30",
	.desc = "RxQ Flit Buffer Allocations; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot0",
	.event = "umask=0x1,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot1",
	.event = "umask=0x2,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot2",
	.event = "umask=0x4,event=0x32",
	.desc = "RxQ Occupancy - All Packets; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq1",
	.event = "umask=0x1,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq2",
	.event = "umask=0x2,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq0",
	.event = "umask=0x4,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq2",
	.event = "umask=0x8,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq0",
	.event = "umask=0x10,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq1",
	.event = "umask=0x20,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.cfg_ctl",
	.event = "umask=0x1,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.CFG_CTL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.dfx",
	.event = "umask=0x40,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.DFX. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.retry",
	.event = "umask=0x20,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RETRY. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq",
	.event = "umask=0x2,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_bypass",
	.event = "umask=0x4,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_BYPASS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_cred",
	.event = "umask=0x8,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_CRED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.spare",
	.event = "umask=0x80,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.SPARE. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.txq",
	.event = "umask=0x10,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.TXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles",
	.event = "event=0x27",
	.desc = "Cycles in which the Tx of the Intel Ultra Path Interconnect (UPI) is in L0p power mode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts cycles when the transmit side (Tx) of the Intel Ultra Path Interconnect(UPI) is in L0p power mode. L0p is a mode where we disable 60% of the UPI lanes, decreasing our bandwidth in order to save power",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_ll_enter",
	.event = "event=0x28",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_LL_ENTER. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_m3_exit",
	.event = "event=0x29",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_M3_EXIT. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0_power_cycles",
	.event = "event=0x26",
	.desc = "Cycles in L0. Transmit side. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - NCS",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "REQ Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Request Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match REQ Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class - RSP",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "SNP Message Class",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Snoop Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match SNP Opcodes - Specified in Umask[7:4]",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port; Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Match Message Class -WB",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_bypassed",
	.event = "event=0x41",
	.desc = "FLITs that bypassed the TxL Buffer. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts incoming FLITs (FLow control unITs) which bypassed the TxL(transmit) FLIT buffer and pass directly out the UPI Link. Generally, when data is transmitted across the Intel Ultra Path Interconnect (UPI), it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used in L0p (Low Power) mode and (Link Layer Retry) LLR  mode, increasing latency to transfer out to the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_data",
	.event = "umask=0xf,event=0x2",
	.desc = "Valid data FLITs transmitted via any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs (80 bit FLow control unITs: 64bits of data) transmitted (TxL) via any of the 3 Intel Ultra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_null",
	.event = "umask=0x27,event=0x2",
	.desc = "Null FLITs transmitted from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts null FLITs (80 bit FLow control unITs) transmitted via any of the 3 Intel Ulra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.data",
	.event = "umask=0x8,event=0x2",
	.desc = "Valid Flits Sent; Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.idle",
	.event = "umask=0x47,event=0x2",
	.desc = "Idle FLITs transmitted. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts when the Intel Ultra Path Interconnect(UPI) transmits an idle FLIT(80 bit FLow control unITs).  Every UPI cycle must be sending either data FLITs, protocol/credit FLITs or idle FLITs",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llcrd",
	.event = "umask=0x10,event=0x2",
	.desc = "Valid Flits Sent; LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llctrl",
	.event = "umask=0x40,event=0x2",
	.desc = "Valid Flits Sent; LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.non_data",
	.event = "umask=0x97,event=0x2",
	.desc = "Protocol header and credit FLITs transmitted across any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts protocol header and credit FLITs (80 bit FLow control unITs) transmitted across any of the 3 UPI (Ultra Path Interconnect) slots on this UPI unit",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.null",
	.event = "umask=0x20,event=0x2",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_FLITS.ALL_NULL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_flits.prothdr",
	.event = "umask=0x80,event=0x2",
	.desc = "Valid Flits Sent; Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.prot_hdr",
	.event = "umask=0x80,event=0x2",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_FLITS.PROTHDR. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_flits.slot0",
	.event = "umask=0x1,event=0x2",
	.desc = "Valid Flits Sent; Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot1",
	.event = "umask=0x2,event=0x2",
	.desc = "Valid Flits Sent; Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot2",
	.event = "umask=0x4,event=0x2",
	.desc = "Valid Flits Sent; Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Shows legal flit time (hides impact of L0p and L0c).; Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_hdr_match.data_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.dual_slot_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.loc",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.NCB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.NCS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.non_data_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rem",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.req",
	.event = "umask=0x8,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.REQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.RSP_DATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.RSP_NODATA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.sgl_slot_hdr",
	.event = "event=0x4",
	.desc = "This event is deprecated. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.snp",
	.event = "umask=0x9,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.SNP. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_hdr_match.wb",
	.event = "umask=0xc,event=0x4",
	.desc = "This event is deprecated. Refer to new event UNC_UPI_TxL_BASIC_HDR_MATCH.WB. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_upi_txl_inserts",
	.event = "event=0x40",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of allocations into the UPI Tx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_occupancy",
	.event = "event=0x42",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_blocked_vn01",
	.event = "event=0x45",
	.desc = "UNC_UPI_VNA_CREDIT_RETURN_BLOCKED_VN01. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_occupancy",
	.event = "event=0x44",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the UBOX using a dedicated 48-bit Fixed Counter. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "Message Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "Message Received. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "Message Received; IPI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.; Inter Processor Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "Message Received; MSI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore.; Message Signaled Interrupts - interrupts sent by devices (including PCIe via IOxAPIC) (Socket Mode only)",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "Message Received; VLW. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack; Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "PHOLD cycles",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.pftch_buf_empty",
	.event = "umask=0x4,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.PFTCH_BUF_EMPTY. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdrand",
	.event = "umask=0x1,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDRAND. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdseed",
	.event = "umask=0x2,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDSEED. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "upi_data_bandwidth_tx",
	.event = "umask=0xf,event=0x2",
	.desc = "UPI interconnect send bandwidth for payload. Derived from unc_upi_txl_flits.all_data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Counts valid data FLITs (80 bit FLow control unITs: 64bits of data) transmitted (TxL) via any of the 3 Intel Ultra Path Interconnect (UPI) slots on this UPI unit",
	.pmu = "uncore_upi",
	.unit = "7.11E-06Bytes",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=2000003,umask=0x2,event=0x48",
	.desc = "Number of times a request needed a FB entry but there was no entry available for it. That is the FB unavailability was dominant reason for blocking the request. A request includes cacheable/uncacheable demands that is load, store or SW prefetch",
	.topic = "cache",
	.long_desc = "Number of times a request needed a FB (Fill Buffer) entry but there was no entry available for it. A request includes cacheable/uncacheable demands that are load, store or SW prefetch instructions",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss outstandings duration in cycles",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding, that is each cycle number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch.Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines can be either in modified state or clean state. Modified lines may either be written back to L3 or directly written to memory and not allocated in L3.  Clean lines may either be allocated in L3 or dropped",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines can be either in modified state or clean state. Modified lines may either be written back to L3 or directly written to memory and not allocated in L3.  Clean lines may either be allocated in L3 or dropped",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared state. A non-threaded event",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "Counts the number of lines that have been hardware prefetched but not used and now evicted by L2 cache",
	.topic = "cache",
},
{
	.name = "l2_lines_out.useless_pref",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "This event is deprecated. Refer to new event L2_LINES_OUT.USELESS_HWPF",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
	.long_desc = "Demand requests to L2 cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xf8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches",
	.topic = "cache",
	.long_desc = "Counts the total number of requests from the L2 hardware prefetchers",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests, initiated by load instructions, that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "All requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "All requests that miss L2 cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0xd8,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that hit L2 cache",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x38,event=0x24",
	.desc = "Requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests from the L1/L2/L3 hardware prefetchers or Load software prefetches that miss L2 cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
	.long_desc = "All L2 requests",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2. It does not include all misses to the L3  Spec update: SKL057",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to L3  Spec update: SKL057",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the  L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches from L1 and L2.  It does not include all accesses to the L3  Spec update: SKL057",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=2000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions which data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from local dram  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources missed L3 but serviced from local DRAM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_dram",
	.event = "period=100007,umask=0x2,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from remote dram  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x8,event=0xd3",
	.desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise",
},
{
	.name = "mem_load_l3_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_pmm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches. Precise event  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3 (AppDirect or Memory Mode) and DRAM cache(Memory Mode). Precise event  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or lock  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Retired load instructions which data sources were load missed L1 but hit FB due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=100003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=50021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=100007,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.local_pmm",
	.event = "period=100003,umask=0x80,event=0xd1",
	.desc = "Retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches. Precise event  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3 (AppDirect or Memory Mode) and DRAM cache(Memory Mode). Precise event  Supports address when precise (Precise event)",
},
{
	.name = "ocr.all_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.ANY_SNOOP OCR.ALL_DATA_RD.L3_HIT.ANY_SNOOP OCR.ALL_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.ALL_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.ALL_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.SNOOP_MISS OCR.ALL_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT.SNOOP_NONE OCR.ALL_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.ANY_SNOOP  OCR.ALL_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.ANY_SNOOP  OCR.ALL_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.ANY_SNOOP  OCR.ALL_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.ANY_SNOOP  OCR.ALL_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.HITM_OTHER_CORE  OCR.ALL_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD  OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD  OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED  OCR.ALL_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100491",
	.desc = "OCR.ALL_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.ANY_SNOOP OCR.ALL_PF_DATA_RD.L3_HIT.ANY_SNOOP OCR.ALL_PF_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.ALL_PF_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.ALL_PF_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_PF_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_PF_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_MISS OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_NONE OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.ANY_SNOOP  OCR.ALL_PF_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.HITM_OTHER_CORE  OCR.ALL_PF_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED  OCR.ALL_PF_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100490",
	.desc = "OCR.ALL_PF_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.ANY_SNOOP OCR.ALL_PF_RFO.L3_HIT.ANY_SNOOP OCR.ALL_PF_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.HITM_OTHER_CORE OCR.ALL_PF_RFO.L3_HIT.HITM_OTHER_CORE OCR.ALL_PF_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_PF_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_PF_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.SNOOP_MISS OCR.ALL_PF_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT.SNOOP_NONE OCR.ALL_PF_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.ANY_SNOOP  OCR.ALL_PF_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.ANY_SNOOP  OCR.ALL_PF_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.ANY_SNOOP  OCR.ALL_PF_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.ANY_SNOOP  OCR.ALL_PF_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.HITM_OTHER_CORE  OCR.ALL_PF_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD  OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD  OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.NO_SNOOP_NEEDED  OCR.ALL_PF_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_pf_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100120",
	.desc = "OCR.ALL_PF_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.ANY_SNOOP OCR.ALL_READS.L3_HIT.ANY_SNOOP OCR.ALL_READS.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.HITM_OTHER_CORE OCR.ALL_READS.L3_HIT.HITM_OTHER_CORE OCR.ALL_READS.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_READS.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_READS.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.SNOOP_MISS OCR.ALL_READS.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C07F7",
	.desc = "OCR.ALL_READS.L3_HIT.SNOOP_NONE OCR.ALL_READS.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.ANY_SNOOP  OCR.ALL_READS.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.HITM_OTHER_CORE  OCR.ALL_READS.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800807F7",
	.desc = "OCR.ALL_READS.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F802007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.ANY_SNOOP  OCR.ALL_READS.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.HITM_OTHER_CORE  OCR.ALL_READS.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8002007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4002007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802007F7",
	.desc = "OCR.ALL_READS.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.ANY_SNOOP  OCR.ALL_READS.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.HITM_OTHER_CORE  OCR.ALL_READS.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800407F7",
	.desc = "OCR.ALL_READS.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F801007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.ANY_SNOOP  OCR.ALL_READS.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.HITM_OTHER_CORE  OCR.ALL_READS.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8001007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_FWD  OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_NO_FWD  OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.NO_SNOOP_NEEDED  OCR.ALL_READS.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_reads.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801007F7",
	.desc = "OCR.ALL_READS.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.ANY_SNOOP OCR.ALL_RFO.L3_HIT.ANY_SNOOP OCR.ALL_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.HITM_OTHER_CORE OCR.ALL_RFO.L3_HIT.HITM_OTHER_CORE OCR.ALL_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.ALL_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.SNOOP_MISS OCR.ALL_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0122",
	.desc = "OCR.ALL_RFO.L3_HIT.SNOOP_NONE OCR.ALL_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.ANY_SNOOP  OCR.ALL_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.HITM_OTHER_CORE  OCR.ALL_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080122",
	.desc = "OCR.ALL_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.ANY_SNOOP  OCR.ALL_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.HITM_OTHER_CORE  OCR.ALL_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200122",
	.desc = "OCR.ALL_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.ANY_SNOOP  OCR.ALL_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.HITM_OTHER_CORE  OCR.ALL_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040122",
	.desc = "OCR.ALL_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.ANY_SNOOP  OCR.ALL_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.HITM_OTHER_CORE  OCR.ALL_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD  OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD  OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.NO_SNOOP_NEEDED  OCR.ALL_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.all_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100122",
	.desc = "OCR.ALL_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.ANY_SNOOP OCR.DEMAND_CODE_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.HITM_OTHER_CORE OCR.DEMAND_CODE_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.NO_SNOOP_NEEDED OCR.DEMAND_CODE_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0004",
	.desc = "Counts all demand code reads OCR.DEMAND_CODE_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100004",
	.desc = "Counts all demand code reads  OCR.DEMAND_CODE_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.ANY_SNOOP OCR.DEMAND_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.DEMAND_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.DEMAND_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0001",
	.desc = "Counts demand data reads OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100001",
	.desc = "Counts demand data reads  OCR.DEMAND_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100001",
	.desc = "Counts demand data reads",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.ANY_SNOOP OCR.DEMAND_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.HITM_OTHER_CORE OCR.DEMAND_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.DEMAND_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0002",
	.desc = "Counts all demand data writes (RFOs) OCR.DEMAND_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100002",
	.desc = "Counts all demand data writes (RFOs)  OCR.DEMAND_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100002",
	.desc = "Counts all demand data writes (RFOs)",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.ANY_SNOOP OCR.OTHER.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.HITM_OTHER_CORE OCR.OTHER.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.HIT_OTHER_CORE_FWD OCR.OTHER.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.OTHER.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.NO_SNOOP_NEEDED OCR.OTHER.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C8000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C8000",
	.desc = "Counts any other requests OCR.OTHER.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80088000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000088000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800088000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400088000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100088000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80088000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80208000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000208000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800208000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400208000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100208000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200208000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80208000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80048000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000048000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800048000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400048000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100048000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80048000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80108000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000108000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800108000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400108000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100108000",
	.desc = "Counts any other requests  OCR.OTHER.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80108000",
	.desc = "Counts any other requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.ANY_SNOOP OCR.PF_L1D_AND_SW.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.HITM_OTHER_CORE OCR.PF_L1D_AND_SW.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_FWD OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.NO_SNOOP_NEEDED OCR.PF_L1D_AND_SW.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests OCR.PF_L1D_AND_SW.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests  OCR.PF_L1D_AND_SW.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l1d_and_sw.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100400",
	.desc = "Counts L1 data cache hardware prefetch requests and software prefetch requests",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.ANY_SNOOP OCR.PF_L2_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.PF_L2_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.PF_L2_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0010",
	.desc = "Counts prefetch (that bring data to L2) data reads OCR.PF_L2_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100010",
	.desc = "Counts prefetch (that bring data to L2) data reads  OCR.PF_L2_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100010",
	.desc = "Counts prefetch (that bring data to L2) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.ANY_SNOOP OCR.PF_L2_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.HITM_OTHER_CORE OCR.PF_L2_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.PF_L2_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs OCR.PF_L2_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs  OCR.PF_L2_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l2_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.ANY_SNOOP OCR.PF_L3_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.HITM_OTHER_CORE OCR.PF_L3_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.NO_SNOOP_NEEDED OCR.PF_L3_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads OCR.PF_L3_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads  OCR.PF_L3_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.ANY_SNOOP OCR.PF_L3_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.HITM_OTHER_CORE OCR.PF_L3_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_FWD OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.NO_SNOOP_NEEDED OCR.PF_L3_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs OCR.PF_L3_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs  OCR.PF_L3_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "ocr.pf_l3_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "Counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, etc.",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
	.long_desc = "Counts both cacheable and non-cacheable code read requests",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Offcore requests buffer cannot take more entries for this thread core",
	.topic = "cache",
	.long_desc = "Counts the number of cases when the offcore requests buffer cannot take more entries for the core. This can happen when the superqueue does not contain eligible entries, or when L1D writeback pending FIFO requests is full.Note: Writeback pending FIFO has six entries",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x60",
	.desc = "Cycles with offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Cycles with offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=2000003,umask=0x2,event=0x60",
	.desc = "Offcore outstanding Code Reads transactions in the SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Code Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding Demand Data Read transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor. See the corresponding Umask under OFFCORE_REQUESTS.Note: A prefetch promoted to Demand is counted from the promotion point",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding RFO (store) transactions in the super queue (SQ) every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_response",
	.event = "period=100003,umask=0x1,event=0xb7",
	.desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
	.topic = "cache",
	.long_desc = "Offcore response can be programmed only with a specific pair of event select and counter MSR, and with specific event codes and predefine mask bit value in a dedicated MSR to specify attributes of the offcore transaction",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020491",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020490",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_pf_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020120",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_PF_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x107F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C07F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800807F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F802007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8002007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4002007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800407F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F801007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8001007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4001007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F804007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x804007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004007F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F800207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10000207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4000207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_reads.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800207F7",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_READS.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.all_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020122",
	.desc = "This event is deprecated. Refer to new event OCR.ALL_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_code_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020004",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_CODE_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.demand_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020002",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C8000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80088000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80208000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80048000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80108000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80408000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80408000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100408000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.other.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80028000",
	.desc = "This event is deprecated. Refer to new event OCR.OTHER.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l1d_and_sw.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020400",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L1D_AND_SW.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020010",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020020",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L2_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_data_rd.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020080",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_DATA_RD.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.ANY_RESPONSE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8007C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803C0100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_e.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_E.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_f.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80200100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_F.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_m.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80040100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_M.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.l3_hit_s.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80100100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.L3_HIT_S.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.pmm_hit_local_pmm.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80400100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.pmm_hit_local_pmm.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80400100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.pmm_hit_local_pmm.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.PMM_HIT_LOCAL_PMM.SNOOP_NOT_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.any_snoop",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F80020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.ANY_SNOOP",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.HITM_OTHER_CORE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.hit_other_core_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.HIT_OTHER_CORE_NO_FWD",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.NO_SNOOP_NEEDED",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.SNOOP_MISS",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "offcore_response.pf_l3_rfo.supplier_none.snoop_none",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80020100",
	.desc = "This event is deprecated. Refer to new event OCR.PF_L3_RFO.SUPPLIER_NONE.SNOOP_NONE",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Number of cache line split locks sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of cache line split locks sent to the uncore",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=2000003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=2000003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=2000003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=2000003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
},
{
	.name = "llc_misses.mem_read",
	.event = "umask=0x3,event=0x4",
	.desc = "read requests to memory controller. Derived from unc_m_cas_count.rd. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Access Select) read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every read.  This event includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_write",
	.event = "umask=0xc,event=0x4",
	.desc = "write requests to memory controller. Derived from unc_m_cas_count.wr. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.rd",
	.event = "umask=0x1,event=0x1",
	.desc = "DRAM Activate Count; Activate due to Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.wr",
	.event = "umask=0x2,event=0x1",
	.desc = "DRAM Page Activate commands sent due to a write request. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts DRAM Page Activate commands sent on this channel due to a write request to the iMC (Memory Controller).  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS (Column Access Select) command",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.act",
	.event = "umask=0x1,event=0xa1",
	.desc = "ACT command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.cas",
	.event = "umask=0x2,event=0xa1",
	.desc = "CAS command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_byp_cmds.pre",
	.event = "umask=0x4,event=0xa1",
	.desc = "PRE command issued by 2 cycle bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0xf,event=0x4",
	.desc = "All DRAM CAS Commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, so this event increments for every read and write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x3,event=0x4",
	.desc = "All DRAM Read CAS Commands issued (including underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Access Select) read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every read.  This event includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_isoch",
	.event = "umask=0x40,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in Read ISOCH Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "All DRAM Read CAS Commands issued (does not include underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts CAS (Column Access Select) regular read commands issued to DRAM on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every regular read.  This event only counts regular reads and does not includes underfill reads due to partial write requests.  This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write)  is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_rmm",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in RMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM Underfill Read CAS Commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts CAS (Column Access Select) underfill read commands issued to DRAM due to a partial write, on a per channel basis.  CAS commands are issued to specify the address to read or write on DRAM, and this command counts underfill reads.  Partial writes must be completed by first reading in the underfill from DRAM and then merging in the partial write data before writing the full line back to DRAM. This event will generally count about the same as the number of partial writes, but may be slightly less because of partials hitting in the WPQ (due to a previous write request)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_wmm",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in WMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0xc,event=0x4",
	.desc = "All DRAM Write CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts all CAS (Column Address Select) commands issued to DRAM per memory channel.  CAS commands are issued to specify the address to read or write on DRAM, and this event increments for every write. This event counts whether AutoPrecharge (which closes the DRAM Page automatically after a read/write) is enabled or not",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_isoch",
	.event = "umask=0x80,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; Read CAS issued in Write ISOCH Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_rmm",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of Opportunistic DRAM Write CAS commands issued on this channel while in Read-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_wmm",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM CAS (Column Address Strobe) Commands.; DRAM WR_CAS (w/ and w/out auto-pre) in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number or DRAM Write CAS commands issued on this channel while in Write-Major-Mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "Memory controller clock ticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts clockticks of the fixed frequency clock of the memory controller using one of the programmable counters",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks_f",
	.event = "event=0xff",
	.desc = "Clockticks in the Memory Controller using a dedicated 48-bit Fixed Counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x6",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_ecc_correctable_errors",
	.event = "event=0x9",
	.desc = "ECC Correctable Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of ECC errors detected and corrected by the iMC on this channel.  This counter is only useful with ECC DRAM devices.  This count will increment one time for each correction regardless of the number of bits corrected.  The iMC can correct up to 4 bit errors in independent channel mode and 8 bit erros in lockstep mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_majmode2.dram_cyc",
	.event = "umask=0x2,event=0xed",
	.desc = "UNC_M_MAJMODE2.DRAM_CYC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_majmode2.dram_enter",
	.event = "umask=0x8,event=0xed",
	.desc = "UNC_M_MAJMODE2.DRAM_ENTER. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_majmode2.pmm_cyc",
	.event = "umask=0x1,event=0xed",
	.desc = "UNC_M_MAJMODE2.PMM_CYC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_majmode2.pmm_enter",
	.event = "umask=0x4,event=0xed",
	.desc = "UNC_M_MAJMODE2.PMM_ENTER. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.isoch",
	.event = "umask=0x8,event=0x7",
	.desc = "Cycles in a Major Mode; Isoch Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; We group these two modes together so that we can use four counters to track each of the major modes at one time.  These major modes are used whenever there is an ISOCH txn in the memory controller.  In these mode, only ISOCH transactions are processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.partial",
	.event = "umask=0x4,event=0x7",
	.desc = "Cycles in a Major Mode; Partial Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This major mode is used to drain starved underfill reads.  Regular reads and writes are blocked and only underfill reads will be processed",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.read",
	.event = "umask=0x1,event=0x7",
	.desc = "Cycles in a Major Mode; Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; Read Major Mode is the default mode for the iMC, as reads are generally more critical to forward progress than writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_major_modes.write",
	.event = "umask=0x2,event=0x7",
	.desc = "Cycles in a Major Mode; Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of cycles spent in a major mode (selected by a filter) on the given channel.   Major modea are channel-wide, and not a per-rank (or dimm or bank) mode.; This mode is triggered when the WPQ hits high occupancy and causes writes to be higher priority than reads.  This can cause blips in the available read bandwidth in the system and temporarily increase read latencies in order to achieve better bus utilizations and higher bandwidth",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_bandwidth.read",
	.event = "event=0xe3",
	.desc = "Intel Optane DC persistent memory bandwidth read (MB/sec). Derived from unc_m_pmm_rpq_inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.unit = "6.103515625E-5MB/sec",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_bandwidth.total",
	.event = "event=0xe3",
	.desc = "Intel Optane DC persistent memory bandwidth total (MB/sec). Derived from unc_m_pmm_rpq_inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.unit = "6.103515625E-5MB/sec",
	.perpkg = "1",
	.metric_expr = "unc_m_pmm_rpq_inserts + unc_m_pmm_wpq_inserts",
	.metric_name = "UNC_M_PMM_BANDWIDTH.TOTAL",
},
{
	.name = "unc_m_pmm_bandwidth.write",
	.event = "event=0xe7",
	.desc = "Intel Optane DC persistent memory bandwidth write (MB/sec). Derived from unc_m_pmm_wpq_inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.unit = "6.103515625E-5MB/sec",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.all",
	.event = "umask=0x1,event=0xea",
	.desc = "All commands for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.misc",
	.event = "umask=0x80,event=0xea",
	.desc = "Misc Commands (error, flow ACKs). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.misc_gnt",
	.event = "umask=0x40,event=0xea",
	.desc = "Misc GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.rd",
	.event = "umask=0x2,event=0xea",
	.desc = "Regular reads(RPQ) commands for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "All Reads - RPQ or Ufill",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.rpq_gnts",
	.event = "umask=0x10,event=0xea",
	.desc = "RPQ GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.ufill_rd",
	.event = "umask=0x8,event=0xea",
	.desc = "Underfill read commands for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Underfill reads",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.wpq_gnts",
	.event = "umask=0x20,event=0xea",
	.desc = "Underfill GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.wr",
	.event = "umask=0x4,event=0xea",
	.desc = "Write commands for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Writes",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.nodata_exp",
	.event = "umask=0x2,event=0xeb",
	.desc = "Expected No data packet (ERID matched NDP encoding). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.nodata_unexp",
	.event = "umask=0x4,event=0xeb",
	.desc = "Unexpected No data packet (ERID matched a Read, but data was a NDP). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.opp_rd",
	.event = "umask=0x1,event=0xeb",
	.desc = "Opportunistic Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.pmm_ecc_error",
	.event = "umask=0x20,event=0xeb",
	.desc = "PMM ECC Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.pmm_erid_error",
	.event = "umask=0x40,event=0xeb",
	.desc = "PMM ERID detectable parity error. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.reqs_slot0",
	.event = "umask=0x8,event=0xeb",
	.desc = "Read Requests - Slot 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.reqs_slot1",
	.event = "umask=0x10,event=0xeb",
	.desc = "Read Requests - Slot 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_majmode1.partial_wr_cyc",
	.event = "umask=0x4,event=0xec",
	.desc = "PMM Major Mode; Cycles PMM is in Partial Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_majmode1.partial_wr_enter",
	.event = "umask=0x20,event=0xec",
	.desc = "PMM Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_majmode1.partial_wr_exit",
	.event = "umask=0x40,event=0xec",
	.desc = "PMM Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_majmode1.rd_cyc",
	.event = "umask=0x1,event=0xec",
	.desc = "PMM Major Mode; Cycles PMM is in Read Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_majmode1.wr_cyc",
	.event = "umask=0x2,event=0xec",
	.desc = "PMM Major Mode; Cycles PMM is in Write Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_read_latency",
	.event = "umask=0x1,event=0xe0",
	.desc = "Intel Optane DC persistent memory read latency (ns). Derived from unc_m_pmm_rpq_occupancy.all. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.unit = "6000000000ns",
	.perpkg = "1",
	.metric_expr = "unc_m_pmm_rpq_occupancy.all / unc_m_pmm_rpq_inserts / unc_m_clockticks",
	.metric_name = "UNC_M_PMM_READ_LATENCY",
},
{
	.name = "unc_m_pmm_rpq_cycles_full",
	.event = "event=0xe2",
	.desc = "PMM Read Queue Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_cycles_ne",
	.event = "event=0xe1",
	.desc = "PMM Read Queue Cycles Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_inserts",
	.event = "event=0xe3",
	.desc = "Write requests allocated in the PMM Write Pending Queue for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.all",
	.event = "umask=0x1,event=0xe0",
	.desc = "Read Pending Queue Occupancy of all read requests for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.gnt_wait",
	.event = "umask=0x4,event=0xe0",
	.desc = "PMM Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_cycles_full",
	.event = "event=0xe6",
	.desc = "PMM Write Queue Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_cycles_ne",
	.event = "event=0xe5",
	.desc = "PMM Write Queue Cycles Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_inserts",
	.event = "event=0xe7",
	.desc = "Write requests allocated in the PMM Write Pending Queue for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.all",
	.event = "umask=0x1,event=0xe4",
	.desc = "Write Pending Queue Occupancy of all write requests for Intel Optane DC persistent memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.cas",
	.event = "umask=0x2,event=0xe4",
	.desc = "PMM Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.pwr",
	.event = "umask=0x4,event=0xe4",
	.desc = "PMM Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_pcommit",
	.event = "event=0xe8",
	.desc = "UNC_M_PMM_WPQ_PCOMMIT. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_pcommit_cyc",
	.event = "event=0xe9",
	.desc = "UNC_M_PMM_WPQ_PCOMMIT_CYC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_dlloff",
	.event = "event=0x84",
	.desc = "Channel DLLOFF Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles when all the ranks in the channel are in CKE Slow (DLLOFF) mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Cycles where DRAM ranks are in power down (CKE) mode+C37. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts cycles when all the ranks in the channel are in PPD (PreCharge Power Down) mode. If IBT (Input Buffer Terminators)=off is enabled, then this event counts the cycles in PPD mode. If IBT=off is not enabled, then this event counts the number of cycles when being in PPD mode could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_channel_ppd / unc_m_clockticks) * 100",
	.metric_name = "power_channel_ppd",
},
{
	.name = "unc_m_power_cke_cycles.rank0",
	.event = "umask=0x1,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank1",
	.event = "umask=0x2,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank2",
	.event = "umask=0x4,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank3",
	.event = "umask=0x8,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank4",
	.event = "umask=0x10,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank5",
	.event = "umask=0x20,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank6",
	.event = "umask=0x40,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.rank7",
	.event = "umask=0x80,event=0x83",
	.desc = "CKE_ON_CYCLES by Rank; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_critical_throttle_cycles",
	.event = "event=0x86",
	.desc = "Critical Throttle Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC is in critical thermal throttling.  When this happens, all traffic is blocked.  This should be rare unless something bad is going on in the platform.  There is no filtering by rank for this event",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_pcu_throttling",
	.event = "event=0x42",
	.desc = "UNC_M_POWER_PCU_THROTTLING. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Cycles Memory is in self refresh power mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the iMC (memory controller) is in self-refresh and has a clock. This happens in some ACPI CPU package C-states for the sleep levels. For example, the PCU (Power Control Unit) may ask the iMC to enter self-refresh even though some of the cores are still processing. One use of this is for Intel? Dynamic Power Technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_self_refresh / unc_m_clockticks) * 100",
	.metric_name = "power_self_refresh",
},
{
	.name = "unc_m_power_throttle_cycles.rank0",
	.event = "umask=0x1,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1.; Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank1",
	.event = "umask=0x2,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank2",
	.event = "umask=0x4,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank3",
	.event = "umask=0x8,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank4",
	.event = "umask=0x10,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank5",
	.event = "umask=0x20,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank6",
	.event = "umask=0x40,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.rank7",
	.event = "umask=0x80,event=0x41",
	.desc = "Throttle Cycles for Rank 0; DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_rd",
	.event = "umask=0x1,event=0x8",
	.desc = "Read Preemption Count; Read over Read Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts another read",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_preemption.rd_preempt_wr",
	.event = "umask=0x2,event=0x8",
	.desc = "Read Preemption Count; Read over Write Preemption. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a read in the iMC preempts another read or write.  Generally reads to an open page are issued ahead of requests to closed pages.  This improves the page hit rate of the system.  However, high priority requests can cause pages of active requests to be closed in order to get them out.  This will reduce the latency of the high-priority request at the expense of lower bandwidth and increased overall average latency.; Filter for when a read preempts a write",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.byp",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_close",
	.event = "umask=0x2,event=0x2",
	.desc = "DRAM Precharge commands.; Precharge due to timer expiration. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel.; Counts the number of DRAM Precharge commands sent on this channel as a result of the page close counter expiring.  This does not include implicit precharge commands sent in auto-precharge mode",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0x1,event=0x2",
	.desc = "Pre-charges due to page misses. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of explicit DRAM Precharge commands sent on this channel as a result of a DRAM page miss. This does not include the implicit precharge commands sent with CAS commands in Auto-Precharge mode. This does not include Precharge commands sent as a result of a page close counter expiration",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "Pre-charge for reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of explicit DRAM Precharge commands issued on a per channel basis due to a read, so as to close the previous DRAM page, before opening the requested page",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "Pre-charge for writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.high",
	.event = "umask=0x4,event=0xa0",
	.desc = "Read CAS issued with HIGH priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.low",
	.event = "umask=0x1,event=0xa0",
	.desc = "Read CAS issued with LOW priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.med",
	.event = "umask=0x2,event=0xa0",
	.desc = "Read CAS issued with MEDIUM priority. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_prio.panic",
	.event = "umask=0x8,event=0xa0",
	.desc = "Read CAS issued with PANIC NON ISOCH priority (starved). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank0",
	.event = "event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb0",
	.desc = "RD_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank0",
	.event = "event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb1",
	.desc = "RD_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.allbanks",
	.event = "umask=0x10,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank0",
	.event = "event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank1",
	.event = "umask=0x1,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank10",
	.event = "umask=0xa,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank11",
	.event = "umask=0xb,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank12",
	.event = "umask=0xc,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank13",
	.event = "umask=0xd,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank14",
	.event = "umask=0xe,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank15",
	.event = "umask=0xf,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank2",
	.event = "umask=0x2,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank3",
	.event = "umask=0x3,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank4",
	.event = "umask=0x4,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank5",
	.event = "umask=0x5,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank6",
	.event = "umask=0x6,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank7",
	.event = "umask=0x7,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank8",
	.event = "umask=0x8,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bank9",
	.event = "umask=0x9,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg0",
	.event = "umask=0x11,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg1",
	.event = "umask=0x12,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg2",
	.event = "umask=0x13,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank2.bankg3",
	.event = "umask=0x14,event=0xb2",
	.desc = "RD_CAS Access to Rank 2; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.allbanks",
	.event = "umask=0x10,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank0",
	.event = "event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank1",
	.event = "umask=0x1,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank10",
	.event = "umask=0xa,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank11",
	.event = "umask=0xb,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank12",
	.event = "umask=0xc,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank13",
	.event = "umask=0xd,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank14",
	.event = "umask=0xe,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank15",
	.event = "umask=0xf,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank2",
	.event = "umask=0x2,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank3",
	.event = "umask=0x3,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank4",
	.event = "umask=0x4,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank5",
	.event = "umask=0x5,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank6",
	.event = "umask=0x6,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank7",
	.event = "umask=0x7,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank8",
	.event = "umask=0x8,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bank9",
	.event = "umask=0x9,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg0",
	.event = "umask=0x11,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg1",
	.event = "umask=0x12,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg2",
	.event = "umask=0x13,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank3.bankg3",
	.event = "umask=0x14,event=0xb3",
	.desc = "RD_CAS Access to Rank 3; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank0",
	.event = "event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank1",
	.event = "umask=0x1,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank10",
	.event = "umask=0xa,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank11",
	.event = "umask=0xb,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank12",
	.event = "umask=0xc,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank13",
	.event = "umask=0xd,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank14",
	.event = "umask=0xe,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank15",
	.event = "umask=0xf,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank2",
	.event = "umask=0x2,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank3",
	.event = "umask=0x3,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank4",
	.event = "umask=0x4,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank5",
	.event = "umask=0x5,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank6",
	.event = "umask=0x6,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank7",
	.event = "umask=0x7,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank8",
	.event = "umask=0x8,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bank9",
	.event = "umask=0x9,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xb4",
	.desc = "RD_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank0",
	.event = "event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank1",
	.event = "umask=0x1,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank10",
	.event = "umask=0xa,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank11",
	.event = "umask=0xb,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank12",
	.event = "umask=0xc,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank13",
	.event = "umask=0xd,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank14",
	.event = "umask=0xe,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank15",
	.event = "umask=0xf,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank2",
	.event = "umask=0x2,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank3",
	.event = "umask=0x3,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank4",
	.event = "umask=0x4,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank5",
	.event = "umask=0x5,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank6",
	.event = "umask=0x6,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank7",
	.event = "umask=0x7,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank8",
	.event = "umask=0x8,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bank9",
	.event = "umask=0x9,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xb5",
	.desc = "RD_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank0",
	.event = "event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank1",
	.event = "umask=0x1,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank10",
	.event = "umask=0xa,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank11",
	.event = "umask=0xb,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank12",
	.event = "umask=0xc,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank13",
	.event = "umask=0xd,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank14",
	.event = "umask=0xe,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank15",
	.event = "umask=0xf,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank2",
	.event = "umask=0x2,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank3",
	.event = "umask=0x3,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank4",
	.event = "umask=0x4,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank5",
	.event = "umask=0x5,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank6",
	.event = "umask=0x6,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank7",
	.event = "umask=0x7,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank8",
	.event = "umask=0x8,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bank9",
	.event = "umask=0x9,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xb6",
	.desc = "RD_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank0",
	.event = "event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank1",
	.event = "umask=0x1,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank10",
	.event = "umask=0xa,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank11",
	.event = "umask=0xb,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank12",
	.event = "umask=0xc,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank13",
	.event = "umask=0xd,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank14",
	.event = "umask=0xe,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank15",
	.event = "umask=0xf,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank2",
	.event = "umask=0x2,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank3",
	.event = "umask=0x3,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank4",
	.event = "umask=0x4,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank5",
	.event = "umask=0x5,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank6",
	.event = "umask=0x6,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank7",
	.event = "umask=0x7,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank8",
	.event = "umask=0x8,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bank9",
	.event = "umask=0x9,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rd_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xb7",
	.desc = "RD_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full",
	.event = "event=0x12",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne",
	.event = "event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts",
	.event = "event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of read requests allocated into the Read Pending Queue (RPQ).  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  The requests deallocate after the read CAS command has been issued to DRAM.  This event counts both Isochronous and non-Isochronous requests which were issued to the RPQ",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of entries in the Read Pending Queue (RPQ) at each cycle.  This can then be used to calculate both the average occupancy of the queue (in conjunction with the number of cycles not empty) and the average latency in the queue (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC. They deallocate from the RPQ after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.fm_rd_cmps",
	.event = "umask=0x40,event=0xd2",
	.desc = "Scoreboard Accesses; Write Accepts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.fm_wr_cmps",
	.event = "umask=0x80,event=0xd2",
	.desc = "Scoreboard Accesses; Write Rejects. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.nm_rd_cmps",
	.event = "umask=0x10,event=0xd2",
	.desc = "Scoreboard Accesses; FM read completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.nm_wr_cmps",
	.event = "umask=0x20,event=0xd2",
	.desc = "Scoreboard Accesses; FM write completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.rd_accepts",
	.event = "umask=0x1,event=0xd2",
	.desc = "Scoreboard Accesses; Read Accepts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.rd_rejects",
	.event = "umask=0x2,event=0xd2",
	.desc = "Scoreboard Accesses; Read Rejects. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.wr_accepts",
	.event = "umask=0x4,event=0xd2",
	.desc = "Scoreboard Accesses; NM read completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.wr_rejects",
	.event = "umask=0x8,event=0xd2",
	.desc = "Scoreboard Accesses; NM write completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.alloc",
	.event = "umask=0x1,event=0xd9",
	.desc = "Alloc. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.dealloc",
	.event = "umask=0x2,event=0xd9",
	.desc = "Dealloc. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.fmrd_starved",
	.event = "umask=0x40,event=0xd9",
	.desc = "Far Mem Read Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.fmwr_starved",
	.event = "umask=0x80,event=0xd9",
	.desc = "Far Mem Write Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.nmrd_starved",
	.event = "umask=0x10,event=0xd9",
	.desc = "Near Mem Read Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.nmwr_starved",
	.event = "umask=0x20,event=0xd9",
	.desc = "Near Mem Write Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.rej",
	.event = "umask=0x4,event=0xd9",
	.desc = "Reject. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.vld",
	.event = "umask=0x8,event=0xd9",
	.desc = "Valid. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_cycles_full",
	.event = "event=0xd1",
	.desc = "Scoreboard Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_cycles_ne",
	.event = "event=0xd0",
	.desc = "Scoreboard Cycles Not-Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.block_rds",
	.event = "umask=0x10,event=0xd6",
	.desc = "Scoreboard Inserts; Block region reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.block_wrs",
	.event = "umask=0x20,event=0xd6",
	.desc = "Scoreboard Inserts; Block region writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.dealloc",
	.event = "umask=0x40,event=0xd6",
	.desc = "Scoreboard Inserts; Dealloc all commands (for error flows). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.patrol",
	.event = "umask=0x80,event=0xd6",
	.desc = "Scoreboard Inserts; Patrol inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.pmm_rds",
	.event = "umask=0x4,event=0xd6",
	.desc = "Scoreboard Inserts; Persistent Mem reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.pmm_wrs",
	.event = "umask=0x8,event=0xd6",
	.desc = "Scoreboard Inserts; Persistent Mem writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.rds",
	.event = "umask=0x1,event=0xd6",
	.desc = "Scoreboard Inserts; Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.wrs",
	.event = "umask=0x2,event=0xd6",
	.desc = "Scoreboard Inserts; Writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.block_rds",
	.event = "umask=0x20,event=0xd5",
	.desc = "Scoreboard Occupancy; Block region reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.block_wrs",
	.event = "umask=0x40,event=0xd5",
	.desc = "Scoreboard Occupancy; Block region writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.patrol",
	.event = "umask=0x80,event=0xd5",
	.desc = "Scoreboard Occupancy; Patrol. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.pmm_rds",
	.event = "umask=0x4,event=0xd5",
	.desc = "Scoreboard Occupancy; Persistent Mem reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.pmm_wrs",
	.event = "umask=0x8,event=0xd5",
	.desc = "Scoreboard Occupancy; Persistent Mem writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.rds",
	.event = "umask=0x1,event=0xd5",
	.desc = "Scoreboard Occupancy; Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.wrs",
	.event = "umask=0x2,event=0xd5",
	.desc = "Scoreboard Occupancy; Writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.fm_addr_cnflt",
	.event = "umask=0x2,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected; FM requests rejected due to full address conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.nm_set_cnflt",
	.event = "umask=0x1,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected; NM requests rejected due to set conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.patrol_set_cnflt",
	.event = "umask=0x4,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected; Patrol requests rejected due to set conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmrd_clr",
	.event = "umask=0x20,event=0xd7",
	.desc = "Far Mem Read - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmrd_set",
	.event = "umask=0x2,event=0xd7",
	.desc = "Far Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmwr_clr",
	.event = "umask=0x80,event=0xd7",
	.desc = "Far Mem Write - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmwr_set",
	.event = "umask=0x8,event=0xd7",
	.desc = "Far Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmrd_clr",
	.event = "umask=0x10,event=0xd7",
	.desc = "Near Mem Read - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmrd_set",
	.event = "umask=0x1,event=0xd7",
	.desc = "Near Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmwr_clr",
	.event = "umask=0x40,event=0xd7",
	.desc = "Near Mem Write - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmwr_set",
	.event = "umask=0x4,event=0xd7",
	.desc = "Near Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.fmrd",
	.event = "umask=0x2,event=0xd8",
	.desc = "Far Mem Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.fmwr",
	.event = "umask=0x8,event=0xd8",
	.desc = "Far Mem Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.nmrd",
	.event = "umask=0x1,event=0xd8",
	.desc = "Near Mem Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.nmwr",
	.event = "umask=0x4,event=0xd8",
	.desc = "Near Mem Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.ddr4_cmp",
	.event = "umask=0x8,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.DDR4_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.new",
	.event = "umask=0x1,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.NEW. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.occ",
	.event = "umask=0x80,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.OCC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm0_cmp",
	.event = "umask=0x10,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM0_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm1_cmp",
	.event = "umask=0x20,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM1_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm2_cmp",
	.event = "umask=0x40,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM2_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.rd_hit",
	.event = "umask=0x2,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.RD_HIT. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.rd_miss",
	.event = "umask=0x4,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.RD_MISS. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.hit",
	.event = "umask=0x1,event=0xd3",
	.desc = "All hits to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Tag Check; Hit",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.miss_clean",
	.event = "umask=0x2,event=0xd3",
	.desc = "All Clean line misses to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Tag Check; Clean",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.miss_dirty",
	.event = "umask=0x4,event=0xd3",
	.desc = "All dirty line misses to Near Memory(DRAM cache) in Memory Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Tag Check; Dirty",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.low_thresh",
	.event = "umask=0x1,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold; Transition from WMM to RMM because of starve counter. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.starve",
	.event = "umask=0x2,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wmm_to_rmm.vmse_retry",
	.event = "umask=0x4,event=0xc0",
	.desc = "Transition from WMM to RMM because of low threshold. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne",
	.event = "event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts",
	.event = "event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of writes requests allocated into the Write Pending Queue (WPQ).  The WPQ is used to schedule writes out to the memory controller and to track the requests.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC (Memory Controller).  The write requests deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy",
	.event = "event=0x81",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of entries in the Write Pending Queue (WPQ) at each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule writes out to the memory controller and to track the requests.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC (memory controller).  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have 'posted' to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the 'not posted' filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The 'posted' filter, on the other hand, provides information about how much queueing is actually happenning in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts. Is there a filter of sorts???",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit",
	.event = "event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit",
	.event = "event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wrong_mm",
	.event = "event=0xc1",
	.desc = "Not getting the requested Major Mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.allbanks",
	.event = "umask=0x10,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank0",
	.event = "event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank1",
	.event = "umask=0x1,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank10",
	.event = "umask=0xa,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank11",
	.event = "umask=0xb,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank12",
	.event = "umask=0xc,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank13",
	.event = "umask=0xd,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank14",
	.event = "umask=0xe,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank15",
	.event = "umask=0xf,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank2",
	.event = "umask=0x2,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank3",
	.event = "umask=0x3,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank4",
	.event = "umask=0x4,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank5",
	.event = "umask=0x5,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank6",
	.event = "umask=0x6,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank7",
	.event = "umask=0x7,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank8",
	.event = "umask=0x8,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bank9",
	.event = "umask=0x9,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg0",
	.event = "umask=0x11,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg1",
	.event = "umask=0x12,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg2",
	.event = "umask=0x13,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank0.bankg3",
	.event = "umask=0x14,event=0xb8",
	.desc = "WR_CAS Access to Rank 0; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.allbanks",
	.event = "umask=0x10,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank0",
	.event = "event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank1",
	.event = "umask=0x1,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank10",
	.event = "umask=0xa,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank11",
	.event = "umask=0xb,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank12",
	.event = "umask=0xc,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank13",
	.event = "umask=0xd,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank14",
	.event = "umask=0xe,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank15",
	.event = "umask=0xf,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank2",
	.event = "umask=0x2,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank3",
	.event = "umask=0x3,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank4",
	.event = "umask=0x4,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank5",
	.event = "umask=0x5,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank6",
	.event = "umask=0x6,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank7",
	.event = "umask=0x7,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank8",
	.event = "umask=0x8,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bank9",
	.event = "umask=0x9,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg0",
	.event = "umask=0x11,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg1",
	.event = "umask=0x12,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg2",
	.event = "umask=0x13,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank1.bankg3",
	.event = "umask=0x14,event=0xb9",
	.desc = "WR_CAS Access to Rank 1; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.allbanks",
	.event = "umask=0x10,event=0xba",
	.desc = "WR_CAS Access to Rank 2; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank0",
	.event = "event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank1",
	.event = "umask=0x1,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank10",
	.event = "umask=0xa,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank11",
	.event = "umask=0xb,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank12",
	.event = "umask=0xc,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank13",
	.event = "umask=0xd,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank14",
	.event = "umask=0xe,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank15",
	.event = "umask=0xf,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank2",
	.event = "umask=0x2,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank3",
	.event = "umask=0x3,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank4",
	.event = "umask=0x4,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank5",
	.event = "umask=0x5,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank6",
	.event = "umask=0x6,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank7",
	.event = "umask=0x7,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank8",
	.event = "umask=0x8,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bank9",
	.event = "umask=0x9,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg0",
	.event = "umask=0x11,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg1",
	.event = "umask=0x12,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg2",
	.event = "umask=0x13,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank2.bankg3",
	.event = "umask=0x14,event=0xba",
	.desc = "WR_CAS Access to Rank 2; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.allbanks",
	.event = "umask=0x10,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank0",
	.event = "event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank1",
	.event = "umask=0x1,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank10",
	.event = "umask=0xa,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank11",
	.event = "umask=0xb,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank12",
	.event = "umask=0xc,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank13",
	.event = "umask=0xd,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank14",
	.event = "umask=0xe,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank15",
	.event = "umask=0xf,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank2",
	.event = "umask=0x2,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank3",
	.event = "umask=0x3,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank4",
	.event = "umask=0x4,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank5",
	.event = "umask=0x5,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank6",
	.event = "umask=0x6,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank7",
	.event = "umask=0x7,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank8",
	.event = "umask=0x8,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bank9",
	.event = "umask=0x9,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg0",
	.event = "umask=0x11,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg1",
	.event = "umask=0x12,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg2",
	.event = "umask=0x13,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank3.bankg3",
	.event = "umask=0x14,event=0xbb",
	.desc = "WR_CAS Access to Rank 3; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.allbanks",
	.event = "umask=0x10,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank0",
	.event = "event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank1",
	.event = "umask=0x1,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank10",
	.event = "umask=0xa,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank11",
	.event = "umask=0xb,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank12",
	.event = "umask=0xc,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank13",
	.event = "umask=0xd,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank14",
	.event = "umask=0xe,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank15",
	.event = "umask=0xf,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank2",
	.event = "umask=0x2,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank3",
	.event = "umask=0x3,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank4",
	.event = "umask=0x4,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank5",
	.event = "umask=0x5,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank6",
	.event = "umask=0x6,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank7",
	.event = "umask=0x7,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank8",
	.event = "umask=0x8,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bank9",
	.event = "umask=0x9,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg0",
	.event = "umask=0x11,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg1",
	.event = "umask=0x12,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg2",
	.event = "umask=0x13,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank4.bankg3",
	.event = "umask=0x14,event=0xbc",
	.desc = "WR_CAS Access to Rank 4; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.allbanks",
	.event = "umask=0x10,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank0",
	.event = "event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank1",
	.event = "umask=0x1,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank10",
	.event = "umask=0xa,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank11",
	.event = "umask=0xb,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank12",
	.event = "umask=0xc,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank13",
	.event = "umask=0xd,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank14",
	.event = "umask=0xe,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank15",
	.event = "umask=0xf,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank2",
	.event = "umask=0x2,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank3",
	.event = "umask=0x3,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank4",
	.event = "umask=0x4,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank5",
	.event = "umask=0x5,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank6",
	.event = "umask=0x6,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank7",
	.event = "umask=0x7,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank8",
	.event = "umask=0x8,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bank9",
	.event = "umask=0x9,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg0",
	.event = "umask=0x11,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg1",
	.event = "umask=0x12,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg2",
	.event = "umask=0x13,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank5.bankg3",
	.event = "umask=0x14,event=0xbd",
	.desc = "WR_CAS Access to Rank 5; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.allbanks",
	.event = "umask=0x10,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank0",
	.event = "event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank1",
	.event = "umask=0x1,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank10",
	.event = "umask=0xa,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank11",
	.event = "umask=0xb,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank12",
	.event = "umask=0xc,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank13",
	.event = "umask=0xd,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank14",
	.event = "umask=0xe,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank15",
	.event = "umask=0xf,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank2",
	.event = "umask=0x2,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank3",
	.event = "umask=0x3,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank4",
	.event = "umask=0x4,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank5",
	.event = "umask=0x5,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank6",
	.event = "umask=0x6,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank7",
	.event = "umask=0x7,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank8",
	.event = "umask=0x8,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bank9",
	.event = "umask=0x9,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg0",
	.event = "umask=0x11,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg1",
	.event = "umask=0x12,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg2",
	.event = "umask=0x13,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank6.bankg3",
	.event = "umask=0x14,event=0xbe",
	.desc = "WR_CAS Access to Rank 6; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.allbanks",
	.event = "umask=0x10,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; All Banks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank0",
	.event = "event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank1",
	.event = "umask=0x1,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank10",
	.event = "umask=0xa,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 10. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank11",
	.event = "umask=0xb,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 11. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank12",
	.event = "umask=0xc,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 12. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank13",
	.event = "umask=0xd,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 13. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank14",
	.event = "umask=0xe,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 14. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank15",
	.event = "umask=0xf,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 15. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank2",
	.event = "umask=0x2,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank3",
	.event = "umask=0x3,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 3. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank4",
	.event = "umask=0x4,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank5",
	.event = "umask=0x5,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 5. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank6",
	.event = "umask=0x6,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 6. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank7",
	.event = "umask=0x7,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 7. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank8",
	.event = "umask=0x8,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 8. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bank9",
	.event = "umask=0x9,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank 9. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg0",
	.event = "umask=0x11,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 0 (Banks 0-3). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg1",
	.event = "umask=0x12,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 1 (Banks 4-7). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg2",
	.event = "umask=0x13,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 2 (Banks 8-11). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wr_cas_rank7.bankg3",
	.event = "umask=0x14,event=0xbf",
	.desc = "WR_CAS Access to Rank 7; Bank Group 3 (Banks 12-15). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_icelake[] = {
{
	.name = "core_power.lvl0_turbo_license",
	.event = "period=200003,umask=0x7,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the Non-AVX turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
},
{
	.name = "core_power.lvl1_turbo_license",
	.event = "period=200003,umask=0x18,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX2 turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
},
{
	.name = "core_power.lvl2_turbo_license",
	.event = "period=200003,umask=0x20,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX512 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 2 (introduced in Skylake Server microarchtecture).  This includes high current AVX 512-bit instructions",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts demand data reads that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts demand data reads that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.other.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184008000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.other.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184008000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000800",
	.desc = "Counts streaming stores that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000800",
	.desc = "Counts streaming stores that DRAM supplied the request",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a demand load",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a demand load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x8",
	.desc = "Number of page walks outstanding for a demand load in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a demand load in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Number of page walks outstanding for a store in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a store in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts instruction fetch requests that miss the ITLB (Instruction TLB) and hit the STLB (Second-level TLB)",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a code (instruction fetch) request",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Number of page walks outstanding for an outstanding code request in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an outstanding code (instruction fetch) request in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE transitions count",
	.topic = "frontend",
	.long_desc = "Counts the number of Decode Stream Buffer (DSB a.k.a. Uop Cache)-to-MITE speculative transitions",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=100003,umask=0x2,event=0xab",
	.desc = "DSB-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Decode Stream Buffer (DSB) is a Uop-cache that holds translations of previously fetched instructions that were decoded by the legacy x86 decode pipeline (MITE). This event counts fetch penalty cycles when a transition occurs from DSB to MITE",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x508006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x501006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500206",
	.desc = "Retired instructions after front-end starvation of at least 2 cycles (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 2 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x510006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x502006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x520006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x504006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=500009,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code fetch is stalled due to L1 instruction cache tag miss",
},
{
	.name = "idq.dsb_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles DSB is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.mite_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=100003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB or MITE to the MS",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=100003,umask=0x30,event=0x79",
	.desc = "Uops delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=1000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered by IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=5,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when no uops are not delivered by the IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when no uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when optimal number of uops was delivered to the back-end when the back-end is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when the optimal number of uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations",
	.topic = "pipeline",
	.long_desc = "Counts cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
},
{
	.name = "assists.any",
	.event = "period=100003,umask=0x7,event=0xc1",
	.desc = "Number of occurrences where a microcode assist is invoked by hardware",
	.topic = "pipeline",
	.long_desc = "Counts the number of occurrences where a microcode assist is invoked by hardware Examples include AD (page Access Dirty), FP and AVX related assists",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts not taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc4",
	.desc = "Indirect near branch instructions retired (excluding returns) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=50021,event=0xc5",
	.desc = "All mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=50021,umask=0x11,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.cond_ntaken",
	.event = "period=50021,umask=0x10,event=0xc5",
	.desc = "Mispredicted non-taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired that were mispredicted and the branch direction was not taken (Precise event)",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=50021,umask=0x1,event=0xc5",
	.desc = "number of branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional mispredicted branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=50021,umask=0x80,event=0xc5",
	.desc = "All miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=50021,umask=0x2,event=0xc5",
	.desc = "Mispredicted indirect CALL instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts retired mispredicted indirect (near taken) CALL instructions, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=50021,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "cpu_clk_unhalted.distributed",
	.event = "period=2000003,umask=0x2,event=0xec",
	.desc = "Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes cycle counts between active hyperthreads, i.e., those in C0.  A hyperthread becomes inactive when it executes the HLT or MWAIT instructions.  If all other hyperthreads are inactive (or disabled or do not exist), all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
	.long_desc = "Counts Core crystal clock cycles when current thread is unhalted and the other thread is halted",
},
{
	.name = "cpu_clk_unhalted.ref_distributed",
	.event = "period=2000003,umask=0x8,event=0x3c",
	.desc = "Core crystal clock cycles. Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes Core crystal clock cycle counts between active hyperthreads, i.e., those in C0 sleep-state. A hyperthread becomes inactive when it executes the HLT or MWAIT instructions. If one thread is active in a core, all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
	.long_desc = "Counts core crystal clock cycles when the thread is unhalted",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=1000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=1000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=1000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=1000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=1000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "cmask=2,period=1000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no loads caused an execution stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles where the Store Buffer was full and no loads caused an execution stall",
},
{
	.name = "ild_stall.lcp",
	.event = "period=500009,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Number of all retired NOP instructions (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0",
	.desc = "Precise instruction retired event with a reduced effect of PEBS shadow in IP distribution (Precise event)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled. Use on Fixed Counter 0 (Precise event)",
},
{
	.name = "inst_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0xc0",
	.desc = "Cycles without actually retired instructions",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired instructions",
},
{
	.name = "int_misc.all_recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=500009,umask=0x80,event=0xd",
	.desc = "Counts cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
	.topic = "pipeline",
	.long_desc = "Cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=500009,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread",
	.topic = "pipeline",
	.long_desc = "Counts core cycles when the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.uop_dropping",
	.event = "period=1000003,umask=0x10,event=0xd",
	.desc = "TMA slots where uops got dropped",
	.topic = "pipeline",
	.long_desc = "Estimated number of Top-down Microarchitecture Analysis slots that got dropped due to non front-end reasons",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts the number of times a load got blocked due to false dependencies due to partial compare on address",
},
{
	.name = "load_hit_prefetch.swpf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Counts the number of demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles optimal number of Uops delivered by the LSD, but did not come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when optimal number of uops is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
	.long_desc = "Counts the number of machine clears (nukes) of any type",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "misc_retired.lbr_inserts",
	.event = "period=100003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR to be enabled properly",
},
{
	.name = "misc_retired.pause_inst",
	.event = "period=100003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
	.long_desc = "Counts number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
},
{
	.name = "resource_stalls.sb",
	.event = "period=100003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "resource_stalls.scoreboard",
	.event = "period=100003,umask=0x2,event=0xa2",
	.desc = "Counts cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=1000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for this logical processor. This is usually caused when the front-end pipeline runs into stravation periods (e.g. branch mispredictions or i-cache misses)",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to closely sample on front-end latency issues (see the FRONTEND_RETIRED event of designated precise events)",
},
{
	.name = "topdown.backend_bound_slots",
	.event = "period=10000003,umask=0x2,event=0xa4",
	.desc = "TMA slots where no uops were being issued due to lack of back-end resources",
	.topic = "pipeline",
	.long_desc = "Counts the number of Top-down Microarchitecture Analysis (TMA) method's  slots where no micro-operations were being issued from front-end to back-end of the machine due to lack of back-end resources",
},
{
	.name = "topdown.br_mispredict_slots",
	.event = "period=10000003,umask=0x8,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculation by branch mispredictions",
	.topic = "pipeline",
	.long_desc = "Number of TMA slots that were wasted due to incorrect speculation by branch mispredictions. This event estimates number of operations that were issued but not retired from the specualtive path as well as the out-of-order engine recovery past a branch misprediction",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method (TMA). The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core. Software can use this event as the denominator for the top-level metrics of the TMA method. This architectural event is counted on a designated fixed counter (Fixed Counter 3)",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Counts the number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method. The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core",
},
{
	.name = "uops_decoded.dec0",
	.event = "period=1000003,umask=0x1,event=0x56",
	.desc = "Number of uops decoded out of instructions exclusively fetched by decoder 0",
	.topic = "pipeline",
	.long_desc = "Uops exclusively fetched by decoder 0",
},
{
	.name = "uops_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Number of uops executed on port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Number of uops executed on port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched.port_2_3",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Number of uops executed on port 2 and 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 2 and 3",
},
{
	.name = "uops_dispatched.port_4_9",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Number of uops executed on port 4 and 9",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 5 and 9",
},
{
	.name = "uops_dispatched.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Number of uops executed on port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Number of uops executed on port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched.port_7_8",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Number of uops executed on port 7 and 8",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 7 and 8",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 2 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 3 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 4 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that RAT issues to RS",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0xe",
	.desc = "Cycles when RAT does not issue Uops to RS for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=100003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to Mixing Intel AVX and Intel SSE Code section of the Optimization Guide",
},
{
	.name = "uops_retired.slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used each cycle",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles using always true condition (uops_ret &amp;lt; 16) applied to non PEBS uops retired event",
},
{
	.name = "assists.fp",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Counts all microcode FP assists",
	.topic = "floating point",
	.long_desc = "Counts all microcode Floating Point assists",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=100003,umask=0x4,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=100003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=100003,umask=0x10,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=100003,umask=0x20,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=100003,umask=0x40,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=100003,umask=0x80,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=100003,umask=0x1,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=100003,umask=0x2,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "icl metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound. Sample with: FRONTEND_RETIRED.LATENCY_GE_4_PS",
	.unit = "100%",
	.metric_expr = "topdown\\-fe\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: FRONTEND_RETIRED.LATENCY_GE_16_PS;FRONTEND_RETIRED.LATENCY_GE_8_PS",
	.unit = "100%",
	.metric_expr = "(5 * idq_uops_not_delivered.cycles_0_uops_deliv.core - int_misc.uop_dropping) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Sample with: FRONTEND_RETIRED.L2_MISS_PS;FRONTEND_RETIRED.L1I_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache_16b.ifdata_stall / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: FRONTEND_RETIRED.STLB_MISS_PS;FRONTEND_RETIRED.ITLB_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / clks + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: BACLEARS.ANY",
	.unit = "100%",
	.metric_expr = "10 * baclears.any / clks",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty. Sample with: FRONTEND_RETIRED.DSB_MISS_PS",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "icl metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend. Sample with: FRONTEND_RETIRED.LATENCY_GE_2_BUBBLES_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_2_PS",
	.unit = "100%",
	.metric_expr = "max(0, tma_frontend_bound - tma_fetch_latency)",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "icl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck. Sample with: FRONTEND_RETIRED.ANY_DSB_MISS",
	.unit = "100%",
	.metric_expr = "(idq.mite_cycles_any - idq.mite_cycles_ok) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=1@ - cpu@inst_decoded.decoders\\,cmask\\=2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents fraction of cycles where (only) 4 uops were delivered by the MITE pipeline",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "(cpu@idq.mite_uops\\,cmask\\=4@ - cpu@idq.mite_uops\\,cmask\\=5@) / clks",
	.metric_name = "tma_mite_4wide",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "icl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.dsb_cycles_any - idq.dsb_cycles_ok) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit",
	.topic = "icl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit.  LSD typically does well sustaining Uop supply. However; in some rare cases; optimal uop-delivery could not be reached for small loops whose size (in terms of number of uops) does not suit well the LSD structure",
	.unit = "100%",
	.metric_expr = "(lsd.cycles_active - lsd.cycles_ok) / core_clks / 2",
	.metric_name = "tma_lsd",
	.metric_group = "FetchBW;LSD;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "icl metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "max(1 - (tma_frontend_bound + tma_backend_bound + tma_retiring), 0)",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "max(0, tma_bad_speculation - tma_branch_mispredicts)",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "icl metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound. Sample with: TOPDOWN.BACKEND_BOUND_SLOTS",
	.unit = "100%",
	.metric_expr = "topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 5 * cpu@int_misc.recovery_cycles\\,cmask\\=1\\,edge@ / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_RETIRED.L1_HIT_PS;MEM_LOAD_RETIRED.FB_HIT_PS",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "icl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_INST_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "min(7 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / clks",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "icl metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_INST_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(16 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (10 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_INST_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "icl metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.fb_full / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + l1d_pend_miss.fb_full_periods) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HITM_PS;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS_PS",
	.unit = "100%",
	.metric_expr = "(29 * average_frequency * mem_load_l3_hit_retired.xsnp_hitm + 23.5 * average_frequency * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_HIT_PS",
	.unit = "100%",
	.metric_expr = "23.5 * average_frequency * mem_load_l3_hit_retired.xsnp_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "9 * average_frequency * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "icl metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.l2_stall / clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "cycle_activity.stalls_l3_miss / clks + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks - tma_l2_bound",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_INST_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 10 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "icl metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: OCR.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "32.5 * average_frequency * ocr.demand_rfo.l3_hit.snoop_hitm / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "icl metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_INST_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores",
	.topic = "icl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should Streaming stores be a bottleneck. Sample with: OCR.STREAMING_WR.ANY_RESPONSE",
	.unit = "100%",
	.metric_expr = "9 * ocr.streaming_wr.any_response / clks",
	.metric_name = "tma_streaming_stores",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "icl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_INST_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(7 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=1@ + dtlb_store_misses.walk_active) / core_clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_memory_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_ACTIVE",
	.unit = "100%",
	.metric_expr = "arith.divider_active / clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cpu@exe_activity.3_ports_util\\,umask\\=0x80@ + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util)) / clks if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) / clks)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "cpu@exe_activity.3_ports_util\\,umask\\=0x80@ / clks + tma_serializing_operation * (cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance. Sample with: RESOURCE_STALLS.SCOREBOARD",
	.unit = "100%",
	.metric_expr = "resource_stalls.scoreboard / clks",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions. Sample with: MISC_RETIRED.PAUSE_INST",
	.unit = "100%",
	.metric_expr = "140 * misc_retired.pause_inst / clks",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "icl metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "clks * uops_issued.vector_width_mismatch / uops_issued.any",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful. Sample with: EXE_ACTIVITY.1_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "exe_activity.1_ports_util / clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop. Sample with: EXE_ACTIVITY.2_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "exe_activity.2_ports_util / clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Sample with: UOPS_EXECUTED.CYCLES_GE_3",
	.unit = "100%",
	.metric_expr = "uops_executed.cycles_ge_3 / clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_0 + uops_dispatched.port_1 + uops_dispatched.port_5 + uops_dispatched.port_6) / (4 * core_clks)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED.PORT_0",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED.PORT_1",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED.PORT_6",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_2_3 / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations Sample with: UOPS_DISPATCHED.PORT_7_8",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_4_9 + uops_dispatched.port_7_8) / (4 * core_clks)",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "icl metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.SLOTS",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "max(0, tma_retiring - tma_heavy_operations)",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "icl metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "icl metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "icl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / (tma_retiring * slots)",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "icl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "icl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "icl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "icl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * br_inst_retired.all_branches / (tma_retiring * slots)",
	.metric_name = "tma_branch_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body. Sample with: INST_RETIRED.NOP",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / (tma_retiring * slots)",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_branch_instructions + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer + tma_retiring * (uops_decoded.dec0 - cpu@uops_decoded.dec0\\,cmask\\=1@) / idq.mite_uops",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "icl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "tma_retiring * slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * assists.any / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "icl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "icl metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "icl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "icl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "icl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency + tma_streaming_stores)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "icl metrics",
	.metric_expr = "100 * ((br_inst_retired.cond + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "icl metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "icl metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "icl metrics",
	.metric_expr = "tma_retiring * slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "icl metrics",
	.metric_expr = "tma_retiring * slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "icl metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "icl metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "icl metrics",
	.metric_expr = "topdown.slots",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Fraction of Physical Core issue-slots utilized by this Logical Processor",
	.topic = "icl metrics",
	.metric_expr = "(slots / (topdown.slots / 2) if #smt_on else 1)",
	.metric_name = "Slots_Utilization",
	.metric_group = "SMT;tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "icl metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "icl metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "icl metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "icl metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "icl metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "icl metrics",
	.metric_expr = "cpu_clk_unhalted.distributed",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "icl metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "icl metrics",
	.metric_expr = "tma_retiring * slots / cpu@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "icl metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "icl metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the LSD (Loop Stream Detector; aka Loop Cache)",
	.topic = "icl metrics",
	.metric_expr = "lsd.uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "LSD_Coverage",
	.metric_group = "Fed;LSD",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "icl metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "icl metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu@dsb2mite_switches.penalty_cycles\\,cmask\\=1\\,edge@",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "icl metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_lsd + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "icl metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "icl metrics",
	.metric_expr = "br_inst_retired.cond_ntaken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "icl metrics",
	.metric_expr = "br_inst_retired.cond_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "icl metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "icl metrics",
	.metric_expr = "(br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches of other types (not individually covered by other metrics in Info.Branches group)",
	.topic = "icl metrics",
	.metric_expr = "1 - (cond_nt + cond_tk + callret + jump)",
	.metric_name = "Other_Branches",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "icl metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "icl metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "icl metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "icl metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "icl metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "icl metrics",
	.metric_expr = "1e3 * (offcore_requests.all_data_rd - offcore_requests.demand_data_rd + l2_rqsts.all_demand_miss + l2_rqsts.swpf_miss) / instructions",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "icl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "icl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "icl metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "icl metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "icl metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "icl metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "icl metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "icl metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "icl metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0",
	.topic = "icl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
	.metric_expr = "core_power.lvl0_turbo_license / core_clks",
	.metric_name = "Power_License0_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1",
	.topic = "icl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl1_turbo_license / core_clks",
	.metric_name = "Power_License1_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX)",
	.topic = "icl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX).  This includes high current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl2_turbo_license / core_clks",
	.metric_name = "Power_License2_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "icl metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_distributed if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "icl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "icl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "icl metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "icl metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "icl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "icl metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C6 residency percent per core",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C8 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c8\\-residency@ / tsc",
	.metric_name = "C8_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C9 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c9\\-residency@ / tsc",
	.metric_name = "C9_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C10 residency percent per package",
	.topic = "icl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c10\\-residency@ / tsc",
	.metric_name = "C10_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "cycle_activity.cycles_l3_miss",
	.event = "cmask=2,period=1000003,umask=0x2,event=0xa3",
	.desc = "Cycles while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=1000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "hle_retired.aborted",
	.event = "period=100003,umask=0x4,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to any reasons (multiple categories may count as one)",
	.topic = "memory",
	.long_desc = "Counts the number of times HLE abort was triggered",
},
{
	.name = "hle_retired.aborted_events",
	.event = "period=100003,umask=0x80,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to unfriendly events (such as interrupts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE execution aborted due to unfriendly events (such as interrupts)",
},
{
	.name = "hle_retired.aborted_mem",
	.event = "period=100003,umask=0x8,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE execution aborted due to various memory events (e.g., read/write capacity and conflicts)",
},
{
	.name = "hle_retired.aborted_unfriendly",
	.event = "period=100003,umask=0x20,event=0xc8",
	.desc = "Number of times an HLE execution aborted due to HLE-unfriendly instructions and certain unfriendly events (such as AD assists etc.)",
	.topic = "memory",
	.long_desc = "Counts the number of times an HLE execution aborted due to HLE-unfriendly instructions and certain unfriendly events (such as AD assists etc.)",
},
{
	.name = "hle_retired.commit",
	.event = "period=100003,umask=0x2,event=0xc8",
	.desc = "Number of times an HLE execution successfully committed",
	.topic = "memory",
	.long_desc = "Counts the number of times HLE commit succeeded",
},
{
	.name = "hle_retired.start",
	.event = "period=100003,umask=0x1,event=0xc8",
	.desc = "Number of times an HLE execution started",
	.topic = "memory",
	.long_desc = "Counts the number of times we entered an HLE region. Does not count nested transactions",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Number of machine clears due to memory ordering conflicts",
	.topic = "memory",
	.long_desc = "Counts the number of Machine Clears detected dye to memory ordering. Memory Ordering Machine Clears may apply when a memory read may not conform to the memory ordering rules of the x86 architecture",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "ocr.demand_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00001",
	.desc = "Counts demand data reads that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC08000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FFFC00800",
	.desc = "Counts streaming stores that was not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Counts demand data read requests that miss the L3 cache",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.cycles_with_l3_miss_demand_data_rd",
	.event = "cmask=1,period=1000003,umask=0x10,event=0x60",
	.desc = "Cycles where at least one demand data read request known to have missed the L3 cache is pending",
	.topic = "memory",
	.long_desc = "Cycles where at least one demand data read request known to have missed the L3 cache is pending.  Note that this does not capture all elapsed cycles while requests are outstanding - only cycles from when the requests were known to have missed the L3 cache",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=100003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM abort was triggered",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=100003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=100003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=100003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=100003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=100003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=100003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Counts the number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc2",
	.event = "period=100003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=100003,umask=0x4,event=0x5d",
	.desc = "Number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_mem.abort_capacity_read",
	.event = "period=100003,umask=0x80,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional reads",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional reads",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=100003,umask=0x2,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional writes",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional writes",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=100003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX line had a cache conflict",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_mismatch",
	.event = "period=100003,umask=0x10,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to XRELEASE lock not satisfying the address and value requirements in the elision buffer",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX Abort was triggered due to release/commit but data and address mismatch",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_not_empty",
	.event = "period=100003,umask=0x8,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to NoAllocatedElisionBuffer being non-zero",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX Abort was triggered due to commit but Lock Buffer not empty",
},
{
	.name = "tx_mem.abort_hle_elision_buffer_unsupported_alignment",
	.event = "period=100003,umask=0x20,event=0x54",
	.desc = "Number of times an HLE transactional execution aborted due to an unsupported read alignment from the elision buffer",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX Abort was triggered due to attempting an unsupported alignment from Lock Buffer",
},
{
	.name = "tx_mem.abort_hle_store_to_elided_lock",
	.event = "period=100003,umask=0x4,event=0x54",
	.desc = "Number of times a HLE transactional region aborted due to a non XRELEASE prefixed instruction writing to an elided lock in the elision buffer",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX Abort was triggered due to a non-release/commit store to lock",
},
{
	.name = "tx_mem.hle_elision_buffer_full",
	.event = "period=100003,umask=0x40,event=0x54",
	.desc = "Number of times HLE lock could not be elided due to ElisionBufferAvailable being zero",
	.topic = "memory",
	.long_desc = "Counts the number of times we could not allocate Lock Buffer",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of entries allocated. Account for Any type: e.g. Snoop,  etc. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Total number of all outgoing entries allocated. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "UNC_CLOCK.SOCKET. Unit: uncore_clock ",
	.topic = "uncore other",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=100003,umask=0x1,event=0x51",
	.desc = "Counts the number of cache lines replaced in L1 data cache",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=1000003,umask=0x2,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.fb_full_periods",
	.event = "cmask=1,edge=1,period=1000003,umask=0x2,event=0x48",
	.desc = "Number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.l2_stall",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D due to lack of L2 resources",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D due to lack of L2 resources. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=1000003,umask=0x1,event=0x48",
	.desc = "Number of L1D misses that are outstanding",
	.topic = "cache",
	.long_desc = "Counts number of L1D misses that are outstanding in each cycle, that is each cycle the number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch. Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Modified cache lines that are evicted by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines are in Modified state. Modified lines are written back to L3",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Non-modified cache lines that are silently dropped by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared or Exclusive state. A non-threaded event",
},
{
	.name = "l2_lines_out.useless_hwpf",
	.event = "period=200003,umask=0x4,event=0xf2",
	.desc = "Cache lines that have been L2 hardware prefetched but not used by demand accesses",
	.topic = "cache",
	.long_desc = "Counts the number of cache lines that have been prefetched by the L2 hardware prefetcher but not used by demand access when evicted from the L2 cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_demand_references",
	.event = "period=200003,umask=0xe7,event=0x24",
	.desc = "Demand requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand requests to L2 cache",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests initiated by load instructions that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_rqsts.swpf_hit",
	.event = "period=200003,umask=0xc8,event=0x24",
	.desc = "SW prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that hit the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_rqsts.swpf_miss",
	.event = "period=200003,umask=0x28,event=0x24",
	.desc = "SW prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that miss the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load instructions. This event accounts for SW prefetch instructions of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store instructions  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=1000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with locked access  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Number of completed demand load requests that missed the L1, but hit the FB(fill buffer), because a preceding miss to the same cacheline initiated the line to be brought into L1, but data is not yet ready in L1  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=1000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=100021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=100021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=50021,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "ocr.demand_code_rd.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C0010",
	.desc = "Counts hardware prefetch data reads (which bring data to L2)  that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C0020",
	.desc = "Counts hardware prefetch RFOs (which bring data to L2) that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l3.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C2380",
	.desc = "Counts hardware prefetches to the L3 only that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C8000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that hit a cacheline in the L3 where a snoop hit in another core, data forwarding is not required",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C8000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that hit a cacheline in the L3 where a snoop was sent but no other cores had the data",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C8000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that hit a cacheline in the L3 where a snoop was not needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.other.l3_hit.snoop_sent",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1E003C8000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that hit a cacheline in the L3 where a snoop was sent",
	.topic = "cache",
},
{
	.name = "ocr.streaming_wr.l3_hit.any",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FC03C0800",
	.desc = "Counts streaming stores that hit a cacheline in the L3 where a snoop was sent or not",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Counts memory transactions sent to the uncore",
	.topic = "cache",
	.long_desc = "Counts memory transactions sent to the uncore including requests initiated by the core, all L3 prefetches, reads resulting from page walks, and snoop responses",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=1000003,umask=0x8,event=0x60",
	.desc = "For every cycle, increments by the number of outstanding data read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding data read requests pending.  Data read requests include cacheable demand reads and L2 prefetches, but do not include RFOs, code reads or prefetches to the L3.  Reads due to page walks resulting from any request type will also be counted.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=1000003,umask=0x8,event=0x60",
	.desc = "Cycles where at least 1 outstanding data read request is pending",
	.topic = "cache",
	.long_desc = "Cycles where at least 1 outstanding data read request is pending.  Data read requests include cacheable demand reads and L2 prefetches, but do not include RFOs, code reads or prefetches to the L3.  Reads due to page walks resulting from any request type will also be counted.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=1000003,umask=0x4,event=0x60",
	.desc = "Cycles where at least 1 outstanding Demand RFO request is pending",
	.topic = "cache",
	.long_desc = "Cycles where at least 1 outstanding Demand RFO request is pending.   RFOs are initiated by a core as part of a data store operation.  Demand RFO requests include RFOs, locks, and ItoM transactions.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=1000003,umask=0x1,event=0x60",
	.desc = "For every cycle, increments by the number of outstanding demand data read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding demand data read requests pending.   Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=1000003,umask=0x4,event=0x60",
	.desc = "Store Read transactions pending for off-core. Highly correlated",
	.topic = "cache",
	.long_desc = "Counts the number of off-core outstanding read-for-ownership (RFO) store transactions every cycle. An RFO transaction is considered to be in the Off-core outstanding state between L2 cache miss and transaction completion",
},
{
	.name = "sq_misc.sq_full",
	.event = "period=100003,umask=0x4,event=0xf4",
	.desc = "Cycles the queue waiting for offcore responses is full",
	.topic = "cache",
	.long_desc = "Counts the cycles for which the thread is active and the queue waiting for responses from the uncore cannot take any more entries",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=100003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHNTA instructions executed",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=100003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHW instructions executed",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=100003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT0 instructions executed",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=100003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT1 or PREFETCHT2 instructions executed",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_snowridgex[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the power control unit (PCU). Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core_transition_cycles",
	.event = "event=0x60",
	.desc = "UNC_P_CORE_TRANSITION_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions",
	.event = "event=0x30",
	.desc = "UNC_P_DEMOTIONS. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps0_cycles",
	.event = "event=0x75",
	.desc = "Phase Shed 0 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 0 Cycles : Cycles spent in phase-shedding power state 0",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps1_cycles",
	.event = "event=0x76",
	.desc = "Phase Shed 1 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 1 Cycles : Cycles spent in phase-shedding power state 1",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps2_cycles",
	.event = "event=0x77",
	.desc = "Phase Shed 2 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 2 Cycles : Cycles spent in phase-shedding power state 2",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps3_cycles",
	.event = "event=0x78",
	.desc = "Phase Shed 3 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 3 Cycles : Cycles spent in phase-shedding power state 3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_clip_avx256",
	.event = "event=0x49",
	.desc = "AVX256 Frequency Clipping. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_clip_avx512",
	.event = "event=0x4a",
	.desc = "AVX512 Frequency Clipping. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Thermal Strongest Upper Limit Cycles : Number of cycles any frequency is reduced due to a thermal limit.  Count only if throttling is occurring",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Power Strongest Upper Limit Cycles : Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "IO P Limit Strongest Lower Limit Cycles : Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent changing Frequency : Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Memory Phase Shedding Cycles : Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C0 : Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C2E : Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C3 : Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C6 : Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pmax_throttled_cycles",
	.event = "event=0x6",
	.desc = "UNC_P_PMAX_THROTTLED_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C0 and C1 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C3 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C6 and C7 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with threshholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "External Prochot : Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Internal Prochot : Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Total Core C State Transition Cycles : Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "VR Hot : Number of cycles that a CPU SVID VR is hot.  Does not cover DRAM VRs",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "bus_lock.all",
	.event = "edge=1,period=200003,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.SELF_LOCKS",
	.topic = "other",
},
{
	.name = "bus_lock.block_cycles",
	.event = "period=200003,umask=0x2,event=0x63",
	.desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock issued by other cores",
	.topic = "other",
	.long_desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock issued by other cores. Counts on a per core basis",
},
{
	.name = "bus_lock.cycles_other_block",
	.event = "period=200003,umask=0x2,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.BLOCK_CYCLES",
	.topic = "other",
},
{
	.name = "bus_lock.cycles_self_block",
	.event = "period=200003,umask=0x1,event=0x63",
	.desc = "This event is deprecated. Refer to new event BUS_LOCK.LOCK_CYCLES",
	.topic = "other",
},
{
	.name = "bus_lock.lock_cycles",
	.event = "period=200003,umask=0x1,event=0x63",
	.desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock it issued",
	.topic = "other",
	.long_desc = "Counts the number of unhalted cycles a core is blocked due to an accepted lock it issued. Counts on a per core basis",
},
{
	.name = "bus_lock.self_locks",
	.event = "edge=1,period=200003,event=0x63",
	.desc = "Counts the number of bus locks a core issued its self (e.g. lock to UC or Split Lock) and does not include cache locks",
	.topic = "other",
	.long_desc = "Counts the number of bus locks a core issued its self (e.g. lock to UC or Split Lock) and does not include cache locks. Counts on a per core basis",
},
{
	.name = "c0_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_DRAM_HIT",
	.topic = "other",
},
{
	.name = "c0_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_L2_HIT",
	.topic = "other",
},
{
	.name = "c0_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "This event is deprecated. Refer to new event MEM_BOUND_STALLS.LOAD_LLC_HIT",
	.topic = "other",
},
{
	.name = "hw_interrupts.masked",
	.event = "period=200003,umask=0x2,event=0xcb",
	.desc = "Counts the number of core cycles during which interrupts are masked (disabled)",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which interrupts are masked (disabled). Increments by 1 each core cycle that EFLAGS.IF is 0, regardless of whether interrupts are pending or not",
},
{
	.name = "hw_interrupts.pending_and_masked",
	.event = "period=200003,umask=0x4,event=0xcb",
	.desc = "Counts the number of core cycles during which there are pending interrupts while interrupts are masked (disabled)",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which there are pending interrupts while interrupts are masked (disabled). Increments by 1 each core cycle that both EFLAGS.IF is 0 and an INTR is pending (which means the APIC is telling the ROB to cause an INTR). This event does not increment if EFLAGS.IF is 0 but all interrupt in the APICs Interrupt Request Register (IRR) are inhibited by the PPR (thus either by ISRV or TPR)  because in these cases the interrupts would be held up in the APIC and would not be pended to the ROB. This event does count when an interrupt is only inhibited by MOV/POP SS state machines or the STI state machine. These extra inhibits only last for a single instructions and would not be important",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Counts the number of hardware interrupts received by the processor",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10044",
	.desc = "Counts all code reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000044",
	.desc = "Counts all code reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000044",
	.desc = "Counts all code reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.all_code_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000044",
	.desc = "Counts all code reads that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.corewb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3000000010000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.corewb_m.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003000000000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.ANY_RESPONSE",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.LOCAL_DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.OUTSTANDING",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.full_streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x800000010000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts L1 data cache hardware prefetches and software prefetches (except PREFETCHW and PFRFO) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_code_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2_rfo.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.l1wb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000000010000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.l2wb_m.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2000000010000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.partial_streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x400000010000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.prefetches.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10470",
	.desc = "Counts all hardware and software prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000000000000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100000010000",
	.desc = "Counts uncached memory reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100184000000",
	.desc = "Counts uncached memory reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100184000000",
	.desc = "Counts uncached memory reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.uc_rd.outstanding",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8000100000000000",
	.desc = "Counts uncached memory reads that have an outstanding request. Returns the number of cycles until the response is received (i.e. XQ to XQ latency)",
	.topic = "other",
},
{
	.name = "ocr.uc_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x200000010000",
	.desc = "Counts uncached memory writes that have any type of response",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.pde_cache_miss",
	.event = "period=200003,umask=0x80,event=0x8",
	.desc = "Counts the number of page walks due to loads that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=200003,umask=0x20,event=0x8",
	.desc = "Counts the number of first level TLB misses but second level hits due to a demand load that did not start a page walk. Account for all page sizes. Will result in a DTLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1GB pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=200003,umask=0x4,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=200003,umask=0x2,event=0x8",
	.desc = "Counts the number of page walks completed due to load DTLB misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to loads (including SW prefetches) whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages. Includes page walks that page fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x8",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for demand loads every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for demand loads every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk). Includes EPT-walk intervals",
},
{
	.name = "dtlb_store_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x49",
	.desc = "Counts the number of page walks due to stores that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x49",
	.desc = "Counts the number of first level TLB misses but second level hits due to stores that did not start a page walk. Account for all pages sizes. Will result in a DTLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1G pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x49",
	.desc = "Counts the number of page walks completed due to store DTLB misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to stores whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages.  Includes page walks that page fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x49",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for stores every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for stores every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk). Includes EPT-walk intervals",
},
{
	.name = "ept.epde_hit",
	.event = "period=2000003,umask=0x1,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Entry hits",
	.topic = "virtual memory",
	.long_desc = "Counts the number of Extended Page Directory Entry hits.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epde_miss",
	.event = "period=2000003,umask=0x2,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Entry misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Entry misses.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epdpe_hit",
	.event = "period=2000003,umask=0x4,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Pointer Entry hits",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Pointer Entry hits.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.epdpe_miss",
	.event = "period=2000003,umask=0x8,event=0x4f",
	.desc = "Counts the number of Extended Page Directory Pointer Entry misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number Extended Page Directory Pointer Entry misses.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "ept.walk_pending",
	.event = "period=200003,umask=0x10,event=0x4f",
	.desc = "Counts the number of page walks outstanding for an Extended Page table walk including GTLB hits per cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an Extended Page table walk including GTLB hits per cycle.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
},
{
	.name = "itlb.fills",
	.event = "period=200003,umask=0x4,event=0x81",
	.desc = "Counts the number of times there was an ITLB miss and a new translation was filled into the ITLB",
	.topic = "virtual memory",
	.long_desc = "Counts the number of times the machine was unable to find a translation in the Instruction Translation Lookaside Buffer (ITLB) and a new translation was filled into the ITLB. The event is speculative in nature, but will not count translations (page walks) that are begun and not finished, or translations that are finished but not filled into the ITLB",
},
{
	.name = "itlb_misses.pde_cache_miss",
	.event = "period=2000003,umask=0x80,event=0x85",
	.desc = "Counts the number of page walks due to an instruction fetch that miss the PDE (Page Directory Entry) cache",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=2000003,umask=0x20,event=0x85",
	.desc = "Counts the number of first level TLB misses but second level hits due to an instruction fetch that did not start a page walk. Account for all pages sizes. Will result in an ITLB write from STLB",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200003,umask=0xe,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to any page size",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to any page size.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_1g",
	.event = "period=200003,umask=0x8,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 1G pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 2M or 4M page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 2M or 4M pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=2000003,umask=0x2,event=0x85",
	.desc = "Counts the number of page walks completed due to instruction fetch misses to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks completed due to instruction fetches whose address translations missed in all Translation Lookaside Buffer (TLB) levels and were mapped to 4K pages.  Includes page walks that page fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=200003,umask=0x10,event=0x85",
	.desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for instruction fetches every cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding in the page miss handler (PMH) for instruction fetches every cycle.  A page walk is outstanding from start till PMH becomes idle again (ready to serve next walk)",
},
{
	.name = "ld_blocks.dtlb_miss",
	.event = "period=1000003,umask=0x8,event=0x3",
	.desc = "Counts the number of retired loads that are blocked due to a first level TLB miss (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss",
	.event = "period=200003,umask=0x13,event=0xd0",
	.desc = "Counts the number of memory uops retired that missed in the second level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x11,event=0xd0",
	.desc = "Counts the number of load uops retired that miss in the second Level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "mem_uops_retired.dtlb_miss_stores",
	.event = "period=200003,umask=0x12,event=0xd0",
	.desc = "Counts the number of store uops retired that miss in the second level TLB  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "Counts the total number of BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
	.topic = "frontend",
	.long_desc = "Counts the total number of BACLEARS, which occur when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend.  Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a conditional jump",
	.topic = "frontend",
},
{
	.name = "baclears.indirect",
	.event = "period=200003,umask=0x2,event=0xe6",
	.desc = "Counts the number of BACLEARS due to an indirect branch",
	.topic = "frontend",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a return branch",
	.topic = "frontend",
},
{
	.name = "baclears.uncond",
	.event = "period=200003,umask=0x4,event=0xe6",
	.desc = "Counts the number of BACLEARS due to a direct, unconditional jump",
	.topic = "frontend",
},
{
	.name = "decode_restriction.predecode_wrong",
	.event = "period=200003,umask=0x1,event=0xe9",
	.desc = "Counts the number of times a decode restriction reduces the decode throughput due to wrong instruction length prediction",
	.topic = "frontend",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts the number of requests to the instruction cache for one or more bytes of a cache line",
	.topic = "frontend",
	.long_desc = "Counts the total number of requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line or byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "Counts the number of instruction cache hits",
	.topic = "frontend",
	.long_desc = "Counts the number of requests that hit in the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts the number of instruction cache misses",
	.topic = "frontend",
	.long_desc = "Counts the number of missed requests to the instruction cache.  The event only counts new cache line accesses, so that multiple back to back fetches to the exact same cache line and byte chunk count as one.  Specifically, the event counts when accesses from sequential code crosses the cache line boundary, or when a branch target is moved to a new line or to a non-sequential byte chunk of the same line",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the total number of branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions in which the instruction pointer (IP) of the processor is resteered due to a branch instruction and the branch instruction successfully retires.  All branch type instructions are accounted for (Precise event)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired, includes far jump, far call and return, and interrupt call and return (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of retired JCC (Jump on Conditional Code) branch instructions retired, includes both taken and not taken branches (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the total number of mispredicted branch instructions retired for all branch types (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of mispredicted branch instructions retired.  All branch type instructions are accounted for.  Prediction of the branch target address enables the processor to begin executing instructions before the non-speculative execution path is known. The branch prediction unit (BPU) predicts the target address based on the instruction pointer (IP) of the branch and on the execution path through which execution reached this IP.    A branch misprediction occurs when the prediction is wrong, and results in discarding all instructions executed in the speculative path and re-fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect JMP and near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted taken JCC (Jump on Conditional Code) branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "btclear.any",
	.event = "period=200003,event=0xe8",
	.desc = "Counts the total number of BTCLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the total number of BTCLEARS which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Counts the number of unhalted core clock cycles. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses fixed counter 1",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. The core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time. This event uses a programmable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency. (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses fixed counter 2",
},
{
	.name = "cpu_clk_unhalted.ref_tsc_p",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Counts the number of unhalted reference clock cycles at TSC frequency",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction. This event is not affected by core frequency changes and increments at a fixed frequency that is also used for the Time Stamp Counter (TSC). This event uses a programmable general purpose performance counter",
},
{
	.name = "cycles_div_busy.any",
	.event = "period=2000003,event=0xcd",
	.desc = "This event is deprecated",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy.idiv",
	.event = "period=200003,umask=0x1,event=0xcd",
	.desc = "Counts the number of cycles the integer divider is busy",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles the integer divider is busy.  Does not imply a stall waiting for the divider",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired. (Fixed event) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses fixed counter 0 (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the total number of instructions that retired. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. This event continues counting during hardware interrupts, traps, and inside interrupt handlers. This event uses a programmable general purpose performance counter (Precise event)",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=1000003,umask=0x4,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because it initially appears to be store forward blocked, but subsequently is shown not to be blocked based on 4K alias check (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.all",
	.event = "period=1000003,umask=0x10,event=0x3",
	.desc = "Counts the number of retired loads that are blocked for any of the following reasons:  DTLB miss, address alias, store forward or data unknown (includes memory disambiguation blocks and ESP consuming load blocks) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=1000003,umask=0x1,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address exactly matches an older store whose data is not ready (Precise event)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=1000003,umask=0x2,event=0x3",
	.desc = "Counts the number of retired loads that are blocked because its address partially overlapped with an older store (Precise event)",
	.topic = "pipeline",
},
{
	.name = "machine_clears.any",
	.event = "period=20003,event=0xc3",
	.desc = "Counts the total number of machine clears for any reason including, but not limited to, memory ordering, memory disambiguation, SMC, and FP assist",
	.topic = "pipeline",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=20003,umask=0x8,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering in which an internal load passes an older store within the same CPU",
	.topic = "pipeline",
},
{
	.name = "machine_clears.page_fault",
	.event = "period=20003,umask=0x20,event=0xc3",
	.desc = "Counts the number of machine clears due to a page fault.  Counts both I-Side and D-Side (Loads/Stores) page faults.  A page fault occurs when either the page is not present, or an access violation occurs",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20003,umask=0x1,event=0xc3",
	.desc = "Counts the number of machine clears due to program modifying data (self modifying code) within 1K of a recently fetched code page",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.all",
	.event = "period=1000003,umask=0x6,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear",
	.topic = "pipeline",
	.long_desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a mispredicted jump or a machine clear. Only issue slots wasted due to fast nukes such as memory ordering nukes are counted. Other nukes are not accounted for. Counts all issue slots blocked during this recovery window including relevant microcode flows and while uops are not yet available in the instruction queue (IQ) even if an FE_bound event occurs during this period. Also includes the issue slots that were consumed by the backend but were thrown away because they were younger than the mispredict or machine clear",
},
{
	.name = "topdown_bad_speculation.fastnuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to fast nukes such as memory ordering and memory disambiguation machine clears",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.machine_clears",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "Counts the total number of issue slots that were not consumed by the backend because allocation is stalled due to a machine clear (nuke) of any kind including memory ordering and memory disambiguation",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.mispredict",
	.event = "period=1000003,umask=0x4,event=0x73",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to branch mispredicts",
	.topic = "pipeline",
},
{
	.name = "topdown_bad_speculation.monuke",
	.event = "period=1000003,umask=0x2,event=0x73",
	.desc = "This event is deprecated. Refer to new event TOPDOWN_BAD_SPECULATION.FASTNUKE",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.all",
	.event = "period=1000003,event=0x74",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to backend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.alloc_restrictions",
	.event = "period=1000003,umask=0x1,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to certain allocation restrictions",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.mem_scheduler",
	.event = "period=1000003,umask=0x2,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to memory reservation stalls in which a scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.non_mem_scheduler",
	.event = "period=1000003,umask=0x8,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to IEC or FPC RAT stalls, which can be due to FIQ or IEC reservation stalls in which the integer, floating point or SIMD scheduler is not able to accept uops",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.register",
	.event = "period=1000003,umask=0x20,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the physical register file unable to accept an entry (marble stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.reorder_buffer",
	.event = "period=1000003,umask=0x40,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to the reorder buffer being full (ROB stalls)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.serialization",
	.event = "period=1000003,umask=0x10,event=0x74",
	.desc = "Counts the number of issue slots every cycle that were not consumed by the backend due to scoreboards from the instruction queue (IQ), jump execution unit (JEU), or microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_be_bound.store_buffer",
	.event = "period=1000003,umask=0x4,event=0x74",
	.desc = "This event is deprecated",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.all",
	.event = "period=1000003,event=0x71",
	.desc = "Counts the total number of issue slots every cycle that were not consumed by the backend due to frontend stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.branch_detect",
	.event = "period=1000003,umask=0x2,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BACLEARS, which occurs when the Branch Target Buffer (BTB) prediction or lack thereof, was corrected by a later branch predictor in the frontend. Includes BACLEARS due to all branch types including conditional and unconditional jumps, returns, and indirect branches",
},
{
	.name = "topdown_fe_bound.branch_resteer",
	.event = "period=1000003,umask=0x40,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to BTCLEARS, which occurs when the Branch Target Buffer (BTB) predicts a taken branch",
},
{
	.name = "topdown_fe_bound.cisc",
	.event = "period=1000003,umask=0x1,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to the microcode sequencer (MS)",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.decode",
	.event = "period=1000003,umask=0x8,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to decode stalls",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.itlb",
	.event = "period=1000003,umask=0x10,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to ITLB misses",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to Instruction Table Lookaside Buffer (ITLB) misses",
},
{
	.name = "topdown_fe_bound.other",
	.event = "period=1000003,umask=0x80,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to other common frontend stalls not categorized",
	.topic = "pipeline",
},
{
	.name = "topdown_fe_bound.predecode",
	.event = "period=1000003,umask=0x4,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to wrong predecodes",
	.topic = "pipeline",
},
{
	.name = "topdown_retiring.all",
	.event = "period=1000003,event=0xc2",
	.desc = "Counts the total number of consumed retirement slots (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=200003,event=0xe",
	.desc = "Counts the number of uops issued by the front end every cycle",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops issued by the front end every cycle. When 4-uops are requested and only 2-uops are delivered, the event counts 2.  Uops_issued correlates to the number of ROB entries.  If uop takes 2 ROB slots it counts as 2 uops_issued",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,event=0xc2",
	.desc = "Counts the total number of uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Counts the number of integer divide uops retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Counts the number of uops that are from complex flows issued by the micro-sequencer (MS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that are from complex flows issued by the Microcode Sequencer (MS). This includes uops from flows due to complex instructions, faults, assists, and inserted flows (Precise event)",
},
{
	.name = "uops_retired.x87",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Counts the number of x87 uops retired, includes those in MS flows (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy.fpdiv",
	.event = "period=200003,umask=0x2,event=0xcd",
	.desc = "Counts the number of cycles the floating point divider is busy",
	.topic = "floating point",
	.long_desc = "Counts the number of cycles the floating point divider is busy.  Does not imply a stall waiting for the divider",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=20003,umask=0x4,event=0xc3",
	.desc = "Counts the number of floating point operations retired that required microcode assist",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point operations retired that required microcode assist, which is not a reflection of the number of FP operations, instructions or uops",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Counts the number of floating point divide uops retired (x87 and SSE, including x87 sqrt) (Precise event)",
	.topic = "floating point",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=20003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory ordering caused by a snoop from an external agent. Does not count internally generated machine clears such as those due to memory disambiguation",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.load_page_split",
	.event = "period=200003,umask=0x2,event=0x13",
	.desc = "Counts the number of misaligned load uops that are 4K page splits (Precise event)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.store_page_split",
	.event = "period=200003,umask=0x4,event=0x13",
	.desc = "Counts the number of misaligned store uops that are 4K page splits (Precise event)",
	.topic = "memory",
},
{
	.name = "ocr.all_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000044",
	.desc = "Counts all code reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.all_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000044",
	.desc = "Counts all code reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.corewb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3002184000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.corewb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3002184000000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_MISS",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_MISS_LOCAL",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.full_streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802184000000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.full_streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x802184000000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l1wb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002184000000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l1wb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002184000000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l2wb_m.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002184000000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.l2wb_m.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2002184000000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184008000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184008000",
	.desc = "Counts miscellaneous requests, such as I/O accesses, that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.partial_streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x402184000000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.partial_streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x402184000000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.prefetches.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000470",
	.desc = "Counts all hardware and software prefetches that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000800",
	.desc = "Counts streaming stores that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2184000800",
	.desc = "Counts streaming stores that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x102184000000",
	.desc = "Counts uncached memory reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x102184000000",
	.desc = "Counts uncached memory reads that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x202184000000",
	.desc = "Counts uncached memory writes that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "ocr.uc_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x202184000000",
	.desc = "Counts uncached memory writes that were not supplied by the L3 cache",
	.topic = "memory",
},
{
	.name = "llc_misses.mmio_read",
	.event = "umask=0xc001fe01,event=0x35,config1=0x40040e33",
	.desc = "MMIO reads. Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_misses.mmio_write",
	.event = "umask=0xc001fe01,event=0x35,config1=0x40041e33",
	.desc = "MMIO writes. Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_misses.pcie_read",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth reading at IIO. Derived from unc_iio_data_req_of_cpu.mem_read.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_read.part0 + unc_iio_data_req_of_cpu.mem_read.part1 + unc_iio_data_req_of_cpu.mem_read.part2 + unc_iio_data_req_of_cpu.mem_read.part3",
	.metric_name = "LLC_MISSES.PCIE_READ",
},
{
	.name = "llc_misses.pcie_write",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83,ch_mask=0x1f",
	.desc = "PCI Express bandwidth writing at IIO. Derived from unc_iio_data_req_of_cpu.mem_write.part0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.unit = "4Bytes",
	.perpkg = "1",
	.metric_expr = "unc_iio_data_req_of_cpu.mem_write.part0 + unc_iio_data_req_of_cpu.mem_write.part1 + unc_iio_data_req_of_cpu.mem_write.part2 + unc_iio_data_req_of_cpu.mem_write.part3",
	.metric_name = "LLC_MISSES.PCIE_WRITE",
},
{
	.name = "llc_misses.uncacheable",
	.event = "umask=0xc001fe01,event=0x35,config1=0x40e33",
	.desc = "LLC misses - Uncacheable reads (from cpu) . Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_full",
	.event = "umask=0xc001fe01,event=0x35,config1=0x41833",
	.desc = "Streaming stores (full cache line). Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_references.streaming_partial",
	.event = "umask=0xc001fe01,event=0x35,config1=0x41a33",
	.desc = "Streaming stores (partial cache line). Derived from unc_cha_tor_inserts.ia_miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "CHA to iMC Bypass : Intermediate bypass Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Intermediate bypass Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that succeeded in taking the intermediate bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "CHA to iMC Bypass : Not Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Not Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that could not take the bypass, and issues a read to memory. Note that transactions that did not take the bypass but did not issue read to memory will not be counted",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "CHA to iMC Bypass : Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that succeeded in taking the full bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_clockticks",
	.event = "event=0",
	.desc = "Uncore cache clock ticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_gtone",
	.event = "umask=0xf2,event=0x33",
	.desc = "Core Cross Snoops Issued : Any Cycle with Multiple Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Any Cycle with Multiple Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_one",
	.event = "umask=0xf1,event=0x33",
	.desc = "Core Cross Snoops Issued : Any Single Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Any Single Snoop : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple Core Requests : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "Core Cross Snoops Issued : Single Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single Core Requests : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple Eviction : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "Core Cross Snoops Issued : Single Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single Eviction : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple External Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "Core Cross Snoops Issued : Single External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single External Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counter 0 Occupancy : Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_suppress_drd",
	.event = "umask=0x4,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_suppress_no_d2c",
	.event = "umask=0x2,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_tor_dealloc",
	.event = "umask=0x1,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.extcmp",
	.event = "umask=0x1,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.fast_go",
	.event = "umask=0x10,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.fast_go_pull",
	.event = "umask=0x20,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.go",
	.event = "umask=0x4,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.go_pull",
	.event = "umask=0x8,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.idle_due_suppress",
	.event = "umask=0x80,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.nop",
	.event = "umask=0x40,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.pull",
	.event = "umask=0x2,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "Normal priority reads issued to the memory controller from the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) read is issued to any of the memory controller channels from the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "HA to iMC Reads Issued : ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "HA to iMC Reads Issued : ISOCH : Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : Full Line Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) full line write is issued from the CHA to any of the memory controller channels",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : ISOCH Full Line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : ISOCH Full Line : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : Partial Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : Partial Non-ISOCH : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : ISOCH Partial. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : ISOCH Partial : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.all",
	.event = "umask=0x1fffff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Any Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.any_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : All Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : All Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Any local or remote transaction to the LLC, including prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code",
	.event = "umask=0x1bd0ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.CODE_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read",
	.event = "umask=0x1bd0ff,event=0x34",
	.desc = "Cache Lookups : Code Reads. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Code Reads : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : CRd Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : CRd Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Local or remote CRd transactions to the LLC.  This includes CRd prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_miss",
	.event = "umask=0x1bd001,event=0x34",
	.desc = "Cache Lookups : Code Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Code Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.corepref_or_dmnd_local_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Local request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Local request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Any local transaction to the LLC, including prefetches from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_rd",
	.event = "umask=0x1bc1ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read",
	.event = "umask=0x1bc1ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_all",
	.event = "umask=0x1fc1ff,event=0x34",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Data Read Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Data Read Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_miss",
	.event = "umask=0x1bc101,event=0x34",
	.desc = "Cache Lookups : Data Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Data Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.dmnd_read_local",
	.event = "umask=0x841ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.e",
	.event = "umask=0x20,event=0x34",
	.desc = "Cache Lookups : E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : E State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Exclusive State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.f",
	.event = "umask=0x80,event=0x34",
	.desc = "Cache Lookups : F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : F State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Forward State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_inv",
	.event = "umask=0x1a44ff,event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_or_inv_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush or Invalidate Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.i",
	.event = "umask=0x1,event=0x34",
	.desc = "Cache Lookups : I State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : I State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Miss",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.local_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Transactions homed locally Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Transactions homed locally Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Transaction whose address resides in the local MC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.m",
	.event = "umask=0x40,event=0x34",
	.desc = "Cache Lookups : M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : M State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Modified State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.miss_all",
	.event = "umask=0x1fe001,event=0x34",
	.desc = "Cache Lookups : All Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : All Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.other_req_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Write Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Write Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Writeback transactions to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read",
	.event = "umask=0x1bd9ff,event=0x34",
	.desc = "Cache Lookups : Reads. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Reads : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_local_loc_hom",
	.event = "umask=0x9d9ff,event=0x34",
	.desc = "Cache Lookups : Locally Requested Reads that are Locally HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally Requested Reads that are Locally HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_local_rem_hom",
	.event = "umask=0x11d9ff,event=0x34",
	.desc = "Cache Lookups : Locally Requested Reads that are Remotely HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally Requested Reads that are Remotely HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss",
	.event = "umask=0x1bd901,event=0x34",
	.desc = "Cache Lookups : Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss_loc_hom",
	.event = "umask=0xbd901,event=0x34",
	.desc = "Cache Lookups : Locally HOMed Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally HOMed Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss_rem_hom",
	.event = "umask=0x13d901,event=0x34",
	.desc = "Cache Lookups : Remotely HOMed Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely HOMed Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_or_snoop_remote_miss_rem_hom",
	.event = "umask=0x161901,event=0x34",
	.desc = "Cache Lookups : Remotely requested Read or Snoop Misses that are Remotely HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely requested Read or Snoop Misses that are Remotely HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_remote_loc_hom",
	.event = "umask=0xa19ff,event=0x34",
	.desc = "Cache Lookups : Remotely Requested Reads that are Locally HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely Requested Reads that are Locally HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_sf_hit",
	.event = "umask=0x1bd90e,event=0x34",
	.desc = "Cache Lookups : Reads that Hit the Snoop Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Reads that Hit the Snoop Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo",
	.event = "umask=0x1bc8ff,event=0x34",
	.desc = "Cache Lookups : RFO Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : RFO Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_miss",
	.event = "umask=0x1bc801,event=0x34",
	.desc = "Cache Lookups : RFO Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_pref_local",
	.event = "umask=0x888ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.RFO_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.s",
	.event = "umask=0x10,event=0x34",
	.desc = "Cache Lookups : S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : S State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Shared State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_e",
	.event = "umask=0x4,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - E State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit Exclusive State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_h",
	.event = "umask=0x8,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - H State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - H State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit HitMe State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_s",
	.event = "umask=0x2,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - S State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit Shared State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.writes_and_other",
	.event = "umask=0x1a42ff,event=0x34",
	.desc = "Cache Lookups : Filters Requests for those that write info into the cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Write Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.write_local",
	.event = "umask=0x842ff,event=0x34",
	.desc = "This event is deprecated. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.all",
	.event = "umask=0xf,event=0x37",
	.desc = "Lines Victimized : All Lines Victimized. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : All Lines Victimized : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized : Lines in E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in E state : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_all",
	.event = "umask=0x200f,event=0x37",
	.desc = "Lines Victimized : Local - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - All Lines : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_e",
	.event = "umask=0x2002,event=0x37",
	.desc = "Lines Victimized : Local - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in E State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_m",
	.event = "umask=0x2001,event=0x37",
	.desc = "Lines Victimized : Local - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in M State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_only",
	.event = "event=0x37",
	.desc = "Lines Victimized : Local Only. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local Only : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_s",
	.event = "umask=0x2004,event=0x37",
	.desc = "Lines Victimized : Local - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in S State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized : Lines in M state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in M state : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized : Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in S State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc : CV0 Prefetch Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : CV0 Prefetch Miss : Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc : CV0 Prefetch Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : CV0 Prefetch Victim : Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Number of times that an RFO hit in S state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a RFO (the Read for Ownership issued before a  write) request hit a cacheline in the S (Shared) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc : Silent Snoop Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : Silent Snoop Eviction : Miscellaneous events in the Cbo. : Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc : Write Combining Aliasing. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : Write Combining Aliasing : Miscellaneous events in the Cbo. : Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.adegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.akegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.allrsfways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.blegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.fsf_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_allowsnp",
	.event = "umask=0x4,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_allwayrsv",
	.event = "umask=0x10,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_pamatch",
	.event = "umask=0x2,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_waymatch",
	.event = "umask=0x8,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.hacredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.idx_inpipe",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ipq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.irq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ismq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ivegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.llc_ways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.notallowsnoop",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.one_fsf_vic",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.one_rsp_con",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ptl_inpipe",
	.event = "umask=0x80,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.rmw_setmatch",
	.event = "umask=0x1,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.rrq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.setmatchentrywsct",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.sf_ways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.topa_match",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.torid_match_go_p",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_ad_req",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_ad_rsp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_ncb",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_ncs",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_rsp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_wb",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.way_match",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc0",
	.event = "umask=0x1,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC0 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc1",
	.event = "umask=0x2,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC1 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc10",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC10 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 10 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc11",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC11. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC11 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 11 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc12",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC12. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC12 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 12 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc13",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC13. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC13 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 13 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc2",
	.event = "umask=0x4,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC2 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc3",
	.event = "umask=0x8,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC3 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc4",
	.event = "umask=0x10,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC4 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc5",
	.event = "umask=0x20,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC5 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc6",
	.event = "umask=0x40,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC6 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 6 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc7",
	.event = "umask=0x80,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC7 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 7 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc8",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC8 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 8 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc9",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC9 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 9 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe",
	.event = "umask=0x30,event=0x50",
	.desc = "Local INVITOE requests (exclusive ownership of a cache line without receiving data) that miss the SF/LLC and remote INVITOE requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "Local read requests that miss the SF/LLC and remote read requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write) ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "Local write requests that miss the SF/LLC and remote write requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts write requests made into the CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress (from CMS) Allocations : IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : IRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress (from CMS) Allocations : IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : IRQ Rejected : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress (from CMS) Allocations : PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : PRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress (from CMS) Allocations : PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : PRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0 : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0 : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0 : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0 : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0 : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0 : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.any0",
	.event = "umask=0x1,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : ANY0 : Any condition listed in the IRQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC or SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC or SF Way : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : SF Victim : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.any0",
	.event = "umask=0x1,event=0x25",
	.desc = "ISMQ Rejects - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 1 : ANY0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Any condition listed in the ISMQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "ISMQ Rejects - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 1 : HA : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.any0",
	.event = "umask=0x1,event=0x2d",
	.desc = "ISMQ Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 1 : ANY0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Any condition listed in the ISMQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "ISMQ Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 1 : HA : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Occupancy : IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Occupancy : IRQ : Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "Other Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : AD REQ on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "Other Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : AD RSP on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2e",
	.desc = "Other Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : Non UPI AK Request : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "Other Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL NCB on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "Other Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL NCS on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "Other Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL RSP on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "Other Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL WB on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2e",
	.desc = "Other Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : Non UPI IV Request : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "Other Retries - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : Allow Snoop : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.any0",
	.event = "umask=0x1,event=0x2f",
	.desc = "Other Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : ANY0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Any condition listed in the Other0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "Other Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : HA : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "Other Retries - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : LLC OR SF Way : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "Other Retries - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : LLC Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "Other Retries - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : PhyAddr Match : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "Other Retries - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : SF Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "Other Retries - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0 : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0 : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0 : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0 : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0 : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0 : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.any0",
	.event = "umask=0x1,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : ANY0 : Any condition listed in the PRQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : SF Victim : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : AD REQ on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : AD RSP on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : Non UPI AK Request : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL NCB on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL NCS on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL RSP on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL WB on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : Non UPI IV Request : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : Allow Snoop : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.any0",
	.event = "umask=0x1,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : ANY0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Any condition listed in the WBQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : HA : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : LLC OR SF Way : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : LLC Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : PhyAddr Match : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : SF Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop filter capacity evictions for E-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking exclusive lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop filter capacity evictions for M-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking modified lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop filter capacity evictions for S-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking shared lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.all",
	.event = "umask=0x1,event=0x51",
	.desc = "Snoops Sent : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : All : Counts the number of snoops issued by the HA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_local",
	.event = "umask=0x10,event=0x51",
	.desc = "Snoops Sent : Broadcast snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Broadcast snoops for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_local",
	.event = "umask=0x40,event=0x51",
	.desc = "Snoops Sent : Directed snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Directed snoops for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of directed snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "Snoops Sent : Snoops sent for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Snoops sent for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast or directed snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "Snoop Responses Received Local : RspCnflct. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspCnflct : Number of snoop responses received for a Local  request : Filters for snoops responses of RspConflict to local CA requests.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "Snoop Responses Received Local : RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspFwd : Number of snoop responses received for a Local  request : Filters for a snoop response of RspFwd to local CA requests.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwdwb",
	.event = "umask=0x20,event=0x5d",
	.desc = "Snoop Responses Received Local : Rsp*FWD*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : Rsp*FWD*WB : Number of snoop responses received for a Local  request : Filters for a snoop response of Rsp*Fwd*WB to local CA requests.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "Snoop Responses Received Local : RspI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspI : Number of snoop responses received for a Local  request : Filters for snoops responses of RspI to local CA requests.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "Snoop Responses Received Local : RspIFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspIFwd : Number of snoop responses received for a Local  request : Filters for snoop responses of RspIFwd to local CA requests.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "Snoop Responses Received Local : RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspS : Number of snoop responses received for a Local  request : Filters for snoop responses of RspS to local CA requests.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "Snoop Responses Received Local : RspSFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspSFwd : Number of snoop responses received for a Local  request : Filters for a snoop response of RspSFwd to local CA requests.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspwb",
	.event = "umask=0x10,event=0x5d",
	.desc = "Snoop Responses Received Local : Rsp*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : Rsp*WB : Number of snoop responses received for a Local  request : Filters for a snoop response of RspIWB or RspSWB to local CA requests.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.mtoi_rspdatam",
	.event = "umask=0x2,event=0x6b",
	.desc = "Misc Snoop Responses Received : MtoI RspIDataM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.mtoi_rspifwdm",
	.event = "umask=0x1,event=0x6b",
	.desc = "Misc Snoop Responses Received : MtoI RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.pulldataptl_hitllc",
	.event = "umask=0x20,event=0x6b",
	.desc = "Misc Snoop Responses Received : Pull Data Partial - Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.pulldataptl_hitsf",
	.event = "umask=0x10,event=0x6b",
	.desc = "Misc Snoop Responses Received : Pull Data Partial - Hit SF. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.rspifwdmptl_hitllc",
	.event = "umask=0x8,event=0x6b",
	.desc = "Misc Snoop Responses Received : RspIFwdPtl Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.rspifwdmptl_hitsf",
	.event = "umask=0x4,event=0x6b",
	.desc = "Misc Snoop Responses Received : RspIFwdPtl Hit SF. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all",
	.event = "umask=0xc001ffff,event=0x35",
	.desc = "TOR Inserts : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ddr",
	.event = "event=0x35",
	.desc = "TOR Inserts : DDR4 Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DDR4 Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ddr4",
	.event = "event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "TOR Inserts : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SF/LLC Evictions : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.hit",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Hits : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia",
	.event = "umask=0xc001ff01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x35",
	.desc = "TOR Inserts : CLFlushes issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushes issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x35",
	.desc = "TOR Inserts : CLFlushOpts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushOpts issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd",
	.event = "umask=0xc80fff01,event=0x35",
	.desc = "TOR Inserts : CRDs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRDs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x35",
	.desc = "TOR Inserts; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drdpte",
	.event = "umask=0xc837ff01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x35",
	.desc = "TOR Inserts : DRd_Opts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opts issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit",
	.event = "umask=0xc001fd01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x35",
	.desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drdpte",
	.event = "umask=0xc837fd01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to page walks that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x35",
	.desc = "TOR Inserts : DRd_Opts issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opts issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss",
	.event = "umask=0xc001fe01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x35",
	.desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drdpte",
	.event = "umask=0xc837fe01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr",
	.event = "umask=0xc867fe01,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr",
	.event = "umask=0xc86ffe01,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x35",
	.desc = "TOR Inserts : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : UCRdFs issued by iA Cores that Missed LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLF issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x35",
	.desc = "TOR Inserts : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WiLs issued by iA Cores that Missed LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo",
	.event = "umask=0xc807ff01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbeftoe",
	.event = "umask=0xcc3fff01,event=0x35",
	.desc = "TOR Inserts : WBEFtoEs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbEFtoEs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbeftoi",
	.event = "umask=0xcc37ff01,event=0x35",
	.desc = "TOR Inserts : WBEFtoIs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbEFtoIs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbmtoe",
	.event = "umask=0xcc2fff01,event=0x35",
	.desc = "TOR Inserts : WBMtoEs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbMtoEs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by an iA Cores. Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbMtoIs issued by iA Cores .  (Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbstoi",
	.event = "umask=0xcc67ff01,event=0x35",
	.desc = "TOR Inserts : WBStoIs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbStoIs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcil",
	.event = "umask=0xc86fff01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLF issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io",
	.event = "umask=0xc001ff04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x35",
	.desc = "TOR Inserts : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushes issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit",
	.event = "umask=0xc001fd04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itom",
	.event = "umask=0xcc43ff04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itomcachenear",
	.event = "umask=0xcd43ff04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss",
	.event = "umask=0xc001fe04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_rfo",
	.event = "umask=0xc803ff04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WbMtoIs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_ia",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_non_ia",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - Non iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.isoc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just ISOC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.local_tgt",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Local Targets : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_all",
	.event = "umask=0xc000ff05,event=0x35",
	.desc = "TOR Inserts : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA and IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_ia",
	.event = "umask=0xc000ff01,event=0x35",
	.desc = "TOR Inserts : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_io",
	.event = "umask=0xc000ff04,event=0x35",
	.desc = "TOR Inserts : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.match_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.miss",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Misses : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.mmcfg",
	.event = "event=0x35",
	.desc = "TOR Inserts : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : MMCFG Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.nearmem",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NearMem : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.noncoh",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NonCoherent : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.not_nearmem",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NotNearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NotNearMem : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.premorph_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_iosf",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_non_iosf",
	.event = "umask=0x20,event=0x35",
	.desc = "TOR Inserts : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - Non IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ddr",
	.event = "event=0x36",
	.desc = "TOR Occupancy : DDR4 Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DDR4 Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "TOR Occupancy : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SF/LLC Evictions : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.hit",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Hits : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia",
	.event = "umask=0xc001ff01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushOpts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushOpts issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd",
	.event = "umask=0xc80fff01,event=0x36",
	.desc = "TOR Occupancy : CRDs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRDs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x36",
	.desc = "TOR Occupancy; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drdpte",
	.event = "umask=0xc837ff01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opts issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit",
	.event = "umask=0xc001fd01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x36",
	.desc = "TOR Occupancy : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRds issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drdpte",
	.event = "umask=0xc837fd01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opts issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opts issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss",
	.event = "umask=0xc001fe01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x36",
	.desc = "TOR Occupancy : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRds issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drdpte",
	.event = "umask=0xc837fe01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr",
	.event = "umask=0xc867fe01,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr",
	.event = "umask=0xc86ffe01,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x36",
	.desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x36",
	.desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo",
	.event = "umask=0xc807ff01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcil",
	.event = "umask=0xc86fff01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io",
	.event = "umask=0xc001ff04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit",
	.event = "umask=0xc001fd04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_itom",
	.event = "umask=0xcc43ff04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_itomcachenear",
	.event = "umask=0xcd43ff04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss",
	.event = "umask=0xc001fe04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_rfo",
	.event = "umask=0xc803ff04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_ia",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_non_ia",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - Non iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.isoc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just ISOC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.local_tgt",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Local Targets : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_all",
	.event = "umask=0xc000ff05,event=0x36",
	.desc = "TOR Occupancy : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA and IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_ia",
	.event = "umask=0xc000ff01,event=0x36",
	.desc = "TOR Occupancy : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_io",
	.event = "umask=0xc000ff04,event=0x36",
	.desc = "TOR Occupancy : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.match_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.miss",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Misses : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.mmcfg",
	.event = "event=0x36",
	.desc = "TOR Occupancy : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : MMCFG Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.nearmem",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NearMem : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.noncoh",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NonCoherent : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.not_nearmem",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NotNearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NotNearMem : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.premorph_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq_non_iosf",
	.event = "umask=0x20,event=0x36",
	.desc = "TOR Occupancy : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - Non IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "WbPushMtoI : Pushed to LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbPushMtoI : Pushed to LLC : Counts the number of times when the CHA was received WbPushMtoI : Counts the number of times when the CHA was able to push WbPushMToI to LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "WbPushMtoI : Pushed to Memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbPushMtoI : Pushed to Memory : Counts the number of times when the CHA was received WbPushMtoI : Counts the number of times when the CHA was unable to push WbPushMToI to LLC (hence pushed it to MEM)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc0",
	.event = "umask=0x1,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC0 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc1",
	.event = "umask=0x2,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC1 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc10",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC10 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 10 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc11",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC11. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC11 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 11 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc12",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC12. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC12 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 12 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc13",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC13. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC13 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 13 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc2",
	.event = "umask=0x4,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC2 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc3",
	.event = "umask=0x8,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC3 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc4",
	.event = "umask=0x10,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC4 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc5",
	.event = "umask=0x20,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC5 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc6",
	.event = "umask=0x40,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC6 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 6 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc7",
	.event = "umask=0x80,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC7 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 7 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc8",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC8 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 8 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc9",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC9 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 9 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop0_conflict",
	.event = "umask=0x8,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 0?) - Conflict. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 0?) - Conflict : Number of XPT prefetches dropped due to AD CMS write port contention",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop0_nocrd",
	.event = "umask=0x4,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 0?) - No Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 0?) - No Credits : Number of XPT prefetches dropped due to lack of XPT AD egress credits",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop1_conflict",
	.event = "umask=0x80,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 1?) - Conflict. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 1?) - Conflict : Number of XPT prefetches dropped due to AD CMS write port contention",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop1_nocrd",
	.event = "umask=0x40,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 1?) - No Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 1?) - No Credits : Number of XPT prefetches dropped due to lack of XPT AD egress credits",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.sent0",
	.event = "umask=0x1,event=0x6f",
	.desc = "XPT Prefetches : Sent (on 0?). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Sent (on 0?) : Number of XPT prefetches sent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.sent1",
	.event = "umask=0x10,event=0x6f",
	.desc = "XPT Prefetches : Sent (on 1?). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Sent (on 1?) : Number of XPT prefetches sent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part0_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART0_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part1_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART1_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part2_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART2_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part3_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART3_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part4_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART4_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part5_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART5_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part6_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART6_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part7_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_IN.PART7_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part0_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART0_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part1_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART1_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part2_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART2_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part3_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART3_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part4_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART4_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part5_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART5_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part6_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART6_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part7_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "UNC_IIO_BANDWIDTH_OUT.PART7_FREERUN",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the integrated IO (IIO) traffic controller. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_clockticks_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for IIO clocktick. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Free running counter that increments for integrated IO (IIO) traffic controller clockticks",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all",
	.event = "fc_mask=0x04,ch_mask=0xFF,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts : All Ports. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all_parts",
	.event = "fc_mask=0x04,ch_mask=0xff,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part0",
	.event = "fc_mask=0x04,ch_mask=0x01,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part1",
	.event = "fc_mask=0x04,ch_mask=0x02,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part2",
	.event = "fc_mask=0x04,ch_mask=0x04,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part3",
	.event = "fc_mask=0x04,ch_mask=0x08,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part4",
	.event = "fc_mask=0x04,ch_mask=0x10,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 4. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part5",
	.event = "fc_mask=0x04,ch_mask=0x20,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 5. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part6",
	.event = "fc_mask=0x04,ch_mask=0x40,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 6. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part7",
	.event = "fc_mask=0x04,ch_mask=0x80,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all",
	.event = "fc_mask=0x04,umask=0xff,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all_parts",
	.event = "fc_mask=0x04,umask=0xff,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part0",
	.event = "fc_mask=0x04,umask=0x1,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part1",
	.event = "fc_mask=0x04,umask=0x2,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part2",
	.event = "fc_mask=0x04,umask=0x4,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part3",
	.event = "fc_mask=0x04,umask=0x8,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 3 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part4",
	.event = "fc_mask=0x04,umask=0x10,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 4. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 4 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part5",
	.event = "fc_mask=0x04,umask=0x20,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 5. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 5 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part6",
	.event = "fc_mask=0x04,umask=0x40,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 6. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 6 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part7",
	.event = "fc_mask=0x04,umask=0x80,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 7 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x83",
	.desc = "PCI Express bandwidth reading at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x83",
	.desc = "PCI Express bandwidth writing at IIO, part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x86",
	.desc = "Incoming arbitration requests : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Passing data to be written : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x86",
	.desc = "Incoming arbitration requests : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Issuing final read or write of line : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x86",
	.desc = "Incoming arbitration requests : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Processing response from IOMMU : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x86",
	.desc = "Incoming arbitration requests : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Issuing to IOMMU : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x86",
	.desc = "Incoming arbitration requests : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Request Ownership : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x86",
	.desc = "Incoming arbitration requests : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Writing line : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x87",
	.desc = "Incoming arbitration requests granted : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Passing data to be written : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x87",
	.desc = "Incoming arbitration requests granted : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Issuing final read or write of line : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x87",
	.desc = "Incoming arbitration requests granted : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Processing response from IOMMU : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x87",
	.desc = "Incoming arbitration requests granted : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Issuing to IOMMU : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x87",
	.desc = "Incoming arbitration requests granted : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Request Ownership : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x87",
	.desc = "Incoming arbitration requests granted : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Writing line : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.1g_hits",
	.event = "umask=0x10,event=0x40",
	.desc = ": IOTLB Hits to a 1G Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 1G Page : Counts if a transaction to a 1G page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.2m_hits",
	.event = "umask=0x8,event=0x40",
	.desc = ": IOTLB Hits to a 2M Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 2M Page : Counts if a transaction to a 2M page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.4k_hits",
	.event = "umask=0x4,event=0x40",
	.desc = ": IOTLB Hits to a 4K Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 4K Page : Counts if a transaction to a 4K page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.all_lookups",
	.event = "umask=0x2,event=0x40",
	.desc = ": IOTLB lookups all. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB lookups all : Some transactions have to look up IOTLB multiple times.  Counts every time a request looks up IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_hits",
	.event = "umask=0x80,event=0x40",
	.desc = ": Context cache hits. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache hits : Counts each time a first look up of the transaction hits the RCC",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_lookups",
	.event = "umask=0x40,event=0x40",
	.desc = ": Context cache lookups. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache lookups : Counts each time a transaction looks up root context cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.first_lookups",
	.event = "umask=0x1,event=0x40",
	.desc = ": IOTLB lookups first. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB lookups first : Some transactions have to look up IOTLB multiple times.  Counts the first time a request looks up IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.misses",
	.event = "umask=0x20,event=0x40",
	.desc = ": IOTLB Fills (same as IOTLB miss). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Fills (same as IOTLB miss) : When a transaction misses IOTLB, it does a page walk to look up memory and bring in the relevant page translation. Counts when this page translation is written to IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.cyc_pwt_full",
	.event = "umask=0x80,event=0x41",
	.desc = ": Cycles PWT full. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Cycles PWT full : Counts cycles the IOMMU has reached its maximum limit for outstanding page walks",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.num_mem_accesses",
	.event = "umask=0x40,event=0x41",
	.desc = ": IOMMU memory access. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOMMU memory access : IOMMU sends out memory fetches when it misses the cache look up which is indicated by this signal.  M2IOSF only uses low priority channel",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_1g_hits",
	.event = "umask=0x8,event=0x41",
	.desc = ": PWC Hit to a 1G page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 1G page : Counts each time a transaction's first look up hits the SLPWC at the 1G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_2m_hits",
	.event = "umask=0x4,event=0x41",
	.desc = ": PWC Hit to a 2M page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 2M page : Counts each time a transaction's first look up hits the SLPWC at the 2M level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_4k_hits",
	.event = "umask=0x2,event=0x41",
	.desc = ": PWC Hit to a 4K page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 4K page : Counts each time a transaction's first look up hits the SLPWC at the 4K level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_512g_hits",
	.event = "umask=0x10,event=0x41",
	.desc = ": PWT Hit to a 256T page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWT Hit to a 256T page : Counts each time a transaction's first look up hits the SLPWC at the 512G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_cache_fills",
	.event = "umask=0x20,event=0x41",
	.desc = ": PageWalk cache fill. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PageWalk cache fill : When a transaction misses SLPWC, it does a page walk to look up memory and bring in the relevant page translation. When this page translation is written to SLPWC, ObsPwcFillValid_nnnH is asserted",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwt_cache_lookups",
	.event = "umask=0x1,event=0x41",
	.desc = ": PageWalk cache lookup. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PageWalk cache lookup : Counts each time a transaction looks up second level page walk cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.int_cache_hits",
	.event = "umask=0x80,event=0x43",
	.desc = ": Interrupt Entry cache hit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Interrupt Entry cache hit : Counts each time a transaction's first look up hits the IEC",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.int_cache_lookups",
	.event = "umask=0x40,event=0x43",
	.desc = ": Interrupt Entry cache lookup. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Interrupt Entry cache lookup : Counts the number of transaction looks up that interrupt remapping cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_device",
	.event = "umask=0x20,event=0x43",
	.desc = ": Device-selective Context cache invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Device-selective Context cache invalidation cycles : Counts number of Device selective context cache invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_domain",
	.event = "umask=0x10,event=0x43",
	.desc = ": Domain-selective Context cache invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Domain-selective Context cache invalidation cycles : Counts number of Domain selective context cache invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_gbl",
	.event = "umask=0x8,event=0x43",
	.desc = ": Context cache global invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache global invalidation cycles : Counts number of Context Cache global invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_domain",
	.event = "umask=0x2,event=0x43",
	.desc = ": Domain-selective IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Domain-selective IOTLB invalidation cycles : Counts number of Domain selective invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_gbl",
	.event = "umask=0x1,event=0x43",
	.desc = ": Global IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Global IOTLB invalidation cycles : Indicates that IOMMU is doing global invalidation",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_page",
	.event = "umask=0x4,event=0x43",
	.desc = ": Page-selective IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Page-selective IOTLB invalidation cycles : Counts number of Page-selective within Domain Invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0",
	.event = "umask=0x1,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_bus1",
	.event = "umask=0x8,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus and PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_not_bus1",
	.event = "umask=0x4,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus and !(PCIE bus) : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus1",
	.event = "umask=0x2,event=0x2",
	.desc = "AND Mask/match for debug bus : PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_bus1",
	.event = "umask=0x10,event=0x2",
	.desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x2",
	.desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus) : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0",
	.event = "umask=0x1,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_bus1",
	.event = "umask=0x8,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus and PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_not_bus1",
	.event = "umask=0x4,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus and !(PCIE bus) : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus1",
	.event = "umask=0x2,event=0x3",
	.desc = "OR Mask/match for debug bus : PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_bus1",
	.event = "umask=0x10,event=0x3",
	.desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x3",
	.desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus) : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_nothing",
	.event = "event=0x80",
	.desc = "Counting disabled. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_oustanding_req_from_cpu.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xc5",
	.desc = "Occupancy of outbound request queue : To device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Occupancy of outbound request queue : To device : Counts number of outbound requests/completions IIO is currently processing",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x88",
	.desc = ": Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Passing data to be written : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x88",
	.desc = ": Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x88",
	.desc = ": Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x88",
	.desc = ": Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x88",
	.desc = ": Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Request Ownership : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x88",
	.desc = ": Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Writing line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.irp",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : From IRP. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests sent to PCIe from main die : From IRP : Captures Posted/Non-posted allocations from IRP. i.e. either non-confined P2P traffic or from the CPU",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.itc",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : From ITC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests sent to PCIe from main die : From ITC : Confined P2P",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.prealloc",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : Completion allocations. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu.all.drop",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x85",
	.desc = "Number requests PCIe makes of the main die : Drop request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests PCIe makes of the main die : Drop request : Counts full PCIe requests before they're broken into a series of cache-line size requests as measured by DATA_REQ_OF_CPU and TXN_REQ_OF_CPU. : Packet error detected, must be dropped",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu.commit.all",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x85",
	.desc = "Number requests PCIe makes of the main die : All. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests PCIe makes of the main die : All : Counts full PCIe requests before they're broken into a series of cache-line size requests as measured by DATA_REQ_OF_CPU and TXN_REQ_OF_CPU",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.abort",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x80,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Abort. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.confined_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x40,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Confined P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.loc_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Local P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.mcast",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Multi-cast. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.mem",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.msgb",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : MsgB. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.rem_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Remote P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.ubox",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Ubox. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_tgt_matched_req_of_cpu",
	.event = "event=0x8f",
	.desc = "ITC address map 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_outbound_cl_reqs_issued.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xd0",
	.desc = "Outbound cacheline requests issued : 64B requests issued to device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Outbound cacheline requests issued : 64B requests issued to device : Each outbound cacheline granular request may need to make multiple passes through the pipeline.  Each time a cacheline completes all its passes it advances line",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_outbound_tlp_reqs_issued.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xd1",
	.desc = "Outbound TLP (transaction layer packet) requests issued : To device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Outbound TLP (transaction layer packet) requests issued : To device : Each time an outbound completes all its passes it advances the pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_pwt_occupancy",
	.event = "event=0x42",
	.desc = "PWT occupancy. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PWT occupancy : Indicates how many page walks are outstanding at any point in time",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x91",
	.desc = "PCIe Request - cacheline complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x91",
	.desc = "PCIe Request - cacheline complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x91",
	.desc = "PCIe Request - cacheline complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x91",
	.desc = "PCIe Request - cacheline complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x92",
	.desc = "PCIe Request complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x92",
	.desc = "PCIe Request complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x92",
	.desc = "PCIe Request complete : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Processing response from IOMMU : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x92",
	.desc = "PCIe Request complete : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Issuing to IOMMU : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x92",
	.desc = "PCIe Request complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x92",
	.desc = "PCIe Request complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x90",
	.desc = "PCIe Request - pass complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x90",
	.desc = "PCIe Request - pass complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x90",
	.desc = "PCIe Request - pass complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x90",
	.desc = "PCIe Request - pass complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_symbol_times",
	.event = "event=0x82",
	.desc = "Symbol Times on Link. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Symbol Times on Link : Gen1 - increment once every 4nS, Gen2 - increment once every 2nS, Gen3 - increment once every 1nS",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0xf",
	.desc = "Total Write Cache Occupancy : Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total Write Cache Occupancy : Any Source : Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events. : Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.iv_q",
	.event = "umask=0x2,event=0xf",
	.desc = "Total Write Cache Occupancy : Snoops. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total Write Cache Occupancy : Snoops : Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.mem",
	.event = "umask=0x4,event=0xf",
	.desc = "Total IRP occupancy of inbound read and write requests to coherent memory. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total IRP occupancy of inbound read and write requests to coherent memory.  This is effectively the sum of read occupancy and write occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the IO coherency tracker (IRP). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x10",
	.desc = "Coherent Ops : CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Coherent Ops : CLFlush : Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x10",
	.desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline to coherent memory, without a RFO.  PCIITOM is a speculative Invalidate to Modified command that requests ownership of the cacheline and does not move data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x10",
	.desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline to coherent memory.  RFO is a Read For Ownership command that requests ownership of the cacheline and moves data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x10",
	.desc = "Coherent Ops : WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Coherent Ops : WbMtoI : Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_full",
	.event = "event=0x17",
	.desc = "FAF RF full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_inserts",
	.event = "event=0x18",
	.desc = "Inbound read requests received by the IRP and inserted into the FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound read requests to coherent memory, received by the IRP and inserted into the Fire and Forget queue (FAF), a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_occupancy",
	.event = "event=0x19",
	.desc = "Occupancy of the IRP FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Occupancy of the IRP Fire and Forget (FAF) queue, a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_transactions",
	.event = "event=0x16",
	.desc = "FAF allocation -- sent to ADQ. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.evicts",
	.event = "umask=0x4,event=0x20",
	.desc = ": All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.inbound_inserts",
	.event = "umask=0x1,event=0x20",
	.desc = ": All Inserts Inbound (p2p + faf + cset). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.outbound_inserts",
	.event = "umask=0x2,event=0x20",
	.desc = ": All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.slowpath_fwpf_no_prf",
	.event = "umask=0x80,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Slow path fwpf didn't find prefetch. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x1f",
	.desc = "Misc Events - Set 1 : Lost Forward. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Lost Forward : Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x1f",
	.desc = "Misc Events - Set 1 : Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Received Invalid : Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x1f",
	.desc = "Misc Events - Set 1 : Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Received Valid : Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of E Line : Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of I Line : Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of M Line : Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of S Line : Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_inserts",
	.event = "event=0x14",
	.desc = "P2P Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P Requests : P2P requests from the ITC",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_occupancy",
	.event = "event=0x15",
	.desc = "P2P Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P Occupancy : P2P B & S Queue Occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.cmpl",
	.event = "umask=0x8,event=0x13",
	.desc = "P2P Transactions : P2P completions. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc",
	.event = "umask=0x40,event=0x13",
	.desc = "P2P Transactions : match if local only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc_and_tgt_match",
	.event = "umask=0x80,event=0x13",
	.desc = "P2P Transactions : match if local and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.msg",
	.event = "umask=0x4,event=0x13",
	.desc = "P2P Transactions : P2P Message. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rd",
	.event = "umask=0x1,event=0x13",
	.desc = "P2P Transactions : P2P reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem",
	.event = "umask=0x10,event=0x13",
	.desc = "P2P Transactions : Match if remote only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem_and_tgt_match",
	.event = "umask=0x20,event=0x13",
	.desc = "P2P Transactions : match if remote and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.wr",
	.event = "umask=0x2,event=0x13",
	.desc = "P2P Transactions : P2P Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit",
	.event = "umask=0x7e,event=0x12",
	.desc = "Responses to snoops of any type that hit M, E, S or I line in the IIO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M, E, S or I line in the IIO",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_es",
	.event = "umask=0x74,event=0x12",
	.desc = "Responses to snoops of any type that hit E or S line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit E or S line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_i",
	.event = "umask=0x72,event=0x12",
	.desc = "Responses to snoops of any type that hit I line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit I line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_m",
	.event = "umask=0x78,event=0x12",
	.desc = "Responses to snoops of any type that hit M line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_miss",
	.event = "umask=0x71,event=0x12",
	.desc = "Responses to snoops of any type that miss the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that miss the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x12",
	.desc = "Snoop Responses : Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x12",
	.desc = "Snoop Responses : Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x12",
	.desc = "Snoop Responses : Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x12",
	.desc = "Snoop Responses : Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x12",
	.desc = "Snoop Responses : SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x12",
	.desc = "Snoop Responses : SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x12",
	.desc = "Snoop Responses : SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x11",
	.desc = "Inbound Transaction Count : Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Atomic : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x11",
	.desc = "Inbound Transaction Count : Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Other : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x11",
	.desc = "Inbound Transaction Count : Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Writes : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x11",
	.desc = "Inbound write (fast path) requests received by the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound write (fast path) requests to coherent memory, received by the IRP resulting in write ownership requests issued by IRP to the mesh",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_ak_inserts",
	.event = "event=0xb",
	.desc = "AK Egress Allocations. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_cycles_full",
	.event = "event=0x5",
	.desc = "BL DRS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_inserts",
	.event = "event=0x2",
	.desc = "BL DRS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_occupancy",
	.event = "event=0x8",
	.desc = "BL DRS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_cycles_full",
	.event = "event=0x6",
	.desc = "BL NCB Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_inserts",
	.event = "event=0x3",
	.desc = "BL NCB Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_occupancy",
	.event = "event=0x9",
	.desc = "BL NCB Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_cycles_full",
	.event = "event=0x7",
	.desc = "BL NCS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_inserts",
	.event = "event=0x4",
	.desc = "BL NCS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_occupancy",
	.event = "event=0xa",
	.desc = "BL NCS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad01_stall_credit_cycles",
	.event = "event=0x1c",
	.desc = "UNC_I_TxR2_AD01_STALL_CREDIT_CYCLES. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = ": Counts the number times when it is not possible to issue a request to the M2PCIe because there are no Egress Credits available on AD0, A1 or AD0&AD1 both. Stalls on both AD0 and AD1 will count as 2",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad0_stall_credit_cycles",
	.event = "event=0x1a",
	.desc = "No AD0 Egress Credits Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No AD0 Egress Credits Stalls : Counts the number times when it is not possible to issue a request to the M2PCIe because there are no AD0 Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad1_stall_credit_cycles",
	.event = "event=0x1b",
	.desc = "No AD1 Egress Credits Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No AD1 Egress Credits Stalls : Counts the number times when it is not possible to issue a request to the M2PCIe because there are no AD1 Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_bl_stall_credit_cycles",
	.event = "event=0x1d",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No BL Egress Credit Stalls : Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncb",
	.event = "event=0xd",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Read Requests : Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncs",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Read Requests : Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_request_occupancy",
	.event = "event=0xc",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Request Queue Occupancy : Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.not_taken",
	.event = "umask=0x2,event=0x22",
	.desc = "M2M to iMC Bypass : Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.taken",
	.event = "umask=0x1,event=0x22",
	.desc = "M2M to iMC Bypass : Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.not_taken",
	.event = "umask=0x2,event=0x21",
	.desc = "M2M to iMC Bypass : Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.taken",
	.event = "umask=0x1,event=0x21",
	.desc = "M2M to iMC Bypass : Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the mesh to memory (M2M). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_dirstate",
	.event = "event=0x24",
	.desc = "Cycles when direct to core mode, which bypasses the CHA, was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_notforked",
	.event = "event=0x60",
	.desc = "UNC_M2M_DIRECT2CORE_NOT_TAKEN_NOTFORKED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_txn_override",
	.event = "event=0x25",
	.desc = "Number of reads in which direct to core transaction was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.all",
	.event = "umask=0x704,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_all",
	.event = "umask=0x104,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_from_tgr",
	.event = "umask=0x140,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_isoch",
	.event = "umask=0x102,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_normal",
	.event = "umask=0x101,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_all",
	.event = "umask=0x204,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_from_tgr",
	.event = "umask=0x240,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_isoch",
	.event = "umask=0x202,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_normal",
	.event = "umask=0x201,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.from_tgr",
	.event = "umask=0x740,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.isoch",
	.event = "umask=0x702,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.normal",
	.event = "umask=0x701,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.all",
	.event = "umask=0x1c10,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_all",
	.event = "umask=0x410,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_full",
	.event = "umask=0x401,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_full_isoch",
	.event = "umask=0x404,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_partial",
	.event = "umask=0x402,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_partial_isoch",
	.event = "umask=0x408,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_all",
	.event = "umask=0x810,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_full",
	.event = "umask=0x801,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_full_isoch",
	.event = "umask=0x804,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_partial",
	.event = "umask=0x802,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_partial_isoch",
	.event = "umask=0x808,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full",
	.event = "umask=0x1c01,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full_isoch",
	.event = "umask=0x1c04,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial",
	.event = "umask=0x1c02,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial_isoch",
	.event = "umask=0x1c08,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_mirr_wrq_inserts",
	.event = "event=0x64",
	.desc = "Write Tracker Inserts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_mirr_wrq_occupancy",
	.event = "event=0x65",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mc",
	.event = "umask=0x2,event=0x4c",
	.desc = "Number Packet Header Matches : MC Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mesh",
	.event = "umask=0x1,event=0x4c",
	.desc = "Number Packet Header Matches : Mesh Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cis_drops",
	.event = "event=0x73",
	.desc = "UNC_M2M_PREFCAM_CIS_DROPS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.allch",
	.event = "umask=0x7,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.ch0",
	.event = "umask=0x1,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.ch1",
	.event = "umask=0x2,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.allch",
	.event = "umask=0x7,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.ch0",
	.event = "umask=0x1,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.ch1",
	.event = "umask=0x2,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_hita0_inval",
	.event = "umask=0x1,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_hita1_inval",
	.event = "umask=0x2,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_miss_inval",
	.event = "umask=0x4,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_rsp_pdreset",
	.event = "umask=0x8,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_hita0_inval",
	.event = "umask=0x10,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_hita1_inval",
	.event = "umask=0x20,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_miss_inval",
	.event = "umask=0x40,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_rsp_pdreset",
	.event = "umask=0x80,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch0_xpt",
	.event = "umask=0x1,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch1_xpt",
	.event = "umask=0x4,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.xpt_allch",
	.event = "umask=0x15,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch0_xpt",
	.event = "umask=0x1,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch0_xptupi",
	.event = "umask=0x1,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 0",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch1_xpt",
	.event = "umask=0x4,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch1_xptupi",
	.event = "umask=0x4,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 1",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch2_xptupi",
	.event = "umask=0x10,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 2",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.xptupi_allch",
	.event = "umask=0x15,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - All Channels",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.xpt_allch",
	.event = "umask=0x15,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch0_xpt",
	.event = "umask=0x1,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch0_xptupi",
	.event = "umask=0x1,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI- Ch 0",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch1_xpt",
	.event = "umask=0x4,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch1_xptupi",
	.event = "umask=0x4,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI- Ch 1",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch2_xptupi",
	.event = "umask=0x10,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.xptupi_allch",
	.event = "umask=0x15,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.xpt_allch",
	.event = "umask=0x15,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.errorblk_rxc",
	.event = "umask=0x10,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.not_pf_sad_region",
	.event = "umask=0x2,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_ad_crd",
	.event = "umask=0x20,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_cam_full",
	.event = "umask=0x40,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_cam_hit",
	.event = "umask=0x4,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_secure_drop",
	.event = "umask=0x1,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.rpq_proxy",
	.event = "event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.stop_b2b",
	.event = "umask=0x8,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.wpq_proxy",
	.event = "umask=0x80,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.xpt_thresh",
	.event = "event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.errorblk_rxc",
	.event = "umask=0x10,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.not_pf_sad_region",
	.event = "umask=0x2,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_ad_crd",
	.event = "umask=0x20,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_cam_full",
	.event = "umask=0x40,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_cam_hit",
	.event = "umask=0x4,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_secure_drop",
	.event = "umask=0x1,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.rpq_proxy",
	.event = "event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.stop_b2b",
	.event = "umask=0x8,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.wpq_proxy",
	.event = "umask=0x80,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.xpt_thresh",
	.event = "event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch0_xpt",
	.event = "umask=0x1,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch1_xpt",
	.event = "umask=0x4,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.xpt_allch",
	.event = "umask=0x15,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.allch",
	.event = "umask=0x7,event=0x6a",
	.desc = "Prefetch CAM Occupancy : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.ch0",
	.event = "umask=0x1,event=0x6a",
	.desc = "Prefetch CAM Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.ch1",
	.event = "umask=0x2,event=0x6a",
	.desc = "Prefetch CAM Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.allch",
	.event = "umask=0x7,event=0x76",
	.desc = ": All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.ch0",
	.event = "umask=0x1,event=0x76",
	.desc = ": Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.ch1",
	.event = "umask=0x2,event=0x76",
	.desc = ": Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_cycles_ne",
	.event = "event=0x79",
	.desc = "UNC_M2M_PREFCAM_RxC_CYCLES_NE. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.1lm_posted",
	.event = "umask=0x2,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.1LM_POSTED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.cis",
	.event = "umask=0x8,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.CIS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.squashed",
	.event = "umask=0x1,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.SQUASHED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_inserts",
	.event = "event=0x78",
	.desc = "UNC_M2M_PREFCAM_RxC_INSERTS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_occupancy",
	.event = "event=0x77",
	.desc = "UNC_M2M_PREFCAM_RxC_OCCUPANCY. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd.ch0",
	.event = "umask=0x1,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd.ch1",
	.event = "umask=0x2,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_spec_crd.ch0",
	.event = "umask=0x1,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_spec_crd.ch1",
	.event = "umask=0x2,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_full",
	.event = "event=0x4",
	.desc = "AD Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_ne",
	.event = "event=0x3",
	.desc = "AD Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_inserts",
	.event = "event=0x1",
	.desc = "AD Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_occupancy",
	.event = "event=0x2",
	.desc = "AD Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_pref_occupancy",
	.event = "event=0x77",
	.desc = "AD Ingress (from CMS) Occupancy - Prefetches. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ak_wr_cmp",
	.event = "event=0x5c",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_full",
	.event = "event=0x8",
	.desc = "BL Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_ne",
	.event = "event=0x7",
	.desc = "BL Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_inserts",
	.event = "event=0x5",
	.desc = "BL Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_occupancy",
	.event = "event=0x6",
	.desc = "BL Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_ad_credits",
	.event = "event=0x41",
	.desc = "Number AD Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_bl_credits",
	.event = "event=0x42",
	.desc = "Number BL Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_full.ch0",
	.event = "umask=0x1,event=0x45",
	.desc = "Tracker Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_full.ch1",
	.event = "umask=0x2,event=0x45",
	.desc = "Tracker Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x49",
	.desc = "Tracker Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x49",
	.desc = "Tracker Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_ne.ch0",
	.event = "umask=0x1,event=0x46",
	.desc = "Tracker Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_ne.ch1",
	.event = "umask=0x2,event=0x46",
	.desc = "Tracker Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x47",
	.desc = "Tracker Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x47",
	.desc = "Tracker Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credits_acquired",
	.event = "event=0xd",
	.desc = "AD Egress (to CMS) Credit Acquired. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credit_occupancy",
	.event = "event=0xe",
	.desc = "AD Egress (to CMS) Credits Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_full",
	.event = "event=0xc",
	.desc = "AD Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_ne",
	.event = "event=0xb",
	.desc = "AD Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_inserts",
	.event = "event=0x9",
	.desc = "AD Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_cycles",
	.event = "event=0xf",
	.desc = "Cycles with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_stalled",
	.event = "event=0x10",
	.desc = "Cycles Stalled with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_occupancy",
	.event = "event=0xa",
	.desc = "AD Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.crd_cbo",
	.event = "umask=0x2,event=0x39",
	.desc = "Outbound Ring Transactions on AK : CRD Transactions to Cbo. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.ndr",
	.event = "umask=0x1,event=0x39",
	.desc = "Outbound Ring Transactions on AK : NDR Transactions. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_akc_credits",
	.event = "event=0x5f",
	.desc = "AKC Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms0",
	.event = "umask=0x1,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms1",
	.event = "umask=0x2,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.all",
	.event = "umask=0x3,event=0x14",
	.desc = "AK Egress (to CMS) Full : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms0",
	.event = "umask=0x1,event=0x14",
	.desc = "AK Egress (to CMS) Full : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms1",
	.event = "umask=0x2,event=0x14",
	.desc = "AK Egress (to CMS) Full : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd0",
	.event = "umask=0x8,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd1",
	.event = "umask=0x88,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp0",
	.event = "umask=0x20,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp1",
	.event = "umask=0xa0,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd0",
	.event = "umask=0x10,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd1",
	.event = "umask=0x90,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms0",
	.event = "umask=0x1,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms1",
	.event = "umask=0x2,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.rdcrd",
	.event = "umask=0x8,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcmp",
	.event = "umask=0x20,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcrd",
	.event = "umask=0x10,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.all",
	.event = "umask=0x3,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms0",
	.event = "umask=0x1,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms1",
	.event = "umask=0x2,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.pref_rd_cam_hit",
	.event = "umask=0x40,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.rdcrd",
	.event = "umask=0x8,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcmp",
	.event = "umask=0x20,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcrd",
	.event = "umask=0x10,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.all",
	.event = "umask=0x3,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms0",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms1",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.rdcrd",
	.event = "umask=0x8,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcmp",
	.event = "umask=0x20,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcrd",
	.event = "umask=0x10,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_cache",
	.event = "umask=0x1,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache : Data to Cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_core",
	.event = "umask=0x2,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache : Data to Core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms0",
	.event = "umask=0x1,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms1",
	.event = "umask=0x2,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.all",
	.event = "umask=0x3,event=0x18",
	.desc = "BL Egress (to CMS) Full : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms0",
	.event = "umask=0x1,event=0x18",
	.desc = "BL Egress (to CMS) Full : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms1",
	.event = "umask=0x2,event=0x18",
	.desc = "BL Egress (to CMS) Full : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms0",
	.event = "umask=0x1,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms1",
	.event = "umask=0x2,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.all",
	.event = "umask=0x3,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms0",
	.event = "umask=0x1,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms1",
	.event = "umask=0x2,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_flush.ch0",
	.event = "umask=0x1,event=0x58",
	.desc = "WPQ Flush : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_flush.ch1",
	.event = "umask=0x2,event=0x58",
	.desc = "WPQ Flush : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Regular : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn0",
	.event = "umask=0x1,event=0x4e",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Special : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn1",
	.event = "umask=0x2,event=0x4e",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Special : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn2",
	.event = "umask=0x4,event=0x4e",
	.desc = "M2M-&gt;iMC WPQ Cycles w/Credits - Special : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.ch0",
	.event = "umask=0x1,event=0x4a",
	.desc = "Write Tracker Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.ch1",
	.event = "umask=0x2,event=0x4a",
	.desc = "Write Tracker Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.mirr",
	.event = "umask=0x8,event=0x4a",
	.desc = "Write Tracker Cycles Full : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x56",
	.desc = "Write Tracker Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x56",
	.desc = "Write Tracker Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.ch0",
	.event = "umask=0x1,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.ch1",
	.event = "umask=0x2,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr",
	.event = "umask=0x8,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr_nontgr",
	.event = "umask=0x10,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr_pwr",
	.event = "umask=0x20,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_inserts.ch0",
	.event = "umask=0x1,event=0x63",
	.desc = "Write Tracker Non-Posted Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_inserts.ch1",
	.event = "umask=0x2,event=0x63",
	.desc = "Write Tracker Non-Posted Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_occupancy.ch0",
	.event = "umask=0x1,event=0x62",
	.desc = "Write Tracker Non-Posted Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_occupancy.ch1",
	.event = "umask=0x2,event=0x62",
	.desc = "Write Tracker Non-Posted Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x55",
	.desc = "Write Tracker Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x55",
	.desc = "Write Tracker Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr",
	.event = "umask=0x8,event=0x55",
	.desc = "Write Tracker Occupancy : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr_nontgr",
	.event = "umask=0x10,event=0x55",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr_pwr",
	.event = "umask=0x20,event=0x55",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_inserts.ch0",
	.event = "umask=0x1,event=0x5e",
	.desc = "Write Tracker Posted Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_inserts.ch1",
	.event = "umask=0x2,event=0x5e",
	.desc = "Write Tracker Posted Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_occupancy.ch0",
	.event = "umask=0x1,event=0x5d",
	.desc = "Write Tracker Posted Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_occupancy.ch1",
	.event = "umask=0x2,event=0x5d",
	.desc = "Write Tracker Posted Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the mesh to PCI (M2P). Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.drs_0",
	.event = "umask=0x1,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : DRS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.drs_1",
	.event = "umask=0x2,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : DRS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncb_0",
	.event = "umask=0x4,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCB : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncb_1",
	.event = "umask=0x8,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCB : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncs_0",
	.event = "umask=0x10,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncs_1",
	.event = "umask=0x20,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credit for transfer through CMS Port 0s to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : DRS : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : NCB : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : NCS : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.drs_0",
	.event = "umask=0x1,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.drs_1",
	.event = "umask=0x2,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncb_0",
	.event = "umask=0x4,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncb_1",
	.event = "umask=0x8,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncs_0",
	.event = "umask=0x10,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncs_1",
	.event = "umask=0x20,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credit for transfer through CMS Port 0s to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf0_ncb",
	.event = "umask=0x1,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf0_ncs",
	.event = "umask=0x2,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf1_ncb",
	.event = "umask=0x4,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf1_ncs",
	.event = "umask=0x8,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf2_ncb",
	.event = "umask=0x10,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf2_ncs",
	.event = "umask=0x20,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf3_ncb",
	.event = "umask=0x10,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf3_ncs",
	.event = "umask=0x20,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf4_ncb",
	.event = "umask=0x1,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf4_ncs",
	.event = "umask=0x2,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf5_ncb",
	.event = "umask=0x4,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf5_ncs",
	.event = "umask=0x8,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_0",
	.event = "umask=0x1,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_1",
	.event = "umask=0x2,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_2",
	.event = "umask=0x4,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_0",
	.event = "umask=0x1,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_1",
	.event = "umask=0x2,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_2",
	.event = "umask=0x4,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_3",
	.event = "umask=0x8,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_4",
	.event = "umask=0x10,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_5",
	.event = "umask=0x20,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.all",
	.event = "umask=0x10,event=0x14",
	.desc = "P2P Credit Occupancy : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.local_ncb",
	.event = "umask=0x1,event=0x14",
	.desc = "P2P Credit Occupancy : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.local_ncs",
	.event = "umask=0x2,event=0x14",
	.desc = "P2P Credit Occupancy : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.remote_ncb",
	.event = "umask=0x4,event=0x14",
	.desc = "P2P Credit Occupancy : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.remote_ncs",
	.event = "umask=0x8,event=0x14",
	.desc = "P2P Credit Occupancy : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.all",
	.event = "umask=0x10,event=0x16",
	.desc = "Dedicated Credits Received : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.local_ncb",
	.event = "umask=0x1,event=0x16",
	.desc = "Dedicated Credits Received : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.local_ncs",
	.event = "umask=0x2,event=0x16",
	.desc = "Dedicated Credits Received : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.remote_ncb",
	.event = "umask=0x4,event=0x16",
	.desc = "Dedicated Credits Received : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.remote_ncs",
	.event = "umask=0x8,event=0x16",
	.desc = "Dedicated Credits Received : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.all",
	.event = "umask=0x10,event=0x15",
	.desc = "Shared Credits  Received : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.local_ncb",
	.event = "umask=0x1,event=0x15",
	.desc = "Shared Credits  Received : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.local_ncs",
	.event = "umask=0x2,event=0x15",
	.desc = "Shared Credits  Received : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.remote_ncb",
	.event = "umask=0x4,event=0x15",
	.desc = "Shared Credits  Received : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.remote_ncs",
	.event = "umask=0x8,event=0x15",
	.desc = "Shared Credits  Received : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_0",
	.event = "umask=0x1,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_1",
	.event = "umask=0x2,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_2",
	.event = "umask=0x4,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_0",
	.event = "umask=0x1,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_1",
	.event = "umask=0x2,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_2",
	.event = "umask=0x4,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.all",
	.event = "umask=0x80,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_idi",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_ncb",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_ncs",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.iio_ncb",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.iio_ncs",
	.event = "umask=0x40,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.all",
	.event = "umask=0x80,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_idi",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_ncb",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_ncs",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.iio_ncb",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.iio_ncs",
	.event = "umask=0x40,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_credits.prq",
	.event = "umask=0x1,event=0x2d",
	.desc = "UNC_M2P_TxC_CREDITS.PRQ. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ad_0",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ad_1",
	.event = "umask=0x10,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ak_0",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ak_1",
	.event = "umask=0x20,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.bl_0",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.bl_1",
	.event = "umask=0x40,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ad_0",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ad_1",
	.event = "umask=0x10,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ak_0",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ak_1",
	.event = "umask=0x20,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.bl_0",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.bl_1",
	.event = "umask=0x40,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ad_0",
	.event = "umask=0x1,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ad_1",
	.event = "umask=0x10,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ak_crd_0",
	.event = "umask=0x8,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ak_crd_1",
	.event = "umask=0x80,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.bl_0",
	.event = "umask=0x4,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.bl_1",
	.event = "umask=0x40,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the UBOX using a dedicated 48-bit Fixed Counter. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "Message Received : Doorbell. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "Message Received : Interrupt. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : Interrupt : Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "Message Received : IPI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : IPI : Inter Processor Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "Message Received : MSI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : MSI : Message Signaled Interrupts - interrupts sent by devices (including PCIe via IOxAPIC) (Socket Mode only)",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "Message Received : VLW. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : VLW : Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "IDI Lock/SplitLock Cycles : Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_cbo_ncb",
	.event = "umask=0x1,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_CBO_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_cbo_ncs",
	.event = "umask=0x2,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_CBO_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_cbo_ncb",
	.event = "umask=0x10,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_CBO_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_cbo_ncs",
	.event = "umask=0x20,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_CBO_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.rxc_cycles_empty_bl",
	.event = "umask=0x2,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.RxC_CYCLES_EMPTY_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.rxc_cycles_full_bl",
	.event = "umask=0x1,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.RxC_CYCLES_FULL_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_crd_ovf_vn0_ncb",
	.event = "umask=0x4,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_CRD_OVF_VN0_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_crd_ovf_vn0_ncs",
	.event = "umask=0x8,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_CRD_OVF_VN0_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_ak",
	.event = "umask=0x20,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_AK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_akc",
	.event = "umask=0x40,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_AKC. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_bl",
	.event = "umask=0x10,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_full_bl",
	.event = "umask=0x80,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_FULL_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc3.txc_cycles_full_ak",
	.event = "umask=0x1,event=0x4f",
	.desc = "UNC_U_M2U_MISC3.TxC_CYCLES_FULL_AK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc3.txc_cycles_full_akc",
	.event = "umask=0x2,event=0x4f",
	.desc = "UNC_U_M2U_MISC3.TxC_CYCLES_FULL_AKC. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack : Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Cycles PHOLD Assert to Ack : Assert to ACK : PHOLD cycles",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.pftch_buf_empty",
	.event = "umask=0x4,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.PFTCH_BUF_EMPTY. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdrand",
	.event = "umask=0x1,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDRAND. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdseed",
	.event = "umask=0x2,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDSEED. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "RACU Request : Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "core_reject_l2q.any",
	.event = "period=200003,event=0x31",
	.desc = "Counts the number of core requests (demand and L1 prefetchers) rejected by the L2 queue (L2Q) due to a full condition",
	.topic = "cache",
	.long_desc = "Counts the number of (demand and L1 prefetchers) core requests rejected by the L2 queue (L2Q) due to a full or nearly full condition, which likely indicates back pressure from L2Q.  It also counts requests that would have gone directly to the External Queue (XQ), but are rejected due to a full or nearly full condition, indicating back pressure from the IDI link.  The L2Q may also reject transactions  from a core to ensure fairness between cores, or to delay a cores dirty eviction when the address conflicts incoming external snoops.  (Note that L2 prefetcher requests that are dropped are not counted by this event).  Counts on a per core basis",
},
{
	.name = "dl1.dirty_eviction",
	.event = "period=200003,umask=0x1,event=0x51",
	.desc = "Counts the number of L1D cacheline (dirty) evictions caused by load misses, stores, and prefetches",
	.topic = "cache",
	.long_desc = "Counts the number of L1D cacheline (dirty) evictions caused by load misses, stores, and prefetches.  Does not count evictions or dirty writebacks caused by snoops.  Does not count a replacement unless a (dirty) line was written back",
},
{
	.name = "l2_reject_xq.any",
	.event = "period=200003,event=0x30",
	.desc = "Counts the number of demand and prefetch transactions that the External Queue (XQ) rejects due to a full or near full condition",
	.topic = "cache",
	.long_desc = "Counts the number of demand and prefetch transactions that the External Queue (XQ) rejects due to a full or near full condition which likely indicates back pressure from the IDI link.  The XQ may reject transactions from the L2Q (non-cacheable requests), BBL (L2 misses) and WOB (L2 write-back victims)",
},
{
	.name = "l2_request.all",
	.event = "period=200003,event=0x24",
	.desc = "Counts the total number of L2 Cache accesses. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 Cache Accesses, includes hits, misses, rejects  front door requests for CRd/DRd/RFO/ItoM/L2 Prefetches only.  Counts on a per core basis",
},
{
	.name = "l2_request.hit",
	.event = "period=200003,umask=0x2,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that resulted in a hit. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that resulted in a hit from a front door request only (does not include rejects or recycles), Counts on a per core basis",
},
{
	.name = "l2_request.miss",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that resulted in a miss. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that resulted in a miss from a front door request only (does not include rejects or recycles). Counts on a per core basis",
},
{
	.name = "l2_request.rejects",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "Counts the number of L2 Cache accesses that miss the L2 and get rejected. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of L2 Cache accesses that miss the L2 and get BBL reject  short and long rejects (includes those counted in L2_reject_XQ.any). Counts on a per core basis",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that miss in the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that miss in the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the number of cacheable memory requests that access the LLC. Counts on a per core basis",
	.topic = "cache",
	.long_desc = "Counts the number of cacheable memory requests that access the Last Level Cache (LLC). Requests include demand loads, reads for ownership (RFO), instruction fetches and L1 HW prefetches. If the platform has an L3 cache, the LLC is the L3 cache, otherwise it is the L2 cache. Counts on a per core basis",
},
{
	.name = "mem_bound_stalls.ifetch",
	.event = "period=200003,umask=0x38,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.ifetch_dram_hit",
	.event = "period=200003,umask=0x20,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or translation lookaside buffer (TLB) miss which hit in DRAM or MMIO (non-DRAM)",
},
{
	.name = "mem_bound_stalls.ifetch_l2_hit",
	.event = "period=200003,umask=0x8,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the L2 cache",
},
{
	.name = "mem_bound_stalls.ifetch_llc_hit",
	.event = "period=200003,umask=0x10,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to an instruction cache or TLB miss which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to an instruction cache or Translation Lookaside Buffer (TLB) miss which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_bound_stalls.load",
	.event = "period=200003,umask=0x7,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in the L2, LLC, DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_dram_hit",
	.event = "period=200003,umask=0x4,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load miss which hit in DRAM or MMIO (Non-DRAM)",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_l2_hit",
	.event = "period=200003,umask=0x1,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the L2 cache",
	.topic = "cache",
},
{
	.name = "mem_bound_stalls.load_llc_hit",
	.event = "period=200003,umask=0x2,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the LLC or other core with HITE/F/M",
	.topic = "cache",
	.long_desc = "Counts the number of cycles the core is stalled due to a demand load which hit in the Last Level Cache (LLC) or other core with HITE/F/M",
},
{
	.name = "mem_bound_stalls.store_buffer_full",
	.event = "period=200003,umask=0x40,event=0x34",
	.desc = "Counts the number of cycles the core is stalled due to a store buffer being full",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in DRAM  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache, in which a snoop was required and modified data was forwarded from another core or module  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=200003,umask=0x1,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L1 data cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Counts the number of load uops retired that miss in the L1 data cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L2 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=200003,umask=0x10,event=0xd1",
	.desc = "Counts the number of load uops retired that miss in the L2 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l3_hit",
	.event = "period=200003,umask=0x4,event=0xd1",
	.desc = "Counts the number of load uops retired that hit in the L3 cache  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all",
	.event = "period=200003,umask=0x83,event=0xd0",
	.desc = "Counts the number of memory uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the number of memory uops retired.  A single uop that performs both a load AND a store will be counted as 1, not 2 (e.g. ADD [mem], CONST)  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Counts the number of load uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of load uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Counts the number of store uops retired  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the total number of store uops retired  Supports address when precise (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=200003,umask=0x21,event=0xd0",
	.desc = "Counts the number of load uops retired that performed one or more locks  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split",
	.event = "period=200003,umask=0x43,event=0xd0",
	.desc = "Counts the number of memory uops retired that were splits  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Counts the number of retired split load uops  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=200003,umask=0x42,event=0xd0",
	.desc = "Counts the number of retired split store uops  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.all_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0044",
	.desc = "Counts all code reads that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.corewb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3001F803C0000",
	.desc = "Counts modified writebacks from L1 cache and L2 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_and_l1pf_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "Counts cacheable demand data reads, L1 data cache hardware prefetches and software prefetches (except PREFETCHW) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HITM",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HIT_NO_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_MISS",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0001",
	.desc = "This event is deprecated. Refer to new event OCR.DEMAND_DATA_AND_L1PF_RD.L3_HIT.SNOOP_NOT_NEEDED",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0002",
	.desc = "Counts demand reads for ownership (RFO) and software prefetches for exclusive ownership (PREFETCHW) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.full_streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x801F803C0000",
	.desc = "Counts streaming stores which modify a full 64 byte cacheline that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0400",
	.desc = "Counts L1 data cache hardware prefetches and software prefetches (except PREFETCHW and PFRFO) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_code_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0040",
	.desc = "Counts L2 cache hardware prefetch code reads (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_data_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0010",
	.desc = "Counts L2 cache hardware prefetch data reads (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l2_rfo.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0020",
	.desc = "Counts L2 cache hardware prefetch RFOs (written to the L2 cache only) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.l1wb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001F803C0000",
	.desc = "Counts modified writebacks from L1 cache that miss the L2 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.l2wb_m.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2001F803C0000",
	.desc = "Counts modified writeBacks from L2 cache that miss the L3 cache that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.partial_streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x401F803C0000",
	.desc = "Counts streaming stores which modify only part of a 64 byte cacheline that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003C0477",
	.desc = "Counts all data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1F803C0800",
	.desc = "Counts streaming stores that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x101F803C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1010003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1004003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, but no data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent, the snoop hit, and non-modified data was forwarded",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1002003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where a snoop was sent but the snoop missed",
	.topic = "cache",
},
{
	.name = "ocr.uc_rd.l3_hit.snoop_not_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1001003C0000",
	.desc = "Counts uncached memory reads that were supplied by the L3 cache where no snoop was needed to satisfy the request",
	.topic = "cache",
},
{
	.name = "ocr.uc_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x201F803C0000",
	.desc = "Counts uncached memory writes that were supplied by the L3 cache",
	.topic = "cache",
},
{
	.name = "topdown_fe_bound.icache",
	.event = "period=1000003,umask=0x20,event=0x71",
	.desc = "Counts the number of issue slots every cycle that were not delivered by the frontend due to instruction cache misses",
	.topic = "cache",
},
{
	.name = "llc_misses.mem_read",
	.event = "umask=0xf,event=0x4",
	.desc = "read requests to memory controller. Derived from unc_m_cas_count.rd. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Read CAS commands, w/ and w/o auto-pre, issued on this channel.  This includes underfills",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "llc_misses.mem_write",
	.event = "umask=0x30,event=0x4",
	.desc = "write requests to memory controller. Derived from unc_m_cas_count.wr. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Write CAS commands issued, w/ and w/o auto-pre, on this channel",
	.pmu = "uncore_imc",
	.unit = "64Bytes",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.all",
	.event = "umask=0xb,event=0x1",
	.desc = "DRAM Activate Count : All Activates. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Activate Count : All Activates : Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count : Activate due to Bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Activate Count : Activate due to Bypass : Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0x3f,event=0x4",
	.desc = "All DRAM CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0xf,event=0x4",
	.desc = "All DRAM read CAS commands issued (including underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Read CAS commands, w/ and w/o auto-pre, issued on this channel.  This includes underfills",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_reg",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS commands w/auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS commands w/auto-pre : DRAM RD_CAS and WR_CAS Commands : Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with explicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_underfill",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "All DRAM read CAS commands issued (does not include underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.   We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM underfill read CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total of DRAM Read CAS commands issued due to an underfill",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0x30,event=0x4",
	.desc = "All DRAM write CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Write CAS commands issued, w/ and w/o auto-pre, on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_nonpre",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_pre",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/ auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/ auto-pre : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "Memory controller clock ticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Clockticks of the integrated memory controller (IMC)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for the Memory Controller. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "UNC_M_CLOCKTICKS_FREERUN",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x44",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge All Commands : Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.opportunistic",
	.event = "umask=0x1,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_hclockticks",
	.event = "event=0xff",
	.desc = "Half clockticks for IMC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_parity_errors",
	.event = "event=0x2c",
	.desc = "UNC_M_PARITY_ERRORS. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.rd",
	.event = "umask=0x1,event=0xa0",
	.desc = "UNC_M_PCLS.RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.total",
	.event = "umask=0x4,event=0xa0",
	.desc = "UNC_M_PCLS.TOTAL. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.wr",
	.event = "umask=0x2,event=0xa0",
	.desc = "UNC_M_PCLS.WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Cycles where DRAM ranks are in power down (CKE) mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Channel PPD Cycles : Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_channel_ppd / unc_m_clockticks) * 100",
	.metric_name = "power_channel_ppd",
},
{
	.name = "unc_m_power_cke_cycles.low_0",
	.event = "umask=0x1,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_1",
	.event = "umask=0x2,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_2",
	.event = "umask=0x4,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_3",
	.event = "umask=0x8,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_crit_throttle_cycles.slot0",
	.event = "umask=0x1,event=0x86",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1. : Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_crit_throttle_cycles.slot1",
	.event = "umask=0x2,event=0x86",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Cycles Memory is in self refresh power mode. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Clock-Enabled Self-Refresh : Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.metric_expr = "(unc_m_power_self_refresh / unc_m_clockticks) * 100",
	.metric_name = "power_self_refresh",
},
{
	.name = "unc_m_power_throttle_cycles.slot0",
	.event = "umask=0x1,event=0x46",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1. : Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.slot1",
	.event = "umask=0x2,event=0x46",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.all",
	.event = "umask=0x1c,event=0x2",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0xc,event=0x2",
	.desc = "Pre-charges due to page misses. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to page miss : Counts the number of DRAM Precharge commands sent on this channel. : Pages Misses are due to precharges from bank scheduler (rd/wr requests)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.pgt",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands. : Precharge due to page table. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to page table : Counts the number of DRAM Precharge commands sent on this channel. : Prechages from Page Table",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "Pre-charge for reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to read : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from read bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "Pre-charge for writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to write : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from write bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_full",
	.event = "event=0x19",
	.desc = "Read Data Buffer Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_inserts",
	.event = "event=0x17",
	.desc = "Read Data Buffer Inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_not_empty",
	.event = "event=0x18",
	.desc = "Read Data Buffer Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_occupancy",
	.event = "event=0x1a",
	.desc = "Read Data Buffer Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full_pch0",
	.event = "event=0x12",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Full Cycles : Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full_pch1",
	.event = "event=0x15",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Full Cycles : Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne.pch0",
	.event = "umask=0x1,event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Not Empty : Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne.pch1",
	.event = "umask=0x2,event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Not Empty : Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch0",
	.event = "umask=0x1,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch1",
	.event = "umask=0x2,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch0",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch1",
	.event = "event=0x81",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full_pch0",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Full Cycles : Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full_pch1",
	.event = "event=0x16",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Full Cycles : Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne.pch0",
	.event = "umask=0x1,event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Not Empty : Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne.pch1",
	.event = "umask=0x2,event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Not Empty : Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch0",
	.event = "umask=0x1,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch1",
	.event = "umask=0x2,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch0",
	.event = "event=0x82",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happenning in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch1",
	.event = "event=0x83",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happenning in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit.pch0",
	.event = "umask=0x1,event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit.pch1",
	.event = "umask=0x2,event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit.pch0",
	.event = "umask=0x1,event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit.pch1",
	.event = "umask=0x2,event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_westmereep_dp[] = {
{
	.name = "es_reg_renames",
	.event = "period=2000000,umask=0x1,event=0xd5",
	.desc = "ES segment renames",
	.topic = "other",
},
{
	.name = "io_transactions",
	.event = "period=2000000,umask=0x1,event=0x6c",
	.desc = "I/O transactions",
	.topic = "other",
},
{
	.name = "l1i.cycles_stalled",
	.event = "period=2000000,umask=0x4,event=0x80",
	.desc = "L1I instruction fetch stall cycles",
	.topic = "other",
},
{
	.name = "l1i.hits",
	.event = "period=2000000,umask=0x1,event=0x80",
	.desc = "L1I instruction fetch hits",
	.topic = "other",
},
{
	.name = "l1i.misses",
	.event = "period=2000000,umask=0x2,event=0x80",
	.desc = "L1I instruction fetch misses",
	.topic = "other",
},
{
	.name = "l1i.reads",
	.event = "period=2000000,umask=0x3,event=0x80",
	.desc = "L1I Instruction fetches",
	.topic = "other",
},
{
	.name = "large_itlb.hit",
	.event = "period=200000,umask=0x1,event=0x82",
	.desc = "Large ITLB hit",
	.topic = "other",
},
{
	.name = "load_block.overlap_store",
	.event = "period=200000,umask=0x2,event=0x3",
	.desc = "Loads that partially overlap an earlier store",
	.topic = "other",
},
{
	.name = "load_dispatch.any",
	.event = "period=2000000,umask=0x7,event=0x13",
	.desc = "All loads dispatched",
	.topic = "other",
},
{
	.name = "load_dispatch.mob",
	.event = "period=2000000,umask=0x4,event=0x13",
	.desc = "Loads dispatched from the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs",
	.event = "period=2000000,umask=0x1,event=0x13",
	.desc = "Loads dispatched that bypass the MOB",
	.topic = "other",
},
{
	.name = "load_dispatch.rs_delayed",
	.event = "period=2000000,umask=0x2,event=0x13",
	.desc = "Loads dispatched from stage 305",
	.topic = "other",
},
{
	.name = "partial_address_alias",
	.event = "period=200000,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial address aliasing",
	.topic = "other",
},
{
	.name = "sb_drain.any",
	.event = "period=200000,umask=0x7,event=0x4",
	.desc = "All Store buffer stall cycles",
	.topic = "other",
},
{
	.name = "seg_rename_stalls",
	.event = "period=2000000,umask=0x1,event=0xd4",
	.desc = "Segment rename stall cycles",
	.topic = "other",
},
{
	.name = "snoopq_requests.code",
	.event = "period=100000,umask=0x4,event=0xb4",
	.desc = "Snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.data",
	.event = "period=100000,umask=0x1,event=0xb4",
	.desc = "Snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests.invalidate",
	.event = "period=100000,umask=0x2,event=0xb4",
	.desc = "Snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code",
	.event = "period=2000000,umask=0x4,event=0xb3",
	.desc = "Outstanding snoop code requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0xb3",
	.desc = "Cycles snoop code requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data",
	.event = "period=2000000,umask=0x1,event=0xb3",
	.desc = "Outstanding snoop data requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xb3",
	.desc = "Cycles snoop data requests queued",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate",
	.event = "period=2000000,umask=0x2,event=0xb3",
	.desc = "Outstanding snoop invalidate requests",
	.topic = "other",
},
{
	.name = "snoopq_requests_outstanding.invalidate_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xb3",
	.desc = "Cycles snoop invalidate requests queued",
	.topic = "other",
},
{
	.name = "snoop_response.hit",
	.event = "period=100000,umask=0x1,event=0xb8",
	.desc = "Thread responded HIT to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hite",
	.event = "period=100000,umask=0x2,event=0xb8",
	.desc = "Thread responded HITE to snoop",
	.topic = "other",
},
{
	.name = "snoop_response.hitm",
	.event = "period=100000,umask=0x4,event=0xb8",
	.desc = "Thread responded HITM to snoop",
	.topic = "other",
},
{
	.name = "sq_full_stall_cycles",
	.event = "period=2000000,umask=0x1,event=0xf6",
	.desc = "Super Queue full stall cycles",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.any",
	.event = "period=200000,umask=0x1,event=0x8",
	.desc = "DTLB load misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x8",
	.desc = "DTLB load miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x8",
	.desc = "DTLB load miss caused by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=2000000,umask=0x10,event=0x8",
	.desc = "DTLB second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x8",
	.desc = "DTLB load miss page walks complete",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_cycles",
	.event = "period=200000,umask=0x4,event=0x8",
	.desc = "DTLB load miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x49",
	.desc = "DTLB misses",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x49",
	.desc = "DTLB miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.pde_miss",
	.event = "period=200000,umask=0x20,event=0x49",
	.desc = "DTLB misses casued by low part of address",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.stlb_hit",
	.event = "period=200000,umask=0x10,event=0x49",
	.desc = "DTLB first level misses but second level hit",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x49",
	.desc = "DTLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x49",
	.desc = "DTLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000000,umask=0x10,event=0x4f",
	.desc = "Extended Page Table walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_flush",
	.event = "period=2000000,umask=0x1,event=0xae",
	.desc = "ITLB flushes",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.any",
	.event = "period=200000,umask=0x1,event=0x85",
	.desc = "ITLB miss",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.large_walk_completed",
	.event = "period=200000,umask=0x80,event=0x85",
	.desc = "ITLB miss large page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=200000,umask=0x2,event=0x85",
	.desc = "ITLB miss page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_cycles",
	.event = "period=2000000,umask=0x4,event=0x85",
	.desc = "ITLB miss page walk cycles",
	.topic = "virtual memory",
},
{
	.name = "itlb_miss_retired",
	.event = "period=200000,umask=0x20,event=0xc8",
	.desc = "Retired instructions that missed the ITLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_load_retired.dtlb_miss",
	.event = "period=200000,umask=0x80,event=0xcb",
	.desc = "Retired loads that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "mem_store_retired.dtlb_miss",
	.event = "period=200000,umask=0x1,event=0xc",
	.desc = "Retired stores that miss the DTLB (Precise Event)",
	.topic = "virtual memory",
},
{
	.name = "macro_insts.decoded",
	.event = "period=2000000,umask=0x1,event=0xd0",
	.desc = "Instructions decoded",
	.topic = "frontend",
},
{
	.name = "macro_insts.fusions_decoded",
	.event = "period=2000000,umask=0x1,event=0xa6",
	.desc = "Macro-fused instructions decoded",
	.topic = "frontend",
},
{
	.name = "two_uop_insts_decoded",
	.event = "period=2000000,umask=0x1,event=0x19",
	.desc = "Two Uop instructions decoded",
	.topic = "frontend",
},
{
	.name = "arith.cycles_div_busy",
	.event = "period=2000000,umask=0x1,event=0x14",
	.desc = "Cycles the divider is busy",
	.topic = "pipeline",
},
{
	.name = "arith.div",
	.event = "cmask=1,edge=1,inv=1,period=2000000,umask=0x1,event=0x14",
	.desc = "Divide Operations executed",
	.topic = "pipeline",
},
{
	.name = "arith.mul",
	.event = "period=2000000,umask=0x2,event=0x14",
	.desc = "Multiply operations executed",
	.topic = "pipeline",
},
{
	.name = "baclear.bad_target",
	.event = "period=2000000,umask=0x2,event=0xe6",
	.desc = "BACLEAR asserted with bad target address",
	.topic = "pipeline",
},
{
	.name = "baclear.clear",
	.event = "period=2000000,umask=0x1,event=0xe6",
	.desc = "BACLEAR asserted, regardless of cause",
	.topic = "pipeline",
},
{
	.name = "baclear_force_iq",
	.event = "period=2000000,umask=0x1,event=0xa7",
	.desc = "Instruction queue forced BACLEAR",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.early",
	.event = "period=2000000,umask=0x1,event=0xe8",
	.desc = "Early Branch Prediciton Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_clears.late",
	.event = "period=2000000,umask=0x2,event=0xe8",
	.desc = "Late Branch Prediction Unit clears",
	.topic = "pipeline",
},
{
	.name = "bpu_missed_call_ret",
	.event = "period=2000000,umask=0x1,event=0xe5",
	.desc = "Branch prediction unit missed call or return",
	.topic = "pipeline",
},
{
	.name = "br_inst_decoded",
	.event = "period=2000000,umask=0x1,event=0xe0",
	.desc = "Branch instructions decoded",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.any",
	.event = "period=200000,umask=0x7f,event=0x88",
	.desc = "Branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.cond",
	.event = "period=200000,umask=0x1,event=0x88",
	.desc = "Conditional branch instructions executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct",
	.event = "period=200000,umask=0x2,event=0x88",
	.desc = "Unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.direct_near_call",
	.event = "period=20000,umask=0x10,event=0x88",
	.desc = "Unconditional call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_near_call",
	.event = "period=20000,umask=0x20,event=0x88",
	.desc = "Indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.indirect_non_call",
	.event = "period=20000,umask=0x4,event=0x88",
	.desc = "Indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.near_calls",
	.event = "period=20000,umask=0x30,event=0x88",
	.desc = "Call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.non_calls",
	.event = "period=200000,umask=0x7,event=0x88",
	.desc = "All non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.return_near",
	.event = "period=20000,umask=0x8,event=0x88",
	.desc = "Indirect return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken",
	.event = "period=200000,umask=0x40,event=0x88",
	.desc = "Taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200000,umask=0x4,event=0xc4",
	.desc = "Retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=200000,umask=0x1,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=20000,umask=0x2,event=0xc4",
	.desc = "Retired near call instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.any",
	.event = "period=20000,umask=0x7f,event=0x89",
	.desc = "Mispredicted branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.cond",
	.event = "period=20000,umask=0x1,event=0x89",
	.desc = "Mispredicted conditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct",
	.event = "period=20000,umask=0x2,event=0x89",
	.desc = "Mispredicted unconditional branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.direct_near_call",
	.event = "period=2000,umask=0x10,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_near_call",
	.event = "period=2000,umask=0x20,event=0x89",
	.desc = "Mispredicted indirect call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.indirect_non_call",
	.event = "period=2000,umask=0x4,event=0x89",
	.desc = "Mispredicted indirect non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.near_calls",
	.event = "period=2000,umask=0x30,event=0x89",
	.desc = "Mispredicted call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.non_calls",
	.event = "period=20000,umask=0x7,event=0x89",
	.desc = "Mispredicted non call branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.return_near",
	.event = "period=2000,umask=0x8,event=0x89",
	.desc = "Mispredicted return branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken",
	.event = "period=20000,umask=0x40,event=0x89",
	.desc = "Mispredicted taken branches executed",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=20000,umask=0x4,event=0xc5",
	.desc = "Mispredicted retired branch instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=20000,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional retired branches (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=2000,umask=0x2,event=0xc5",
	.desc = "Mispredicted near retired calls (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_p",
	.event = "period=100000,umask=0x1,event=0x3c",
	.desc = "Reference base clock (133 Mhz) cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Cycles when thread is not halted (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000000,event=0x3c",
	.desc = "Cycles when thread is not halted (programmable counter)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.total_cycles",
	.event = "cmask=2,inv=1,period=2000000,event=0x3c",
	.desc = "Total CPU cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.any",
	.event = "period=2000000,umask=0xf,event=0x87",
	.desc = "Any Instruction Length Decoder stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000000,umask=0x4,event=0x87",
	.desc = "Instruction Queue full stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000000,umask=0x1,event=0x87",
	.desc = "Length Change Prefix stall cycles",
	.topic = "pipeline",
},
{
	.name = "ild_stall.mru",
	.event = "period=2000000,umask=0x2,event=0x87",
	.desc = "Stall cycles due to BPU MRU bypass",
	.topic = "pipeline",
},
{
	.name = "ild_stall.regen",
	.event = "period=2000000,umask=0x8,event=0x87",
	.desc = "Regen stall cycles",
	.topic = "pipeline",
},
{
	.name = "inst_decoded.dec0",
	.event = "period=2000000,umask=0x1,event=0x18",
	.desc = "Instructions that must be decoded by decoder 0",
	.topic = "pipeline",
},
{
	.name = "inst_queue_writes",
	.event = "period=2000000,umask=0x1,event=0x17",
	.desc = "Instructions written to instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_queue_write_cycles",
	.event = "period=2000000,umask=0x1,event=0x1e",
	.desc = "Cycles instructions are written to the instruction queue",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (fixed counter)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Programmable counter and Precise Event) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.mmx",
	.event = "period=2000000,umask=0x4,event=0xc0",
	.desc = "Retired MMX instructions (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.total_cycles_ps",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc0",
	.desc = "Total cycles (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.x87",
	.event = "period=2000000,umask=0x2,event=0xc0",
	.desc = "Retired floating-point operations (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre",
	.event = "period=200000,umask=0x1,event=0x4c",
	.desc = "Load operations conflicting with software prefetches",
	.topic = "pipeline",
},
{
	.name = "lsd.active",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles when uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd.inactive",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xa8",
	.desc = "Cycles no uops were delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "lsd_overflow",
	.event = "period=2000000,umask=0x1,event=0x20",
	.desc = "Loops that can't stream from the instruction queue",
	.topic = "pipeline",
},
{
	.name = "machine_clears.cycles",
	.event = "period=20000,umask=0x1,event=0xc3",
	.desc = "Cycles machine clear asserted",
	.topic = "pipeline",
},
{
	.name = "machine_clears.mem_order",
	.event = "period=20000,umask=0x2,event=0xc3",
	.desc = "Execution pipeline restart due to Memory ordering conflicts",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=20000,umask=0x4,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.any",
	.event = "period=2000000,umask=0xf,event=0xd2",
	.desc = "All RAT stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.flags",
	.event = "period=2000000,umask=0x1,event=0xd2",
	.desc = "Flag stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.registers",
	.event = "period=2000000,umask=0x2,event=0xd2",
	.desc = "Partial register stall cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.rob_read_port",
	.event = "period=2000000,umask=0x4,event=0xd2",
	.desc = "ROB read port stalls cycles",
	.topic = "pipeline",
},
{
	.name = "rat_stalls.scoreboard",
	.event = "period=2000000,umask=0x8,event=0xd2",
	.desc = "Scoreboard stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000000,umask=0x1,event=0xa2",
	.desc = "Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.fpcw",
	.event = "period=2000000,umask=0x20,event=0xa2",
	.desc = "FPU control word write stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.load",
	.event = "period=2000000,umask=0x2,event=0xa2",
	.desc = "Load buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mxcsr",
	.event = "period=2000000,umask=0x40,event=0xa2",
	.desc = "MXCSR rename stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.other",
	.event = "period=2000000,umask=0x80,event=0xa2",
	.desc = "Other Resource related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob_full",
	.event = "period=2000000,umask=0x10,event=0xa2",
	.desc = "ROB full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs_full",
	.event = "period=2000000,umask=0x4,event=0xa2",
	.desc = "Reservation Station full stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.store",
	.event = "period=2000000,umask=0x8,event=0xa2",
	.desc = "Store buffer stall cycles",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_double",
	.event = "period=200000,umask=0x4,event=0xc7",
	.desc = "SIMD Packed-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.packed_single",
	.event = "period=200000,umask=0x1,event=0xc7",
	.desc = "SIMD Packed-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_double",
	.event = "period=200000,umask=0x8,event=0xc7",
	.desc = "SIMD Scalar-Double Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.scalar_single",
	.event = "period=200000,umask=0x2,event=0xc7",
	.desc = "SIMD Scalar-Single Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "ssex_uops_retired.vector_integer",
	.event = "period=200000,umask=0x10,event=0xc7",
	.desc = "SIMD Vector Integer Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_folding",
	.event = "period=2000000,umask=0x4,event=0xd1",
	.desc = "Stack pointer instructions decoded",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.esp_sync",
	.event = "period=2000000,umask=0x8,event=0xd1",
	.desc = "Stack pointer sync operations",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.ms_cycles_active",
	.event = "cmask=1,period=2000000,umask=0x2,event=0xd1",
	.desc = "Uops decoded by Microcode Sequencer",
	.topic = "pipeline",
},
{
	.name = "uops_decoded.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xd1",
	.desc = "Cycles no Uops are decoded",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles",
	.event = "any=1,cmask=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_active_cycles_no_port5",
	.event = "any=1,cmask=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Uops executed on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_count_no_port5",
	.event = "any=1,cmask=1,edge=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Uops executed on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x3f,event=0xb1",
	.desc = "Cycles no Uops issued on any port (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_stall_cycles_no_port5",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1f,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0-4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port0",
	.event = "period=2000000,umask=0x1,event=0xb1",
	.desc = "Uops executed on port 0",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015",
	.event = "period=2000000,umask=0x40,event=0xb1",
	.desc = "Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port015_stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x40,event=0xb1",
	.desc = "Cycles no Uops issued on ports 0, 1 or 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port1",
	.event = "period=2000000,umask=0x2,event=0xb1",
	.desc = "Uops executed on port 1",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port234_core",
	.event = "any=1,period=2000000,umask=0x80,event=0xb1",
	.desc = "Uops issued on ports 2, 3 or 4",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port2_core",
	.event = "any=1,period=2000000,umask=0x4,event=0xb1",
	.desc = "Uops executed on port 2 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port3_core",
	.event = "any=1,period=2000000,umask=0x8,event=0xb1",
	.desc = "Uops executed on port 3 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port4_core",
	.event = "any=1,period=2000000,umask=0x10,event=0xb1",
	.desc = "Uops executed on port 4 (core count)",
	.topic = "pipeline",
},
{
	.name = "uops_executed.port5",
	.event = "period=2000000,umask=0x20,event=0xb1",
	.desc = "Uops executed on port 5",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000000,umask=0x1,event=0xe",
	.desc = "Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued on any thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.cycles_all_threads",
	.event = "any=1,cmask=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles Uops were issued on either thread",
	.topic = "pipeline",
},
{
	.name = "uops_issued.fused",
	.event = "period=2000000,umask=0x2,event=0xe",
	.desc = "Fused Uops issued",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xe",
	.desc = "Cycles no Uops were issued",
	.topic = "pipeline",
},
{
	.name = "uops_retired.active_cycles",
	.event = "cmask=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are being retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.any",
	.event = "period=2000000,umask=0x1,event=0xc2",
	.desc = "Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.macro_fused",
	.event = "period=2000000,umask=0x4,event=0xc2",
	.desc = "Macro-fused Uops retired (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000000,umask=0x2,event=0xc2",
	.desc = "Retirement slots used (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Cycles Uops are not retiring (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=16,inv=1,period=2000000,umask=0x1,event=0xc2",
	.desc = "Total cycles using precise uop retired event (Precise Event)",
	.topic = "pipeline",
},
{
	.name = "uop_unfusion",
	.event = "period=2000000,umask=0x1,event=0xdb",
	.desc = "Uop unfusions due to FP exceptions",
	.topic = "pipeline",
},
{
	.name = "fp_assist.all",
	.event = "period=20000,umask=0x1,event=0xf7",
	.desc = "X87 Floating point assists (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.input",
	.event = "period=20000,umask=0x4,event=0xf7",
	.desc = "X87 Floating poiint assists for invalid input value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_assist.output",
	.event = "period=20000,umask=0x2,event=0xf7",
	.desc = "X87 Floating point assists for invalid output value (Precise Event)",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.mmx",
	.event = "period=2000000,umask=0x2,event=0x10",
	.desc = "MMX Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse2_integer",
	.event = "period=2000000,umask=0x8,event=0x10",
	.desc = "SSE2 integer Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_double_precision",
	.event = "period=2000000,umask=0x80,event=0x10",
	.desc = "SSE* FP double precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp",
	.event = "period=2000000,umask=0x4,event=0x10",
	.desc = "SSE and SSE2 FP Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_packed",
	.event = "period=2000000,umask=0x10,event=0x10",
	.desc = "SSE FP packed Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_fp_scalar",
	.event = "period=2000000,umask=0x20,event=0x10",
	.desc = "SSE FP scalar Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_single_precision",
	.event = "period=2000000,umask=0x40,event=0x10",
	.desc = "SSE* FP single precision Uops",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000000,umask=0x1,event=0x10",
	.desc = "Computational floating-point operations executed",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.any",
	.event = "period=2000000,umask=0x3,event=0xcc",
	.desc = "All Floating Point to and from MMX transitions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_fp",
	.event = "period=2000000,umask=0x1,event=0xcc",
	.desc = "Transitions from MMX to Floating Point instructions",
	.topic = "floating point",
},
{
	.name = "fp_mmx_trans.to_mmx",
	.event = "period=2000000,umask=0x2,event=0xcc",
	.desc = "Transitions from Floating Point to MMX instructions",
	.topic = "floating point",
},
{
	.name = "simd_int_128.pack",
	.event = "period=200000,umask=0x4,event=0x12",
	.desc = "128 bit SIMD integer pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_arith",
	.event = "period=200000,umask=0x20,event=0x12",
	.desc = "128 bit SIMD integer arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_logical",
	.event = "period=200000,umask=0x10,event=0x12",
	.desc = "128 bit SIMD integer logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_mpy",
	.event = "period=200000,umask=0x1,event=0x12",
	.desc = "128 bit SIMD integer multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.packed_shift",
	.event = "period=200000,umask=0x2,event=0x12",
	.desc = "128 bit SIMD integer shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.shuffle_move",
	.event = "period=200000,umask=0x40,event=0x12",
	.desc = "128 bit SIMD integer shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_128.unpack",
	.event = "period=200000,umask=0x8,event=0x12",
	.desc = "128 bit SIMD integer unpack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.pack",
	.event = "period=200000,umask=0x4,event=0xfd",
	.desc = "SIMD integer 64 bit pack operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_arith",
	.event = "period=200000,umask=0x20,event=0xfd",
	.desc = "SIMD integer 64 bit arithmetic operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_logical",
	.event = "period=200000,umask=0x10,event=0xfd",
	.desc = "SIMD integer 64 bit logical operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_mpy",
	.event = "period=200000,umask=0x1,event=0xfd",
	.desc = "SIMD integer 64 bit packed multiply operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.packed_shift",
	.event = "period=200000,umask=0x2,event=0xfd",
	.desc = "SIMD integer 64 bit shift operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.shuffle_move",
	.event = "period=200000,umask=0x40,event=0xfd",
	.desc = "SIMD integer 64 bit shuffle/move operations",
	.topic = "floating point",
},
{
	.name = "simd_int_64.unpack",
	.event = "period=200000,umask=0x8,event=0xfd",
	.desc = "SIMD integer 64 bit unpack operations",
	.topic = "floating point",
},
{
	.name = "misalign_mem_ref.store",
	.event = "period=200000,umask=0x2,event=0x5",
	.desc = "Misaligned store references",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf811",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf844",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x30ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf8ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x40ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x20ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3022",
	.desc = "REQUEST = ANY RFO and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf822",
	.desc = "REQUEST = ANY RFO and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4022",
	.desc = "REQUEST = ANY RFO and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2022",
	.desc = "REQUEST = ANY RFO and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3008",
	.desc = "REQUEST = CORE_WB and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf808",
	.desc = "REQUEST = CORE_WB and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4008",
	.desc = "REQUEST = CORE_WB and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.corewb.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2008",
	.desc = "REQUEST = CORE_WB and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf877",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3033",
	.desc = "REQUEST = DATA_IN and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf833",
	.desc = "REQUEST = DATA_IN and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4033",
	.desc = "REQUEST = DATA_IN and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.data_in.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2033",
	.desc = "REQUEST = DATA_IN and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf803",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf801",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf804",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf802",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3080",
	.desc = "REQUEST = OTHER and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.other.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf880",
	.desc = "REQUEST = OTHER and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.other.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4080",
	.desc = "REQUEST = OTHER and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.other.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2080",
	.desc = "REQUEST = OTHER and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3050",
	.desc = "REQUEST = PF_DATA and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf850",
	.desc = "REQUEST = PF_DATA and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4050",
	.desc = "REQUEST = PF_DATA and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2050",
	.desc = "REQUEST = PF_DATA and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf810",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3040",
	.desc = "REQUEST = PF_RFO and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf840",
	.desc = "REQUEST = PF_RFO and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4040",
	.desc = "REQUEST = PF_RFO and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2040",
	.desc = "REQUEST = PF_RFO and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf820",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_rfo.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_dram_and_remote_fwd",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x3070",
	.desc = "REQUEST = PREFETCH and RESPONSE = ANY_DRAM AND REMOTE_FWD",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.any_llc_miss",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xf870",
	.desc = "REQUEST = PREFETCH and RESPONSE = ANY_LLC_MISS",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.other_local_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4070",
	.desc = "REQUEST = PREFETCH and RESPONSE = OTHER_LOCAL_DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.prefetch.remote_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2070",
	.desc = "REQUEST = PREFETCH and RESPONSE = REMOTE_DRAM",
	.topic = "memory",
},
{
	.name = "cache_lock_cycles.l1d",
	.event = "period=2000000,umask=0x2,event=0x63",
	.desc = "Cycles L1D locked",
	.topic = "cache",
},
{
	.name = "cache_lock_cycles.l1d_l2",
	.event = "period=2000000,umask=0x1,event=0x63",
	.desc = "Cycles L1D and L2 locked",
	.topic = "cache",
},
{
	.name = "l1d.m_evict",
	.event = "period=2000000,umask=0x4,event=0x51",
	.desc = "L1D cache lines replaced in M state",
	.topic = "cache",
},
{
	.name = "l1d.m_repl",
	.event = "period=2000000,umask=0x2,event=0x51",
	.desc = "L1D cache lines allocated in the M state",
	.topic = "cache",
},
{
	.name = "l1d.m_snoop_evict",
	.event = "period=2000000,umask=0x8,event=0x51",
	.desc = "L1D snoop eviction of cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.repl",
	.event = "period=2000000,umask=0x1,event=0x51",
	.desc = "L1 data cache lines allocated",
	.topic = "cache",
},
{
	.name = "l1d_cache_prefetch_lock_fb_hit",
	.event = "period=2000000,umask=0x1,event=0x52",
	.desc = "L1D prefetch load lock accepted in fill buffer",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.miss",
	.event = "period=200000,umask=0x2,event=0x4e",
	.desc = "L1D hardware prefetch misses",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.requests",
	.event = "period=200000,umask=0x1,event=0x4e",
	.desc = "L1D hardware prefetch requests",
	.topic = "cache",
},
{
	.name = "l1d_prefetch.triggers",
	.event = "period=200000,umask=0x4,event=0x4e",
	.desc = "L1D hardware prefetch requests triggered",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.e_state",
	.event = "period=100000,umask=0x4,event=0x28",
	.desc = "L1 writebacks to L2 in E state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.i_state",
	.event = "period=100000,umask=0x1,event=0x28",
	.desc = "L1 writebacks to L2 in I state (misses)",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.mesi",
	.event = "period=100000,umask=0xf,event=0x28",
	.desc = "All L1 writebacks to L2",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.m_state",
	.event = "period=100000,umask=0x8,event=0x28",
	.desc = "L1 writebacks to L2 in M state",
	.topic = "cache",
},
{
	.name = "l1d_wb_l2.s_state",
	.event = "period=100000,umask=0x2,event=0x28",
	.desc = "L1 writebacks to L2 in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.any",
	.event = "period=200000,umask=0xff,event=0x26",
	.desc = "All L2 data requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.e_state",
	.event = "period=200000,umask=0x4,event=0x26",
	.desc = "L2 data demand loads in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.i_state",
	.event = "period=200000,umask=0x1,event=0x26",
	.desc = "L2 data demand loads in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.mesi",
	.event = "period=200000,umask=0xf,event=0x26",
	.desc = "L2 data demand requests",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.m_state",
	.event = "period=200000,umask=0x8,event=0x26",
	.desc = "L2 data demand loads in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.demand.s_state",
	.event = "period=200000,umask=0x2,event=0x26",
	.desc = "L2 data demand loads in S state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.e_state",
	.event = "period=200000,umask=0x40,event=0x26",
	.desc = "L2 data prefetches in E state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.i_state",
	.event = "period=200000,umask=0x10,event=0x26",
	.desc = "L2 data prefetches in the I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.mesi",
	.event = "period=200000,umask=0xf0,event=0x26",
	.desc = "All L2 data prefetches",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.m_state",
	.event = "period=200000,umask=0x80,event=0x26",
	.desc = "L2 data prefetches in M state",
	.topic = "cache",
},
{
	.name = "l2_data_rqsts.prefetch.s_state",
	.event = "period=200000,umask=0x20,event=0x26",
	.desc = "L2 data prefetches in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.any",
	.event = "period=100000,umask=0x7,event=0xf1",
	.desc = "L2 lines alloacated",
	.topic = "cache",
},
{
	.name = "l2_lines_in.e_state",
	.event = "period=100000,umask=0x4,event=0xf1",
	.desc = "L2 lines allocated in the E state",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s_state",
	.event = "period=100000,umask=0x2,event=0xf1",
	.desc = "L2 lines allocated in the S state",
	.topic = "cache",
},
{
	.name = "l2_lines_out.any",
	.event = "period=100000,umask=0xf,event=0xf2",
	.desc = "L2 lines evicted",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100000,umask=0x1,event=0xf2",
	.desc = "L2 lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100000,umask=0x2,event=0xf2",
	.desc = "L2 modified lines evicted by a demand request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_clean",
	.event = "period=100000,umask=0x4,event=0xf2",
	.desc = "L2 lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_lines_out.prefetch_dirty",
	.event = "period=100000,umask=0x8,event=0xf2",
	.desc = "L2 modified lines evicted by a prefetch request",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetches",
	.event = "period=200000,umask=0x30,event=0x24",
	.desc = "L2 instruction fetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_hit",
	.event = "period=200000,umask=0x10,event=0x24",
	.desc = "L2 instruction fetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ifetch_miss",
	.event = "period=200000,umask=0x20,event=0x24",
	.desc = "L2 instruction fetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_hit",
	.event = "period=200000,umask=0x1,event=0x24",
	.desc = "L2 load hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.ld_miss",
	.event = "period=200000,umask=0x2,event=0x24",
	.desc = "L2 load misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.loads",
	.event = "period=200000,umask=0x3,event=0x24",
	.desc = "L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200000,umask=0xaa,event=0x24",
	.desc = "All L2 misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetches",
	.event = "period=200000,umask=0xc0,event=0x24",
	.desc = "All L2 prefetches",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_hit",
	.event = "period=200000,umask=0x40,event=0x24",
	.desc = "L2 prefetch hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.prefetch_miss",
	.event = "period=200000,umask=0x80,event=0x24",
	.desc = "L2 prefetch misses",
	.topic = "cache",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200000,umask=0xff,event=0x24",
	.desc = "All L2 requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfos",
	.event = "period=200000,umask=0xc,event=0x24",
	.desc = "L2 RFO requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200000,umask=0x4,event=0x24",
	.desc = "L2 RFO hits",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200000,umask=0x8,event=0x24",
	.desc = "L2 RFO misses",
	.topic = "cache",
},
{
	.name = "l2_transactions.any",
	.event = "period=200000,umask=0x80,event=0xf0",
	.desc = "All L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.fill",
	.event = "period=200000,umask=0x20,event=0xf0",
	.desc = "L2 fill transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.ifetch",
	.event = "period=200000,umask=0x4,event=0xf0",
	.desc = "L2 instruction fetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.l1d_wb",
	.event = "period=200000,umask=0x10,event=0xf0",
	.desc = "L1D writeback to L2 transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.load",
	.event = "period=200000,umask=0x1,event=0xf0",
	.desc = "L2 Load transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.prefetch",
	.event = "period=200000,umask=0x8,event=0xf0",
	.desc = "L2 prefetch transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.rfo",
	.event = "period=200000,umask=0x2,event=0xf0",
	.desc = "L2 RFO transactions",
	.topic = "cache",
},
{
	.name = "l2_transactions.wb",
	.event = "period=200000,umask=0x40,event=0xf0",
	.desc = "L2 writeback to LLC transactions",
	.topic = "cache",
},
{
	.name = "l2_write.lock.e_state",
	.event = "period=100000,umask=0x40,event=0x27",
	.desc = "L2 demand lock RFOs in E state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.hit",
	.event = "period=100000,umask=0xe0,event=0x27",
	.desc = "All demand L2 lock RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.lock.i_state",
	.event = "period=100000,umask=0x10,event=0x27",
	.desc = "L2 demand lock RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.lock.mesi",
	.event = "period=100000,umask=0xf0,event=0x27",
	.desc = "All demand L2 lock RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.lock.m_state",
	.event = "period=100000,umask=0x80,event=0x27",
	.desc = "L2 demand lock RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.lock.s_state",
	.event = "period=100000,umask=0x20,event=0x27",
	.desc = "L2 demand lock RFOs in S state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.hit",
	.event = "period=100000,umask=0xe,event=0x27",
	.desc = "All L2 demand store RFOs that hit the cache",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.i_state",
	.event = "period=100000,umask=0x1,event=0x27",
	.desc = "L2 demand store RFOs in I state (misses)",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.mesi",
	.event = "period=100000,umask=0xf,event=0x27",
	.desc = "All L2 demand store RFOs",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.m_state",
	.event = "period=100000,umask=0x8,event=0x27",
	.desc = "L2 demand store RFOs in M state",
	.topic = "cache",
},
{
	.name = "l2_write.rfo.s_state",
	.event = "period=100000,umask=0x2,event=0x27",
	.desc = "L2 demand store RFOs in S state",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100000,umask=0x41,event=0x2e",
	.desc = "Longest latency cache miss",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200000,umask=0x4f,event=0x2e",
	.desc = "Longest latency cache reference",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_0",
	.event = "period=2000000,umask=0x10,event=0xb,ldlat=",
	.desc = "Memory instructions retired above 0 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_1024",
	.event = "period=100,umask=0x10,event=0xb,ldlat=0x400",
	.desc = "Memory instructions retired above 1024 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_128",
	.event = "period=1000,umask=0x10,event=0xb,ldlat=0x80",
	.desc = "Memory instructions retired above 128 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16",
	.event = "period=10000,umask=0x10,event=0xb,ldlat=0x10",
	.desc = "Memory instructions retired above 16 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_16384",
	.event = "period=5,umask=0x10,event=0xb,ldlat=0x4000",
	.desc = "Memory instructions retired above 16384 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_2048",
	.event = "period=50,umask=0x10,event=0xb,ldlat=0x800",
	.desc = "Memory instructions retired above 2048 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_256",
	.event = "period=500,umask=0x10,event=0xb,ldlat=0x100",
	.desc = "Memory instructions retired above 256 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32",
	.event = "period=5000,umask=0x10,event=0xb,ldlat=0x20",
	.desc = "Memory instructions retired above 32 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_32768",
	.event = "period=3,umask=0x10,event=0xb,ldlat=0x8000",
	.desc = "Memory instructions retired above 32768 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4",
	.event = "period=50000,umask=0x10,event=0xb,ldlat=0x4",
	.desc = "Memory instructions retired above 4 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_4096",
	.event = "period=20,umask=0x10,event=0xb,ldlat=0x1000",
	.desc = "Memory instructions retired above 4096 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_512",
	.event = "period=200,umask=0x10,event=0xb,ldlat=0x200",
	.desc = "Memory instructions retired above 512 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_64",
	.event = "period=2000,umask=0x10,event=0xb,ldlat=0x40",
	.desc = "Memory instructions retired above 64 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8",
	.event = "period=20000,umask=0x10,event=0xb,ldlat=0x8",
	.desc = "Memory instructions retired above 8 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.latency_above_threshold_8192",
	.event = "period=10,umask=0x10,event=0xb,ldlat=0x2000",
	.desc = "Memory instructions retired above 8192 clocks (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.loads",
	.event = "period=2000000,umask=0x1,event=0xb",
	.desc = "Instructions retired which contains a load (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_inst_retired.stores",
	.event = "period=2000000,umask=0x2,event=0xb",
	.desc = "Instructions retired which contains a store (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.hit_lfb",
	.event = "period=200000,umask=0x40,event=0xcb",
	.desc = "Retired loads that miss L1D and hit an previously allocated LFB (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l1d_hit",
	.event = "period=2000000,umask=0x1,event=0xcb",
	.desc = "Retired loads that hit the L1 data cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200000,umask=0x2,event=0xcb",
	.desc = "Retired loads that hit the L2 cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_miss",
	.event = "period=10000,umask=0x10,event=0xcb",
	.desc = "Retired loads that miss the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.llc_unshared_hit",
	.event = "period=40000,umask=0x4,event=0xcb",
	.desc = "Retired loads that hit valid versions in the LLC cache (Precise Event)",
	.topic = "cache",
},
{
	.name = "mem_load_retired.other_core_l2_hit_hitm",
	.event = "period=40000,umask=0x8,event=0xcb",
	.desc = "Retired loads that hit sibling core's L2 in modified or unmodified states (Precise Event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.any",
	.event = "period=100000,umask=0x80,event=0xb0",
	.desc = "All offcore requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.read",
	.event = "period=100000,umask=0x8,event=0xb0",
	.desc = "Offcore read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.any.rfo",
	.event = "period=100000,umask=0x10,event=0xb0",
	.desc = "Offcore RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_code",
	.event = "period=100000,umask=0x2,event=0xb0",
	.desc = "Offcore demand code read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.read_data",
	.event = "period=100000,umask=0x1,event=0xb0",
	.desc = "Offcore demand data read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand.rfo",
	.event = "period=100000,umask=0x4,event=0xb0",
	.desc = "Offcore demand RFO requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.l1d_writeback",
	.event = "period=100000,umask=0x40,event=0xb0",
	.desc = "Offcore L1 data cache writebacks",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read",
	.event = "period=2000000,umask=0x8,event=0x60",
	.desc = "Outstanding offcore reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.any.read_not_empty",
	.event = "cmask=1,period=2000000,umask=0x8,event=0x60",
	.desc = "Cycles offcore reads busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code",
	.event = "period=2000000,umask=0x2,event=0x60",
	.desc = "Outstanding offcore demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_code_not_empty",
	.event = "cmask=1,period=2000000,umask=0x2,event=0x60",
	.desc = "Cycles offcore demand code read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data",
	.event = "period=2000000,umask=0x1,event=0x60",
	.desc = "Outstanding offcore demand data reads",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.read_data_not_empty",
	.event = "cmask=1,period=2000000,umask=0x1,event=0x60",
	.desc = "Cycles offcore demand data read busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo",
	.event = "period=2000000,umask=0x4,event=0x60",
	.desc = "Outstanding offcore demand RFOs",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand.rfo_not_empty",
	.event = "cmask=1,period=2000000,umask=0x4,event=0x60",
	.desc = "Cycles offcore demand RFOs busy",
	.topic = "cache",
},
{
	.name = "offcore_requests_sq_full",
	.event = "period=100000,umask=0x1,event=0xb2",
	.desc = "Offcore requests blocked due to Super Queue full",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f11",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff11",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x111",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x211",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x411",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x711",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1011",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x811",
	.desc = "REQUEST = ANY_DATA read and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f44",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff44",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x144",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x244",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x444",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x744",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1044",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x844",
	.desc = "REQUEST = ANY IFETCH and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x50ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7fff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xffff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x80ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x2ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x4ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x10ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8ff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5022",
	.desc = "REQUEST = ANY RFO and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f22",
	.desc = "REQUEST = ANY RFO and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff22",
	.desc = "REQUEST = ANY RFO and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8022",
	.desc = "REQUEST = ANY RFO and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x122",
	.desc = "REQUEST = ANY RFO and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x222",
	.desc = "REQUEST = ANY RFO and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x422",
	.desc = "REQUEST = ANY RFO and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x722",
	.desc = "REQUEST = ANY RFO and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1022",
	.desc = "REQUEST = ANY RFO and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x822",
	.desc = "REQUEST = ANY RFO and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5008",
	.desc = "REQUEST = CORE_WB and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f08",
	.desc = "REQUEST = CORE_WB and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff08",
	.desc = "REQUEST = CORE_WB and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8008",
	.desc = "REQUEST = CORE_WB and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x108",
	.desc = "REQUEST = CORE_WB and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x208",
	.desc = "REQUEST = CORE_WB and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x408",
	.desc = "REQUEST = CORE_WB and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x708",
	.desc = "REQUEST = CORE_WB and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1008",
	.desc = "REQUEST = CORE_WB and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x808",
	.desc = "REQUEST = CORE_WB and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f77",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff77",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x177",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x277",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x477",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x777",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1077",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x877",
	.desc = "REQUEST = DATA_IFETCH and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5033",
	.desc = "REQUEST = DATA_IN and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f33",
	.desc = "REQUEST = DATA_IN and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff33",
	.desc = "REQUEST = DATA_IN and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8033",
	.desc = "REQUEST = DATA_IN and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x133",
	.desc = "REQUEST = DATA_IN and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x233",
	.desc = "REQUEST = DATA_IN and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x433",
	.desc = "REQUEST = DATA_IN and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x733",
	.desc = "REQUEST = DATA_IN and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1033",
	.desc = "REQUEST = DATA_IN and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x833",
	.desc = "REQUEST = DATA_IN and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f03",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff03",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x103",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x203",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x403",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x703",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1003",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x803",
	.desc = "REQUEST = DEMAND_DATA and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f01",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff01",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x101",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x201",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x401",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x701",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1001",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x801",
	.desc = "REQUEST = DEMAND_DATA_RD and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f04",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff04",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x104",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x204",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x404",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x704",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x804",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f02",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff02",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x102",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x202",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x402",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x702",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x802",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5080",
	.desc = "REQUEST = OTHER and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f80",
	.desc = "REQUEST = OTHER and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff80",
	.desc = "REQUEST = OTHER and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.other.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8080",
	.desc = "REQUEST = OTHER and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x180",
	.desc = "REQUEST = OTHER and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x280",
	.desc = "REQUEST = OTHER and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.other.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x480",
	.desc = "REQUEST = OTHER and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x780",
	.desc = "REQUEST = OTHER and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.other.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1080",
	.desc = "REQUEST = OTHER and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.other.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x880",
	.desc = "REQUEST = OTHER and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5050",
	.desc = "REQUEST = PF_DATA and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f50",
	.desc = "REQUEST = PF_DATA and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff50",
	.desc = "REQUEST = PF_DATA and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8050",
	.desc = "REQUEST = PF_DATA and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x150",
	.desc = "REQUEST = PF_DATA and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x250",
	.desc = "REQUEST = PF_DATA and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x450",
	.desc = "REQUEST = PF_DATA and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x750",
	.desc = "REQUEST = PF_DATA and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1050",
	.desc = "REQUEST = PF_DATA and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x850",
	.desc = "REQUEST = PF_DATA and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f10",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff10",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x110",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x210",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x410",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x710",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_data_rd.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x810",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5040",
	.desc = "REQUEST = PF_RFO and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f40",
	.desc = "REQUEST = PF_RFO and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff40",
	.desc = "REQUEST = PF_RFO and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8040",
	.desc = "REQUEST = PF_RFO and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x140",
	.desc = "REQUEST = PF_RFO and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x240",
	.desc = "REQUEST = PF_RFO and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x440",
	.desc = "REQUEST = PF_RFO and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x740",
	.desc = "REQUEST = PF_RFO and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1040",
	.desc = "REQUEST = PF_RFO and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x840",
	.desc = "REQUEST = PF_RFO and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f20",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff20",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x120",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x220",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x420",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x720",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1020",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_rfo.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x820",
	.desc = "REQUEST = PF_IFETCH and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.all_local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x5070",
	.desc = "REQUEST = PREFETCH and RESPONSE = ALL_LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_cache_dram",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x7f70",
	.desc = "REQUEST = PREFETCH and RESPONSE = ANY_CACHE_DRAM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.any_location",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0xff70",
	.desc = "REQUEST = PREFETCH and RESPONSE = ANY_LOCATION",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.io_csr_mmio",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x8070",
	.desc = "REQUEST = PREFETCH and RESPONSE = IO_CSR_MMIO",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_no_other_core",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x170",
	.desc = "REQUEST = PREFETCH and RESPONSE = LLC_HIT_NO_OTHER_CORE",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x270",
	.desc = "REQUEST = PREFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.llc_hit_other_core_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x470",
	.desc = "REQUEST = PREFETCH and RESPONSE = LLC_HIT_OTHER_CORE_HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_cache",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x770",
	.desc = "REQUEST = PREFETCH and RESPONSE = LOCAL_CACHE",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.local_dram_and_remote_cache_hit",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x1070",
	.desc = "REQUEST = PREFETCH and RESPONSE = LOCAL_DRAM AND REMOTE_CACHE_HIT",
	.topic = "cache",
},
{
	.name = "offcore_response.prefetch.remote_cache_hitm",
	.event = "period=100000,umask=0x1,event=0xb7,offcore_rsp=0x870",
	.desc = "REQUEST = PREFETCH and RESPONSE = REMOTE_CACHE_HITM",
	.topic = "cache",
},
{
	.name = "sq_misc.lru_hints",
	.event = "period=2000000,umask=0x4,event=0xf4",
	.desc = "Super Queue LRU hints sent to LLC",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=2000000,umask=0x10,event=0xf4",
	.desc = "Super Queue lock splits across a cache line",
	.topic = "cache",
},
{
	.name = "store_blocks.at_ret",
	.event = "period=200000,umask=0x4,event=0x6",
	.desc = "Loads delayed with at-Retirement block code",
	.topic = "cache",
},
{
	.name = "store_blocks.l1d_block",
	.event = "period=200000,umask=0x8,event=0x6",
	.desc = "Cacheable loads delayed with L1D block code",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_amdzen1[] = {
{
	.desc = "Execution-Time Branch Misprediction Ratio (Non-Speculative)",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ex_ret_brn_misp, ex_ret_brn)",
	.metric_name = "branch_misprediction_ratio",
	.metric_group = "branch_prediction",
},
{
	.name = "all_dc_accesses",
	.event = "umask=0x07,event=0x29",
	.desc = "All L1 Data Cache Accesses",
	.topic = "recommended",
},
{
	.desc = "All L2 Cache Accesses",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.all_no_prefetch + l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_accesses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_accesses_from_ic_misses",
	.event = "umask=0x10,event=0x60",
	.desc = "L2 Cache Accesses from L1 Instruction Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.name = "l2_cache_accesses_from_dc_misses",
	.event = "umask=0xc8,event=0x60",
	.desc = "L2 Cache Accesses from L1 Data Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Accesses from L2 HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_accesses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_miss_in_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_misses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_misses_from_ic_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "L2 Cache Misses from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_misses_from_dc_misses",
	.event = "umask=0x08,event=0x64",
	.desc = "L2 Cache Misses from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Misses from L2 HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_misses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Hits",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_hit_in_l2 + l2_pf_hit_l2",
	.metric_name = "all_l2_cache_hits",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_hits_from_ic_misses",
	.event = "umask=0x06,event=0x64",
	.desc = "L2 Cache Hits from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_dc_misses",
	.event = "umask=0x70,event=0x64",
	.desc = "L2 Cache Hits from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_l2_hwpf",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 Cache Hits from L2 HWPF",
	.topic = "recommended",
},
{
	.name = "l3_accesses",
	.event = "umask=0xff,event=0x4",
	.desc = "L3 Accesses. Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.name = "l3_misses",
	.event = "umask=0x01,event=0x4",
	.desc = "L3 Misses (includes Chg2X). Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.desc = "Average L3 Read Miss Latency (in core clocks)",
	.topic = "recommended",
	.unit = "1core clocks",
	.metric_expr = "(xi_sys_fill_latency * 16) / xi_ccx_sdp_req1.all_l3_miss_req_typs",
	.metric_name = "l3_read_miss_latency",
	.metric_group = "l3_cache",
},
{
	.desc = "L1 Instruction Cache (32B) Fetch Miss Ratio",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(l2_cache_req_stat.ic_access_in_l2, bp_l1_tlb_fetch_hit + bp_l1_tlb_miss_l2_hit + bp_l1_tlb_miss_l2_miss)",
	.metric_name = "ic_fetch_miss_ratio",
	.metric_group = "l2_cache",
},
{
	.desc = "L1 ITLB Misses",
	.topic = "recommended",
	.metric_expr = "bp_l1_tlb_miss_l2_hit + bp_l1_tlb_miss_l2_miss",
	.metric_name = "l1_itlb_misses",
	.metric_group = "tlb",
},
{
	.name = "l2_itlb_misses",
	.event = "umask=0x07,event=0x85",
	.desc = "L2 ITLB Misses & Instruction page walks",
	.topic = "recommended",
},
{
	.name = "l1_dtlb_misses",
	.event = "umask=0xff,event=0x45",
	.desc = "L1 DTLB Misses",
	.topic = "recommended",
},
{
	.name = "l2_dtlb_misses",
	.event = "umask=0xf0,event=0x45",
	.desc = "L2 DTLB Misses & Data page walks",
	.topic = "recommended",
},
{
	.name = "all_tlbs_flushed",
	.event = "umask=0xdf,event=0x78",
	.desc = "All TLBs Flushed",
	.topic = "recommended",
},
{
	.name = "uops_dispatched",
	.event = "umask=0x03,event=0xaa",
	.desc = "Micro-ops Dispatched",
	.topic = "recommended",
},
{
	.name = "sse_avx_stalls",
	.event = "umask=0x0e,event=0xe",
	.desc = "Mixed SSE/AVX Stalls",
	.topic = "recommended",
},
{
	.name = "uops_retired",
	.event = "event=0xc1",
	.desc = "Micro-ops Retired",
	.topic = "recommended",
},
{
	.desc = "Approximate: Outbound data bytes for all Remote Links for a node (die)",
	.topic = "recommended",
	.unit = "3e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_outbound_data_controller_0 + remote_outbound_data_controller_1 + remote_outbound_data_controller_2 + remote_outbound_data_controller_3",
	.metric_name = "all_remote_links_outbound",
	.metric_group = "data_fabric",
},
{
	.desc = "Approximate: Combined DRAM B/bytes of all channels on a NPS1 node (die) (may need --metric-no-group)",
	.topic = "recommended",
	.unit = "6.1e-5MiB",
	.perpkg = "1",
	.metric_expr = "dram_channel_data_controller_0 + dram_channel_data_controller_1 + dram_channel_data_controller_2 + dram_channel_data_controller_3 + dram_channel_data_controller_4 + dram_channel_data_controller_5 + dram_channel_data_controller_6 + dram_channel_data_controller_7",
	.metric_name = "nps1_die_to_dram",
	.metric_group = "data_fabric",
},
{
	.name = "ic_oc_mode_switch.oc_ic_mode_switch",
	.event = "umask=0x02,event=0x28a",
	.desc = "OC Mode Switch. OC to IC mode switch",
	.topic = "other",
},
{
	.name = "ic_oc_mode_switch.ic_oc_mode_switch",
	.event = "umask=0x01,event=0x28a",
	.desc = "OC Mode Switch. IC to OC mode switch",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.retire_token_stall",
	.event = "umask=0x40,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. RETIRE Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.agsq_token_stall",
	.event = "umask=0x20,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. AGSQ Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alu_token_stall",
	.event = "umask=0x10,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALU tokens total unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq3_0_token_stall",
	.event = "umask=0x08,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 3_0 Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq3_token_stall",
	.event = "umask=0x04,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 3 Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq2_token_stall",
	.event = "umask=0x02,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 2 Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq1_token_stall",
	.event = "umask=0x01,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 1 Tokens unavailable",
	.topic = "other",
},
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_dyn_ind_pred",
	.event = "event=0x8e",
	.desc = "Dynamic Indirect Predictions",
	.topic = "branch",
	.long_desc = "Indirect Branch Prediction for potential multi-target branch (speculative)",
},
{
	.name = "bp_de_redirect",
	.event = "event=0x91",
	.desc = "Decoder Overrides Existing Branch Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit",
	.event = "event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB",
	.topic = "branch",
},
{
	.name = "ex_ret_instr",
	.event = "event=0xc0",
	.desc = "Retired Instructions",
	.topic = "core",
},
{
	.name = "ex_ret_cops",
	.event = "event=0xc1",
	.desc = "Retired Uops",
	.topic = "core",
	.long_desc = "The number of uOps retired. This includes all processor activity (instructions, exceptions, interrupts, microcode assists, etc.). The number of events logged per cycle can vary from 0 to 4",
},
{
	.name = "ex_ret_brn",
	.event = "event=0xc2",
	.desc = "Retired Branch Instructions",
	.topic = "core",
	.long_desc = "The number of branch instructions retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_misp",
	.event = "event=0xc3",
	.desc = "Retired Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of branch instructions retired, of any type, that were not correctly predicted. This includes those for which prediction is not attempted (far control transfers, exceptions and interrupts)",
},
{
	.name = "ex_ret_brn_tkn",
	.event = "event=0xc4",
	.desc = "Retired Taken Branch Instructions",
	.topic = "core",
	.long_desc = "The number of taken branches that were retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_tkn_misp",
	.event = "event=0xc5",
	.desc = "Retired Taken Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of retired taken branch instructions that were mispredicted",
},
{
	.name = "ex_ret_brn_far",
	.event = "event=0xc6",
	.desc = "Retired Far Control Transfers",
	.topic = "core",
	.long_desc = "The number of far control transfers retired including far call/jump/return, IRET, SYSCALL and SYSRET, plus exceptions and interrupts. Far control transfers are not subject to branch prediction",
},
{
	.name = "ex_ret_brn_resync",
	.event = "event=0xc7",
	.desc = "Retired Branch Resyncs",
	.topic = "core",
	.long_desc = "The number of resync branches. These reflect pipeline restarts due to certain microcode assists and events such as writes to the active instruction stream, among other things. Each occurrence reflects a restart penalty similar to a branch mispredict. This is relatively rare",
},
{
	.name = "ex_ret_near_ret",
	.event = "event=0xc8",
	.desc = "Retired Near Returns",
	.topic = "core",
	.long_desc = "The number of near return instructions (RET or RET Iw) retired",
},
{
	.name = "ex_ret_near_ret_mispred",
	.event = "event=0xc9",
	.desc = "Retired Near Returns Mispredicted",
	.topic = "core",
	.long_desc = "The number of near returns retired that were not correctly predicted by the return address predictor. Each such mispredict incurs the same penalty as a mispredicted conditional branch instruction",
},
{
	.name = "ex_ret_brn_ind_misp",
	.event = "event=0xca",
	.desc = "Retired Indirect Branch Instructions Mispredicted",
	.topic = "core",
},
{
	.name = "ex_ret_mmx_fp_instr.sse_instr",
	.event = "umask=0x04,event=0xcb",
	.desc = "SSE instructions (SSE, SSE2, SSE3, SSSE3, SSE4A, SSE41, SSE42, AVX)",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. SSE instructions (SSE, SSE2, SSE3, SSSE3, SSE4A, SSE41, SSE42, AVX)",
},
{
	.name = "ex_ret_mmx_fp_instr.mmx_instr",
	.event = "umask=0x02,event=0xcb",
	.desc = "MMX instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. MMX instructions",
},
{
	.name = "ex_ret_mmx_fp_instr.x87_instr",
	.event = "umask=0x01,event=0xcb",
	.desc = "x87 instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. x87 instructions",
},
{
	.name = "ex_ret_cond",
	.event = "event=0xd1",
	.desc = "Retired Conditional Branch Instructions",
	.topic = "core",
},
{
	.name = "ex_div_busy",
	.event = "event=0xd3",
	.desc = "Div Cycles Busy count",
	.topic = "core",
},
{
	.name = "ex_div_count",
	.event = "event=0xd4",
	.desc = "Div Op Count",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_count_rollover",
	.event = "umask=0x04,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of times an op could not be tagged by IBS because of a previous tagged op that has not retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops_ret",
	.event = "umask=0x02,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS that retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops",
	.event = "umask=0x01,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS",
	.topic = "core",
},
{
	.name = "ex_ret_fus_brnch_inst",
	.event = "event=0x1d0",
	.desc = "The number of fused retired branch instructions retired per cycle. The number of events logged per cycle can vary from 0 to 3",
	.topic = "core",
},
{
	.name = "remote_outbound_data_controller_0",
	.event = "umask=0x02,event=0x7c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_1",
	.event = "umask=0x02,event=0x807",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_2",
	.event = "umask=0x02,event=0x847",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_3",
	.event = "umask=0x02,event=0x887",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_0",
	.event = "umask=0x38,event=0x7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_1",
	.event = "umask=0x38,event=0x47",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_2",
	.event = "umask=0x38,event=0x87",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_3",
	.event = "umask=0x38,event=0xc7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_4",
	.event = "umask=0x38,event=0x107",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_5",
	.event = "umask=0x38,event=0x147",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_6",
	.event = "umask=0x38,event=0x187",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_7",
	.event = "umask=0x38,event=0x1c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "fpu_pipe_assignment.dual",
	.event = "umask=0xf0,event=0",
	.desc = "Total number multi-pipe uOps assigned to all pipes",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number multi-pipe uOps assigned to all pipes",
},
{
	.name = "fpu_pipe_assignment.dual3",
	.event = "umask=0x80,event=0",
	.desc = "Total number multi-pipe uOps assigned to pipe 3",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number multi-pipe uOps assigned to pipe 3",
},
{
	.name = "fpu_pipe_assignment.dual2",
	.event = "umask=0x40,event=0",
	.desc = "Total number multi-pipe uOps assigned to pipe 2",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number multi-pipe uOps assigned to pipe 2",
},
{
	.name = "fpu_pipe_assignment.dual1",
	.event = "umask=0x20,event=0",
	.desc = "Total number multi-pipe uOps assigned to pipe 1",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number multi-pipe uOps assigned to pipe 1",
},
{
	.name = "fpu_pipe_assignment.dual0",
	.event = "umask=0x10,event=0",
	.desc = "Total number multi-pipe uOps assigned to pipe 0",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number multi-pipe uOps assigned to pipe 0",
},
{
	.name = "fpu_pipe_assignment.total",
	.event = "umask=0x0f,event=0",
	.desc = "Total number uOps assigned to all fpu pipes",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) and dual-pipe uOps dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to all pipes",
},
{
	.name = "fpu_pipe_assignment.total3",
	.event = "umask=0x08,event=0",
	.desc = "Total number of fp uOps on pipe 3",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one-cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 3",
},
{
	.name = "fpu_pipe_assignment.total2",
	.event = "umask=0x04,event=0",
	.desc = "Total number of fp uOps on pipe 2",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 2",
},
{
	.name = "fpu_pipe_assignment.total1",
	.event = "umask=0x02,event=0",
	.desc = "Total number of fp uOps on pipe 1",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 1",
},
{
	.name = "fpu_pipe_assignment.total0",
	.event = "umask=0x01,event=0",
	.desc = "Total number of fp uOps  on pipe 0",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 0",
},
{
	.name = "fp_sched_empty",
	.event = "event=0x1",
	.desc = "This is a speculative event. The number of cycles in which the FPU scheduler is empty. Note that some Ops like FP loads bypass the scheduler",
	.topic = "floating point",
},
{
	.name = "fp_retx87_fp_ops.all",
	.event = "umask=0x07,event=0x2",
	.desc = "All Ops",
	.topic = "floating point",
	.long_desc = "The number of x87 floating-point Ops that have retired. The number of events logged per cycle can vary from 0 to 8",
},
{
	.name = "fp_retx87_fp_ops.div_sqr_r_ops",
	.event = "umask=0x04,event=0x2",
	.desc = "Divide and square root Ops",
	.topic = "floating point",
	.long_desc = "The number of x87 floating-point Ops that have retired. The number of events logged per cycle can vary from 0 to 8. Divide and square root Ops",
},
{
	.name = "fp_retx87_fp_ops.mul_ops",
	.event = "umask=0x02,event=0x2",
	.desc = "Multiply Ops",
	.topic = "floating point",
	.long_desc = "The number of x87 floating-point Ops that have retired. The number of events logged per cycle can vary from 0 to 8. Multiply Ops",
},
{
	.name = "fp_retx87_fp_ops.add_sub_ops",
	.event = "umask=0x01,event=0x2",
	.desc = "Add/subtract Ops",
	.topic = "floating point",
	.long_desc = "The number of x87 floating-point Ops that have retired. The number of events logged per cycle can vary from 0 to 8. Add/subtract Ops",
},
{
	.name = "fp_ret_sse_avx_ops.all",
	.event = "umask=0xff,event=0x3",
	.desc = "All FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
},
{
	.name = "fp_ret_sse_avx_ops.dp_mult_add_flops",
	.event = "umask=0x80,event=0x3",
	.desc = "Double precision multiply-add FLOPS. Multiply-add counts as 2 FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Double precision multiply-add FLOPS. Multiply-add counts as 2 FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.dp_div_flops",
	.event = "umask=0x40,event=0x3",
	.desc = "Double precision divide/square root FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Double precision divide/square root FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.dp_mult_flops",
	.event = "umask=0x20,event=0x3",
	.desc = "Double precision multiply FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Double precision multiply FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.dp_add_sub_flops",
	.event = "umask=0x10,event=0x3",
	.desc = "Double precision add/subtract FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Double precision add/subtract FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.sp_mult_add_flops",
	.event = "umask=0x08,event=0x3",
	.desc = "Single precision multiply-add FLOPS. Multiply-add counts as 2 FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Single precision multiply-add FLOPS. Multiply-add counts as 2 FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.sp_div_flops",
	.event = "umask=0x04,event=0x3",
	.desc = "Single-precision divide/square root FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Single-precision divide/square root FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.sp_mult_flops",
	.event = "umask=0x02,event=0x3",
	.desc = "Single-precision multiply FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Single-precision multiply FLOPS",
},
{
	.name = "fp_ret_sse_avx_ops.sp_add_sub_flops",
	.event = "umask=0x01,event=0x3",
	.desc = "Single-precision add/subtract FLOPS",
	.topic = "floating point",
	.long_desc = "This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15. Single-precision add/subtract FLOPS",
},
{
	.name = "fp_num_mov_elim_scal_op.optimized",
	.event = "umask=0x08,event=0x4",
	.desc = "Number of Scalar Ops optimized",
	.topic = "floating point",
	.long_desc = "This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes. Number of Scalar Ops optimized",
},
{
	.name = "fp_num_mov_elim_scal_op.opt_potential",
	.event = "umask=0x04,event=0x4",
	.desc = "Number of Ops that are candidates for optimization (have Z-bit either set or pass)",
	.topic = "floating point",
	.long_desc = "This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes. Number of Ops that are candidates for optimization (have Z-bit either set or pass)",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops_elim",
	.event = "umask=0x02,event=0x4",
	.desc = "Number of SSE Move Ops eliminated",
	.topic = "floating point",
	.long_desc = "This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes. Number of SSE Move Ops eliminated",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops",
	.event = "umask=0x01,event=0x4",
	.desc = "Number of SSE Move Ops",
	.topic = "floating point",
	.long_desc = "This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes. Number of SSE Move Ops",
},
{
	.name = "fp_retired_ser_ops.x87_ctrl_ret",
	.event = "umask=0x08,event=0x5",
	.desc = "x87 control word mispredict traps due to mispredictions in RC or PC, or changes in mask bits",
	.topic = "floating point",
	.long_desc = "The number of serializing Ops retired. x87 control word mispredict traps due to mispredictions in RC or PC, or changes in mask bits",
},
{
	.name = "fp_retired_ser_ops.x87_bot_ret",
	.event = "umask=0x04,event=0x5",
	.desc = "x87 bottom-executing uOps retired",
	.topic = "floating point",
	.long_desc = "The number of serializing Ops retired. x87 bottom-executing uOps retired",
},
{
	.name = "fp_retired_ser_ops.sse_ctrl_ret",
	.event = "umask=0x02,event=0x5",
	.desc = "SSE control word mispredict traps due to mispredictions in RC, FTZ or DAZ, or changes in mask bits",
	.topic = "floating point",
	.long_desc = "The number of serializing Ops retired. SSE control word mispredict traps due to mispredictions in RC, FTZ or DAZ, or changes in mask bits",
},
{
	.name = "fp_retired_ser_ops.sse_bot_ret",
	.event = "umask=0x01,event=0x5",
	.desc = "SSE bottom-executing uOps retired",
	.topic = "floating point",
	.long_desc = "The number of serializing Ops retired. SSE bottom-executing uOps retired",
},
{
	.name = "ls_locks.bus_lock",
	.event = "umask=0x01,event=0x25",
	.desc = "Bus lock when a locked operations crosses a cache boundary or is done on an uncacheable memory type",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_st_dispatch",
	.event = "umask=0x04,event=0x29",
	.desc = "Counts the number of operations dispatched to the LS unit. Unit Masks ADDed. Load-op-Stores",
	.topic = "memory",
},
{
	.name = "ls_dispatch.store_dispatch",
	.event = "umask=0x02,event=0x29",
	.desc = "Counts the number of stores dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_dispatch",
	.event = "umask=0x01,event=0x29",
	.desc = "Counts the number of loads dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_stlf",
	.event = "event=0x35",
	.desc = "Number of STLF hits",
	.topic = "memory",
},
{
	.name = "ls_dc_accesses",
	.event = "event=0x40",
	.desc = "The number of accesses to the data cache for load and store references. This may include certain microcode scratchpad accesses, although these are generally rare. Each increment represents an eight-byte access, although the instruction may only be accessing a portion of that. This event is a speculative event",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.dc_prefetcher",
	.event = "umask=0x08,event=0x41",
	.desc = "LS MAB allocates by type - DC prefetcher",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.stores",
	.event = "umask=0x02,event=0x41",
	.desc = "LS MAB allocates by type - stores",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.loads",
	.event = "umask=0x01,event=0x41",
	.desc = "LS MAB allocates by type - loads",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.all",
	.event = "umask=0xff,event=0x45",
	.desc = "L1 DTLB Miss or Reload off all sizes",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_miss",
	.event = "umask=0x80,event=0x45",
	.desc = "L1 DTLB Miss of a page of 1G size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_miss",
	.event = "umask=0x40,event=0x45",
	.desc = "L1 DTLB Miss of a page of 2M size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_32k_l2_miss",
	.event = "umask=0x20,event=0x45",
	.desc = "L1 DTLB Miss of a page of 32K size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_miss",
	.event = "umask=0x10,event=0x45",
	.desc = "L1 DTLB Miss of a page of 4K size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_hit",
	.event = "umask=0x08,event=0x45",
	.desc = "L1 DTLB Reload of a page of 1G size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_hit",
	.event = "umask=0x04,event=0x45",
	.desc = "L1 DTLB Reload of a page of 2M size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_32k_l2_hit",
	.event = "umask=0x02,event=0x45",
	.desc = "L1 DTLB Reload of a page of 32K size",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_hit",
	.event = "umask=0x01,event=0x45",
	.desc = "L1 DTLB Reload of a page of 4K size",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.iside",
	.event = "umask=0x0c,event=0x46",
	.desc = "Total Page Table Walks on I-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type1",
	.event = "umask=0x08,event=0x46",
	.desc = "Total Page Table Walks IC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type0",
	.event = "umask=0x04,event=0x46",
	.desc = "Total Page Table Walks IC Type 0",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dside",
	.event = "umask=0x03,event=0x46",
	.desc = "Total Page Table Walks on D-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type1",
	.event = "umask=0x02,event=0x46",
	.desc = "Total Page Table Walks DC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type0",
	.event = "umask=0x01,event=0x46",
	.desc = "Total Page Table Walks DC Type 0",
	.topic = "memory",
},
{
	.name = "ls_misal_accesses",
	.event = "event=0x47",
	.desc = "Misaligned loads",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch_nta",
	.event = "umask=0x04,event=0x4b",
	.desc = "Software Prefetch Instructions (PREFETCHNTA instruction) Dispatched",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.store_prefetch_w",
	.event = "umask=0x02,event=0x4b",
	.desc = "Software Prefetch Instructions (3DNow PREFETCHW instruction) Dispatched",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.load_prefetch_w",
	.event = "umask=0x01,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched. Prefetch, Prefetch_T0_T1_T2",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.mab_mch_cnt",
	.event = "umask=0x02,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a match on an already-allocated miss request buffer",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.data_pipe_sw_pf_dc_hit",
	.event = "umask=0x01,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a DC hit",
	.topic = "memory",
},
{
	.name = "ls_not_halted_cyc",
	.event = "event=0x76",
	.desc = "Cycles not in Halt",
	.topic = "memory",
},
{
	.name = "ic_fw32",
	.event = "event=0x80",
	.desc = "The number of 32B fetch windows transferred from IC pipe to DE instruction decoder (includes non-cacheable and cacheable fill responses)",
	.topic = "cache",
},
{
	.name = "ic_fw32_miss",
	.event = "event=0x81",
	.desc = "The number of 32B fetch windows tried to read the L1 IC and missed in the full tag",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_l2",
	.event = "event=0x82",
	.desc = "The number of 64 byte instruction cache line was fulfilled from the L2 cache",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_sys",
	.event = "event=0x83",
	.desc = "The number of 64 byte instruction cache line fulfilled from system memory or another cache",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_hit",
	.event = "event=0x84",
	.desc = "The number of instruction fetches that miss in the L1 ITLB but hit in the L2 ITLB",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_miss",
	.event = "event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs",
	.topic = "cache",
},
{
	.name = "bp_snp_re_sync",
	.event = "event=0x86",
	.desc = "The number of pipeline restarts caused by invalidating probes that hit on the instruction stream currently being executed. This would happen if the active instruction stream was being modified by another processor in an MP system - typically a highly unlikely event",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_any",
	.event = "umask=0x04,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle for any reason (nothing valid in pipe ICM1)",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_dq_empty",
	.event = "umask=0x02,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to DQ empty",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_back_pressure",
	.event = "umask=0x01,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to back-pressure",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.l2_invalidating_probe",
	.event = "umask=0x02,event=0x8c",
	.desc = "IC line invalidated due to L2 invalidating probe (external or LS). The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.fill_invalidated",
	.event = "umask=0x01,event=0x8c",
	.desc = "IC line invalidated due to overwriting fill response. The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "bp_tlb_rel",
	.event = "event=0x99",
	.desc = "The number of ITLB reload requests",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_l",
	.event = "umask=0x80,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache reads (including hardware and software prefetch)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_x",
	.event = "umask=0x40,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache stores",
	.topic = "cache",
},
{
	.name = "l2_request_g1.ls_rd_blk_c_s",
	.event = "umask=0x20,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache shared reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.cacheable_ic_read",
	.event = "umask=0x10,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Instruction cache reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.change_to_x",
	.event = "umask=0x08,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache state change requests. Request change to writable, check L2 for current state",
	.topic = "cache",
},
{
	.name = "l2_request_g1.prefetch_l2_cmd",
	.event = "umask=0x04,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). PrefetchL2Cmd",
	.topic = "cache",
},
{
	.name = "l2_request_g1.l2_hw_pf",
	.event = "umask=0x02,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). L2 Prefetcher. All prefetches accepted by L2 pipeline, hit or miss. Types of PF and L2 hit/miss broken out in a separate perfmon event",
	.topic = "cache",
},
{
	.name = "l2_request_g1.group2",
	.event = "umask=0x01,event=0x60",
	.desc = "Miscellaneous events covered in more detail by l2_request_g2 (PMCx061)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all_no_prefetch",
	.event = "umask=0xf9,event=0x60",
	.desc = "(null)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.group1",
	.event = "umask=0x80,event=0x61",
	.desc = "Miscellaneous events covered in more detail by l2_request_g1 (PMCx060)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized",
	.event = "umask=0x40,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized_nc",
	.event = "umask=0x20,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized",
	.event = "umask=0x10,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized_nc",
	.event = "umask=0x08,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.smc_inval",
	.event = "umask=0x04,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Self-modifying code invalidates",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_originator",
	.event = "umask=0x02,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus locks",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_responses",
	.event = "umask=0x01,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus lock response",
	.topic = "cache",
},
{
	.name = "l2_latency.l2_cycles_waiting_on_fills",
	.event = "umask=0x01,event=0x62",
	.desc = "Total cycles spent waiting for L2 fills to complete from L3 or memory, divided by four. Event counts are for both threads. To calculate average latency, the number of fills from both threads must be used",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_write",
	.event = "umask=0x40,event=0x63",
	.desc = "LS to L2 WCB write requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) write requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_close",
	.event = "umask=0x20,event=0x63",
	.desc = "LS to L2 WCB close requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) close requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.zero_byte_store",
	.event = "umask=0x04,event=0x63",
	.desc = "LS to L2 WCB zero byte store requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) zero byte store requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.cl_zero",
	.event = "umask=0x01,event=0x63",
	.desc = "LS to L2 WCB cache line zeroing requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) cache line zeroing requests",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_cs",
	.event = "umask=0x80,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache shared read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_x",
	.event = "umask=0x40,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_s",
	.event = "umask=0x20,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit on shared line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_x",
	.event = "umask=0x10,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache store or state change hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_c",
	.event = "umask=0x08,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache request miss in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_x",
	.event = "umask=0x04,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_s",
	.event = "umask=0x02,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit clean line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_access_in_l2",
	.event = "umask=0x07,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache requests in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_miss_in_l2",
	.event = "umask=0x09,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2 and Data cache request miss in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_hit_in_l2",
	.event = "umask=0xf6,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request hit in L2 and Data cache request hit in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_fill_pending.l2_fill_busy",
	.event = "umask=0x01,event=0x6d",
	.desc = "Cycles with fill pending from L2. Total cycles spent with one or more fill requests in flight from L2",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 prefetch hit in L2. Use l2_cache_hits_from_l2_hwpf instead",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3",
	.event = "umask=0xff,event=0x71",
	.desc = "L2 prefetcher hits in L3. Counts all L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit the L3",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3",
	.event = "umask=0xff,event=0x72",
	.desc = "L2 prefetcher misses in L3. All L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches",
	.topic = "cache",
},
{
	.name = "l3_request_g1.caching_l3_cache_accesses",
	.event = "umask=0x80,event=0x1",
	.desc = "Caching: L3 cache accesses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_lookup_state.all_l3_req_typs",
	.event = "umask=0xff,event=0x4",
	.desc = "All L3 Request Types. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.other_l3_miss_typs",
	.event = "umask=0xfe,event=0x6",
	.desc = "Other L3 Miss Request Types. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.request_miss",
	.event = "umask=0x01,event=0x6",
	.desc = "L3 cache misses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_sys_fill_latency",
	.event = "umask=0x00,event=0x90",
	.desc = "L3 Cache Miss Latency. Total cycles for all transactions divided by 16. Ignores SliceMask and ThreadMask. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_ccx_sdp_req1.all_l3_miss_req_typs",
	.event = "umask=0x3f,event=0x9a",
	.desc = "All L3 Miss Request Types. Ignores SliceMask and ThreadMask. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_icelakex[] = {
{
	.name = "unc_p_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the power control unit (PCU). Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Clockticks of the power control unit (PCU) : The PCU runs off a fixed 1 GHz clock.  This event counts the number of pclk cycles measured while the counter was enabled.  The pclk, like the Memory Controller's dclk, counts at a constant rate making it a good measure of actual wall time",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_core_transition_cycles",
	.event = "event=0x60",
	.desc = "UNC_P_CORE_TRANSITION_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_demotions",
	.event = "event=0x30",
	.desc = "UNC_P_DEMOTIONS. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps0_cycles",
	.event = "event=0x75",
	.desc = "Phase Shed 0 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 0 Cycles : Cycles spent in phase-shedding power state 0",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps1_cycles",
	.event = "event=0x76",
	.desc = "Phase Shed 1 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 1 Cycles : Cycles spent in phase-shedding power state 1",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps2_cycles",
	.event = "event=0x77",
	.desc = "Phase Shed 2 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 2 Cycles : Cycles spent in phase-shedding power state 2",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_fivr_ps_ps3_cycles",
	.event = "event=0x78",
	.desc = "Phase Shed 3 Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Phase Shed 3 Cycles : Cycles spent in phase-shedding power state 3",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_clip_avx256",
	.event = "event=0x49",
	.desc = "AVX256 Frequency Clipping. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_clip_avx512",
	.event = "event=0x4a",
	.desc = "AVX512 Frequency Clipping. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_limit_thermal_cycles",
	.event = "event=0x4",
	.desc = "Thermal Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Thermal Strongest Upper Limit Cycles : Number of cycles any frequency is reduced due to a thermal limit.  Count only if throttling is occurring",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_max_power_cycles",
	.event = "event=0x5",
	.desc = "Power Strongest Upper Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Power Strongest Upper Limit Cycles : Counts the number of cycles when power is the upper limit on frequency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_min_io_p_cycles",
	.event = "event=0x73",
	.desc = "IO P Limit Strongest Lower Limit Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "IO P Limit Strongest Lower Limit Cycles : Counts the number of cycles when IO P Limit is preventing us from dropping the frequency lower.  This algorithm monitors the needs to the IO subsystem on both local and remote sockets and will maintain a frequency high enough to maintain good IO BW.  This is necessary for when all the IA cores on a socket are idle but a user still would like to maintain high IO Bandwidth",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_freq_trans_cycles",
	.event = "event=0x74",
	.desc = "Cycles spent changing Frequency. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Cycles spent changing Frequency : Counts the number of cycles when the system is changing frequency.  This can not be filtered by thread ID.  One can also use it with the occupancy counter that monitors number of threads in C0 to estimate the performance impact that frequency transitions had on the system",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_memory_phase_shedding_cycles",
	.event = "event=0x2f",
	.desc = "Memory Phase Shedding Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Memory Phase Shedding Cycles : Counts the number of cycles that the PCU has triggered memory phase shedding.  This is a mode that can be run in the iMC physicals that saves power at the expense of additional latency",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c0_cycles",
	.event = "event=0x2a",
	.desc = "Package C State Residency - C0. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C0 : Counts the number of cycles when the package was in C0.  This event can be used in conjunction with edge detect to count C0 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c2e_cycles",
	.event = "event=0x2b",
	.desc = "Package C State Residency - C2E. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C2E : Counts the number of cycles when the package was in C2E.  This event can be used in conjunction with edge detect to count C2E entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c3_cycles",
	.event = "event=0x2c",
	.desc = "Package C State Residency - C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C3 : Counts the number of cycles when the package was in C3.  This event can be used in conjunction with edge detect to count C3 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pkg_residency_c6_cycles",
	.event = "event=0x2d",
	.desc = "Package C State Residency - C6. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Package C State Residency - C6 : Counts the number of cycles when the package was in C6.  This event can be used in conjunction with edge detect to count C6 entrances (or exits using invert).  Residency events do not include transition times",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_pmax_throttled_cycles",
	.event = "event=0x6",
	.desc = "UNC_P_PMAX_THROTTLED_CYCLES. Unit: uncore_pcu ",
	.topic = "uncore power",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c0",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C0 and C1. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C0 and C1 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c3",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C3. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C3 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_power_state_occupancy.cores_c6",
	.event = "event=0x80",
	.desc = "Number of cores in C-State : C6 and C7. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Number of cores in C-State : C6 and C7 : This is an occupancy event that tracks the number of cores that are in the chosen C-State.  It can be used by itself to get the average number of cores in that C-state with thresholding to generate histograms, or with other PCU events and occupancy triggering to capture other details",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_external_cycles",
	.event = "event=0xa",
	.desc = "External Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "External Prochot : Counts the number of cycles that we are in external PROCHOT mode.  This mode is triggered when a sensor off the die determines that something off-die (like DRAM) is too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_prochot_internal_cycles",
	.event = "event=0x9",
	.desc = "Internal Prochot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Internal Prochot : Counts the number of cycles that we are in Internal PROCHOT mode.  This mode is triggered when a sensor on the die determines that we are too hot and must throttle to avoid damaging the chip",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_total_transition_cycles",
	.event = "event=0x72",
	.desc = "Total Core C State Transition Cycles. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "Total Core C State Transition Cycles : Number of cycles spent performing core C state transitions across all cores",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "unc_p_vr_hot_cycles",
	.event = "event=0x42",
	.desc = "VR Hot. Unit: uncore_pcu ",
	.topic = "uncore power",
	.long_desc = "VR Hot : Number of cycles that a CPU SVID VR is hot.  Does not cover DRAM VRs",
	.pmu = "uncore_pcu",
	.perpkg = "1",
},
{
	.name = "core_power.lvl0_turbo_license",
	.event = "period=200003,umask=0x7,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the Non-AVX turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
},
{
	.name = "core_power.lvl1_turbo_license",
	.event = "period=200003,umask=0x18,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX2 turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
},
{
	.name = "core_power.lvl2_turbo_license",
	.event = "period=200003,umask=0x20,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX512 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 2 (introduced in Skylake Server microarchtecture).  This includes high current AVX 512-bit instructions",
},
{
	.name = "core_snoop_response.i_fwd_fe",
	.event = "period=1000003,umask=0x20,event=0xef",
	.desc = "Hit snoop reply with data, line invalidated",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line will now be (I)nvalidated: removed from this core's cache, after the data is forwarded back to the requestor and indicating the data was found unmodified in the (FE) Forward or Exclusive State in this cores caches cache.  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "core_snoop_response.i_fwd_m",
	.event = "period=1000003,umask=0x10,event=0xef",
	.desc = "HitM snoop reply with data, line invalidated",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line will now be (I)nvalidated: removed from this core's caches, after the data is forwarded back to the requestor, and indicating the data was found modified(M) in this cores caches cache (aka HitM response).  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "core_snoop_response.i_hit_fse",
	.event = "period=1000003,umask=0x2,event=0xef",
	.desc = "Hit snoop reply without sending the data, line invalidated",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line will now be (I)nvalidated in this core's caches without being forwarded back to the requestor. The line was in Forward, Shared or Exclusive (FSE) state in this cores caches.  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "core_snoop_response.miss",
	.event = "period=1000003,umask=0x1,event=0xef",
	.desc = "Line not found snoop reply",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating that the data was not found (IHitI) in this core's caches. A single snoop response from the core counts on all hyperthreads of the Core",
},
{
	.name = "core_snoop_response.s_fwd_fe",
	.event = "period=1000003,umask=0x40,event=0xef",
	.desc = "Hit snoop reply with data, line kept in Shared state",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line may be kept on this core in the (S)hared state, after the data is forwarded back to the requestor, initially the data was found in the cache in the (FS) Forward or Shared state.  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "core_snoop_response.s_fwd_m",
	.event = "period=1000003,umask=0x8,event=0xef",
	.desc = "HitM snoop reply with data, line kept in Shared state",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line may be kept on this core in the (S)hared state, after the data is forwarded back to the requestor, initially the data was found in the cache in the (M)odified state.  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "core_snoop_response.s_hit_fse",
	.event = "period=1000003,umask=0x4,event=0xef",
	.desc = "Hit snoop reply without sending the data, line kept in Shared state",
	.topic = "other",
	.long_desc = "Counts responses to snoops indicating the line was kept on this core in the (S)hared state, and that the data was found unmodified but not forwarded back to the requestor, initially the data was found in the cache in the (FSE) Forward, Shared state or Exclusive state.  A single snoop response from the core counts on all hyperthreads of the core",
},
{
	.name = "ocr.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x73C000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_code_rd.snc_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x708000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10001",
	.desc = "Counts demand data reads that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x73C000001",
	.desc = "Counts demand data reads that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000001",
	.desc = "Counts demand data reads that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.local_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400001",
	.desc = "Counts demand data reads that were supplied by PMM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those PMM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x703C00001",
	.desc = "Counts demand data reads that were supplied by PMM",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x730000001",
	.desc = "Counts demand data reads that were supplied by DRAM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.remote_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x703000001",
	.desc = "Counts demand data reads that were supplied by PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.snc_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x708000001",
	.desc = "Counts demand data reads that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_data_rd.snc_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x700800001",
	.desc = "Counts demand data reads that were supplied by PMM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F3FFC0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x73C000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.local_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by PMM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those PMM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x703C00002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by PMM",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.remote_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x703000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.snc_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x708000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.demand_rfo.snc_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x700800002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were supplied by PMM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x73C000400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l2.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10070",
	.desc = "Counts hardware prefetch (which bring data to L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l3.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x12380",
	.desc = "Counts hardware prefetches to the L3 only that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.hwpf_l3.remote",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90002380",
	.desc = "Counts hardware prefetches to the L3 only that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline was homed in a remote socket",
	.topic = "other",
},
{
	.name = "ocr.itom.remote",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x90000002",
	.desc = "Counts full cacheline writes (ItoM) that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline was homed in a remote socket",
	.topic = "other",
},
{
	.name = "ocr.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F3FFC0477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x73C000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x104000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those DRAM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x100400477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM attached to this socket, unless in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts only those PMM accesses that are controlled by the close SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_socket_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x70C000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to this socket, whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts DRAM accesses that are controlled by the close or distant SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.local_socket_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x700C00477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM attached to this socket, whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts PMM accesses that are controlled by the close or distant SNC Cluster",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F33000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches and were supplied by a remote socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x730000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_memory",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x731800477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM or PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.remote_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x703000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM attached to another socket",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.snc_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x708000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by DRAM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.reads_to_core.snc_pmm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x700800477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by PMM on a distant memory controller of this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "other",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "ocr.write_estimate.memory",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0xFBFF80822",
	.desc = "Counts Demand RFOs, ItoM's, PREFECTHW's, Hardware RFO Prefetches to the L1/L2 and Streaming stores that likely resulted in a store to Memory (DRAM or PMM)",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a demand load",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a demand load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x8",
	.desc = "Number of page walks outstanding for a demand load in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a demand load in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_1g",
	.event = "period=100003,umask=0x8,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 1G page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (1G sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data stores. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Number of page walks outstanding for a store in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a store in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts instruction fetch requests that miss the ITLB (Instruction TLB) and hit the STLB (Second-level TLB)",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a code (instruction fetch) request",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Number of page walks outstanding for an outstanding code request in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an outstanding code (instruction fetch) request in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE transitions count",
	.topic = "frontend",
	.long_desc = "Counts the number of Decode Stream Buffer (DSB a.k.a. Uop Cache)-to-MITE speculative transitions",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=100003,umask=0x2,event=0xab",
	.desc = "DSB-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Decode Stream Buffer (DSB) is a Uop-cache that holds translations of previously fetched instructions that were decoded by the legacy x86 decode pipeline (MITE). This event counts fetch penalty cycles when a transition occurs from DSB to MITE",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x508006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x501006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500206",
	.desc = "Retired instructions after front-end starvation of at least 2 cycles (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 2 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x510006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x502006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x520006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x504006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=500009,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code fetch is stalled due to L1 instruction cache tag miss",
},
{
	.name = "idq.dsb_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles DSB is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.mite_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=100003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB or MITE to the MS",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=100003,umask=0x30,event=0x79",
	.desc = "Uops delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=1000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered by IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=5,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when no uops are not delivered by the IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when no uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when optimal number of uops was delivered to the back-end when the back-end is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when the optimal number of uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations",
	.topic = "pipeline",
	.long_desc = "Counts cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
},
{
	.name = "assists.any",
	.event = "period=100003,umask=0x7,event=0xc1",
	.desc = "Number of occurrences where a microcode assist is invoked by hardware",
	.topic = "pipeline",
	.long_desc = "Counts the number of occurrences where a microcode assist is invoked by hardware Examples include AD (page Access Dirty), FP and AVX related assists",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts not taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc4",
	.desc = "Indirect near branch instructions retired (excluding returns) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=50021,event=0xc5",
	.desc = "All mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=50021,umask=0x11,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.cond_ntaken",
	.event = "period=50021,umask=0x10,event=0xc5",
	.desc = "Mispredicted non-taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired that were mispredicted and the branch direction was not taken (Precise event)",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=50021,umask=0x1,event=0xc5",
	.desc = "number of branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional mispredicted branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=50021,umask=0x80,event=0xc5",
	.desc = "All miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=50021,umask=0x2,event=0xc5",
	.desc = "Mispredicted indirect CALL instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts retired mispredicted indirect (near taken) calls, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=50021,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "br_misp_retired.ret",
	.event = "period=50021,umask=0x8,event=0xc5",
	.desc = "This event counts the number of mispredicted ret instructions retired. Non PEBS (Precise event)",
	.topic = "pipeline",
	.long_desc = "This is a non-precise version (that is, does not use PEBS) of the event that counts mispredicted return instructions retired (Precise event)",
},
{
	.name = "cpu_clk_unhalted.distributed",
	.event = "period=2000003,umask=0x2,event=0xec",
	.desc = "Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes cycle counts between active hyperthreads, i.e., those in C0.  A hyperthread becomes inactive when it executes the HLT or MWAIT instructions.  If all other hyperthreads are inactive (or disabled or do not exist), all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
	.long_desc = "Counts Core crystal clock cycles when current thread is unhalted and the other thread is halted",
},
{
	.name = "cpu_clk_unhalted.ref_distributed",
	.event = "period=2000003,umask=0x8,event=0x3c",
	.desc = "Core crystal clock cycles. Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes Core crystal clock cycle counts between active hyperthreads, i.e., those in C0 sleep-state. A hyperthread becomes inactive when it executes the HLT or MWAIT instructions. If one thread is active in a core, all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
	.long_desc = "Counts core crystal clock cycles when the thread is unhalted",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=1000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=1000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=1000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=1000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=1000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "cmask=2,period=1000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no loads caused an execution stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles where the Store Buffer was full and no loads caused an execution stall",
},
{
	.name = "ild_stall.lcp",
	.event = "period=500009,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Number of all retired NOP instructions (Precise event)",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0",
	.desc = "Precise instruction retired event with a reduced effect of PEBS shadow in IP distribution (Precise event)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled. Use on Fixed Counter 0 (Precise event)",
},
{
	.name = "int_misc.all_recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=500009,umask=0x80,event=0xd",
	.desc = "Counts cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
	.topic = "pipeline",
	.long_desc = "Cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=500009,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread",
	.topic = "pipeline",
	.long_desc = "Counts core cycles when the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.uop_dropping",
	.event = "period=1000003,umask=0x10,event=0xd",
	.desc = "TMA slots where uops got dropped",
	.topic = "pipeline",
	.long_desc = "Estimated number of Top-down Microarchitecture Analysis slots that got dropped due to non front-end reasons",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts the number of times a load got blocked due to false dependencies due to partial compare on address",
},
{
	.name = "load_hit_prefetch.swpf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Counts the number of demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles optimal number of Uops delivered by the LSD, but did not come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when optimal number of uops is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
	.long_desc = "Counts the number of machine clears (nukes) of any type",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "misc_retired.lbr_inserts",
	.event = "period=100003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR to be enabled properly",
},
{
	.name = "misc_retired.pause_inst",
	.event = "period=100003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
	.long_desc = "Counts number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
},
{
	.name = "resource_stalls.sb",
	.event = "period=100003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "resource_stalls.scoreboard",
	.event = "period=100003,umask=0x2,event=0xa2",
	.desc = "Counts cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=1000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for this logical processor. This is usually caused when the front-end pipeline runs into stravation periods (e.g. branch mispredictions or i-cache misses)",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to closely sample on front-end latency issues (see the FRONTEND_RETIRED event of designated precise events)",
},
{
	.name = "topdown.backend_bound_slots",
	.event = "period=10000003,umask=0x2,event=0xa4",
	.desc = "TMA slots where no uops were being issued due to lack of back-end resources",
	.topic = "pipeline",
	.long_desc = "Counts the number of Top-down Microarchitecture Analysis (TMA) method's  slots where no micro-operations were being issued from front-end to back-end of the machine due to lack of back-end resources",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method (TMA). The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core. Software can use this event as the denominator for the top-level metrics of the TMA method. This architectural event is counted on a designated fixed counter (Fixed Counter 3)",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Counts the number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method. The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core",
},
{
	.name = "uops_decoded.dec0",
	.event = "period=1000003,umask=0x1,event=0x56",
	.desc = "Number of uops decoded out of instructions exclusively fetched by decoder 0",
	.topic = "pipeline",
	.long_desc = "Uops exclusively fetched by decoder 0",
},
{
	.name = "uops_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Number of uops executed on port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Number of uops executed on port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched.port_2_3",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Number of uops executed on port 2 and 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 2 and 3",
},
{
	.name = "uops_dispatched.port_4_9",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Number of uops executed on port 4 and 9",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 5 and 9",
},
{
	.name = "uops_dispatched.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Number of uops executed on port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Number of uops executed on port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched.port_7_8",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Number of uops executed on port 7 and 8",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 7 and 8",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 2 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 3 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 4 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that RAT issues to RS",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0xe",
	.desc = "Cycles when RAT does not issue Uops to RS for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=100003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to 'Mixing Intel AVX and Intel SSE Code' section of the Optimization Guide",
},
{
	.name = "uops_retired.slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used each cycle",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "assists.fp",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Counts all microcode FP assists",
	.topic = "floating point",
	.long_desc = "Counts all microcode Floating Point assists",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=100003,umask=0x4,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=100003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=100003,umask=0x10,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=100003,umask=0x20,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=100003,umask=0x40,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=100003,umask=0x80,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=100003,umask=0x1,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=100003,umask=0x2,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=1000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Number of machine clears due to memory ordering conflicts",
	.topic = "memory",
	.long_desc = "Counts the number of Machine Clears detected dye to memory ordering. Memory Ordering Machine Clears may apply when a memory read may not conform to the memory ordering rules of the x86 architecture",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "ocr.demand_code_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.demand_code_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00001",
	.desc = "Counts demand data reads that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.demand_data_rd.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400001",
	.desc = "Counts demand data reads that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F3FC00002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.demand_rfo.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F04400002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that were not supplied by the local socket's L1, L2, or L3 caches and were supplied by the local socket",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC00400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84400400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l3.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x94002380",
	.desc = "Counts hardware prefetches to the L3 only that missed the local socket's L1, L2, and L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.hwpf_l3.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84002380",
	.desc = "Counts hardware prefetches to the L3 only that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.itom.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000002",
	.desc = "Counts full cacheline writes (ItoM) that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3FBFC08000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.other.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F84408000",
	.desc = "Counts miscellaneous requests, such as I/O and un-cacheable accesses that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.prefetches.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F844027F0",
	.desc = "Counts hardware and software prefetches to all cache levels that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F3FC00477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F04400477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were not supplied by the local socket's L1, L2, or L3 caches and were supplied by the local socket",
	.topic = "memory",
},
{
	.name = "ocr.reads_to_core.l3_miss_local_socket",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x70CC00477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that missed the L3 Cache and were supplied by the local socket (DRAM or PMM), whether or not in Sub NUMA Cluster(SNC) Mode.  In SNC Mode counts PMM or DRAM accesses that are controlled by the close or distant SNC Cluster",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x94000800",
	.desc = "Counts streaming stores that missed the local socket's L1, L2, and L3 caches",
	.topic = "memory",
},
{
	.name = "ocr.streaming_wr.l3_miss_local",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x84000800",
	.desc = "Counts streaming stores that were not supplied by the local socket's L1, L2, or L3 caches and the cacheline is homed locally",
	.topic = "memory",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Counts demand data read requests that miss the L3 cache",
	.topic = "memory",
},
{
	.name = "offcore_requests_outstanding.cycles_with_l3_miss_demand_data_rd",
	.event = "cmask=1,period=1000003,umask=0x10,event=0x60",
	.desc = "Cycles where at least one demand data read request known to have missed the L3 cache is pending",
	.topic = "memory",
	.long_desc = "Cycles where at least one demand data read request known to have missed the L3 cache is pending.  Note that this does not capture all elapsed cycles while requests are outstanding - only cycles from when the requests were known to have missed the L3 cache",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd",
	.event = "period=2000003,umask=0x10,event=0x60",
	.desc = "This event is deprecated",
	.topic = "memory",
	.deprecated = "1",
},
{
	.name = "offcore_requests_outstanding.l3_miss_demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x10,event=0x60",
	.desc = "Cycles where the core is waiting on at least 6 outstanding demand data read requests known to have missed the L3 cache",
	.topic = "memory",
	.long_desc = "Cycles where the core is waiting on at least 6 outstanding demand data read requests known to have missed the L3 cache.  Note that this event does not capture all elapsed cycles while the requests are outstanding - only cycles from when the requests were known to have missed the L3 cache",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=100003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM abort was triggered",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=100003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=100003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=100003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=100003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=100003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=100003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Counts the number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc2",
	.event = "period=100003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=100003,umask=0x4,event=0x5d",
	.desc = "Number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_mem.abort_capacity_read",
	.event = "period=100003,umask=0x80,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional reads",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional reads",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=100003,umask=0x2,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional writes",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional writes",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=100003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX line had a cache conflict",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "icx metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "icx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "icx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "icx metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_pmm_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency + tma_streaming_stores)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "icx metrics",
	.metric_expr = "100 * ((br_inst_retired.cond + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "icx metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "icx metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "icx metrics",
	.metric_expr = "tma_retiring * slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "icx metrics",
	.metric_expr = "tma_retiring * slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "icx metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "icx metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "icx metrics",
	.metric_expr = "topdown.slots",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Fraction of Physical Core issue-slots utilized by this Logical Processor",
	.topic = "icx metrics",
	.metric_expr = "(slots / (topdown.slots / 2) if #smt_on else 1)",
	.metric_name = "Slots_Utilization",
	.metric_group = "SMT;tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "icx metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "icx metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "icx metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "icx metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "icx metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "icx metrics",
	.metric_expr = "cpu_clk_unhalted.distributed",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "icx metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "icx metrics",
	.metric_expr = "tma_retiring * slots / cpu@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "icx metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "icx metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "icx metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "icx metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu@dsb2mite_switches.penalty_cycles\\,cmask\\=1\\,edge@",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "icx metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "icx metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "icx metrics",
	.metric_expr = "br_inst_retired.cond_ntaken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "icx metrics",
	.metric_expr = "br_inst_retired.cond_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "icx metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "icx metrics",
	.metric_expr = "(br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches of other types (not individually covered by other metrics in Info.Branches group)",
	.topic = "icx metrics",
	.metric_expr = "1 - (cond_nt + cond_tk + callret + jump)",
	.metric_name = "Other_Branches",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "icx metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "icx metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "icx metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "icx metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * (offcore_requests.all_data_rd - offcore_requests.demand_data_rd + l2_rqsts.all_demand_miss + l2_rqsts.swpf_miss) / instructions",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "icx metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "icx metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Rate of silent evictions from the L2 cache per Kilo instruction where the evicted lines are dropped (no writeback to L3 or memory)",
	.topic = "icx metrics",
	.metric_expr = "1e3 * l2_lines_out.silent / instructions",
	.metric_name = "L2_Evictions_Silent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Rate of non silent evictions from the L2 cache per Kilo instruction",
	.topic = "icx metrics",
	.metric_expr = "1e3 * l2_lines_out.non_silent / instructions",
	.metric_name = "L2_Evictions_NonSilent_PKI",
	.metric_group = "L2Evicts;Mem;Server",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "icx metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "icx metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "icx metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "icx metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0",
	.topic = "icx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
	.metric_expr = "core_power.lvl0_turbo_license / core_clks",
	.metric_name = "Power_License0_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1",
	.topic = "icx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl1_turbo_license / core_clks",
	.metric_name = "Power_License1_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX)",
	.topic = "icx metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX).  This includes high current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl2_turbo_license / core_clks",
	.metric_name = "Power_License2_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "icx metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_distributed if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "icx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "icx metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * (unc_m_cas_count.rd + unc_m_cas_count.wr) / 1e9 / duration_time",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external memory (in nanoseconds). Accounts for demand loads and L1/L2 prefetches",
	.topic = "icx metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (socket_clks / duration_time)",
	.metric_name = "MEM_Read_Latency",
	.metric_group = "Mem;MemoryLat;SoC",
},
{
	.desc = "Average number of parallel data read requests to external memory. Accounts for demand loads and L1/L2 prefetches",
	.topic = "icx metrics",
	.metric_expr = "unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_occupancy.ia_miss_drd@thresh\\=1@",
	.metric_name = "MEM_Parallel_Reads",
	.metric_group = "Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of data read request to external 3D X-Point memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "icx metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_pmm / unc_cha_tor_inserts.ia_miss_drd_pmm) / cha_0@event\\=0x0@",
	.metric_name = "MEM_PMM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average latency of data read request to external DRAM memory [in nanoseconds]. Accounts for demand loads and L1/L2 data-read prefetches",
	.topic = "icx metrics",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_ddr / unc_cha_tor_inserts.ia_miss_drd_ddr) / cha_0@event\\=0x0@",
	.metric_name = "MEM_DRAM_Read_Latency",
	.metric_group = "Mem;MemoryLat;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for reads [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * unc_m_pmm_rpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Read_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average 3DXP Memory Bandwidth Use for Writes [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "64 * unc_m_pmm_wpq_inserts / 1e9 / duration_time",
	.metric_name = "PMM_Write_BW",
	.metric_group = "Mem;MemoryBW;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Writes [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "unc_cha_tor_inserts.io_pcirdcur * 64 / 1e9 / duration_time",
	.metric_name = "IO_Write_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Average IO (network or disk) Bandwidth Use for Reads [GB / sec]",
	.topic = "icx metrics",
	.metric_expr = "(unc_cha_tor_inserts.io_hit_itom + unc_cha_tor_inserts.io_miss_itom + unc_cha_tor_inserts.io_hit_itomcachenear + unc_cha_tor_inserts.io_miss_itomcachenear) * 64 / 1e9 / duration_time",
	.metric_name = "IO_Read_BW",
	.metric_group = "IoBW;Mem;Server;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "icx metrics",
	.metric_expr = "cha_0@event\\=0x0@",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "icx metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "icx metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "Percentage of time spent in the active CPU power state C0",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "cpu_utilization",
},
{
	.desc = "CPU operating frequency (in GHz)",
	.topic = "icx metrics",
	.unit = "1GHz",
	.metric_expr = "cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / duration_time",
	.metric_name = "cpu_operating_frequency",
},
{
	.desc = "Cycles per instruction retired; indicating how much time each executed instruction took; in units of cycles",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "cpu_clk_unhalted.thread / inst_retired.any",
	.metric_name = "cpi",
},
{
	.desc = "The ratio of number of completed memory load instructions to the total number completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_loads / inst_retired.any",
	.metric_name = "loads_per_instr",
},
{
	.desc = "The ratio of number of completed memory store instructions to the total number completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_inst_retired.all_stores / inst_retired.any",
	.metric_name = "stores_per_instr",
},
{
	.desc = "Ratio of number of requests missing L1 data cache (includes data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "l1d.replacement / inst_retired.any",
	.metric_name = "l1d_mpi",
},
{
	.desc = "Ratio of number of demand load requests hitting in L1 data cache to the total number of completed instructions ",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l1_hit / inst_retired.any",
	.metric_name = "l1d_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of code read requests missing in L1 instruction cache (includes prefetches) to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.all_code_rd / inst_retired.any",
	.metric_name = "l1_i_code_read_misses_with_prefetches_per_instr",
},
{
	.desc = "Ratio of number of completed demand load requests hitting in L2 cache to the total number of completed instructions ",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_hit / inst_retired.any",
	.metric_name = "l2_demand_data_read_hits_per_instr",
},
{
	.desc = "Ratio of number of requests missing L2 cache (includes code+data+rfo w/ prefetches) to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_lines_in.all / inst_retired.any",
	.metric_name = "l2_mpi",
},
{
	.desc = "Ratio of number of completed data read request missing L2 cache to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "l2_demand_data_read_mpi",
},
{
	.desc = "Ratio of number of code read request missing L2 cache to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "l2_rqsts.code_rd_miss / inst_retired.any",
	.metric_name = "l2_demand_code_mpi",
},
{
	.desc = "Ratio of number of data read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_llcprefdata + unc_cha_tor_inserts.ia_miss_drd + unc_cha_tor_inserts.ia_miss_drd_pref) / inst_retired.any",
	.metric_name = "llc_data_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Ratio of number of code read requests missing last level core cache (includes demand w/ prefetches) to the total number of completed instructions",
	.topic = "icx metrics",
	.unit = "1per_instr",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_crd + unc_cha_tor_inserts.ia_miss_crd_pref) / inst_retired.any",
	.metric_name = "llc_code_read_mpi_demand_plus_prefetch",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) in nano seconds",
	.topic = "icx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd / unc_cha_tor_inserts.ia_miss_drd) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to local memory in nano seconds",
	.topic = "icx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_local / unc_cha_tor_inserts.ia_miss_drd_local) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_local) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency_for_local_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to remote memory in nano seconds",
	.topic = "icx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_remote / unc_cha_tor_inserts.ia_miss_drd_remote) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_remote) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_latency_for_remote_requests",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to Intel(R) Optane(TM) Persistent Memory(PMEM) in nano seconds",
	.topic = "icx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_pmm / unc_cha_tor_inserts.ia_miss_drd_pmm) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_pmm) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_to_pmem_latency",
},
{
	.desc = "Average latency of a last level cache (LLC) demand data read miss (read memory access) addressed to DRAM in nano seconds",
	.topic = "icx metrics",
	.unit = "1ns",
	.metric_expr = "1e9 * (unc_cha_tor_occupancy.ia_miss_drd_ddr / unc_cha_tor_inserts.ia_miss_drd_ddr) / (unc_cha_clockticks / (source_count(unc_cha_tor_occupancy.ia_miss_drd_ddr) * #num_packages)) * duration_time",
	.metric_name = "llc_demand_data_read_miss_to_dram_latency",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "icx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed / inst_retired.any",
	.metric_name = "itlb_2nd_level_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions",
	.topic = "icx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte and 4 megabyte page sizes) caused by a code fetch to the total number of completed instructions. This implies it missed in the Instruction Translation Lookaside Buffer (ITLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "itlb_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "itlb_2nd_level_large_page_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "icx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_2nd_level_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions",
	.topic = "icx metrics",
	.long_desc = "Ratio of number of completed page walks (for 2 megabyte page sizes) caused by demand data loads to the total number of completed instructions. This implies it missed in the Data Translation Lookaside Buffer (DTLB) and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_load_misses.walk_completed_2m_4m / inst_retired.any",
	.metric_name = "dtlb_2nd_level_2mb_large_page_load_mpi",
},
{
	.desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions",
	.topic = "icx metrics",
	.long_desc = "Ratio of number of completed page walks (for all page sizes) caused by demand data stores to the total number of completed instructions. This implies it missed in the DTLB and further levels of TLB",
	.unit = "1per_instr",
	.metric_expr = "dtlb_store_misses.walk_completed / inst_retired.any",
	.metric_name = "dtlb_2nd_level_store_mpi",
},
{
	.desc = "Memory read that miss the last level cache (LLC) addressed to local DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local) / (unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local + unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote)",
	.metric_name = "numa_reads_addressed_to_local_dram",
},
{
	.desc = "Memory reads that miss the last level cache (LLC) addressed to remote DRAM as a percentage of total memory read accesses, does not include LLC prefetches",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote) / (unc_cha_tor_inserts.ia_miss_drd_local + unc_cha_tor_inserts.ia_miss_drd_pref_local + unc_cha_tor_inserts.ia_miss_drd_remote + unc_cha_tor_inserts.ia_miss_drd_pref_remote)",
	.metric_name = "numa_reads_addressed_to_remote_dram",
},
{
	.desc = "Uncore operating frequency in GHz",
	.topic = "icx metrics",
	.unit = "1GHz",
	.metric_expr = "unc_cha_clockticks / (source_count(unc_cha_clockticks) * #num_packages) / 1e9 / duration_time",
	.metric_name = "uncore_frequency",
},
{
	.desc = "Intel(R) Ultra Path Interconnect (UPI) data transmit bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_upi_txl_flits.all_data * 7.111111111111111 / 1e6 / duration_time",
	.metric_name = "upi_data_transmit_bw",
},
{
	.desc = "DDR memory read bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.rd * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_read",
},
{
	.desc = "DDR memory write bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_cas_count.wr * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_write",
},
{
	.desc = "DDR memory bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_cas_count.rd + unc_m_cas_count.wr) * 64 / 1e6 / duration_time",
	.metric_name = "memory_bandwidth_total",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory read bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_rpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_read",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory write bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_m_pmm_wpq_inserts * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_write",
},
{
	.desc = "Intel(R) Optane(TM) Persistent Memory(PMEM) memory bandwidth (MB/sec)",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_m_pmm_rpq_inserts + unc_m_pmm_wpq_inserts) * 64 / 1e6 / duration_time",
	.metric_name = "pmem_memory_bandwidth_total",
},
{
	.desc = "Bandwidth of IO reads that are initiated by end device controllers that are requesting memory from the CPU",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_cha_tor_inserts.io_hit_pcirdcur + unc_cha_tor_inserts.io_miss_pcirdcur) * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_writes",
},
{
	.desc = "Bandwidth of IO writes that are initiated by end device controllers that are writing memory to the CPU",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "(unc_cha_tor_inserts.io_hit_itom + unc_cha_tor_inserts.io_miss_itom + unc_cha_tor_inserts.io_hit_itomcachenear + unc_cha_tor_inserts.io_miss_itomcachenear) * 64 / 1e6 / duration_time",
	.metric_name = "io_bandwidth_disk_or_network_reads",
},
{
	.desc = "Uops delivered from decoded instruction cache (decoded stream buffer or DSB) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_decoded_icache",
},
{
	.desc = "Uops delivered from legacy decode pipeline (Micro-instruction Translation Engine or MITE) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "idq.mite_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_legacy_decode_pipeline",
},
{
	.desc = "Uops delivered from microcode sequencer (MS) as a percent of total uops delivered to Instruction Decode Queue",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "idq.ms_uops / (idq.dsb_uops + idq.mite_uops + idq.ms_uops + lsd.uops)",
	.metric_name = "percent_uops_delivered_from_microcode_sequencer",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to local memory",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to local memory",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_local * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_local_memory_bandwidth_write",
},
{
	.desc = "Bandwidth (MB/sec) of read requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.reads_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_read",
},
{
	.desc = "Bandwidth (MB/sec) of write requests that miss the last level cache (LLC) and go to remote memory",
	.topic = "icx metrics",
	.unit = "1MB/s",
	.metric_expr = "unc_cha_requests.writes_remote * 64 / 1e6 / duration_time",
	.metric_name = "llc_miss_remote_memory_bandwidth_write",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "icx metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "topdown\\-fe\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period",
	.unit = "100%",
	.metric_expr = "(5 * idq_uops_not_delivered.cycles_0_uops_deliv.core - int_misc.uop_dropping) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "icache_16b.ifdata_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit)",
	.unit = "100%",
	.metric_expr = "10 * baclears.any / cpu_clk_unhalted.thread",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_L4_group;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu_clk_unhalted.thread",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / cpu_clk_unhalted.thread",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "icx metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / cpu_clk_unhalted.thread",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_L3_group;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "max(0, tma_frontend_bound - tma_fetch_latency)",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "icx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck",
	.unit = "100%",
	.metric_expr = "(idq.mite_cycles_any - idq.mite_cycles_ok) / cpu_clk_unhalted.distributed / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=0x1@ - cpu@inst_decoded.decoders\\,cmask\\=0x2@) / cpu_clk_unhalted.distributed",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_L4_group;tma_mite_group",
},
{
	.desc = "This metric represents fraction of cycles where (only) 4 uops were delivered by the MITE pipeline",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(cpu@idq.mite_uops\\,cmask\\=0x4@ - cpu@idq.mite_uops\\,cmask\\=0x5@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mite_4wide",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_L4_group;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "icx metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.dsb_cycles_any - idq.dsb_cycles_ok) / cpu_clk_unhalted.distributed / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_L3_group;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "icx metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "max(1 - (tma_frontend_bound + tma_backend_bound + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound)), 0)",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes",
	.unit = "100%",
	.metric_expr = "max(0, tma_bad_speculation - tma_branch_mispredicts)",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "icx metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 5 * cpu@int_misc.recovery_cycles\\,cmask\\=0x1\\,edge\\=0x1@ / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / cpu_clk_unhalted.thread, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "icx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss",
	.unit = "100%",
	.metric_expr = "min(7 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "icx metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "min(13 * ld_blocks.store_forward / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them",
	.unit = "100%",
	.metric_expr = "min((16 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (10 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "min(load_miss_real_latency * ld_blocks.no_sr / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / cpu_clk_unhalted.thread",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "icx metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.fb_full / cpu_clk_unhalted.thread",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_L4_group;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + l1d_pend_miss.fb_full_periods) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / cpu_clk_unhalted.thread",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing",
	.unit = "100%",
	.metric_expr = "min(((48 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 4 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hitm * (ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) + (47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 4 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance",
	.unit = "100%",
	.metric_expr = "min((47.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 4 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * (mem_load_l3_hit_retired.xsnp_hit + mem_load_l3_hit_retired.xsnp_hitm * (1 - ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings",
	.unit = "100%",
	.metric_expr = "min((23 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 4 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "icx metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.l2_stall / cpu_clk_unhalted.thread",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min(cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound - min(((1 - (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))) / (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + (25 * (mem_load_retired.local_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 33 * (mem_load_l3_miss_retired.remote_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))))) * (cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound) if 1e6 * (mem_load_l3_miss_retired.remote_pmm + mem_load_retired.local_pmm) > mem_load_retired.l1_miss else 0), 1), 1)",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=0x4@) / cpu_clk_unhalted.thread",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / cpu_clk_unhalted.thread - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from local memory. Caching will improve the latency and increase performance",
	.unit = "100%",
	.metric_expr = "min((66.5 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 23 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_local_dram",
	.metric_group = "Server;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote memory. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min((131 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 23 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_dram",
	.metric_group = "Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling loads from remote cache in other sockets including synchronizations issues. This is caused often due to non-optimal NUMA allocations. #link to NUMA article",
	.unit = "100%",
	.metric_expr = "min(((120 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 23 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_hitm + (120 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) - 23 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3))) * mem_load_l3_miss_retired.remote_fwd) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_remote_cache",
	.metric_group = "Offcore;Server;Snoop;TopdownL5;tma_L5_group;tma_mem_latency_group",
},
{
	.desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a",
	.topic = "icx metrics",
	.long_desc = "This metric roughly estimates (based on idle latencies) how often the CPU was stalled on accesses to external 3D-Xpoint (Crystal Ridge, a.k.a. IXP) memory by loads, PMM stands for Persistent Memory Module",
	.unit = "100%",
	.metric_expr = "min(((1 - (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))) / (19 * (mem_load_l3_miss_retired.remote_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 10 * (mem_load_l3_miss_retired.local_dram * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_fwd * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + mem_load_l3_miss_retired.remote_hitm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + (25 * (mem_load_retired.local_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss)) + 33 * (mem_load_l3_miss_retired.remote_pmm * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss))))) * (cycle_activity.stalls_l3_miss / cpu_clk_unhalted.thread + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / cpu_clk_unhalted.thread - tma_l2_bound) if 1e6 * (mem_load_l3_miss_retired.remote_pmm + mem_load_retired.local_pmm) > mem_load_retired.l1_miss else 0), 1)",
	.metric_name = "tma_pmm_bound",
	.metric_group = "MemoryBound;Server;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_L3_group;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 10 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / cpu_clk_unhalted.thread",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "icx metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line",
	.unit = "100%",
	.metric_expr = "min(48 * (cpu_clk_unhalted.thread / cpu_clk_unhalted.ref_tsc * #system_tsc_freq / 1e9 / (duration_time * 1e3 / 1e3)) * ocr.demand_rfo.l3_hit.snoop_hitm / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "icx metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / cpu_clk_unhalted.distributed",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores",
	.topic = "icx metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should Streaming stores be a bottleneck",
	.unit = "100%",
	.metric_expr = "min(9 * ocr.streaming_wr.any_response / cpu_clk_unhalted.thread, 1)",
	.metric_name = "tma_streaming_stores",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "icx metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data",
	.unit = "100%",
	.metric_expr = "min((7 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=0x1@ + dtlb_store_misses.walk_active) / cpu_clk_unhalted.distributed, 1)",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_L4_group;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / cpu_clk_unhalted.distributed",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_L5_group;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_memory_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication",
	.unit = "100%",
	.metric_expr = "arith.divider_active / cpu_clk_unhalted.thread",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cpu@exe_activity.3_ports_util\\,umask\\=0x80@ + (exe_activity.1_ports_util + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * exe_activity.2_ports_util)) / cpu_clk_unhalted.thread if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * exe_activity.2_ports_util) / cpu_clk_unhalted.thread) + 0 * slots",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_L3_group;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "cpu@exe_activity.3_ports_util\\,umask\\=0x80@ / cpu_clk_unhalted.thread + tma_serializing_operation * (cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance",
	.unit = "100%",
	.metric_expr = "resource_stalls.scoreboard / cpu_clk_unhalted.thread",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "37 * misc_retired.pause_inst / cpu_clk_unhalted.thread",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_L6_group;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "icx metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread * uops_issued.vector_width_mismatch / uops_issued.any, 1)",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful",
	.unit = "100%",
	.metric_expr = "exe_activity.1_ports_util / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop",
	.unit = "100%",
	.metric_expr = "exe_activity.2_ports_util / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_executed.cycles_ge_3 / cpu_clk_unhalted.thread",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_L4_group;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_0 + uops_dispatched.port_1 + uops_dispatched.port_5 + uops_dispatched.port_6) / (4 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_0 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_1 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_5 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU)",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_6 / cpu_clk_unhalted.distributed",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_L6_group;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_2_3 / (2 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_4_9 + uops_dispatched.port_7_8) / (4 * cpu_clk_unhalted.distributed)",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_L5_group;tma_ports_utilized_3m_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "icx metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved",
	.unit = "100%",
	.metric_expr = "max(0, topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - tma_heavy_operations)",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "icx metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * uops_executed.x87 / uops_executed.thread + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "icx metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * uops_executed.x87 / uops_executed.thread + 0 * slots",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "icx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "icx metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_L4_group;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "icx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "icx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "icx metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "min((fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots), 1)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_L5_group;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * br_inst_retired.all_branches / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_branch_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / (topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots)",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_branch_instructions + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_L3_group;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer + topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * (uops_decoded.dec0 - cpu@uops_decoded.dec0\\,cmask\\=0x1@) / idq.mite_uops",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "icx metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) * slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_L3_group;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases",
	.unit = "100%",
	.metric_expr = "min(100 * assists.any / slots, 1)",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "icx metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_L4_group;tma_microcode_sequencer_group",
},
{
	.desc = "C1 residency percent per core",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c1\\-residency@ / tsc",
	.metric_name = "C1_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "icx metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "unc_cha_2lm_nm_invitox.local",
	.event = "umask=0x1,event=0x65",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_INVITOX.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_invitox.remote",
	.event = "umask=0x2,event=0x65",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_INVITOX.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_invitox.setconflict",
	.event = "umask=0x4,event=0x65",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_INVITOX.SETCONFLICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_setconflicts.llc",
	.event = "umask=0x2,event=0x64",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS.LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_setconflicts.sf",
	.event = "umask=0x1,event=0x64",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS.SF. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_setconflicts.tor",
	.event = "umask=0x4,event=0x64",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS.TOR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_setconflicts2.memwr",
	.event = "umask=0x2,event=0x70",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS2.MEMWR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_2lm_nm_setconflicts2.memwrni",
	.event = "umask=0x4,event=0x70",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS2.MEMWRNI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.intermediate",
	.event = "umask=0x2,event=0x57",
	.desc = "CHA to iMC Bypass : Intermediate bypass Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Intermediate bypass Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that succeeded in taking the intermediate bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.not_taken",
	.event = "umask=0x4,event=0x57",
	.desc = "CHA to iMC Bypass : Not Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Not Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that could not take the bypass, and issues a read to memory. Note that transactions that did not take the bypass but did not issue read to memory will not be counted",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_bypass_cha_imc.taken",
	.event = "umask=0x1,event=0x57",
	.desc = "CHA to iMC Bypass : Taken. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Bypass : Taken : Counts the number of times when the CHA was able to bypass HA pipe on the way to iMC.  This is a latency optimization for situations when there is light loadings on the memory subsystem.  This can be filtered by when the bypass was taken and when it was not. : Filter for transactions that succeeded in taking the full bypass",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the uncore caching and home agent (CHA). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_gtone",
	.event = "umask=0xf2,event=0x33",
	.desc = "Core Cross Snoops Issued : Any Cycle with Multiple Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Any Cycle with Multiple Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.any_one",
	.event = "umask=0xf1,event=0x33",
	.desc = "Core Cross Snoops Issued : Any Single Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Any Single Snoop : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_gtone",
	.event = "umask=0x42,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple Core Requests : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.core_one",
	.event = "umask=0x41,event=0x33",
	.desc = "Core Cross Snoops Issued : Single Core Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single Core Requests : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_gtone",
	.event = "umask=0x82,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple Eviction : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.evict_one",
	.event = "umask=0x81,event=0x33",
	.desc = "Core Cross Snoops Issued : Single Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single Eviction : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple External Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.ext_one",
	.event = "umask=0x21,event=0x33",
	.desc = "Core Cross Snoops Issued : Single External Snoops. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single External Snoops : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.remote_gtone",
	.event = "umask=0x22,event=0x33",
	.desc = "Core Cross Snoops Issued : Multiple Snoop Targets from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Multiple Snoop Targets from Remote : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_core_snp.remote_one",
	.event = "umask=0x11,event=0x33",
	.desc = "Core Cross Snoops Issued : Single Snoop Target from Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Core Cross Snoops Issued : Single Snoop Target from Remote : Counts the number of transactions that trigger a configurable number of cross snoops.  Cores are snooped if the transaction looks up the cache and determines that it is necessary based on the operation type and what CoreValid bits are set.  For example, if 2 CV bits are set on a data read, the cores must have the data in S state so it is not necessary to snoop them.  However, if only 1 CV bit is set the core my have modified the data.  If the transaction was an RFO, it would need to invalidate the lines.  This event can be filtered based on who triggered the initial snoop(s)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_counter0_occupancy",
	.event = "event=0x1f",
	.desc = "Counter 0 Occupancy. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counter 0 Occupancy : Since occupancy counts can only be captured in the Cbo's 0 counter, this event allows a user to capture occupancy related information by filtering the Cb0 occupancy count captured in Counter 0.   The filtering available is found in the control register - threshold, invert and edge detect.   E.g. setting threshold to 1 can effectively monitor how many cycles the monitored queue has an entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_suppress_drd",
	.event = "umask=0x4,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_suppress_no_d2c",
	.event = "umask=0x2,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go.ha_tor_dealloc",
	.event = "umask=0x1,event=0x6e",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.extcmp",
	.event = "umask=0x1,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.fast_go",
	.event = "umask=0x10,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.fast_go_pull",
	.event = "umask=0x20,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.go",
	.event = "umask=0x4,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.go_pull",
	.event = "umask=0x8,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.idle_due_suppress",
	.event = "umask=0x80,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.nop",
	.event = "umask=0x40,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_direct_go_opc.pull",
	.event = "umask=0x2,event=0x6d",
	.desc = "Direct GO. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.no_snp",
	.event = "umask=0x2,event=0x53",
	.desc = "Multi-socket cacheline directory state lookups : Snoop Not Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Multi-socket cacheline directory state lookups : Snoop Not Needed : Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to. : Filters for transactions that did not have to send any snoops because the directory was clean",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_lookup.snp",
	.event = "umask=0x1,event=0x53",
	.desc = "Multi-socket cacheline directory state lookups : Snoop Needed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Multi-socket cacheline directory state lookups : Snoop Needed : Counts the number of transactions that looked up the directory.  Can be filtered by requests that had to snoop and those that did not have to. : Filters for transactions that had to send one or more snoops because the directory was not clean",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.ha",
	.event = "umask=0x1,event=0x54",
	.desc = "Multi-socket cacheline directory state updates; memory write due to directory update from the home agent (HA) pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline directory state updates memory writes issued from the home agent (HA) pipe. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_dir_update.tor",
	.event = "umask=0x2,event=0x54",
	.desc = "Multi-socket cacheline directory state updates; memory write due to directory update from (table of requests) TOR pipe. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts only multi-socket cacheline directory state updates due to memory writes issued from the table of requests (TOR) pipe which are the result of remote transaction hitting the SF/LLC and returning data Core2Core. This does not include memory write requests which are for I (Invalid) or E (Exclusive) cachelines",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.pmm_local",
	.event = "umask=0x10,event=0xaf",
	.desc = "Distress signal asserted : PMM Local. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Local : Counts the number of cycles either the local or incoming distress signals are asserted. : If the CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.pmm_nonlocal",
	.event = "umask=0x20,event=0xaf",
	.desc = "Distress signal asserted : PMM Remote. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : If another CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.ex_rds",
	.event = "umask=0x1,event=0x5f",
	.desc = "Read request from a remote socket which hit in the HitMe Cache to a line In the E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests from a remote socket which hit in the HitME cache (used to cache the multi-socket Directory state) to a line in the E(Exclusive) state.  This includes the following read opcodes (RdCode, RdData, RdDataMigratory, RdCur, RdInv*, Inv*)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.shared_ownreq",
	.event = "umask=0x4,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache : Remote socket ownership read requests that hit in S state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of Hits in HitMe Cache : Remote socket ownership read requests that hit in S state. : Shared hit and op is RdInvOwn, RdInv, Inv*",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoe",
	.event = "umask=0x8,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache : Remote socket WBMtoE requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_hit.wbmtoi_or_s",
	.event = "umask=0x10,event=0x5f",
	.desc = "Counts Number of Hits in HitMe Cache : Remote socket writeback to I or S requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of Hits in HitMe Cache : Remote socket writeback to I or S requests : op is WbMtoI, WbPushMtoI, WbFlush, or WbMtoS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.read",
	.event = "umask=0x1,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed : Remote socket read requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of times HitMe Cache is accessed : Remote socket read requests : op is RdCode, RdData, RdDataMigratory, RdCur, RdInvOwn, RdInv, Inv*",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_lookup.write",
	.event = "umask=0x2,event=0x5e",
	.desc = "Counts Number of times HitMe Cache is accessed : Remote socket write (i.e. writeback) requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of times HitMe Cache is accessed : Remote socket write (i.e. writeback) requests : op is WbMtoE, WbMtoI, WbPushMtoI, WbFlush, or WbMtoS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.notshared_rdinvown",
	.event = "umask=0x40,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache : Remote socket RdInvOwn requests that are not to shared line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of Misses in HitMe Cache : Remote socket RdInvOwn requests that are not to shared line : No SF/LLC HitS/F and op is RdInvOwn",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.read_or_inv",
	.event = "umask=0x80,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache : Remote socket read or invalidate requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of Misses in HitMe Cache : Remote socket read or invalidate requests : op is RdCode, RdData, RdDataMigratory, RdCur, RdInv, Inv*",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_miss.shared_rdinvown",
	.event = "umask=0x20,event=0x60",
	.desc = "Counts Number of Misses in HitMe Cache : Remote socket RdInvOwn requests to shared line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts Number of Misses in HitMe Cache : Remote socket RdInvOwn requests to shared line : SF/LLC HitS/F and op is RdInvOwn",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate",
	.event = "umask=0x10,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache : Deallocate HtiME$ on Reads without RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.deallocate_rspfwdi_loc",
	.event = "umask=0x1,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache : op is RspIFwd or RspIFwdWb for a local request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Allocate/Update to HitMe Cache : op is RspIFwd or RspIFwdWb for a local request : Received RspFwdI* for a local request, but converted HitME$ to SF entry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rdinvown",
	.event = "umask=0x8,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache : Update HitMe Cache on RdInvOwn even if not RspFwdI*. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.rspfwdi_rem",
	.event = "umask=0x2,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache : op is RspIFwd or RspIFwdWb for a remote request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of Allocate/Update to HitMe Cache : op is RspIFwd or RspIFwdWb for a remote request : Updated HitME$ on RspFwdI* or local HitM/E received for a remote request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_hitme_update.shared",
	.event = "umask=0x4,event=0x61",
	.desc = "Counts the number of Allocate/Update to HitMe Cache : Update HitMe Cache to SHARed. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.normal",
	.event = "umask=0x1,event=0x59",
	.desc = "Normal priority reads issued to the memory controller from the CHA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) read is issued to any of the memory controller channels from the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_reads_count.priority",
	.event = "umask=0x2,event=0x59",
	.desc = "HA to iMC Reads Issued : ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "HA to iMC Reads Issued : ISOCH : Count of the number of reads issued to any of the memory controller channels.  This can be filtered by the priority of the reads",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full",
	.event = "umask=0x1,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : Full Line Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a normal (Non-Isochronous) full line write is issued from the CHA to any of the memory controller channels",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.full_priority",
	.event = "umask=0x4,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : ISOCH Full Line. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : ISOCH Full Line : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial",
	.event = "umask=0x2,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : Partial Non-ISOCH. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : Partial Non-ISOCH : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_imc_writes_count.partial_priority",
	.event = "umask=0x8,event=0x5b",
	.desc = "CHA to iMC Full Line Writes Issued : ISOCH Partial. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA to iMC Full Line Writes Issued : ISOCH Partial : Counts the total number of full line writes issued from the HA into the memory controller",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.all",
	.event = "umask=0x1fffff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Any Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.all_remote",
	.event = "umask=0x1e20ff,event=0x34",
	.desc = "Cache Lookups : All transactions from Remote Agents. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : All transactions from Remote Agents : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.any_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : All Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : All Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Any local or remote transaction to the LLC, including prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code",
	.event = "umask=0x1bd0ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.CODE_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.code_local",
	.event = "umask=0x19d0ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.CODE_READ_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read",
	.event = "umask=0x1bd0ff,event=0x34",
	.desc = "Cache Lookups : Code Reads. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Code Reads : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : CRd Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : CRd Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Local or remote CRd transactions to the LLC.  This includes CRd prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_local",
	.event = "umask=0x19d0ff,event=0x34",
	.desc = "Cache Lookups : CRd Requests that come from the local socket (usually the core). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : CRd Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote CRd transactions to the LLC.  This includes CRd prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_miss",
	.event = "umask=0x1bd001,event=0x34",
	.desc = "Cache Lookups : Code Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Code Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_read_remote",
	.event = "umask=0x1a10ff,event=0x34",
	.desc = "Cache Lookups : CRd Requests that come from a Remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : CRd Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote CRd transactions to the LLC.  This includes CRd prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.code_remote",
	.event = "umask=0x1a10ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.CODE_READ_REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.corepref_or_dmnd_local_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Local request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Local request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Any local transaction to the LLC, including prefetches from the Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_rd",
	.event = "umask=0x1bc1ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read",
	.event = "umask=0x1bc1ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_all",
	.event = "umask=0x1fc1ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Data Read Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Data Read Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_local",
	.event = "umask=0x19c1ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Request that come from the local socket (usually the core). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_miss",
	.event = "umask=0x1bc101,event=0x34",
	.desc = "Cache Lookups : Data Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Data Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.data_read_remote",
	.event = "umask=0x1a01ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Data Read Requests that come from a Remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.dmnd_read_local",
	.event = "umask=0x841ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.DATA_READ_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.e",
	.event = "umask=0x20,event=0x34",
	.desc = "Cache Lookups : E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : E State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Exclusive State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.f",
	.event = "umask=0x80,event=0x34",
	.desc = "Cache Lookups : F State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : F State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Forward State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_inv",
	.event = "umask=0x1a44ff,event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_inv_local",
	.event = "umask=0x1844ff,event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate Requests that come from the local socket (usually the core). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_inv_remote",
	.event = "umask=0x1a04ff,event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate requests that come from a Remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.flush_or_inv_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Flush or Invalidate Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Flush or Invalidate Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.i",
	.event = "umask=0x1,event=0x34",
	.desc = "Cache Lookups : I State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : I State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Miss",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.llcpref_local",
	.event = "umask=0x189dff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Prefetch requests to the LLC that come from the local socket (usually the core). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state. Read transactions",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.llcpref_local_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Local LLC prefetch requests (from LLC) Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Local LLC prefetch requests (from LLC) Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Any local LLC prefetch to the LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.llc_pf_local",
	.event = "umask=0x189dff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.LLCPREF_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.locally_homed_address",
	.event = "umask=0xbdfff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.LOC_HOM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.local_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Transactions homed locally Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Transactions homed locally Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Transaction whose address resides in the local MC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.loc_hom",
	.event = "umask=0xbdfff,event=0x34",
	.desc = "Cache Lookups : Transactions homed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Transactions homed locally : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Transaction whose address resides in the local MC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.m",
	.event = "umask=0x40,event=0x34",
	.desc = "Cache Lookups : M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : M State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Modified State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.miss_all",
	.event = "umask=0x1fe001,event=0x34",
	.desc = "Cache Lookups : All Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : All Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.other_req_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Write Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Write Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Writeback transactions to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.pref_or_dmnd_remote_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Remote non-snoop request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remote non-snoop request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Non-snoop transactions to the LLC from remote agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read",
	.event = "umask=0x1bd9ff,event=0x34",
	.desc = "Cache Lookups : Reads. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Reads : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_local_loc_hom",
	.event = "umask=0x9d9ff,event=0x34",
	.desc = "Cache Lookups : Locally Requested Reads that are Locally HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally Requested Reads that are Locally HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_local_rem_hom",
	.event = "umask=0x11d9ff,event=0x34",
	.desc = "Cache Lookups : Locally Requested Reads that are Remotely HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally Requested Reads that are Remotely HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss",
	.event = "umask=0x1bd901,event=0x34",
	.desc = "Cache Lookups : Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss_loc_hom",
	.event = "umask=0xbd901,event=0x34",
	.desc = "Cache Lookups : Locally HOMed Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Locally HOMed Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_miss_rem_hom",
	.event = "umask=0x13d901,event=0x34",
	.desc = "Cache Lookups : Remotely HOMed Read Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely HOMed Read Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_or_snoop_remote_miss_rem_hom",
	.event = "umask=0x161901,event=0x34",
	.desc = "Cache Lookups : Remotely requested Read or Snoop Misses that are Remotely HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely requested Read or Snoop Misses that are Remotely HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_remote_loc_hom",
	.event = "umask=0xa19ff,event=0x34",
	.desc = "Cache Lookups : Remotely Requested Reads that are Locally HOMed. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remotely Requested Reads that are Locally HOMed : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.read_sf_hit",
	.event = "umask=0x1bd90e,event=0x34",
	.desc = "Cache Lookups : Reads that Hit the Snoop Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Reads that Hit the Snoop Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remotely_homed_address",
	.event = "umask=0x15dfff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.REM_HOM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Transactions homed remotely Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Transactions homed remotely Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Transaction whose address resides in a remote MC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_snoop_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : Remote snoop request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Remote snoop request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Snoop transactions to the LLC from remote agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.remote_snp",
	.event = "umask=0x1c19ff,event=0x34",
	.desc = "Cache and Snoop Filter Lookups; Snoop Requests from a Remote Socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing.   CHAFilter0[24:21,17] bits correspond to [FMESI] state.; Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rem_hom",
	.event = "umask=0x15dfff,event=0x34",
	.desc = "Cache Lookups : Transactions homed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Transactions homed remotely : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Transaction whose address resides in a remote MC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo",
	.event = "umask=0x1bc8ff,event=0x34",
	.desc = "Cache Lookups : RFO Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_f",
	.event = "event=0x34",
	.desc = "Cache Lookups : RFO Request Filter. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Request Filter : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_local",
	.event = "umask=0x19c8ff,event=0x34",
	.desc = "Cache Lookups : RFO Requests that come from the local socket (usually the core). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_miss",
	.event = "umask=0x1bc801,event=0x34",
	.desc = "Cache Lookups : RFO Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Misses : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_pref_local",
	.event = "umask=0x888ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.RFO_LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.rfo_remote",
	.event = "umask=0x1a08ff,event=0x34",
	.desc = "Cache Lookups : RFO Requests that come from a Remote socket. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : RFO Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Local or remote RFO transactions to the LLC.  This includes RFO prefetch",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.s",
	.event = "umask=0x10,event=0x34",
	.desc = "Cache Lookups : S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : S State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : Hit Shared State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_e",
	.event = "umask=0x4,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - E State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit Exclusive State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_h",
	.event = "umask=0x8,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - H State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - H State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit HitMe State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.sf_s",
	.event = "umask=0x2,event=0x34",
	.desc = "Cache Lookups : SnoopFilter - S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : SnoopFilter - S State : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS select a state or states (in the umask field) to match.  Otherwise, the event will count nothing. : SF Hit Shared State",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.writes_and_other",
	.event = "umask=0x1a42ff,event=0x34",
	.desc = "Cache Lookups : Filters Requests for those that write info into the cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cache Lookups : Write Requests : Counts the number of times the LLC was accessed - this includes code, data, prefetches and hints coming from L2.  This has numerous filters available.  Note the non-standard filtering equation.  This event will count requests that lookup the cache multiple times with multiple increments.  One must ALWAYS set umask bit 0 and select a state or states to match.  Otherwise, the event will count nothing. : Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cacheable and UC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_lookup.write_local",
	.event = "umask=0x842ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.WRITES_AND_OTHER. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_lookup.write_remote",
	.event = "umask=0x17c2ff,event=0x34",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_LLC_LOOKUP.WRITES_AND_OTHER. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_llc_victims.all",
	.event = "umask=0xf,event=0x37",
	.desc = "Lines Victimized : All Lines Victimized. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : All Lines Victimized : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Lines Victimized : Lines in E state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in E state : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_all",
	.event = "umask=0x200f,event=0x37",
	.desc = "Lines Victimized : Local - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - All Lines : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_e",
	.event = "umask=0x2002,event=0x37",
	.desc = "Lines Victimized : Local - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in E State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_m",
	.event = "umask=0x2001,event=0x37",
	.desc = "Lines Victimized : Local - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in M State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_only",
	.event = "event=0x37",
	.desc = "Lines Victimized : Local Only. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local Only : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.local_s",
	.event = "umask=0x2004,event=0x37",
	.desc = "Lines Victimized : Local - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Local - Lines in S State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Lines Victimized : Lines in M state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in M state : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_all",
	.event = "umask=0x800f,event=0x37",
	.desc = "Lines Victimized : Remote - All Lines. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Remote - All Lines : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_e",
	.event = "umask=0x8002,event=0x37",
	.desc = "Lines Victimized : Remote - Lines in E State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Remote - Lines in E State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_m",
	.event = "umask=0x8001,event=0x37",
	.desc = "Lines Victimized : Remote - Lines in M State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Remote - Lines in M State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_only",
	.event = "event=0x37",
	.desc = "Lines Victimized : Remote Only. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Remote Only : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.remote_s",
	.event = "umask=0x8004,event=0x37",
	.desc = "Lines Victimized : Remote - Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Remote - Lines in S State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_llc_victims.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Lines Victimized : Lines in S State. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Lines Victimized : Lines in S State : Counts the number of lines that were victimized on a fill.  This can be filtered by the state that the line was in",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Cbo Misc : CV0 Prefetch Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : CV0 Prefetch Miss : Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "Cbo Misc : CV0 Prefetch Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : CV0 Prefetch Victim : Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Number of times that an RFO hit in S state. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a RFO (the Read for Ownership issued before a  write) request hit a cacheline in the S (Shared) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Cbo Misc : Silent Snoop Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : Silent Snoop Eviction : Miscellaneous events in the Cbo. : Counts the number of times when a Snoop hit in FSE states and triggered a silent eviction.  This is useful because this information is lost in the PRE encodings",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Cbo Misc : Write Combining Aliasing. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cbo Misc : Write Combining Aliasing : Miscellaneous events in the Cbo. : Counts the number of times that a USWC write (WCIL(F)) transaction hit in the LLC in M state, triggering a WBMtoI followed by the USWC write.  This occurs when there is WC aliasing",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.local_invitoe",
	.event = "umask=0x1,event=0x55",
	.desc = "OSB Snoop Broadcast : Local InvItoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Local InvItoE : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.local_read",
	.event = "umask=0x2,event=0x55",
	.desc = "OSB Snoop Broadcast : Local Rd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Local Rd : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.off_pwrheuristic",
	.event = "umask=0x20,event=0x55",
	.desc = "OSB Snoop Broadcast : Off. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Off : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.remote_read",
	.event = "umask=0x4,event=0x55",
	.desc = "OSB Snoop Broadcast : Remote Rd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Remote Rd : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.remote_readinvitoe",
	.event = "umask=0x8,event=0x55",
	.desc = "OSB Snoop Broadcast : Remote Rd InvItoE. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : Remote Rd InvItoE : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_osb.rfo_hits_snp_bcast",
	.event = "umask=0x10,event=0x55",
	.desc = "OSB Snoop Broadcast : RFO HitS Snoop Broadcast. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "OSB Snoop Broadcast : RFO HitS Snoop Broadcast : Count of OSB snoop broadcasts. Counts by 1 per request causing OSB snoops to be broadcast. Does not count all the snoops generated by OSB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.adegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.akegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.allrsfways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.blegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.fsf_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_allowsnp",
	.event = "umask=0x4,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_allwayrsv",
	.event = "umask=0x10,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_pamatch",
	.event = "umask=0x2,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.gotrack_waymatch",
	.event = "umask=0x8,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.hacredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.idx_inpipe",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ipq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.irq_pmm",
	.event = "umask=0x20,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.irq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ismq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ivegrcredit",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.llc_ways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.notallowsnoop",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.one_fsf_vic",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.one_rsp_con",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.pmm_memmode_tormatch_multi",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.pmm_memmode_tor_match",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.prq_pmm",
	.event = "umask=0x40,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.ptl_inpipe",
	.event = "umask=0x80,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.rmw_setmatch",
	.event = "umask=0x1,event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.rrq_setmatch_vicp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.setmatchentrywsct",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.sf_ways_res",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.topa_match",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.torid_match_go_p",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_ad_req",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_ad_rsp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_ncb",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_ncs",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_rsp",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.vn_bl_wb",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pipe_reject.way_match",
	.event = "event=0x42",
	.desc = "Pipe Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Pipe Rejects : More Miscellaneous events in the Cbo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_invitox.local",
	.event = "umask=0x1,event=0x65",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_INVITOX.LOCAL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_invitox.remote",
	.event = "umask=0x2,event=0x65",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_INVITOX.REMOTE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_invitox.setconflict",
	.event = "umask=0x4,event=0x65",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_INVITOX.SETCONFLICT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.llc",
	.event = "umask=0x2,event=0x64",
	.desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in SF/LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in SF/LLC : NM evictions due to another read to the same near memory set in the LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.sf",
	.event = "umask=0x1,event=0x64",
	.desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in SF/LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in SF/LLC : NM evictions due to another read to the same near memory set in the SF",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts.tor",
	.event = "umask=0x4,event=0x64",
	.desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in TOR. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PMM Memory Mode related events : Counts the number of times CHA saw NM Set conflict in TOR : No Reject in the CHA due to a pending read to the same near memory set in the TOR",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts2.iodc",
	.event = "umask=0x1,event=0x70",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS2.IODC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts2.memwr",
	.event = "umask=0x2,event=0x70",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS2.MEMWR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_memmode_nm_setconflicts2.memwrni",
	.event = "umask=0x4,event=0x70",
	.desc = "UNC_CHA_PMM_MEMMODE_NM_SETCONFLICTS2.MEMWRNI. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.ddr4_fast_insert",
	.event = "umask=0x2,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.DDR4_FAST_INSERT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.rej_irq",
	.event = "umask=0x8,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.REJ_IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.slowtorq_skip",
	.event = "umask=0x40,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.SLOWTORQ_SKIP. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.slow_insert",
	.event = "umask=0x1,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.SLOW_INSERT. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.throttle",
	.event = "umask=0x4,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.THROTTLE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.throttle_irq",
	.event = "umask=0x20,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.THROTTLE_IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos.throttle_prq",
	.event = "umask=0x10,event=0x66",
	.desc = "UNC_CHA_PMM_QOS.THROTTLE_PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos_occupancy.ddr_fast_fifo",
	.event = "umask=0x2,event=0x67",
	.desc = "UNC_CHA_PMM_QOS_OCCUPANCY.DDR_FAST_FIFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = ": count # of FAST TOR Request inserted to ha_tor_req_fifo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_pmm_qos_occupancy.ddr_slow_fifo",
	.event = "umask=0x1,event=0x67",
	.desc = "UNC_CHA_PMM_QOS_OCCUPANCY.DDR_SLOW_FIFO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = ": count # of SLOW TOR Request inserted to ha_pmm_tor_req_fifo",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc0",
	.event = "umask=0x1,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC0 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc1",
	.event = "umask=0x2,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC1 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc10",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC10 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 10 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc11",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC11. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC11 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 11 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc12",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC12. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC12 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 12 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc13",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC13. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC13 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 13 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc2",
	.event = "umask=0x4,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC2 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc3",
	.event = "umask=0x8,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC3 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc4",
	.event = "umask=0x10,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC4 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc5",
	.event = "umask=0x20,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC5 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc6",
	.event = "umask=0x40,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC6 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 6 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc7",
	.event = "umask=0x80,event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC7 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 7 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc8",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC8 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 8 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_read_no_credits.mc9",
	.event = "event=0x58",
	.desc = "CHA iMC CHNx READ Credits Empty : MC9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx READ Credits Empty : MC9 : Counts the number of times when there are no credits available for sending reads from the CHA into the iMC.  In order to send reads into the memory controller, the HA must first acquire a credit for the iMC's AD Ingress queue. : Filter for memory controller 9 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe",
	.event = "umask=0x30,event=0x50",
	.desc = "Local INVITOE requests (exclusive ownership of a cache line without receiving data) that miss the SF/LLC and remote INVITOE requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_local",
	.event = "umask=0x10,event=0x50",
	.desc = "Local INVITOE requests (exclusive ownership of a cache line without receiving data) that miss the SF/LLC and are sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a unit on this socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.invitoe_remote",
	.event = "umask=0x20,event=0x50",
	.desc = "Remote INVITOE requests (exclusive ownership of a cache line without receiving data) sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of requests coming from a remote socket for exclusive ownership of a cache line without receiving data (INVITOE) to the CHA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads",
	.event = "umask=0x3,event=0x50",
	.desc = "Local read requests that miss the SF/LLC and remote read requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write) ",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_local",
	.event = "umask=0x1,event=0x50",
	.desc = "Local read requests that miss the SF/LLC and are sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a unit on this socket made into this CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.reads_remote",
	.event = "umask=0x2,event=0x50",
	.desc = "Remote read requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts read requests coming from a remote socket made into the CHA. Reads include all read opcodes (including RFO: the Read for Ownership issued before a  write)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes",
	.event = "umask=0xc,event=0x50",
	.desc = "Local write requests that miss the SF/LLC and remote write requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts write requests made into the CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_local",
	.event = "umask=0x4,event=0x50",
	.desc = "Local write requests that miss the SF/LLC and are sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts  write requests coming from a unit on this socket made into this CHA, including streaming, evictions, HitM (Reads from another core to a Modified cacheline), etc",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_requests.writes_remote",
	.event = "umask=0x8,event=0x50",
	.desc = "Remote write requests sent to the CHA's home agent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts the total number of read requests made into the Home Agent. Reads include all read opcodes (including RFO).  Writes include all writes (streaming, evictions, HitM, etc)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress (from CMS) Allocations : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : IPQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress (from CMS) Allocations : IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : IRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress (from CMS) Allocations : IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : IRQ Rejected : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress (from CMS) Allocations : PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : PRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress (from CMS) Allocations : PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : PRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.rrq",
	.event = "umask=0x40,event=0x13",
	.desc = "Ingress (from CMS) Allocations : RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : RRQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_inserts.wbq",
	.event = "umask=0x80,event=0x13",
	.desc = "Ingress (from CMS) Allocations : WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Allocations : WBQ : Counts number of allocations per cycle into the specified Ingress queue",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0 : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0 : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0 : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0 : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0 : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0 : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x22",
	.desc = "IPQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.any0",
	.event = "umask=0x1,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 1 : ANY0 : Any condition listed in the IPQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.ha",
	.event = "umask=0x2,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.llc_victim",
	.event = "umask=0x4,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IPQ Requests (from CMS) Rejected - Set 1 : SF Victim : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ipq1_reject.victim",
	.event = "umask=0x10,event=0x23",
	.desc = "IPQ Requests (from CMS) Rejected - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0 : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0 : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0 : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0 : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0 : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0 : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x18",
	.desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.any0",
	.event = "umask=0x1,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : ANY0 : Any condition listed in the IRQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.ha",
	.event = "umask=0x2,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC or SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC or SF Way : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.llc_victim",
	.event = "umask=0x4,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "Ingress (from CMS) Request Queue Rejects; PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "IRQ Requests (from CMS) Rejected - Set 1 : SF Victim : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_irq1_reject.victim",
	.event = "umask=0x10,event=0x19",
	.desc = "IRQ Requests (from CMS) Rejected - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x24",
	.desc = "ISMQ Rejects - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2c",
	.desc = "ISMQ Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.any0",
	.event = "umask=0x1,event=0x25",
	.desc = "ISMQ Rejects - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 1 : ANY0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Any condition listed in the ISMQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_reject.ha",
	.event = "umask=0x2,event=0x25",
	.desc = "ISMQ Rejects - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Rejects - Set 1 : HA : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.any0",
	.event = "umask=0x1,event=0x2d",
	.desc = "ISMQ Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 1 : ANY0 : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores. : Any condition listed in the ISMQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_ismq1_retry.ha",
	.event = "umask=0x2,event=0x2d",
	.desc = "ISMQ Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "ISMQ Retries - Set 1 : HA : Number of times a transaction flowing through the ISMQ had to retry.  Transaction pass through the ISMQ as responses for requests that already exist in the Cbo.  Some examples include: when data is returned or when snoop responses come back from the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress (from CMS) Occupancy : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Occupancy : IPQ : Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Occupancy : IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Occupancy : IRQ : Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.rrq",
	.event = "umask=0x40,event=0x11",
	.desc = "Ingress (from CMS) Occupancy : RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Occupancy : RRQ : Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_occupancy.wbq",
	.event = "umask=0x80,event=0x11",
	.desc = "Ingress (from CMS) Occupancy : WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Occupancy : WBQ : Counts number of entries in the specified Ingress queue in each cycle",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "Other Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : AD REQ on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "Other Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : AD RSP on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2e",
	.desc = "Other Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : Non UPI AK Request : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "Other Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL NCB on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "Other Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL NCS on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "Other Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL RSP on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "Other Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : BL WB on VN0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2e",
	.desc = "Other Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 0 : Non UPI IV Request : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "Other Retries - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : Allow Snoop : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.any0",
	.event = "umask=0x1,event=0x2f",
	.desc = "Other Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : ANY0 : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Any condition listed in the Other0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.ha",
	.event = "umask=0x2,event=0x2f",
	.desc = "Other Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : HA : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "Other Retries - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : LLC OR SF Way : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.llc_victim",
	.event = "umask=0x4,event=0x2f",
	.desc = "Other Retries - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : LLC Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "Other Retries - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : PhyAddr Match : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "Other Retries - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : SF Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject) : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_other1_retry.victim",
	.event = "umask=0x10,event=0x2f",
	.desc = "Other Retries - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Other Retries - Set 1 : Victim : Retry Queue Inserts of Transactions that were already in another Retry Q (sub-events encode the reason for the next reject)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD REQ on VN0 : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : AD RSP on VN0 : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI AK Request : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCB on VN0 : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL NCS on VN0 : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL RSP on VN0 : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : BL WB on VN0 : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x20",
	.desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 0 : Non UPI IV Request : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.any0",
	.event = "umask=0x1,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : ANY0 : Any condition listed in the PRQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.ha",
	.event = "umask=0x2,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC OR SF Way : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.llc_victim",
	.event = "umask=0x4,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : PhyAddr Match : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "PRQ Requests (from CMS) Rejected - Set 1 : SF Victim : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_prq1_reject.victim",
	.event = "umask=0x10,event=0x21",
	.desc = "PRQ Requests (from CMS) Rejected - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : AD REQ on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : AD RSP on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : Non UPI AK Request : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL NCB on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL NCS on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL RSP on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : BL WB on VN0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2a",
	.desc = "Request Queue Retries - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 0 : Non UPI IV Request : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : Allow Snoop : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.any0",
	.event = "umask=0x1,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : ANY0 : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Any condition listed in the WBQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.ha",
	.event = "umask=0x2,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : HA : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_or_sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : LLC OR SF Way : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.llc_victim",
	.event = "umask=0x4,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : LLC Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : PhyAddr Match : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : SF Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ) : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_req_q1_retry.victim",
	.event = "umask=0x10,event=0x2b",
	.desc = "Request Queue Retries - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Request Queue Retries - Set 1 : Victim : REQUESTQ includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x26",
	.desc = "RRQ Rejects - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x26",
	.desc = "RRQ Rejects - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x26",
	.desc = "RRQ Rejects - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x26",
	.desc = "RRQ Rejects - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x26",
	.desc = "RRQ Rejects - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x26",
	.desc = "RRQ Rejects - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x26",
	.desc = "RRQ Rejects - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x26",
	.desc = "RRQ Rejects - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.allow_snp",
	.event = "umask=0x40,event=0x27",
	.desc = "RRQ Rejects - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : Allow Snoop : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.any0",
	.event = "umask=0x1,event=0x27",
	.desc = "RRQ Rejects - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : ANY0 : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Any condition listed in the RRQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.ha",
	.event = "umask=0x2,event=0x27",
	.desc = "RRQ Rejects - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : HA : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x27",
	.desc = "RRQ Rejects - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : LLC OR SF Way : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.llc_victim",
	.event = "umask=0x4,event=0x27",
	.desc = "RRQ Rejects - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : LLC Victim : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.pa_match",
	.event = "umask=0x80,event=0x27",
	.desc = "RRQ Rejects - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : PhyAddr Match : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.sf_victim",
	.event = "umask=0x8,event=0x27",
	.desc = "RRQ Rejects - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : SF Victim : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry. : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_rrq1_reject.victim",
	.event = "umask=0x10,event=0x27",
	.desc = "RRQ Rejects - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "RRQ Rejects - Set 1 : Victim : Number of times a transaction flowing through the RRQ (Remote Response Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x28",
	.desc = "WBQ Rejects - Set 0 : AD REQ on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : AD REQ on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No AD VN0 credit for generating a request",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x28",
	.desc = "WBQ Rejects - Set 0 : AD RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : AD RSP on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No AD VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x28",
	.desc = "WBQ Rejects - Set 0 : Non UPI AK Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : Non UPI AK Request : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Can't inject AK ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x28",
	.desc = "WBQ Rejects - Set 0 : BL NCB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : BL NCB on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No BL VN0 credit for NCB",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x28",
	.desc = "WBQ Rejects - Set 0 : BL NCS on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : BL NCS on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No BL VN0 credit for NCS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x28",
	.desc = "WBQ Rejects - Set 0 : BL RSP on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : BL RSP on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No BL VN0 credit for generating a response",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x28",
	.desc = "WBQ Rejects - Set 0 : BL WB on VN0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : BL WB on VN0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : No BL VN0 credit for generating a writeback",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x28",
	.desc = "WBQ Rejects - Set 0 : Non UPI IV Request. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 0 : Non UPI IV Request : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Can't inject IV ring message",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.allow_snp",
	.event = "umask=0x40,event=0x29",
	.desc = "WBQ Rejects - Set 1 : Allow Snoop. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : Allow Snoop : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.any0",
	.event = "umask=0x1,event=0x29",
	.desc = "WBQ Rejects - Set 1 : ANY0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : ANY0 : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Any condition listed in the WBQ0 Reject counter was true",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.ha",
	.event = "umask=0x2,event=0x29",
	.desc = "WBQ Rejects - Set 1 : HA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : HA : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_or_sf_way",
	.event = "umask=0x20,event=0x29",
	.desc = "WBQ Rejects - Set 1 : LLC OR SF Way. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : LLC OR SF Way : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Way conflict with another request that caused the reject",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.llc_victim",
	.event = "umask=0x4,event=0x29",
	.desc = "WBQ Rejects - Set 1 : LLC Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : LLC Victim : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.pa_match",
	.event = "umask=0x80,event=0x29",
	.desc = "WBQ Rejects - Set 1 : PhyAddr Match. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : PhyAddr Match : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Address match with an outstanding request that was rejected",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.sf_victim",
	.event = "umask=0x8,event=0x29",
	.desc = "WBQ Rejects - Set 1 : SF Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : SF Victim : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry. : Requests did not generate Snoop filter victim",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxc_wbq1_reject.victim",
	.event = "umask=0x10,event=0x29",
	.desc = "WBQ Rejects - Set 1 : Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WBQ Rejects - Set 1 : Victim : Number of times a transaction flowing through the WBQ (Writeback Queue) had to retry",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.e_state",
	.event = "umask=0x2,event=0x3d",
	.desc = "Snoop filter capacity evictions for E-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking exclusive lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.m_state",
	.event = "umask=0x1,event=0x3d",
	.desc = "Snoop filter capacity evictions for M-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking modified lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_sf_eviction.s_state",
	.event = "umask=0x4,event=0x3d",
	.desc = "Snoop filter capacity evictions for S-state entries. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts snoop filter capacity evictions for entries tracking shared lines in the cores? cache.? Snoop filter capacity evictions occur when the snoop filter is full and evicts an existing entry to track a new entry.? Does not count clean evictions such as when a core?s cache replaces a tracked cacheline with a new cacheline",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.all",
	.event = "umask=0x1,event=0x51",
	.desc = "Snoops Sent : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : All : Counts the number of snoops issued by the HA",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_local",
	.event = "umask=0x10,event=0x51",
	.desc = "Snoops Sent : Broadcast snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Broadcast snoops for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.bcst_remote",
	.event = "umask=0x20,event=0x51",
	.desc = "Snoops Sent : Broadcast snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Broadcast snoops for Remote Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast snoops issued by the HA responding to remote requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_local",
	.event = "umask=0x40,event=0x51",
	.desc = "Snoops Sent : Directed snoops for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Directed snoops for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of directed snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.direct_remote",
	.event = "umask=0x80,event=0x51",
	.desc = "Snoops Sent : Directed snoops for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Directed snoops for Remote Requests : Counts the number of snoops issued by the HA. : Counts the number of directed snoops issued by the HA responding to remote requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.local",
	.event = "umask=0x4,event=0x51",
	.desc = "Snoops Sent : Snoops sent for Local Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Snoops sent for Local Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast or directed snoops issued by the HA responding to local requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoops_sent.remote",
	.event = "umask=0x8,event=0x51",
	.desc = "Snoops Sent : Snoops sent for Remote Requests. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoops Sent : Snoops sent for Remote Requests : Counts the number of snoops issued by the HA. : Counts the number of broadcast or directed snoops issued by the HA responding to remote requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspcnflct",
	.event = "umask=0x40,event=0x5c",
	.desc = "Snoop Responses Received : RSPCNFLCT*. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : RSPCNFLCT* : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for snoops responses of RspConflict.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspfwd",
	.event = "umask=0x80,event=0x5c",
	.desc = "Snoop Responses Received : RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : RspFwd : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for a snoop response of RspFwd to a CA request.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspfwdwb",
	.event = "umask=0x20,event=0x5c",
	.desc = "Snoop Responses Received : Rsp*Fwd*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : Rsp*Fwd*WB : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for a snoop response of Rsp*Fwd*WB.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspi",
	.event = "umask=0x1,event=0x5c",
	.desc = "Snoop Responses Received : RspI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type RspI Snoop Response was received which indicates the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO: the Read for Ownership issued before a write hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspifwd",
	.event = "umask=0x4,event=0x5c",
	.desc = "Snoop Responses Received : RspIFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspIFwd Snoop Response was received which indicates a remote caching agent forwarded the data and the requesting agent is able to acquire the data in E (Exclusive) or M (modified) states.  This is commonly returned with RFO (the Read for Ownership issued before a write) transactions.  The snoop could have either been to a cacheline in the M,E,F (Modified, Exclusive or Forward)  states",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rsps",
	.event = "umask=0x2,event=0x5c",
	.desc = "Snoop Responses Received : RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a transaction with the opcode type RspS Snoop Response was received which indicates when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspsfwd",
	.event = "umask=0x8,event=0x5c",
	.desc = "Snoop Responses Received : RspSFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Counts when a a transaction with the opcode type RspSFwd Snoop Response was received which indicates a remote caching agent forwarded the data but held on to its current copy.  This is common for data and code reads that hit in a remote socket in E (Exclusive) or F (Forward) state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp.rspwb",
	.event = "umask=0x10,event=0x5c",
	.desc = "Snoop Responses Received : Rsp*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received : Rsp*WB : Counts the total number of RspI snoop responses received.  Whenever a snoops are issued, one or more snoop responses will be returned depending on the topology of the system.   In systems larger than 2s, when multiple snoops are returned this will count all the snoops that are received.  For example, if 3 snoops were issued and returned RspI, RspS, and RspSFwd; then each of these sub-events would increment by 1. : Filters for a snoop response of RspIWB or RspSWB.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspcnflct",
	.event = "umask=0x40,event=0x5d",
	.desc = "Snoop Responses Received Local : RspCnflct. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspCnflct : Number of snoop responses received for a Local  request : Filters for snoops responses of RspConflict to local CA requests.  This is returned when a snoop finds an existing outstanding transaction in a remote caching agent when it CAMs that caching agent.  This triggers conflict resolution hardware.  This covers both RspCnflct and RspCnflctWbI",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwd",
	.event = "umask=0x80,event=0x5d",
	.desc = "Snoop Responses Received Local : RspFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspFwd : Number of snoop responses received for a Local  request : Filters for a snoop response of RspFwd to local CA requests.  This snoop response is only possible for RdCur when a snoop HITM/E in a remote caching agent and it directly forwards data to a requestor without changing the requestor's cache line state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspfwdwb",
	.event = "umask=0x20,event=0x5d",
	.desc = "Snoop Responses Received Local : Rsp*FWD*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : Rsp*FWD*WB : Number of snoop responses received for a Local  request : Filters for a snoop response of Rsp*Fwd*WB to local CA requests.  This snoop response is only used in 4s systems.  It is used when a snoop HITM's in a remote caching agent and it directly forwards data to a requestor, and simultaneously returns data to the home to be written back to memory",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspi",
	.event = "umask=0x1,event=0x5d",
	.desc = "Snoop Responses Received Local : RspI. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspI : Number of snoop responses received for a Local  request : Filters for snoops responses of RspI to local CA requests.  RspI is returned when the remote cache does not have the data, or when the remote cache silently evicts data (such as when an RFO hits non-modified data)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspifwd",
	.event = "umask=0x4,event=0x5d",
	.desc = "Snoop Responses Received Local : RspIFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspIFwd : Number of snoop responses received for a Local  request : Filters for snoop responses of RspIFwd to local CA requests.  This is returned when a remote caching agent forwards data and the requesting agent is able to acquire the data in E or M states.  This is commonly returned with RFO transactions.  It can be either a HitM or a HitFE",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rsps",
	.event = "umask=0x2,event=0x5d",
	.desc = "Snoop Responses Received Local : RspS. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspS : Number of snoop responses received for a Local  request : Filters for snoop responses of RspS to local CA requests.  RspS is returned when a remote cache has data but is not forwarding it.  It is a way to let the requesting socket know that it cannot allocate the data in E state.  No data is sent with S RspS",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspsfwd",
	.event = "umask=0x8,event=0x5d",
	.desc = "Snoop Responses Received Local : RspSFwd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : RspSFwd : Number of snoop responses received for a Local  request : Filters for a snoop response of RspSFwd to local CA requests.  This is returned when a remote caching agent forwards data but holds on to its currently copy.  This is common for data and code reads that hit in a remote socket in E or F state",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_resp_local.rspwb",
	.event = "umask=0x10,event=0x5d",
	.desc = "Snoop Responses Received Local : Rsp*WB. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Snoop Responses Received Local : Rsp*WB : Number of snoop responses received for a Local  request : Filters for a snoop response of RspIWB or RspSWB to local CA requests.  This is returned when a non-RFO request hits in M state.  Data and Code Reads can return either RspIWB or RspSWB depending on how the system has been configured.  InvItoE transactions will also return RspIWB because they must acquire ownership",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.mtoi_rspdatam",
	.event = "umask=0x2,event=0x6b",
	.desc = "Misc Snoop Responses Received : MtoI RspIDataM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.mtoi_rspifwdm",
	.event = "umask=0x1,event=0x6b",
	.desc = "Misc Snoop Responses Received : MtoI RspIFwdM. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.pulldataptl_hitllc",
	.event = "umask=0x20,event=0x6b",
	.desc = "Misc Snoop Responses Received : Pull Data Partial - Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.pulldataptl_hitsf",
	.event = "umask=0x10,event=0x6b",
	.desc = "Misc Snoop Responses Received : Pull Data Partial - Hit SF. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.rspifwdmptl_hitllc",
	.event = "umask=0x8,event=0x6b",
	.desc = "Misc Snoop Responses Received : RspIFwdPtl Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_snoop_rsp_misc.rspifwdmptl_hitsf",
	.event = "umask=0x4,event=0x6b",
	.desc = "Misc Snoop Responses Received : RspIFwdPtl Hit SF. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.all",
	.event = "umask=0xc001ffff,event=0x35",
	.desc = "TOR Inserts : All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ddr",
	.event = "event=0x35",
	.desc = "TOR Inserts : DDR4 Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DDR4 Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ddr4",
	.event = "event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.evict",
	.event = "umask=0x2,event=0x35",
	.desc = "TOR Inserts : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SF/LLC Evictions : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.hit",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Hits : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia",
	.event = "umask=0xc001ff01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x35",
	.desc = "TOR Inserts : CLFlushes issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushes issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x35",
	.desc = "TOR Inserts : CLFlushOpts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushOpts issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd",
	.event = "umask=0xc80fff01,event=0x35",
	.desc = "TOR Inserts : CRDs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRDs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x35",
	.desc = "TOR Inserts; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd",
	.event = "umask=0xc817ff01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drdpte",
	.event = "umask=0xc837ff01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x35",
	.desc = "TOR Inserts : DRd_Opts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opts issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_drd_pref",
	.event = "umask=0xc897ff01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit",
	.event = "umask=0xc001fd01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x35",
	.desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd",
	.event = "umask=0xc817fd01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drdpte",
	.event = "umask=0xc837fd01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to page walks that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x35",
	.desc = "TOR Inserts : DRd_Opts issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opts issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_drd_pref",
	.event = "umask=0xc897fd01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_itom",
	.event = "umask=0xcc47fd01,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by iA Cores that Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by iA Cores that Hit LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefcode",
	.event = "umask=0xcccffd01,event=0x35",
	.desc = "TOR Inserts : LLCPrefCode issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefCode issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefcrd",
	.event = "umask=0xcccffd01,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_HIT_LLCPREFCODE. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefdata",
	.event = "umask=0xccd7fd01,event=0x35",
	.desc = "TOR Inserts : LLCPrefData issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefData issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefdrd",
	.event = "umask=0xccd7fd01,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_HIT_LLCPREFDATA. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_llcprefrfo",
	.event = "umask=0xccc7fd01,event=0x35",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_hit_specitom",
	.event = "umask=0xcc57fd01,event=0x35",
	.desc = "TOR Inserts : SpecItoMs issued by iA Cores that hit in the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SpecItoMs issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_itom",
	.event = "umask=0xcc47ff01,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_itomcachenear",
	.event = "umask=0xcd47ff01,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefcode",
	.event = "umask=0xcccfff01,event=0x35",
	.desc = "TOR Inserts : LLCPrefCode issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefCode issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefdata",
	.event = "umask=0xccd7ff01,event=0x35",
	.desc = "TOR Inserts : LLCPrefData issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefData issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_llcprefrfo",
	.event = "umask=0xccc7ff01,event=0x35",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss",
	.event = "umask=0xc001fe01,event=0x35",
	.desc = "TOR Inserts : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x35",
	.desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_local",
	.event = "umask=0xc80efe01,event=0x35",
	.desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref_local",
	.event = "umask=0xc88efe01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_pref_remote",
	.event = "umask=0xc88f7e01,event=0x35",
	.desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_crd_remote",
	.event = "umask=0xc80f7e01,event=0x35",
	.desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CRd issued by iA Cores that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd",
	.event = "umask=0xc817fe01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drdpte",
	.event = "umask=0xc837fe01,event=0x35",
	.desc = "TOR Inserts : DRd PTEs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd PTEs issued by iA Cores due to a page walk that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_ddr",
	.event = "umask=0xc8178601,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local",
	.event = "umask=0xc816fe01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local_ddr",
	.event = "umask=0xc8168601,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_local_pmm",
	.event = "umask=0xc8168a01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x35",
	.desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Opt_Prefs issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pmm",
	.event = "umask=0xc8178a01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref",
	.event = "umask=0xc897fe01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_ddr",
	.event = "umask=0xc8978601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local",
	.event = "umask=0xc896fe01,event=0x35",
	.desc = "TOR Inserts; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local_ddr",
	.event = "umask=0xc8968601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_local_pmm",
	.event = "umask=0xc8968a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_pmm",
	.event = "umask=0xc8978a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote",
	.event = "umask=0xc8977e01,event=0x35",
	.desc = "TOR Inserts; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read prefetch from remote IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote_ddr",
	.event = "umask=0xc8970601,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_pref_remote_pmm",
	.event = "umask=0xc8970a01,event=0x35",
	.desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote",
	.event = "umask=0xc8177e01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote_ddr",
	.event = "umask=0xc8170601,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_drd_remote_pmm",
	.event = "umask=0xc8170a01,event=0x35",
	.desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr",
	.event = "umask=0xc867fe01,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_ddr",
	.event = "umask=0xc8678601,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_dram",
	.event = "umask=0xc8678601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_WCILF_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_local_ddr",
	.event = "umask=0xc8668601,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_local_dram",
	.event = "umask=0xc8668601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_LOCAL_WCILF_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_local_pmm",
	.event = "umask=0xc8668a01,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_pmm",
	.event = "umask=0xc8678a01,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_remote_ddr",
	.event = "umask=0xc8670601,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_remote_dram",
	.event = "umask=0xc8670601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_REMOTE_WCILF_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_full_streaming_wr_remote_pmm",
	.event = "umask=0xc8670a01,event=0x35",
	.desc = "TOR Inserts; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_itom",
	.event = "umask=0xcc47fe01,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by iA Cores that Missed LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefcode",
	.event = "umask=0xcccffe01,event=0x35",
	.desc = "TOR Inserts : LLCPrefCode issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefCode issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefdata",
	.event = "umask=0xccd7fe01,event=0x35",
	.desc = "TOR Inserts : LLCPrefData issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefData issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_llcprefrfo",
	.event = "umask=0xccc7fe01,event=0x35",
	.desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : LLCPrefRFO issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcilf_ddr",
	.event = "umask=0xc8668601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcilf_pmm",
	.event = "umask=0xc8668a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcil_ddr",
	.event = "umask=0xc86e8601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_local_wcil_pmm",
	.event = "umask=0xc86e8a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr",
	.event = "umask=0xc86ffe01,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_ddr",
	.event = "umask=0xc86f8601,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_dram",
	.event = "umask=0xc86f8601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_WCIL_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_local_ddr",
	.event = "umask=0xc86e8601,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_local_dram",
	.event = "umask=0xc86e8601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_LOCAL_WCIL_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_local_pmm",
	.event = "umask=0xc86e8a01,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_pmm",
	.event = "umask=0xc86f8a01,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_remote_ddr",
	.event = "umask=0xc86f0601,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_remote_dram",
	.event = "umask=0xc86f0601,event=0x35",
	.desc = "This event is deprecated. Refer to new event UNC_CHA_TOR_INSERTS.IA_MISS_REMOTE_WCIL_DDR. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_partial_streaming_wr_remote_pmm",
	.event = "umask=0xc86f0a01,event=0x35",
	.desc = "TOR Inserts; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcilf_ddr",
	.event = "umask=0xc8670601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcilf_pmm",
	.event = "umask=0xc8670a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remote memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcil_ddr",
	.event = "umask=0xc86f0601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_remote_wcil_pmm",
	.event = "umask=0xc86f0a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_local",
	.event = "umask=0xc806fe01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref_local",
	.event = "umask=0xc886fe01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed locally : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_pref_remote",
	.event = "umask=0xc8877e01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_rfo_remote",
	.event = "umask=0xc8077e01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores that Missed the LLC - HOMed remotely : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_specitom",
	.event = "umask=0xcc57fe01,event=0x35",
	.desc = "TOR Inserts : SpecItoMs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SpecItoMs issued by iA Cores that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x35",
	.desc = "TOR Inserts : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : UCRdFs issued by iA Cores that Missed LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLF issued by iA Cores that Missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf_ddr",
	.event = "umask=0xc8678601,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting DDR that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcilf_pmm",
	.event = "umask=0xc8678a01,event=0x35",
	.desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLFs issued by iA Cores targeting PMM that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil_ddr",
	.event = "umask=0xc86f8601,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting DDR that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wcil_pmm",
	.event = "umask=0xc86f8a01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores targeting PMM that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x35",
	.desc = "TOR Inserts : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WiLs issued by iA Cores that Missed LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo",
	.event = "umask=0xc807ff01,event=0x35",
	.desc = "TOR Inserts : RFOs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x35",
	.desc = "TOR Inserts : RFO_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFO_Prefs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_specitom",
	.event = "umask=0xcc57ff01,event=0x35",
	.desc = "TOR Inserts : SpecItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : SpecItoMs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbeftoe",
	.event = "umask=0xcc3fff01,event=0x35",
	.desc = "TOR Inserts : WBEFtoEs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbEFtoEs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbeftoi",
	.event = "umask=0xcc37ff01,event=0x35",
	.desc = "TOR Inserts : WBEFtoIs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbEFtoIs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbmtoe",
	.event = "umask=0xcc2fff01,event=0x35",
	.desc = "TOR Inserts : WBMtoEs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbMtoEs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by an iA Cores. Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbMtoIs issued by iA Cores .  (Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wbstoi",
	.event = "umask=0xcc67ff01,event=0x35",
	.desc = "TOR Inserts : WBStoIs issued by an IA Core.  Non Modified Write Backs. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbStoIs issued by iA Cores .  (Non Modified Write Backs)  :Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.  Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcil",
	.event = "umask=0xc86fff01,event=0x35",
	.desc = "TOR Inserts : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLs issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x35",
	.desc = "TOR Inserts : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WCiLF issued by iA Cores : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io",
	.event = "umask=0xc001ff04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x35",
	.desc = "TOR Inserts : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : CLFlushes issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit",
	.event = "umask=0xc001fd04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices that Hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices that hit the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itom",
	.event = "umask=0xcc43ff04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itomcachenear",
	.event = "umask=0xcd43ff04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itomcachenear_local",
	.event = "umask=0xcd42ff04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices to locally HOMed memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itomcachenear_remote",
	.event = "umask=0xcd437f04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices to remotely HOMed memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itom_local",
	.event = "umask=0xcc42ff04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices to locally HOMed memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_itom_remote",
	.event = "umask=0xcc437f04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices to remotely HOMed memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss",
	.event = "umask=0xc001fe04,event=0x35",
	.desc = "TOR Inserts : All requests from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All requests from IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x35",
	.desc = "TOR Inserts : ItoMs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x35",
	.desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices that missed the LLC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x35",
	.desc = "TOR Inserts : PCIRdCurs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PCIRdCurs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_rfo",
	.event = "umask=0xc803ff04,event=0x35",
	.desc = "TOR Inserts : RFOs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RFOs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x35",
	.desc = "TOR Inserts : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WbMtoIs issued by IO Devices : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.ipq",
	.event = "umask=0x8,event=0x35",
	.desc = "TOR Inserts : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IPQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_ia",
	.event = "umask=0x1,event=0x35",
	.desc = "TOR Inserts : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.irq_non_ia",
	.event = "umask=0x10,event=0x35",
	.desc = "TOR Inserts : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : IRQ - Non iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.isoc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just ISOC : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.local_tgt",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Local Targets : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_all",
	.event = "umask=0xc000ff05,event=0x35",
	.desc = "TOR Inserts : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA and IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_ia",
	.event = "umask=0xc000ff01,event=0x35",
	.desc = "TOR Inserts : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local iA : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.loc_io",
	.event = "umask=0xc000ff04,event=0x35",
	.desc = "TOR Inserts : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : All from Local IO : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.match_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.miss",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Misses : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.mmcfg",
	.event = "event=0x35",
	.desc = "TOR Inserts : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : MMCFG Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.nearmem",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NearMem : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.noncoh",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NonCoherent : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.not_nearmem",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just NotNearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just NotNearMem : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.pmm",
	.event = "event=0x35",
	.desc = "TOR Inserts : PMM Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PMM Access : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.premorph_opc",
	.event = "event=0x35",
	.desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Match the PreMorphed Opcode in b[29:19] of the extended umask field : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_iosf",
	.event = "umask=0x4,event=0x35",
	.desc = "TOR Inserts : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts. : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.prq_non_iosf",
	.event = "umask=0x20,event=0x35",
	.desc = "TOR Inserts : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : PRQ - Non IOSF : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.remote_tgt",
	.event = "event=0x35",
	.desc = "TOR Inserts : Just Remote Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : Just Remote Targets : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.rrq",
	.event = "umask=0x40,event=0x35",
	.desc = "TOR Inserts : RRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : RRQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_inserts.wbq",
	.event = "umask=0x80,event=0x35",
	.desc = "TOR Inserts : WBQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Inserts : WBQ : Counts the number of entries successfully inserted into the TOR that match qualifications specified by the subevent.   Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ddr",
	.event = "event=0x36",
	.desc = "TOR Occupancy : DDR4 Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DDR4 Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.evict",
	.event = "umask=0x2,event=0x36",
	.desc = "TOR Occupancy : SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SF/LLC Evictions : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : TOR allocation occurred as a result of SF/LLC evictions (came from the ISMQ)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.hit",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Hits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Hits : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia",
	.event = "umask=0xc001ff01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflush",
	.event = "umask=0xc8c7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_clflushopt",
	.event = "umask=0xc8d7ff01,event=0x36",
	.desc = "TOR Occupancy : CLFlushOpts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushOpts issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd",
	.event = "umask=0xc80fff01,event=0x36",
	.desc = "TOR Occupancy : CRDs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRDs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_crd_pref",
	.event = "umask=0xc88fff01,event=0x36",
	.desc = "TOR Occupancy; CRd Pref from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Code read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd",
	.event = "umask=0xc817ff01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drdpte",
	.event = "umask=0xc837ff01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt",
	.event = "umask=0xc827ff01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opts issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opts issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_opt_pref",
	.event = "umask=0xc8a7ff01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_drd_pref",
	.event = "umask=0xc897ff01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit",
	.event = "umask=0xc001fd01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd",
	.event = "umask=0xc80ffd01,event=0x36",
	.desc = "TOR Occupancy : CRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRds issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_crd_pref",
	.event = "umask=0xc88ffd01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd",
	.event = "umask=0xc817fd01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drdpte",
	.event = "umask=0xc837fd01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt",
	.event = "umask=0xc827fd01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opts issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opts issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_opt_pref",
	.event = "umask=0xc8a7fd01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_drd_pref",
	.event = "umask=0xc897fd01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_itom",
	.event = "umask=0xcc47fd01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores that Hit LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores that Hit LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefcode",
	.event = "umask=0xcccffd01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefCode issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefCode issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefdata",
	.event = "umask=0xccd7fd01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefData issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefData issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_llcprefrfo",
	.event = "umask=0xccc7fd01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo",
	.event = "umask=0xc807fd01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_hit_rfo_pref",
	.event = "umask=0xc887fd01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_itom",
	.event = "umask=0xcc47ff01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_itomcachenear",
	.event = "umask=0xcd47ff01,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefcode",
	.event = "umask=0xcccfff01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefCode issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefCode issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefdata",
	.event = "umask=0xccd7ff01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefData issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefData issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_llcprefrfo",
	.event = "umask=0xccc7ff01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss",
	.event = "umask=0xc001fe01,event=0x36",
	.desc = "TOR Occupancy : All requests from iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd",
	.event = "umask=0xc80ffe01,event=0x36",
	.desc = "TOR Occupancy : CRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRds issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_local",
	.event = "umask=0xc80efe01,event=0x36",
	.desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref",
	.event = "umask=0xc88ffe01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref_local",
	.event = "umask=0xc88efe01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_pref_remote",
	.event = "umask=0xc88f7e01,event=0x36",
	.desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd_Prefs issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_crd_remote",
	.event = "umask=0xc80f7e01,event=0x36",
	.desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CRd issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd",
	.event = "umask=0xc817fe01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drdpte",
	.event = "umask=0xc837fe01,event=0x36",
	.desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRdPte issued by iA Cores due to a page walk that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_ddr",
	.event = "umask=0xc8178601,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local",
	.event = "umask=0xc816fe01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local_ddr",
	.event = "umask=0xc8168601,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_local_pmm",
	.event = "umask=0xc8168a01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt",
	.event = "umask=0xc827fe01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_opt_pref",
	.event = "umask=0xc8a7fe01,event=0x36",
	.desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Opt_Prefs issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pmm",
	.event = "umask=0xc8178a01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref",
	.event = "umask=0xc897fe01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_ddr",
	.event = "umask=0xc8978601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local",
	.event = "umask=0xc896fe01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local_ddr",
	.event = "umask=0xc8968601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_local_pmm",
	.event = "umask=0xc8968a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_pmm",
	.event = "umask=0xc8978a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote",
	.event = "umask=0xc8977e01,event=0x36",
	.desc = "TOR Occupancy; DRd Pref misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read prefetch from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote_ddr",
	.event = "umask=0xc8970601,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_pref_remote_pmm",
	.event = "umask=0xc8970a01,event=0x36",
	.desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRd_Prefs issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote",
	.event = "umask=0xc8177e01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote_ddr",
	.event = "umask=0xc8170601,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting DDR Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_drd_remote_pmm",
	.event = "umask=0xc8170a01,event=0x36",
	.desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : DRds issued by iA Cores targeting PMM Mem that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr",
	.event = "umask=0xc867fe01,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_ddr",
	.event = "umask=0xc8678601,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_local_ddr",
	.event = "umask=0xc8668601,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_local_pmm",
	.event = "umask=0xc8668a01,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_pmm",
	.event = "umask=0xc8678a01,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_remote_ddr",
	.event = "umask=0xc8670601,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_full_streaming_wr_remote_pmm",
	.event = "umask=0xc8670a01,event=0x36",
	.desc = "TOR Occupancy; WCiLF misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_itom",
	.event = "umask=0xcc47fe01,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefcode",
	.event = "umask=0xcccffe01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefCode issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefCode issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefdata",
	.event = "umask=0xccd7fe01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefData issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefData issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_llcprefrfo",
	.event = "umask=0xccc7fe01,event=0x36",
	.desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : LLCPrefRFO issued by iA Cores that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcilf_ddr",
	.event = "umask=0xc8668601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcilf_pmm",
	.event = "umask=0xc8668a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcil_ddr",
	.event = "umask=0xc86e8601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_local_wcil_pmm",
	.event = "umask=0xc86e8a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr",
	.event = "umask=0xc86ffe01,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_ddr",
	.event = "umask=0xc86f8601,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_local_ddr",
	.event = "umask=0xc86e8601,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_local_pmm",
	.event = "umask=0xc86e8a01,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_pmm",
	.event = "umask=0xc86f8a01,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_remote_ddr",
	.event = "umask=0xc86f0601,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_partial_streaming_wr_remote_pmm",
	.event = "umask=0xc86f0a01,event=0x36",
	.desc = "TOR Occupancy; WCiL misses from local IA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy; Data read from local IA that misses in the snoop filter",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcilf_ddr",
	.event = "umask=0xc8670601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcilf_pmm",
	.event = "umask=0xc8670a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcil_ddr",
	.event = "umask=0xc86f0601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_remote_wcil_pmm",
	.event = "umask=0xc86f0a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo",
	.event = "umask=0xc807fe01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_local",
	.event = "umask=0xc806fe01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref",
	.event = "umask=0xc887fe01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref_local",
	.event = "umask=0xc886fe01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed locally. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed locally : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_pref_remote",
	.event = "umask=0xc8877e01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_rfo_remote",
	.event = "umask=0xc8077e01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC - HOMed remotely. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores that Missed the LLC - HOMed remotely : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_specitom",
	.event = "umask=0xcc57fe01,event=0x36",
	.desc = "TOR Occupancy : SpecItoMs issued by iA Cores that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SpecItoMs issued by iA Cores that missed the LLC: For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent. Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_ucrdf",
	.event = "umask=0xc877de01,event=0x36",
	.desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : UCRdFs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil",
	.event = "umask=0xc86ffe01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf",
	.event = "umask=0xc867fe01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores that Missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf_ddr",
	.event = "umask=0xc8678601,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting DDR that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcilf_pmm",
	.event = "umask=0xc8678a01,event=0x36",
	.desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLFs issued by iA Cores targeting PMM that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil_ddr",
	.event = "umask=0xc86f8601,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting DDR that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wcil_pmm",
	.event = "umask=0xc86f8a01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores targeting PMM that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_miss_wil",
	.event = "umask=0xc87fde01,event=0x36",
	.desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WiLs issued by iA Cores that Missed LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo",
	.event = "umask=0xc807ff01,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_rfo_pref",
	.event = "umask=0xc887ff01,event=0x36",
	.desc = "TOR Occupancy : RFO_Prefs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFO_Prefs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_specitom",
	.event = "umask=0xcc57ff01,event=0x36",
	.desc = "TOR Occupancy : SpecItoMs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : SpecItoMs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wbmtoi",
	.event = "umask=0xcc27ff01,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcil",
	.event = "umask=0xc86fff01,event=0x36",
	.desc = "TOR Occupancy : WCiLs issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLs issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ia_wcilf",
	.event = "umask=0xc867ff01,event=0x36",
	.desc = "TOR Occupancy : WCiLF issued by iA Cores. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WCiLF issued by iA Cores : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io",
	.event = "umask=0xc001ff04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_clflush",
	.event = "umask=0xc8c3ff04,event=0x36",
	.desc = "TOR Occupancy : CLFlushes issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : CLFlushes issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit",
	.event = "umask=0xc001fd04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itom",
	.event = "umask=0xcc43fd04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices that Hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that Hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_itomcachenear",
	.event = "umask=0xcd43fd04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_pcirdcur",
	.event = "umask=0xc8f3fd04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_hit_rfo",
	.event = "umask=0xc803fd04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices that hit the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that hit the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_itom",
	.event = "umask=0xcc43ff04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_itomcachenear",
	.event = "umask=0xcd43ff04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss",
	.event = "umask=0xc001fe04,event=0x36",
	.desc = "TOR Occupancy : All requests from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All requests from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itom",
	.event = "umask=0xcc43fe04,event=0x36",
	.desc = "TOR Occupancy : ItoMs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_itomcachenear",
	.event = "umask=0xcd43fe04,event=0x36",
	.desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : ItoMCacheNears, indicating a partial write request, from IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_pcirdcur",
	.event = "umask=0xc8f3fe04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_miss_rfo",
	.event = "umask=0xc803fe04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices that missed the LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices that missed the LLC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_pcirdcur",
	.event = "umask=0xc8f3ff04,event=0x36",
	.desc = "TOR Occupancy : PCIRdCurs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PCIRdCurs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_rfo",
	.event = "umask=0xc803ff04,event=0x36",
	.desc = "TOR Occupancy : RFOs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : RFOs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.io_wbmtoi",
	.event = "umask=0xcc23ff04,event=0x36",
	.desc = "TOR Occupancy : WbMtoIs issued by IO Devices. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : WbMtoIs issued by IO Devices : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.ipq",
	.event = "umask=0x8,event=0x36",
	.desc = "TOR Occupancy : IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IPQ : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_ia",
	.event = "umask=0x1,event=0x36",
	.desc = "TOR Occupancy : IRQ - iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : From an iA Core",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.irq_non_ia",
	.event = "umask=0x10,event=0x36",
	.desc = "TOR Occupancy : IRQ - Non iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : IRQ - Non iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.isoc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just ISOC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just ISOC : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.local_tgt",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Local Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Local Targets : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_all",
	.event = "umask=0xc000ff05,event=0x36",
	.desc = "TOR Occupancy : All from Local iA and IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA and IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally initiated requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_ia",
	.event = "umask=0xc000ff01,event=0x36",
	.desc = "TOR Occupancy : All from Local iA. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local iA : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally initiated requests from iA Cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.loc_io",
	.event = "umask=0xc000ff04,event=0x36",
	.desc = "TOR Occupancy : All from Local IO. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : All from Local IO : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : All locally generated IO traffic",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.match_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.miss",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Misses. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Misses : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.mmcfg",
	.event = "event=0x36",
	.desc = "TOR Occupancy : MMCFG Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : MMCFG Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.nearmem",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NearMem : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.noncoh",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NonCoherent. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NonCoherent : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.not_nearmem",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just NotNearMem. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just NotNearMem : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.pmm",
	.event = "event=0x36",
	.desc = "TOR Occupancy : PMM Access. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PMM Access : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.premorph_opc",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Match the PreMorphed Opcode in b[29:19] of the extended umask field : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq",
	.event = "umask=0x4,event=0x36",
	.desc = "TOR Occupancy : PRQ - IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts. : From a PCIe Device",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.prq_non_iosf",
	.event = "umask=0x20,event=0x36",
	.desc = "TOR Occupancy : PRQ - Non IOSF. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : PRQ - Non IOSF : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_tor_occupancy.remote_tgt",
	.event = "event=0x36",
	.desc = "TOR Occupancy : Just Remote Targets. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "TOR Occupancy : Just Remote Targets : For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent.     Does not include addressless requests such as locks and interrupts",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.llc",
	.event = "umask=0x1,event=0x56",
	.desc = "WbPushMtoI : Pushed to LLC. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbPushMtoI : Pushed to LLC : Counts the number of times when the CHA was received WbPushMtoI : Counts the number of times when the CHA was able to push WbPushMToI to LLC",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_wb_push_mtoi.mem",
	.event = "umask=0x2,event=0x56",
	.desc = "WbPushMtoI : Pushed to Memory. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "WbPushMtoI : Pushed to Memory : Counts the number of times when the CHA was received WbPushMtoI : Counts the number of times when the CHA was unable to push WbPushMToI to LLC (hence pushed it to MEM)",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc0",
	.event = "umask=0x1,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC0. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC0 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 0 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc1",
	.event = "umask=0x2,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC1. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC1 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 1 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc10",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC10. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC10 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 10 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc11",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC11. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC11 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 11 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc12",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC12. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC12 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 12 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc13",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC13. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC13 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 13 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc2",
	.event = "umask=0x4,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC2. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC2 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 2 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc3",
	.event = "umask=0x8,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC3. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC3 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 3 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc4",
	.event = "umask=0x10,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC4. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC4 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 4 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc5",
	.event = "umask=0x20,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC5. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC5 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 5 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc6",
	.event = "umask=0x40,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC6. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC6 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 6 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc7",
	.event = "umask=0x80,event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC7. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC7 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 7 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc8",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC8. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC8 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 8 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_write_no_credits.mc9",
	.event = "event=0x5a",
	.desc = "CHA iMC CHNx WRITE Credits Empty : MC9. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "CHA iMC CHNx WRITE Credits Empty : MC9 : Counts the number of times when there are no credits available for sending WRITEs from the CHA into the iMC.  In order to send WRITEs into the memory controller, the HA must first acquire a credit for the iMC's BL Ingress queue. : Filter for memory controller 9 only",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop0_conflict",
	.event = "umask=0x8,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 0?) - Conflict. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 0?) - Conflict : Number of XPT prefetches dropped due to AD CMS write port contention",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop0_nocrd",
	.event = "umask=0x4,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 0?) - No Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 0?) - No Credits : Number of XPT prefetches dropped due to lack of XPT AD egress credits",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop1_conflict",
	.event = "umask=0x80,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 1?) - Conflict. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 1?) - Conflict : Number of XPT prefetches dropped due to AD CMS write port contention",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.drop1_nocrd",
	.event = "umask=0x40,event=0x6f",
	.desc = "XPT Prefetches : Dropped (on 1?) - No Credits. Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Dropped (on 1?) - No Credits : Number of XPT prefetches dropped due to lack of XPT AD egress credits",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.sent0",
	.event = "umask=0x1,event=0x6f",
	.desc = "XPT Prefetches : Sent (on 0?). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Sent (on 0?) : Number of XPT prefetches sent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_cha_xpt_pref.sent1",
	.event = "umask=0x10,event=0x6f",
	.desc = "XPT Prefetches : Sent (on 1?). Unit: uncore_cha ",
	.topic = "uncore other",
	.long_desc = "XPT Prefetches : Sent (on 1?) : Number of XPT prefetches sent",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part0_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part1_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part2_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part3_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part4_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part5_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part6_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_in.part7_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part0_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part1_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part2_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part3_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part4_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part5_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part6_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_bandwidth_out.part7_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for every 32 bytes of data sent from the IO agent to the SOC. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the integrated IO (IIO) traffic controller. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Clockticks of the integrated IO (IIO) traffic controller : Increments counter once every Traffic Controller clock, the LSCLK (500MHz)",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_clockticks_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for IIO clocktick. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Free running counter that increments for integrated IO (IIO) traffic controller clockticks",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all",
	.event = "fc_mask=0x04,ch_mask=0xFF,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts : All Ports. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.all_parts",
	.event = "fc_mask=0x04,ch_mask=0xff,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part0",
	.event = "fc_mask=0x04,ch_mask=0x01,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part1",
	.event = "fc_mask=0x04,ch_mask=0x02,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part2",
	.event = "fc_mask=0x04,ch_mask=0x04,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part3",
	.event = "fc_mask=0x04,ch_mask=0x08,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part4",
	.event = "fc_mask=0x04,ch_mask=0x10,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 4. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part5",
	.event = "fc_mask=0x04,ch_mask=0x20,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 5. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part6",
	.event = "fc_mask=0x04,ch_mask=0x40,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 6. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_inserts.cmpd.part7",
	.event = "fc_mask=0x04,ch_mask=0x80,umask=0x3,event=0xc2",
	.desc = "PCIe Completion Buffer Inserts of completions with data: Part 7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Inserts of completions with data : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all",
	.event = "fc_mask=0x04,umask=0xff,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.all_parts",
	.event = "fc_mask=0x04,umask=0xff,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0-7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0-7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part0",
	.event = "fc_mask=0x04,umask=0x1,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 0. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 0 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part1",
	.event = "fc_mask=0x04,umask=0x2,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 1 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part2",
	.event = "fc_mask=0x04,umask=0x4,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 2. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 2 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part3",
	.event = "fc_mask=0x04,umask=0x8,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 3. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 3 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part4",
	.event = "fc_mask=0x04,umask=0x10,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 4. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 4 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part5",
	.event = "fc_mask=0x04,umask=0x20,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 5. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 5 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part6",
	.event = "fc_mask=0x04,umask=0x40,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 6. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 6 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_comp_buf_occupancy.cmpd.part7",
	.event = "fc_mask=0x04,umask=0x80,event=0xd5",
	.desc = "PCIe Completion Buffer Occupancy of completions with data : Part 7. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Completion Buffer Occupancy : Part 7 : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.cfg_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's PCICFG space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0xc0",
	.desc = "Data requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reading from Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.io_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x20,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's IO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0xc0",
	.desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core reporting completion of Card read from Core DRAM : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0xc0",
	.desc = "Data requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Core writing to Card's MMIO space : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) reading from this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_by_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0xc0",
	.desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested by the CPU : Another card (different IIO stack) writing to this card. : Number of DWs (4 bytes) requested by the main die.  Includes all requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.atomic.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0x83",
	.desc = "Data requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Atomic requests targeting DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0x83",
	.desc = "Data requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : CmpD - device sending completion to CPU request : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0x83",
	.desc = "Four byte data request of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0x83",
	.desc = "Four byte data request of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to DRAM : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.msg.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0x83",
	.desc = "Data requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Messages : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0x83",
	.desc = "Data requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card reading from another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_data_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0x83",
	.desc = "Data requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Data requested of the CPU : Card writing to another Card (same or different stack) : Number of DWs (4 bytes) the card requests of the main die.    Includes all requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x86",
	.desc = "Incoming arbitration requests : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Passing data to be written : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x86",
	.desc = "Incoming arbitration requests : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Issuing final read or write of line : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x86",
	.desc = "Incoming arbitration requests : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Processing response from IOMMU : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x86",
	.desc = "Incoming arbitration requests : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Issuing to IOMMU : How often different queues (e.g. channel / fc) ask to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x86",
	.desc = "Incoming arbitration requests : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Request Ownership : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_req.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x86",
	.desc = "Incoming arbitration requests : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests : Writing line : How often different queues (e.g. channel / fc) ask to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x87",
	.desc = "Incoming arbitration requests granted : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Passing data to be written : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x87",
	.desc = "Incoming arbitration requests granted : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Issuing final read or write of line : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x87",
	.desc = "Incoming arbitration requests granted : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Processing response from IOMMU : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x87",
	.desc = "Incoming arbitration requests granted : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Issuing to IOMMU : How often different queues (e.g. channel / fc) are allowed to send request into pipeline",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x87",
	.desc = "Incoming arbitration requests granted : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Request Ownership : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_inbound_arb_won.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x87",
	.desc = "Incoming arbitration requests granted : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Incoming arbitration requests granted : Writing line : How often different queues (e.g. channel / fc) are allowed to send request into pipeline : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.1g_hits",
	.event = "umask=0x10,event=0x40",
	.desc = ": IOTLB Hits to a 1G Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 1G Page : Counts if a transaction to a 1G page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.2m_hits",
	.event = "umask=0x8,event=0x40",
	.desc = ": IOTLB Hits to a 2M Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 2M Page : Counts if a transaction to a 2M page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.4k_hits",
	.event = "umask=0x4,event=0x40",
	.desc = ": IOTLB Hits to a 4K Page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Hits to a 4K Page : Counts if a transaction to a 4K page, on its first lookup, hits the IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.all_lookups",
	.event = "umask=0x2,event=0x40",
	.desc = ": IOTLB lookups all. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB lookups all : Some transactions have to look up IOTLB multiple times.  Counts every time a request looks up IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_hits",
	.event = "umask=0x80,event=0x40",
	.desc = ": Context cache hits. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache hits : Counts each time a first look up of the transaction hits the RCC",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.ctxt_cache_lookups",
	.event = "umask=0x40,event=0x40",
	.desc = ": Context cache lookups. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache lookups : Counts each time a transaction looks up root context cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.first_lookups",
	.event = "umask=0x1,event=0x40",
	.desc = ": IOTLB lookups first. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB lookups first : Some transactions have to look up IOTLB multiple times.  Counts the first time a request looks up IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu0.misses",
	.event = "umask=0x20,event=0x40",
	.desc = ": IOTLB Fills (same as IOTLB miss). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOTLB Fills (same as IOTLB miss) : When a transaction misses IOTLB, it does a page walk to look up memory and bring in the relevant page translation. Counts when this page translation is written to IOTLB",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.cyc_pwt_full",
	.event = "umask=0x80,event=0x41",
	.desc = ": Cycles PWT full. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Cycles PWT full : Counts cycles the IOMMU has reached its maximum limit for outstanding page walks",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.num_mem_accesses",
	.event = "umask=0x40,event=0x41",
	.desc = ": IOMMU memory access. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": IOMMU memory access : IOMMU sends out memory fetches when it misses the cache look up which is indicated by this signal.  M2IOSF only uses low priority channel",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_1g_hits",
	.event = "umask=0x8,event=0x41",
	.desc = ": PWC Hit to a 1G page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 1G page : Counts each time a transaction's first look up hits the SLPWC at the 1G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_2m_hits",
	.event = "umask=0x4,event=0x41",
	.desc = ": PWC Hit to a 2M page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 2M page : Counts each time a transaction's first look up hits the SLPWC at the 2M level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_4k_hits",
	.event = "umask=0x2,event=0x41",
	.desc = ": PWC Hit to a 4K page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWC Hit to a 4K page : Counts each time a transaction's first look up hits the SLPWC at the 4K level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_512g_hits",
	.event = "umask=0x10,event=0x41",
	.desc = ": PWT Hit to a 256T page. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PWT Hit to a 256T page : Counts each time a transaction's first look up hits the SLPWC at the 512G level",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwc_cache_fills",
	.event = "umask=0x20,event=0x41",
	.desc = ": PageWalk cache fill. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PageWalk cache fill : When a transaction misses SLPWC, it does a page walk to look up memory and bring in the relevant page translation. When this page translation is written to SLPWC, ObsPwcFillValid_nnnH is asserted",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu1.pwt_cache_lookups",
	.event = "umask=0x1,event=0x41",
	.desc = ": PageWalk cache lookup. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": PageWalk cache lookup : Counts each time a transaction looks up second level page walk cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.int_cache_hits",
	.event = "umask=0x80,event=0x43",
	.desc = ": Interrupt Entry cache hit. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Interrupt Entry cache hit : Counts each time a transaction's first look up hits the IEC",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.int_cache_lookups",
	.event = "umask=0x40,event=0x43",
	.desc = ": Interrupt Entry cache lookup. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Interrupt Entry cache lookup : Counts the number of transaction looks up that interrupt remapping cache",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_device",
	.event = "umask=0x20,event=0x43",
	.desc = ": Device-selective Context cache invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Device-selective Context cache invalidation cycles : Counts number of Device selective context cache invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_domain",
	.event = "umask=0x10,event=0x43",
	.desc = ": Domain-selective Context cache invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Domain-selective Context cache invalidation cycles : Counts number of Domain selective context cache invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_ctxt_cache_inval_gbl",
	.event = "umask=0x8,event=0x43",
	.desc = ": Context cache global invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Context cache global invalidation cycles : Counts number of Context Cache global invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_domain",
	.event = "umask=0x2,event=0x43",
	.desc = ": Domain-selective IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Domain-selective IOTLB invalidation cycles : Counts number of Domain selective invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_gbl",
	.event = "umask=0x1,event=0x43",
	.desc = ": Global IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Global IOTLB invalidation cycles : Indicates that IOMMU is doing global invalidation",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_iommu3.num_inval_page",
	.event = "umask=0x4,event=0x43",
	.desc = ": Page-selective IOTLB invalidation cycles. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Page-selective IOTLB invalidation cycles : Counts number of Page-selective within Domain Invalidation events",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0",
	.event = "umask=0x1,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_bus1",
	.event = "umask=0x8,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus and PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus0_not_bus1",
	.event = "umask=0x4,event=0x2",
	.desc = "AND Mask/match for debug bus : Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : Non-PCIE bus and !(PCIE bus) : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.bus1",
	.event = "umask=0x2,event=0x2",
	.desc = "AND Mask/match for debug bus : PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_bus1",
	.event = "umask=0x10,event=0x2",
	.desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_and.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x2",
	.desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "AND Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus) : Asserted if all bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0",
	.event = "umask=0x1,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_bus1",
	.event = "umask=0x8,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus and PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus0_not_bus1",
	.event = "umask=0x4,event=0x3",
	.desc = "OR Mask/match for debug bus : Non-PCIE bus and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : Non-PCIE bus and !(PCIE bus) : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.bus1",
	.event = "umask=0x2,event=0x3",
	.desc = "OR Mask/match for debug bus : PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_bus1",
	.event = "umask=0x10,event=0x3",
	.desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and PCIE bus : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_mask_match_or.not_bus0_not_bus1",
	.event = "umask=0x20,event=0x3",
	.desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "OR Mask/match for debug bus : !(Non-PCIE bus) and !(PCIE bus) : Asserted if any bits specified by mask match",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_nothing",
	.event = "event=0x80",
	.desc = "Counting disabled. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_oustanding_req_from_cpu.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xc5",
	.desc = "Occupancy of outbound request queue : To device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Occupancy of outbound request queue : To device : Counts number of outbound requests/completions IIO is currently processing",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x88",
	.desc = ": Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Passing data to be written : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x88",
	.desc = ": Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x88",
	.desc = ": Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x88",
	.desc = ": Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x88",
	.desc = ": Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Request Ownership : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_outstanding_req_of_cpu.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x88",
	.desc = ": Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = ": Writing line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.irp",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : From IRP. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests sent to PCIe from main die : From IRP : Captures Posted/Non-posted allocations from IRP. i.e. either non-confined P2P traffic or from the CPU",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.itc",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : From ITC. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests sent to PCIe from main die : From ITC : Confined P2P",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_from_cpu.prealloc",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0xc2",
	.desc = "Number requests sent to PCIe from main die : Completion allocations. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu.all.drop",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x85",
	.desc = "Number requests PCIe makes of the main die : Drop request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests PCIe makes of the main die : Drop request : Counts full PCIe requests before they're broken into a series of cache-line size requests as measured by DATA_REQ_OF_CPU and TXN_REQ_OF_CPU. : Packet error detected, must be dropped",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu.commit.all",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x85",
	.desc = "Number requests PCIe makes of the main die : All. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number requests PCIe makes of the main die : All : Counts full PCIe requests before they're broken into a series of cache-line size requests as measured by DATA_REQ_OF_CPU and TXN_REQ_OF_CPU",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.abort",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x80,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Abort. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.confined_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x40,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Confined P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.loc_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Local P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.mcast",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Multi-cast. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.mem",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Memory. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.msgb",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : MsgB. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.rem_p2p",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Remote P2P. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_req_of_cpu_by_tgt.ubox",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x8e",
	.desc = "Num requests sent by PCIe - by target : Ubox. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_num_tgt_matched_req_of_cpu",
	.event = "event=0x8f",
	.desc = "ITC address map 1. Unit: uncore_iio ",
	.topic = "uncore other",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_outbound_cl_reqs_issued.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xd0",
	.desc = "Outbound cacheline requests issued : 64B requests issued to device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Outbound cacheline requests issued : 64B requests issued to device : Each outbound cacheline granular request may need to make multiple passes through the pipeline.  Each time a cacheline completes all its passes it advances line",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_outbound_tlp_reqs_issued.to_io",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0xd1",
	.desc = "Outbound TLP (transaction layer packet) requests issued : To device. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Outbound TLP (transaction layer packet) requests issued : To device : Each time an outbound completes all its passes it advances the pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_pwt_occupancy",
	.event = "event=0x42",
	.desc = "PWT occupancy. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PWT occupancy : Indicates how many page walks are outstanding at any point in time",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x91",
	.desc = "PCIe Request - cacheline complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x91",
	.desc = "PCIe Request - cacheline complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x91",
	.desc = "PCIe Request - cacheline complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cl_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x91",
	.desc = "PCIe Request - cacheline complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - cacheline complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes all its passes (e.g. finishes posting writes to all multi-cast targets) it advances line : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x92",
	.desc = "PCIe Request complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x92",
	.desc = "PCIe Request complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.iommu_hit",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x2,event=0x92",
	.desc = "PCIe Request complete : Processing response from IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Processing response from IOMMU : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.iommu_req",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x1,event=0x92",
	.desc = "PCIe Request complete : Issuing to IOMMU. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Issuing to IOMMU : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x92",
	.desc = "PCIe Request complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x92",
	.desc = "PCIe Request complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a single PCIe request completes all its cacheline granular requests, it advances pointer. : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.data",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x20,event=0x90",
	.desc = "PCIe Request - pass complete : Passing data to be written. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Passing data to be written : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.final_rd_wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x8,event=0x90",
	.desc = "PCIe Request - pass complete : Issuing final read or write of line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Issuing final read or write of line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.req_own",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x4,event=0x90",
	.desc = "PCIe Request - pass complete : Request Ownership. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Request Ownership : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_req_from_pcie_pass_cmpl.wr",
	.event = "fc_mask=0x07,ch_mask=0xFF,umask=0x10,event=0x90",
	.desc = "PCIe Request - pass complete : Writing line. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "PCIe Request - pass complete : Writing line : Each PCIe request is broken down into a series of cacheline granular requests and each cacheline size request may need to make multiple passes through the pipeline (e.g. for posted interrupts or multi-cast).   Each time a cacheline completes a single pass (e.g. posts a write to single multi-cast target) it advances state : Only for posted requests",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_symbol_times",
	.event = "event=0x82",
	.desc = "Symbol Times on Link. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Symbol Times on Link : Gen1 - increment once every 4nS, Gen2 - increment once every 2nS, Gen3 - increment once every 1nS",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.cfg_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's PCICFG space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.io_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x20,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's IO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's IO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core reading from Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Core writing to Card's MMIO space : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) reading from this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_by_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0xc1",
	.desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested by the CPU : Another card (different IIO stack) writing to this card. : Also known as Outbound.  Number of requests initiated by the main die, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.atomic.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x10,event=0x84",
	.desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Atomic requests targeting DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.cmpd.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x80,event=0x84",
	.desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : CmpD - device sending completion to CPU request : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x4,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.mem_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x1,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to DRAM. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to DRAM : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.msg.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x40,event=0x84",
	.desc = "Number Transactions requested of the CPU : Messages. Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Messages : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_read.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x8,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card reading from another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.iommu0",
	.event = "fc_mask=0x07,ch_mask=0x100,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.iommu1",
	.event = "fc_mask=0x07,ch_mask=0x200,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : IOMMU - Type 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part0",
	.event = "fc_mask=0x07,ch_mask=0x01,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 0/1/2/3, Or x8 card plugged in to Lane 0/1, Or x4 card is plugged in to slot 0",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part1",
	.event = "fc_mask=0x07,ch_mask=0x02,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 1",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part2",
	.event = "fc_mask=0x07,ch_mask=0x04,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 2/3, Or x4 card is plugged in to slot 2",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part3",
	.event = "fc_mask=0x07,ch_mask=0x08,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 3",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part4",
	.event = "fc_mask=0x07,ch_mask=0x10,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x16 card plugged in to Lane 4/5/6/7, Or x8 card plugged in to Lane 4/5, Or x4 card is plugged in to slot 4",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part5",
	.event = "fc_mask=0x07,ch_mask=0x20,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 5",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part6",
	.event = "fc_mask=0x07,ch_mask=0x40,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x8 card plugged in to Lane 6/7, Or x4 card is plugged in to slot 6",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_iio_txn_req_of_cpu.peer_write.part7",
	.event = "fc_mask=0x07,ch_mask=0x80,umask=0x2,event=0x84",
	.desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack). Unit: uncore_iio ",
	.topic = "uncore other",
	.long_desc = "Number Transactions requested of the CPU : Card writing to another Card (same or different stack) : Also known as Inbound.  Number of 64B cache line requests initiated by the Card, including reads and writes. : x4 card is plugged in to slot 7",
	.pmu = "uncore_iio",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.any",
	.event = "umask=0x1,event=0xf",
	.desc = "Total Write Cache Occupancy : Any Source. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total Write Cache Occupancy : Any Source : Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events. : Tracks all requests from any source port",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.iv_q",
	.event = "umask=0x2,event=0xf",
	.desc = "Total Write Cache Occupancy : Snoops. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total Write Cache Occupancy : Snoops : Accumulates the number of reads and writes that are outstanding in the uncore in each cycle.  This is effectively the sum of the READ_OCCUPANCY and WRITE_OCCUPANCY events",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_cache_total_occupancy.mem",
	.event = "umask=0x4,event=0xf",
	.desc = "Total IRP occupancy of inbound read and write requests to coherent memory. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Total IRP occupancy of inbound read and write requests to coherent memory.  This is effectively the sum of read occupancy and write occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the IO coherency tracker (IRP). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.clflush",
	.event = "umask=0x80,event=0x10",
	.desc = "Coherent Ops : CLFlush. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Coherent Ops : CLFlush : Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.pcitom",
	.event = "umask=0x10,event=0x10",
	.desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "PCIITOM request issued by the IRP unit to the mesh with the intention of writing a full cacheline to coherent memory, without a RFO.  PCIITOM is a speculative Invalidate to Modified command that requests ownership of the cacheline and does not move data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.rfo",
	.event = "umask=0x8,event=0x10",
	.desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "RFO request issued by the IRP unit to the mesh with the intention of writing a partial cacheline to coherent memory.  RFO is a Read For Ownership command that requests ownership of the cacheline and moves data from the mesh to IRP cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_coherent_ops.wbmtoi",
	.event = "umask=0x40,event=0x10",
	.desc = "Coherent Ops : WbMtoI. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Coherent Ops : WbMtoI : Counts the number of coherency related operations servied by the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_full",
	.event = "event=0x17",
	.desc = "FAF RF full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_inserts",
	.event = "event=0x18",
	.desc = "Inbound read requests received by the IRP and inserted into the FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound read requests to coherent memory, received by the IRP and inserted into the Fire and Forget queue (FAF), a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_occupancy",
	.event = "event=0x19",
	.desc = "Occupancy of the IRP FAF queue. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Occupancy of the IRP Fire and Forget (FAF) queue, a queue used for processing inbound reads in the IRP",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_faf_transactions",
	.event = "event=0x16",
	.desc = "FAF allocation -- sent to ADQ. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.evicts",
	.event = "umask=0x4,event=0x20",
	.desc = ": All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.inbound_inserts",
	.event = "umask=0x1,event=0x20",
	.desc = ": All Inserts Inbound (p2p + faf + cset). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_irp_all.outbound_inserts",
	.event = "umask=0x2,event=0x20",
	.desc = ": All Inserts Outbound (BL, AK, Snoops). Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_atomic_insert",
	.event = "umask=0x10,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Atomic Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_rd_insert",
	.event = "umask=0x4,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Read Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.2nd_wr_insert",
	.event = "umask=0x8,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Cache Inserts of Write Transactions as Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_rej",
	.event = "umask=0x2,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Rejects. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_req",
	.event = "umask=0x1,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.fast_xfer",
	.event = "umask=0x20,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Fastpath Transfers From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.pf_ack_hint",
	.event = "umask=0x40,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Prefetch Ack Hints From Primary to Secondary. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc0.slowpath_fwpf_no_prf",
	.event = "umask=0x80,event=0x1e",
	.desc = "Counts Timeouts - Set 0 : Slow path fwpf didn't find prefetch. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.lost_fwd",
	.event = "umask=0x10,event=0x1f",
	.desc = "Misc Events - Set 1 : Lost Forward. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Lost Forward : Snoop pulled away ownership before a write was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_invld",
	.event = "umask=0x20,event=0x1f",
	.desc = "Misc Events - Set 1 : Received Invalid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Received Invalid : Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.sec_rcvd_vld",
	.event = "umask=0x40,event=0x1f",
	.desc = "Misc Events - Set 1 : Received Valid. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Received Valid : Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_e",
	.event = "umask=0x4,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of E Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of E Line : Secondary received a transfer that did have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_i",
	.event = "umask=0x1,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of I Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of I Line : Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_m",
	.event = "umask=0x8,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of M Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of M Line : Snoop took cacheline ownership before write from data was committed",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_misc1.slow_s",
	.event = "umask=0x2,event=0x1f",
	.desc = "Misc Events - Set 1 : Slow Transfer of S Line. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Misc Events - Set 1 : Slow Transfer of S Line : Secondary received a transfer that did not have sufficient MESI state",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_inserts",
	.event = "event=0x14",
	.desc = "P2P Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P Requests : P2P requests from the ITC",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_occupancy",
	.event = "event=0x15",
	.desc = "P2P Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "P2P Occupancy : P2P B & S Queue Occupancy",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.cmpl",
	.event = "umask=0x8,event=0x13",
	.desc = "P2P Transactions : P2P completions. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc",
	.event = "umask=0x40,event=0x13",
	.desc = "P2P Transactions : match if local only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.loc_and_tgt_match",
	.event = "umask=0x80,event=0x13",
	.desc = "P2P Transactions : match if local and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.msg",
	.event = "umask=0x4,event=0x13",
	.desc = "P2P Transactions : P2P Message. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rd",
	.event = "umask=0x1,event=0x13",
	.desc = "P2P Transactions : P2P reads. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem",
	.event = "umask=0x10,event=0x13",
	.desc = "P2P Transactions : Match if remote only. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.rem_and_tgt_match",
	.event = "umask=0x20,event=0x13",
	.desc = "P2P Transactions : match if remote and target matches. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_p2p_transactions.wr",
	.event = "umask=0x2,event=0x13",
	.desc = "P2P Transactions : P2P Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit",
	.event = "umask=0x7e,event=0x12",
	.desc = "Responses to snoops of any type that hit M, E, S or I line in the IIO. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M, E, S or I line in the IIO",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_es",
	.event = "umask=0x74,event=0x12",
	.desc = "Responses to snoops of any type that hit E or S line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit E or S line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_i",
	.event = "umask=0x72,event=0x12",
	.desc = "Responses to snoops of any type that hit I line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit I line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_hit_m",
	.event = "umask=0x78,event=0x12",
	.desc = "Responses to snoops of any type that hit M line in the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that hit M line in the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.all_miss",
	.event = "umask=0x71,event=0x12",
	.desc = "Responses to snoops of any type that miss the IIO cache. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Responses to snoops of any type (code, data, invalidate) that miss the IIO cache",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_es",
	.event = "umask=0x4,event=0x12",
	.desc = "Snoop Responses : Hit E or S. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_i",
	.event = "umask=0x2,event=0x12",
	.desc = "Snoop Responses : Hit I. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.hit_m",
	.event = "umask=0x8,event=0x12",
	.desc = "Snoop Responses : Hit M. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.miss",
	.event = "umask=0x1,event=0x12",
	.desc = "Snoop Responses : Miss. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpcode",
	.event = "umask=0x10,event=0x12",
	.desc = "Snoop Responses : SnpCode. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpdata",
	.event = "umask=0x20,event=0x12",
	.desc = "Snoop Responses : SnpData. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_snoop_resp.snpinv",
	.event = "umask=0x40,event=0x12",
	.desc = "Snoop Responses : SnpInv. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.atomic",
	.event = "umask=0x10,event=0x11",
	.desc = "Inbound Transaction Count : Atomic. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Atomic : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Tracks the number of atomic transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.other",
	.event = "umask=0x20,event=0x11",
	.desc = "Inbound Transaction Count : Other. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Other : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Tracks the number of 'other' kinds of transactions",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.writes",
	.event = "umask=0x2,event=0x11",
	.desc = "Inbound Transaction Count : Writes. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound Transaction Count : Writes : Counts the number of Inbound transactions from the IRP to the Uncore.  This can be filtered based on request type in addition to the source queue.  Note the special filtering equation.  We do OR-reduction on the request type.  If the SOURCE bit is set, then we also do AND qualification based on the source portID. : Trackes only write requests.  Each write request should have a prefetch, so there is no need to explicitly track these requests.  For writes that are tickled and have to retry, the counter will be incremented for each retry",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_transactions.wr_pref",
	.event = "umask=0x8,event=0x11",
	.desc = "Inbound write (fast path) requests received by the IRP. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Inbound write (fast path) requests to coherent memory, received by the IRP resulting in write ownership requests issued by IRP to the mesh",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_ak_inserts",
	.event = "event=0xb",
	.desc = "AK Egress Allocations. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_cycles_full",
	.event = "event=0x5",
	.desc = "BL DRS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_inserts",
	.event = "event=0x2",
	.desc = "BL DRS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_drs_occupancy",
	.event = "event=0x8",
	.desc = "BL DRS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_cycles_full",
	.event = "event=0x6",
	.desc = "BL NCB Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_inserts",
	.event = "event=0x3",
	.desc = "BL NCB Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncb_occupancy",
	.event = "event=0x9",
	.desc = "BL NCB Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_cycles_full",
	.event = "event=0x7",
	.desc = "BL NCS Egress Cycles Full. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_inserts",
	.event = "event=0x4",
	.desc = "BL NCS Egress Inserts. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txc_bl_ncs_occupancy",
	.event = "event=0xa",
	.desc = "BL NCS Egress Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad01_stall_credit_cycles",
	.event = "event=0x1c",
	.desc = "UNC_I_TxR2_AD01_STALL_CREDIT_CYCLES. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = ": Counts the number times when it is not possible to issue a request to the M2PCIe because there are no Egress Credits available on AD0, A1 or AD0&AD1 both. Stalls on both AD0 and AD1 will count as 2",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad0_stall_credit_cycles",
	.event = "event=0x1a",
	.desc = "No AD0 Egress Credits Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No AD0 Egress Credits Stalls : Counts the number times when it is not possible to issue a request to the M2PCIe because there are no AD0 Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_ad1_stall_credit_cycles",
	.event = "event=0x1b",
	.desc = "No AD1 Egress Credits Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No AD1 Egress Credits Stalls : Counts the number times when it is not possible to issue a request to the M2PCIe because there are no AD1 Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txr2_bl_stall_credit_cycles",
	.event = "event=0x1d",
	.desc = "No BL Egress Credit Stalls. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "No BL Egress Credit Stalls : Counts the number times when it is not possible to issue data to the R2PCIe because there are no BL Egress Credits available",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncb",
	.event = "event=0xd",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Read Requests : Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_data_inserts_ncs",
	.event = "event=0xe",
	.desc = "Outbound Read Requests. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Read Requests : Counts the number of requests issued to the switch (towards the devices)",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_i_txs_request_occupancy",
	.event = "event=0xc",
	.desc = "Outbound Request Queue Occupancy. Unit: uncore_irp ",
	.topic = "uncore other",
	.long_desc = "Outbound Request Queue Occupancy : Accumultes the number of outstanding outbound requests from the IRP to the switch (towards the devices).  This can be used in conjuection with the allocations event in order to calculate average latency of outbound requests",
	.pmu = "uncore_irp",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.not_taken",
	.event = "umask=0x2,event=0x22",
	.desc = "M2M to iMC Bypass : Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_egress.taken",
	.event = "umask=0x1,event=0x22",
	.desc = "M2M to iMC Bypass : Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.not_taken",
	.event = "umask=0x2,event=0x21",
	.desc = "M2M to iMC Bypass : Not Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_bypass_m2m_ingress.taken",
	.event = "umask=0x1,event=0x21",
	.desc = "M2M to iMC Bypass : Taken. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_clockticks",
	.event = "event=0",
	.desc = "Clockticks of the mesh to memory (M2M). Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_dirstate",
	.event = "event=0x24",
	.desc = "Cycles when direct to core mode, which bypasses the CHA, was disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_not_taken_notforked",
	.event = "event=0x60",
	.desc = "UNC_M2M_DIRECT2CORE_NOT_TAKEN_NOTFORKED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2core_txn_override",
	.event = "event=0x25",
	.desc = "Number of reads in which direct to core transaction was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_credits",
	.event = "event=0x28",
	.desc = "Number of reads in which direct to Intel UPI transactions were overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_not_taken_dirstate",
	.event = "event=0x27",
	.desc = "Cycles when Direct2UPI was Disabled. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_direct2upi_txn_override",
	.event = "event=0x29",
	.desc = "Number of reads that a message sent direct2 Intel UPI was overridden. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Clockticks of the mesh to PCI (M2P)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_a",
	.event = "umask=0x80,event=0x2a",
	.desc = "Directory Hit : On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_i",
	.event = "umask=0x10,event=0x2a",
	.desc = "Directory Hit : On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_p",
	.event = "umask=0x40,event=0x2a",
	.desc = "Directory Hit : On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.clean_s",
	.event = "umask=0x20,event=0x2a",
	.desc = "Directory Hit : On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_a",
	.event = "umask=0x8,event=0x2a",
	.desc = "Directory Hit : On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_i",
	.event = "umask=0x1,event=0x2a",
	.desc = "Directory Hit : On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_p",
	.event = "umask=0x4,event=0x2a",
	.desc = "Directory Hit : On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_hit.dirty_s",
	.event = "umask=0x2,event=0x2a",
	.desc = "Directory Hit : On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.any",
	.event = "umask=0x1,event=0x2d",
	.desc = "Multi-socket cacheline Directory Lookups : Found in any state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_a",
	.event = "umask=0x8,event=0x2d",
	.desc = "Multi-socket cacheline Directory Lookups : Found in A state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_i",
	.event = "umask=0x2,event=0x2d",
	.desc = "Multi-socket cacheline Directory Lookups : Found in I state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_lookup.state_s",
	.event = "umask=0x4,event=0x2d",
	.desc = "Multi-socket cacheline Directory Lookups : Found in S state. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_a",
	.event = "umask=0x80,event=0x2b",
	.desc = "Directory Miss : On NonDirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_i",
	.event = "umask=0x10,event=0x2b",
	.desc = "Directory Miss : On NonDirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_p",
	.event = "umask=0x40,event=0x2b",
	.desc = "Directory Miss : On NonDirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.clean_s",
	.event = "umask=0x20,event=0x2b",
	.desc = "Directory Miss : On NonDirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_a",
	.event = "umask=0x8,event=0x2b",
	.desc = "Directory Miss : On Dirty Line in A State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_i",
	.event = "umask=0x1,event=0x2b",
	.desc = "Directory Miss : On Dirty Line in I State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_p",
	.event = "umask=0x4,event=0x2b",
	.desc = "Directory Miss : On Dirty Line in L State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_miss.dirty_s",
	.event = "umask=0x2,event=0x2b",
	.desc = "Directory Miss : On Dirty Line in S State. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_directory_update.any",
	.event = "umask=0x1,event=0x2e",
	.desc = "Multi-socket cacheline Directory Updates : From/to any state. Note: event counts are incorrect in 2LM mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.pmm_local",
	.event = "umask=0x10,event=0xaf",
	.desc = "Distress signal asserted : PMM Local. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Local : Counts the number of cycles either the local or incoming distress signals are asserted. : If the CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.pmm_nonlocal",
	.event = "umask=0x20,event=0xaf",
	.desc = "Distress signal asserted : PMM Remote. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : If another CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_pmm",
	.event = "event=0xf2",
	.desc = "UNC_M2M_DISTRESS_PMM. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_distress_pmm_memmode",
	.event = "event=0xf1",
	.desc = "UNC_M2M_DISTRESS_PMM_MEMMODE. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.all",
	.event = "umask=0x704,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_all",
	.event = "umask=0x104,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_from_tgr",
	.event = "umask=0x140,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_isoch",
	.event = "umask=0x102,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_normal",
	.event = "umask=0x101,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_to_ddr_as_cache",
	.event = "umask=0x110,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR, acting as Cache - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_to_ddr_as_mem",
	.event = "umask=0x108,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch0_to_pmm",
	.event = "umask=0x120,event=0x37",
	.desc = "M2M Reads Issued to iMC : PMM - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Reads Issued to iMC : PMM - Ch0 : Counts all PMM dimm read requests(full line) sent from M2M to iMC",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_all",
	.event = "umask=0x204,event=0x37",
	.desc = "M2M Reads Issued to iMC : All, regardless of priority. - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_from_tgr",
	.event = "umask=0x240,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_isoch",
	.event = "umask=0x202,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_normal",
	.event = "umask=0x201,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_to_ddr_as_cache",
	.event = "umask=0x210,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR, acting as Cache - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_to_ddr_as_mem",
	.event = "umask=0x208,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch1_to_pmm",
	.event = "umask=0x220,event=0x37",
	.desc = "M2M Reads Issued to iMC : PMM - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Reads Issued to iMC : PMM - Ch1 : Counts all PMM dimm read requests(full line) sent from M2M to iMC",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.ch2_from_tgr",
	.event = "umask=0x440,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - Ch2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.from_tgr",
	.event = "umask=0x740,event=0x37",
	.desc = "M2M Reads Issued to iMC : From TGR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.isoch",
	.event = "umask=0x702,event=0x37",
	.desc = "M2M Reads Issued to iMC : Critical Priority - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.normal",
	.event = "umask=0x701,event=0x37",
	.desc = "M2M Reads Issued to iMC : Normal Priority - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.to_ddr_as_cache",
	.event = "umask=0x710,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR, acting as Cache - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.to_ddr_as_mem",
	.event = "umask=0x708,event=0x37",
	.desc = "M2M Reads Issued to iMC : DDR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_reads.to_pmm",
	.event = "umask=0x720,event=0x37",
	.desc = "M2M Reads Issued to iMC : PMM - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.all",
	.event = "umask=0x1c10,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_all",
	.event = "umask=0x410,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_full",
	.event = "umask=0x401,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_full_isoch",
	.event = "umask=0x404,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_ni",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_partial",
	.event = "umask=0x402,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_partial_isoch",
	.event = "umask=0x408,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_to_ddr_as_cache",
	.event = "umask=0x440,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR, acting as Cache - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_to_ddr_as_mem",
	.event = "umask=0x420,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch0_to_pmm",
	.event = "umask=0x480,event=0x38",
	.desc = "M2M Writes Issued to iMC : PMM - Ch0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Writes Issued to iMC : PMM - Ch0 : Counts all PMM dimm writes requests(full line and partial) sent from M2M to iMC",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_all",
	.event = "umask=0x810,event=0x38",
	.desc = "M2M Writes Issued to iMC : All Writes - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_full",
	.event = "umask=0x801,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_full_isoch",
	.event = "umask=0x804,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_ni",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_partial",
	.event = "umask=0x802,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_partial_isoch",
	.event = "umask=0x808,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_to_ddr_as_cache",
	.event = "umask=0x840,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR, acting as Cache - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_to_ddr_as_mem",
	.event = "umask=0x820,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ch1_to_pmm",
	.event = "umask=0x880,event=0x38",
	.desc = "M2M Writes Issued to iMC : PMM - Ch1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "M2M Writes Issued to iMC : PMM - Ch1 : Counts all PMM dimm writes requests(full line and partial) sent from M2M to iMC",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.from_tgr",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : From TGR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full",
	.event = "umask=0x1c01,event=0x38",
	.desc = "M2M Writes Issued to iMC : Full Line Non-ISOCH - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.full_isoch",
	.event = "umask=0x1c04,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Full Line - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ni",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.ni_miss",
	.event = "event=0x38",
	.desc = "M2M Writes Issued to iMC : Non-Inclusive Miss - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial",
	.event = "umask=0x1c02,event=0x38",
	.desc = "M2M Writes Issued to iMC : Partial Non-ISOCH - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.partial_isoch",
	.event = "umask=0x1c08,event=0x38",
	.desc = "M2M Writes Issued to iMC : ISOCH Partial - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.to_ddr_as_cache",
	.event = "umask=0x1c40,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR, acting as Cache - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.to_ddr_as_mem",
	.event = "umask=0x1c20,event=0x38",
	.desc = "M2M Writes Issued to iMC : DDR - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_imc_writes.to_pmm",
	.event = "umask=0x1c80,event=0x38",
	.desc = "M2M Writes Issued to iMC : PMM - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_mirr_wrq_inserts",
	.event = "event=0x64",
	.desc = "Write Tracker Inserts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_mirr_wrq_occupancy",
	.event = "event=0x65",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mc",
	.event = "umask=0x2,event=0x4c",
	.desc = "Number Packet Header Matches : MC Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_pkt_match.mesh",
	.event = "umask=0x1,event=0x4c",
	.desc = "Number Packet Header Matches : Mesh Match. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cis_drops",
	.event = "event=0x73",
	.desc = "UNC_M2M_PREFCAM_CIS_DROPS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.allch",
	.event = "umask=0x7,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.ch0",
	.event = "umask=0x1,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.ch1",
	.event = "umask=0x2,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_full.ch2",
	.event = "umask=0x4,event=0x6b",
	.desc = "Prefetch CAM Cycles Full : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.allch",
	.event = "umask=0x7,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.ch0",
	.event = "umask=0x1,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.ch1",
	.event = "umask=0x2,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_cycles_ne.ch2",
	.event = "umask=0x4,event=0x6c",
	.desc = "Prefetch CAM Cycles Not Empty : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_hita0_inval",
	.event = "umask=0x1,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_hita1_inval",
	.event = "umask=0x2,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_miss_inval",
	.event = "umask=0x4,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch0_rsp_pdreset",
	.event = "umask=0x8,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_hita0_inval",
	.event = "umask=0x10,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_hita1_inval",
	.event = "umask=0x20,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_miss_inval",
	.event = "umask=0x40,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch1_rsp_pdreset",
	.event = "umask=0x80,event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch2_hita0_inval",
	.event = "event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch2_hita1_inval",
	.event = "event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch2_miss_inval",
	.event = "event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_deallocs.ch2_rsp_pdreset",
	.event = "event=0x6e",
	.desc = "Prefetch CAM Deallocs. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch0_upi",
	.event = "umask=0x2,event=0x6f",
	.desc = "Data Prefetches Dropped : UPI - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch0_xpt",
	.event = "umask=0x1,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch1_upi",
	.event = "umask=0x8,event=0x6f",
	.desc = "Data Prefetches Dropped : UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch1_xpt",
	.event = "umask=0x4,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch2_upi",
	.event = "umask=0x20,event=0x6f",
	.desc = "Data Prefetches Dropped : UPI - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.ch2_xpt",
	.event = "umask=0x10,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.upi_allch",
	.event = "umask=0x2a,event=0x6f",
	.desc = "Data Prefetches Dropped : UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_drops.xpt_allch",
	.event = "umask=0x15,event=0x6f",
	.desc = "Data Prefetches Dropped : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch0_xptupi",
	.event = "umask=0x1,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 0",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch1_xptupi",
	.event = "umask=0x4,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 1",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.ch2_xptupi",
	.event = "umask=0x10,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - Ch 2",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_merge.xptupi_allch",
	.event = "umask=0x15,event=0x74",
	.desc = "Demands Merged with CAMed Prefetches : XPT & UPI- All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Merged with CAMed Prefetches : XPT & UPI - All Channels",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch0_xptupi",
	.event = "umask=0x1,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI- Ch 0",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch1_xptupi",
	.event = "umask=0x4,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI- Ch 1",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.ch2_xptupi",
	.event = "umask=0x10,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_demand_no_merge.xptupi_allch",
	.event = "umask=0x15,event=0x75",
	.desc = "Demands Not Merged with CAMed Prefetches : XPT & UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.errorblk_rxc",
	.event = "umask=0x10,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.not_pf_sad_region",
	.event = "umask=0x2,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_ad_crd",
	.event = "umask=0x20,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_cam_full",
	.event = "umask=0x40,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_cam_hit",
	.event = "umask=0x4,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.pf_secure_drop",
	.event = "umask=0x1,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.rpq_proxy",
	.event = "event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.stop_b2b",
	.event = "umask=0x8,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.upi_thresh",
	.event = "event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.wpq_proxy",
	.event = "umask=0x80,event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch0.xpt_thresh",
	.event = "event=0x70",
	.desc = "Data Prefetches Dropped Ch0 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.errorblk_rxc",
	.event = "umask=0x10,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.not_pf_sad_region",
	.event = "umask=0x2,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_ad_crd",
	.event = "umask=0x20,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_cam_full",
	.event = "umask=0x40,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_cam_hit",
	.event = "umask=0x4,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.pf_secure_drop",
	.event = "umask=0x1,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.rpq_proxy",
	.event = "event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.stop_b2b",
	.event = "umask=0x8,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.upi_thresh",
	.event = "event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.wpq_proxy",
	.event = "umask=0x80,event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch1.xpt_thresh",
	.event = "event=0x71",
	.desc = "Data Prefetches Dropped Ch1 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.errorblk_rxc",
	.event = "umask=0x10,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.not_pf_sad_region",
	.event = "umask=0x2,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.pf_ad_crd",
	.event = "umask=0x20,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.pf_cam_full",
	.event = "umask=0x40,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.pf_cam_hit",
	.event = "umask=0x4,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.pf_secure_drop",
	.event = "umask=0x1,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.rpq_proxy",
	.event = "event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.stop_b2b",
	.event = "umask=0x8,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.upi_thresh",
	.event = "event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.wpq_proxy",
	.event = "umask=0x80,event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_drop_reasons_ch2.xpt_thresh",
	.event = "event=0x72",
	.desc = "Data Prefetches Dropped Ch2 - Reasons. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch0_upi",
	.event = "umask=0x2,event=0x6d",
	.desc = "Prefetch CAM Inserts : UPI - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch0_xpt",
	.event = "umask=0x1,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - Ch 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch1_upi",
	.event = "umask=0x8,event=0x6d",
	.desc = "Prefetch CAM Inserts : UPI - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch1_xpt",
	.event = "umask=0x4,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - Ch 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch2_upi",
	.event = "umask=0x20,event=0x6d",
	.desc = "Prefetch CAM Inserts : UPI - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.ch2_xpt",
	.event = "umask=0x10,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - Ch 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.upi_allch",
	.event = "umask=0x2a,event=0x6d",
	.desc = "Prefetch CAM Inserts : UPI - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_inserts.xpt_allch",
	.event = "umask=0x15,event=0x6d",
	.desc = "Prefetch CAM Inserts : XPT - All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.allch",
	.event = "umask=0x7,event=0x6a",
	.desc = "Prefetch CAM Occupancy : All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.ch0",
	.event = "umask=0x1,event=0x6a",
	.desc = "Prefetch CAM Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.ch1",
	.event = "umask=0x2,event=0x6a",
	.desc = "Prefetch CAM Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_occupancy.ch2",
	.event = "umask=0x4,event=0x6a",
	.desc = "Prefetch CAM Occupancy : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.allch",
	.event = "umask=0x7,event=0x76",
	.desc = ": All Channels. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.ch0",
	.event = "umask=0x1,event=0x76",
	.desc = ": Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.ch1",
	.event = "umask=0x2,event=0x76",
	.desc = ": Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_resp_miss.ch2",
	.event = "umask=0x4,event=0x76",
	.desc = ": Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_cycles_ne",
	.event = "event=0x79",
	.desc = "UNC_M2M_PREFCAM_RxC_CYCLES_NE. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.1lm_posted",
	.event = "umask=0x2,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.1LM_POSTED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.cis",
	.event = "umask=0x8,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.CIS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.pmm_memmode_accept",
	.event = "umask=0x4,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.PMM_MEMMODE_ACCEPT. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_deallocs.squashed",
	.event = "umask=0x1,event=0x7a",
	.desc = "UNC_M2M_PREFCAM_RxC_DEALLOCS.SQUASHED. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_inserts",
	.event = "event=0x78",
	.desc = "UNC_M2M_PREFCAM_RxC_INSERTS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_prefcam_rxc_occupancy",
	.event = "event=0x77",
	.desc = "UNC_M2M_PREFCAM_RxC_OCCUPANCY. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd.ch0",
	.event = "umask=0x1,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd.ch1",
	.event = "umask=0x2,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd.ch2",
	.event = "umask=0x4,event=0x43",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Regular : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd_pmm.chn0",
	.event = "umask=0x1,event=0x4f",
	.desc = "M2M->iMC RPQ Cycles w/Credits - PMM : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd_pmm.chn1",
	.event = "umask=0x2,event=0x4f",
	.desc = "M2M->iMC RPQ Cycles w/Credits - PMM : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_reg_crd_pmm.chn2",
	.event = "umask=0x4,event=0x4f",
	.desc = "M2M->iMC RPQ Cycles w/Credits - PMM : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_spec_crd.ch0",
	.event = "umask=0x1,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_spec_crd.ch1",
	.event = "umask=0x2,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rpq_no_spec_crd.ch2",
	.event = "umask=0x4,event=0x44",
	.desc = "M2M to iMC RPQ Cycles w/Credits - Special : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_full",
	.event = "event=0x4",
	.desc = "AD Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_cycles_ne",
	.event = "event=0x3",
	.desc = "AD Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_inserts",
	.event = "event=0x1",
	.desc = "AD Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_occupancy",
	.event = "event=0x2",
	.desc = "AD Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ad_pref_occupancy",
	.event = "event=0x77",
	.desc = "AD Ingress (from CMS) Occupancy - Prefetches. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_ak_wr_cmp",
	.event = "event=0x5c",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_full",
	.event = "event=0x8",
	.desc = "BL Ingress (from CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_cycles_ne",
	.event = "event=0x7",
	.desc = "BL Ingress (from CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_inserts",
	.event = "event=0x5",
	.desc = "BL Ingress (from CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxc_bl_occupancy",
	.event = "event=0x6",
	.desc = "BL Ingress (from CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_ad_retry_accepts",
	.event = "event=0x33",
	.desc = "UNC_M2M_SCOREBOARD_AD_RETRY_ACCEPTS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_ad_retry_rejects",
	.event = "event=0x34",
	.desc = "UNC_M2M_SCOREBOARD_AD_RETRY_REJECTS. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_bl_retry_accepts",
	.event = "event=0x35",
	.desc = "Retry - Mem Mirroring Mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_bl_retry_rejects",
	.event = "event=0x36",
	.desc = "Retry - Mem Mirroring Mode. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_rd_accepts",
	.event = "event=0x2f",
	.desc = "Scoreboard Accepts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_rd_rejects",
	.event = "event=0x30",
	.desc = "Scoreboard Rejects. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_wr_accepts",
	.event = "event=0x31",
	.desc = "Scoreboard Accepts. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_scoreboard_wr_rejects",
	.event = "event=0x32",
	.desc = "Scoreboard Rejects. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_rd_hit_clean",
	.event = "umask=0x1,event=0x2c",
	.desc = "Tag Hit : Clean NearMem Read Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit : Clean NearMem Read Hit : Tag Hit indicates when a request sent to the iMC hit in Near Memory. : Counts clean full line read hits (reads and RFOs)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_rd_hit_dirty",
	.event = "umask=0x2,event=0x2c",
	.desc = "Tag Hit : Dirty NearMem Read Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit : Dirty NearMem Read Hit : Tag Hit indicates when a request sent to the iMC hit in Near Memory. : Counts dirty full line read hits (reads and RFOs)",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_ufill_hit_clean",
	.event = "umask=0x4,event=0x2c",
	.desc = "Tag Hit : Clean NearMem Underfill Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit : Clean NearMem Underfill Hit : Tag Hit indicates when a request sent to the iMC hit in Near Memory. : Counts clean underfill hits due to a partial write",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_hit.nm_ufill_hit_dirty",
	.event = "umask=0x8,event=0x2c",
	.desc = "Tag Hit : Dirty NearMem Underfill Hit. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Tag Hit : Dirty NearMem Underfill Hit : Tag Hit indicates when a request sent to the iMC hit in Near Memory. : Counts dirty underfill read hits due to a partial write",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tag_miss",
	.event = "event=0x61",
	.desc = "Tag Miss. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_ad_credits",
	.event = "event=0x41",
	.desc = "Number AD Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tgr_bl_credits",
	.event = "event=0x42",
	.desc = "Number BL Ingress Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_full.ch0",
	.event = "umask=0x1,event=0x45",
	.desc = "Tracker Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_full.ch1",
	.event = "umask=0x2,event=0x45",
	.desc = "Tracker Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_full.ch2",
	.event = "umask=0x4,event=0x45",
	.desc = "Tracker Cycles Full : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x49",
	.desc = "Tracker Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x49",
	.desc = "Tracker Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x49",
	.desc = "Tracker Inserts : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_ne.ch0",
	.event = "umask=0x1,event=0x46",
	.desc = "Tracker Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_ne.ch1",
	.event = "umask=0x2,event=0x46",
	.desc = "Tracker Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_ne.ch2",
	.event = "umask=0x4,event=0x46",
	.desc = "Tracker Cycles Not Empty : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x47",
	.desc = "Tracker Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x47",
	.desc = "Tracker Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x47",
	.desc = "Tracker Occupancy : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credits_acquired",
	.event = "event=0xd",
	.desc = "AD Egress (to CMS) Credit Acquired. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_credit_occupancy",
	.event = "event=0xe",
	.desc = "AD Egress (to CMS) Credits Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_full",
	.event = "event=0xc",
	.desc = "AD Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_cycles_ne",
	.event = "event=0xb",
	.desc = "AD Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_inserts",
	.event = "event=0x9",
	.desc = "AD Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_cycles",
	.event = "event=0xf",
	.desc = "Cycles with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_no_credit_stalled",
	.event = "event=0x10",
	.desc = "Cycles Stalled with No AD Egress (to CMS) Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ad_occupancy",
	.event = "event=0xa",
	.desc = "AD Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.crd_cbo",
	.event = "umask=0x2,event=0x39",
	.desc = "Outbound Ring Transactions on AK : CRD Transactions to Cbo. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak.ndr",
	.event = "umask=0x1,event=0x39",
	.desc = "Outbound Ring Transactions on AK : NDR Transactions. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_akc_credits",
	.event = "event=0x5f",
	.desc = "AKC Credits. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms0",
	.event = "umask=0x1,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_credits_acquired.cms1",
	.event = "umask=0x2,event=0x1d",
	.desc = "AK Egress (to CMS) Credit Acquired : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.all",
	.event = "umask=0x3,event=0x14",
	.desc = "AK Egress (to CMS) Full : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms0",
	.event = "umask=0x1,event=0x14",
	.desc = "AK Egress (to CMS) Full : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.cms1",
	.event = "umask=0x2,event=0x14",
	.desc = "AK Egress (to CMS) Full : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd0",
	.event = "umask=0x8,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.rdcrd1",
	.event = "umask=0x88,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp0",
	.event = "umask=0x20,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcmp1",
	.event = "umask=0xa0,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd0",
	.event = "umask=0x10,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_full.wrcrd1",
	.event = "umask=0x90,event=0x14",
	.desc = "AK Egress (to CMS) Full. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.all",
	.event = "umask=0x3,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms0",
	.event = "umask=0x1,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.cms1",
	.event = "umask=0x2,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.rdcrd",
	.event = "umask=0x8,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcmp",
	.event = "umask=0x20,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_cycles_ne.wrcrd",
	.event = "umask=0x10,event=0x13",
	.desc = "AK Egress (to CMS) Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.all",
	.event = "umask=0x3,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms0",
	.event = "umask=0x1,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.cms1",
	.event = "umask=0x2,event=0x11",
	.desc = "AK Egress (to CMS) Allocations : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.pref_rd_cam_hit",
	.event = "umask=0x40,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.rdcrd",
	.event = "umask=0x8,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcmp",
	.event = "umask=0x20,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_inserts.wrcrd",
	.event = "umask=0x10,event=0x11",
	.desc = "AK Egress (to CMS) Allocations. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1f",
	.desc = "Cycles with No AK Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x20",
	.desc = "Cycles Stalled with No AK Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.all",
	.event = "umask=0x3,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms0",
	.event = "umask=0x1,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.cms1",
	.event = "umask=0x2,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.rdcrd",
	.event = "umask=0x8,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcmp",
	.event = "umask=0x20,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_ak_occupancy.wrcrd",
	.event = "umask=0x10,event=0x12",
	.desc = "AK Egress (to CMS) Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_cache",
	.event = "umask=0x1,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache : Data to Cache. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_core",
	.event = "umask=0x2,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache : Data to Core. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl.drs_upi",
	.event = "umask=0x4,event=0x40",
	.desc = "Outbound DRS Ring Transactions to Cache : Data to QPI. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms0",
	.event = "umask=0x1,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_credits_acquired.cms1",
	.event = "umask=0x2,event=0x19",
	.desc = "BL Egress (to CMS) Credit Acquired : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.all",
	.event = "umask=0x3,event=0x18",
	.desc = "BL Egress (to CMS) Full : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms0",
	.event = "umask=0x1,event=0x18",
	.desc = "BL Egress (to CMS) Full : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_full.cms1",
	.event = "umask=0x2,event=0x18",
	.desc = "BL Egress (to CMS) Full : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.all",
	.event = "umask=0x3,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms0",
	.event = "umask=0x1,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_cycles_ne.cms1",
	.event = "umask=0x2,event=0x17",
	.desc = "BL Egress (to CMS) Not Empty : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.all",
	.event = "umask=0x3,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms0",
	.event = "umask=0x1,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_inserts.cms1",
	.event = "umask=0x2,event=0x15",
	.desc = "BL Egress (to CMS) Allocations : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms0",
	.event = "umask=0x1,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_cycles.cms1",
	.event = "umask=0x2,event=0x1b",
	.desc = "Cycles with No BL Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms0",
	.event = "umask=0x1,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits : Common Mesh Stop - Near Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txc_bl_no_credit_stalled.cms1",
	.event = "umask=0x2,event=0x1c",
	.desc = "Cycles Stalled with No BL Egress (to CMS) Credits : Common Mesh Stop - Far Side. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_m2m ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_flush.ch0",
	.event = "umask=0x1,event=0x58",
	.desc = "WPQ Flush : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_flush.ch1",
	.event = "umask=0x2,event=0x58",
	.desc = "WPQ Flush : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_flush.ch2",
	.event = "umask=0x4,event=0x58",
	.desc = "WPQ Flush : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd.chn2",
	.event = "umask=0x4,event=0x4d",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Regular : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd_pmm.chn0",
	.event = "umask=0x1,event=0x51",
	.desc = "M2M->iMC WPQ Cycles w/Credits - PMM : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd_pmm.chn1",
	.event = "umask=0x2,event=0x51",
	.desc = "M2M->iMC WPQ Cycles w/Credits - PMM : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_reg_crd_pmm.chn2",
	.event = "umask=0x4,event=0x51",
	.desc = "M2M->iMC WPQ Cycles w/Credits - PMM : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn0",
	.event = "umask=0x1,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn1",
	.event = "umask=0x2,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wpq_no_spec_crd.chn2",
	.event = "umask=0x4,event=0x4e",
	.desc = "M2M->iMC WPQ Cycles w/Credits - Special : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.ch0",
	.event = "umask=0x1,event=0x4a",
	.desc = "Write Tracker Cycles Full : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.ch1",
	.event = "umask=0x2,event=0x4a",
	.desc = "Write Tracker Cycles Full : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.ch2",
	.event = "umask=0x4,event=0x4a",
	.desc = "Write Tracker Cycles Full : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_full.mirr",
	.event = "umask=0x8,event=0x4a",
	.desc = "Write Tracker Cycles Full : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_inserts.ch0",
	.event = "umask=0x1,event=0x56",
	.desc = "Write Tracker Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_inserts.ch1",
	.event = "umask=0x2,event=0x56",
	.desc = "Write Tracker Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_inserts.ch2",
	.event = "umask=0x4,event=0x56",
	.desc = "Write Tracker Inserts : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.ch0",
	.event = "umask=0x1,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.ch1",
	.event = "umask=0x2,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.ch2",
	.event = "umask=0x4,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr",
	.event = "umask=0x8,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr_nontgr",
	.event = "umask=0x10,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_ne.mirr_pwr",
	.event = "umask=0x20,event=0x4b",
	.desc = "Write Tracker Cycles Not Empty. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_inserts.ch0",
	.event = "umask=0x1,event=0x63",
	.desc = "Write Tracker Non-Posted Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_inserts.ch1",
	.event = "umask=0x2,event=0x63",
	.desc = "Write Tracker Non-Posted Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_inserts.ch2",
	.event = "umask=0x4,event=0x63",
	.desc = "Write Tracker Non-Posted Inserts : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_occupancy.ch0",
	.event = "umask=0x1,event=0x62",
	.desc = "Write Tracker Non-Posted Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_occupancy.ch1",
	.event = "umask=0x2,event=0x62",
	.desc = "Write Tracker Non-Posted Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_nonposted_occupancy.ch2",
	.event = "umask=0x4,event=0x62",
	.desc = "Write Tracker Non-Posted Occupancy : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.ch0",
	.event = "umask=0x1,event=0x55",
	.desc = "Write Tracker Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.ch1",
	.event = "umask=0x2,event=0x55",
	.desc = "Write Tracker Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.ch2",
	.event = "umask=0x4,event=0x55",
	.desc = "Write Tracker Occupancy : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr",
	.event = "umask=0x8,event=0x55",
	.desc = "Write Tracker Occupancy : Mirror. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr_nontgr",
	.event = "umask=0x10,event=0x55",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_occupancy.mirr_pwr",
	.event = "umask=0x20,event=0x55",
	.desc = "Write Tracker Occupancy. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_inserts.ch0",
	.event = "umask=0x1,event=0x5e",
	.desc = "Write Tracker Posted Inserts : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_inserts.ch1",
	.event = "umask=0x2,event=0x5e",
	.desc = "Write Tracker Posted Inserts : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_inserts.ch2",
	.event = "umask=0x4,event=0x5e",
	.desc = "Write Tracker Posted Inserts : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_occupancy.ch0",
	.event = "umask=0x1,event=0x5d",
	.desc = "Write Tracker Posted Occupancy : Channel 0. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_occupancy.ch1",
	.event = "umask=0x2,event=0x5d",
	.desc = "Write Tracker Posted Occupancy : Channel 1. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2m_wr_tracker_posted_occupancy.ch2",
	.event = "umask=0x4,event=0x5d",
	.desc = "Write Tracker Posted Occupancy : Channel 2. Unit: uncore_m2m ",
	.topic = "uncore other",
	.pmu = "uncore_m2m",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the mesh to PCI (M2P). Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Clockticks of the mesh to PCI (M2P) : Counts the number of uclks in the M3 uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the M3 is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.pmm_local",
	.event = "umask=0x10,event=0xaf",
	.desc = "Distress signal asserted : PMM Local. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Local : Counts the number of cycles either the local or incoming distress signals are asserted. : If the CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.pmm_nonlocal",
	.event = "umask=0x20,event=0xaf",
	.desc = "Distress signal asserted : PMM Remote. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : If another CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.drs_0",
	.event = "umask=0x1,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : DRS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.drs_1",
	.event = "umask=0x2,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : DRS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncb_0",
	.event = "umask=0x4,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCB : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncb_1",
	.event = "umask=0x8,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCB : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncs_0",
	.event = "umask=0x10,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_acquired.ncs_1",
	.event = "umask=0x20,event=0x33",
	.desc = "M2PCIe IIO Credit Acquired : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credit Acquired : NCS : Counts the number of credits that are acquired in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credit for transfer through CMS Port 0s to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.drs",
	.event = "umask=0x8,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : DRS : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.ncb",
	.event = "umask=0x10,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : NCB : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_reject.ncs",
	.event = "umask=0x20,event=0x34",
	.desc = "M2PCIe IIO Failed to Acquire a Credit : NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Failed to Acquire a Credit : NCS : Counts the number of times that a request pending in the BL Ingress attempted to acquire either a NCB or NCS credit to transmit into the IIO, but was rejected because no credits were available.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.drs_0",
	.event = "umask=0x1,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.drs_1",
	.event = "umask=0x2,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : DRS to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the DRS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncb_0",
	.event = "umask=0x4,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncb_1",
	.event = "umask=0x8,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCB to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCB message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncs_0",
	.event = "umask=0x10,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 0 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credits for transfer through CMS Port 0 to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_iio_credits_used.ncs_1",
	.event = "umask=0x20,event=0x32",
	.desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "M2PCIe IIO Credits in Use : NCS to CMS Port 1 : Counts the number of cycles when one or more credits in the M2PCIe agent for sending transactions into the IIO on either NCB or NCS are in use.  Transactions from the BL ring going into the IIO Agent must first acquire a credit.  These credits are for either the NCB or NCS message classes.  NCB, or non-coherent bypass messages are used to transmit data without coherency (and are common).  NCS is used for reads to PCIe (and should be used sparingly). : Credit for transfer through CMS Port 0s to the IIO for the NCS message class",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x46",
	.desc = "Local Dedicated P2P Credit Taken - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_ded_p2p_crd_taken_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x47",
	.desc = "Local Dedicated P2P Credit Taken - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf0_ncb",
	.event = "umask=0x1,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf0_ncs",
	.event = "umask=0x2,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf1_ncb",
	.event = "umask=0x4,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf1_ncs",
	.event = "umask=0x8,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf2_ncb",
	.event = "umask=0x10,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf2_ncs",
	.event = "umask=0x20,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf3_ncb",
	.event = "umask=0x10,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_0.ms2iosf3_ncs",
	.event = "umask=0x20,event=0x19",
	.desc = "Local P2P Dedicated Credits Returned - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf4_ncb",
	.event = "umask=0x1,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf4_ncs",
	.event = "umask=0x2,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf5_ncb",
	.event = "umask=0x4,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_ded_returned_1.ms2iosf5_ncs",
	.event = "umask=0x8,event=0x1a",
	.desc = "Local P2P Dedicated Credits Returned - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_0",
	.event = "umask=0x1,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_1",
	.event = "umask=0x2,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_p2p_shar_returned.agent_2",
	.event = "umask=0x4,event=0x17",
	.desc = "Local P2P Shared Credits Returned : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_0",
	.event = "umask=0x1,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_1",
	.event = "umask=0x2,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_2",
	.event = "umask=0x4,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_3",
	.event = "umask=0x8,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_4",
	.event = "umask=0x10,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_returned.agent_5",
	.event = "umask=0x20,event=0x44",
	.desc = "Local Shared P2P Credit Returned to credit ring : Agent5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x40",
	.desc = "Local Shared P2P Credit Taken - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_taken_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x41",
	.desc = "Local Shared P2P Credit Taken - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf0_ncb",
	.event = "umask=0x1,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf0_ncs",
	.event = "umask=0x2,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf1_ncb",
	.event = "umask=0x4,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf1_ncs",
	.event = "umask=0x8,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf2_ncb",
	.event = "umask=0x10,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf2_ncs",
	.event = "umask=0x20,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf3_ncb",
	.event = "umask=0x40,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF3 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_0.m2iosf3_ncs",
	.event = "umask=0x80,event=0x4a",
	.desc = "Waiting on Local Shared P2P Credit - 0 : M2IOSF3 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf4_ncb",
	.event = "umask=0x1,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF4 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf4_ncs",
	.event = "umask=0x2,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF4 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf5_ncb",
	.event = "umask=0x4,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF5 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_local_shar_p2p_crd_wait_1.m2iosf5_ncs",
	.event = "umask=0x8,event=0x4b",
	.desc = "Waiting on Local Shared P2P Credit - 1 : M2IOSF5 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.all",
	.event = "umask=0x10,event=0x14",
	.desc = "P2P Credit Occupancy : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.local_ncb",
	.event = "umask=0x1,event=0x14",
	.desc = "P2P Credit Occupancy : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.local_ncs",
	.event = "umask=0x2,event=0x14",
	.desc = "P2P Credit Occupancy : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.remote_ncb",
	.event = "umask=0x4,event=0x14",
	.desc = "P2P Credit Occupancy : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_crd_occupancy.remote_ncs",
	.event = "umask=0x8,event=0x14",
	.desc = "P2P Credit Occupancy : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.all",
	.event = "umask=0x10,event=0x16",
	.desc = "Dedicated Credits Received : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.local_ncb",
	.event = "umask=0x1,event=0x16",
	.desc = "Dedicated Credits Received : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.local_ncs",
	.event = "umask=0x2,event=0x16",
	.desc = "Dedicated Credits Received : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.remote_ncb",
	.event = "umask=0x4,event=0x16",
	.desc = "Dedicated Credits Received : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_ded_received.remote_ncs",
	.event = "umask=0x8,event=0x16",
	.desc = "Dedicated Credits Received : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.all",
	.event = "umask=0x10,event=0x15",
	.desc = "Shared Credits  Received : All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.local_ncb",
	.event = "umask=0x1,event=0x15",
	.desc = "Shared Credits  Received : Local NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.local_ncs",
	.event = "umask=0x2,event=0x15",
	.desc = "Shared Credits  Received : Local NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.remote_ncb",
	.event = "umask=0x4,event=0x15",
	.desc = "Shared Credits  Received : Remote NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_p2p_shar_received.remote_ncs",
	.event = "umask=0x8,event=0x15",
	.desc = "Shared Credits  Received : Remote NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi0_drs",
	.event = "umask=0x1,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI0 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi0_ncb",
	.event = "umask=0x2,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi0_ncs",
	.event = "umask=0x4,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi1_drs",
	.event = "umask=0x8,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI1 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi1_ncb",
	.event = "umask=0x10,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_0.upi1_ncs",
	.event = "umask=0x20,event=0x48",
	.desc = "Remote Dedicated P2P Credit Taken - 0 : UPI1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_1.upi2_drs",
	.event = "umask=0x1,event=0x49",
	.desc = "Remote Dedicated P2P Credit Taken - 1 : UPI2 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_1.upi2_ncb",
	.event = "umask=0x2,event=0x49",
	.desc = "Remote Dedicated P2P Credit Taken - 1 : UPI2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_ded_p2p_crd_taken_1.upi2_ncs",
	.event = "umask=0x4,event=0x49",
	.desc = "Remote Dedicated P2P Credit Taken - 1 : UPI2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi0_ncb",
	.event = "umask=0x1,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi0_ncs",
	.event = "umask=0x2,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi1_ncb",
	.event = "umask=0x4,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi1_ncs",
	.event = "umask=0x8,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi2_ncb",
	.event = "umask=0x10,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_ded_returned.upi2_ncs",
	.event = "umask=0x20,event=0x1b",
	.desc = "Remote P2P Dedicated Credits Returned : UPI2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_0",
	.event = "umask=0x1,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_1",
	.event = "umask=0x2,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_p2p_shar_returned.agent_2",
	.event = "umask=0x4,event=0x18",
	.desc = "Remote P2P Shared Credits Returned : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_0",
	.event = "umask=0x1,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_1",
	.event = "umask=0x2,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_returned.agent_2",
	.event = "umask=0x4,event=0x45",
	.desc = "Remote Shared P2P Credit Returned to credit ring : Agent2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi0_drs",
	.event = "umask=0x1,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI0 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi0_ncb",
	.event = "umask=0x2,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi0_ncs",
	.event = "umask=0x4,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi1_drs",
	.event = "umask=0x8,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI1 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi1_ncb",
	.event = "umask=0x10,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_0.upi1_ncs",
	.event = "umask=0x20,event=0x42",
	.desc = "Remote Shared P2P Credit Taken - 0 : UPI1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_1.upi2_drs",
	.event = "umask=0x1,event=0x43",
	.desc = "Remote Shared P2P Credit Taken - 1 : UPI2 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_1.upi2_ncb",
	.event = "umask=0x2,event=0x43",
	.desc = "Remote Shared P2P Credit Taken - 1 : UPI2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_taken_1.upi2_ncs",
	.event = "umask=0x4,event=0x43",
	.desc = "Remote Shared P2P Credit Taken - 1 : UPI2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi0_drs",
	.event = "umask=0x1,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI0 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi0_ncb",
	.event = "umask=0x2,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI0 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi0_ncs",
	.event = "umask=0x4,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI0 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi1_drs",
	.event = "umask=0x8,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI1 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi1_ncb",
	.event = "umask=0x10,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI1 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_0.upi1_ncs",
	.event = "umask=0x20,event=0x4c",
	.desc = "Waiting on Remote Shared P2P Credit - 0 : UPI1 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_1.upi2_drs",
	.event = "umask=0x1,event=0x4d",
	.desc = "Waiting on Remote Shared P2P Credit - 1 : UPI2 - DRS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_1.upi2_ncb",
	.event = "umask=0x2,event=0x4d",
	.desc = "Waiting on Remote Shared P2P Credit - 1 : UPI2 - NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_remote_shar_p2p_crd_wait_1.upi2_ncs",
	.event = "umask=0x4,event=0x4d",
	.desc = "Waiting on Remote Shared P2P Credit - 1 : UPI2 - NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.all",
	.event = "umask=0x80,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_idi",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_ncb",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.cha_ncs",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.iio_ncb",
	.event = "umask=0x20,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.iio_ncs",
	.event = "umask=0x40,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.upi_ncb",
	.event = "umask=0x8,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_cycles_ne.upi_ncs",
	.event = "umask=0x10,event=0x10",
	.desc = "Ingress (from CMS) Queue Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Cycles Not Empty : Counts the number of cycles when the M2PCIe Ingress is not empty",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.all",
	.event = "umask=0x80,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_idi",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_ncb",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.cha_ncs",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.iio_ncb",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.iio_ncs",
	.event = "umask=0x40,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.upi_ncb",
	.event = "umask=0x8,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxc_inserts.upi_ncs",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress (from CMS) Queue Inserts. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Ingress (from CMS) Queue Inserts : Counts the number of entries inserted into the M2PCIe Ingress Queue.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue latency",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_credits.pmm",
	.event = "umask=0x2,event=0x2d",
	.desc = "UNC_M2P_TxC_CREDITS.PMM. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_credits.prq",
	.event = "umask=0x1,event=0x2d",
	.desc = "UNC_M2P_TxC_CREDITS.PRQ. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ad_0",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ad_1",
	.event = "umask=0x10,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ak_0",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.ak_1",
	.event = "umask=0x20,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.bl_0",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.bl_1",
	.event = "umask=0x40,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.pmm_block_0",
	.event = "umask=0x80,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_full.pmm_block_1",
	.event = "umask=0x8,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Full : Counts the number of cycles when the M2PCIe Egress is full.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ad_0",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ad_1",
	.event = "umask=0x10,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ak_0",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.ak_1",
	.event = "umask=0x20,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.bl_0",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.bl_1",
	.event = "umask=0x40,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.pmm_distress_0",
	.event = "umask=0x80,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_cycles_ne.pmm_distress_1",
	.event = "umask=0x8,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Cycles Not Empty : Counts the number of cycles when the M2PCIe Egress is not empty.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple egress buffers can be tracked at a given time using multiple counters",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ad_0",
	.event = "umask=0x1,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ad_1",
	.event = "umask=0x10,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ak_crd_0",
	.event = "umask=0x8,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.ak_crd_1",
	.event = "umask=0x80,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.bl_0",
	.event = "umask=0x4,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txc_inserts.bl_1",
	.event = "umask=0x40,event=0x24",
	.desc = "Egress (to CMS) Ingress. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Egress (to CMS) Ingress : Counts the number of number of messages inserted into the  the M2PCIe Egress queue.  This tracks messages for one of the two CMS ports that are used by the M2PCIe agent.  This can be used in conjunction with the M2PCIe Ingress Occupancy Accumulator event in order to calculate average queue occupancy",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 0 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 6 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 7 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 0 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag0_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent0 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 0 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 0 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 1 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 2 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 3 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 4 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 5 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 6 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 7 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 10 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 8 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Acquired : For Transgress 9 : Number of CMS Agent 1 AD credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_ad_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 AD Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 AD credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 0 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 1 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 2 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 3 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 4 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired0.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 5 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired1.tgr10",
	.event = "umask=0x4,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 10 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired1.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 8 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_acquired1.tgr9",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Acquired : For Transgress 9 : Number of CMS Agent 1 BL credits acquired in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 0 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 1 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 2 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 3 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 4 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 5 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 6 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy0.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 7 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy1.tgr10",
	.event = "umask=0x4,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 10 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy1.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 8 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ag1_bl_crd_occupancy1.tgr9",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Agent1 BL Credits Occupancy : For Transgress 9 : Number of CMS Agent 1 BL credits in use in a given cycle, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.req",
	.event = "umask=0x4,event=0x22",
	.desc = "CBox AD Credits Empty : Requests. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CBox AD Credits Empty : Requests : No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.snp",
	.event = "umask=0x8,event=0x22",
	.desc = "CBox AD Credits Empty : Snoops. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CBox AD Credits Empty : Snoops : No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x22",
	.desc = "CBox AD Credits Empty : VNA Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CBox AD Credits Empty : VNA Messages : No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cha_ad_credits_empty.wb",
	.event = "umask=0x2,event=0x22",
	.desc = "CBox AD Credits Empty : Writebacks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CBox AD Credits Empty : Writebacks : No credits available to send to Cbox on the AD Ring (covers higher CBoxes)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_clockticks",
	.event = "event=0x1",
	.desc = "Clockticks of the mesh to UPI (M3UPI). Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Clockticks of the mesh to UPI (M3UPI) : Counts the number of uclks in the M3 uclk domain.  This could be slightly different than the count in the Ubox because of enable/freeze delays.  However, because the M3 is close to the Ubox, they generally should not diverge by more than a handful of cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_cms_clockticks",
	.event = "event=0xc0",
	.desc = "CMS Clockticks. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2c_sent",
	.event = "event=0x2b",
	.desc = "D2C Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2C Sent : Count cases BL sends direct to core",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_d2u_sent",
	.event = "event=0x2a",
	.desc = "D2U Sent. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "D2U Sent : Cases where SMI3 sends D2U command",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.dpt_local",
	.event = "umask=0x4,event=0xaf",
	.desc = "Distress signal asserted : DPT Local. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Local : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle triggered by this tile",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.dpt_nonlocal",
	.event = "umask=0x8,event=0xaf",
	.desc = "Distress signal asserted : DPT Remote. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : Dynamic Prefetch Throttle received by this tile",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.dpt_stall_iv",
	.event = "umask=0x40,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled - IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled - IV : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while regular IVs were received, causing DPT to be stalled",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.dpt_stall_nocrd",
	.event = "umask=0x80,event=0xaf",
	.desc = "Distress signal asserted : DPT Stalled -  No Credit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : DPT Stalled -  No Credit : Counts the number of cycles either the local or incoming distress signals are asserted. : DPT occurred while credit not available causing DPT to be stalled",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.horz",
	.event = "umask=0x2,event=0xaf",
	.desc = "Distress signal asserted : Horizontal. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Horizontal : Counts the number of cycles either the local or incoming distress signals are asserted. : If TGR egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.pmm_local",
	.event = "umask=0x10,event=0xaf",
	.desc = "Distress signal asserted : PMM Local. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Local : Counts the number of cycles either the local or incoming distress signals are asserted. : If the CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.pmm_nonlocal",
	.event = "umask=0x20,event=0xaf",
	.desc = "Distress signal asserted : PMM Remote. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : PMM Remote : Counts the number of cycles either the local or incoming distress signals are asserted. : If another CHA TOR has too many PMM transactions, this signal will throttle outgoing MS2IDI traffic",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_distress_asserted.vert",
	.event = "umask=0x1,event=0xaf",
	.desc = "Distress signal asserted : Vertical. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Distress signal asserted : Vertical : Counts the number of cycles either the local or incoming distress signals are asserted. : If IRQ egress is full, then agents will throttle outgoing AD IDI transactions",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_dn",
	.event = "umask=0x4,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Down : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_egress_ordering.iv_snoopgo_up",
	.event = "umask=0x1,event=0xba",
	.desc = "Egress Blocking due to Ordering requirements : Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Egress Blocking due to Ordering requirements : Up : Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xb6",
	.desc = "Horizontal AD Ring In Use : Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AD Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_akc_in_use.left_even",
	.event = "umask=0x1,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_akc_in_use.left_odd",
	.event = "umask=0x2,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_akc_in_use.right_even",
	.event = "umask=0x4,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_akc_in_use.right_odd",
	.event = "umask=0x8,event=0xbb",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Left and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Even : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xb7",
	.desc = "Horizontal AK Ring In Use : Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal AK Ring In Use : Right and Odd : Counts the number of cycles that the Horizontal AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Left and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Left and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Even : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xb8",
	.desc = "Horizontal BL Ring in Use : Right and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal BL Ring in Use : Right and Odd : Counts the number of cycles that the Horizontal BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Left. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Left : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xb9",
	.desc = "Horizontal IV Ring in Use : Right. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Horizontal IV Ring in Use : Right : Counts the number of cycles that the Horizontal IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio1_ncb",
	.event = "umask=0x1,event=0x23",
	.desc = "M2 BL Credits Empty : IIO0 and IIO1 share the same ring destination. (1 VN0 credit only). Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO0 and IIO1 share the same ring destination. (1 VN0 credit only) : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio2_ncb",
	.event = "umask=0x2,event=0x23",
	.desc = "M2 BL Credits Empty : IIO2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO2 : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio3_ncb",
	.event = "umask=0x4,event=0x23",
	.desc = "M2 BL Credits Empty : IIO3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO3 : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio4_ncb",
	.event = "umask=0x8,event=0x23",
	.desc = "M2 BL Credits Empty : IIO4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO4 : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.iio5_ncb",
	.event = "umask=0x10,event=0x23",
	.desc = "M2 BL Credits Empty : IIO5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO5 : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs",
	.event = "umask=0x40,event=0x23",
	.desc = "M2 BL Credits Empty : All IIO targets for NCS are in single mask. ORs them together. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : All IIO targets for NCS are in single mask. ORs them together : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ncs_sel",
	.event = "umask=0x80,event=0x23",
	.desc = "M2 BL Credits Empty : Selected M2p BL NCS credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : Selected M2p BL NCS credits : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_m2_bl_credits_empty.ubox_ncb",
	.event = "umask=0x20,event=0x23",
	.desc = "M2 BL Credits Empty : IIO5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "M2 BL Credits Empty : IIO5 : No vn0 and vna credits available to send to M2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_misc_external.mbe_inst0",
	.event = "umask=0x1,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_misc_external.mbe_inst1",
	.event = "umask=0x2,event=0xe6",
	.desc = "Miscellaneous Events (mostly from MS2IDI) : Number of cycles MBE is high for MS2IDI1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot0",
	.event = "umask=0x1,event=0x3e",
	.desc = "Multi Slot Flit Received : AD - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : AD - Slot 0 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot1",
	.event = "umask=0x2,event=0x3e",
	.desc = "Multi Slot Flit Received : AD - Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : AD - Slot 1 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ad_slot2",
	.event = "umask=0x4,event=0x3e",
	.desc = "Multi Slot Flit Received : AD - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : AD - Slot 2 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot0",
	.event = "umask=0x10,event=0x3e",
	.desc = "Multi Slot Flit Received : AK - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : AK - Slot 0 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.ak_slot2",
	.event = "umask=0x20,event=0x3e",
	.desc = "Multi Slot Flit Received : AK - Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : AK - Slot 2 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_multi_slot_rcvd.bl_slot0",
	.event = "umask=0x8,event=0x3e",
	.desc = "Multi Slot Flit Received : BL - Slot 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Multi Slot Flit Received : BL - Slot 0 : Multi slot flit received - S0, S1 and/or S2 populated (can use AK S0/S1 masks for AK allocations)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AD : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : AK : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : BL : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xac",
	.desc = "Messages that bounced on the Horizontal Ring. : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Horizontal Ring. : IV : Number of cycles incoming messages from the Horizontal ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : AD : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Acknowledgements to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.akc",
	.event = "umask=0x10,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Data Responses to core : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xaa",
	.desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Messages that bounced on the Vertical Ring. : Snoops of processor's cache. : Number of cycles incoming messages from the Vertical ring that were bounced, by ring type",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.ak_ag1",
	.event = "umask=0x20,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : Acknowledgements to Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xad",
	.desc = "Sink Starvation on Horizontal Ring : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Acknowledgements to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.akc",
	.event = "umask=0x10,event=0xab",
	.desc = "Sink Starvation on Vertical Ring. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Data Responses to core. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xab",
	.desc = "Sink Starvation on Vertical Ring : Snoops of processor's cache. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_ring_src_thrtl",
	.event = "event=0xae",
	.desc = "Source Throttle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_req",
	.event = "umask=0x1,event=0x4b",
	.desc = "Lost Arb for VN0 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : REQ on AD : VN0 message requested but lost arbitration : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4b",
	.desc = "Lost Arb for VN0 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : RSP on AD : VN0 message requested but lost arbitration : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.ad_snp",
	.event = "umask=0x2,event=0x4b",
	.desc = "Lost Arb for VN0 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : SNP on AD : VN0 message requested but lost arbitration : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4b",
	.desc = "Lost Arb for VN0 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : NCB on BL : VN0 message requested but lost arbitration : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4b",
	.desc = "Lost Arb for VN0 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : NCS on BL : VN0 message requested but lost arbitration : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4b",
	.desc = "Lost Arb for VN0 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : RSP on BL : VN0 message requested but lost arbitration : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn0.bl_wb",
	.event = "umask=0x10,event=0x4b",
	.desc = "Lost Arb for VN0 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN0 : WB on BL : VN0 message requested but lost arbitration : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_req",
	.event = "umask=0x1,event=0x4c",
	.desc = "Lost Arb for VN1 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : REQ on AD : VN1 message requested but lost arbitration : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4c",
	.desc = "Lost Arb for VN1 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : RSP on AD : VN1 message requested but lost arbitration : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.ad_snp",
	.event = "umask=0x2,event=0x4c",
	.desc = "Lost Arb for VN1 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : SNP on AD : VN1 message requested but lost arbitration : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4c",
	.desc = "Lost Arb for VN1 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : NCB on BL : VN1 message requested but lost arbitration : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4c",
	.desc = "Lost Arb for VN1 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : NCS on BL : VN1 message requested but lost arbitration : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4c",
	.desc = "Lost Arb for VN1 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : RSP on BL : VN1 message requested but lost arbitration : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_lost_vn1.bl_wb",
	.event = "umask=0x10,event=0x4c",
	.desc = "Lost Arb for VN1 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Lost Arb for VN1 : WB on BL : VN1 message requested but lost arbitration : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.adbl_parallel_win_vn0",
	.event = "umask=0x10,event=0x4d",
	.desc = "Arb Miscellaneous : AD, BL Parallel Win VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : AD, BL Parallel Win VN0 : AD and BL messages won arbitration concurrently / in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.adbl_parallel_win_vn1",
	.event = "umask=0x20,event=0x4d",
	.desc = "Arb Miscellaneous : AD, BL Parallel Win VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : AD, BL Parallel Win VN1 : AD and BL messages won arbitration concurrently / in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.all_parallel_win",
	.event = "umask=0x80,event=0x4d",
	.desc = "Arb Miscellaneous : Max Parallel Win. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : Max Parallel Win : VN0 and VN1 arbitration sub-pipelines both produced AD and BL winners (maximum possible parallel winners)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn0",
	.event = "umask=0x1,event=0x4d",
	.desc = "Arb Miscellaneous : No Progress on Pending AD VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : No Progress on Pending AD VN0 : Arbitration stage made no progress on pending ad vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_ad_vn1",
	.event = "umask=0x2,event=0x4d",
	.desc = "Arb Miscellaneous : No Progress on Pending AD VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : No Progress on Pending AD VN1 : Arbitration stage made no progress on pending ad vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn0",
	.event = "umask=0x4,event=0x4d",
	.desc = "Arb Miscellaneous : No Progress on Pending BL VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : No Progress on Pending BL VN0 : Arbitration stage made no progress on pending bl vn0 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.no_prog_bl_vn1",
	.event = "umask=0x8,event=0x4d",
	.desc = "Arb Miscellaneous : No Progress on Pending BL VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : No Progress on Pending BL VN1 : Arbitration stage made no progress on pending bl vn1 messages because slotting stage cannot accept new message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_misc.vn01_parallel_win",
	.event = "umask=0x40,event=0x4d",
	.desc = "Arb Miscellaneous : VN0, VN1 Parallel Win. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Arb Miscellaneous : VN0, VN1 Parallel Win : VN0 and VN1 arbitration sub-pipelines had parallel winners (at least one AD or BL on each side)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.ad_req",
	.event = "umask=0x1,event=0x47",
	.desc = "No Credits to Arb for VN0 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : REQ on AD : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.ad_rsp",
	.event = "umask=0x4,event=0x47",
	.desc = "No Credits to Arb for VN0 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : RSP on AD : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.ad_snp",
	.event = "umask=0x2,event=0x47",
	.desc = "No Credits to Arb for VN0 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : SNP on AD : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.bl_ncb",
	.event = "umask=0x20,event=0x47",
	.desc = "No Credits to Arb for VN0 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : NCB on BL : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.bl_ncs",
	.event = "umask=0x40,event=0x47",
	.desc = "No Credits to Arb for VN0 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : NCS on BL : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.bl_rsp",
	.event = "umask=0x8,event=0x47",
	.desc = "No Credits to Arb for VN0 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : RSP on BL : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn0.bl_wb",
	.event = "umask=0x10,event=0x47",
	.desc = "No Credits to Arb for VN0 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN0 : WB on BL : VN0 message is blocked from requesting arbitration due to lack of remote UPI credits : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.ad_req",
	.event = "umask=0x1,event=0x48",
	.desc = "No Credits to Arb for VN1 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : REQ on AD : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.ad_rsp",
	.event = "umask=0x4,event=0x48",
	.desc = "No Credits to Arb for VN1 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : RSP on AD : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.ad_snp",
	.event = "umask=0x2,event=0x48",
	.desc = "No Credits to Arb for VN1 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : SNP on AD : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.bl_ncb",
	.event = "umask=0x20,event=0x48",
	.desc = "No Credits to Arb for VN1 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : NCB on BL : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.bl_ncs",
	.event = "umask=0x40,event=0x48",
	.desc = "No Credits to Arb for VN1 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : NCS on BL : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.bl_rsp",
	.event = "umask=0x8,event=0x48",
	.desc = "No Credits to Arb for VN1 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : RSP on BL : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_nocrd_vn1.bl_wb",
	.event = "umask=0x10,event=0x48",
	.desc = "No Credits to Arb for VN1 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "No Credits to Arb for VN1 : WB on BL : VN1 message is blocked from requesting arbitration due to lack of remote UPI credits : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.ad_req",
	.event = "umask=0x1,event=0x49",
	.desc = "Can't Arb for VN0 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : REQ on AD : VN0 message was not able to request arbitration while some other message won arbitration : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.ad_rsp",
	.event = "umask=0x4,event=0x49",
	.desc = "Can't Arb for VN0 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : RSP on AD : VN0 message was not able to request arbitration while some other message won arbitration : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.ad_snp",
	.event = "umask=0x2,event=0x49",
	.desc = "Can't Arb for VN0 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : SNP on AD : VN0 message was not able to request arbitration while some other message won arbitration : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.bl_ncb",
	.event = "umask=0x20,event=0x49",
	.desc = "Can't Arb for VN0 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : NCB on BL : VN0 message was not able to request arbitration while some other message won arbitration : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.bl_ncs",
	.event = "umask=0x40,event=0x49",
	.desc = "Can't Arb for VN0 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : NCS on BL : VN0 message was not able to request arbitration while some other message won arbitration : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.bl_rsp",
	.event = "umask=0x8,event=0x49",
	.desc = "Can't Arb for VN0 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : RSP on BL : VN0 message was not able to request arbitration while some other message won arbitration : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn0.bl_wb",
	.event = "umask=0x10,event=0x49",
	.desc = "Can't Arb for VN0 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN0 : WB on BL : VN0 message was not able to request arbitration while some other message won arbitration : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.ad_req",
	.event = "umask=0x1,event=0x4a",
	.desc = "Can't Arb for VN1 : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : REQ on AD : VN1 message was not able to request arbitration while some other message won arbitration : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4a",
	.desc = "Can't Arb for VN1 : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : RSP on AD : VN1 message was not able to request arbitration while some other message won arbitration : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.ad_snp",
	.event = "umask=0x2,event=0x4a",
	.desc = "Can't Arb for VN1 : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : SNP on AD : VN1 message was not able to request arbitration while some other message won arbitration : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4a",
	.desc = "Can't Arb for VN1 : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : NCB on BL : VN1 message was not able to request arbitration while some other message won arbitration : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4a",
	.desc = "Can't Arb for VN1 : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : NCS on BL : VN1 message was not able to request arbitration while some other message won arbitration : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4a",
	.desc = "Can't Arb for VN1 : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : RSP on BL : VN1 message was not able to request arbitration while some other message won arbitration : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_arb_noreq_vn1.bl_wb",
	.event = "umask=0x10,event=0x4a",
	.desc = "Can't Arb for VN1 : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Can't Arb for VN1 : WB on BL : VN1 message was not able to request arbitration while some other message won arbitration : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_bl_arb",
	.event = "umask=0x2,event=0x40",
	.desc = "Ingress Queue Bypasses : AD to Slot 0 on BL Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Ingress Queue Bypasses : AD to Slot 0 on BL Arb : Number of times message is bypassed around the Ingress Queue : AD is taking bypass to slot 0 of independent flit while bl message is in arbitration",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s0_idle",
	.event = "umask=0x1,event=0x40",
	.desc = "Ingress Queue Bypasses : AD to Slot 0 on Idle. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Ingress Queue Bypasses : AD to Slot 0 on Idle : Number of times message is bypassed around the Ingress Queue : AD is taking bypass to slot 0 of independent flit while pipeline is idle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s1_bl_slot",
	.event = "umask=0x4,event=0x40",
	.desc = "Ingress Queue Bypasses : AD + BL to Slot 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Ingress Queue Bypasses : AD + BL to Slot 1 : Number of times message is bypassed around the Ingress Queue : AD is taking bypass to flit slot 1 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_bypassed.ad_s2_bl_slot",
	.event = "umask=0x8,event=0x40",
	.desc = "Ingress Queue Bypasses : AD + BL to Slot 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Ingress Queue Bypasses : AD + BL to Slot 2 : Number of times message is bypassed around the Ingress Queue : AD is taking bypass to flit slot 2 while merging with bl message in same flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_fifo",
	.event = "umask=0x1,event=0x5f",
	.desc = "Miscellaneous Credit Events : Any In BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : Any In BGF FIFO : Indication that at least one packet (flit) is in the bgf (fifo only)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.any_bgf_path",
	.event = "umask=0x2,event=0x5f",
	.desc = "Miscellaneous Credit Events : Any in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : Any in BGF Path : Indication that at least one packet (flit) is in the bgf path (i.e. pipe to fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.lt1_for_d2k",
	.event = "umask=0x10,event=0x5f",
	.desc = "Miscellaneous Credit Events. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : d2k credit count is less than 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.lt2_for_d2k",
	.event = "umask=0x20,event=0x5f",
	.desc = "Miscellaneous Credit Events. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : d2k credit count is less than 2",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.vn0_no_d2k_for_arb",
	.event = "umask=0x4,event=0x5f",
	.desc = "Miscellaneous Credit Events : No D2K For Arb. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : No D2K For Arb : VN0 BL RSP message was blocked from arbitration request due to lack of D2K CMP credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_misc.vn1_no_d2k_for_arb",
	.event = "umask=0x8,event=0x5f",
	.desc = "Miscellaneous Credit Events. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Miscellaneous Credit Events : VN1 BL RSP message was blocked from arbitration request due to lack of D2K CMP credits",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.consumed",
	.event = "umask=0x80,event=0x60",
	.desc = "Credit Occupancy : Credits Consumed. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : Credits Consumed : number of remote vna credits consumed per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.d2k_crd",
	.event = "umask=0x10,event=0x60",
	.desc = "Credit Occupancy : D2K Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : D2K Credits : D2K completion fifo credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_fifo",
	.event = "umask=0x2,event=0x60",
	.desc = "Credit Occupancy : Packets in BGF FIFO. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : Packets in BGF FIFO : Occupancy of m3upi ingress -> upi link layer bgf; packets (flits) in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.flits_in_path",
	.event = "umask=0x4,event=0x60",
	.desc = "Credit Occupancy : Packets in BGF Path. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : Packets in BGF Path : Occupancy of m3upi ingress -> upi link layer bgf; packets (flits) in path (i.e. pipe to fifo or fifo)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_fifo",
	.event = "umask=0x40,event=0x60",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : count of bl messages in pump-1-pending state, in completion fifo only",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.p1p_total",
	.event = "umask=0x20,event=0x60",
	.desc = "Credit Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : count of bl messages in pump-1-pending state, in marker table and in fifo",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.txq_crd",
	.event = "umask=0x8,event=0x60",
	.desc = "Credit Occupancy : Transmit Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : Transmit Credits : Link layer transmit queue credit occupancy (credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_crd_occ.vna_in_use",
	.event = "umask=0x1,event=0x60",
	.desc = "Credit Occupancy : VNA In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Credit Occupancy : VNA In Use : Remote UPI VNA credit occupancy (number of credits in use), accumulated across all cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_req",
	.event = "umask=0x1,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : REQ on AD : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_rsp",
	.event = "umask=0x4,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : RSP on AD : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.ad_snp",
	.event = "umask=0x2,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : SNP on AD : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncb",
	.event = "umask=0x20,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : NCB on BL : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_ncs",
	.event = "umask=0x40,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : NCS on BL : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_rsp",
	.event = "umask=0x8,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : RSP on BL : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn0.bl_wb",
	.event = "umask=0x10,event=0x43",
	.desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Cycles Not Empty : WB on BL : Counts the number of cycles when the UPI Ingress is not empty.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue occupancy.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_req",
	.event = "umask=0x1,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : REQ on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_rsp",
	.event = "umask=0x4,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : RSP on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.ad_snp",
	.event = "umask=0x2,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : SNP on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncb",
	.event = "umask=0x20,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : NCB on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_ncs",
	.event = "umask=0x40,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : NCS on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_rsp",
	.event = "umask=0x8,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : RSP on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_cycles_ne_vn1.bl_wb",
	.event = "umask=0x10,event=0x44",
	.desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Cycles Not Empty : WB on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_data_flits_not_sent.all",
	.event = "umask=0x1,event=0x55",
	.desc = "Data Flit Not Sent : All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data Flit Not Sent : All : Data flit is ready for transmission but could not be sent : data flit is ready for transmission but could not be sent for any reason, e.g. low credits, low tsv, stall injection",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_data_flits_not_sent.no_bgf",
	.event = "umask=0x8,event=0x55",
	.desc = "Data Flit Not Sent : No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data Flit Not Sent : No BGF Credits : Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_data_flits_not_sent.no_txq",
	.event = "umask=0x10,event=0x55",
	.desc = "Data Flit Not Sent : No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data Flit Not Sent : No TxQ Credits : Data flit is ready for transmission but could not be sent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_data_flits_not_sent.tsv_hi",
	.event = "umask=0x2,event=0x55",
	.desc = "Data Flit Not Sent : TSV High. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data Flit Not Sent : TSV High : Data flit is ready for transmission but could not be sent : data flit is ready for transmission but was not sent while tsv high",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_data_flits_not_sent.valid_for_flit",
	.event = "umask=0x4,event=0x55",
	.desc = "Data Flit Not Sent : Cycle valid for Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Data Flit Not Sent : Cycle valid for Flit : Data flit is ready for transmission but could not be sent : data flit is ready for transmission but was not sent while cycle is valid for flit transmission",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p0_wait",
	.event = "umask=0x1,event=0x57",
	.desc = "Generating BL Data Flit Sequence : Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : Wait on Pump 0 : generating bl data flit sequence; waiting for data pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_at_limit",
	.event = "umask=0x10,event=0x57",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : pump-1-pending logic is at capacity (pending table plus completion fifo at limit)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_busy",
	.event = "umask=0x8,event=0x57",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : pump-1-pending logic is tracking at least one message",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_fifo_full",
	.event = "umask=0x40,event=0x57",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : pump-1-pending completion fifo is full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_hold_p0",
	.event = "umask=0x20,event=0x57",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : pump-1-pending logic is at or near capacity, such that pump-0-only bl messages are getting stalled in slotting stage",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1p_to_limbo",
	.event = "umask=0x4,event=0x57",
	.desc = "Generating BL Data Flit Sequence. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : a bl message finished but is in limbo and moved to pump-1-pending logic",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_gen_bl.p1_wait",
	.event = "umask=0x2,event=0x57",
	.desc = "Generating BL Data Flit Sequence : Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Generating BL Data Flit Sequence : Wait on Pump 1 : generating bl data flit sequence; waiting for data pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc.s2req_in_holdoff",
	.event = "umask=0x4,event=0x58",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC.S2REQ_IN_HOLDOFF. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": slot 2 request naturally serviced during hold-off period",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc.s2req_in_service",
	.event = "umask=0x8,event=0x58",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC.S2REQ_IN_SERVICE. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": slot 2 request forcibly serviced during service window",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc.s2req_received",
	.event = "umask=0x1,event=0x58",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC.S2REQ_RECEIVED. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": slot 2 request received from link layer while idle (with no slot 2 request active immediately prior)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_misc.s2req_withdrawn",
	.event = "umask=0x2,event=0x58",
	.desc = "UNC_M3UPI_RxC_FLITS_MISC.S2REQ_WITHDRAWN. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": slot 2 request withdrawn during hold-off period or service window",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.all",
	.event = "umask=0x1,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.need_data",
	.event = "umask=0x2,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Needs Data Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Needs Data Flit : BL message requires data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p0_wait",
	.event = "umask=0x4,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Wait on Pump 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Wait on Pump 0 : Waiting for header pump 0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req",
	.event = "umask=0x10,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1 : Header pump 1 is not required for flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_but_bubble",
	.event = "umask=0x20,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1 - Bubble. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1 - Bubble : Header pump 1 is not required for flit but flit transmission delayed",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_not_req_not_avail",
	.event = "umask=0x40,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1 - Not Avail. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Don't Need Pump 1 - Not Avail : Header pump 1 is not required for flit and not available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flits_slot_bl.p1_wait",
	.event = "umask=0x8,event=0x56",
	.desc = "Slotting BL Message Into Header Flit : Wait on Pump 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Slotting BL Message Into Header Flit : Wait on Pump 1 : Waiting for header pump 1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum",
	.event = "umask=0x1,event=0x51",
	.desc = "Flit Gen - Header 1 : Accumulate. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Accumulate : Events related to Header Flit Generation - Set 1 : Header flit slotting control state machine is in any accumulate state; multi-message flit may be assembled over multiple cycles",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_read",
	.event = "umask=0x2,event=0x51",
	.desc = "Flit Gen - Header 1 : Accumulate Ready. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Accumulate Ready : Events related to Header Flit Generation - Set 1 : header flit slotting control state machine is in accum_ready state; flit is ready to send but transmission is blocked; more messages may be slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.accum_wasted",
	.event = "umask=0x4,event=0x51",
	.desc = "Flit Gen - Header 1 : Accumulate Wasted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Accumulate Wasted : Events related to Header Flit Generation - Set 1 : Flit is being assembled over multiple cycles, but no additional message is being slotted into flit in current cycle; accumulate cycle is wasted",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_blocked",
	.event = "umask=0x8,event=0x51",
	.desc = "Flit Gen - Header 1 : Run-Ahead - Blocked. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Run-Ahead - Blocked : Events related to Header Flit Generation - Set 1 : Header flit slotting entered run-ahead state; new header flit is started while transmission of prior, fully assembled flit is blocked",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg1_after",
	.event = "umask=0x80,event=0x51",
	.desc = "Flit Gen - Header 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Events related to Header Flit Generation - Set 1 : run-ahead mode: message was slotted only after run-ahead was over; run-ahead mode definitely wasted",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg1_during",
	.event = "umask=0x10,event=0x51",
	.desc = "Flit Gen - Header 1 : Run-Ahead - Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Run-Ahead - Message : Events related to Header Flit Generation - Set 1 : run-ahead mode: one message slotted during run-ahead",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg2_after",
	.event = "umask=0x20,event=0x51",
	.desc = "Flit Gen - Header 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Events related to Header Flit Generation - Set 1 : run-ahead mode: second message slotted immediately after run-ahead; potential run-ahead success",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr1.ahead_msg2_sent",
	.event = "umask=0x40,event=0x51",
	.desc = "Flit Gen - Header 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 1 : Events related to Header Flit Generation - Set 1 : run-ahead mode: two (or three) message flit sent immediately after run-ahead; complete run-ahead success",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.par",
	.event = "umask=0x4,event=0x52",
	.desc = "Flit Gen - Header 2 : Parallel Ok. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 2 : Parallel Ok : Events related to Header Flit Generation - Set 2 : new header flit construction may proceed in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.par_flit",
	.event = "umask=0x10,event=0x52",
	.desc = "Flit Gen - Header 2 : Parallel Flit Finished. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 2 : Parallel Flit Finished : Events related to Header Flit Generation - Set 2 : header flit finished assembly in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.par_msg",
	.event = "umask=0x8,event=0x52",
	.desc = "Flit Gen - Header 2 : Parallel Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 2 : Parallel Message : Events related to Header Flit Generation - Set 2 : message is slotted into header flit in parallel with data flit sequence",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall",
	.event = "umask=0x1,event=0x52",
	.desc = "Flit Gen - Header 2 : Rate-matching Stall. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 2 : Rate-matching Stall : Events related to Header Flit Generation - Set 2 : Rate-matching stall injected",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_flit_gen_hdr2.rmstall_nomsg",
	.event = "umask=0x2,event=0x52",
	.desc = "Flit Gen - Header 2 : Rate-matching Stall - No Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Flit Gen - Header 2 : Rate-matching Stall - No Message : Events related to Header Flit Generation - Set 2 : Rate matching stall injected, but no additional message slotted during stall cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.1_msg",
	.event = "umask=0x1,event=0x54",
	.desc = "Sent Header Flit : One Message. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Sent Header Flit : One Message : One message in flit; VNA or non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.1_msg_vnx",
	.event = "umask=0x8,event=0x54",
	.desc = "Sent Header Flit : One Message in non-VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Sent Header Flit : One Message in non-VNA : One message in flit; non-VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.2_msgs",
	.event = "umask=0x2,event=0x54",
	.desc = "Sent Header Flit : Two Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Sent Header Flit : Two Messages : Two messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.3_msgs",
	.event = "umask=0x4,event=0x54",
	.desc = "Sent Header Flit : Three Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Sent Header Flit : Three Messages : Three messages in flit; VNA flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.slots_1",
	.event = "umask=0x10,event=0x54",
	.desc = "Sent Header Flit : One Slot Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.slots_2",
	.event = "umask=0x20,event=0x54",
	.desc = "Sent Header Flit : Two Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flits_sent.slots_3",
	.event = "umask=0x40,event=0x54",
	.desc = "Sent Header Flit : All Slots Taken. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.all",
	.event = "umask=0x1,event=0x53",
	.desc = "Header Not Sent : All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : All : header flit is ready for transmission but could not be sent : header flit is ready for transmission but could not be sent for any reason, e.g. no credits, low tsv, stall injection",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.no_bgf_crd",
	.event = "umask=0x8,event=0x53",
	.desc = "Header Not Sent : No BGF Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : No BGF Credits : header flit is ready for transmission but could not be sent : No BGF credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.no_bgf_no_msg",
	.event = "umask=0x20,event=0x53",
	.desc = "Header Not Sent : No BGF Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : No BGF Credits + No Extra Message Slotted : header flit is ready for transmission but could not be sent : No BGF credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.no_txq_crd",
	.event = "umask=0x10,event=0x53",
	.desc = "Header Not Sent : No TxQ Credits. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : No TxQ Credits : header flit is ready for transmission but could not be sent : No TxQ credits available",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.no_txq_no_msg",
	.event = "umask=0x40,event=0x53",
	.desc = "Header Not Sent : No TxQ Credits + No Extra Message Slotted. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : No TxQ Credits + No Extra Message Slotted : header flit is ready for transmission but could not be sent : No TxQ credits available; no additional message slotted into flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.tsv_hi",
	.event = "umask=0x2,event=0x53",
	.desc = "Header Not Sent : TSV High. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : TSV High : header flit is ready for transmission but could not be sent : header flit is ready for transmission but was not sent while tsv high",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_hdr_flit_not_sent.valid_for_flit",
	.event = "umask=0x4,event=0x53",
	.desc = "Header Not Sent : Cycle valid for Flit. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Header Not Sent : Cycle valid for Flit : header flit is ready for transmission but could not be sent : header flit is ready for transmission but was not sent while cycle is valid for flit transmission",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_ad",
	.event = "umask=0x10,event=0x50",
	.desc = "Message Held : Can't Slot AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : Can't Slot AD : some AD message could not be slotted (logical OR of all AD events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.cant_slot_bl",
	.event = "umask=0x20,event=0x50",
	.desc = "Message Held : Can't Slot BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : Can't Slot BL : some BL message could not be slotted (logical OR of all BL events under INGR_SLOT_CANT_MC_VN{0,1})",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_attempt",
	.event = "umask=0x4,event=0x50",
	.desc = "Message Held : Parallel Attempt. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : Parallel Attempt : ad and bl messages attempted to slot into the same flit in parallel",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.parallel_success",
	.event = "umask=0x8,event=0x50",
	.desc = "Message Held : Parallel Success. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : Parallel Success : ad and bl messages were actually slotted into the same flit in paralle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn0",
	.event = "umask=0x1,event=0x50",
	.desc = "Message Held : VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : VN0 : vn0 message(s) that couldn't be slotted into last vn0 flit are held in slotting stage while processing vn1 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_held.vn1",
	.event = "umask=0x2,event=0x50",
	.desc = "Message Held : VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Message Held : VN1 : vn1 message(s) that couldn't be slotted into last vn1 flit are held in slotting stage while processing vn0 flit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_req",
	.event = "umask=0x1,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : REQ on AD : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_rsp",
	.event = "umask=0x4,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : RSP on AD : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.ad_snp",
	.event = "umask=0x2,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : SNP on AD : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncb",
	.event = "umask=0x20,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : NCB on BL : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_ncs",
	.event = "umask=0x40,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : NCS on BL : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_rsp",
	.event = "umask=0x8,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : RSP on BL : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn0.bl_wb",
	.event = "umask=0x10,event=0x41",
	.desc = "VN0 Ingress (from CMS) Queue - Inserts : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Inserts : WB on BL : Counts the number of allocations into the UPI Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_req",
	.event = "umask=0x1,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : REQ on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_rsp",
	.event = "umask=0x4,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : RSP on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.ad_snp",
	.event = "umask=0x2,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : SNP on AD : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncb",
	.event = "umask=0x20,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : NCB on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_ncs",
	.event = "umask=0x40,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : NCS on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_rsp",
	.event = "umask=0x8,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : RSP on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_inserts_vn1.bl_wb",
	.event = "umask=0x10,event=0x42",
	.desc = "VN1 Ingress (from CMS) Queue - Inserts : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Inserts : WB on BL : Counts the number of allocations into the UPI VN1  Ingress.  This tracks one of the three rings that are used by the UPI agent.  This can be used in conjunction with the UPI VN1  Ingress Occupancy Accumulator event in order to calculate average queue latency.  Multiple ingress buffers can be tracked at a given time using multiple counters. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_req",
	.event = "umask=0x1,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : REQ on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_rsp",
	.event = "umask=0x4,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : RSP on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.ad_snp",
	.event = "umask=0x2,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : SNP on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncb",
	.event = "umask=0x20,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : NCB on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_ncs",
	.event = "umask=0x40,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : NCS on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_rsp",
	.event = "umask=0x8,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : RSP on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn0.bl_wb",
	.event = "umask=0x10,event=0x45",
	.desc = "VN0 Ingress (from CMS) Queue - Occupancy : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Ingress (from CMS) Queue - Occupancy : WB on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_req",
	.event = "umask=0x1,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : REQ on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_rsp",
	.event = "umask=0x4,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : RSP on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.ad_snp",
	.event = "umask=0x2,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : SNP on AD : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncb",
	.event = "umask=0x20,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : NCB on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_ncs",
	.event = "umask=0x40,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : NCS on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_rsp",
	.event = "umask=0x8,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : RSP on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_occupancy_vn1.bl_wb",
	.event = "umask=0x10,event=0x46",
	.desc = "VN1 Ingress (from CMS) Queue - Occupancy : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Ingress (from CMS) Queue - Occupancy : WB on BL : Accumulates the occupancy of a given UPI VN1  Ingress queue in each cycle.  This tracks one of the three ring Ingress buffers.  This can be used with the UPI VN1  Ingress Not Empty event to calculate average occupancy or the UPI VN1  Ingress Allocations event in order to calculate average queuing latency. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_req",
	.event = "umask=0x1,event=0x4e",
	.desc = "VN0 message can't slot into flit : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : REQ on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_rsp",
	.event = "umask=0x4,event=0x4e",
	.desc = "VN0 message can't slot into flit : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : RSP on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.ad_snp",
	.event = "umask=0x2,event=0x4e",
	.desc = "VN0 message can't slot into flit : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : SNP on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncb",
	.event = "umask=0x20,event=0x4e",
	.desc = "VN0 message can't slot into flit : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : NCB on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_ncs",
	.event = "umask=0x40,event=0x4e",
	.desc = "VN0 message can't slot into flit : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : NCS on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_rsp",
	.event = "umask=0x8,event=0x4e",
	.desc = "VN0 message can't slot into flit : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : RSP on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn0.bl_wb",
	.event = "umask=0x10,event=0x4e",
	.desc = "VN0 message can't slot into flit : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 message can't slot into flit : WB on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_req",
	.event = "umask=0x1,event=0x4f",
	.desc = "VN1 message can't slot into flit : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : REQ on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_rsp",
	.event = "umask=0x4,event=0x4f",
	.desc = "VN1 message can't slot into flit : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : RSP on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.ad_snp",
	.event = "umask=0x2,event=0x4f",
	.desc = "VN1 message can't slot into flit : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : SNP on AD : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncb",
	.event = "umask=0x20,event=0x4f",
	.desc = "VN1 message can't slot into flit : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : NCB on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_ncs",
	.event = "umask=0x40,event=0x4f",
	.desc = "VN1 message can't slot into flit : NCS on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : NCS on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Non-Coherent Standard (NCS) messages on BL",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_rsp",
	.event = "umask=0x8,event=0x4f",
	.desc = "VN1 message can't slot into flit : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : RSP on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_packing_miss_vn1.bl_wb",
	.event = "umask=0x10,event=0x4f",
	.desc = "VN1 message can't slot into flit : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 message can't slot into flit : WB on BL : Count cases where Ingress has packets to send but did not have time to pack into flit before sending to Agent so slot was left NULL which could have been used. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.any_in_use",
	.event = "umask=0x20,event=0x5a",
	.desc = "Remote VNA Credits : Any In Use. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Any In Use : At least one remote vna credit is in use",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.corrected",
	.event = "umask=0x1,event=0x5a",
	.desc = "Remote VNA Credits : Corrected. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Corrected : Number of remote vna credits corrected (local return) per cycle",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt1",
	.event = "umask=0x2,event=0x5a",
	.desc = "Remote VNA Credits : Level < 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Level < 1 : Remote vna credit level is less than 1 (i.e. no vna credits available)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt10",
	.event = "umask=0x10,event=0x5a",
	.desc = "Remote VNA Credits : Level < 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Level < 10 : remote vna credit level is less than 10; parallel vn0/vn1 arb not possible",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt4",
	.event = "umask=0x4,event=0x5a",
	.desc = "Remote VNA Credits : Level < 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Level < 4 : Remote vna credit level is less than 4; bl (or ad requiring 4 vna) cannot arb on vna",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd.lt5",
	.event = "umask=0x8,event=0x5a",
	.desc = "Remote VNA Credits : Level < 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Remote VNA Credits : Level < 5 : Remote vna credit level is less than 5; parallel ad/bl arb on vna not possible",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.req_adbl_alloc_l5",
	.event = "umask=0x2,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.REQ_ADBL_ALLOC_L5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": remote vna credit count was less than 5 and allocation to ad or bl messages was required",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.req_vn01_alloc_lt10",
	.event = "umask=0x1,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.REQ_VN01_ALLOC_LT10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": remote vna credit count was less than 10 and allocation to vn0 or vn1 was required",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn0_just_ad",
	.event = "umask=0x10,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN0_JUST_AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": on vn0, remote vna credits were allocated only to ad messages, not to bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn0_just_bl",
	.event = "umask=0x20,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN0_JUST_BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": on vn0, remote vna credits were allocated only to bl messages, not to ad",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn0_only",
	.event = "umask=0x4,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN0_ONLY. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": remote vna credits were allocated only to vn0, not to vn1",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn1_just_ad",
	.event = "umask=0x40,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN1_JUST_AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": on vn1, remote vna credits were allocated only to ad messages, not to bl",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn1_just_bl",
	.event = "umask=0x80,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN1_JUST_BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": on vn1, remote vna credits were allocated only to bl messages, not to ad",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxc_vna_crd_misc.vn1_only",
	.event = "umask=0x8,event=0x59",
	.desc = "UNC_M3UPI_RxC_VNA_CRD_MISC.VN1_ONLY. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": remote vna credits were allocated only to vn1, not to vn0",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_all",
	.event = "umask=0x11,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe5",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_all",
	.event = "umask=0x44,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_busy_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe5",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_all",
	.event = "umask=0x11,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_crd",
	.event = "umask=0x10,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xe2",
	.desc = "Transgress Ingress Bypass : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AD - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.ak",
	.event = "umask=0x2,event=0xe2",
	.desc = "Transgress Ingress Bypass : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AK : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xe2",
	.desc = "Transgress Ingress Bypass : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : AKC - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_all",
	.event = "umask=0x44,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - All : Number of packets bypassing the CMS Ingress : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_crd",
	.event = "umask=0x40,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Credited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xe2",
	.desc = "Transgress Ingress Bypass : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : BL - Uncredited : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_bypass.iv",
	.event = "umask=0x8,event=0xe2",
	.desc = "Transgress Ingress Bypass : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Bypass : IV : Number of packets bypassing the CMS Ingress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_all",
	.event = "umask=0x11,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ad_uncrd",
	.event = "umask=0x1,event=0xe3",
	.desc = "Transgress Injection Starvation : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AD - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ak",
	.event = "umask=0x2,event=0xe3",
	.desc = "Transgress Injection Starvation : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : AK : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_all",
	.event = "umask=0x44,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - All : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.bl_uncrd",
	.event = "umask=0x4,event=0xe3",
	.desc = "Transgress Injection Starvation : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : BL - Uncredited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.ifv",
	.event = "umask=0x80,event=0xe3",
	.desc = "Transgress Injection Starvation : IFV - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IFV - Credited : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved.iv",
	.event = "umask=0x8,event=0xe3",
	.desc = "Transgress Injection Starvation : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : IV : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_crd_starved_1",
	.event = "event=0xe4",
	.desc = "Transgress Injection Starvation. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Injection Starvation : Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_all",
	.event = "umask=0x11,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_crd",
	.event = "umask=0x10,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xe1",
	.desc = "Transgress Ingress Allocations : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AD - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.ak",
	.event = "umask=0x2,event=0xe1",
	.desc = "Transgress Ingress Allocations : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AK : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xe1",
	.desc = "Transgress Ingress Allocations : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : AKC - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_all",
	.event = "umask=0x44,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - All : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_crd",
	.event = "umask=0x40,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Credited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xe1",
	.desc = "Transgress Ingress Allocations : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : BL - Uncredited : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_inserts.iv",
	.event = "umask=0x8,event=0xe1",
	.desc = "Transgress Ingress Allocations : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Allocations : IV : Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_all",
	.event = "umask=0x11,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_crd",
	.event = "umask=0x10,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AD - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.ak",
	.event = "umask=0x2,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AK : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xe0",
	.desc = "Transgress Ingress Occupancy : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : AKC - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_all",
	.event = "umask=0x44,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - All : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_crd",
	.event = "umask=0x20,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Credited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xe0",
	.desc = "Transgress Ingress Occupancy : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : BL - Uncredited : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_rxr_occupancy.iv",
	.event = "umask=0x8,event=0xe0",
	.desc = "Transgress Ingress Occupancy : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Transgress Ingress Occupancy : IV : Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag0.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 0 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 1 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 2 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 3 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 4 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 5 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 6 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_ad_ag1.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 7 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag0.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 0 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 1 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 2 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 3 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 4 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 5 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 6 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall0_no_txr_horz_crd_bl_ag1.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 7 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag0.tgr10",
	.event = "umask=0x4,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag0.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag0.tgr9",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent0 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 10 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 8 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_ad_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No AD Agent1 Transgress Credits : For Transgress 9 : Number of cycles the AD Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag0_1.tgr10",
	.event = "umask=0x4,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag0_1.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag0_1.tgr9",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent0 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 0 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag1_1.tgr10",
	.event = "umask=0x4,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 10 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag1_1.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 8 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_stall1_no_txr_horz_crd_bl_ag1_1.tgr9",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Stall on No BL Agent1 Transgress Credits : For Transgress 9 : Number of cycles the BL Agent 1 Egress Buffer is stalled waiting for a TGR credit to become available, per transgress",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_req",
	.event = "umask=0x1,event=0x30",
	.desc = "Failed ARB for AD : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN0 REQ Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_rsp",
	.event = "umask=0x4,event=0x30",
	.desc = "Failed ARB for AD : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN0 RSP Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_snp",
	.event = "umask=0x2,event=0x30",
	.desc = "Failed ARB for AD : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN0 SNP Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn0_wb",
	.event = "umask=0x8,event=0x30",
	.desc = "Failed ARB for AD : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN0 WB Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_req",
	.event = "umask=0x10,event=0x30",
	.desc = "Failed ARB for AD : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN1 REQ Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_rsp",
	.event = "umask=0x40,event=0x30",
	.desc = "Failed ARB for AD : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN1 RSP Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_snp",
	.event = "umask=0x20,event=0x30",
	.desc = "Failed ARB for AD : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN1 SNP Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_arb_fail.vn1_wb",
	.event = "umask=0x80,event=0x30",
	.desc = "Failed ARB for AD : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for AD : VN1 WB Messages : AD arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot0",
	.event = "umask=0x1,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD FlowQ Bypass : Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot1",
	.event = "umask=0x2,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD FlowQ Bypass : Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.ad_slot2",
	.event = "umask=0x4,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD FlowQ Bypass : Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_bypass.bl_early_rsp",
	.event = "umask=0x8,event=0x2c",
	.desc = "AD FlowQ Bypass. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD FlowQ Bypass : Counts cases when the AD flowQ is bypassed (S0, S1 and S2 indicate which slot was bypassed with S0 having the highest priority and S2 the least)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x27",
	.desc = "AD Flow Q Not Empty : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN0 REQ Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x27",
	.desc = "AD Flow Q Not Empty : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN0 RSP Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x27",
	.desc = "AD Flow Q Not Empty : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN0 SNP Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x27",
	.desc = "AD Flow Q Not Empty : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN0 WB Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x27",
	.desc = "AD Flow Q Not Empty : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN1 REQ Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x27",
	.desc = "AD Flow Q Not Empty : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN1 RSP Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x27",
	.desc = "AD Flow Q Not Empty : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN1 SNP Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x27",
	.desc = "AD Flow Q Not Empty : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Not Empty : VN1 WB Messages : Number of cycles the AD Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_req",
	.event = "umask=0x1,event=0x2d",
	.desc = "AD Flow Q Inserts : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN0 REQ Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_rsp",
	.event = "umask=0x4,event=0x2d",
	.desc = "AD Flow Q Inserts : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN0 RSP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_snp",
	.event = "umask=0x2,event=0x2d",
	.desc = "AD Flow Q Inserts : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN0 SNP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn0_wb",
	.event = "umask=0x8,event=0x2d",
	.desc = "AD Flow Q Inserts : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN0 WB Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_req",
	.event = "umask=0x10,event=0x2d",
	.desc = "AD Flow Q Inserts : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN1 REQ Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_rsp",
	.event = "umask=0x40,event=0x2d",
	.desc = "AD Flow Q Inserts : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN1 RSP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_inserts.vn1_snp",
	.event = "umask=0x20,event=0x2d",
	.desc = "AD Flow Q Inserts : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "AD Flow Q Inserts : VN1 SNP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_req",
	.event = "umask=0x1,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_rsp",
	.event = "umask=0x4,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_snp",
	.event = "umask=0x2,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn0_wb",
	.event = "umask=0x8,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_req",
	.event = "umask=0x10,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_rsp",
	.event = "umask=0x40,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ad_flq_occupancy.vn1_snp",
	.event = "umask=0x20,event=0x1c",
	.desc = "AD Flow Q Occupancy : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_inserts",
	.event = "event=0x2f",
	.desc = "AK Flow Q Inserts. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_ak_flq_occupancy",
	.event = "event=0x1e",
	.desc = "AK Flow Q Occupancy. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncb",
	.event = "umask=0x4,event=0x35",
	.desc = "Failed ARB for BL : VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN0 NCB Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_ncs",
	.event = "umask=0x8,event=0x35",
	.desc = "Failed ARB for BL : VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN0 NCS Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_rsp",
	.event = "umask=0x1,event=0x35",
	.desc = "Failed ARB for BL : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN0 RSP Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn0_wb",
	.event = "umask=0x2,event=0x35",
	.desc = "Failed ARB for BL : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN0 WB Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncb",
	.event = "umask=0x40,event=0x35",
	.desc = "Failed ARB for BL : VN1 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN1 NCS Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_ncs",
	.event = "umask=0x80,event=0x35",
	.desc = "Failed ARB for BL : VN1 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN1 NCB Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_rsp",
	.event = "umask=0x10,event=0x35",
	.desc = "Failed ARB for BL : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN1 RSP Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_arb_fail.vn1_wb",
	.event = "umask=0x20,event=0x35",
	.desc = "Failed ARB for BL : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Failed ARB for BL : VN1 WB Messages : BL arb but no win; arb request asserted but not won",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_req",
	.event = "umask=0x1,event=0x28",
	.desc = "BL Flow Q Not Empty : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN0 REQ Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_rsp",
	.event = "umask=0x4,event=0x28",
	.desc = "BL Flow Q Not Empty : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN0 RSP Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_snp",
	.event = "umask=0x2,event=0x28",
	.desc = "BL Flow Q Not Empty : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN0 SNP Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn0_wb",
	.event = "umask=0x8,event=0x28",
	.desc = "BL Flow Q Not Empty : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN0 WB Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_req",
	.event = "umask=0x10,event=0x28",
	.desc = "BL Flow Q Not Empty : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN1 REQ Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_rsp",
	.event = "umask=0x40,event=0x28",
	.desc = "BL Flow Q Not Empty : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN1 RSP Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_snp",
	.event = "umask=0x20,event=0x28",
	.desc = "BL Flow Q Not Empty : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN1 SNP Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_cycles_ne.vn1_wb",
	.event = "umask=0x80,event=0x28",
	.desc = "BL Flow Q Not Empty : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Not Empty : VN1 WB Messages : Number of cycles the BL Egress queue is Not Empty",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncb",
	.event = "umask=0x1,event=0x2e",
	.desc = "BL Flow Q Inserts : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN0 RSP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_ncs",
	.event = "umask=0x2,event=0x2e",
	.desc = "BL Flow Q Inserts : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN0 WB Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_rsp",
	.event = "umask=0x8,event=0x2e",
	.desc = "BL Flow Q Inserts : VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN0 NCS Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn0_wb",
	.event = "umask=0x4,event=0x2e",
	.desc = "BL Flow Q Inserts : VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN0 NCB Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncb",
	.event = "umask=0x10,event=0x2e",
	.desc = "BL Flow Q Inserts : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN1 RSP Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_ncs",
	.event = "umask=0x20,event=0x2e",
	.desc = "BL Flow Q Inserts : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN1 WB Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_rsp",
	.event = "umask=0x80,event=0x2e",
	.desc = "BL Flow Q Inserts : VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN1_NCB Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_inserts.vn1_wb",
	.event = "umask=0x40,event=0x2e",
	.desc = "BL Flow Q Inserts : VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "BL Flow Q Inserts : VN1_NCS Messages : Counts the number of allocations into the QPI FlowQ. This can be used in conjunction with the QPI FlowQ Occupancy Accumulator event in order to calculate average queue latency.  Only a single FlowQ queue can be tracked at any given time.  It is not possible to filter based on direction or polarity",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncb",
	.event = "umask=0x4,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_ncs",
	.event = "umask=0x8,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN0 NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_rsp",
	.event = "umask=0x1,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn0_wb",
	.event = "umask=0x2,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncb",
	.event = "umask=0x40,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_ncs",
	.event = "umask=0x80,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN1_NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_rsp",
	.event = "umask=0x10,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_flq_occupancy.vn1_wb",
	.event = "umask=0x20,event=0x1d",
	.desc = "BL Flow Q Occupancy : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn0_local",
	.event = "umask=0x1,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn0_through",
	.event = "umask=0x2,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN0 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn0_wrpull",
	.event = "umask=0x4,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN0 NCB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn1_local",
	.event = "umask=0x10,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn1_through",
	.event = "umask=0x20,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN1 WB Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txc_bl_wb_flq_occupancy.vn1_wrpull",
	.event = "umask=0x40,event=0x1f",
	.desc = "BL Flow Q Occupancy : VN1_NCS Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_all",
	.event = "umask=0x11,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_crd",
	.event = "umask=0x10,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.ad_uncrd",
	.event = "umask=0x1,event=0xa6",
	.desc = "CMS Horizontal ADS Used : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : AD - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_all",
	.event = "umask=0x44,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - All : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_crd",
	.event = "umask=0x40,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Credited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_ads_used.bl_uncrd",
	.event = "umask=0x4,event=0xa6",
	.desc = "CMS Horizontal ADS Used : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal ADS Used : BL - Uncredited : Number of packets using the Horizontal Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_all",
	.event = "umask=0x11,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_crd",
	.event = "umask=0x10,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ad_uncrd",
	.event = "umask=0x1,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AD - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.ak",
	.event = "umask=0x2,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AK : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.akc_uncrd",
	.event = "umask=0x80,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : AKC - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_all",
	.event = "umask=0x44,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - All : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_crd",
	.event = "umask=0x40,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Credited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.bl_uncrd",
	.event = "umask=0x4,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : BL - Uncredited : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_bypass.iv",
	.event = "umask=0x8,event=0xa7",
	.desc = "CMS Horizontal Bypass Used : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Bypass Used : IV : Number of packets bypassing the Horizontal Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_all",
	.event = "umask=0x11,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_crd",
	.event = "umask=0x10,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ad_uncrd",
	.event = "umask=0x1,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AK : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.akc_uncrd",
	.event = "umask=0x80,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_all",
	.event = "umask=0x44,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_crd",
	.event = "umask=0x40,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.bl_uncrd",
	.event = "umask=0x4,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_full.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Cycles CMS Horizontal Egress Queue is Full : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Full : IV : Cycles the Transgress buffers in the Common Mesh Stop are Full.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_all",
	.event = "umask=0x11,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_crd",
	.event = "umask=0x10,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ad_uncrd",
	.event = "umask=0x1,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AD - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AK : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.akc_uncrd",
	.event = "umask=0x80,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : AKC - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_all",
	.event = "umask=0x44,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - All : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_crd",
	.event = "umask=0x40,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Credited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.bl_uncrd",
	.event = "umask=0x4,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : BL - Uncredited : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Horizontal Egress Queue is Not Empty : IV : Cycles the Transgress buffers in the Common Mesh Stop are Not-Empty.  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_all",
	.event = "umask=0x11,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_crd",
	.event = "umask=0x10,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ad_uncrd",
	.event = "umask=0x1,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AD - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AK : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.akc_uncrd",
	.event = "umask=0x80,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : AKC - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_all",
	.event = "umask=0x44,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - All : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_crd",
	.event = "umask=0x40,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Credited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.bl_uncrd",
	.event = "umask=0x4,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : BL - Uncredited : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_inserts.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "CMS Horizontal Egress Inserts : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Inserts : IV : Number of allocations into the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_all",
	.event = "umask=0x11,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_crd",
	.event = "umask=0x10,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ad_uncrd",
	.event = "umask=0x1,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AD - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.ak",
	.event = "umask=0x2,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AK : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.akc_uncrd",
	.event = "umask=0x80,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : AKC - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_all",
	.event = "umask=0x44,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - All : Counts number of Egress packets NACK'ed on to the Horizontal Ring : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_crd",
	.event = "umask=0x40,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Credited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.bl_uncrd",
	.event = "umask=0x4,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : BL - Uncredited : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_nack.iv",
	.event = "umask=0x8,event=0xa4",
	.desc = "CMS Horizontal Egress NACKs : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Horizontal Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_all",
	.event = "umask=0x11,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_crd",
	.event = "umask=0x10,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ad_uncrd",
	.event = "umask=0x1,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AD - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AK : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.akc_uncrd",
	.event = "umask=0x80,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : AKC - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_all",
	.event = "umask=0x44,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - All : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_crd",
	.event = "umask=0x40,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Credited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Credited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.bl_uncrd",
	.event = "umask=0x4,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : BL - Uncredited : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_occupancy.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "CMS Horizontal Egress Occupancy : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Occupancy : IV : Occupancy event for the Transgress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Horizontal Ring on the Mesh",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ad_all",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ad_uncrd",
	.event = "umask=0x1,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AD - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.ak",
	.event = "umask=0x2,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AK. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AK : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.akc_uncrd",
	.event = "umask=0x80,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : AKC - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.bl_all",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - All. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - All : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time. : All == Credited + Uncredited",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.bl_uncrd",
	.event = "umask=0x4,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : BL - Uncredited : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_horz_starved.iv",
	.event = "umask=0x8,event=0xa5",
	.desc = "CMS Horizontal Egress Injection Starvation : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Horizontal Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Transgress buffer cannot send a transaction onto the Horizontal ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets using the Vertical Anti-Deadlock Slot, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9d",
	.desc = "CMS Vertical ADS Used : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AD - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9d",
	.desc = "CMS Vertical ADS Used : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AK - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9d",
	.desc = "CMS Vertical ADS Used : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : BL - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass.iv_ag1",
	.event = "umask=0x8,event=0x9d",
	.desc = "CMS Vertical ADS Used : IV - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : IV - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass_1.akc_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 0 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_bypass_1.akc_ag1",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical ADS Used : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical ADS Used : AKC - Agent 1 : Number of packets bypassing the Vertical Egress, broken down by ring type and CMS Agent",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.ad_ag0",
	.event = "umask=0x1,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.ad_ag1",
	.event = "umask=0x10,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.ak_ag0",
	.event = "umask=0x2,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.ak_ag1",
	.event = "umask=0x20,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.bl_ag0",
	.event = "umask=0x4,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.bl_ag1",
	.event = "umask=0x40,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full0.iv_ag0",
	.event = "umask=0x8,event=0x94",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full1.akc_ag0",
	.event = "umask=0x1,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_full1.akc_ag1",
	.event = "umask=0x2,event=0x95",
	.desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Full : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Full.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.ad_ag0",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.ad_ag1",
	.event = "umask=0x10,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AD - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.ak_ag0",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.ak_ag1",
	.event = "umask=0x20,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AK - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.bl_ag0",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.bl_ag1",
	.event = "umask=0x40,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : BL - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne0.iv_ag0",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : IV - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne1.akc_ag0",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 0 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_cycles_ne1.akc_ag1",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Cycles CMS Vertical Egress Queue Is Not Empty : AKC - Agent 1 : Number of cycles the Common Mesh Stop Egress was Not Empty.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "CMS Vert Egress Allocations : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AD - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "CMS Vert Egress Allocations : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AK - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "CMS Vert Egress Allocations : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : BL - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts0.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "CMS Vert Egress Allocations : IV - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : IV - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts1.akc_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 0 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_inserts1.akc_ag1",
	.event = "umask=0x2,event=0x93",
	.desc = "CMS Vert Egress Allocations : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Allocations : AKC - Agent 1 : Number of allocations into the Common Mesh Stop Egress.  The Egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AD - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AK - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : BL - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack0.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : IV : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack1.akc_ag0",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 0 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_nack1.akc_ag1",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Vertical Egress NACKs : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress NACKs : AKC - Agent 1 : Counts number of Egress packets NACK'ed on to the Vertical Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AD - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AD ring.  This is commonly used for outbound requests",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AK - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the AK ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the BL ring.  This is commonly used to send data from the cache to various destinations",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : BL - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 1 destined for the BL ring.  This is commonly used for transferring writeback data to the cache",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy0.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy : IV - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : IV - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the IV ring.  This is commonly used for snoops to the cores",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy1.akc_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 0 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AD ring.  Some example include outbound requests, snoop requests, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_occupancy1.akc_ag1",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Occupancy : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vert Egress Occupancy : AKC - Agent 1 : Occupancy event for the Egress buffers in the Common Mesh Stop  The egress is used to queue up requests destined for the Vertical Ring on the Mesh. : Ring transactions from Agent 0 destined for the AK ring.  This is commonly used for credit returns and GO responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AD - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AK - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : BL - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved0.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation : IV. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : IV : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved1.akc_ag0",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved1.akc_ag1",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 1 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_txr_vert_starved1.tgc",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "CMS Vertical Egress Injection Starvation : AKC - Agent 0 : Counts injection starvation.  This starvation is triggered when the CMS Egress cannot send a transaction onto the Vertical ring for a long period of time",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_req",
	.event = "umask=0x2,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN0 REQ Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_rsp",
	.event = "umask=0x8,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN0 RSP Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn0_snp",
	.event = "umask=0x4,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN0 SNP Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_req",
	.event = "umask=0x10,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN1 REQ Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_rsp",
	.event = "umask=0x40,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN1 RSP Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vn1_snp",
	.event = "umask=0x20,event=0x20",
	.desc = "UPI0 AD Credits Empty : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VN1 SNP Messages : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_ad_credits_empty.vna",
	.event = "umask=0x1,event=0x20",
	.desc = "UPI0 AD Credits Empty : VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 AD Credits Empty : VNA : No credits available to send to UPIs on the AD Ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_ncs_ncb",
	.event = "umask=0x4,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN0 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN0 RSP Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_rsp",
	.event = "umask=0x2,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN0 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN0 REQ Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn0_wb",
	.event = "umask=0x8,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN0 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN0 SNP Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_ncs_ncb",
	.event = "umask=0x20,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN1 RSP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN1 RSP Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_rsp",
	.event = "umask=0x10,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN1 REQ Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN1 REQ Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vn1_wb",
	.event = "umask=0x40,event=0x21",
	.desc = "UPI0 BL Credits Empty : VN1 SNP Messages. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VN1 SNP Messages : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_peer_bl_credits_empty.vna",
	.event = "umask=0x1,event=0x21",
	.desc = "UPI0 BL Credits Empty : VNA. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "UPI0 BL Credits Empty : VNA : No credits available to send to UPI on the BL Ring (diff between non-SMI and SMI mode)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_upi_prefetch_spawn",
	.event = "event=0x29",
	.desc = "FlowQ Generated Prefetch. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "FlowQ Generated Prefetch : Count cases where FlowQ causes spawn of Prefetch to iMC/SMI3 target",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xb0",
	.desc = "Vertical AD Ring In Use : Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Even : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xb0",
	.desc = "Vertical AD Ring In Use : Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AD Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AD ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  We really have two rings  -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_akc_in_use.dn_even",
	.event = "umask=0x4,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_akc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_akc_in_use.up_even",
	.event = "umask=0x1,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Even : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_akc_in_use.up_odd",
	.event = "umask=0x2,event=0xb4",
	.desc = "Vertical AKC Ring In Use : Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AKC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AKC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xb1",
	.desc = "Vertical AK Ring In Use : Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Down and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Even : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xb1",
	.desc = "Vertical AK Ring In Use : Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical AK Ring In Use : Up and Odd : Counts the number of cycles that the Vertical AK ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xb2",
	.desc = "Vertical BL Ring in Use : Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Down and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Even : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xb2",
	.desc = "Vertical BL Ring in Use : Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical BL Ring in Use : Up and Odd : Counts the number of cycles that the Vertical BL ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from  the ring stop.We really have two rings -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xb3",
	.desc = "Vertical IV Ring in Use : Down. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Down : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xb3",
	.desc = "Vertical IV Ring in Use : Up. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical IV Ring in Use : Up : Counts the number of cycles that the Vertical IV ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.  There is only 1 IV ring.  Therefore, if one wants to monitor the Even ring, they should select both UP_EVEN and DN_EVEN.  To monitor the Odd ring, they should select both UP_ODD and DN_ODD",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_tgc_in_use.dn_even",
	.event = "umask=0x4,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_tgc_in_use.dn_odd",
	.event = "umask=0x8,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Down and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Down and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_tgc_in_use.up_even",
	.event = "umask=0x1,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Even. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Even : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vert_ring_tgc_in_use.up_odd",
	.event = "umask=0x2,event=0xb5",
	.desc = "Vertical TGC Ring In Use : Up and Odd. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "Vertical TGC Ring In Use : Up and Odd : Counts the number of cycles that the Vertical TGC ring is being used at this ring stop.  This includes when packets are passing by and when packets are being sunk, but does not include when packets are being sent from the ring stop.We really have two rings in JKT -- a clockwise ring and a counter-clockwise ring.  On the left side of the ring, the UP direction is on the clockwise ring and DN is on the counter-clockwise ring.  On the right side of the ring, this is reversed.  The first half of the CBos are on the left side of the ring, and the 2nd half are on the right side of the ring.  In other words (for example), in a 4c part, Cbo 0 UP AD is NOT the same ring as CBo 2 UP AD because they are on opposite sides of the ring",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncb",
	.event = "umask=0x10,event=0x5b",
	.desc = "VN0 Credit Used : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : WB on BL : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.ncs",
	.event = "umask=0x20,event=0x5b",
	.desc = "VN0 Credit Used : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : NCB on BL : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.req",
	.event = "umask=0x1,event=0x5b",
	.desc = "VN0 Credit Used : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : REQ on AD : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.rsp",
	.event = "umask=0x4,event=0x5b",
	.desc = "VN0 Credit Used : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : RSP on AD : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.snp",
	.event = "umask=0x2,event=0x5b",
	.desc = "VN0 Credit Used : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : SNP on AD : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_credits_used.wb",
	.event = "umask=0x8,event=0x5b",
	.desc = "VN0 Credit Used : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Used : RSP on BL : Number of times a VN0 credit was used on the DRS message channel.  In order for a request to be transferred across UPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN0.  VNA is a shared pool used to achieve high performance.  The VN0 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN0 if they fail.  This counts the number of times a VN0 credit was used.  Note that a single VN0 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN0 will only count a single credit even though it may use multiple buffers. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncb",
	.event = "umask=0x10,event=0x5d",
	.desc = "VN0 No Credits : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : WB on BL : Number of Cycles there were no VN0 Credits : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.ncs",
	.event = "umask=0x20,event=0x5d",
	.desc = "VN0 No Credits : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : NCB on BL : Number of Cycles there were no VN0 Credits : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.req",
	.event = "umask=0x1,event=0x5d",
	.desc = "VN0 No Credits : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : REQ on AD : Number of Cycles there were no VN0 Credits : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.rsp",
	.event = "umask=0x4,event=0x5d",
	.desc = "VN0 No Credits : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : RSP on AD : Number of Cycles there were no VN0 Credits : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.snp",
	.event = "umask=0x2,event=0x5d",
	.desc = "VN0 No Credits : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : SNP on AD : Number of Cycles there were no VN0 Credits : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn0_no_credits.wb",
	.event = "umask=0x8,event=0x5d",
	.desc = "VN0 No Credits : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN0 No Credits : RSP on BL : Number of Cycles there were no VN0 Credits : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncb",
	.event = "umask=0x10,event=0x5c",
	.desc = "VN1 Credit Used : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : WB on BL : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.ncs",
	.event = "umask=0x20,event=0x5c",
	.desc = "VN1 Credit Used : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : NCB on BL : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.req",
	.event = "umask=0x1,event=0x5c",
	.desc = "VN1 Credit Used : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : REQ on AD : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.rsp",
	.event = "umask=0x4,event=0x5c",
	.desc = "VN1 Credit Used : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : RSP on AD : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.snp",
	.event = "umask=0x2,event=0x5c",
	.desc = "VN1 Credit Used : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : SNP on AD : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_credits_used.wb",
	.event = "umask=0x8,event=0x5c",
	.desc = "VN1 Credit Used : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Used : RSP on BL : Number of times a VN1 credit was used on the WB message channel.  In order for a request to be transferred across QPI, it must be guaranteed to have a flit buffer on the remote socket to sink into.  There are two credit pools, VNA and VN1.  VNA is a shared pool used to achieve high performance.  The VN1 pool has reserved entries for each message class and is used to prevent deadlock.  Requests first attempt to acquire a VNA credit, and then fall back to VN1 if they fail.  This counts the number of times a VN1 credit was used.  Note that a single VN1 credit holds access to potentially multiple flit buffers.  For example, a transfer that uses VNA could use 9 flit buffers and in that case uses 9 credits.  A transfer on VN1 will only count a single credit even though it may use multiple buffers. : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncb",
	.event = "umask=0x10,event=0x5e",
	.desc = "VN1 No Credits : WB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : WB on BL : Number of Cycles there were no VN1 Credits : Data Response (WB) messages on BL.  WB is generally used to transmit data with coherency.  For example, remote reads and writes, or cache to cache transfers will transmit their data using WB",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.ncs",
	.event = "umask=0x20,event=0x5e",
	.desc = "VN1 No Credits : NCB on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : NCB on BL : Number of Cycles there were no VN1 Credits : Non-Coherent Broadcast (NCB) messages on BL.  NCB is generally used to transmit data without coherency.  For example, non-coherent read data returns",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.req",
	.event = "umask=0x1,event=0x5e",
	.desc = "VN1 No Credits : REQ on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : REQ on AD : Number of Cycles there were no VN1 Credits : Home (REQ) messages on AD.  REQ is generally used to send requests, request responses, and snoop responses",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.rsp",
	.event = "umask=0x4,event=0x5e",
	.desc = "VN1 No Credits : RSP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : RSP on AD : Number of Cycles there were no VN1 Credits : Response (RSP) messages on AD.  RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.snp",
	.event = "umask=0x2,event=0x5e",
	.desc = "VN1 No Credits : SNP on AD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : SNP on AD : Number of Cycles there were no VN1 Credits : Snoops (SNP) messages on AD.  SNP is used for outgoing snoops",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_vn1_no_credits.wb",
	.event = "umask=0x8,event=0x5e",
	.desc = "VN1 No Credits : RSP on BL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = "VN1 No Credits : RSP on BL : Number of Cycles there were no VN1 Credits : Response (RSP) messages on BL. RSP packets are used to transmit a variety of protocol flits including grants and completions (CMP)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_eq_localdest_vn0",
	.event = "umask=0x82,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_EQ_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_eq_localdest_vn1",
	.event = "umask=0xa0,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_EQ_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_gt_localdest_vn0",
	.event = "umask=0x81,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_GT_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_gt_localdest_vn1",
	.event = "umask=0x90,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_GT_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_lt_localdest_vn0",
	.event = "umask=0x84,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_LT_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.bothnonzero_rt_lt_localdest_vn1",
	.event = "umask=0xc0,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.BOTHNONZERO_RT_LT_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_eq_localdest_vn0",
	.event = "umask=0x2,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_EQ_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_eq_localdest_vn1",
	.event = "umask=0x20,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_EQ_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_gt_localdest_vn0",
	.event = "umask=0x1,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_GT_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_gt_localdest_vn1",
	.event = "umask=0x10,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_GT_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_lt_localdest_vn0",
	.event = "umask=0x4,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_LT_LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_occ_compare.rt_lt_localdest_vn1",
	.event = "umask=0x40,event=0x7e",
	.desc = "UNC_M3UPI_WB_OCC_COMPARE.RT_LT_LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.localdest_vn0",
	.event = "umask=0x1,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.LOCALDEST_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.localdest_vn1",
	.event = "umask=0x10,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.LOCALDEST_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.local_and_rt_vn0",
	.event = "umask=0x4,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.LOCAL_AND_RT_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.local_and_rt_vn1",
	.event = "umask=0x40,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.LOCAL_AND_RT_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.routethru_vn0",
	.event = "umask=0x2,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.ROUTETHRU_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.routethru_vn1",
	.event = "umask=0x20,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.ROUTETHRU_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.waiting4pull_vn0",
	.event = "umask=0x8,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.WAITING4PULL_VN0. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_wb_pending.waiting4pull_vn1",
	.event = "umask=0x80,event=0x7d",
	.desc = "UNC_M3UPI_WB_PENDING.WAITING4PULL_VN1. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.arb",
	.event = "umask=0x4,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.ARB. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message is making arbitration request",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.arrived",
	.event = "umask=0x1,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.ARRIVED. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message arrived in ingress pipeline",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.bypass",
	.event = "umask=0x2,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.BYPASS. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message took bypass path",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.flitted",
	.event = "umask=0x10,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.FLITTED. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message was slotted into flit (non bypass)",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.lost_arb",
	.event = "umask=0x8,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.LOST_ARB. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message lost arbitration",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.lost_old",
	.event = "umask=0x20,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.LOST_OLD. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message was dropped because it became too old",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_m3upi_xpt_pftch.lost_qfull",
	.event = "umask=0x20,event=0x61",
	.desc = "UNC_M3UPI_XPT_PFTCH.LOST_QFULL. Unit: uncore_m3upi ",
	.topic = "uncore other",
	.long_desc = ": xpt prefetch message was dropped because it was overwritten by new message while prefetch queue was full",
	.pmu = "uncore_m3upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_clockticks",
	.event = "event=0x1",
	.desc = "Number of kfclks. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Number of kfclks : Counts the number of clocks in the UPI LL.  This clock runs at 1/8th the GT/s speed of the UPI link.  For example, a 8GT/s link will have qfclk or 1GHz.  Current products do not support dynamic link speeds, so this frequency is fixed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2c",
	.event = "umask=0x1,event=0x12",
	.desc = "Direct packet attempts : D2C. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Direct packet attempts : D2C : Counts the number of DRS packets that we attempted to do direct2core/direct2UPI on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_direct_attempts.d2k",
	.event = "umask=0x2,event=0x12",
	.desc = "Direct packet attempts : D2K. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Direct packet attempts : D2K : Counts the number of DRS packets that we attempted to do direct2core/direct2UPI on.  There are 4 mutually exclusive filters.  Filter [0] can be used to get successful spawns, while [1:3] provide the different failure cases.  Note that this does not count packets that are not candidates for Direct2Core.  The only candidates for Direct2Core are DRS packets destined for Cbos",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq0",
	.event = "umask=0x1,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq1",
	.event = "umask=0x2,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ad_vna_eq2",
	.event = "umask=0x4,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AD_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq0",
	.event = "umask=0x10,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq1",
	.event = "umask=0x20,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq2",
	.event = "umask=0x40,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.ak_vna_eq3",
	.event = "umask=0x80,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.AK_VNA_EQ3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_flowq_no_vna_crd.bl_vna_eq0",
	.event = "umask=0x8,event=0x18",
	.desc = "UNC_UPI_FLOWQ_NO_VNA_CRD.BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_l1_power_cycles",
	.event = "event=0x21",
	.desc = "Cycles in L1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L1 : Number of UPI qfclk cycles spent in L1 power mode.  L1 is a mode that totally shuts down a UPI link.  Use edge detect to count the number of instances when the UPI link entered L1.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another. Because L1 totally shuts down the link, it takes a good amount of time to exit this mode",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.bgf_crd",
	.event = "umask=0x8,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_ak_vna_le3",
	.event = "umask=0x4,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x2,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_byp_blocked.gv_block",
	.event = "umask=0x10,event=0x14",
	.desc = "UNC_UPI_M3_BYP_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_crd_return_blocked",
	.event = "event=0x16",
	.desc = "UNC_UPI_M3_CRD_RETURN_BLOCKED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.bgf_crd",
	.event = "umask=0x20,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.BGF_CRD. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_btw_2_thresh",
	.event = "umask=0x2,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_BTW_2_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ad_vna_le2",
	.event = "umask=0x1,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AD_VNA_LE2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_ak_vna_le3",
	.event = "umask=0x10,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_AK_VNA_LE3. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_btw_0_thresh",
	.event = "umask=0x8,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_BTW_0_THRESH. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.flowq_bl_vna_eq0",
	.event = "umask=0x4,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.FLOWQ_BL_VNA_EQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_m3_rxq_blocked.gv_block",
	.event = "umask=0x40,event=0x15",
	.desc = "UNC_UPI_M3_RXQ_BLOCKED.GV_BLOCK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_phy_init_cycles",
	.event = "event=0x20",
	.desc = "Cycles where phy is not in L0, L0c, L0p, L1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_nack",
	.event = "event=0x23",
	.desc = "L1 Req Nack. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "L1 Req Nack : Counts the number of times a link sends/receives a LinkReqNAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqNAck refers to receiving an NAck (meaning this agent's Tx originally requested the power change).  A Tx LinkReqNAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_power_l1_req",
	.event = "event=0x22",
	.desc = "L1 Req (same as L1 Ack). Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "L1 Req (same as L1 Ack). : Counts the number of times a link sends/receives a LinkReqAck.  When the UPI links would like to change power state, the Tx side initiates a request to the Rx side requesting to change states.  This requests can either be accepted or denied.  If the Rx side replies with an Ack, the power mode will change.  If it replies with NAck, no change will take place.  This can be filtered based on Rx and Tx.  An Rx LinkReqAck refers to receiving an Ack (meaning this agent's Tx originally requested the power change).  A Tx LinkReqAck refers to sending this command (meaning the peer agent's Tx originally requested the power change and this agent accepted it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.ack",
	.event = "umask=0x8,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.ACK. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn0",
	.event = "umask=0x2,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vn1",
	.event = "umask=0x4,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VN1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_req_slot2_from_m3.vna",
	.event = "umask=0x1,event=0x46",
	.desc = "UNC_UPI_REQ_SLOT2_FROM_M3.VNA. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0p_power_cycles",
	.event = "event=0x25",
	.desc = "Cycles in L0p. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L0p : Number of UPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the UPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize UPI for snoops and their responses.  Use edge detect to count the number of instances when the UPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl0_power_cycles",
	.event = "event=0x24",
	.desc = "Cycles in L0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L0 : Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Bypass, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Non-Coherent Standard, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Request : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Request, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Request, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - Conflict : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - Invalid : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - Data : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - Data, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - Data, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - No Data : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Response - No Data, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Response - No Data, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Snoop : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Snoop, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Snoop, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Writeback : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x5",
	.desc = "Matches on Receive path of a UPI Port : Writeback, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Receive path of a UPI Port : Writeback, Match Opcode : Matches on Receive path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot0",
	.event = "umask=0x1,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 0 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot1",
	.event = "umask=0x2,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 1 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_bypassed.slot2",
	.event = "umask=0x4,event=0x31",
	.desc = "RxQ Flit Buffer Bypassed : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Bypassed : Slot 2 : Counts the number of times that an incoming flit was able to bypass the flit buffer and pass directly across the BGF and into the Egress.  This is a latency optimization, and should generally be the common case.  If this value is less than the number of flits transferred, it implies that there was queueing getting onto the ring, and thus the transactions saw higher latency",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_crc_errors",
	.event = "event=0xb",
	.desc = "CRC Errors Detected. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "CRC Errors Detected : Number of CRC errors detected in the UPI Agent.  Each UPI flit incorporates 8 bits of CRC for error detection.  This counts the number of flits where the CRC was able to detect an error.  After an error has been detected, the UPI agent will send a request to the transmitting socket to resend the flit (as well as any flits that came after it)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_crc_llr_req_transmit",
	.event = "event=0x8",
	.desc = "LLR Requests Sent. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "LLR Requests Sent : Number of LLR Requests were transmitted.  This should generally be <= the number of CRC errors detected.  If multiple errors are detected before the Rx side receives a LLC_REQ_ACK from the Tx side, there is no need to send more LLR_REQ_NACKs",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn0",
	.event = "event=0x39",
	.desc = "VN0 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "VN0 Credit Consumed : Counts the number of times that an RxQ VN0 credit was consumed (i.e. message uses a VN0 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vn1",
	.event = "event=0x3a",
	.desc = "VN1 Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "VN1 Credit Consumed : Counts the number of times that an RxQ VN1 credit was consumed (i.e. message uses a VN1 credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_credits_consumed_vna",
	.event = "event=0x38",
	.desc = "VNA Credit Consumed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "VNA Credit Consumed : Counts the number of times that an RxQ VNA credit was consumed (i.e. message uses a VNA credit for the Rx Buffer).  This includes packets that went through the RxQ and those that were bypasssed",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_data",
	.event = "umask=0xf,event=0x3",
	.desc = "Valid Flits Received : All Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : All Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.all_null",
	.event = "umask=0x27,event=0x3",
	.desc = "Valid Flits Received : Null FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Null FLITs received from any slot : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.data",
	.event = "umask=0x8,event=0x3",
	.desc = "Valid Flits Received : Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Data : Shows legal flit time (hides impact of L0p and L0c). : Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.idle",
	.event = "umask=0x47,event=0x3",
	.desc = "Valid Flits Received : Null FLITs received from any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Null FLITs received from any slot : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llcrd",
	.event = "umask=0x10,event=0x3",
	.desc = "Valid Flits Received : LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : LLCRD Not Empty : Shows legal flit time (hides impact of L0p and L0c). : Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.llctrl",
	.event = "umask=0x40,event=0x3",
	.desc = "Valid Flits Received : LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : LLCTRL : Shows legal flit time (hides impact of L0p and L0c). : Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.non_data",
	.event = "umask=0x97,event=0x3",
	.desc = "Valid Flits Received : All Non Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : All Non Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.null",
	.event = "umask=0x20,event=0x3",
	.desc = "Valid Flits Received : Slot NULL or LLCRD Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot NULL or LLCRD Empty : Shows legal flit time (hides impact of L0p and L0c). : LLCRD with all zeros is treated as NULL. Slot 1 is not treated as NULL if slot 0 is a dual slot. This can apply to slot 0,1, or 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.prothdr",
	.event = "umask=0x80,event=0x3",
	.desc = "Valid Flits Received : Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Protocol Header : Shows legal flit time (hides impact of L0p and L0c). : Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot0",
	.event = "umask=0x1,event=0x3",
	.desc = "Valid Flits Received : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 0 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot1",
	.event = "umask=0x2,event=0x3",
	.desc = "Valid Flits Received : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 1 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_flits.slot2",
	.event = "umask=0x4,event=0x3",
	.desc = "Valid Flits Received : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Received : Slot 2 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot0",
	.event = "umask=0x1,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 0 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot1",
	.event = "umask=0x2,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 1 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_inserts.slot2",
	.event = "umask=0x4,event=0x30",
	.desc = "RxQ Flit Buffer Allocations : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Flit Buffer Allocations : Slot 2 : Number of allocations into the UPI Rx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot0",
	.event = "umask=0x1,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 0 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot1",
	.event = "umask=0x2,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 1 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_occupancy.slot2",
	.event = "umask=0x4,event=0x32",
	.desc = "RxQ Occupancy - All Packets : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "RxQ Occupancy - All Packets : Slot 2 : Accumulates the number of elements in the UPI RxQ in each cycle.  Generally, when data is transmitted across UPI, it will bypass the RxQ and pass directly to the ring interface.  If things back up getting transmitted onto the ring, however, it may need to allocate into this buffer, thus increasing the latency.  This event can be used in conjunction with the Flit Buffer Not Empty event to calculate average occupancy, or with the Flit Buffer Allocations event to track average lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq1",
	.event = "umask=0x1,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s0_rxq2",
	.event = "umask=0x2,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S0_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq0",
	.event = "umask=0x4,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s1_rxq2",
	.event = "umask=0x8,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S1_RXQ2. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq0",
	.event = "umask=0x10,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ0. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_rxl_slot_bypass.s2_rxq1",
	.event = "umask=0x20,event=0x33",
	.desc = "UNC_UPI_RxL_SLOT_BYPASS.S2_RXQ1. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.cfg_ctl",
	.event = "umask=0x1,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.CFG_CTL. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.dfx",
	.event = "umask=0x40,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.DFX. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.retry",
	.event = "umask=0x20,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RETRY. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq",
	.event = "umask=0x2,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_bypass",
	.event = "umask=0x4,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_BYPASS. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.rxq_cred",
	.event = "umask=0x8,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.RXQ_CRED. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.spare",
	.event = "umask=0x80,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.SPARE. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_clk_active.txq",
	.event = "umask=0x10,event=0x2a",
	.desc = "UNC_UPI_TxL0P_CLK_ACTIVE.TXQ. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles",
	.event = "event=0x27",
	.desc = "Cycles in L0p. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L0p : Number of UPI qfclk cycles spent in L0p power mode.  L0p is a mode where we disable 1/2 of the UPI lanes, decreasing our bandwidth in order to save power.  It increases snoop and data transfer latencies and decreases overall bandwidth.  This mode can be very useful in NUMA optimized workloads that largely only utilize UPI for snoops and their responses.  Use edge detect to count the number of instances when the UPI link entered L0p.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_ll_enter",
	.event = "event=0x28",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_LL_ENTER. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0p_power_cycles_m3_exit",
	.event = "event=0x29",
	.desc = "UNC_UPI_TxL0P_POWER_CYCLES_M3_EXIT. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl0_power_cycles",
	.event = "event=0x26",
	.desc = "Cycles in L0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Cycles in L0 : Number of UPI qfclk cycles spent in L0 power mode in the Link Layer.  L0 is the default mode which provides the highest performance with the most power.  Use edge detect to count the number of instances that the link entered L0.  Link power states are per link and per direction, so for example the Tx direction could be in one state while Rx was in another.  The phy layer  sometimes leaves L0 for training, which will not be captured by this event",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb",
	.event = "umask=0xe,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncb_opc",
	.event = "umask=0x10e,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Bypass, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs",
	.event = "umask=0xf,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.ncs_opc",
	.event = "umask=0x10f,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Non-Coherent Standard, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req",
	.event = "umask=0x8,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Request. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Request : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.req_opc",
	.event = "umask=0x108,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Request, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Request, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspcnflt",
	.event = "umask=0x1aa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - Conflict. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - Conflict : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rspi",
	.event = "umask=0x12a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - Invalid. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - Invalid : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data",
	.event = "umask=0xc,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - Data : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_data_opc",
	.event = "umask=0x10c,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - Data, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - Data, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata",
	.event = "umask=0xa,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - No Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - No Data : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.rsp_nodata_opc",
	.event = "umask=0x10a,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Response - No Data, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Response - No Data, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp",
	.event = "umask=0x9,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Snoop. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Snoop : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.snp_opc",
	.event = "umask=0x109,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Snoop, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Snoop, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb",
	.event = "umask=0xd,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Writeback. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Writeback : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_basic_hdr_match.wb_opc",
	.event = "umask=0x10d,event=0x4",
	.desc = "Matches on Transmit path of a UPI Port : Writeback, Match Opcode. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Matches on Transmit path of a UPI Port : Writeback, Match Opcode : Matches on Transmit path of a UPI port.\r\nMatch based on UMask specific bits:\r\nZ: Message Class (3-bit)\r\nY: Message Class Enable\r\nW: Opcode (4-bit)\r\nV: Opcode Enable\r\nU: Local Enable\r\nT: Remote Enable\r\nS: Data Hdr Enable\r\nR: Non-Data Hdr Enable\r\nQ: Dual Slot Hdr Enable\r\nP: Single Slot Hdr Enable\r\nLink Layer control types are excluded (LL CTRL, slot NULL, LLCRD) even under specific opcode match_en cases.\r\nNote: If Message Class is disabled, we expect opcode to also be disabled",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_bypassed",
	.event = "event=0x41",
	.desc = "Tx Flit Buffer Bypassed. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Bypassed : Counts the number of times that an incoming flit was able to bypass the Tx flit buffer and pass directly out the UPI Link. Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_data",
	.event = "umask=0xf,event=0x2",
	.desc = "Valid Flits Sent : All Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : All Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.all_null",
	.event = "umask=0x27,event=0x2",
	.desc = "Valid Flits Sent : Null FLITs transmitted to any slot. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Null FLITs transmitted to any slot : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.data",
	.event = "umask=0x8,event=0x2",
	.desc = "Valid Flits Sent : Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Data : Shows legal flit time (hides impact of L0p and L0c). : Count Data Flits (which consume all slots), but how much to count is based on Slot0-2 mask, so count can be 0-3 depending on which slots are enabled for counting.",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.idle",
	.event = "umask=0x47,event=0x2",
	.desc = "Valid Flits Sent : Idle. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Idle : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llcrd",
	.event = "umask=0x10,event=0x2",
	.desc = "Valid Flits Sent : LLCRD Not Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : LLCRD Not Empty : Shows legal flit time (hides impact of L0p and L0c). : Enables counting of LLCRD (with non-zero payload). This only applies to slot 2 since LLCRD is only allowed in slot 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.llctrl",
	.event = "umask=0x40,event=0x2",
	.desc = "Valid Flits Sent : LLCTRL. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : LLCTRL : Shows legal flit time (hides impact of L0p and L0c). : Equivalent to an idle packet.  Enables counting of slot 0 LLCTRL messages",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.non_data",
	.event = "umask=0x97,event=0x2",
	.desc = "Valid Flits Sent : All Non Data. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : All Non Data : Shows legal flit time (hides impact of L0p and L0c)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.null",
	.event = "umask=0x20,event=0x2",
	.desc = "Valid Flits Sent : Slot NULL or LLCRD Empty. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot NULL or LLCRD Empty : Shows legal flit time (hides impact of L0p and L0c). : LLCRD with all zeros is treated as NULL. Slot 1 is not treated as NULL if slot 0 is a dual slot. This can apply to slot 0,1, or 2",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.prothdr",
	.event = "umask=0x80,event=0x2",
	.desc = "Valid Flits Sent : Protocol Header. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Protocol Header : Shows legal flit time (hides impact of L0p and L0c). : Enables count of protocol headers in slot 0,1,2 (depending on slot uMask bits)",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot0",
	.event = "umask=0x1,event=0x2",
	.desc = "Valid Flits Sent : Slot 0. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 0 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 0 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot1",
	.event = "umask=0x2,event=0x2",
	.desc = "Valid Flits Sent : Slot 1. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 1 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 1 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_flits.slot2",
	.event = "umask=0x4,event=0x2",
	.desc = "Valid Flits Sent : Slot 2. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Valid Flits Sent : Slot 2 : Shows legal flit time (hides impact of L0p and L0c). : Count Slot 2 - Other mask bits determine types of headers to count",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_inserts",
	.event = "event=0x40",
	.desc = "Tx Flit Buffer Allocations. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Allocations : Number of allocations into the UPI Tx Flit Buffer.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link.  This event can be used in conjunction with the Flit Buffer Occupancy event in order to calculate the average flit buffer lifetime",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_txl_occupancy",
	.event = "event=0x42",
	.desc = "Tx Flit Buffer Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "Tx Flit Buffer Occupancy : Accumulates the number of flits in the TxQ.  Generally, when data is transmitted across UPI, it will bypass the TxQ and pass directly to the link.  However, the TxQ will be used with L0p and when LLR occurs, increasing latency to transfer out to the link. This can be used with the cycles not empty event to track average occupancy, or the allocations event to track average lifetime in the TxQ",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_blocked_vn01",
	.event = "event=0x45",
	.desc = "UNC_UPI_VNA_CREDIT_RETURN_BLOCKED_VN01. Unit: uncore_upi ",
	.topic = "uncore other",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_upi_vna_credit_return_occupancy",
	.event = "event=0x44",
	.desc = "VNA Credits Pending Return - Occupancy. Unit: uncore_upi ",
	.topic = "uncore other",
	.long_desc = "VNA Credits Pending Return - Occupancy : Number of VNA credits in the Rx side that are waitng to be returned back across the link",
	.pmu = "uncore_upi",
	.perpkg = "1",
},
{
	.name = "unc_u_clockticks",
	.event = "event=0xff",
	.desc = "Clockticks in the UBOX using a dedicated 48-bit Fixed Counter. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.doorbell_rcvd",
	.event = "umask=0x8,event=0x42",
	.desc = "Message Received : Doorbell. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.int_prio",
	.event = "umask=0x10,event=0x42",
	.desc = "Message Received : Interrupt. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : Interrupt : Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.ipi_rcvd",
	.event = "umask=0x4,event=0x42",
	.desc = "Message Received : IPI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : IPI : Inter Processor Interrupts",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.msi_rcvd",
	.event = "umask=0x2,event=0x42",
	.desc = "Message Received : MSI. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : MSI : Message Signaled Interrupts - interrupts sent by devices (including PCIe via IOxAPIC) (Socket Mode only)",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_event_msg.vlw_rcvd",
	.event = "umask=0x1,event=0x42",
	.desc = "Message Received : VLW. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Message Received : VLW : Virtual Logical Wire (legacy) message were received from Uncore",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_lock_cycles",
	.event = "event=0x44",
	.desc = "IDI Lock/SplitLock Cycles. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "IDI Lock/SplitLock Cycles : Number of times an IDI Lock/SplitLock sequence was started",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_cbo_ncb",
	.event = "umask=0x1,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_CBO_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_cbo_ncs",
	.event = "umask=0x2,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_CBO_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_upi_ncb",
	.event = "umask=0x4,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_UPI_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.rxc_cycles_ne_upi_ncs",
	.event = "umask=0x8,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.RxC_CYCLES_NE_UPI_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_cbo_ncb",
	.event = "umask=0x10,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_CBO_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_cbo_ncs",
	.event = "umask=0x20,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_CBO_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_upi_ncb",
	.event = "umask=0x40,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_UPI_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc1.txc_cycles_crd_ovf_upi_ncs",
	.event = "umask=0x80,event=0x4d",
	.desc = "UNC_U_M2U_MISC1.TxC_CYCLES_CRD_OVF_UPI_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.rxc_cycles_empty_bl",
	.event = "umask=0x2,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.RxC_CYCLES_EMPTY_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.rxc_cycles_full_bl",
	.event = "umask=0x1,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.RxC_CYCLES_FULL_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_crd_ovf_vn0_ncb",
	.event = "umask=0x4,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_CRD_OVF_VN0_NCB. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_crd_ovf_vn0_ncs",
	.event = "umask=0x8,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_CRD_OVF_VN0_NCS. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_ak",
	.event = "umask=0x20,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_AK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_akc",
	.event = "umask=0x40,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_AKC. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_empty_bl",
	.event = "umask=0x10,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_EMPTY_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc2.txc_cycles_full_bl",
	.event = "umask=0x80,event=0x4e",
	.desc = "UNC_U_M2U_MISC2.TxC_CYCLES_FULL_BL. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc3.txc_cycles_full_ak",
	.event = "umask=0x1,event=0x4f",
	.desc = "UNC_U_M2U_MISC3.TxC_CYCLES_FULL_AK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_m2u_misc3.txc_cycles_full_akc",
	.event = "umask=0x2,event=0x4f",
	.desc = "UNC_U_M2U_MISC3.TxC_CYCLES_FULL_AKC. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_phold_cycles.assert_to_ack",
	.event = "umask=0x1,event=0x45",
	.desc = "Cycles PHOLD Assert to Ack : Assert to ACK. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "Cycles PHOLD Assert to Ack : Assert to ACK : PHOLD cycles",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.pftch_buf_empty",
	.event = "umask=0x4,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.PFTCH_BUF_EMPTY. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdrand",
	.event = "umask=0x1,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDRAND. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_drng.rdseed",
	.event = "umask=0x2,event=0x4c",
	.desc = "UNC_U_RACU_DRNG.RDSEED. Unit: uncore_ubox ",
	.topic = "uncore other",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "unc_u_racu_requests",
	.event = "event=0x46",
	.desc = "RACU Request. Unit: uncore_ubox ",
	.topic = "uncore other",
	.long_desc = "RACU Request : Number outstanding register requests within message channel tracker",
	.pmu = "uncore_ubox",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=100003,umask=0x1,event=0x51",
	.desc = "Counts the number of cache lines replaced in L1 data cache",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=1000003,umask=0x2,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.fb_full_periods",
	.event = "cmask=1,edge=1,period=1000003,umask=0x2,event=0x48",
	.desc = "Number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.l2_stall",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D due to lack of L2 resources",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D due to lack of L2 resources. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=1000003,umask=0x1,event=0x48",
	.desc = "Number of L1D misses that are outstanding",
	.topic = "cache",
	.long_desc = "Counts number of L1D misses that are outstanding in each cycle, that is each cycle the number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch. Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Cache lines that are evicted by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are evicted by the L2 cache due to L2 cache fills.  Evicted lines are delivered to the L3, which may or may not cache them, according to system load and priorities",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Non-modified cache lines that are silently dropped by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared or Exclusive state. A non-threaded event",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests (including requests from L1D hardware prefetchers). These loads may hit or miss L2 cache. Only non rejected loads are counted",
},
{
	.name = "l2_rqsts.all_demand_miss",
	.event = "period=200003,umask=0x27,event=0x24",
	.desc = "Demand requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand requests that miss L2 cache",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests initiated by load instructions that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2, no rejects",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests that miss L2 cache. Only not rejected loads are counted",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_rqsts.swpf_hit",
	.event = "period=200003,umask=0xc8,event=0x24",
	.desc = "SW prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that hit the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_rqsts.swpf_miss",
	.event = "period=200003,umask=0x28,event=0x24",
	.desc = "SW prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that miss the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable requests that refer to L3 (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests to the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load instructions. This event accounts for SW prefetch instructions of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store instructions  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=1000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with locked access  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_fwd",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were HitM responses from shared L3  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "This event is deprecated. Refer to new event MEM_LOAD_L3_HIT_RETIRED.XSNP_NO_FWD  Supports address when precise (Precise event)",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "This event is deprecated. Refer to new event MEM_LOAD_L3_HIT_RETIRED.XSNP_FWD  Supports address when precise (Precise event)",
	.topic = "cache",
	.deprecated = "1",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_no_fwd",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were L3 and cross-core snoop hits in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.local_dram",
	.event = "period=100007,umask=0x1,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from local dram  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions which data sources missed L3 but serviced from local DRAM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_dram",
	.event = "period=100007,umask=0x2,event=0xd3",
	.desc = "Retired load instructions which data sources missed L3 but serviced from remote dram  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_l3_miss_retired.remote_fwd",
	.event = "period=100007,umask=0x8,event=0xd3",
	.desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was forwarded from a remote cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_hitm",
	.event = "period=100007,umask=0x4,event=0xd3",
	.desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired load instructions whose data sources was remote HITM  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_miss_retired.remote_pmm",
	.event = "period=100007,umask=0x10,event=0xd3",
	.desc = "Retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with remote Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3 (AppDirect or Memory Mode) and DRAM cache(Memory Mode)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_misc_retired.uc",
	.event = "period=100007,umask=0x4,event=0xd4",
	.desc = "Retired instructions with at least 1 uncacheable load or Bus Lock  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Retired instructions with at least one load to uncacheable memory-type, or at least one cache-line split locked access (Bus Lock)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Number of completed demand load requests that missed the L1, but hit the FB(fill buffer), because a preceding miss to the same cacheline initiated the line to be brought into L1, but data is not yet ready in L1  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=1000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=100021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=100021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=50021,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.local_pmm",
	.event = "period=100003,umask=0x80,event=0xd1",
	.desc = "Retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source where the data request missed all caches  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with local Intel(R) Optane(TM) DC persistent memory as the data source and the data request missed L3 (AppDirect or Memory Mode) and DRAM cache(Memory Mode)  Supports address when precise (Precise event)",
},
{
	.name = "ocr.demand_code_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_code_rd.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x808000004",
	.desc = "Counts demand instruction fetches and L1 instruction cache prefetches that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0001",
	.desc = "Counts demand data reads that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0001",
	.desc = "Counts demand data reads that resulted in a snoop that hit in another core, which did not forward the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "Counts demand data reads that resulted in a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.remote_cache.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1030000001",
	.desc = "Counts demand data reads that were supplied by a cache on a remote socket where a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.remote_cache.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x830000001",
	.desc = "Counts demand data reads that were supplied by a cache on a remote socket where a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008000001",
	.desc = "Counts demand data reads that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x808000001",
	.desc = "Counts demand data reads that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x808000002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l1d_and_swpf.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C0400",
	.desc = "Counts L1 data cache prefetch requests and software prefetches (except PREFETCHW) that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.hwpf_l3.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80082380",
	.desc = "Counts hardware prefetches to the L3 only that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.prefetches.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F803C27F0",
	.desc = "Counts hardware and software prefetches to all cache levels that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3F003C0477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003C0477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop that hit in another core, which did not forward the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that resulted in a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1830000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop was sent and data was returned (Modified or Not Modified)",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1030000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop hit a modified line in another core's caches which forwarded the data",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.remote_cache.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x830000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that were supplied by a cache on a remote socket where a snoop hit in another core's caches which forwarded the unmodified data to the requesting core",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.snc_cache.hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1008000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that hit a modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.reads_to_core.snc_cache.hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x808000477",
	.desc = "Counts all (cacheable) data read, code read and RFO requests including demands and prefetches to the core caches (L1 or L2) that either hit a non-modified line in a distant L3 Cache or were snooped from a distant core's L1/L2 caches on this socket when the system is in SNC (sub-NUMA cluster) mode",
	.topic = "cache",
},
{
	.name = "ocr.streaming_wr.l3_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x80080800",
	.desc = "Counts streaming stores that hit in the L3 or were snooped from another core's caches on the same socket",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Counts memory transactions sent to the uncore",
	.topic = "cache",
	.long_desc = "Counts memory transactions sent to the uncore including requests initiated by the core, all L3 prefetches, reads resulting from page walks, and snoop responses",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Counts cacheable and non-cacheable code reads to the core",
	.topic = "cache",
	.long_desc = "Counts both cacheable and non-cacheable code reads to the core",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=1000003,umask=0x8,event=0x60",
	.desc = "For every cycle, increments by the number of outstanding data read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding data read requests pending.  Data read requests include cacheable demand reads and L2 prefetches, but do not include RFOs, code reads or prefetches to the L3.  Reads due to page walks resulting from any request type will also be counted.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=1000003,umask=0x8,event=0x60",
	.desc = "Cycles where at least 1 outstanding data read request is pending",
	.topic = "cache",
	.long_desc = "Cycles where at least 1 outstanding data read request is pending.  Data read requests include cacheable demand reads and L2 prefetches, but do not include RFOs, code reads or prefetches to the L3.  Reads due to page walks resulting from any request type will also be counted.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_code_rd",
	.event = "cmask=1,period=1000003,umask=0x2,event=0x60",
	.desc = "Cycles with outstanding code read requests pending",
	.topic = "cache",
	.long_desc = "Cycles with outstanding code read requests pending.  Code Read requests include both cacheable and non-cacheable Code Reads.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=1000003,umask=0x4,event=0x60",
	.desc = "Cycles where at least 1 outstanding Demand RFO request is pending",
	.topic = "cache",
	.long_desc = "Cycles where at least 1 outstanding Demand RFO request is pending.   RFOs are initiated by a core as part of a data store operation.  Demand RFO requests include RFOs, locks, and ItoM transactions.  Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.demand_code_rd",
	.event = "period=1000003,umask=0x2,event=0x60",
	.desc = "For every cycle, increments by the number of outstanding code read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding code read requests pending.  Code Read requests include both cacheable and non-cacheable Code Reads.   Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=1000003,umask=0x1,event=0x60",
	.desc = "For every cycle, increments by the number of outstanding demand data read requests pending",
	.topic = "cache",
	.long_desc = "For every cycle, increments by the number of outstanding demand data read requests pending.   Requests are considered outstanding from the time they miss the core's L2 cache until the transaction completion message is sent to the requestor",
},
{
	.name = "sq_misc.sq_full",
	.event = "period=100003,umask=0x4,event=0xf4",
	.desc = "Cycles the queue waiting for offcore responses is full",
	.topic = "cache",
	.long_desc = "Counts the cycles for which the thread is active and the queue waiting for responses from the uncore cannot take any more entries",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=100003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHNTA instructions executed",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=100003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHW instructions executed",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=100003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT0 instructions executed",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=100003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT1 or PREFETCHT2 instructions executed",
},
{
	.name = "unc_m_act_count.all",
	.event = "umask=0xb,event=0x1",
	.desc = "DRAM Activate Count : All Activates. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Activate Count : All Activates : Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_act_count.byp",
	.event = "umask=0x8,event=0x1",
	.desc = "DRAM Activate Count : Activate due to Bypass. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Activate Count : Activate due to Bypass : Counts the number of DRAM Activate commands sent on this channel.  Activate commands are issued to open up a page on the DRAM devices so that it can be read or written to with a CAS.  One can calculate the number of Page Misses by subtracting the number of Page Miss precharges from the number of Activates",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0x3f,event=0x4",
	.desc = "All DRAM CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM CAS commands issued on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0xf,event=0x4",
	.desc = "All DRAM read CAS commands issued (including underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Read CAS commands, w/ and w/o auto-pre, issued on this channel.  This includes underfills",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_reg",
	.event = "umask=0x2,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS commands w/auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS commands w/auto-pre : DRAM RD_CAS and WR_CAS Commands : Counts the total number or DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with explicit Precharge.  AutoPre is only used in systems that are using closed page policy.  We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_pre_underfill",
	.event = "umask=0x8,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_reg",
	.event = "umask=0x1,event=0x4",
	.desc = "All DRAM read CAS commands issued (does not include underfills). Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Read CAS commands issued on this channel.  This includes both regular RD CAS commands as well as those with implicit Precharge.   We do not filter based on major mode, as RD_CAS is not issued during WMM (with the exception of underfills)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd_underfill",
	.event = "umask=0x4,event=0x4",
	.desc = "DRAM underfill read CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total of DRAM Read CAS commands issued due to an underfill",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0x30,event=0x4",
	.desc = "All DRAM write CAS commands issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Counts the total number of DRAM Write CAS commands issued, w/ and w/o auto-pre, on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_nonpre",
	.event = "umask=0x10,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/o auto-pre : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr_pre",
	.event = "umask=0x20,event=0x4",
	.desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/ auto-pre. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM RD_CAS and WR_CAS Commands. : DRAM WR_CAS commands w/ auto-pre : DRAM RD_CAS and WR_CAS Commands",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks",
	.event = "event=0",
	.desc = "DRAM Clockticks. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_clockticks_freerun",
	.event = "event=0",
	.desc = "Free running counter that increments for the Memory Controller. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_pre_all",
	.event = "event=0x44",
	.desc = "DRAM Precharge All Commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge All Commands : Counts the number of times that the precharge all command was sent",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.high",
	.event = "umask=0x4,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.opportunistic",
	.event = "umask=0x1,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_dram_refresh.panic",
	.event = "umask=0x2,event=0x45",
	.desc = "Number of DRAM Refreshes Issued. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Number of DRAM Refreshes Issued : Counts the number of refreshes issued",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_hclockticks",
	.event = "event=0xff",
	.desc = "Half clockticks for IMC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_parity_errors",
	.event = "event=0x2c",
	.desc = "UNC_M_PARITY_ERRORS. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.rd",
	.event = "umask=0x1,event=0xa0",
	.desc = "UNC_M_PCLS.RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.total",
	.event = "umask=0x4,event=0xa0",
	.desc = "UNC_M_PCLS.TOTAL. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pcls.wr",
	.event = "umask=0x2,event=0xa0",
	.desc = "UNC_M_PCLS.WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.all",
	.event = "umask=0x1,event=0xea",
	.desc = "PMM Commands : All. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Commands : All : Counts all commands issued to PMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.misc",
	.event = "umask=0x80,event=0xea",
	.desc = "PMM Commands : Misc Commands (error, flow ACKs). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.misc_gnt",
	.event = "umask=0x40,event=0xea",
	.desc = "PMM Commands : Misc GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.rd",
	.event = "umask=0x2,event=0xea",
	.desc = "PMM Commands : Reads - RPQ. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Commands : Reads - RPQ : Counts read requests issued to the PMM RPQ",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.rpq_gnts",
	.event = "umask=0x10,event=0xea",
	.desc = "PMM Commands : RPQ GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.ufill_rd",
	.event = "umask=0x8,event=0xea",
	.desc = "PMM Commands : Underfill reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Commands : Underfill reads : Counts underfill read commands, due to a partial write, issued to PMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.wpq_gnts",
	.event = "umask=0x20,event=0xea",
	.desc = "PMM Commands : Underfill GNTs. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd1.wr",
	.event = "umask=0x4,event=0xea",
	.desc = "PMM Commands : Writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Commands : Writes : Counts write commands issued to PMM",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.nodata_exp",
	.event = "umask=0x2,event=0xeb",
	.desc = "PMM Commands - Part 2 : Expected No data packet (ERID matched NDP encoding). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.nodata_unexp",
	.event = "umask=0x4,event=0xeb",
	.desc = "PMM Commands - Part 2 : Unexpected No data packet (ERID matched a Read, but data was a NDP). Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.opp_rd",
	.event = "umask=0x1,event=0xeb",
	.desc = "PMM Commands - Part 2 : Opportunistic Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.pmm_ecc_error",
	.event = "umask=0x20,event=0xeb",
	.desc = "PMM Commands - Part 2 : ECC Errors. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.pmm_erid_error",
	.event = "umask=0x40,event=0xeb",
	.desc = "PMM Commands - Part 2 : ERID detectable parity error. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.pmm_erid_starved",
	.event = "umask=0x80,event=0xeb",
	.desc = "PMM Commands - Part 2. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.reqs_slot0",
	.event = "umask=0x8,event=0xeb",
	.desc = "PMM Commands - Part 2 : Read Requests - Slot 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_cmd2.reqs_slot1",
	.event = "umask=0x10,event=0xeb",
	.desc = "PMM Commands - Part 2 : Read Requests - Slot 1. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_cycles_full",
	.event = "event=0xe2",
	.desc = "PMM Read Queue Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_cycles_ne",
	.event = "event=0xe1",
	.desc = "PMM Read Queue Cycles Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_inserts",
	.event = "event=0xe3",
	.desc = "PMM Read Queue Inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Queue Inserts : Counts number of read requests allocated in the PMM Read Pending Queue.   This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.all",
	.event = "umask=0x1,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.gnt_wait",
	.event = "umask=0x4,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_rpq_occupancy.no_gnt",
	.event = "umask=0x2,event=0xe0",
	.desc = "PMM Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Read Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Read Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_cycles_full",
	.event = "event=0xe6",
	.desc = "PMM Write Queue Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_cycles_ne",
	.event = "event=0xe5",
	.desc = "PMM Write Queue Cycles Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_flush",
	.event = "event=0xe8",
	.desc = "UNC_M_PMM_WPQ_FLUSH. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_flush_cyc",
	.event = "event=0xe9",
	.desc = "UNC_M_PMM_WPQ_FLUSH_CYC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_inserts",
	.event = "event=0xe7",
	.desc = "PMM Write Queue Inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Queue Inserts : Counts number of  write requests allocated in the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.all",
	.event = "umask=0x1,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.cas",
	.event = "umask=0x2,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pmm_wpq_occupancy.pwr",
	.event = "umask=0x4,event=0xe4",
	.desc = "PMM Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "PMM Write Pending Queue Occupancy : Accumulates the per cycle occupancy of the PMM Write Pending Queue",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_channel_ppd",
	.event = "event=0x85",
	.desc = "Channel PPD Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Channel PPD Cycles : Number of cycles when all the ranks in the channel are in PPD mode.  If IBT=off is enabled, then this can be used to count those cycles.  If it is not enabled, then this can count the number of cycles when that could have been taken advantage of",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_0",
	.event = "umask=0x1,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_1",
	.event = "umask=0x2,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_2",
	.event = "umask=0x4,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_cke_cycles.low_3",
	.event = "umask=0x8,event=0x47",
	.desc = "CKE_ON_CYCLES by Rank : DIMM ID. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "CKE_ON_CYCLES by Rank : DIMM ID : Number of cycles spent in CKE ON mode.  The filter allows you to select a rank to monitor.  If multiple ranks are in CKE ON mode at one time, the counter will ONLY increment by one rather than doing accumulation.  Multiple counters will need to be used to track multiple ranks simultaneously.  There is no distinction between the different CKE modes (APD, PPDS, PPDF).  This can be determined based on the system programming.  These events should commonly be used with Invert to get the number of cycles in power saving mode.  Edge Detect is also useful here.  Make sure that you do NOT use Invert with Edge Detect (this just confuses the system and is not necessary)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_crit_throttle_cycles.slot0",
	.event = "umask=0x1,event=0x86",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1. : Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_crit_throttle_cycles.slot1",
	.event = "umask=0x2,event=0x86",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_self_refresh",
	.event = "event=0x43",
	.desc = "Clock-Enabled Self-Refresh. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Clock-Enabled Self-Refresh : Counts the number of cycles when the iMC is in self-refresh and the iMC still has a clock.  This happens in some package C-states.  For example, the PCU may ask the iMC to enter self-refresh even though some of the cores are still processing.  One use of this is for Monroe technology.  Self-refresh is required during package C3 and C6, but there is no clock in the iMC at this time, so it is not possible to count these cases",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.slot0",
	.event = "umask=0x1,event=0x46",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1. : Thermal throttling is performed per DIMM.  We support 3 DIMMs per channel.  This ID allows us to filter by ID",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_power_throttle_cycles.slot1",
	.event = "umask=0x2,event=0x46",
	.desc = "Throttle Cycles for Rank 0. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Throttle Cycles for Rank 0 : Counts the number of cycles while the iMC is being throttled by either thermal constraints or by the PCU throttling.  It is not possible to distinguish between the two.  This can be filtered by rank.  If multiple ranks are selected and are being throttled at the same time, the counter will only increment by 1",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.all",
	.event = "umask=0x1c,event=0x2",
	.desc = "DRAM Precharge commands. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Counts the number of DRAM Precharge commands sent on this channel",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.page_miss",
	.event = "umask=0xc,event=0x2",
	.desc = "DRAM Precharge commands. : Precharge due to page miss. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to page miss : Counts the number of DRAM Precharge commands sent on this channel. : Pages Misses are due to precharges from bank scheduler (rd/wr requests)",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.pgt",
	.event = "umask=0x10,event=0x2",
	.desc = "DRAM Precharge commands. : Precharge due to page table. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to page table : Counts the number of DRAM Precharge commands sent on this channel. : Prechages from Page Table",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.rd",
	.event = "umask=0x4,event=0x2",
	.desc = "DRAM Precharge commands. : Precharge due to read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to read : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from read bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_pre_count.wr",
	.event = "umask=0x8,event=0x2",
	.desc = "DRAM Precharge commands. : Precharge due to write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "DRAM Precharge commands. : Precharge due to write : Counts the number of DRAM Precharge commands sent on this channel. : Precharge from write bank scheduler",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_full",
	.event = "event=0x19",
	.desc = "Read Data Buffer Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_inserts",
	.event = "event=0x17",
	.desc = "Read Data Buffer Inserts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_not_empty",
	.event = "event=0x18",
	.desc = "Read Data Buffer Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rdb_occupancy",
	.event = "event=0x1a",
	.desc = "Read Data Buffer Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full_pch0",
	.event = "event=0x12",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Full Cycles : Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_full_pch1",
	.event = "event=0x15",
	.desc = "Read Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Full Cycles : Counts the number of cycles when the Read Pending Queue is full.  When the RPQ is full, the HA will not be able to issue any additional read requests into the iMC.  This count should be similar count in the HA which tracks the number of cycles that the HA has no RPQ credits, just somewhat smaller to account for the credit return overhead.  We generally do not expect to see RPQ become full except for potentially during Write Major Mode or while running with slow DRAM.  This event only tracks non-ISOC queue entries",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne.pch0",
	.event = "umask=0x1,event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Not Empty : Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_cycles_ne.pch1",
	.event = "umask=0x2,event=0x11",
	.desc = "Read Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Not Empty : Counts the number of cycles that the Read Pending Queue is not empty.  This can then be used to calculate the average occupancy (in conjunction with the Read Pending Queue Occupancy count).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This filter is to be used in conjunction with the occupancy filter so that one can correctly track the average occupancies for schedulable entries and scheduled requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch0",
	.event = "umask=0x1,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_inserts.pch1",
	.event = "umask=0x2,event=0x10",
	.desc = "Read Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Allocations : Counts the number of allocations into the Read Pending Queue.  This queue is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after the CAS command has been issued to memory.  This includes both ISOCH and non-ISOCH requests",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch0",
	.event = "event=0x80",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_rpq_occupancy_pch1",
	.event = "event=0x81",
	.desc = "Read Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Read Pending Queue Occupancy : Accumulates the occupancies of the Read Pending Queue each cycle.  This can then be used to calculate both the average occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The RPQ is used to schedule reads out to the memory controller and to track the requests.  Requests allocate into the RPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC. They deallocate after the CAS command has been issued to memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.accepts",
	.event = "umask=0x5,event=0xd2",
	.desc = "Scoreboard Accesses : Scoreboard Accesses Accepted. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.fmrd_cmps",
	.event = "umask=0x40,event=0xd2",
	.desc = "This event is deprecated. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_accesses.fmwr_cmps",
	.event = "umask=0x80,event=0xd2",
	.desc = "This event is deprecated. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_accesses.fm_rd_cmps",
	.event = "umask=0x40,event=0xd2",
	.desc = "Scoreboard Accesses : Write Accepts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.fm_wr_cmps",
	.event = "umask=0x80,event=0xd2",
	.desc = "Scoreboard Accesses : Write Rejects. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.nmrd_cmps",
	.event = "umask=0x10,event=0xd2",
	.desc = "This event is deprecated. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_accesses.nmwr_cmps",
	.event = "umask=0x20,event=0xd2",
	.desc = "This event is deprecated. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_accesses.nm_rd_cmps",
	.event = "umask=0x10,event=0xd2",
	.desc = "Scoreboard Accesses : FM read completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.nm_wr_cmps",
	.event = "umask=0x20,event=0xd2",
	.desc = "Scoreboard Accesses : FM write completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.rd_accepts",
	.event = "umask=0x1,event=0xd2",
	.desc = "Scoreboard Accesses : Read Accepts. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.rd_rejects",
	.event = "umask=0x2,event=0xd2",
	.desc = "Scoreboard Accesses : Read Rejects. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.rejects",
	.event = "umask=0xa,event=0xd2",
	.desc = "Scoreboard Accesses : Scoreboard Accesses Rejected. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.wr_accepts",
	.event = "umask=0x4,event=0xd2",
	.desc = "Scoreboard Accesses : NM read completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_accesses.wr_rejects",
	.event = "umask=0x8,event=0xd2",
	.desc = "Scoreboard Accesses : NM write completions. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.alloc",
	.event = "umask=0x1,event=0xd9",
	.desc = ": Alloc. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.dealloc",
	.event = "umask=0x2,event=0xd9",
	.desc = ": Dealloc. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.fmrd_starved",
	.event = "umask=0x20,event=0xd9",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_CANARY.FM_RD_STARVED. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_canary.fmtgrwr_starved",
	.event = "umask=0x80,event=0xd9",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_CANARY.FM_TGR_WR_STARVED. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_canary.fmwr_starved",
	.event = "umask=0x40,event=0xd9",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_CANARY.FM_WR_STARVED. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_canary.fm_rd_starved",
	.event = "umask=0x20,event=0xd9",
	.desc = ": Near Mem Write Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.fm_tgr_wr_starved",
	.event = "umask=0x80,event=0xd9",
	.desc = ": Far Mem Write Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.fm_wr_starved",
	.event = "umask=0x40,event=0xd9",
	.desc = ": Far Mem Read Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.nmrd_starved",
	.event = "umask=0x8,event=0xd9",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_CANARY.NM_RD_STARVED. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_canary.nmwr_starved",
	.event = "umask=0x10,event=0xd9",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_CANARY.NM_WR_STARVED. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_canary.nm_rd_starved",
	.event = "umask=0x8,event=0xd9",
	.desc = ": Valid. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.nm_wr_starved",
	.event = "umask=0x10,event=0xd9",
	.desc = ": Near Mem Read Starved. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_canary.vld",
	.event = "umask=0x4,event=0xd9",
	.desc = ": Reject. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_cycles_full",
	.event = "event=0xd1",
	.desc = "Scoreboard Cycles Full. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_cycles_ne",
	.event = "event=0xd0",
	.desc = "Scoreboard Cycles Not-Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.block_rds",
	.event = "umask=0x10,event=0xd6",
	.desc = "Scoreboard Inserts : Block region reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.block_wrs",
	.event = "umask=0x20,event=0xd6",
	.desc = "Scoreboard Inserts : Block region writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.pmm_rds",
	.event = "umask=0x4,event=0xd6",
	.desc = "Scoreboard Inserts : Persistent Mem reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.pmm_wrs",
	.event = "umask=0x8,event=0xd6",
	.desc = "Scoreboard Inserts : Persistent Mem writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.rds",
	.event = "umask=0x1,event=0xd6",
	.desc = "Scoreboard Inserts : Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_inserts.wrs",
	.event = "umask=0x2,event=0xd6",
	.desc = "Scoreboard Inserts : Writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.block_rds",
	.event = "umask=0x20,event=0xd5",
	.desc = "Scoreboard Occupancy : Block region reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.block_wrs",
	.event = "umask=0x40,event=0xd5",
	.desc = "Scoreboard Occupancy : Block region writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.pmm_rds",
	.event = "umask=0x4,event=0xd5",
	.desc = "Scoreboard Occupancy : Persistent Mem reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.pmm_wrs",
	.event = "umask=0x8,event=0xd5",
	.desc = "Scoreboard Occupancy : Persistent Mem writes. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_occupancy.rds",
	.event = "umask=0x1,event=0xd5",
	.desc = "Scoreboard Occupancy : Reads. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_inserts.all",
	.event = "umask=0x1,event=0xda",
	.desc = "Scoreboard Prefetch Inserts : All. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_inserts.ddr",
	.event = "umask=0x2,event=0xda",
	.desc = "Scoreboard Prefetch Inserts : DDR4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_inserts.pmm",
	.event = "umask=0x4,event=0xda",
	.desc = "Scoreboard Prefetch Inserts : Persistent Mem. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_occupancy.all",
	.event = "umask=0x1,event=0xdb",
	.desc = "Scoreboard Prefetch Occupancy : All. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_occupancy.ddr",
	.event = "umask=0x2,event=0xdb",
	.desc = "Scoreboard Prefetch Occupancy : DDR4. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_pref_occupancy.pmem",
	.event = "umask=0x4,event=0xdb",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_PREF_OCCUPANCY.PMM. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_pref_occupancy.pmm",
	.event = "umask=0x4,event=0xdb",
	.desc = "Scoreboard Prefetch Occupancy : Persistent Mem. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.canary",
	.event = "umask=0x8,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.ddr_early_cmp",
	.event = "umask=0x20,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.fm_addr_cnflt",
	.event = "umask=0x2,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected : FM requests rejected due to full address conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.nm_set_cnflt",
	.event = "umask=0x1,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected : NM requests rejected due to set conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_reject.patrol_set_cnflt",
	.event = "umask=0x4,event=0xd4",
	.desc = "Number of Scoreboard Requests Rejected : Patrol requests rejected due to set conflict. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmrd",
	.event = "umask=0x2,event=0xd7",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_ALLOC.FM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmtgr",
	.event = "umask=0x10,event=0xd7",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_ALLOC.FM_TGR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fmwr",
	.event = "umask=0x8,event=0xd7",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_ALLOC.FM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fm_rd",
	.event = "umask=0x2,event=0xd7",
	.desc = ": Far Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fm_tgr",
	.event = "umask=0x10,event=0xd7",
	.desc = ": Near Mem Read - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.fm_wr",
	.event = "umask=0x8,event=0xd7",
	.desc = ": Far Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmrd",
	.event = "umask=0x1,event=0xd7",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_ALLOC.NM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nmwr",
	.event = "umask=0x4,event=0xd7",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_ALLOC.NM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nm_rd",
	.event = "umask=0x1,event=0xd7",
	.desc = ": Near Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_alloc.nm_wr",
	.event = "umask=0x4,event=0xd7",
	.desc = ": Near Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fmrd",
	.event = "umask=0x2,event=0xde",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_DEALLOC.FM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fmtgr",
	.event = "umask=0x10,event=0xde",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_DEALLOC.FM_TGR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fmwr",
	.event = "umask=0x8,event=0xde",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_DEALLOC.FM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fm_rd",
	.event = "umask=0x2,event=0xde",
	.desc = ": Far Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fm_tgr",
	.event = "umask=0x10,event=0xde",
	.desc = ": Near Mem Read - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.fm_wr",
	.event = "umask=0x8,event=0xde",
	.desc = ": Far Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.nmrd",
	.event = "umask=0x1,event=0xde",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_DEALLOC.NM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.nmwr",
	.event = "umask=0x4,event=0xde",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_DEALLOC.NM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.nm_rd",
	.event = "umask=0x1,event=0xde",
	.desc = ": Near Mem Read - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_dealloc.nm_wr",
	.event = "umask=0x4,event=0xde",
	.desc = ": Near Mem Write - Set. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.fmrd",
	.event = "umask=0x2,event=0xd8",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_OCC.FM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_occ.fmtgr",
	.event = "umask=0x10,event=0xd8",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_OCC.FM_TGR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_occ.fmwr",
	.event = "umask=0x8,event=0xd8",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_OCC.FM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_occ.fm_rd",
	.event = "umask=0x2,event=0xd8",
	.desc = ": Far Mem Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.fm_tgr",
	.event = "umask=0x10,event=0xd8",
	.desc = ": Near Mem Read - Clear. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.fm_wr",
	.event = "umask=0x8,event=0xd8",
	.desc = ": Far Mem Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.nmrd",
	.event = "umask=0x1,event=0xd8",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_OCC.NM_RD. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_occ.nmwr",
	.event = "umask=0x4,event=0xd8",
	.desc = "This event is deprecated. Refer to new event UNC_M_SB_STRV_OCC.NM_WR. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
	.deprecated = "1",
},
{
	.name = "unc_m_sb_strv_occ.nm_rd",
	.event = "umask=0x1,event=0xd8",
	.desc = ": Near Mem Read. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_strv_occ.nm_wr",
	.event = "umask=0x4,event=0xd8",
	.desc = ": Near Mem Write. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.ddr4_cmp",
	.event = "umask=0x8,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.DDR4_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.new",
	.event = "umask=0x1,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.NEW. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.occ",
	.event = "umask=0x80,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.OCC. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm0_cmp",
	.event = "umask=0x10,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM0_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm1_cmp",
	.event = "umask=0x20,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM1_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.pmm2_cmp",
	.event = "umask=0x40,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.PMM2_CMP. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.rd_hit",
	.event = "umask=0x2,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.RD_HIT. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_sb_tagged.rd_miss",
	.event = "umask=0x4,event=0xdd",
	.desc = "UNC_M_SB_TAGGED.RD_MISS. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.hit",
	.event = "umask=0x1,event=0xd3",
	.desc = "2LM Tag Check : Hit in Near Memory Cache. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.miss_clean",
	.event = "umask=0x2,event=0xd3",
	.desc = "2LM Tag Check : Miss, no data in this line. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.miss_dirty",
	.event = "umask=0x4,event=0xd3",
	.desc = "2LM Tag Check : Miss, existing data may be evicted to Far Memory. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.nm_rd_hit",
	.event = "umask=0x8,event=0xd3",
	.desc = "2LM Tag Check : Read Hit in Near Memory Cache. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_tagchk.nm_wr_hit",
	.event = "umask=0x10,event=0xd3",
	.desc = "2LM Tag Check : Write Hit in Near Memory Cache. Unit: uncore_imc ",
	.topic = "uncore memory",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full_pch0",
	.event = "event=0x22",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Full Cycles : Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_full_pch1",
	.event = "event=0x16",
	.desc = "Write Pending Queue Full Cycles. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Full Cycles : Counts the number of cycles when the Write Pending Queue is full.  When the WPQ is full, the HA will not be able to issue any additional write requests into the iMC.  This count should be similar count in the CHA which tracks the number of cycles that the CHA has no WPQ credits, just somewhat smaller to account for the credit return overhead",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne.pch0",
	.event = "umask=0x1,event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Not Empty : Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_cycles_ne.pch1",
	.event = "umask=0x2,event=0x21",
	.desc = "Write Pending Queue Not Empty. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Not Empty : Counts the number of cycles that the Write Pending Queue is not empty.  This can then be used to calculate the average queue occupancy (in conjunction with the WPQ Occupancy Accumulation count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch0",
	.event = "umask=0x1,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_inserts.pch1",
	.event = "umask=0x2,event=0x20",
	.desc = "Write Pending Queue Allocations. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Allocations : Counts the number of allocations into the Write Pending Queue.  This can then be used to calculate the average queuing latency (in conjunction with the WPQ occupancy count).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the CHA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch0",
	.event = "event=0x82",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happening in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_occupancy_pch1",
	.event = "event=0x83",
	.desc = "Write Pending Queue Occupancy. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue Occupancy : Accumulates the occupancies of the Write Pending Queue each cycle.  This can then be used to calculate both the average queue occupancy (in conjunction with the number of cycles not empty) and the average latency (in conjunction with the number of allocations).  The WPQ is used to schedule write out to the memory controller and to track the writes.  Requests allocate into the WPQ soon after they enter the memory controller, and need credits for an entry in this buffer before being sent from the HA to the iMC.  They deallocate after being issued to DRAM.  Write requests themselves are able to complete (from the perspective of the rest of the system) as soon they have posted to the iMC.  This is not to be confused with actually performing the write to DRAM.  Therefore, the average latency for this queue is actually not useful for deconstruction intermediate write latencies.  So, we provide filtering based on if the request has posted or not.  By using the not posted filter, we can track how long writes spent in the iMC before completions were sent to the HA.  The posted filter, on the other hand, provides information about how much queueing is actually happening in the iMC for writes before they are actually issued to memory.  High average occupancies will generally coincide with high write major mode counts",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit.pch0",
	.event = "umask=0x1,event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_read_hit.pch1",
	.event = "umask=0x2,event=0x23",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit.pch0",
	.event = "umask=0x1,event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_m_wpq_write_hit.pch1",
	.event = "umask=0x2,event=0x24",
	.desc = "Write Pending Queue CAM Match. Unit: uncore_imc ",
	.topic = "uncore memory",
	.long_desc = "Write Pending Queue CAM Match : Counts the number of times a request hits in the WPQ (write-pending queue).  The iMC allows writes and reads to pass up other writes to different addresses.  Before a read or a write is issued, it will first CAM the WPQ to see if there is a write pending to that address.  When reads hit, they are able to directly pull their data from the WPQ instead of going to memory.  Writes that hit will overwrite the existing data.  Partial writes that hit will not need to do underfill reads and will simply update their relevant sections",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_tigerlake[] = {
{
	.name = "core_power.lvl0_turbo_license",
	.event = "period=200003,umask=0x7,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the Non-AVX turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
},
{
	.name = "core_power.lvl1_turbo_license",
	.event = "period=200003,umask=0x18,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX2 turbo schedule",
	.topic = "other",
	.long_desc = "Counts Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
},
{
	.name = "core_power.lvl2_turbo_license",
	.event = "period=200003,umask=0x20,event=0x28",
	.desc = "Core cycles where the core was running in a manner where Turbo may be clipped to the AVX512 turbo schedule",
	.topic = "other",
	.long_desc = "Core cycles where the core was running with power-delivery for license level 2 (introduced in Skylake Server microarchtecture).  This includes high current AVX 512-bit instructions",
},
{
	.name = "ocr.streaming_wr.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts streaming stores that have any type of response",
	.topic = "other",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x8",
	.desc = "Loads that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts loads that miss the DTLB (Data TLB) and hit the STLB (Second level TLB)",
},
{
	.name = "dtlb_load_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x8",
	.desc = "Cycles when at least one PMH is busy with a page walk for a demand load",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a demand load",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x8",
	.desc = "Load miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data loads. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (2M/4M sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x8",
	.desc = "Page walks completed due to a demand data load to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (4K sizes) caused by demand data loads. This implies address translations missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_load_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x8",
	.desc = "Number of page walks outstanding for a demand load in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a demand load in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x49",
	.desc = "Stores that miss the DTLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts stores that miss the DTLB (Data TLB) and hit the STLB (2nd Level TLB)",
},
{
	.name = "dtlb_store_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x49",
	.desc = "Cycles when at least one PMH is busy with a page walk for a store",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a store",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x49",
	.desc = "Store misses in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks  (all page sizes) caused by demand data stores. This implies it missed in the DTLB and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "dtlb_store_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 2M/4M page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data stores whose address translations missed in the TLB and were mapped to 2M/4M pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_store_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Page walks completed due to a demand data store to a 4K page",
	.topic = "virtual memory",
	.long_desc = "Counts page walks completed due to demand data stores whose address translations missed in the TLB and were mapped to 4K pages.  The page walks can end with or without a page fault",
},
{
	.name = "dtlb_store_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Number of page walks outstanding for a store in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for a store in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x20,event=0x85",
	.desc = "Instruction fetch requests that miss the ITLB and hit the STLB",
	.topic = "virtual memory",
	.long_desc = "Counts instruction fetch requests that miss the ITLB (Instruction TLB) and hit the STLB (Second-level TLB)",
},
{
	.name = "itlb_misses.walk_active",
	.event = "cmask=1,period=100003,umask=0x10,event=0x85",
	.desc = "Cycles when at least one PMH is busy with a page walk for code (instruction fetch) request",
	.topic = "virtual memory",
	.long_desc = "Counts cycles when at least one PMH (Page Miss Handler) is busy with a page walk for a code (instruction fetch) request",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0xe,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (All page sizes)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (all page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_2m_4m",
	.event = "period=100003,umask=0x4,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (2M/4M)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (2M/4M page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_completed_4k",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Code miss in all TLB levels causes a page walk that completes. (4K)",
	.topic = "virtual memory",
	.long_desc = "Counts completed page walks (4K page sizes) caused by a code fetch. This implies it missed in the ITLB (Instruction TLB) and further levels of TLB. The page walk can end with or without a fault",
},
{
	.name = "itlb_misses.walk_pending",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Number of page walks outstanding for an outstanding code request in the PMH each cycle",
	.topic = "virtual memory",
	.long_desc = "Counts the number of page walks outstanding for an outstanding code (instruction fetch) request in the PMH (Page Miss Handler) each cycle",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
	.long_desc = "Counts the number of DTLB flush attempts of the thread-specific entries",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
	.long_desc = "Counts the number of any STLB flush attempts (such as entire, VPID, PCID, InvPage, CR3 write, etc.)",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
	.long_desc = "Counts the number of times the front-end is resteered when it finds a branch instruction in a fetch line. This occurs for the first time a branch instruction is fetched or when the branch is not tracked by the BPU (Branch Prediction Unit) anymore",
},
{
	.name = "dsb2mite_switches.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE transitions count",
	.topic = "frontend",
	.long_desc = "Counts the number of Decode Stream Buffer (DSB a.k.a. Uop Cache)-to-MITE speculative transitions",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=100003,umask=0x2,event=0xab",
	.desc = "DSB-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "Decode Stream Buffer (DSB) is a Uop-cache that holds translations of previously fetched instructions that were decoded by the legacy x86 decode pipeline (MITE). This event counts fetch penalty cycles when a transition occurs from DSB to MITE",
},
{
	.name = "frontend_retired.any_dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x1",
	.desc = "Retired Instructions who experienced DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced DSB (Decode stream buffer i.e. the decoded instruction-cache) miss (Precise event)",
},
{
	.name = "frontend_retired.dsb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x11",
	.desc = "Retired Instructions who experienced a critical DSB miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Number of retired Instructions that experienced a critical DSB (Decode stream buffer i.e. the decoded instruction-cache) miss. Critical means stalls were exposed to the back-end as a result of the DSB miss (Precise event)",
},
{
	.name = "frontend_retired.itlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x14",
	.desc = "Retired Instructions who experienced iTLB true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced iTLB (Instruction TLB) true miss (Precise event)",
},
{
	.name = "frontend_retired.l1i_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x12",
	.desc = "Retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L1 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.l2_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x13",
	.desc = "Retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions who experienced Instruction L2 Cache true miss (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500106",
	.desc = "Retired instructions after front-end starvation of at least 1 cycle (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 1 cycle which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_128",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x508006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 128 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_16",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x501006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 16 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 16 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500206",
	.desc = "Retired instructions after front-end starvation of at least 2 cycles (Precise event)",
	.topic = "frontend",
	.long_desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of at least 2 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_256",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x510006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 256 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_2_bubbles_ge_1",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x100206",
	.desc = "Retired instructions that are fetched after an interval where the front-end had at least 1 bubble-slot for a period of 2 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after the front-end had at least 1 bubble-slot for a period of 2 cycles. A bubble-slot is an empty issue-pipeline slot while there was no RAT stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_32",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x502006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 32 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 32 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_4",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500406",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 4 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_512",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x520006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 512 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_64",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x504006",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 64 cycles which was not interrupted by a back-end stall (Precise event)",
},
{
	.name = "frontend_retired.latency_ge_8",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x500806",
	.desc = "Retired instructions that are fetched after an interval where the front-end delivered no uops for a period of 8 cycles which was not interrupted by a back-end stall (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired instructions that are delivered to the back-end after a front-end stall of at least 8 cycles. During this period the front-end delivered no uops (Precise event)",
},
{
	.name = "frontend_retired.stlb_miss",
	.event = "period=100007,umask=0x1,event=0xc6,frontend=0x15",
	.desc = "Retired Instructions who experienced STLB (2nd level TLB) true miss (Precise event)",
	.topic = "frontend",
	.long_desc = "Counts retired Instructions that experienced STLB (2nd level TLB) true miss (Precise event)",
},
{
	.name = "icache_16b.ifdata_stall",
	.event = "period=500009,umask=0x4,event=0x80",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code line fetch is stalled due to an L1 instruction cache miss. The legacy decode pipeline works at a 16 Byte granularity",
},
{
	.name = "icache_64b.iftag_hit",
	.event = "period=200003,umask=0x1,event=0x83",
	.desc = "Instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that hit in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_miss",
	.event = "period=200003,umask=0x2,event=0x83",
	.desc = "Instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity",
	.topic = "frontend",
	.long_desc = "Counts instruction fetch tag lookups that miss in the instruction cache (L1I). Counts at 64-byte cache-line granularity. Accounts for both cacheable and uncacheable accesses",
},
{
	.name = "icache_64b.iftag_stall",
	.event = "period=200003,umask=0x4,event=0x83",
	.desc = "Cycles where a code fetch is stalled due to L1 instruction cache tag miss",
	.topic = "frontend",
	.long_desc = "Counts cycles where a code fetch is stalled due to L1 instruction cache tag miss",
},
{
	.name = "idq.dsb_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.dsb_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles DSB is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
},
{
	.name = "idq.mite_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles uops were delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles MITE is delivering optimal number of Uops",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles where optimal number of uops was delivered to the Instruction Decode Queue (IDQ) from the MITE (legacy decode pipeline) path. During these cycles uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
	.long_desc = "Counts the number of uops delivered to Instruction Decode Queue (IDQ) from the MITE path. This also means that uops are not being delivered from the Decode Stream Buffer (DSB)",
},
{
	.name = "idq.ms_cycles_any",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts cycles during which uops are being delivered to Instruction Decode Queue (IDQ) while the Microcode Sequencer (MS) is busy. Uops maybe initiated by Decode Stream Buffer (DSB) or MITE",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=100003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB or MITE to the MS",
	.topic = "frontend",
	.long_desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
},
{
	.name = "idq.ms_uops",
	.event = "period=100003,umask=0x30,event=0x79",
	.desc = "Uops delivered to IDQ while MS is busy",
	.topic = "frontend",
	.long_desc = "Counts the total number of uops delivered by the Microcode Sequencer (MS). Any instruction over 4 uops will be delivered by the MS. Some instructions such as transcendentals may additionally generate uops from the MS",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=1000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered by IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of uops not delivered to by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=5,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when no uops are not delivered by the IDQ when backend of the machine is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when no uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0x9c",
	.desc = "Cycles when optimal number of uops was delivered to the back-end when the back-end is not stalled",
	.topic = "frontend",
	.long_desc = "Counts the number of cycles when the optimal number of uops were delivered by the Instruction Decode Queue (IDQ) to the back-end of the pipeline when there was no back-end stalls. This event counts for one SMT thread in a given cycle",
},
{
	.name = "arith.divider_active",
	.event = "cmask=1,period=1000003,umask=0x9,event=0x14",
	.desc = "Cycles when divide unit is busy executing divide or square root operations",
	.topic = "pipeline",
	.long_desc = "Counts cycles when divide unit is busy executing divide or square root operations. Accounts for integer and floating-point operations",
},
{
	.name = "assists.any",
	.event = "period=100003,umask=0x7,event=0xc1",
	.desc = "Number of occurrences where a microcode assist is invoked by hardware",
	.topic = "pipeline",
	.long_desc = "Counts the number of occurrences where a microcode assist is invoked by hardware Examples include AD (page Access Dirty), FP and AVX related assists",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond",
	.event = "period=400009,umask=0x11,event=0xc4",
	.desc = "Conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_ntaken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts not taken branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.cond_taken",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.indirect",
	.event = "period=100003,umask=0x80,event=0xc4",
	.desc = "Indirect near branch instructions retired (excluding returns) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect branch instructions retired excluding returns. TSX abort is an indirect branch (Precise event)",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts both direct and indirect near call instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts return instructions retired (Precise event)",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=50021,event=0xc5",
	.desc = "All mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all the retired branch instructions that were mispredicted by the processor. A branch misprediction occurs when the processor incorrectly predicts the destination of the branch.  When the misprediction is discovered at execution, all the instructions executed in the wrong (speculative) path must be discarded, and the processor must start fetching from the correct path (Precise event)",
},
{
	.name = "br_misp_retired.cond",
	.event = "period=50021,umask=0x11,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted conditional branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.cond_ntaken",
	.event = "period=50021,umask=0x10,event=0xc5",
	.desc = "Mispredicted non-taken conditional branch instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of conditional branch instructions retired that were mispredicted and the branch direction was not taken (Precise event)",
},
{
	.name = "br_misp_retired.cond_taken",
	.event = "period=50021,umask=0x1,event=0xc5",
	.desc = "number of branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts taken conditional mispredicted branch instructions retired (Precise event)",
},
{
	.name = "br_misp_retired.indirect",
	.event = "period=50021,umask=0x80,event=0xc5",
	.desc = "All miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all miss-predicted indirect branch instructions retired (excluding RETs. TSX aborts is considered indirect branch) (Precise event)",
},
{
	.name = "br_misp_retired.indirect_call",
	.event = "period=50021,umask=0x2,event=0xc5",
	.desc = "Mispredicted indirect CALL instructions retired (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts retired mispredicted indirect (near taken) CALL instructions, including both register and memory indirect (Precise event)",
},
{
	.name = "br_misp_retired.near_taken",
	.event = "period=50021,umask=0x20,event=0xc5",
	.desc = "Number of near branch instructions retired that were mispredicted and taken (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts number of near branch instructions retired that were mispredicted and taken (Precise event)",
},
{
	.name = "cpu_clk_unhalted.distributed",
	.event = "period=2000003,umask=0x2,event=0xec",
	.desc = "Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes cycle counts between active hyperthreads, i.e., those in C0.  A hyperthread becomes inactive when it executes the HLT or MWAIT instructions.  If all other hyperthreads are inactive (or disabled or do not exist), all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=25003,umask=0x2,event=0x3c",
	.desc = "Core crystal clock cycles when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
	.long_desc = "Counts Core crystal clock cycles when current thread is unhalted and the other thread is halted",
},
{
	.name = "cpu_clk_unhalted.ref_distributed",
	.event = "period=2000003,umask=0x8,event=0x3c",
	.desc = "Core crystal clock cycles. Cycle counts are evenly distributed between active threads in the Core",
	.topic = "pipeline",
	.long_desc = "This event distributes Core crystal clock cycle counts between active hyperthreads, i.e., those in C0 sleep-state. A hyperthread becomes inactive when it executes the HLT or MWAIT instructions. If one thread is active in a core, all counts are attributed to this hyperthread. To obtain the full count when the Core is active, sum the counts from each hyperthread",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events. Note: On all current platforms this event stops counting during 'throttling (TM)' states duty off periods the processor is 'halted'.  The counter update is done at a lower clock rate then the core clock the overflow status bit for this counter may appear 'sticky'.  After the counter has overflowed and software clears the overflow status bit and resets the counter to less than MAX. The reset value to the counter is not clocked immediately so the overflow status bit will flip 'high (1)' and generate another PMI (if enabled) after which the reset value gets clocked into the counter. Therefore, software will get the interrupt, read the overflow status bit '1 for bit 34 while the counter value is less than MAX. Software should ignore this case",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=25003,umask=0x1,event=0x3c",
	.desc = "Core crystal clock cycles when the thread is unhalted",
	.topic = "pipeline",
	.long_desc = "Counts core crystal clock cycles when the thread is unhalted",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the eight programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This is an architectural event that counts the number of thread cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. The core frequency may change from time to time due to power or thermal throttling. For this reason, this event may have a changing ratio with regards to wall clock time",
},
{
	.name = "cycle_activity.cycles_l1d_miss",
	.event = "cmask=8,period=1000003,umask=0x8,event=0xa3",
	.desc = "Cycles while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_miss",
	.event = "cmask=1,period=1000003,umask=0x1,event=0xa3",
	.desc = "Cycles while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_mem_any",
	.event = "cmask=16,period=1000003,umask=0x10,event=0xa3",
	.desc = "Cycles while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_miss",
	.event = "cmask=12,period=1000003,umask=0xc,event=0xa3",
	.desc = "Execution stalls while L1 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_miss",
	.event = "cmask=5,period=1000003,umask=0x5,event=0xa3",
	.desc = "Execution stalls while L2 cache miss demand load is outstanding",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_mem_any",
	.event = "cmask=20,period=1000003,umask=0x14,event=0xa3",
	.desc = "Execution stalls while memory subsystem has an outstanding load",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_total",
	.event = "cmask=4,period=1000003,umask=0x4,event=0xa3",
	.desc = "Total execution stalls",
	.topic = "pipeline",
},
{
	.name = "exe_activity.1_ports_util",
	.event = "period=2000003,umask=0x2,event=0xa6",
	.desc = "Cycles total of 1 uop is executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 1 uop was executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.2_ports_util",
	.event = "period=2000003,umask=0x4,event=0xa6",
	.desc = "Cycles total of 2 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which a total of 2 uops were executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.3_ports_util",
	.event = "period=2000003,umask=0x8,event=0xa6",
	.desc = "Cycles total of 3 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 3 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.4_ports_util",
	.event = "period=2000003,umask=0x10,event=0xa6",
	.desc = "Cycles total of 4 uops are executed on all ports and Reservation Station was not empty",
	.topic = "pipeline",
	.long_desc = "Cycles total of 4 uops are executed on all ports and Reservation Station (RS) was not empty",
},
{
	.name = "exe_activity.bound_on_loads",
	.event = "cmask=5,period=2000003,umask=0x21,event=0xa6",
	.desc = "Cycles when the memory subsystem has an outstanding load. Increments by 4 for every such cycle",
	.topic = "pipeline",
	.long_desc = "Counts cycles when the memory subsystem has an outstanding load. Increments by 4 for every such cycle",
},
{
	.name = "exe_activity.bound_on_stores",
	.event = "cmask=2,period=1000003,umask=0x40,event=0xa6",
	.desc = "Cycles where the Store Buffer was full and no loads caused an execution stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles where the Store Buffer was full and no loads caused an execution stall",
},
{
	.name = "exe_activity.exe_bound_0_ports",
	.event = "period=1000003,umask=0x80,event=0xa6",
	.desc = "Cycles no uop executed while RS was not empty, the SB was not full and there was no outstanding load",
	.topic = "pipeline",
	.long_desc = "Number of cycles total of 0 uops executed on all ports, Reservation Station (RS) was not empty, the Store Buffer (SB) was not full and there was no outstanding load",
},
{
	.name = "ild_stall.lcp",
	.event = "period=500009,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
	.long_desc = "Counts cycles that the Instruction Length decoder (ILD) stalls occurred due to dynamically changing prefix length of the decoded instruction (by operand size prefix instruction 0x66, address size prefix instruction 0x67 or REX.W for Intel64). Count is proportional to the number of prefixes in a 16B-line. This may result in a three-cycle penalty for each LCP (Length changing prefix) in a 16-byte chunk",
},
{
	.name = "inst_decoded.decoders",
	.event = "period=2000003,umask=0x1,event=0x55",
	.desc = "Instruction decoders utilized in a cycle",
	.topic = "pipeline",
	.long_desc = "Number of decoders utilized in a cycle when the MITE (legacy decode pipeline) fetches instructions",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. Fixed Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter - architectural event (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of X86 instructions retired - an Architectural PerfMon event. Counting continues during hardware interrupts, traps, and inside interrupt handlers. Notes: INST_RETIRED.ANY is counted by a designated fixed counter freeing up programmable counters to count other events. INST_RETIRED.ANY_P is counted by a programmable counter (Precise event)",
},
{
	.name = "inst_retired.nop",
	.event = "period=2000003,umask=0x2,event=0xc0",
	.desc = "Retired NOP instructions (Precise event)",
	.topic = "pipeline",
	.long_desc = "Counts all retired NOP or ENDBR32/64 instructions (Precise event)",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0",
	.desc = "Precise instruction retired event with a reduced effect of PEBS shadow in IP distribution (Precise event)",
	.topic = "pipeline",
	.long_desc = "A version of INST_RETIRED that allows for a more unbiased distribution of samples across instructions retired. It utilizes the Precise Distribution of Instructions Retired (PDIR) feature to mitigate some bias in how retired instructions get sampled. Use on Fixed Counter 0 (Precise event)",
},
{
	.name = "int_misc.all_recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
	.topic = "pipeline",
	.long_desc = "Counts cycles the Backend cluster is recovering after a miss-speculation or a Store Buffer or Load Buffer drain stall",
},
{
	.name = "int_misc.clear_resteer_cycles",
	.event = "period=500009,umask=0x80,event=0xd",
	.desc = "Counts cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
	.topic = "pipeline",
	.long_desc = "Cycles after recovery from a branch misprediction or machine clear till the first uop is issued from the resteered path",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "period=500009,umask=0x1,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for this thread",
	.topic = "pipeline",
	.long_desc = "Counts core cycles when the Resource allocator was stalled due to recovery from an earlier branch misprediction or machine clear event",
},
{
	.name = "int_misc.uop_dropping",
	.event = "period=1000003,umask=0x10,event=0xd",
	.desc = "TMA slots where uops got dropped",
	.topic = "pipeline",
	.long_desc = "Estimated number of Top-down Microarchitecture Analysis slots that got dropped due to non front-end reasons",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "The number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to overlapping with a preceding store that cannot be forwarded",
	.topic = "pipeline",
	.long_desc = "Counts the number of times where store forwarding was prevented for a load operation. The most common case is a load blocked due to the address of memory access (partially) overlapping with a preceding uncompleted store. Note: See the table of not supported store forwards in the Optimization Guide",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare on address",
	.topic = "pipeline",
	.long_desc = "Counts the number of times a load got blocked due to false dependencies in MOB due to partial compare on address",
},
{
	.name = "load_hit_prefetch.swpf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Counts the number of demand load dispatches that hit L1D fill buffer (FB) allocated for software prefetch",
	.topic = "pipeline",
	.long_desc = "Counts all not software-prefetch load dispatches that hit the fill buffer (FB) allocated for the software prefetch. It can also be incremented by some lock instructions. So it should only be used with profiling so that the locks can be excluded by ASM (Assembly File) inspection of the nearby instructions",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when at least one uop is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.cycles_ok",
	.event = "cmask=5,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles optimal number of Uops delivered by the LSD, but did not come from the decoder",
	.topic = "pipeline",
	.long_desc = "Counts the cycles when optimal number of uops is delivered by the LSD (Loop-stream detector)",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops delivered to the back-end by the LSD(Loop Stream Detector)",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
	.long_desc = "Counts the number of machine clears (nukes) of any type",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "Counts self-modifying code (SMC) detected, which causes a machine clear",
},
{
	.name = "misc_retired.lbr_inserts",
	.event = "period=100003,umask=0x20,event=0xcc",
	.desc = "Increments whenever there is an update to the LBR array",
	.topic = "pipeline",
	.long_desc = "Increments when an entry is added to the Last Branch Record (LBR) array (or removed from the array in case of RETURNs in call stack mode). The event requires LBR enable via IA32_DEBUGCTL MSR and branch type selection via MSR_LBR_SELECT",
},
{
	.name = "misc_retired.pause_inst",
	.event = "period=100003,umask=0x40,event=0xcc",
	.desc = "Number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
	.topic = "pipeline",
	.long_desc = "Counts number of retired PAUSE instructions. This event is not supported on first SKL and KBL products",
},
{
	.name = "resource_stalls.sb",
	.event = "period=100003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
	.long_desc = "Counts allocation stall cycles caused by the store buffer (SB) being full. This counts cycles that the pipeline back-end blocked uop delivery from the front-end",
},
{
	.name = "resource_stalls.scoreboard",
	.event = "period=100003,umask=0x2,event=0xa2",
	.desc = "Counts cycles where the pipeline is stalled due to serializing operations",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=1000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the reservation station (RS) is empty for this logical processor. This is usually caused when the front-end pipeline runs into stravation periods (e.g. branch mispredictions or i-cache misses)",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=100003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty",
	.topic = "pipeline",
	.long_desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to closely sample on front-end latency issues (see the FRONTEND_RETIRED event of designated precise events)",
},
{
	.name = "topdown.backend_bound_slots",
	.event = "period=10000003,umask=0x2,event=0xa4",
	.desc = "TMA slots where no uops were being issued due to lack of back-end resources",
	.topic = "pipeline",
	.long_desc = "Counts the number of Top-down Microarchitecture Analysis (TMA) method's  slots where no micro-operations were being issued from front-end to back-end of the machine due to lack of back-end resources",
},
{
	.name = "topdown.br_mispredict_slots",
	.event = "period=10000003,umask=0x8,event=0xa4",
	.desc = "TMA slots wasted due to incorrect speculation by branch mispredictions",
	.topic = "pipeline",
	.long_desc = "Number of TMA slots that were wasted due to incorrect speculation by branch mispredictions. This event estimates number of operations that were issued but not retired from the specualtive path as well as the out-of-order engine recovery past a branch misprediction",
},
{
	.name = "topdown.slots",
	.event = "period=10000003,umask=0x4,event=0",
	.desc = "TMA slots available for an unhalted logical processor. Fixed counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method (TMA). The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core. Software can use this event as the denominator for the top-level metrics of the TMA method. This architectural event is counted on a designated fixed counter (Fixed Counter 3)",
},
{
	.name = "topdown.slots_p",
	.event = "period=10000003,umask=0x1,event=0xa4",
	.desc = "TMA slots available for an unhalted logical processor. General counter - architectural event",
	.topic = "pipeline",
	.long_desc = "Counts the number of available slots for an unhalted logical processor. The event increments by machine-width of the narrowest pipeline as employed by the Top-down Microarchitecture Analysis method. The count is distributed among unhalted logical processors (hyper-threads) who share the same physical core",
},
{
	.name = "uops_decoded.dec0",
	.event = "period=1000003,umask=0x1,event=0x56",
	.desc = "Number of uops decoded out of instructions exclusively fetched by decoder 0",
	.topic = "pipeline",
	.long_desc = "Uops exclusively fetched by decoder 0",
},
{
	.name = "uops_dispatched.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Number of uops executed on port 0",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 0",
},
{
	.name = "uops_dispatched.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Number of uops executed on port 1",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 1",
},
{
	.name = "uops_dispatched.port_2_3",
	.event = "period=2000003,umask=0x4,event=0xa1",
	.desc = "Number of uops executed on port 2 and 3",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 2 and 3",
},
{
	.name = "uops_dispatched.port_4_9",
	.event = "period=2000003,umask=0x10,event=0xa1",
	.desc = "Number of uops executed on port 4 and 9",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 5 and 9",
},
{
	.name = "uops_dispatched.port_5",
	.event = "period=2000003,umask=0x20,event=0xa1",
	.desc = "Number of uops executed on port 5",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 5",
},
{
	.name = "uops_dispatched.port_6",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Number of uops executed on port 6",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to port 6",
},
{
	.name = "uops_dispatched.port_7_8",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Number of uops executed on port 7 and 8",
	.topic = "pipeline",
	.long_desc = "Counts, on the per-thread basis, cycles during which at least one uop is dispatched from the Reservation Station (RS) to ports 7 and 8",
},
{
	.name = "uops_executed.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Number of uops executed on the core",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops executed from any thread",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 1 micro-op is executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 2 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 3 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
	.long_desc = "Counts cycles when at least 4 micro-ops are executed from any thread on physical core",
},
{
	.name = "uops_executed.cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 1 uop was executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 1 uop was executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 2 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 2 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 3 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 3 uops were executed per-thread",
},
{
	.name = "uops_executed.cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xb1",
	.desc = "Cycles where at least 4 uops were executed per-thread",
	.topic = "pipeline",
	.long_desc = "Cycles where at least 4 uops were executed per-thread",
},
{
	.name = "uops_executed.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts number of cycles no uops were dispatched to be executed on this thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which no uops were dispatched from the Reservation Station (RS) per thread",
},
{
	.name = "uops_executed.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Counts the number of uops to be executed per-thread each cycle",
	.topic = "pipeline",
},
{
	.name = "uops_executed.x87",
	.event = "period=2000003,umask=0x10,event=0xb1",
	.desc = "Counts the number of x87 uops dispatched",
	.topic = "pipeline",
	.long_desc = "Counts the number of x87 uops executed",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that RAT issues to RS",
	.topic = "pipeline",
	.long_desc = "Counts the number of uops that the Resource Allocation Table (RAT) issues to the Reservation Station (RS)",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x1,event=0xe",
	.desc = "Cycles when RAT does not issue Uops to RS for the thread",
	.topic = "pipeline",
	.long_desc = "Counts cycles during which the Resource Allocation Table (RAT) does not issue any Uops to the reservation station (RS) for the current thread",
},
{
	.name = "uops_issued.vector_width_mismatch",
	.event = "period=100003,umask=0x2,event=0xe",
	.desc = "Uops inserted at issue-stage in order to preserve upper bits of vector registers",
	.topic = "pipeline",
	.long_desc = "Counts the number of Blend Uops issued by the Resource Allocation Table (RAT) to the reservation station (RS) in order to preserve upper bits of vector registers. Starting with the Skylake microarchitecture, these Blend uops are needed since every Intel SSE instruction executed in Dirty Upper State needs to preserve bits 128-255 of the destination register. For more information, refer to Mixing Intel AVX and Intel SSE Code section of the Optimization Guide",
},
{
	.name = "uops_retired.slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used",
	.topic = "pipeline",
	.long_desc = "Counts the retirement slots used each cycle",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
	.long_desc = "This event counts cycles without actually retired uops",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=1000003,umask=0x2,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
	.long_desc = "Counts the number of cycles using always true condition (uops_ret < 16) applied to non PEBS uops retired event",
},
{
	.name = "assists.fp",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Counts all microcode FP assists",
	.topic = "floating point",
	.long_desc = "Counts all microcode Floating Point assists",
},
{
	.name = "fp_arith_inst_retired.128b_packed_double",
	.event = "period=100003,umask=0x4,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 2 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.128b_packed_single",
	.event = "period=100003,umask=0x8,event=0xc7",
	.desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX RCP14 RSQRT14 SQRT DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 128-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_double",
	.event = "period=100003,umask=0x10,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 4 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.256b_packed_single",
	.event = "period=100003,umask=0x20,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 256-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB HADD HSUB SUBADD MUL DIV MIN MAX SQRT RSQRT RCP DPP FM(N)ADD/SUB.  DPP and FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_double",
	.event = "period=100003,umask=0x40,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 8 computation operations, one for each element.  Applies to SSE* and AVX* packed double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.512b_packed_single",
	.event = "period=100003,umask=0x80,event=0xc7",
	.desc = "Counts number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational 512-bit packed single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 16 computation operations, one for each element.  Applies to SSE* and AVX* packed single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT14 RCP14 FM(N)ADD/SUB. FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_double",
	.event = "period=100003,umask=0x1,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar double precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar double precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.name = "fp_arith_inst_retired.scalar_single",
	.event = "period=100003,umask=0x2,event=0xc7",
	.desc = "Counts number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element",
	.topic = "floating point",
	.long_desc = "Number of SSE/AVX computational scalar single precision floating-point instructions retired; some instructions will count twice as noted below.  Each count represents 1 computational operation. Applies to SSE* and AVX* scalar single precision floating-point instructions: ADD SUB MUL DIV MIN MAX SQRT RSQRT RCP FM(N)ADD/SUB.  FM(N)ADD/SUB instructions count twice as they perform 2 calculations per element. The DAZ and FTZ flags in the MXCSR register need to be set when using these events",
},
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "tgl metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound. Sample with: FRONTEND_RETIRED.LATENCY_GE_4_PS",
	.unit = "100%",
	.metric_expr = "topdown\\-fe\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) - int_misc.uop_dropping / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: FRONTEND_RETIRED.LATENCY_GE_16_PS;FRONTEND_RETIRED.LATENCY_GE_8_PS",
	.unit = "100%",
	.metric_expr = "(5 * idq_uops_not_delivered.cycles_0_uops_deliv.core - int_misc.uop_dropping) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to instruction cache misses. Sample with: FRONTEND_RETIRED.L2_MISS_PS;FRONTEND_RETIRED.L1I_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache_16b.ifdata_stall / clks",
	.metric_name = "tma_icache_misses",
	.metric_group = "BigFoot;FetchLat;IcMiss;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: FRONTEND_RETIRED.STLB_MISS_PS;FRONTEND_RETIRED.ITLB_MISS_PS",
	.unit = "100%",
	.metric_expr = "icache_64b.iftag_stall / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "int_misc.clear_resteer_cycles / clks + tma_unknown_branches",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Branch Misprediction at execution stage.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_mispredicts_resteers",
	.metric_group = "BadSpec;BrMispredicts;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers as a result of Machine Clears.  Sample with: INT_MISC.CLEAR_RESTEER_CYCLES",
	.unit = "100%",
	.metric_expr = "(1 - br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count)) * int_misc.clear_resteer_cycles / clks",
	.metric_name = "tma_clears_resteers",
	.metric_group = "BadSpec;MachineClears;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to new branch address clears. These are fetched branches the Branch Prediction Unit was unable to recognize (First fetch or hitting BPU capacity limit). Sample with: BACLEARS.ANY",
	.unit = "100%",
	.metric_expr = "10 * baclears.any / clks",
	.metric_name = "tma_unknown_branches",
	.metric_group = "BigFoot;FetchLat;TopdownL4;tma_branch_resteers_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty. Sample with: FRONTEND_RETIRED.DSB_MISS_PS",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend. Sample with: FRONTEND_RETIRED.LATENCY_GE_2_BUBBLES_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_1_PS;FRONTEND_RETIRED.LATENCY_GE_2_PS",
	.unit = "100%",
	.metric_expr = "max(0, tma_frontend_bound - tma_fetch_latency)",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to the MITE pipeline (the legacy decode pipeline). This pipeline is used for code that was not pre-cached in the DSB or LSD. For example; inefficiencies due to asymmetric decoders; use of long immediate or LCP can manifest as MITE fetch bandwidth bottleneck. Sample with: FRONTEND_RETIRED.ANY_DSB_MISS",
	.unit = "100%",
	.metric_expr = "(idq.mite_cycles_any - idq.mite_cycles_ok) / core_clks / 2",
	.metric_name = "tma_mite",
	.metric_group = "DSBmiss;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents fraction of cycles where decoder-0 was the only active decoder",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "(cpu@inst_decoded.decoders\\,cmask\\=1@ - cpu@inst_decoded.decoders\\,cmask\\=2@) / core_clks",
	.metric_name = "tma_decoder0_alone",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents fraction of cycles where (only) 4 uops were delivered by the MITE pipeline",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "(cpu@idq.mite_uops\\,cmask\\=4@ - cpu@idq.mite_uops\\,cmask\\=5@) / clks",
	.metric_name = "tma_mite_4wide",
	.metric_group = "DSBmiss;FetchBW;TopdownL4;tma_mite_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline",
	.topic = "tgl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to DSB (decoded uop cache) fetch pipeline.  For example; inefficient utilization of the DSB cache structure or bank conflict when reading from it; are categorized here",
	.unit = "100%",
	.metric_expr = "(idq.dsb_cycles_any - idq.dsb_cycles_ok) / core_clks / 2",
	.metric_name = "tma_dsb",
	.metric_group = "DSB;FetchBW;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit",
	.topic = "tgl metrics",
	.long_desc = "This metric represents Core fraction of cycles in which CPU was likely limited due to LSD (Loop Stream Detector) unit.  LSD typically does well sustaining Uop supply. However; in some rare cases; optimal uop-delivery could not be reached for small loops whose size (in terms of number of uops) does not suit well the LSD structure",
	.unit = "100%",
	.metric_expr = "(lsd.cycles_active - lsd.cycles_ok) / core_clks / 2",
	.metric_name = "tma_lsd",
	.metric_group = "FetchBW;LSD;TopdownL3;tma_fetch_bandwidth_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "tgl metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "max(1 - (tma_frontend_bound + tma_backend_bound + tma_retiring), 0)",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "max(0, tma_bad_speculation - tma_branch_mispredicts)",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "tgl metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound. Sample with: TOPDOWN.BACKEND_BOUND_SLOTS",
	.unit = "100%",
	.metric_expr = "topdown\\-be\\-bound / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 5 * cpu@int_misc.recovery_cycles\\,cmask\\=1\\,edge@ / slots",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_mem_any + exe_activity.bound_on_stores) / (cycle_activity.stalls_total + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) + exe_activity.bound_on_stores) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled without loads missing the L1 data cache.  The L1 data cache typically has the shortest latency.  However; in certain cases like loads blocked on older stores; a load might suffer due to high latency even though it is being satisfied by the L1. Another example is loads who miss in the TLB. These cases are characterized by execution unit stalls; while some non-completed demand load lives in the machine without having that demand load missing the L1 cache. Sample with: MEM_LOAD_RETIRED.L1_HIT_PS;MEM_LOAD_RETIRED.FB_HIT_PS",
	.unit = "100%",
	.metric_expr = "max((cycle_activity.stalls_mem_any - cycle_activity.stalls_l1d_miss) / clks, 0)",
	.metric_name = "tma_l1_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "tgl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_INST_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "min(7 * cpu@dtlb_load_misses.stlb_hit\\,cmask\\=1@ + dtlb_load_misses.walk_active, max(cycle_activity.cycles_mem_any - cycle_activity.cycles_l1d_miss, 0)) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the (first level) DTLB was missed by load accesses, that later on hit in second-level TLB (STLB)",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_load - tma_load_stlb_miss",
	.metric_name = "tma_load_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the Second-level TLB (STLB) was missed by load accesses, performing a hardware page walk",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_load_misses.walk_active / clks",
	.metric_name = "tma_load_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_load_group",
},
{
	.desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores",
	.topic = "tgl metrics",
	.long_desc = "This metric roughly estimates fraction of cycles when the memory subsystem had loads blocked since they could not forward data from earlier (in program order) overlapping stores. To streamline memory operations in the pipeline; a load can avoid waiting for memory if a prior in-flight store is writing the data that the load wants to read (store forwarding process). However; in some cases the load may be blocked for a significant time pending the store forward. For example; when the prior store is writing a smaller region than the load is reading",
	.unit = "100%",
	.metric_expr = "13 * ld_blocks.store_forward / clks",
	.metric_name = "tma_store_fwd_blk",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU spent handling cache misses due to lock operations. Due to the microarchitecture handling of locks; they are classified as L1_Bound regardless of what memory source satisfied them. Sample with: MEM_INST_RETIRED.LOCK_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(16 * max(0, mem_inst_retired.lock_loads - l2_rqsts.all_rfo) + mem_inst_retired.lock_loads / mem_inst_retired.all_stores * (10 * l2_rqsts.rfo_hit + min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo))) / clks",
	.metric_name = "tma_lock_latency",
	.metric_group = "Offcore;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles handling memory load split accesses - load that cross 64-byte cache line boundary.  Sample with: MEM_INST_RETIRED.SPLIT_LOADS_PS",
	.unit = "100%",
	.metric_expr = "load_miss_real_latency * ld_blocks.no_sr / clks",
	.metric_name = "tma_split_loads",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often memory load accesses were aliased by preceding stores (in program order) with a 4K address offset. False match is possible; which incur a few cycles load re-issue. However; the short re-issue duration is often hidden by the out-of-order core and HW optimizations; hence a user may safely ignore a high value of this metric unless it manages to propagate up into parent nodes of the hierarchy (e.g. to L1_Bound)",
	.unit = "100%",
	.metric_expr = "ld_blocks_partial.address_alias / clks",
	.metric_name = "tma_4k_aliasing",
	.metric_group = "TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed",
	.topic = "tgl metrics",
	.long_desc = "This metric does a *rough estimation* of how often L1D Fill Buffer unavailability limited additional L1D miss memory access requests to proceed. The higher the metric value; the deeper the memory hierarchy level the misses are satisfied from (metric values >1 are valid). Often it hints on approaching bandwidth limits (to L2 cache; L3 cache or external memory)",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.fb_full / clks",
	.metric_name = "tma_fb_full",
	.metric_group = "MemoryBW;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to L2 cache accesses by loads.  Avoiding cache misses (i.e. L1 misses/L2 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L2_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) / (mem_load_retired.l2_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss) + l1d_pend_miss.fb_full_periods) * ((cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks)",
	.metric_name = "tma_l2_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "(cycle_activity.stalls_l2_miss - cycle_activity.stalls_l3_miss) / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to contested accesses. Contested accesses occur when data written by one Logical Processor are read by another Logical Processor on a different Physical Core. Examples of contested accesses include synchronizations such as locks; true data sharing such as modified locked variables; and false sharing. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_FWD;MEM_LOAD_L3_HIT_RETIRED.XSNP_MISS",
	.unit = "100%",
	.metric_expr = "(49 * average_frequency * (mem_load_l3_hit_retired.xsnp_fwd * (ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) + 48 * average_frequency * mem_load_l3_hit_retired.xsnp_miss) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_contested_accesses",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles while the memory subsystem was handling synchronizations due to data-sharing accesses. Data shared by multiple Logical Processors (even just read shared) may cause increased access latency due to cache coherency. Excessive data sharing can drastically harm multithreaded performance. Sample with: MEM_LOAD_L3_HIT_RETIRED.XSNP_NO_FWD",
	.unit = "100%",
	.metric_expr = "48 * average_frequency * (mem_load_l3_hit_retired.xsnp_no_fwd + mem_load_l3_hit_retired.xsnp_fwd * (1 - ocr.demand_data_rd.l3_hit.snoop_hitm / (ocr.demand_data_rd.l3_hit.snoop_hitm + ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd))) * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_data_sharing",
	.metric_group = "Offcore;Snoop;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles with demand load accesses that hit the L3 cache under unloaded scenarios (possibly L3 latency limited).  Avoiding private cache misses (i.e. L2 misses/L3 hits) will improve the latency; reduce contention with sibling physical cores and increase performance.  Note the value of this node may overlap with its siblings. Sample with: MEM_LOAD_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "17.5 * average_frequency * mem_load_retired.l3_hit * (1 + mem_load_retired.fb_hit / mem_load_retired.l1_miss / 2) / clks",
	.metric_name = "tma_l3_hit_latency",
	.metric_group = "MemoryLat;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors)",
	.topic = "tgl metrics",
	.long_desc = "This metric measures fraction of cycles where the Super Queue (SQ) was full taking into account all request-types and both hardware SMT threads (Logical Processors). The Super Queue is used for requests to access the L2 cache or to go out to the Uncore",
	.unit = "100%",
	.metric_expr = "l1d_pend_miss.l2_stall / clks",
	.metric_name = "tma_sq_full",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_l3_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "cycle_activity.stalls_l3_miss / clks + (cycle_activity.stalls_l1d_miss - cycle_activity.stalls_l2_miss) / clks - tma_l2_bound",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=4@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_INST_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "exe_activity.bound_on_stores / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU spent handling L1D store misses. Store accesses usually less impact out-of-order core performance; however; holding resources for longer time can lead into undesired implications (e.g. contention on L1D fill-buffer entries - see FB_Full)",
	.unit = "100%",
	.metric_expr = "(l2_rqsts.rfo_hit * 10 * (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) + (1 - mem_inst_retired.lock_loads / mem_inst_retired.all_stores) * min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_demand_rfo)) / clks",
	.metric_name = "tma_store_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing",
	.topic = "tgl metrics",
	.long_desc = "This metric roughly estimates how often CPU was handling synchronizations due to False Sharing. False Sharing is a multithreading hiccup; where multiple Logical Processors contend on different data-elements mapped into the same cache line.  Sample with: OCR.DEMAND_RFO.L3_HIT.SNOOP_HITM",
	.unit = "100%",
	.metric_expr = "54 * average_frequency * ocr.demand_rfo.l3_hit.snoop_hitm / clks",
	.metric_name = "tma_false_sharing",
	.metric_group = "DataSharing;Offcore;Snoop;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric represents rate of split store accesses",
	.topic = "tgl metrics",
	.long_desc = "This metric represents rate of split store accesses.  Consider aligning your data to the 64-byte cache line granularity. Sample with: MEM_INST_RETIRED.SPLIT_STORES_PS",
	.unit = "100%",
	.metric_expr = "mem_inst_retired.split_stores / core_clks",
	.metric_name = "tma_split_stores",
	.metric_group = "TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to Streaming store memory accesses; Streaming store optimize out a read request required by RFO stores. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should Streaming stores be a bottleneck. Sample with: OCR.STREAMING_WR.ANY_RESPONSE",
	.unit = "100%",
	.metric_expr = "9 * ocr.streaming_wr.any_response / clks",
	.metric_name = "tma_streaming_stores",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses",
	.topic = "tgl metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles spent handling first-level data TLB store misses.  As with ordinary data caching; focus on improving data locality and reducing working-set size to reduce DTLB overhead.  Additionally; consider using profile-guided optimization (PGO) to collocate frequently-used data on the same page.  Try using larger page sizes for large amounts of frequently-used data. Sample with: MEM_INST_RETIRED.STLB_MISS_STORES_PS",
	.unit = "100%",
	.metric_expr = "(7 * cpu@dtlb_store_misses.stlb_hit\\,cmask\\=1@ + dtlb_store_misses.walk_active) / core_clks",
	.metric_name = "tma_dtlb_store",
	.metric_group = "MemoryTLB;TopdownL4;tma_store_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the TLB was missed by store accesses, hitting in the second-level TLB (STLB)",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "tma_dtlb_store - tma_store_stlb_miss",
	.metric_name = "tma_store_stlb_hit",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric estimates the fraction of cycles where the STLB was missed by store accesses, performing a hardware page walk",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "dtlb_store_misses.walk_active / core_clks",
	.metric_name = "tma_store_stlb_miss",
	.metric_group = "MemoryTLB;TopdownL5;tma_dtlb_store_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "max(0, tma_backend_bound - tma_memory_bound)",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_ACTIVE",
	.unit = "100%",
	.metric_expr = "arith.divider_active / clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((cpu@exe_activity.3_ports_util\\,umask\\=0x80@ + (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util)) / clks if arith.divider_active < cycle_activity.stalls_total - cycle_activity.stalls_mem_any else (exe_activity.1_ports_util + tma_retiring * exe_activity.2_ports_util) / clks)",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed no uops on any execution port (Logical Processor cycles since ICL, Physical Core cycles otherwise). Long-latency instructions like divides may contribute to this metric",
	.unit = "100%",
	.metric_expr = "cpu@exe_activity.3_ports_util\\,umask\\=0x80@ / clks + tma_serializing_operation * (cycle_activity.stalls_total - cycle_activity.stalls_mem_any) / clks",
	.metric_name = "tma_ports_utilized_0",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU issue-pipeline was stalled due to serializing operations. Instructions like CPUID; WRMSR or LFENCE serialize the out-of-order execution which may limit performance. Sample with: RESOURCE_STALLS.SCOREBOARD",
	.unit = "100%",
	.metric_expr = "resource_stalls.scoreboard / clks",
	.metric_name = "tma_serializing_operation",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to PAUSE Instructions. Sample with: MISC_RETIRED.PAUSE_INST",
	.unit = "100%",
	.metric_expr = "140 * misc_retired.pause_inst / clks",
	.metric_name = "tma_slow_pause",
	.metric_group = "TopdownL6;tma_serializing_operation_group",
},
{
	.desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued",
	.topic = "tgl metrics",
	.long_desc = "The Mixing_Vectors metric gives the percentage of injected blend uops out of all uops issued. Usually a Mixing_Vectors over 5% is worth investigating. Read more in Appendix B1 of the Optimizations Guide for this topic",
	.unit = "100%",
	.metric_expr = "clks * uops_issued.vector_width_mismatch / uops_issued.any",
	.metric_name = "tma_mixing_vectors",
	.metric_group = "TopdownL5;tma_ports_utilized_0_group",
},
{
	.desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles where the CPU executed total of 1 uop per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). This can be due to heavy data-dependency among software instructions; or over oversubscribing a particular hardware resource. In some other cases with high 1_Port_Utilized and L1_Bound; this metric can point to L1 data-cache latency bottleneck that may not necessarily manifest with complete execution starvation (due to the short L1 latency e.g. walking a linked list) - looking at the assembly can be helpful. Sample with: EXE_ACTIVITY.1_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "exe_activity.1_ports_util / clks",
	.metric_name = "tma_ports_utilized_1",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 2 uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise).  Loop Vectorization -most compilers feature auto-Vectorization options today- reduces pressure on the execution ports as multiple elements are calculated with same uop. Sample with: EXE_ACTIVITY.2_PORTS_UTIL",
	.unit = "100%",
	.metric_expr = "exe_activity.2_ports_util / clks",
	.metric_name = "tma_ports_utilized_2",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of cycles CPU executed total of 3 or more uops per cycle on all execution ports (Logical Processor cycles since ICL, Physical Core cycles otherwise). Sample with: UOPS_EXECUTED.CYCLES_GE_3",
	.unit = "100%",
	.metric_expr = "uops_executed.cycles_ge_3 / clks",
	.metric_name = "tma_ports_utilized_3m",
	.metric_group = "PortsUtil;TopdownL4;tma_ports_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution ports for ALU operations",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_0 + uops_dispatched.port_1 + uops_dispatched.port_5 + uops_dispatched.port_6) / (4 * core_clks)",
	.metric_name = "tma_alu_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 0 ([SNB+] ALU; [HSW+] ALU and 2nd branch) Sample with: UOPS_DISPATCHED.PORT_0",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_0 / core_clks",
	.metric_name = "tma_port_0",
	.metric_group = "Compute;TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 1 (ALU) Sample with: UOPS_DISPATCHED.PORT_1",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_1 / core_clks",
	.metric_name = "tma_port_1",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 5 ([SNB+] Branches and ALU; [HSW+] ALU) Sample with: UOPS_DISPATCHED.PORT_5",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_5 / core_clks",
	.metric_name = "tma_port_5",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port 6 ([HSW+]Primary Branch and simple ALU) Sample with: UOPS_DISPATCHED.PORT_6",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_6 / core_clks",
	.metric_name = "tma_port_6",
	.metric_group = "TopdownL6;tma_alu_op_utilization_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Load operations Sample with: UOPS_DISPATCHED.PORT_2_3",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "uops_dispatched.port_2_3 / (2 * core_clks)",
	.metric_name = "tma_load_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This metric represents Core fraction of cycles CPU dispatched uops on execution port for Store operations Sample with: UOPS_DISPATCHED.PORT_7_8",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "(uops_dispatched.port_4_9 + uops_dispatched.port_7_8) / (4 * core_clks)",
	.metric_name = "tma_store_op_utilization",
	.metric_group = "TopdownL5;tma_ports_utilized_3m_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "tgl metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.SLOTS",
	.unit = "100%",
	.metric_expr = "topdown\\-retiring / (topdown\\-fe\\-bound + topdown\\-bad\\-spec + topdown\\-retiring + topdown\\-be\\-bound) + 0 * slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "max(0, tma_retiring - tma_heavy_operations)",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "tgl metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "tgl metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "tma_retiring * uops_executed.x87 / uops_executed.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "tgl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double) / (tma_retiring * slots)",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "tgl metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors",
	.topic = "tgl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 128-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_128b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors",
	.topic = "tgl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 256-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_256b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors",
	.topic = "tgl metrics",
	.long_desc = "This metric approximates arithmetic FP vector uops fraction the CPU has retired for 512-bit wide vectors. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single) / (tma_retiring * slots)",
	.metric_name = "tma_fp_vector_512b",
	.metric_group = "Compute;Flops;TopdownL5;tma_fp_vector_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring memory operations -- uops for memory load or store accesses",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * mem_inst_retired.any / inst_retired.any",
	.metric_name = "tma_memory_operations",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring branch instructions",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "tma_light_operations * br_inst_retired.all_branches / (tma_retiring * slots)",
	.metric_name = "tma_branch_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring NOP (no op) instructions. Compilers often use NOPs for certain address alignments - e.g. start address of a function or loop body. Sample with: INST_RETIRED.NOP",
	.unit = "100%",
	.metric_expr = "tma_light_operations * inst_retired.nop / (tma_retiring * slots)",
	.metric_name = "tma_nop_instructions",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents the remaining light uops fraction the CPU has executed - remaining means not covered by other sibling nodes. May undercount due to FMA double counting",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "max(0, tma_light_operations - (tma_fp_arith + tma_memory_operations + tma_branch_instructions + tma_nop_instructions))",
	.metric_name = "tma_other_light_ops",
	.metric_group = "Pipeline;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer + tma_retiring * (uops_decoded.dec0 - cpu@uops_decoded.dec0\\,cmask\\=1@) / idq.mite_uops",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring instructions that that are decoder into two or up to ([SNB+] four; [ADL+] five) uops. This highly-correlates with the number of uops in such instructions",
	.unit = "100%",
	.metric_expr = "tma_heavy_operations - tma_microcode_sequencer",
	.metric_name = "tma_few_uops_instructions",
	.metric_group = "TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "tgl metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "tma_retiring * slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of slots the CPU retired uops delivered by the Microcode_Sequencer as a result of Assists. Assists are long sequences of uops that are required in certain corner-cases for operations that cannot be handled natively by the execution pipeline. For example; when working with very small floating point values (so-called Denormals); the FP units are not set up to perform these operations natively. Instead; a sequence of instructions to perform the computation on the Denormals is injected into the pipeline. Since these microcode sequences might be dozens of uops long; Assists can be extremely deleterious to performance and they can be avoided in many cases. Sample with: ASSISTS.ANY",
	.unit = "100%",
	.metric_expr = "100 * assists.any / slots",
	.metric_name = "tma_assists",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction",
	.topic = "tgl metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU retired uops originated from CISC (complex instruction set computer) instruction. A CISC instruction has multiple uops that are required to perform the instruction's functionality as in the case of read-modify-write as an example. Since these instructions require multiple uops they may or may not imply sub-optimal use of machine resources",
	.unit = "100%",
	.metric_expr = "max(0, tma_microcode_sequencer - tma_assists)",
	.metric_name = "tma_cisc",
	.metric_group = "TopdownL4;tma_microcode_sequencer_group",
},
{
	.desc = "Total pipeline cost of Branch Misprediction related bottlenecks",
	.topic = "tgl metrics",
	.metric_expr = "100 * (tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches))",
	.metric_name = "Mispredictions",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Total pipeline cost of (external) Memory Bandwidth related bottlenecks",
	.topic = "tgl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_bandwidth / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_sq_full / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full))) + tma_l1_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_fb_full / (tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk))",
	.metric_name = "Memory_Bandwidth",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Latency related bottlenecks (external memory and off-core caches)",
	.topic = "tgl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_dram_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_mem_latency / (tma_mem_bandwidth + tma_mem_latency)) + tma_l3_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_l3_hit_latency / (tma_contested_accesses + tma_data_sharing + tma_l3_hit_latency + tma_sq_full)) + tma_l2_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound))",
	.metric_name = "Memory_Latency",
	.metric_group = "Mem;MemoryLat;Offcore",
},
{
	.desc = "Total pipeline cost of Memory Address Translation related bottlenecks (data-side TLBs)",
	.topic = "tgl metrics",
	.metric_expr = "100 * tma_memory_bound * (tma_l1_bound / max(tma_memory_bound, tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_load / max(tma_l1_bound, tma_4k_aliasing + tma_dtlb_load + tma_fb_full + tma_lock_latency + tma_split_loads + tma_store_fwd_blk)) + tma_store_bound / (tma_dram_bound + tma_l1_bound + tma_l2_bound + tma_l3_bound + tma_store_bound) * (tma_dtlb_store / (tma_dtlb_store + tma_false_sharing + tma_split_stores + tma_store_latency + tma_streaming_stores)))",
	.metric_name = "Memory_Data_TLBs",
	.metric_group = "Mem;MemoryTLB;Offcore",
},
{
	.desc = "Total pipeline cost of branch related instructions (used for program control-flow including function calls)",
	.topic = "tgl metrics",
	.metric_expr = "100 * ((br_inst_retired.cond + 3 * br_inst_retired.near_call + (br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call)) / slots)",
	.metric_name = "Branching_Overhead",
	.metric_group = "Ret",
},
{
	.desc = "Total pipeline cost of instruction fetch related bottlenecks by large code footprint programs (i-side cache; TLB and BTB misses)",
	.topic = "tgl metrics",
	.metric_expr = "100 * tma_fetch_latency * (tma_itlb_misses + tma_icache_misses + tma_unknown_branches) / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)",
	.metric_name = "Big_Code",
	.metric_group = "BigFoot;Fed;Frontend;IcMiss;MemoryTLB",
},
{
	.desc = "Total pipeline cost of instruction fetch bandwidth related bottlenecks",
	.topic = "tgl metrics",
	.metric_expr = "100 * (tma_frontend_bound - tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) - big_code",
	.metric_name = "Instruction_Fetch_BW",
	.metric_group = "Fed;FetchBW;Frontend",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "tgl metrics",
	.metric_expr = "tma_retiring * slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Instruction per taken branch",
	.topic = "tgl metrics",
	.metric_expr = "tma_retiring * slots / br_inst_retired.near_taken",
	.metric_name = "UpTB",
	.metric_group = "Branches;Fed;FetchBW",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "tgl metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "tgl metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "tgl metrics",
	.metric_expr = "topdown.slots",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "Fraction of Physical Core issue-slots utilized by this Logical Processor",
	.topic = "tgl metrics",
	.metric_expr = "(slots / (topdown.slots / 2) if #smt_on else 1)",
	.metric_name = "Slots_Utilization",
	.metric_group = "SMT;tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "tgl metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_executed.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "tgl metrics",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width)",
	.topic = "tgl metrics",
	.long_desc = "Actual per-core usage of the Floating Point non-X87 execution units (regardless of precision or vector-width). Values > 1 are possible due to ([BDW+] Fused-Multiply Add (FMA) counting - common; [ADL+] use all of ADD/MUL/FMA in Scalar or 128/256-bit vectors - less common)",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)) / (2 * core_clks)",
	.metric_name = "FP_Arith_Utilization",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "tgl metrics",
	.metric_expr = "uops_executed.thread / (uops_executed.core_cycles_ge_1 / 2 if #smt_on else uops_executed.core_cycles_ge_1)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Probability of Core Bound bottleneck hidden by SMT-profiling artifacts",
	.topic = "tgl metrics",
	.metric_expr = "((1 - tma_core_bound / tma_ports_utilization if tma_core_bound < tma_ports_utilization else 1) if smt_2t_utilization > 0.5 else 0)",
	.metric_name = "Core_Bound_Likely",
	.metric_group = "Cor;SMT",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "tgl metrics",
	.metric_expr = "cpu_clk_unhalted.distributed",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Instructions per Load (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_loads",
	.metric_name = "IpLoad",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Store (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / mem_inst_retired.all_stores",
	.metric_name = "IpStore",
	.metric_group = "InsType",
},
{
	.desc = "Instructions per Branch (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.all_branches",
	.metric_name = "IpBranch",
	.metric_group = "Branches;Fed;InsType",
},
{
	.desc = "Instructions per (near) call (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_call",
	.metric_name = "IpCall",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instruction per taken branch",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.near_taken",
	.metric_name = "IpTB",
	.metric_group = "Branches;Fed;FetchBW;Frontend;PGO",
},
{
	.desc = "Branch instructions per taken branch",
	.topic = "tgl metrics",
	.metric_expr = "br_inst_retired.all_branches / br_inst_retired.near_taken",
	.metric_name = "BpTkBranch",
	.metric_group = "Branches;Fed;PGO",
},
{
	.desc = "Instructions per Floating Point (FP) Operation (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpFLOP",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic instruction (lower number means higher occurrence rate). May undercount due to FMA double counting. Approximated prior to BDW",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single))",
	.metric_name = "IpArith",
	.metric_group = "Flops;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Single-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_single",
	.metric_name = "IpArith_Scalar_SP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic Scalar Double-Precision instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / fp_arith_inst_retired.scalar_double",
	.metric_name = "IpArith_Scalar_DP",
	.metric_group = "Flops;FpScalar;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX/SSE 128-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.128b_packed_double + fp_arith_inst_retired.128b_packed_single)",
	.metric_name = "IpArith_AVX128",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX* 256-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.256b_packed_double + fp_arith_inst_retired.256b_packed_single)",
	.metric_name = "IpArith_AVX256",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.long_desc = "Instructions per FP Arithmetic AVX 512-bit instruction (lower number means higher occurrence rate). May undercount due to FMA double counting",
	.metric_expr = "inst_retired.any / (fp_arith_inst_retired.512b_packed_double + fp_arith_inst_retired.512b_packed_single)",
	.metric_name = "IpArith_AVX512",
	.metric_group = "Flops;FpVector;InsType",
},
{
	.desc = "Instructions per Software prefetch instruction (of any type: NTA/T0/T1/T2/Prefetch) (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / cpu@sw_prefetch_access.t0\\,umask\\=0xf@",
	.metric_name = "IpSWPF",
	.metric_group = "Prefetches",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "tgl metrics",
	.metric_expr = "tma_retiring * slots / cpu@uops_retired.slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "",
	.topic = "tgl metrics",
	.metric_expr = "uops_executed.thread / cpu@uops_executed.thread\\,cmask\\=1@",
	.metric_name = "Execute",
	.metric_group = "Cor;Pipeline;PortsUtil;SMT",
},
{
	.desc = "Average number of Uops issued by front-end when it issued something",
	.topic = "tgl metrics",
	.metric_expr = "uops_issued.any / cpu@uops_issued.any\\,cmask\\=1@",
	.metric_name = "Fetch_UpC",
	.metric_group = "Fed;FetchBW",
},
{
	.desc = "Fraction of Uops delivered by the LSD (Loop Stream Detector; aka Loop Cache)",
	.topic = "tgl metrics",
	.metric_expr = "lsd.uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "LSD_Coverage",
	.metric_group = "Fed;LSD",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "tgl metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average number of cycles of a switch from the DSB fetch-unit to MITE fetch unit - see DSB_Switches tree node for details",
	.topic = "tgl metrics",
	.metric_expr = "dsb2mite_switches.penalty_cycles / cpu@dsb2mite_switches.penalty_cycles\\,cmask\\=1\\,edge@",
	.metric_name = "DSB_Switch_Cost",
	.metric_group = "DSBmiss",
},
{
	.desc = "Total penalty related to DSB (uop cache) misses - subset of the Instruction_Fetch_BW Bottleneck",
	.topic = "tgl metrics",
	.metric_expr = "100 * (tma_fetch_latency * tma_dsb_switches / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches) + tma_fetch_bandwidth * tma_mite / (tma_dsb + tma_lsd + tma_mite))",
	.metric_name = "DSB_Misses",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative DSB miss (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / frontend_retired.any_dsb_miss",
	.metric_name = "IpDSB_Miss_Ret",
	.metric_group = "DSBmiss;Fed",
},
{
	.desc = "Number of Instructions per non-speculative Branch Misprediction (JEClear) (lower number means higher occurrence rate)",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / br_misp_retired.all_branches",
	.metric_name = "IpMispredict",
	.metric_group = "Bad;BadSpec;BrMispredicts",
},
{
	.desc = "Branch Misprediction Cost: Fraction of TMA slots wasted per non-speculative branch misprediction (retired JEClear)",
	.topic = "tgl metrics",
	.metric_expr = "(tma_branch_mispredicts + tma_fetch_latency * tma_mispredicts_resteers / (tma_branch_resteers + tma_dsb_switches + tma_icache_misses + tma_itlb_misses + tma_lcp + tma_ms_switches)) * slots / br_misp_retired.all_branches",
	.metric_name = "Branch_Misprediction_Cost",
	.metric_group = "Bad;BrMispredicts",
},
{
	.desc = "Fraction of branches that are non-taken conditionals",
	.topic = "tgl metrics",
	.metric_expr = "br_inst_retired.cond_ntaken / br_inst_retired.all_branches",
	.metric_name = "Cond_NT",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are taken conditionals",
	.topic = "tgl metrics",
	.metric_expr = "br_inst_retired.cond_taken / br_inst_retired.all_branches",
	.metric_name = "Cond_TK",
	.metric_group = "Bad;Branches;CodeGen;PGO",
},
{
	.desc = "Fraction of branches that are CALL or RET",
	.topic = "tgl metrics",
	.metric_expr = "(br_inst_retired.near_call + br_inst_retired.near_return) / br_inst_retired.all_branches",
	.metric_name = "CallRet",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches that are unconditional (direct or indirect) jumps",
	.topic = "tgl metrics",
	.metric_expr = "(br_inst_retired.near_taken - br_inst_retired.cond_taken - 2 * br_inst_retired.near_call) / br_inst_retired.all_branches",
	.metric_name = "Jump",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Fraction of branches of other types (not individually covered by other metrics in Info.Branches group)",
	.topic = "tgl metrics",
	.metric_expr = "1 - (cond_nt + cond_tk + callret + jump)",
	.metric_name = "Other_Branches",
	.metric_group = "Bad;Branches",
},
{
	.desc = "Actual Average Latency for L1 data-cache miss demand load operations (in core cycles)",
	.topic = "tgl metrics",
	.metric_expr = "l1d_pend_miss.pending / (mem_load_retired.l1_miss + mem_load_retired.fb_hit)",
	.metric_name = "Load_Miss_Real_Latency",
	.metric_group = "Mem;MemoryBound;MemoryLat",
},
{
	.desc = "Memory-Level-Parallelism (average number of L1 miss demand load when there is at least one such miss. Per-Logical Processor)",
	.topic = "tgl metrics",
	.metric_expr = "l1d_pend_miss.pending / l1d_pend_miss.pending_cycles",
	.metric_name = "MLP",
	.metric_group = "Mem;MemoryBW;MemoryBound",
},
{
	.desc = "L1 cache true misses per kilo instruction for retired demand loads",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * mem_load_retired.l1_miss / inst_retired.any",
	.metric_name = "L1MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L1 cache true misses per kilo instruction for all demand loads (including speculative)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * l2_rqsts.all_demand_data_rd / inst_retired.any",
	.metric_name = "L1MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache true misses per kilo instruction for retired demand loads",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * mem_load_retired.l2_miss / inst_retired.any",
	.metric_name = "L2MPKI",
	.metric_group = "Backend;CacheMisses;Mem",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all request types (including speculative)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * l2_rqsts.miss / inst_retired.any",
	.metric_name = "L2MPKI_All",
	.metric_group = "CacheMisses;Mem;Offcore",
},
{
	.desc = "L2 cache ([RKL+] true) misses per kilo instruction for all demand loads  (including speculative)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_miss / inst_retired.any",
	.metric_name = "L2MPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all request types (including speculative)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * (l2_rqsts.references - l2_rqsts.miss) / inst_retired.any",
	.metric_name = "L2HPKI_All",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L2 cache hits per kilo instruction for all demand loads  (including speculative)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * l2_rqsts.demand_data_rd_hit / inst_retired.any",
	.metric_name = "L2HPKI_Load",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "L3 cache true misses per kilo instruction for retired demand loads",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * mem_load_retired.l3_miss / inst_retired.any",
	.metric_name = "L3MPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Fill Buffer (FB) hits per kilo instructions for retired demand loads (L1D misses that merge into ongoing miss-handling entries)",
	.topic = "tgl metrics",
	.metric_expr = "1e3 * mem_load_retired.fb_hit / inst_retired.any",
	.metric_name = "FB_HPKI",
	.metric_group = "CacheMisses;Mem",
},
{
	.desc = "Utilization of the core's Page Walker(s) serving STLB misses triggered by instruction/Load/Store accesses",
	.topic = "tgl metrics",
	.metric_expr = "(itlb_misses.walk_pending + dtlb_load_misses.walk_pending + dtlb_store_misses.walk_pending) / (2 * core_clks)",
	.metric_name = "Page_Walks_Utilization",
	.metric_group = "Mem;MemoryTLB",
	.metric_constraint = "NO_NMI_WATCHDOG",
},
{
	.desc = "Average per-core data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "64 * l1d.replacement / 1e9 / duration_time",
	.metric_name = "L1D_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "64 * l2_lines_in.all / 1e9 / duration_time",
	.metric_name = "L2_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "64 * longest_lat_cache.miss / 1e9 / duration_time",
	.metric_name = "L3_Cache_Fill_BW",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-core data access bandwidth to the L3 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "64 * offcore_requests.all_requests / 1e9 / duration_time",
	.metric_name = "L3_Cache_Access_BW",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average per-thread data fill bandwidth to the L1 data cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "l1d_cache_fill_bw",
	.metric_name = "L1D_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L2 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "l2_cache_fill_bw",
	.metric_name = "L2_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data fill bandwidth to the L3 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "l3_cache_fill_bw",
	.metric_name = "L3_Cache_Fill_BW_1T",
	.metric_group = "Mem;MemoryBW",
},
{
	.desc = "Average per-thread data access bandwidth to the L3 cache [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "l3_cache_access_bw",
	.metric_name = "L3_Cache_Access_BW_1T",
	.metric_group = "Mem;MemoryBW;Offcore",
},
{
	.desc = "Average CPU Utilization",
	.topic = "tgl metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "tgl metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "tgl metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_arith_inst_retired.scalar_single + fp_arith_inst_retired.scalar_double + 2 * fp_arith_inst_retired.128b_packed_double + 4 * (fp_arith_inst_retired.128b_packed_single + fp_arith_inst_retired.256b_packed_double) + 8 * (fp_arith_inst_retired.256b_packed_single + fp_arith_inst_retired.512b_packed_double) + 16 * fp_arith_inst_retired.512b_packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "tgl metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0",
	.topic = "tgl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for baseline license level 0.  This includes non-AVX codes, SSE, AVX 128-bit, and low-current AVX 256-bit codes",
	.metric_expr = "core_power.lvl0_turbo_license / core_clks",
	.metric_name = "Power_License0_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1",
	.topic = "tgl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 1.  This includes high current AVX 256-bit instructions as well as low current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl1_turbo_license / core_clks",
	.metric_name = "Power_License1_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX)",
	.topic = "tgl metrics",
	.long_desc = "Fraction of Core cycles where the core was running with power-delivery for license level 2 (introduced in SKX).  This includes high current AVX 512-bit instructions",
	.metric_expr = "core_power.lvl2_turbo_license / core_clks",
	.metric_name = "Power_License2_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "tgl metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_distributed if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "tgl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "tgl metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "tgl metrics",
	.metric_expr = "64 * (arb@event\\=0x81\\,umask\\=0x1@ + arb@event\\=0x84\\,umask\\=0x1@) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "tgl metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / arb@event\\=0x81\\,umask\\=0x1@",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "tgl metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "C6 residency percent per core",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C8 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c8\\-residency@ / tsc",
	.metric_name = "C8_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C9 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c9\\-residency@ / tsc",
	.metric_name = "C9_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C10 residency percent per package",
	.topic = "tgl metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c10\\-residency@ / tsc",
	.metric_name = "C10_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "cycle_activity.stalls_l3_miss",
	.event = "cmask=6,period=1000003,umask=0x6,event=0xa3",
	.desc = "Execution stalls while L3 cache miss demand load is outstanding",
	.topic = "memory",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Number of machine clears due to memory ordering conflicts",
	.topic = "memory",
	.long_desc = "Counts the number of Machine Clears detected dye to memory ordering. Memory Ordering Machine Clears may apply when a memory read may not conform to the memory ordering rules of the x86 architecture",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 128 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 16 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 256 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 32 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 4 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 512 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 64 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles  Supports address when precise (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts randomly selected loads when the latency from first dispatch to completion is greater than 8 cycles.  Reported latency may be longer than just the memory latency  Supports address when precise (Must be precise)",
},
{
	.name = "offcore_requests.l3_miss_demand_data_rd",
	.event = "period=100003,umask=0x10,event=0xb0",
	.desc = "Demand Data Read requests who miss L3 cache",
	.topic = "memory",
	.long_desc = "Demand Data Read requests who miss L3 cache",
},
{
	.name = "rtm_retired.aborted",
	.event = "period=100003,umask=0x4,event=0xc9",
	.desc = "Number of times an RTM execution aborted",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM abort was triggered",
},
{
	.name = "rtm_retired.aborted_events",
	.event = "period=100003,umask=0x80,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to none of the previous 4 categories (e.g. interrupt)",
},
{
	.name = "rtm_retired.aborted_mem",
	.event = "period=100003,umask=0x8,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to various memory events (e.g. read/write capacity and conflicts)",
},
{
	.name = "rtm_retired.aborted_memtype",
	.event = "period=100003,umask=0x40,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to incompatible memory type",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to incompatible memory type",
},
{
	.name = "rtm_retired.aborted_unfriendly",
	.event = "period=100003,umask=0x20,event=0xc9",
	.desc = "Number of times an RTM execution aborted due to HLE-unfriendly instructions",
	.topic = "memory",
	.long_desc = "Counts the number of times an RTM execution aborted due to HLE-unfriendly instructions",
},
{
	.name = "rtm_retired.commit",
	.event = "period=100003,umask=0x2,event=0xc9",
	.desc = "Number of times an RTM execution successfully committed",
	.topic = "memory",
	.long_desc = "Counts the number of times RTM commit succeeded",
},
{
	.name = "rtm_retired.start",
	.event = "period=100003,umask=0x1,event=0xc9",
	.desc = "Number of times an RTM execution started",
	.topic = "memory",
	.long_desc = "Counts the number of times we entered an RTM region. Does not count nested transactions",
},
{
	.name = "tx_exec.misc2",
	.event = "period=100003,umask=0x2,event=0x5d",
	.desc = "Counts the number of times a class of instructions that may cause a transactional abort was executed inside a transactional region",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a vzeroupper instruction",
},
{
	.name = "tx_exec.misc3",
	.event = "period=100003,umask=0x4,event=0x5d",
	.desc = "Number of times an instruction execution caused the transactional nest count supported to be exceeded",
	.topic = "memory",
	.long_desc = "Counts Unfriendly TSX abort triggered by a nest count that is too deep",
},
{
	.name = "tx_mem.abort_capacity_read",
	.event = "period=100003,umask=0x80,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional reads",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional reads",
},
{
	.name = "tx_mem.abort_capacity_write",
	.event = "period=100003,umask=0x2,event=0x54",
	.desc = "Speculatively counts the number of TSX aborts due to a data capacity limitation for transactional writes",
	.topic = "memory",
	.long_desc = "Speculatively counts the number of Transactional Synchronization Extensions (TSX) aborts due to a data capacity limitation for transactional writes",
},
{
	.name = "tx_mem.abort_conflict",
	.event = "period=100003,umask=0x1,event=0x54",
	.desc = "Number of times a transactional abort was signaled due to a data conflict on a transactionally accessed address",
	.topic = "memory",
	.long_desc = "Counts the number of times a TSX line had a cache conflict",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "UNC_ARB_COH_TRK_REQUESTS.ALL. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_occupancy.all",
	.event = "umask=0x1,event=0x85",
	.desc = "Each cycle counts number of any coherent request at memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_occupancy.rd",
	.event = "umask=0x2,event=0x85",
	.desc = "Each cycle counts number of coherent reads pending on data return from memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_dat_requests.rd",
	.event = "umask=0x2,event=0x81",
	.desc = "Number of coherent read requests sent to memory controller that were issued by any core. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_ifa_occupancy.all",
	.event = "umask=0x1,event=0x85",
	.desc = "This event is deprecated. Refer to new event UNC_ARB_DAT_OCCUPANCY.ALL. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_req_trk_request.drd",
	.event = "umask=0x2,event=0x81",
	.desc = "This event is deprecated. Refer to new event UNC_ARB_DAT_REQUESTS.RD. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Each cycle count number of all outgoing valid entries in ReqTrk. Such entry is defined as valid from it's allocation in ReqTrk till deallocation. Accounts for Coherent and non-coherent traffic. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "UNC_ARB_TRK_REQUESTS.ALL. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "UNC_CLOCK.SOCKET. Unit: uncore_clock ",
	.topic = "uncore other",
	.pmu = "uncore_clock",
	.perpkg = "1",
},
{
	.name = "unc_mc0_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every read (RdCAS) issued by the Memory Controller to DRAM (sum of all channels). All requests result in 64 byte data transfers from DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc0_total_reqcount_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read and write request entering the Memory Controller to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc0_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every write (WrCAS) issued by the Memory Controller to DRAM (sum of all channels). All requests result in 64 byte data transfers from DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_rdcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every read (RdCAS) issued by the Memory Controller to DRAM (sum of all channels). All requests result in 64 byte data transfers from DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_total_reqcount_freerun",
	.event = "event=0",
	.desc = "Counts every 64B read and write request entering the Memory Controller to DRAM (sum of all channels). Each write request counts as a new request incrementing this counter. However, same cache line write requests (both full and partial) are combined to a single 64 byte data transfer to DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "unc_mc1_wrcas_count_freerun",
	.event = "event=0",
	.desc = "Counts every write (WrCAS) issued by the Memory Controller to DRAM (sum of all channels). All requests result in 64 byte data transfers from DRAM. Unit: uncore_imc ",
	.topic = "uncore other",
	.pmu = "uncore_imc",
	.perpkg = "1",
},
{
	.name = "l1d.replacement",
	.event = "period=100003,umask=0x1,event=0x51",
	.desc = "Counts the number of cache lines replaced in L1 data cache",
	.topic = "cache",
	.long_desc = "Counts L1D data line replacements including opportunistic replacements, and replacements that require stall-for-replace or block-for-replace",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "period=1000003,umask=0x2,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.fb_full_periods",
	.event = "cmask=1,edge=1,period=1000003,umask=0x2,event=0x48",
	.desc = "Number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability",
	.topic = "cache",
	.long_desc = "Counts number of phases a demand request has waited due to L1D Fill Buffer (FB) unavailability. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.l2_stall",
	.event = "period=1000003,umask=0x4,event=0x48",
	.desc = "Number of cycles a demand request has waited due to L1D due to lack of L2 resources",
	.topic = "cache",
	.long_desc = "Counts number of cycles a demand request has waited due to L1D due to lack of L2 resources. Demand requests include cacheable/uncacheable demand load, store, lock or SW prefetch accesses",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=1000003,umask=0x1,event=0x48",
	.desc = "Number of L1D misses that are outstanding",
	.topic = "cache",
	.long_desc = "Counts number of L1D misses that are outstanding in each cycle, that is each cycle the number of Fill Buffers (FB) outstanding required by Demand Reads. FB either is held by demand loads, or it is held by non-demand loads and gets hit at least once by demand. The valid outstanding interval is defined until the FB deallocation by one of the following ways: from FB allocation, if FB is allocated by demand from the demand Hit FB, if it is allocated by hardware or software prefetch. Note: In the L1D, a Demand Read contains cacheable or noncacheable demand loads, including ones causing cache-line splits and reads due to page walks resulted from any request type",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=1000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
	.long_desc = "Counts duration of L1D miss outstanding in cycles",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x1f,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "Counts the number of L2 cache lines filling the L2. Counting does not cover rejects",
},
{
	.name = "l2_lines_out.non_silent",
	.event = "period=200003,umask=0x2,event=0xf2",
	.desc = "Modified cache lines that are evicted by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are evicted by L2 cache when triggered by an L2 cache fill. Those lines are in Modified state. Modified lines are written back to L3",
},
{
	.name = "l2_lines_out.silent",
	.event = "period=200003,umask=0x1,event=0xf2",
	.desc = "Non-modified cache lines that are silently dropped by L2 cache when triggered by an L2 cache fill",
	.topic = "cache",
	.long_desc = "Counts the number of lines that are silently dropped by L2 cache when triggered by an L2 cache fill. These lines are typically in Shared or Exclusive state. A non-threaded event",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0xe4,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
	.long_desc = "Counts the total number of L2 code requests",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0xe1,event=0x24",
	.desc = "Demand Data Read access L2 cache",
	.topic = "cache",
	.long_desc = "Counts Demand Data Read requests accessing the L2 cache. These requests may hit or miss L2 cache. True-miss exclude misses that were merged with ongoing L2 misses. An access is counted once",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xe2,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
	.long_desc = "Counts the total number of RFO (read for ownership) requests to L2 cache. L2 RFO requests include both L1D demand RFO misses as well as L1D RFO prefetches",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0xc4,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
	.long_desc = "Counts L2 cache hits when fetching instructions, code reads",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x24,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
	.long_desc = "Counts L2 cache misses when fetching instructions",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0xc1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand Data Read requests initiated by load instructions that hit L2 cache",
},
{
	.name = "l2_rqsts.demand_data_rd_miss",
	.event = "period=200003,umask=0x21,event=0x24",
	.desc = "Demand Data Read miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand Data Read requests with true-miss in the L2 cache. True-miss excludes misses that were merged with ongoing L2 misses. An access is counted once",
},
{
	.name = "l2_rqsts.miss",
	.event = "period=200003,umask=0x3f,event=0x24",
	.desc = "Read requests with true-miss in L2 cache",
	.topic = "cache",
	.long_desc = "Counts read requests of any type with true-miss in the L2 cache. True-miss excludes L2 misses that were merged with ongoing L2 misses",
},
{
	.name = "l2_rqsts.references",
	.event = "period=200003,umask=0xff,event=0x24",
	.desc = "All accesses to L2 cache",
	.topic = "cache",
	.long_desc = "Counts all requests that were hit or true misses in L2 cache. True-miss excludes misses that were merged with ongoing L2 misses",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0xc2,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that hit L2 cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x22,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts the RFO (Read-for-Ownership) requests that miss L2 cache",
},
{
	.name = "l2_rqsts.swpf_hit",
	.event = "period=200003,umask=0xc8,event=0x24",
	.desc = "SW prefetch requests that hit L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that hit the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_rqsts.swpf_miss",
	.event = "period=200003,umask=0x28,event=0x24",
	.desc = "SW prefetch requests that miss L2 cache",
	.topic = "cache",
	.long_desc = "Counts Software prefetch requests that miss the L2 cache. Accounts for PREFETCHNTA and PREFETCHT0/1/2 instructions when FB is not full",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
	.long_desc = "Counts L2 writebacks that access L2 cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
	.long_desc = "This event counts the number of cycles when the L1D is locked. It is a superset of the 0x1 mask (BUS_LOCK_CLOCKS.BUS_LOCK_DURATION)",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable requests that missed L3  (Except hardware prefetches to the L3)",
	.topic = "cache",
	.long_desc = "Counts core-originated cacheable requests that miss the L3 cache (Longest Latency cache). Requests include data and code reads, Reads-for-Ownership (RFOs), speculative accesses and hardware prefetches to the L1 and L2.  It does not include hardware prefetches to the L3, and may not count other types of requests to the L3",
},
{
	.name = "mem_inst_retired.all_loads",
	.event = "period=1000003,umask=0x81,event=0xd0",
	.desc = "Retired load instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired load instructions. This event accounts for SW prefetch instructions of PREFETCHNTA or PREFETCHT0/1/2 or PREFETCHW  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.all_stores",
	.event = "period=1000003,umask=0x82,event=0xd0",
	.desc = "Retired store instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired store instructions  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.any",
	.event = "period=1000003,umask=0x83,event=0xd0",
	.desc = "All retired memory instructions  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts all retired memory instructions - loads and stores  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load instructions with locked access  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with locked access  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired store instructions that split across a cacheline boundary  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired load instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_inst_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store instructions that miss the STLB  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Number of retired store instructions that (start a) miss in the 2nd-level TLB (STLB)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_fwd",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Snoop hit a modified(HITM) or clean line(HIT_W_FWD) in another on-pkg core which forwarded the data back due to a retired load instruction  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions where a cross-core snoop hit in another cores caches on this socket, the data was forwarded back to the requesting core as the data was modified (SNOOP_HITM) or the L3 did not have the data(SNOOP_HIT_WITH_FWD)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts the retired load instructions whose data sources were L3 hit and cross-core snoop missed in on-pkg core cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions whose data sources were hits in L3 without snoops required  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_l3_hit_retired.xsnp_no_fwd",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Snoop hit without forwarding in another on-pkg core due to a retired load instruction, data was supplied by the L3  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions in which the L3 supplied the data and a cross-core snoop hit in another cores caches on this socket but that other core did not forward the data back (SNOOP_HIT_NO_FWD)  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.fb_hit",
	.event = "period=100007,umask=0x40,event=0xd1",
	.desc = "Number of completed demand load requests that missed the L1, but hit the FB(fill buffer), because a preceding miss to the same cacheline initiated the line to be brought into L1, but data is not yet ready in L1  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop was load missed in L1 but hit FB (Fill Buffers) due to preceding miss to the same cache line with data not ready  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_hit",
	.event = "period=1000003,umask=0x1,event=0xd1",
	.desc = "Retired load instructions with L1 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L1 data cache. This event includes all SW prefetches and lock instructions regardless of the data source  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Retired load instructions missed L1 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L1 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with L2 cache hits as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l2_miss",
	.event = "period=100021,umask=0x10,event=0xd1",
	.desc = "Retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions missed L2 cache as data sources  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_hit",
	.event = "period=100021,umask=0x4,event=0xd1",
	.desc = "Retired load instructions with L3 cache hits as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that hit in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "mem_load_retired.l3_miss",
	.event = "period=50021,umask=0x20,event=0xd1",
	.desc = "Retired load instructions missed L3 cache as data sources  Supports address when precise (Precise event)",
	.topic = "cache",
	.long_desc = "Counts retired load instructions with at least one uop that missed in the L3 cache  Supports address when precise (Precise event)",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0001",
	.desc = "Counts demand data reads that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "ocr.demand_data_rd.l3_hit.snoop_hit_with_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x8003C0001",
	.desc = "OCR.DEMAND_DATA_RD.L3_HIT.SNOOP_HIT_WITH_FWD",
	.topic = "cache",
},
{
	.name = "ocr.demand_rfo.l3_hit.snoop_hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003C0002",
	.desc = "Counts demand reads for ownership (RFO) requests and software prefetches for exclusive ownership (PREFETCHW) that hit a cacheline in the L3 where a snoop hit in another cores caches, data forwarding is required as the data is modified",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
	.long_desc = "Counts the demand and prefetch data reads. All Core Data Reads include cacheable 'Demands' and L2 prefetchers (not L3 prefetchers). Counting also covers reads due to page walks resulted from any request type",
},
{
	.name = "offcore_requests.all_requests",
	.event = "period=100003,umask=0x80,event=0xb0",
	.desc = "Any memory transaction that reached the SQ",
	.topic = "cache",
	.long_desc = "Counts memory transactions reached the super queue including requests initiated by the core, all L3 prefetches, page walks, etc.",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
	.long_desc = "Counts the Demand Data Read requests sent to uncore. Use it in conjunction with OFFCORE_REQUESTS_OUTSTANDING to determine average latency in the uncore",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
	.long_desc = "Counts the demand RFO (read for ownership) requests including regular RFOs, locks, ItoM",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=1000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding cacheable Core Data Read transactions in the super queue every cycle. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=1000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding cacheable Core Data Read transactions are present in the super queue. A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation). See corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts cycles when offcore outstanding Demand Data Read transactions are present in the super queue (SQ). A transaction is considered to be in the Offcore outstanding state between L2 miss and transaction completion sent to requestor (SQ de-allocation)",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=1000003,umask=0x4,event=0x60",
	.desc = "Cycles with offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
	.long_desc = "Counts the number of offcore outstanding demand rfo Reads transactions in the super queue every cycle. The 'Offcore outstanding' state of the transaction lasts from the L2 miss until the sending transaction completion to requestor (SQ deallocation). See the corresponding Umask under OFFCORE_REQUESTS",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=1000003,umask=0x1,event=0x60",
	.desc = "Demand Data Read transactions pending for off-core. Highly correlated",
	.topic = "cache",
	.long_desc = "Counts the number of off-core outstanding Demand Data Read transactions every cycle. A transaction is considered to be in the Off-core outstanding state between L2 cache miss and data-return to the core",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_ge_6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=1000003,umask=0x4,event=0x60",
	.desc = "Store Read transactions pending for off-core. Highly correlated",
	.topic = "cache",
	.long_desc = "Counts the number of off-core outstanding read-for-ownership (RFO) store transactions every cycle. An RFO transaction is considered to be in the Off-core outstanding state between L2 cache miss and transaction completion",
},
{
	.name = "sq_misc.sq_full",
	.event = "period=100003,umask=0x4,event=0xf4",
	.desc = "Cycles the superQ cannot take any more entries",
	.topic = "cache",
	.long_desc = "Counts the cycles for which the thread is active and the superQ cannot take any more entries",
},
{
	.name = "sw_prefetch_access.nta",
	.event = "period=100003,umask=0x1,event=0x32",
	.desc = "Number of PREFETCHNTA instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHNTA instructions executed",
},
{
	.name = "sw_prefetch_access.prefetchw",
	.event = "period=100003,umask=0x8,event=0x32",
	.desc = "Number of PREFETCHW instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHW instructions executed",
},
{
	.name = "sw_prefetch_access.t0",
	.event = "period=100003,umask=0x2,event=0x32",
	.desc = "Number of PREFETCHT0 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT0 instructions executed",
},
{
	.name = "sw_prefetch_access.t1_t2",
	.event = "period=100003,umask=0x4,event=0x32",
	.desc = "Number of PREFETCHT1 or PREFETCHT2 instructions executed",
	.topic = "cache",
	.long_desc = "Counts the number of PREFETCHT1 or PREFETCHT2 instructions executed",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_sandybridge[] = {
{
	.desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend",
	.topic = "snb metrics",
	.long_desc = "This category represents fraction of slots where the processor's Frontend undersupplies its Backend. Frontend denotes the first part of the processor core responsible to fetch operations that are executed later on by the Backend part. Within the Frontend; a branch predictor predicts the next address to fetch; cache-lines are fetched from the memory subsystem; parsed into instructions; and lastly decoded into micro-operations (uops). Ideally the Frontend can issue Machine_Width uops every cycle to the Backend. Frontend Bound denotes unutilized issue-slots when there is no Backend stall; i.e. bubbles where Frontend delivered no uops while Backend could have accepted them. For example; stalls due to instruction-cache misses would be categorized under Frontend Bound",
	.unit = "100%",
	.metric_expr = "idq_uops_not_delivered.core / slots",
	.metric_name = "tma_frontend_bound",
	.metric_group = "PGO;TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend latency issues.  For example; instruction-cache misses; iTLB misses or fetch stalls after a branch misprediction are categorized under Frontend Latency. In such cases; the Frontend eventually delivers no uops for some period. Sample with: RS_EVENTS.EMPTY_END",
	.unit = "100%",
	.metric_expr = "4 * min(cpu_clk_unhalted.thread, idq_uops_not_delivered.cycles_0_uops_deliv.core) / slots",
	.metric_name = "tma_fetch_latency",
	.metric_group = "Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Instruction TLB (ITLB) misses. Sample with: ITLB_MISSES.WALK_COMPLETED",
	.unit = "100%",
	.metric_expr = "(12 * itlb_misses.stlb_hit + itlb_misses.walk_duration) / clks",
	.metric_name = "tma_itlb_misses",
	.metric_group = "BigFoot;FetchLat;MemoryTLB;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to Branch Resteers. Branch Resteers estimates the Frontend delay in fetching operations from corrected path; following all sorts of miss-predicted branches. For example; branchy code with lots of miss-predictions might get categorized under Branch Resteers. Note the value of this node may overlap with its siblings. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "12 * (br_misp_retired.all_branches + machine_clears.count + baclears.any) / clks",
	.metric_name = "tma_branch_resteers",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of cycles the CPU was stalled due to switches from DSB to MITE pipelines. The DSB (decoded i-cache) is a Uop Cache where the front-end directly delivers Uops (micro operations) avoiding heavy x86 decoding. The DSB pipeline has shorter latency and delivered higher bandwidth than the MITE (legacy instruction decode pipeline). Switching between the two pipelines can cause penalties hence this metric measures the exposed penalty",
	.unit = "100%",
	.metric_expr = "dsb2mite_switches.penalty_cycles / clks",
	.metric_name = "tma_dsb_switches",
	.metric_group = "DSBmiss;FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs)",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of cycles CPU was stalled due to Length Changing Prefixes (LCPs). Using proper compiler flags or Intel Compiler by default will certainly avoid this. #Link: Optimization Guide about LCP BKMs",
	.unit = "100%",
	.metric_expr = "ild_stall.lcp / clks",
	.metric_name = "tma_lcp",
	.metric_group = "FetchLat;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS)",
	.topic = "snb metrics",
	.long_desc = "This metric estimates the fraction of cycles when the CPU was stalled due to switches of uop delivery to the Microcode Sequencer (MS). Commonly used instructions are optimized for delivery by the DSB (decoded i-cache) or MITE (legacy instruction decode) pipelines. Certain operations cannot be handled natively by the execution pipeline; and must be performed by microcode (small programs injected into the execution stream). Switching to the MS too often can negatively impact performance. The MS is designated to deliver long uop flows required by CISC instructions like CPUID; or uncommon conditions like Floating Point Assists when dealing with Denormals. Sample with: IDQ.MS_SWITCHES",
	.unit = "100%",
	.metric_expr = "3 * idq.ms_switches / clks",
	.metric_name = "tma_ms_switches",
	.metric_group = "FetchLat;MicroSeq;TopdownL3;tma_fetch_latency_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was stalled due to Frontend bandwidth issues.  For example; inefficiencies at the instruction decoders; or restrictions for caching in the DSB (decoded uops cache) are categorized under Fetch Bandwidth. In such cases; the Frontend typically delivers suboptimal amount of uops to the Backend",
	.unit = "100%",
	.metric_expr = "tma_frontend_bound - tma_fetch_latency",
	.metric_name = "tma_fetch_bandwidth",
	.metric_group = "FetchBW;Frontend;TopdownL2;tma_L2_group;tma_frontend_bound_group",
},
{
	.desc = "This category represents fraction of slots wasted due to incorrect speculations",
	.topic = "snb metrics",
	.long_desc = "This category represents fraction of slots wasted due to incorrect speculations. This include slots used to issue uops that do not eventually get retired and slots for which the issue-pipeline was blocked due to recovery from earlier incorrect speculation. For example; wasted work due to miss-predicted branches are categorized under Bad Speculation category. Incorrect data speculation followed by Memory Ordering Nukes is another example",
	.unit = "100%",
	.metric_expr = "(uops_issued.any - uops_retired.retire_slots + 4 * (int_misc.recovery_cycles_any / 2 if #smt_on else int_misc.recovery_cycles)) / slots",
	.metric_name = "tma_bad_speculation",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Branch Misprediction.  These slots are either wasted by uops fetched from an incorrectly speculated program path; or stalls when the out-of-order part of the machine needs to recover its state from a speculative path. Sample with: BR_MISP_RETIRED.ALL_BRANCHES",
	.unit = "100%",
	.metric_expr = "br_misp_retired.all_branches / (br_misp_retired.all_branches + machine_clears.count) * tma_bad_speculation",
	.metric_name = "tma_branch_mispredicts",
	.metric_group = "BadSpec;BrMispredicts;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the CPU has wasted due to Machine Clears.  These slots are either wasted by uops fetched prior to the clear; or stalls the out-of-order portion of the machine needs to recover its state after the clear. For example; this can happen due to memory ordering Nukes (e.g. Memory Disambiguation) or Self-Modifying-Code (SMC) nukes. Sample with: MACHINE_CLEARS.COUNT",
	.unit = "100%",
	.metric_expr = "tma_bad_speculation - tma_branch_mispredicts",
	.metric_name = "tma_machine_clears",
	.metric_group = "BadSpec;MachineClears;TopdownL2;tma_L2_group;tma_bad_speculation_group",
},
{
	.desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend",
	.topic = "snb metrics",
	.long_desc = "This category represents fraction of slots where no uops are being delivered due to a lack of required resources for accepting new uops in the Backend. Backend is the portion of the processor core where the out-of-order scheduler dispatches ready uops into their respective execution units; and once completed these uops get retired according to program order. For example; stalls due to data-cache misses or stalls due to the divider unit being overloaded are both categorized under Backend Bound. Backend Bound is further divided into two main categories: Memory Bound and Core Bound",
	.unit = "100%",
	.metric_expr = "1 - (tma_frontend_bound + tma_bad_speculation + tma_retiring)",
	.metric_name = "tma_backend_bound",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the Memory subsystem within the Backend was a bottleneck.  Memory Bound estimates fraction of slots where pipeline is likely stalled due to demand load or store instructions. This accounts mainly for (1) non-completed in-flight memory demand loads which coincides with execution units starvation; in addition to (2) cases where stores could impose backpressure on the pipeline when many of them get buffered at the same time (less common out of the two)",
	.unit = "100%",
	.metric_expr = "(min(cpu_clk_unhalted.thread, cycle_activity.stalls_l1d_pending) + resource_stalls.sb) / (min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_dispatch) + cpu@uops_dispatched.thread\\,cmask\\=1@ - cpu@uops_dispatched.thread\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_dispatched.thread\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) * tma_backend_bound",
	.metric_name = "tma_memory_bound",
	.metric_group = "Backend;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses",
	.topic = "snb metrics",
	.long_desc = "This metric roughly estimates the fraction of cycles where the Data TLB (DTLB) was missed by load accesses. TLBs (Translation Look-aside Buffers) are processor caches for recently used entries out of the Page Tables that are used to map virtual- to physical-addresses by the operating system. This metric approximates the potential delay of demand loads missing the first-level data TLB (assuming worst case scenario with back to back misses to different pages). This includes hitting in the second-level TLB (STLB) as well as performing a hardware page walk on an STLB miss. Sample with: MEM_UOPS_RETIRED.STLB_MISS_LOADS_PS",
	.unit = "100%",
	.metric_expr = "(7 * dtlb_load_misses.stlb_hit + dtlb_load_misses.walk_duration) / clks",
	.metric_name = "tma_dtlb_load",
	.metric_group = "MemoryTLB;TopdownL4;tma_l1_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core",
	.topic = "snb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled due to loads accesses to L3 cache or contended with a sibling Core.  Avoiding cache misses (i.e. L2 misses/L3 hits) can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_HIT_PS",
	.unit = "100%",
	.metric_expr = "mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_misc_retired.llc_miss) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_l3_bound",
	.metric_group = "CacheMisses;MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads",
	.topic = "snb metrics",
	.long_desc = "This metric estimates how often the CPU was stalled on accesses to external memory (DRAM) by loads. Better caching can improve the latency and increase performance. Sample with: MEM_LOAD_UOPS_RETIRED.L3_MISS_PS",
	.unit = "100%",
	.metric_expr = "(1 - mem_load_uops_retired.llc_hit / (mem_load_uops_retired.llc_hit + 7 * mem_load_uops_misc_retired.llc_miss)) * cycle_activity.stalls_l2_pending / clks",
	.metric_name = "tma_dram_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM)",
	.topic = "snb metrics",
	.long_desc = "This metric estimates fraction of cycles where the core's performance was likely hurt due to approaching bandwidth limits of external memory (DRAM).  The underlying heuristic assumes that a similar off-core traffic is generated by all IA cores. This metric does not aggregate non-data-read requests by this logical processor; requests from other IA Logical Processors/Physical Cores/sockets; or other non-IA devices like GPU; hence the maximum external memory bandwidth limits may or may not be approached when this metric is flagged (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, cpu@offcore_requests_outstanding.all_data_rd\\,cmask\\=6@) / clks",
	.metric_name = "tma_mem_bandwidth",
	.metric_group = "MemoryBW;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM)",
	.topic = "snb metrics",
	.long_desc = "This metric estimates fraction of cycles where the performance was likely hurt due to latency from external memory (DRAM).  This metric does not aggregate requests from other Logical Processors/Physical Cores/sockets (see Uncore counters for that)",
	.unit = "100%",
	.metric_expr = "min(cpu_clk_unhalted.thread, offcore_requests_outstanding.cycles_with_data_rd) / clks - tma_mem_bandwidth",
	.metric_name = "tma_mem_latency",
	.metric_group = "MemoryLat;Offcore;TopdownL4;tma_dram_bound_group",
},
{
	.desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write",
	.topic = "snb metrics",
	.long_desc = "This metric estimates how often CPU was stalled  due to RFO store memory accesses; RFO store issue a read-for-ownership request before the write. Even though store accesses do not typically stall out-of-order CPUs; there are few cases where stores can lead to actual stalls. This metric will be flagged should RFO stores be a bottleneck. Sample with: MEM_UOPS_RETIRED.ALL_STORES_PS",
	.unit = "100%",
	.metric_expr = "resource_stalls.sb / clks",
	.metric_name = "tma_store_bound",
	.metric_group = "MemoryBound;TmaL3mem;TopdownL3;tma_memory_bound_group",
},
{
	.desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots where Core non-memory issues were of a bottleneck.  Shortage in hardware compute resources; or dependencies in software's instructions are both categorized under Core Bound. Hence it may indicate the machine ran out of an out-of-order resource; certain execution units are overloaded or dependencies in program's data- or instruction-flow are limiting the performance (e.g. FP-chained long-latency arithmetic operations)",
	.unit = "100%",
	.metric_expr = "tma_backend_bound - tma_memory_bound",
	.metric_name = "tma_core_bound",
	.metric_group = "Backend;Compute;TopdownL2;tma_L2_group;tma_backend_bound_group",
},
{
	.desc = "This metric represents fraction of cycles where the Divider unit was active",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of cycles where the Divider unit was active. Divide and square root instructions are performed by the Divider unit and can take considerably longer latency than integer or Floating Point addition; subtraction; or multiplication. Sample with: ARITH.DIVIDER_UOPS",
	.unit = "100%",
	.metric_expr = "arith.fpu_div_active / core_clks",
	.metric_name = "tma_divider",
	.metric_group = "TopdownL3;tma_core_bound_group",
},
{
	.desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related)",
	.topic = "snb metrics",
	.long_desc = "This metric estimates fraction of cycles the CPU performance was potentially limited due to Core computation issues (non divider-related).  Two distinct categories can be attributed into this metric: (1) heavy data-dependency among contiguous instructions would manifest in this metric - such cases are often referred to as low Instruction Level Parallelism (ILP). (2) Contention on some hardware execution unit other than Divider. For example; when there are too many multiply operations",
	.unit = "100%",
	.metric_expr = "((min(cpu_clk_unhalted.thread, cycle_activity.cycles_no_dispatch) + cpu@uops_dispatched.thread\\,cmask\\=1@ - cpu@uops_dispatched.thread\\,cmask\\=3@ if ipc > 1.8 else (cpu@uops_dispatched.thread\\,cmask\\=2@ - rs_events.empty_cycles if tma_fetch_latency > 0.1 else resource_stalls.sb)) - resource_stalls.sb - min(cpu_clk_unhalted.thread, cycle_activity.stalls_l1d_pending)) / clks",
	.metric_name = "tma_ports_utilization",
	.metric_group = "PortsUtil;TopdownL3;tma_core_bound_group",
},
{
	.desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired",
	.topic = "snb metrics",
	.long_desc = "This category represents fraction of slots utilized by useful work i.e. issued uops that eventually get retired. Ideally; all pipeline slots would be attributed to the Retiring category.  Retiring of 100% would indicate the maximum Pipeline_Width throughput was achieved.  Maximizing Retiring typically increases the Instructions-per-cycle (see IPC metric). Note that a high Retiring value does not necessary mean there is no room for more performance.  For example; Heavy-operations or Microcode Assists are categorized under Retiring. They often indicate suboptimal performance and can often be optimized or avoided.  Sample with: UOPS_RETIRED.RETIRE_SLOTS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / slots",
	.metric_name = "tma_retiring",
	.metric_group = "TopdownL1;tma_L1_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation)",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring light-weight operations -- instructions that require no more than one uop (micro-operation). This correlates with total number of instructions used by the program. A uops-per-instruction (see UPI metric) ratio of 1 or less should be expected for decently optimized software running on Intel Core/Xeon products. While this often indicates efficient X86 instructions were executed; high value does not necessarily mean better performance cannot be achieved. Sample with: INST_RETIRED.PREC_DIST",
	.unit = "100%",
	.metric_expr = "tma_retiring - tma_heavy_operations",
	.metric_name = "tma_light_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired)",
	.topic = "snb metrics",
	.long_desc = "This metric represents overall arithmetic floating-point (FP) operations fraction the CPU has executed (retired). Note this metric's value may exceed its parent due to use of \"Uops\" CountDomain and FMA double-counting",
	.unit = "100%",
	.metric_expr = "tma_x87_use + tma_fp_scalar + tma_fp_vector",
	.metric_name = "tma_fp_arith",
	.metric_group = "HPC;TopdownL3;tma_light_operations_group",
},
{
	.desc = "This metric serves as an approximation of legacy x87 usage",
	.topic = "snb metrics",
	.long_desc = "This metric serves as an approximation of legacy x87 usage. It accounts for instructions beyond X87 FP arithmetic operations; hence may be used as a thermometer to avoid X87 high usage and preferably upgrade to modern ISA. See Tip under Tuning Hint",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots * fp_comp_ops_exe.x87 / uops_dispatched.thread",
	.metric_name = "tma_x87_use",
	.metric_group = "Compute;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired",
	.topic = "snb metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) scalar uops fraction the CPU has retired. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double) / uops_dispatched.thread",
	.metric_name = "tma_fp_scalar",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths",
	.topic = "snb metrics",
	.long_desc = "This metric approximates arithmetic floating-point (FP) vector uops fraction the CPU has retired aggregated across all vector widths. May overcount due to FMA double counting",
	.unit = "100%",
	.metric_expr = "(fp_comp_ops_exe.sse_packed_double + fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_single + simd_fp_256.packed_double) / uops_dispatched.thread",
	.metric_name = "tma_fp_vector",
	.metric_group = "Compute;Flops;TopdownL4;tma_fp_arith_group",
},
{
	.desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots where the CPU was retiring heavy-weight operations -- instructions that require two or more uops or microcoded sequences. This highly-correlates with the uop length of these instructions/sequences",
	.unit = "100%",
	.metric_expr = "tma_microcode_sequencer",
	.metric_name = "tma_heavy_operations",
	.metric_group = "Retire;TopdownL2;tma_L2_group;tma_retiring_group",
},
{
	.desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit",
	.topic = "snb metrics",
	.long_desc = "This metric represents fraction of slots the CPU was retiring uops fetched by the Microcode Sequencer (MS) unit.  The MS is used for CISC instructions not supported by the default decoders (like repeat move strings; or CPUID); or by microcode assists used to address some operation modes (like in Floating Point assists). These cases can often be avoided. Sample with: IDQ.MS_UOPS",
	.unit = "100%",
	.metric_expr = "uops_retired.retire_slots / uops_issued.any * idq.ms_uops / slots",
	.metric_name = "tma_microcode_sequencer",
	.metric_group = "MicroSeq;TopdownL3;tma_heavy_operations_group",
},
{
	.desc = "Instructions Per Cycle (per Logical Processor)",
	.topic = "snb metrics",
	.metric_expr = "inst_retired.any / clks",
	.metric_name = "IPC",
	.metric_group = "Ret;Summary",
},
{
	.desc = "Uops Per Instruction",
	.topic = "snb metrics",
	.metric_expr = "uops_retired.retire_slots / inst_retired.any",
	.metric_name = "UPI",
	.metric_group = "Pipeline;Ret;Retire",
},
{
	.desc = "Cycles Per Instruction (per Logical Processor)",
	.topic = "snb metrics",
	.metric_expr = "1 / ipc",
	.metric_name = "CPI",
	.metric_group = "Mem;Pipeline",
},
{
	.desc = "Per-Logical Processor actual clocks when the Logical Processor is active",
	.topic = "snb metrics",
	.metric_expr = "cpu_clk_unhalted.thread",
	.metric_name = "CLKS",
	.metric_group = "Pipeline",
},
{
	.desc = "Total issue-pipeline slots (per-Physical Core till ICL; per-Logical Processor ICL onward)",
	.topic = "snb metrics",
	.metric_expr = "4 * core_clks",
	.metric_name = "SLOTS",
	.metric_group = "tma_L1_group",
},
{
	.desc = "The ratio of Executed- by Issued-Uops",
	.topic = "snb metrics",
	.long_desc = "The ratio of Executed- by Issued-Uops. Ratio > 1 suggests high rate of uop micro-fusions. Ratio < 1 suggest high rate of \"execute\" at rename stage",
	.metric_expr = "uops_dispatched.thread / uops_issued.any",
	.metric_name = "Execute_per_Issue",
	.metric_group = "Cor;Pipeline",
},
{
	.desc = "Instructions Per Cycle across hyper-threads (per physical core)",
	.topic = "snb metrics",
	.metric_expr = "inst_retired.any / core_clks",
	.metric_name = "CoreIPC",
	.metric_group = "Ret;SMT;tma_L1_group",
},
{
	.desc = "Floating Point Operations Per Cycle",
	.topic = "snb metrics",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / core_clks",
	.metric_name = "FLOPc",
	.metric_group = "Flops;Ret",
},
{
	.desc = "Instruction-Level-Parallelism (average number of uops executed when there is execution) per-core",
	.topic = "snb metrics",
	.metric_expr = "uops_dispatched.thread / (cpu@uops_dispatched.core\\,cmask\\=1@ / 2 if #smt_on else cpu@uops_dispatched.core\\,cmask\\=1@)",
	.metric_name = "ILP",
	.metric_group = "Backend;Cor;Pipeline;PortsUtil",
},
{
	.desc = "Core actual clocks when any Logical Processor is active on the Physical Core",
	.topic = "snb metrics",
	.metric_expr = "(cpu_clk_unhalted.thread / 2 * (1 + cpu_clk_unhalted.one_thread_active / cpu_clk_unhalted.ref_xclk) if #core_wide < 1 else (cpu_clk_unhalted.thread_any / 2 if #smt_on else clks))",
	.metric_name = "CORE_CLKS",
	.metric_group = "SMT",
},
{
	.desc = "Total number of retired Instructions Sample with: INST_RETIRED.PREC_DIST",
	.topic = "snb metrics",
	.metric_expr = "inst_retired.any",
	.metric_name = "Instructions",
	.metric_group = "Summary;tma_L1_group",
},
{
	.desc = "Average number of Uops retired in cycles where at least one uop has retired",
	.topic = "snb metrics",
	.metric_expr = "uops_retired.retire_slots / cpu@uops_retired.retire_slots\\,cmask\\=1@",
	.metric_name = "Retire",
	.metric_group = "Pipeline;Ret",
},
{
	.desc = "Fraction of Uops delivered by the DSB (aka Decoded ICache; or Uop Cache)",
	.topic = "snb metrics",
	.metric_expr = "idq.dsb_uops / (idq.dsb_uops + lsd.uops + idq.mite_uops + idq.ms_uops)",
	.metric_name = "DSB_Coverage",
	.metric_group = "DSB;Fed;FetchBW",
},
{
	.desc = "Average CPU Utilization",
	.topic = "snb metrics",
	.metric_expr = "cpu_clk_unhalted.ref_tsc / tsc",
	.metric_name = "CPU_Utilization",
	.metric_group = "HPC;Summary",
},
{
	.desc = "Measured Average Frequency for unhalted processors [GHz]",
	.topic = "snb metrics",
	.metric_expr = "turbo_utilization * tsc / 1e9 / duration_time",
	.metric_name = "Average_Frequency",
	.metric_group = "Power;Summary",
},
{
	.desc = "Giga Floating Point Operations Per Second",
	.topic = "snb metrics",
	.long_desc = "Giga Floating Point Operations Per Second. Aggregate across all supported options of: FP precisions, scalar and vector instructions, vector-width and AMX engine",
	.metric_expr = "(fp_comp_ops_exe.sse_scalar_single + fp_comp_ops_exe.sse_scalar_double + 2 * fp_comp_ops_exe.sse_packed_double + 4 * (fp_comp_ops_exe.sse_packed_single + simd_fp_256.packed_double) + 8 * simd_fp_256.packed_single) / 1e9 / duration_time",
	.metric_name = "GFLOPs",
	.metric_group = "Cor;Flops;HPC",
},
{
	.desc = "Average Frequency Utilization relative nominal frequency",
	.topic = "snb metrics",
	.metric_expr = "clks / cpu_clk_unhalted.ref_tsc",
	.metric_name = "Turbo_Utilization",
	.metric_group = "Power",
},
{
	.desc = "Fraction of cycles where both hardware Logical Processors were active",
	.topic = "snb metrics",
	.metric_expr = "(1 - cpu_clk_unhalted.one_thread_active / (cpu_clk_unhalted.ref_xclk_any / 2) if #smt_on else 0)",
	.metric_name = "SMT_2T_Utilization",
	.metric_group = "SMT",
},
{
	.desc = "Fraction of cycles spent in the Operating System (OS) Kernel mode",
	.topic = "snb metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / cpu_clk_unhalted.thread",
	.metric_name = "Kernel_Utilization",
	.metric_group = "OS",
},
{
	.desc = "Cycles Per Instruction for the Operating System (OS) Kernel mode",
	.topic = "snb metrics",
	.metric_expr = "cpu_clk_unhalted.thread_p:k / inst_retired.any_p:k",
	.metric_name = "Kernel_CPI",
	.metric_group = "OS",
},
{
	.desc = "Average external Memory Bandwidth Use for reads and writes [GB / sec]",
	.topic = "snb metrics",
	.metric_expr = "64 * (unc_arb_trk_requests.all + unc_arb_coh_trk_requests.all) / 1e6 / duration_time / 1e3",
	.metric_name = "DRAM_BW_Use",
	.metric_group = "HPC;Mem;MemoryBW;SoC",
},
{
	.desc = "Average latency of all requests to external memory (in Uncore cycles)",
	.topic = "snb metrics",
	.metric_expr = "mem_parallel_requests",
	.metric_name = "MEM_Request_Latency",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Average number of parallel requests to external memory. Accounts for all requests",
	.topic = "snb metrics",
	.metric_expr = "unc_arb_trk_occupancy.all / unc_arb_trk_requests.all",
	.metric_name = "MEM_Parallel_Requests",
	.metric_group = "Mem;SoC",
},
{
	.desc = "Socket actual clocks when any core is active on that socket",
	.topic = "snb metrics",
	.metric_expr = "unc_clock.socket",
	.metric_name = "Socket_CLKS",
	.metric_group = "SoC",
},
{
	.desc = "Instructions per Far Branch ( Far Branches apply upon transition from application to operating system, handling interrupts, exceptions) [lower number means higher occurrence rate]",
	.topic = "snb metrics",
	.metric_expr = "inst_retired.any / br_inst_retired.far_branch:u",
	.metric_name = "IpFarBranch",
	.metric_group = "Branches;OS",
},
{
	.desc = "Uncore frequency per die [GHZ]",
	.topic = "snb metrics",
	.metric_expr = "socket_clks / #num_dies / duration_time / 1e9",
	.metric_name = "UNCORE_FREQ",
	.metric_group = "SoC",
},
{
	.desc = "C3 residency percent per core",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c3\\-residency@ / tsc",
	.metric_name = "C3_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per core",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c6\\-residency@ / tsc",
	.metric_name = "C6_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per core",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_core@c7\\-residency@ / tsc",
	.metric_name = "C7_Core_Residency",
	.metric_group = "Power",
},
{
	.desc = "C2 residency percent per package",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c2\\-residency@ / tsc",
	.metric_name = "C2_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C3 residency percent per package",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c3\\-residency@ / tsc",
	.metric_name = "C3_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C6 residency percent per package",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c6\\-residency@ / tsc",
	.metric_name = "C6_Pkg_Residency",
	.metric_group = "Power",
},
{
	.desc = "C7 residency percent per package",
	.topic = "snb metrics",
	.unit = "100%",
	.metric_expr = "cstate_pkg@c7\\-residency@ / tsc",
	.metric_name = "C7_Pkg_Residency",
	.metric_group = "Power",
},
{
	.name = "cpl_cycles.ring0",
	.event = "period=2000003,umask=0x1,event=0x5c",
	.desc = "Unhalted core cycles when the thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring0_trans",
	.event = "cmask=1,edge=1,period=100007,umask=0x1,event=0x5c",
	.desc = "Number of intervals between processor halts while thread is in ring 0",
	.topic = "other",
},
{
	.name = "cpl_cycles.ring123",
	.event = "period=2000003,umask=0x2,event=0x5c",
	.desc = "Unhalted core cycles when thread is in rings 1, 2, or 3",
	.topic = "other",
},
{
	.name = "hw_pre_req.dl1_miss",
	.event = "period=2000003,umask=0x2,event=0x4e",
	.desc = "Hardware Prefetch requests that miss the L1D cache. This accounts for both L1 streamer and IP-based (IPP) HW prefetchers. A request is being counted each time it access the cache & miss it, including if a block is applicable or if hit the Fill Buffer for ",
	.topic = "other",
},
{
	.name = "insts_written_to_iq.insts",
	.event = "period=2000003,umask=0x1,event=0x17",
	.desc = "Valid instructions written to IQ per cycle",
	.topic = "other",
},
{
	.name = "lock_cycles.split_lock_uc_lock_duration",
	.event = "period=2000003,umask=0x1,event=0x63",
	.desc = "Cycles when L1 and L2 are locked due to UC or split lock",
	.topic = "other",
},
{
	.name = "unc_cbo_cache_lookup.any_es",
	.event = "umask=0x86,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_i",
	.event = "umask=0x88,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_m",
	.event = "umask=0x81,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.any_mesi",
	.event = "umask=0x8f,event=0x34",
	.desc = "L3 Lookup any request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_es",
	.event = "umask=0x46,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_i",
	.event = "umask=0x48,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_m",
	.event = "umask=0x41,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.extsnp_mesi",
	.event = "umask=0x4f,event=0x34",
	.desc = "L3 Lookup external snoop request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_es",
	.event = "umask=0x16,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_i",
	.event = "umask=0x18,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_m",
	.event = "umask=0x11,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.read_mesi",
	.event = "umask=0x1f,event=0x34",
	.desc = "L3 Lookup read request that access cache and found line in any MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_es",
	.event = "umask=0x26,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in E or S-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_i",
	.event = "umask=0x28,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in I-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_m",
	.event = "umask=0x21,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in M-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_cache_lookup.write_mesi",
	.event = "umask=0x2f,event=0x34",
	.desc = "L3 Lookup write request that access cache and found line in MESI-state. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_eviction",
	.event = "umask=0x88,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_external",
	.event = "umask=0x28,event=0x22",
	.desc = "An external snoop hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hitm_xcore",
	.event = "umask=0x48,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_eviction",
	.event = "umask=0x84,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_external",
	.event = "umask=0x24,event=0x22",
	.desc = "An external snoop hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.hit_xcore",
	.event = "umask=0x44,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which hits a non-modified line in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_external",
	.event = "umask=0x21,event=0x22",
	.desc = "An external snoop misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "unc_cbo_xsnp_response.miss_xcore",
	.event = "umask=0x41,event=0x22",
	.desc = "A cross-core snoop initiated by this Cbox due to processor core memory request which misses in some processor core. Unit: uncore_cbox ",
	.topic = "uncore cache",
	.pmu = "uncore_cbox",
	.perpkg = "1",
},
{
	.name = "dtlb_load_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x8",
	.desc = "Load misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x8",
	.desc = "Load operations that miss the first DTLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts load operations that miss the first DTLB level but hit the second and do not cause any page walks. The penalty in this case is approximately 7 cycles",
},
{
	.name = "dtlb_load_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x8",
	.desc = "Load misses at all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_load_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x8",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event counts cycles when the  page miss handler (PMH) is servicing page walks caused by DTLB load misses",
},
{
	.name = "dtlb_store_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x49",
	.desc = "Store misses in all DTLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x49",
	.desc = "Store operations that miss the first TLB level but hit the second and do not cause page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x49",
	.desc = "Store misses in all DTLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "dtlb_store_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x49",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
},
{
	.name = "ept.walk_cycles",
	.event = "period=2000003,umask=0x10,event=0x4f",
	.desc = "Cycle count for an Extended Page table walk.  The Extended Page Directory cache is used by Virtual Machine operating systems while the guest operating systems use the standard TLB caches",
	.topic = "virtual memory",
},
{
	.name = "itlb.itlb_flush",
	.event = "period=100007,umask=0x1,event=0xae",
	.desc = "Flushing of the Instruction TLB (ITLB) pages, includes 4k/2M/4M pages",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.miss_causes_a_walk",
	.event = "period=100003,umask=0x1,event=0x85",
	.desc = "Misses at all ITLB levels that cause page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.stlb_hit",
	.event = "period=100003,umask=0x10,event=0x85",
	.desc = "Operations that miss the first ITLB level but hit the second and do not cause any page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_completed",
	.event = "period=100003,umask=0x2,event=0x85",
	.desc = "Misses in all ITLB levels that cause completed page walks",
	.topic = "virtual memory",
},
{
	.name = "itlb_misses.walk_duration",
	.event = "period=2000003,umask=0x4,event=0x85",
	.desc = "Cycles when PMH is busy with page walks",
	.topic = "virtual memory",
	.long_desc = "This event count cycles when Page Miss Handler (PMH) is servicing page walks caused by ITLB misses",
},
{
	.name = "tlb_flush.dtlb_thread",
	.event = "period=100007,umask=0x1,event=0xbd",
	.desc = "DTLB flush attempts of the thread-specific entries",
	.topic = "virtual memory",
},
{
	.name = "tlb_flush.stlb_any",
	.event = "period=100007,umask=0x20,event=0xbd",
	.desc = "STLB flush attempts",
	.topic = "virtual memory",
},
{
	.name = "baclears.any",
	.event = "period=100003,umask=0x1f,event=0xe6",
	.desc = "Counts the total number when the front end is resteered, mainly when the BPU cannot provide a correct prediction and this is corrected by other branch handling mechanisms at the front end",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.count",
	.event = "period=2000003,umask=0x1,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switches",
	.topic = "frontend",
},
{
	.name = "dsb2mite_switches.penalty_cycles",
	.event = "period=2000003,umask=0x2,event=0xab",
	.desc = "Decode Stream Buffer (DSB)-to-MITE switch true penalty cycles",
	.topic = "frontend",
	.long_desc = "This event counts the cycles attributed to a switch from the Decoded Stream Buffer (DSB), which holds decoded instructions, to the legacy decode pipeline.  It excludes cycles when the back-end cannot  accept new micro-ops.  The penalty for these switches is potentially several cycles of instruction starvation, where no micro-ops are delivered to the back-end",
},
{
	.name = "dsb_fill.all_cancel",
	.event = "period=2000003,umask=0xa,event=0xac",
	.desc = "Cases of cancelling valid Decode Stream Buffer (DSB) fill not because of exceeding way limit",
	.topic = "frontend",
},
{
	.name = "dsb_fill.exceed_dsb_lines",
	.event = "period=2000003,umask=0x8,event=0xac",
	.desc = "Cycles when Decode Stream Buffer (DSB) fill encounter more than 3 Decode Stream Buffer (DSB) lines",
	.topic = "frontend",
},
{
	.name = "dsb_fill.other_cancel",
	.event = "period=2000003,umask=0x2,event=0xac",
	.desc = "Cases of cancelling valid DSB fill not because of exceeding way limit",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=2000003,umask=0x1,event=0x80",
	.desc = "Number of Instruction Cache, Streaming Buffer and Victim Cache Reads. both cacheable and noncacheable, including UC fetches",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Instruction cache, streaming buffer and victim cache misses",
	.topic = "frontend",
	.long_desc = "This event counts the number of instruction cache, streaming buffer and victim cache misses. Counting includes unchacheable accesses",
},
{
	.name = "idq.all_dsb_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering 4 Uops",
	.topic = "frontend",
},
{
	.name = "idq.all_dsb_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x18,event=0x79",
	.desc = "Cycles Decode Stream Buffer (DSB) is delivering any Uop",
	.topic = "frontend",
},
{
	.name = "idq.all_mite_cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering 4 Uops",
	.topic = "frontend",
},
{
	.name = "idq.all_mite_cycles_any_uops",
	.event = "cmask=1,period=2000003,umask=0x24,event=0x79",
	.desc = "Cycles MITE is delivering any Uop",
	.topic = "frontend",
},
{
	.name = "idq.dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.dsb_uops",
	.event = "period=2000003,umask=0x8,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from the Decode Stream Buffer (DSB) path",
	.topic = "frontend",
},
{
	.name = "idq.empty",
	.event = "period=2000003,umask=0x2,event=0x79",
	.desc = "Instruction Decode Queue (IDQ) empty cycles",
	.topic = "frontend",
},
{
	.name = "idq.mite_all_uops",
	.event = "period=2000003,umask=0x3c,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_cycles",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.mite_uops",
	.event = "period=2000003,umask=0x4,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) from MITE path",
	.topic = "frontend",
},
{
	.name = "idq.ms_cycles",
	.event = "cmask=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Cycles when uops are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
	.long_desc = "This event counts cycles during which the microcode sequencer assisted the front-end in delivering uops.  Microcode assists are used for complex instructions or scenarios that can't be handled by the standard decoder.  Using other instructions, if possible, will usually improve performance.  See the Intel(R) 64 and IA-32 Architectures Optimization Reference Manual for more information",
},
{
	.name = "idq.ms_dsb_cycles",
	.event = "cmask=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Cycles when uops initiated by Decode Stream Buffer (DSB) are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_occur",
	.event = "cmask=1,edge=1,period=2000003,umask=0x10,event=0x79",
	.desc = "Deliveries to Instruction Decode Queue (IDQ) initiated by Decode Stream Buffer (DSB) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_dsb_uops",
	.event = "period=2000003,umask=0x10,event=0x79",
	.desc = "Uops initiated by Decode Stream Buffer (DSB) that are being delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_mite_uops",
	.event = "period=2000003,umask=0x20,event=0x79",
	.desc = "Uops initiated by MITE and delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq.ms_switches",
	.event = "cmask=1,edge=1,period=2000003,umask=0x30,event=0x79",
	.desc = "Number of switches from DSB (Decode Stream Buffer) or MITE (legacy decode pipeline) to the Microcode Sequencer",
	.topic = "frontend",
},
{
	.name = "idq.ms_uops",
	.event = "period=2000003,umask=0x30,event=0x79",
	.desc = "Uops delivered to Instruction Decode Queue (IDQ) while Microcode Sequenser (MS) is busy",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.core",
	.event = "period=2000003,umask=0x1,event=0x9c",
	.desc = "Uops not delivered to Resource Allocation Table (RAT) per thread when backend of the machine is not stalled ",
	.topic = "frontend",
	.long_desc = "This event counts the number of uops not delivered to the back-end per cycle, per thread, when the back-end was not stalled.  In the ideal case 4 uops can be delivered each cycle.  The event counts the undelivered uops - so if 3 were delivered in one cycle, the counter would be incremented by 1 for that cycle (4 - 3). If the back-end is stalled, the count for this event is not incremented even when uops were not delivered, because the back-end would not have been able to accept them.  This event is used in determining the front-end bound category of the top-down pipeline slots characterization",
},
{
	.name = "idq_uops_not_delivered.cycles_0_uops_deliv.core",
	.event = "cmask=4,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 4 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_fe_was_ok",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Counts cycles FE delivered 4 uops or Resource Allocation Table (RAT) was stalling FE",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_ge_1_uop_deliv.core",
	.event = "cmask=4,inv=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles when 1 or more uops were delivered to the by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_1_uop_deliv.core",
	.event = "cmask=3,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles per thread when 3 or more uops are not delivered to Resource Allocation Table (RAT) when backend of the machine is not stalled",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_2_uop_deliv.core",
	.event = "cmask=2,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 2 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "idq_uops_not_delivered.cycles_le_3_uop_deliv.core",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x9c",
	.desc = "Cycles with less than 3 uops delivered by the front end",
	.topic = "frontend",
},
{
	.name = "agu_bypass_cancel.count",
	.event = "period=100003,umask=0x1,event=0xb6",
	.desc = "This event counts executed load operations with all the following traits: 1. addressing of the format [base + offset], 2. the offset is between 1 and 2047, 3. the address specified in the base register is in one page and the address [base+offset] is in an",
	.topic = "pipeline",
},
{
	.name = "arith.fpu_div",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0x14",
	.desc = "Divide operations executed",
	.topic = "pipeline",
	.long_desc = "This event counts the number of the divide operations executed",
},
{
	.name = "arith.fpu_div_active",
	.event = "period=2000003,umask=0x1,event=0x14",
	.desc = "Cycles when divider is busy executing divide operations",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x88",
	.desc = "Speculative and retired  branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x88",
	.desc = "Speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_jmp",
	.event = "period=200003,umask=0xc2,event=0x88",
	.desc = "Speculative and retired macro-unconditional branches excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x88",
	.desc = "Speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x88",
	.desc = "Speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.all_indirect_near_return",
	.event = "period=200003,umask=0xc8,event=0x88",
	.desc = "Speculative and retired indirect return branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x88",
	.desc = "Not taken macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_jump",
	.event = "period=200003,umask=0x82,event=0x88",
	.desc = "Taken speculative and retired macro-conditional branch instructions excluding calls and indirects",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x88",
	.desc = "Taken speculative and retired direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x88",
	.desc = "Taken speculative and retired indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x88",
	.desc = "Taken speculative and retired indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_inst_exec.taken_indirect_near_return",
	.event = "period=200003,umask=0x88,event=0x88",
	.desc = "Taken speculative and retired indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=400009,event=0xc4",
	.desc = "All (macro) branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc4",
	.desc = "All (macro) branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc4",
	.desc = "Conditional branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=100007,umask=0x40,event=0xc4",
	.desc = "Far branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect near call instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_call_r3",
	.event = "period=100007,umask=0x2,event=0xc4",
	.desc = "Direct and indirect macro near call instructions retired (captured in ring 3). (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_return",
	.event = "period=100007,umask=0x8,event=0xc4",
	.desc = "Return instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.near_taken",
	.event = "period=400009,umask=0x20,event=0xc4",
	.desc = "Taken branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc4",
	.desc = "Not taken branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_branches",
	.event = "period=200003,umask=0xff,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_conditional",
	.event = "period=200003,umask=0xc1,event=0x89",
	.desc = "Speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_direct_near_call",
	.event = "period=200003,umask=0xd0,event=0x89",
	.desc = "Speculative and retired mispredicted direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.all_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0xc4,event=0x89",
	.desc = "Mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.nontaken_conditional",
	.event = "period=200003,umask=0x41,event=0x89",
	.desc = "Not taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_conditional",
	.event = "period=200003,umask=0x81,event=0x89",
	.desc = "Taken speculative and retired mispredicted macro conditional branches",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_direct_near_call",
	.event = "period=200003,umask=0x90,event=0x89",
	.desc = "Taken speculative and retired mispredicted direct near calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_jump_non_call_ret",
	.event = "period=200003,umask=0x84,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches excluding calls and returns",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_indirect_near_call",
	.event = "period=200003,umask=0xa0,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect calls",
	.topic = "pipeline",
},
{
	.name = "br_misp_exec.taken_return_near",
	.event = "period=200003,umask=0x88,event=0x89",
	.desc = "Taken speculative and retired mispredicted indirect branches with return mnemonic",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=400009,event=0xc5",
	.desc = "All mispredicted macro branch instructions retired",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches_pebs",
	.event = "period=400009,umask=0x4,event=0xc5",
	.desc = "Mispredicted macro branch instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.conditional",
	.event = "period=400009,umask=0x1,event=0xc5",
	.desc = "Mispredicted conditional branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.near_call",
	.event = "period=100007,umask=0x2,event=0xc5",
	.desc = "Direct and indirect mispredicted near call instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.not_taken",
	.event = "period=400009,umask=0x10,event=0xc5",
	.desc = "Mispredicted not taken branch instructions retired.(Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken",
	.event = "period=400009,umask=0x20,event=0xc5",
	.desc = "Mispredicted taken branch instructions retired. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_thread_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.one_thread_active",
	.event = "period=2000003,umask=0x2,event=0x3c",
	.desc = "Count XClk pulses when this thread is unhalted and the other thread is halted",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when the core is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of reference cycles when the core is not in a halt state. The core enters the halt state when it is running the HLT instruction or the MWAIT instruction. This event is not affected by core frequency changes (for example, P states, TM2 transitions) but has the same incrementing frequency as the time stamp counter. This event can approximate elapsed time while the core was not in a halt state. This event has a constant ratio with the CPU_CLK_UNHALTED.REF_XCLK event. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.ref_xclk",
	.event = "period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the thread is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_xclk_any",
	.event = "any=1,period=2000003,umask=0x1,event=0x3c",
	.desc = "Reference cycles when the at least one thread on the physical core is unhalted (counts at 100 MHz rate)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when the thread is not in halt state",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter, leaving the four (eight when Hyperthreading is disabled) programmable counters available for other events",
},
{
	.name = "cpu_clk_unhalted.thread_any",
	.event = "event=0x3c,any=1,period=2000003",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Thread cycles when thread is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread_p_any",
	.event = "any=1,period=2000003,event=0x3c",
	.desc = "Core cycles when at least one thread on the physical core is not in halt state",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l1d_pending",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xa3",
	.desc = "Each cycle there was a miss-pending demand load this thread, increment by 1. Note this is in DCU and connected to Umask 1. Miss Pending demand load should be deduced by OR-ing increment bits of DCACHE_MISS_PEND.PENDING",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_l2_pending",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa3",
	.desc = "Each cycle there was a MLC-miss pending demand load this thread (i.e. Non-completed valid SQ entry allocated for demand load and waiting for Uncore), increment by 1. Note this is in MLC and connected to Umask 0",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.cycles_no_dispatch",
	.event = "cmask=4,period=2000003,umask=0x4,event=0xa3",
	.desc = "Each cycle there was no dispatch for this thread, increment by 1. Note this is connect to Umask 2. No dispatch can be deduced from the UOPS_EXECUTED event",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l1d_pending",
	.event = "cmask=6,period=2000003,umask=0x6,event=0xa3",
	.desc = "Each cycle there was a miss-pending demand load this thread and no uops dispatched, increment by 1. Note this is in DCU and connected to Umask 1 and 2. Miss Pending demand load should be deduced by OR-ing increment bits of DCACHE_MISS_PEND.PENDING",
	.topic = "pipeline",
},
{
	.name = "cycle_activity.stalls_l2_pending",
	.event = "cmask=5,period=2000003,umask=0x5,event=0xa3",
	.desc = "Each cycle there was a MLC-miss pending demand load and no uops dispatched on this thread (i.e. Non-completed valid SQ entry allocated for demand load and waiting for Uncore), increment by 1. Note this is in MLC and connected to Umask 0 and 2",
	.topic = "pipeline",
},
{
	.name = "ild_stall.iq_full",
	.event = "period=2000003,umask=0x4,event=0x87",
	.desc = "Stall cycles because IQ is full",
	.topic = "pipeline",
},
{
	.name = "ild_stall.lcp",
	.event = "period=2000003,umask=0x1,event=0x87",
	.desc = "Stalls caused by changing prefix length of the instruction",
	.topic = "pipeline",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired from execution",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions retired from execution. For instructions that consist of multiple micro-ops, this event counts the retirement of the last micro-op of the instruction. Counting continues during hardware interrupts, traps, and inside interrupt handlers",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Number of instructions retired. General Counter   - architectural event",
	.topic = "pipeline",
},
{
	.name = "inst_retired.prec_dist",
	.event = "period=2000003,umask=0x1,event=0xc0",
	.desc = "Instructions retired. (Precise Event - PEBS) (Must be precise)",
	.topic = "pipeline",
},
{
	.name = "int_misc.rat_stall_cycles",
	.event = "period=2000003,umask=0x40,event=0xd",
	.desc = "Cycles when Resource Allocation Table (RAT) external stall is sent to Instruction Decode Queue (IDQ) for the thread",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles",
	.event = "cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of cycles waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc...)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Core cycles the allocator was stalled due to recovery from earlier clear event for any thread running on the physical core (e.g. misprediction or memory nuke)",
	.topic = "pipeline",
},
{
	.name = "int_misc.recovery_stalls_count",
	.event = "cmask=1,edge=1,period=2000003,umask=0x3,event=0xd",
	.desc = "Number of occurrences waiting for the checkpoints in Resource Allocation Table (RAT) to be recovered after Nuke due to all other cases except JEClear (e.g. whenever a ucode assist is needed like SSE exception, memory disambiguation, etc...)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.all_block",
	.event = "period=100003,umask=0x10,event=0x3",
	.desc = "Number of cases where any load ends up with a valid block-code written to the load buffer (including blocks due to Memory Order Buffer (MOB), Data Cache Unit (DCU), TLB, but load has no DCU miss)",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=100003,umask=0x1,event=0x3",
	.desc = "Loads delayed due to SB blocks, preceding store operations with known addresses but unknown data",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.no_sr",
	.event = "period=100003,umask=0x8,event=0x3",
	.desc = "This event counts the number of times that split load operations are temporarily blocked because all resources for handling the split accesses are in use",
	.topic = "pipeline",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=100003,umask=0x2,event=0x3",
	.desc = "Cases when loads get true Block-on-Store blocking code preventing store forwarding",
	.topic = "pipeline",
	.long_desc = "This event counts loads that followed a store to the same address, where the data could not be forwarded inside the pipeline from the store to the load.  The most common reason why store forwarding would be blocked is when a load's address range overlaps with a preceeding smaller uncompleted store.  See the table of not supported store forwards in the Intel(R) 64 and IA-32 Architectures Optimization Reference Manual.  The penalty for blocked store forwarding is that the load must wait for the store to complete before it can be issued",
},
{
	.name = "ld_blocks_partial.address_alias",
	.event = "period=100003,umask=0x1,event=0x7",
	.desc = "False dependencies in MOB due to partial compare",
	.topic = "pipeline",
	.long_desc = "Aliasing occurs when a load is issued after a store and their memory addresses are offset by 4K.  This event counts the number of loads that aliased with a preceding store, resulting in an extended address check in the pipeline.  The enhanced address check typically has a performance penalty of 5 cycles",
},
{
	.name = "ld_blocks_partial.all_sta_block",
	.event = "period=100003,umask=0x8,event=0x7",
	.desc = "This event counts the number of times that load operations are temporarily blocked because of older stores, with addresses that are not yet known. A load operation may incur more than one block of this type",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre.hw_pf",
	.event = "period=100003,umask=0x2,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for hardware prefetch",
	.topic = "pipeline",
},
{
	.name = "load_hit_pre.sw_pf",
	.event = "period=100003,umask=0x1,event=0x4c",
	.desc = "Not software-prefetch load dispatches that hit FB allocated for software prefetch",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_4_uops",
	.event = "cmask=4,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles 4 Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.cycles_active",
	.event = "cmask=1,period=2000003,umask=0x1,event=0xa8",
	.desc = "Cycles Uops delivered by the LSD, but didn't come from the decoder",
	.topic = "pipeline",
},
{
	.name = "lsd.uops",
	.event = "period=2000003,umask=0x1,event=0xa8",
	.desc = "Number of Uops delivered by the LSD",
	.topic = "pipeline",
},
{
	.name = "machine_clears.count",
	.event = "cmask=1,edge=1,period=100003,umask=0x1,event=0xc3",
	.desc = "Number of machine clears (nukes) of any type",
	.topic = "pipeline",
},
{
	.name = "machine_clears.maskmov",
	.event = "period=100003,umask=0x20,event=0xc3",
	.desc = "This event counts the number of executed Intel AVX masked load operations that refer to an illegal address range with the mask bits set to 0",
	.topic = "pipeline",
	.long_desc = "Maskmov false fault - counts number of time ucode passes through Maskmov flow due to instruction's mask being 0 while the flow was completed without raising a fault",
},
{
	.name = "machine_clears.smc",
	.event = "period=100003,umask=0x4,event=0xc3",
	.desc = "Self-modifying code (SMC) detected",
	.topic = "pipeline",
	.long_desc = "This event is incremented when self-modifying code (SMC) is detected, which causes a machine clear.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "other_assists.itlb_miss_retired",
	.event = "period=100003,umask=0x2,event=0xc1",
	.desc = "Retired instructions experiencing ITLB misses",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.flags_merge_uop",
	.event = "period=2000003,umask=0x20,event=0x59",
	.desc = "Increments the number of flags-merge uops in flight each cycle",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.flags_merge_uop_cycles",
	.event = "cmask=1,period=2000003,umask=0x20,event=0x59",
	.desc = "Performance sensitive flags-merging uops added by Sandy Bridge u-arch",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles spent executing performance-sensitive flags-merging uops. For example, shift CL (merge_arith_flags). For more details, See the Intel(R) 64 and IA-32 Architectures Optimization Reference Manual",
},
{
	.name = "partial_rat_stalls.mul_single_uop",
	.event = "period=2000003,umask=0x80,event=0x59",
	.desc = "Multiply packed/scalar single precision uops allocated",
	.topic = "pipeline",
},
{
	.name = "partial_rat_stalls.slow_lea_window",
	.event = "period=2000003,umask=0x40,event=0x59",
	.desc = "Cycles with at least one slow LEA uop being allocated",
	.topic = "pipeline",
	.long_desc = "This event counts the number of cycles with at least one slow LEA uop being allocated. A uop is generally considered as slow LEA if it has three sources (for example, two sources and immediate) regardless of whether it is a result of LEA instruction or not. Examples of the slow LEA uop are or uops with base, index, and offset source operands using base and index reqisters, where base is EBR/RBP/R13, using RIP relative or 16-bit addressing modes. See the Intel(R) 64 and IA-32 Architectures Optimization Reference Manual for more details about slow LEA instructions",
},
{
	.name = "resource_stalls.any",
	.event = "period=2000003,umask=0x1,event=0xa2",
	.desc = "Resource-related stall cycles",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.lb",
	.event = "period=2000003,umask=0x2,event=0xa2",
	.desc = "Counts the cycles of stall due to lack of load buffers",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.lb_sb",
	.event = "period=2000003,umask=0xa,event=0xa2",
	.desc = "Resource stalls due to load or store buffers all being in use",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.mem_rs",
	.event = "period=2000003,umask=0xe,event=0xa2",
	.desc = "Resource stalls due to memory buffers or Reservation Station (RS) being fully utilized",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.ooo_rsrc",
	.event = "period=2000003,umask=0xf0,event=0xa2",
	.desc = "Resource stalls due to Rob being full, FCSW, MXCSR and OTHER",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rob",
	.event = "period=2000003,umask=0x10,event=0xa2",
	.desc = "Cycles stalled due to re-order buffer full",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.rs",
	.event = "period=2000003,umask=0x4,event=0xa2",
	.desc = "Cycles stalled due to no eligible RS entry available",
	.topic = "pipeline",
},
{
	.name = "resource_stalls.sb",
	.event = "period=2000003,umask=0x8,event=0xa2",
	.desc = "Cycles stalled due to no store buffers available. (not including draining form sync)",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.all_fl_empty",
	.event = "period=2000003,umask=0xc,event=0x5b",
	.desc = "Cycles with either free list is empty",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.all_prf_control",
	.event = "period=2000003,umask=0xf,event=0x5b",
	.desc = "Resource stalls2 control structures full for physical registers",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.bob_full",
	.event = "period=2000003,umask=0x40,event=0x5b",
	.desc = "Cycles when Allocator is stalled if BOB is full and new branch needs it",
	.topic = "pipeline",
},
{
	.name = "resource_stalls2.ooo_rsrc",
	.event = "period=2000003,umask=0x4f,event=0x5b",
	.desc = "Resource stalls out of order resources full",
	.topic = "pipeline",
},
{
	.name = "rob_misc_events.lbr_inserts",
	.event = "period=2000003,umask=0x20,event=0xcc",
	.desc = "Count cases of saving new LBR",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_cycles",
	.event = "period=2000003,umask=0x1,event=0x5e",
	.desc = "Cycles when Reservation Station (RS) is empty for the thread",
	.topic = "pipeline",
},
{
	.name = "rs_events.empty_end",
	.event = "cmask=1,edge=1,inv=1,period=2000003,umask=0x1,event=0x5e",
	.desc = "Counts end of periods where the Reservation Station (RS) was empty. Could be useful to precisely locate Frontend Latency Bound issues",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched.core",
	.event = "period=2000003,umask=0x2,event=0xb1",
	.desc = "Uops dispatched from any thread",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched.thread",
	.event = "period=2000003,umask=0x1,event=0xb1",
	.desc = "Uops dispatched per thread",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0",
	.event = "period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_0_core",
	.event = "any=1,period=2000003,umask=0x1,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 0",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1",
	.event = "period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_1_core",
	.event = "any=1,period=2000003,umask=0x2,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 1",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2",
	.event = "period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_2_core",
	.event = "any=1,period=2000003,umask=0xc,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 2",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3",
	.event = "period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per thread when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_3_core",
	.event = "any=1,period=2000003,umask=0x30,event=0xa1",
	.desc = "Cycles per core when load or STA uops are dispatched to port 3",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4",
	.event = "period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_4_core",
	.event = "any=1,period=2000003,umask=0x40,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 4",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5",
	.event = "period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per thread when uops are dispatched to port 5",
	.topic = "pipeline",
},
{
	.name = "uops_dispatched_port.port_5_core",
	.event = "any=1,period=2000003,umask=0x80,event=0xa1",
	.desc = "Cycles per core when uops are dispatched to port 5",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_1",
	.event = "cmask=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 1 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_2",
	.event = "cmask=2,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 2 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_3",
	.event = "cmask=3,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 3 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_ge_4",
	.event = "cmask=4,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles at least 4 micro-op is executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_executed.core_cycles_none",
	.event = "inv=1,period=2000003,umask=0x2,event=0xb1",
	.desc = "Cycles with no micro-ops executed from any thread on physical core",
	.topic = "pipeline",
},
{
	.name = "uops_issued.any",
	.event = "period=2000003,umask=0x1,event=0xe",
	.desc = "Uops that Resource Allocation Table (RAT) issues to Reservation Station (RS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of Uops issued by the front-end of the pipeilne to the back-end",
},
{
	.name = "uops_issued.core_stall_cycles",
	.event = "any=1,cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for all threads",
	.topic = "pipeline",
},
{
	.name = "uops_issued.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xe",
	.desc = "Cycles when Resource Allocation Table (RAT) does not issue Uops to Reservation Station (RS) for the thread",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Actually retired uops. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops retired. (Precise Event) (Precise event)",
},
{
	.name = "uops_retired.core_stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.retire_slots",
	.event = "period=2000003,umask=0x2,event=0xc2",
	.desc = "Retirement slots used. (Precise Event - PEBS) (Precise event)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retirement slots used each cycle.  There are potentially 4 slots that can be used each cycle - meaning, 4 micro-ops or 4 instructions could retire each cycle.  This event is used in determining the 'Retiring' category of the Top-Down pipeline slots characterization. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "uops_retired.stall_cycles",
	.event = "cmask=1,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles without actually retired uops",
	.topic = "pipeline",
},
{
	.name = "uops_retired.total_cycles",
	.event = "cmask=10,inv=1,period=2000003,umask=0x1,event=0xc2",
	.desc = "Cycles with less than 10 actually retired uops",
	.topic = "pipeline",
},
{
	.name = "fp_assist.any",
	.event = "cmask=1,period=100003,umask=0x1e,event=0xca",
	.desc = "Cycles with any input/output SSE or FP assist",
	.topic = "floating point",
},
{
	.name = "fp_assist.simd_input",
	.event = "period=100003,umask=0x10,event=0xca",
	.desc = "Number of SIMD FP assists due to input values",
	.topic = "floating point",
},
{
	.name = "fp_assist.simd_output",
	.event = "period=100003,umask=0x8,event=0xca",
	.desc = "Number of SIMD FP assists due to Output values",
	.topic = "floating point",
},
{
	.name = "fp_assist.x87_input",
	.event = "period=100003,umask=0x4,event=0xca",
	.desc = "Number of X87 assists due to input value",
	.topic = "floating point",
},
{
	.name = "fp_assist.x87_output",
	.event = "period=100003,umask=0x2,event=0xca",
	.desc = "Number of X87 assists due to output value",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_packed_double",
	.event = "period=2000003,umask=0x10,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed double-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_packed_single",
	.event = "period=2000003,umask=0x40,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational packed single-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_double",
	.event = "period=2000003,umask=0x80,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar double-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.sse_scalar_single",
	.event = "period=2000003,umask=0x20,event=0x10",
	.desc = "Number of SSE* or AVX-128 FP Computational scalar single-precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "fp_comp_ops_exe.x87",
	.event = "period=2000003,umask=0x1,event=0x10",
	.desc = "Number of FP Computational Uops Executed this cycle. The number of FADD, FSUB, FCOM, FMULs, integer MULsand IMULs, FDIVs, FPREMs, FSQRTS, integer DIVs, and IDIVs. This event does not distinguish an FADD used in the middle of a transcendental flow from a s",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_store",
	.event = "period=100003,umask=0x8,event=0xc1",
	.desc = "Number of GSSE memory assist for stores. GSSE microcode assist is being invoked whenever the hardware is unable to properly handle GSSE-256b operations",
	.topic = "floating point",
},
{
	.name = "other_assists.avx_to_sse",
	.event = "period=100003,umask=0x10,event=0xc1",
	.desc = "Number of transitions from AVX-256 to legacy SSE when penalty applicable",
	.topic = "floating point",
},
{
	.name = "other_assists.sse_to_avx",
	.event = "period=100003,umask=0x20,event=0xc1",
	.desc = "Number of transitions from SSE to AVX-256 when penalty applicable",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_double",
	.event = "period=2000003,umask=0x2,event=0x11",
	.desc = "Number of AVX-256 Computational FP double precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "simd_fp_256.packed_single",
	.event = "period=2000003,umask=0x1,event=0x11",
	.desc = "Number of GSSE-256 Computational FP single precision uops issued this cycle",
	.topic = "floating point",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=100003,umask=0x2,event=0xc3",
	.desc = "Counts the number of machine clears due to memory order conflicts",
	.topic = "memory",
	.long_desc = "This event counts the number of memory ordering Machine Clears detected. Memory Ordering Machine Clears can result from memory disambiguation, external snoops, or cross SMT-HW-thread snoop (stores) hitting load buffers.  Machine clears can have a significant performance impact if they are happening frequently",
},
{
	.name = "mem_trans_retired.load_latency_gt_128",
	.event = "period=1009,umask=0x1,event=0xcd,ldlat=0x80",
	.desc = "Loads with latency value being above 128 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_16",
	.event = "period=20011,umask=0x1,event=0xcd,ldlat=0x10",
	.desc = "Loads with latency value being above 16 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_256",
	.event = "period=503,umask=0x1,event=0xcd,ldlat=0x100",
	.desc = "Loads with latency value being above 256 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_32",
	.event = "period=100007,umask=0x1,event=0xcd,ldlat=0x20",
	.desc = "Loads with latency value being above 32 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_4",
	.event = "period=100003,umask=0x1,event=0xcd,ldlat=0x4",
	.desc = "Loads with latency value being above 4  (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_512",
	.event = "period=101,umask=0x1,event=0xcd,ldlat=0x200",
	.desc = "Loads with latency value being above 512 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_64",
	.event = "period=2003,umask=0x1,event=0xcd,ldlat=0x40",
	.desc = "Loads with latency value being above 64 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.load_latency_gt_8",
	.event = "period=50021,umask=0x1,event=0xcd,ldlat=0x8",
	.desc = "Loads with latency value being above 8 (Must be precise)",
	.topic = "memory",
},
{
	.name = "mem_trans_retired.precise_store",
	.event = "period=2000003,umask=0x2,event=0xcd",
	.desc = "Sample stores and collect precise store operation via PEBS record. PMC3 only. (Precise Event - PEBS) (Must be precise)",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.loads",
	.event = "period=2000003,umask=0x1,event=0x5",
	.desc = "Speculative cache line split load uops dispatched to L1 cache",
	.topic = "memory",
},
{
	.name = "misalign_mem_ref.stores",
	.event = "period=2000003,umask=0x2,event=0x5",
	.desc = "Speculative cache line split STA uops dispatched to L1 cache",
	.topic = "memory",
},
{
	.name = "offcore_response.all_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400244",
	.desc = "Counts all demand & prefetch code reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400091",
	.desc = "Counts all demand & prefetch data reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400240",
	.desc = "Counts all prefetch code reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400090",
	.desc = "Counts all prefetch data reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_pf_rfo.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400120",
	.desc = "Counts all prefetch RFOs that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_reads.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3004003f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.all_rfo.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400122",
	.desc = "Counts all demand & prefetch RFOs that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80408fff",
	.desc = "REQUEST = ANY_REQUEST and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
	.long_desc = "This event counts any requests that miss the LLC where the data was returned from local DRAM",
},
{
	.name = "offcore_response.data_in_socket.llc_miss.local_dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x6004001b3",
	.desc = "Counts LLC replacements",
	.topic = "memory",
	.long_desc = "This event counts all data requests (demand/prefetch data reads and demand data writes (RFOs) that miss the LLC  where the data is returned from local DRAM",
},
{
	.name = "offcore_response.data_in_socket.llc_miss_local.any_llc_hit",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x17004001b3",
	.desc = "REQUEST = DATA_IN_SOCKET and RESPONSE = LLC_MISS_LOCAL and SNOOP = ANY_LLC_HIT",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400004",
	.desc = "Counts demand code reads that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400001",
	.desc = "Counts demand data reads that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_ifetch.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80400004",
	.desc = "REQUEST = DEMAND_IFETCH and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400002",
	.desc = "Counts demand data writes (RFOs) that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_data_rd.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80400010",
	.desc = "REQUEST = PF_DATA_RD and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_ifetch.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80400040",
	.desc = "REQUEST = PF_RFO and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400010",
	.desc = "Counts prefetch (that bring data to L2) data reads that miss the LLC and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_miss.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x300400100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that miss the LLC  and the data returned from dram",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l_data_rd.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80400080",
	.desc = "REQUEST = PF_LLC_DATA_RD and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l_ifetch.llc_miss_local.dram",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1f80400200",
	.desc = "REQUEST = PF_LLC_IFETCH and RESPONSE = LLC_MISS_LOCAL and SNOOP = DRAM",
	.topic = "memory",
},
{
	.name = "page_walks.llc_miss",
	.event = "period=100003,umask=0x1,event=0xbe",
	.desc = "Number of any page walk that had a miss in LLC. Does not necessary cause a SUSPEND",
	.topic = "memory",
},
{
	.name = "unc_arb_coh_trk_occupancy.all",
	.event = "umask=0x1,event=0x83",
	.desc = "Cycles weighted by number of requests pending in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_coh_trk_requests.all",
	.event = "umask=0x1,event=0x84",
	.desc = "Number of requests allocated in Coherency Tracker. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.all",
	.event = "umask=0x1,event=0x80",
	.desc = "Counts cycles weighted by the number of requests waiting for data returning from the memory controller. Accounts for coherent and non-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_over_half_full",
	.event = "cmask=10,umask=0x1,event=0x80",
	.desc = "Cycles with at least half of the requests outstanding are waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_occupancy.cycles_with_any_request",
	.event = "cmask=1,umask=0x1,event=0x80",
	.desc = "Cycles with at least one request outstanding is waiting for data return from memory controller. Account for coherent and non-coherent requests initiated by IA Cores, Processor Graphics Unit, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.all",
	.event = "umask=0x1,event=0x81",
	.desc = "Counts the number of coherent and in-coherent requests initiated by IA cores, processor graphic units, or LLC. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.evictions",
	.event = "umask=0x80,event=0x81",
	.desc = "Counts the number of LLC evictions allocated. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_arb_trk_requests.writes",
	.event = "umask=0x20,event=0x81",
	.desc = "Counts the number of allocated write entries, include full, partial, and LLC evictions. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "unc_clock.socket",
	.event = "event=0xff",
	.desc = "This 48-bit fixed counter counts the UCLK cycles. Unit: uncore_arb ",
	.topic = "uncore other",
	.pmu = "uncore_arb",
	.perpkg = "1",
},
{
	.name = "l1d.allocated_in_m",
	.event = "period=2000003,umask=0x2,event=0x51",
	.desc = "Allocated L1D data cache lines in M state",
	.topic = "cache",
},
{
	.name = "l1d.all_m_replacement",
	.event = "period=2000003,umask=0x8,event=0x51",
	.desc = "Cache lines in M state evicted out of L1D due to Snoop HitM or dirty line replacement",
	.topic = "cache",
},
{
	.name = "l1d.eviction",
	.event = "period=2000003,umask=0x4,event=0x51",
	.desc = "L1D data cache lines in M state evicted due to replacement",
	.topic = "cache",
},
{
	.name = "l1d.replacement",
	.event = "period=2000003,umask=0x1,event=0x51",
	.desc = "L1D data line replacements",
	.topic = "cache",
	.long_desc = "This event counts L1D data line replacements.  Replacements occur when a new line is brought into the cache, causing eviction of a line loaded earlier",
},
{
	.name = "l1d_blocks.bank_conflict_cycles",
	.event = "cmask=1,period=100003,umask=0x5,event=0xbf",
	.desc = "Cycles when dispatched loads are cancelled due to L1D bank conflicts with other load ports",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.fb_full",
	.event = "cmask=1,period=2000003,umask=0x2,event=0x48",
	.desc = "Cycles a demand request was blocked due to Fill Buffers inavailability",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending",
	.event = "period=2000003,umask=0x1,event=0x48",
	.desc = "L1D miss oustandings duration in cycles",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding",
	.topic = "cache",
},
{
	.name = "l1d_pend_miss.pending_cycles_any",
	.event = "any=1,cmask=1,period=2000003,umask=0x1,event=0x48",
	.desc = "Cycles with L1D load Misses outstanding from any thread on physical core",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in E state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in M state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.hit_s",
	.event = "period=200003,umask=0x2,event=0x28",
	.desc = "Not rejected writebacks from L1D to L2 cache lines in S state",
	.topic = "cache",
},
{
	.name = "l2_l1d_wb_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x28",
	.desc = "Count the number of modified Lines evicted from L1 and missed L2. (Non-rejected WBs from the DCU.)",
	.topic = "cache",
},
{
	.name = "l2_lines_in.all",
	.event = "period=100003,umask=0x7,event=0xf1",
	.desc = "L2 cache lines filling L2",
	.topic = "cache",
	.long_desc = "This event counts the number of L2 cache lines brought into the L2 cache.  Lines are filled into the L2 cache when there was an L2 miss",
},
{
	.name = "l2_lines_in.e",
	.event = "period=100003,umask=0x4,event=0xf1",
	.desc = "L2 cache lines in E state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_in.i",
	.event = "period=100003,umask=0x1,event=0xf1",
	.desc = "L2 cache lines in I state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_in.s",
	.event = "period=100003,umask=0x2,event=0xf1",
	.desc = "L2 cache lines in S state filling L2",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_clean",
	.event = "period=100003,umask=0x1,event=0xf2",
	.desc = "Clean L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_lines_out.demand_dirty",
	.event = "period=100003,umask=0x2,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by demand",
	.topic = "cache",
},
{
	.name = "l2_lines_out.dirty_all",
	.event = "period=100003,umask=0xa,event=0xf2",
	.desc = "Dirty L2 cache lines filling the L2",
	.topic = "cache",
},
{
	.name = "l2_lines_out.pf_clean",
	.event = "period=100003,umask=0x4,event=0xf2",
	.desc = "Clean L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
},
{
	.name = "l2_lines_out.pf_dirty",
	.event = "period=100003,umask=0x8,event=0xf2",
	.desc = "Dirty L2 cache lines evicted by L2 prefetch",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_code_rd",
	.event = "period=200003,umask=0x30,event=0x24",
	.desc = "L2 code requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_demand_data_rd",
	.event = "period=200003,umask=0x3,event=0x24",
	.desc = "Demand Data Read requests",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_pf",
	.event = "period=200003,umask=0xc0,event=0x24",
	.desc = "Requests from L2 hardware prefetchers",
	.topic = "cache",
},
{
	.name = "l2_rqsts.all_rfo",
	.event = "period=200003,umask=0xc,event=0x24",
	.desc = "RFO requests to L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_hit",
	.event = "period=200003,umask=0x10,event=0x24",
	.desc = "L2 cache hits when fetching instructions, code reads",
	.topic = "cache",
},
{
	.name = "l2_rqsts.code_rd_miss",
	.event = "period=200003,umask=0x20,event=0x24",
	.desc = "L2 cache misses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_rqsts.demand_data_rd_hit",
	.event = "period=200003,umask=0x1,event=0x24",
	.desc = "Demand Data Read requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.pf_hit",
	.event = "period=200003,umask=0x40,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.pf_miss",
	.event = "period=200003,umask=0x80,event=0x24",
	.desc = "Requests from the L2 hardware prefetchers that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_hit",
	.event = "period=200003,umask=0x4,event=0x24",
	.desc = "RFO requests that hit L2 cache",
	.topic = "cache",
},
{
	.name = "l2_rqsts.rfo_miss",
	.event = "period=200003,umask=0x8,event=0x24",
	.desc = "RFO requests that miss L2 cache",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.all",
	.event = "period=200003,umask=0xf,event=0x27",
	.desc = "RFOs that access cache lines in any state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.hit_e",
	.event = "period=200003,umask=0x4,event=0x27",
	.desc = "RFOs that hit cache lines in E state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.hit_m",
	.event = "period=200003,umask=0x8,event=0x27",
	.desc = "RFOs that hit cache lines in M state",
	.topic = "cache",
},
{
	.name = "l2_store_lock_rqsts.miss",
	.event = "period=200003,umask=0x1,event=0x27",
	.desc = "RFOs that miss cache lines",
	.topic = "cache",
},
{
	.name = "l2_trans.all_pf",
	.event = "period=200003,umask=0x8,event=0xf0",
	.desc = "L2 or LLC HW prefetches that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.all_requests",
	.event = "period=200003,umask=0x80,event=0xf0",
	.desc = "Transactions accessing L2 pipe",
	.topic = "cache",
},
{
	.name = "l2_trans.code_rd",
	.event = "period=200003,umask=0x4,event=0xf0",
	.desc = "L2 cache accesses when fetching instructions",
	.topic = "cache",
},
{
	.name = "l2_trans.demand_data_rd",
	.event = "period=200003,umask=0x1,event=0xf0",
	.desc = "Demand Data Read requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l1d_wb",
	.event = "period=200003,umask=0x10,event=0xf0",
	.desc = "L1D writebacks that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l2_fill",
	.event = "period=200003,umask=0x20,event=0xf0",
	.desc = "L2 fill requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.l2_wb",
	.event = "period=200003,umask=0x40,event=0xf0",
	.desc = "L2 writebacks that access L2 cache",
	.topic = "cache",
},
{
	.name = "l2_trans.rfo",
	.event = "period=200003,umask=0x2,event=0xf0",
	.desc = "RFO requests that access L2 cache",
	.topic = "cache",
},
{
	.name = "lock_cycles.cache_lock_duration",
	.event = "period=2000003,umask=0x2,event=0x63",
	.desc = "Cycles when L1D is locked",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=100003,umask=0x41,event=0x2e",
	.desc = "Core-originated cacheable demand requests missed LLC",
	.topic = "cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=100003,umask=0x4f,event=0x2e",
	.desc = "Core-originated cacheable demand requests that refer to LLC",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hit",
	.event = "period=20011,umask=0x2,event=0xd2",
	.desc = "Retired load uops which data sources were LLC and cross-core snoop hits in on-pkg core cache. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level cache (L3) and were found in a non-modified state in a neighboring core's private cache (same package).  Since the last level cache is inclusive, hits to the L3 may require snooping the private L2 caches of any cores on the same socket that have the line.  In this case, a snoop was required, and another L2 had the line in a non-modified state. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_hitm",
	.event = "period=20011,umask=0x4,event=0xd2",
	.desc = "Retired load uops which data sources were HitM responses from shared LLC. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level cache (L3) and were found in a non-modified state in a neighboring core's private cache (same package).  Since the last level cache is inclusive, hits to the L3 may require snooping the private L2 caches of any cores on the same socket that have the line.  In this case, a snoop was required, and another L2 had the line in a modified state, so the line had to be invalidated in that L2 cache and transferred to the requesting L2. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_miss",
	.event = "period=20011,umask=0x1,event=0xd2",
	.desc = "Retired load uops which data sources were LLC hit and cross-core snoop missed in on-pkg core cache. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_llc_hit_retired.xsnp_none",
	.event = "period=100003,umask=0x8,event=0xd2",
	.desc = "Retired load uops which data sources were hits in LLC without snoops required. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_misc_retired.llc_miss",
	.event = "period=100007,umask=0x2,event=0xd4",
	.desc = "Retired load uops with unknown information as data source in cache serviced the load. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired demand loads that missed the  last-level (L3) cache. This means that the load is usually satisfied from memory in a client system or possibly from the remote socket in a server. Demand loads are non speculative load uops. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_load_uops_retired.hit_lfb",
	.event = "period=100003,umask=0x40,event=0xd1",
	.desc = "Retired load uops which data sources were load uops missed L1 but hit FB due to preceding miss to the same cache line with data not ready. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=2000003,umask=0x1,event=0xd1",
	.desc = "Retired load uops with L1 cache hits as data sources. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=100003,umask=0x2,event=0xd1",
	.desc = "Retired load uops with L2 cache hits as data sources. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_load_uops_retired.llc_hit",
	.event = "period=50021,umask=0x4,event=0xd1",
	.desc = "Retired load uops which data sources were data hits in LLC without snoops required. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts retired load uops that hit in the last-level (L3) cache without snoops required. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=2000003,umask=0x81,event=0xd0",
	.desc = "All retired load uops. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of load uops retired (Precise Event) (Precise event)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=2000003,umask=0x82,event=0xd0",
	.desc = "All retired store uops. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts the number of store uops retired. (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=100007,umask=0x21,event=0xd0",
	.desc = "Retired load uops with locked access. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=100003,umask=0x41,event=0xd0",
	.desc = "Retired load uops that split across a cacheline boundary. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted load uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K). (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=100003,umask=0x42,event=0xd0",
	.desc = "Retired store uops that split across a cacheline boundary. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
	.long_desc = "This event counts line-splitted store uops retired to the architected path. A line split is across 64B cache-line which includes a page split (4K). (Precise Event - PEBS) (Precise event)",
},
{
	.name = "mem_uops_retired.stlb_miss_loads",
	.event = "period=100003,umask=0x11,event=0xd0",
	.desc = "Retired load uops that miss the STLB. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.stlb_miss_stores",
	.event = "period=100003,umask=0x12,event=0xd0",
	.desc = "Retired store uops that miss the STLB. (Precise Event - PEBS) (Precise event)",
	.topic = "cache",
},
{
	.name = "offcore_requests.all_data_rd",
	.event = "period=100003,umask=0x8,event=0xb0",
	.desc = "Demand and prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_code_rd",
	.event = "period=100003,umask=0x2,event=0xb0",
	.desc = "Cacheable and noncachaeble code read requests",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_data_rd",
	.event = "period=100003,umask=0x1,event=0xb0",
	.desc = "Demand Data Read requests sent to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests.demand_rfo",
	.event = "period=100003,umask=0x4,event=0xb0",
	.desc = "Demand RFO requests including regular RFOs, locks, ItoM",
	.topic = "cache",
},
{
	.name = "offcore_requests_buffer.sq_full",
	.event = "period=2000003,umask=0x1,event=0xb2",
	.desc = "Cases when offcore requests buffer cannot take more entries for core",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.all_data_rd",
	.event = "period=2000003,umask=0x8,event=0x60",
	.desc = "Offcore outstanding cacheable Core Data Read transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_data_rd",
	.event = "cmask=1,period=2000003,umask=0x8,event=0x60",
	.desc = "Cycles when offcore outstanding cacheable Core Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_data_rd",
	.event = "cmask=1,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles when offcore outstanding Demand Data Read transactions are present in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.cycles_with_demand_rfo",
	.event = "cmask=1,period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding demand rfo reads transactions in SuperQueue (SQ), queue to uncore, every cycle",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd",
	.event = "period=2000003,umask=0x1,event=0x60",
	.desc = "Offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_data_rd_c6",
	.event = "cmask=6,period=2000003,umask=0x1,event=0x60",
	.desc = "Cycles with at least 6 offcore outstanding Demand Data Read transactions in uncore queue",
	.topic = "cache",
},
{
	.name = "offcore_requests_outstanding.demand_rfo",
	.event = "period=2000003,umask=0x4,event=0x60",
	.desc = "Offcore outstanding RFO store transactions in SuperQueue (SQ), queue to uncore",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0244",
	.desc = "Counts demand & prefetch code reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0244",
	.desc = "Counts demand & prefetch code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_code_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0244",
	.desc = "Counts demand & prefetch code reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000105B3",
	.desc = "Counts all demand & prefetch data reads",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0091",
	.desc = "Counts all demand & prefetch data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0091",
	.desc = "Counts demand & prefetch data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0240",
	.desc = "Counts all prefetch code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0240",
	.desc = "Counts prefetch code reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0240",
	.desc = "Counts prefetch code reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0240",
	.desc = "Counts prefetch code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_code_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0240",
	.desc = "Counts prefetch code reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0090",
	.desc = "Counts all prefetch data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0090",
	.desc = "Counts prefetch data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0120",
	.desc = "Counts all prefetch RFOs that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0120",
	.desc = "Counts prefetch RFOs that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0120",
	.desc = "Counts prefetch RFOs that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0120",
	.desc = "Counts prefetch RFOs that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_pf_rfo.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0120",
	.desc = "Counts prefetch RFOs that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x000107F7",
	.desc = "Counts all data/code/rfo references (demand & prefetch) ",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c03f7",
	.desc = "Counts all data/code/rfo reads (demand & prefetch) that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c03f7",
	.desc = "Counts data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c03f7",
	.desc = "Counts data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c03f7",
	.desc = "Counts data/code/rfo reads (demand & prefetch) that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_reads.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c03f7",
	.desc = "Counts data/code/rfo reads (demand & prefetch) that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010122",
	.desc = "Counts all demand & prefetch prefetch RFOs ",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0122",
	.desc = "Counts all demand & prefetch RFOs that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0122",
	.desc = "Counts demand & prefetch RFOs that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0122",
	.desc = "Counts demand & prefetch RFOs that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0122",
	.desc = "Counts demand & prefetch RFOs that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.all_rfo.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0122",
	.desc = "Counts demand & prefetch RFOs that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.corewb.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10008",
	.desc = "COREWB & ANY_RESPONSE",
	.topic = "cache",
},
{
	.name = "offcore_response.data_in.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10433",
	.desc = "REQUEST = DATA_INTO_CORE and RESPONSE = ANY_RESPONSE",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010004",
	.desc = "Counts all demand code reads",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0004",
	.desc = "Counts all demand code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0004",
	.desc = "Counts demand code reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0004",
	.desc = "Counts demand code reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0004",
	.desc = "Counts demand code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0004",
	.desc = "Counts demand code reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010001",
	.desc = "Counts all demand data reads ",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0001",
	.desc = "Counts all demand data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0001",
	.desc = "Counts demand data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0001",
	.desc = "Counts demand data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x00010002",
	.desc = "Counts all demand rfo's ",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0002",
	.desc = "Counts all demand data writes (RFOs) that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0002",
	.desc = "Counts demand data writes (RFOs) that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.llc_hit_m.hitm",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1000040002",
	.desc = "REQUEST = DEMAND_RFO and RESPONSE = LLC_HIT_M and SNOOP = HITM",
	.topic = "cache",
},
{
	.name = "offcore_response.other.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x18000",
	.desc = "Counts miscellaneous accesses that include port i/o, MMIO and uncacheable memory accesses. It also includes L2 hints sent to LLC to keep a line from being evicted out of the core caches",
	.topic = "cache",
},
{
	.name = "offcore_response.other.lru_hints",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x803c8000",
	.desc = "Counts L2 hints sent to LLC to keep a line from being evicted out of the core caches",
	.topic = "cache",
},
{
	.name = "offcore_response.other.portio_mmio_uc",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2380408000",
	.desc = "Counts miscellaneous accesses that include port i/o, MMIO and uncacheable memory accesses",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_ifetch.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10040",
	.desc = "REQUEST = PF_RFO and RESPONSE = ANY_RESPONSE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0040",
	.desc = "Counts all prefetch (that bring data to L2) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0040",
	.desc = "Counts prefetch (that bring data to L2) code reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0040",
	.desc = "Counts prefetch (that bring data to L2) code reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0040",
	.desc = "Counts prefetch (that bring data to L2) code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0040",
	.desc = "Counts prefetch (that bring data to L2) code reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0010",
	.desc = "Counts all prefetch (that bring data to L2) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0010",
	.desc = "Counts prefetch (that bring data to L2) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0020",
	.desc = "Counts all prefetch (that bring data to L2) RFOs that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0020",
	.desc = "Counts prefetch (that bring data to L2) RFOs that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0020",
	.desc = "Counts prefetch (that bring data to L2) RFOs that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0020",
	.desc = "Counts prefetch (that bring data to L2) RFOs that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0020",
	.desc = "Counts prefetch (that bring data to L2) RFOs that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0200",
	.desc = "Counts all prefetch (that bring data to LLC only) code reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_code_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0200",
	.desc = "Counts prefetch (that bring data to LLC only) code reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0080",
	.desc = "Counts all prefetch (that bring data to LLC only) data reads that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_data_rd.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0080",
	.desc = "Counts prefetch (that bring data to LLC only) data reads that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x3f803c0100",
	.desc = "Counts all prefetch (that bring data to LLC only) RFOs that hit in the LLC",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.hitm_other_core",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10003c0100",
	.desc = "Counts prefetch (that bring data to LLC only) RFOs that hit in the LLC and the snoop to one of the sibling cores hits the line in M state and the line is forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.hit_other_core_no_fwd",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x4003c0100",
	.desc = "Counts prefetch (that bring data to LLC only) RFOs that hit in the LLC and the snoops to sibling cores hit in either E/S state and the line is not forwarded",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.no_snoop_needed",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x1003c0100",
	.desc = "Counts prefetch (that bring data to LLC only) RFOs that hit in the LLC and sibling core snoops are not needed as either the core-valid bit is not set or the shared line is present in multiple cores",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_llc_rfo.llc_hit.snoop_miss",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x2003c0100",
	.desc = "Counts prefetch (that bring data to LLC only) RFOs that hit in the LLC and the snoops sent to sibling cores return clean response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l_data_rd.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10080",
	.desc = "REQUEST = PF_LLC_DATA_RD and RESPONSE = ANY_RESPONSE",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l_ifetch.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10200",
	.desc = "REQUEST = PF_LLC_IFETCH and RESPONSE = ANY_RESPONSE",
	.topic = "cache",
},
{
	.name = "offcore_response.split_lock_uc_lock.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10400",
	.desc = "Counts requests where the address of an atomic lock instruction spans a cache line boundary or the lock instruction is executed on uncacheable address",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100003,umask=0x1,event=0xb7,offcore_rsp=0x10800",
	.desc = "Counts non-temporal stores",
	.topic = "cache",
},
{
	.name = "sq_misc.split_lock",
	.event = "period=100003,umask=0x10,event=0xf4",
	.desc = "Split locks in SQ",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_knightslanding[] = {
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x8,event=0x4",
	.desc = "Counts the number of load micro-ops retired that cause a DTLB miss  Supports address when precise (Precise event)",
	.topic = "virtual memory",
},
{
	.name = "page_walks.cycles",
	.event = "period=200003,umask=0x3,event=0x5",
	.desc = "Counts the total number of core cycles for all the page walks. The cycles for page walks started in speculative path will also be included",
	.topic = "virtual memory",
	.long_desc = "This event counts every cycle when a data (D) page walk or instruction (I) page walk is in progress",
},
{
	.name = "page_walks.d_side_cycles",
	.event = "period=200003,umask=0x1,event=0x5",
	.desc = "Counts the total number of core cycles for all the D-side page walks. The cycles for page walks started in speculative path will also be included",
	.topic = "virtual memory",
},
{
	.name = "page_walks.d_side_walks",
	.event = "edge=1,period=100003,umask=0x1,event=0x5",
	.desc = "Counts the total D-side page walks that are completed or started. The page walks started in the speculative path will also be counted",
	.topic = "virtual memory",
},
{
	.name = "page_walks.i_side_cycles",
	.event = "period=200003,umask=0x2,event=0x5",
	.desc = "Counts the total number of core cycles for all the I-side page walks. The cycles for page walks started in speculative path will also be included",
	.topic = "virtual memory",
	.long_desc = "This event counts every cycle when an I-side (walks due to an instruction fetch) page walk is in progress",
},
{
	.name = "page_walks.i_side_walks",
	.event = "edge=1,period=100003,umask=0x2,event=0x5",
	.desc = "Counts the total I-side page walks that are completed",
	.topic = "virtual memory",
},
{
	.name = "page_walks.walks",
	.event = "edge=1,period=100003,umask=0x3,event=0x5",
	.desc = "Counts the total page walks that are completed (I-side and D-side)",
	.topic = "virtual memory",
},
{
	.name = "baclears.all",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "Counts the number of times the front end resteers for any branch as a result of another branch handling mechanism in the front end",
	.topic = "frontend",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "Counts the number of times the front end resteers for conditional branches as a result of another branch handling mechanism in the front end",
	.topic = "frontend",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "Counts the number of times the front end resteers for RET branches as a result of another branch handling mechanism in the front end",
	.topic = "frontend",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "Counts all instruction fetches, including uncacheable fetches",
	.topic = "frontend",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "Counts all instruction fetches that hit the instruction cache",
	.topic = "frontend",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "Counts all instruction fetches that miss the instruction cache or produce memory requests. An instruction fetch miss is counted only once and not once for every cycle it is outstanding",
	.topic = "frontend",
},
{
	.name = "ms_decoded.ms_entry",
	.event = "period=200003,umask=0x1,event=0xe7",
	.desc = "Counts the number of times the MSROM starts a flow of uops",
	.topic = "frontend",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Counts the number of branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Counts the number of near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Counts the number of far branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Counts the number of near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Counts the number of branch instructions retired that were conditional jumps (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Counts the number of branch instructions retired that were near indirect CALL or near indirect JMP (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Counts the number of near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Counts the number of near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Counts the number of branch instructions retired that were conditional jumps and predicted taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Counts the number of mispredicted branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc5",
	.desc = "Counts the number of mispredicted near CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc5",
	.desc = "Counts the number of mispredicted far branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Counts the number of mispredicted near indirect CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Counts the number of mispredicted branch instructions retired that were conditional jumps (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Counts the number of mispredicted branch instructions retired that were near indirect CALL or near indirect JMP (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc5",
	.desc = "Counts the number of mispredicted near relative CALL branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Counts the number of mispredicted near RET branch instructions retired (Precise event)",
	.topic = "pipeline",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Counts the number of mispredicted branch instructions retired that were conditional jumps and predicted taken (Precise event)",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Counts the number of unhalted reference clock cycles",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Fixed Counter: Counts the number of unhalted reference clock cycles",
	.topic = "pipeline",
},
{
	.name = "cpu_clk_unhalted.thread",
	.event = "event=0x3c,period=2000003",
	.desc = "Fixed Counter: Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles while the thread is not in a halt state. The thread enters the halt state when it is running the HLT instruction. This event is a component in many key event ratios. The core frequency may change from time to time due to transitions associated with Enhanced Intel SpeedStep Technology or TM2. For this reason this event may have a changing ratio with regards to time. When the core frequency is constant, this event can approximate elapsed time while the core was not in the halt state. It is counted on a dedicated fixed counter",
},
{
	.name = "cpu_clk_unhalted.thread_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Counts the number of unhalted core clock cycles",
	.topic = "pipeline",
},
{
	.name = "cycles_div_busy.all",
	.event = "period=2000003,umask=0x1,event=0xcd",
	.desc = "Cycles the number of core cycles when divider is busy.  Does not imply a stall waiting for the divider",
	.topic = "pipeline",
	.long_desc = "This event counts cycles when the divider is busy. More specifically cycles when the divide unit is unable to accept a new divide uop because it is busy processing a previously dispatched uop. The cycles will be counted irrespective of whether or not another divide uop is waiting to enter the divide unit (from the RS). This event counts integer divides, x87 divides, divss, divsd, sqrtss, sqrtsd event and does not count vector divides",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Fixed Counter: Counts the number of instructions retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of instructions that retire.  For instructions that consist of multiple micro-ops, this event counts exactly once, as the last micro-op of the instruction retires.  The event continues counting while instructions retire, including during interrupt service routines caused by hardware interrupts, faults or traps",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Counts the total number of instructions retired",
	.topic = "pipeline",
},
{
	.name = "machine_clears.all",
	.event = "period=200003,umask=0x8,event=0xc3",
	.desc = "Counts all nukes",
	.topic = "pipeline",
},
{
	.name = "machine_clears.smc",
	.event = "period=200003,umask=0x1,event=0xc3",
	.desc = "Counts the number of times that the machine clears due to program modifying data within 1K of a recently fetched code page",
	.topic = "pipeline",
},
{
	.name = "no_alloc_cycles.all",
	.event = "period=200003,umask=0x7f,event=0xca",
	.desc = "Counts the total number of core cycles when no micro-ops are allocated for any reason",
	.topic = "pipeline",
},
{
	.name = "no_alloc_cycles.mispredicts",
	.event = "period=200003,umask=0x4,event=0xca",
	.desc = "Counts the number of core cycles when no micro-ops are allocated and the alloc pipe is stalled waiting for a mispredicted branch to retire",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles when no uops are allocated and the alloc pipe is stalled waiting for a mispredicted branch to retire",
},
{
	.name = "no_alloc_cycles.not_delivered",
	.event = "period=200003,umask=0x90,event=0xca",
	.desc = "Counts the number of core cycles when no micro-ops are allocated, the IQ is empty, and no other condition is blocking allocation",
	.topic = "pipeline",
	.long_desc = "This event counts the number of core cycles when no uops are allocated, the instruction queue is empty and the alloc pipe is stalled waiting for instructions to be fetched",
},
{
	.name = "no_alloc_cycles.rat_stall",
	.event = "period=200003,umask=0x20,event=0xca",
	.desc = "Counts the number of core cycles when no micro-ops are allocated and a RATstall (caused by reservation station full) is asserted",
	.topic = "pipeline",
},
{
	.name = "no_alloc_cycles.rob_full",
	.event = "period=200003,umask=0x1,event=0xca",
	.desc = "Counts the number of core cycles when no micro-ops are allocated and the ROB is full",
	.topic = "pipeline",
},
{
	.name = "recycleq.any_ld",
	.event = "period=200003,umask=0x40,event=0x3",
	.desc = "Counts any retired load that was pushed into the recycle queue for any reason",
	.topic = "pipeline",
},
{
	.name = "recycleq.any_st",
	.event = "period=200003,umask=0x80,event=0x3",
	.desc = "Counts any retired store that was pushed into the recycle queue for any reason",
	.topic = "pipeline",
},
{
	.name = "recycleq.ld_block_std_notready",
	.event = "period=200003,umask=0x2,event=0x3",
	.desc = "Counts the number of occurences a retired load gets blocked because its address overlaps with a store whose data is not ready",
	.topic = "pipeline",
},
{
	.name = "recycleq.ld_block_st_forward",
	.event = "period=200003,umask=0x1,event=0x3",
	.desc = "Counts the number of occurences a retired load gets blocked because its address partially overlaps with a store  Supports address when precise (Precise event)",
	.topic = "pipeline",
},
{
	.name = "recycleq.ld_splits",
	.event = "period=200003,umask=0x8,event=0x3",
	.desc = "Counts the number of occurences a retired load that is a cache line split. Each split should be counted only once  Supports address when precise (Precise event)",
	.topic = "pipeline",
},
{
	.name = "recycleq.lock",
	.event = "period=200003,umask=0x10,event=0x3",
	.desc = "Counts all the retired locked loads. It does not include stores because we would double count if we count stores",
	.topic = "pipeline",
},
{
	.name = "recycleq.sta_full",
	.event = "period=200003,umask=0x20,event=0x3",
	.desc = "Counts the store micro-ops retired that were pushed in the rehad queue because the store address buffer is full",
	.topic = "pipeline",
},
{
	.name = "recycleq.st_splits",
	.event = "period=200003,umask=0x4,event=0x3",
	.desc = "Counts the number of occurences a retired store that is a cache line split. Each split should be counted only once",
	.topic = "pipeline",
	.long_desc = "This event counts the number of retired store that experienced a cache line boundary split(Precise Event). Note that each spilt should be counted only once",
},
{
	.name = "rs_full_stall.all",
	.event = "period=200003,umask=0x1f,event=0xcb",
	.desc = "Counts the total number of core cycles the Alloc pipeline is stalled when any one of the reservation stations is full",
	.topic = "pipeline",
},
{
	.name = "rs_full_stall.mec",
	.event = "period=200003,umask=0x1,event=0xcb",
	.desc = "Counts the number of core cycles when allocation pipeline is stalled and is waiting for a free MEC reservation station entry",
	.topic = "pipeline",
},
{
	.name = "uops_retired.all",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Counts the number of micro-ops retired",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops (uops) retired. The processor decodes complex macro instructions into a sequence of simpler uops. Most instructions are composed of one or two uops. Some instructions are decoded into longer sequences such as repeat instructions, floating point transcendental instructions, and assists",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "Counts the number of micro-ops retired that are from the complex flows issued by the micro-sequencer (MS)",
	.topic = "pipeline",
	.long_desc = "This event counts the number of micro-ops retired that were supplied from MSROM",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=200003,umask=0x4,event=0xc3",
	.desc = "Counts the number of floating operations retired that required microcode assists",
	.topic = "floating point",
	.long_desc = "This event counts the number of times that the pipeline stalled due to FP operations needing assists",
},
{
	.name = "uops_retired.packed_simd",
	.event = "period=200003,umask=0x40,event=0xc2",
	.desc = "Counts the number of vector SSE, AVX, AVX2, AVX-512 micro-ops retired. More specifically, it counts packed SSE, AVX, AVX2, AVX-512 micro-ops (both floating point and integer) except for loads (memory-to-register mov-type micro-ops), packed byte and word multiplies",
	.topic = "floating point",
	.long_desc = "This event counts the number of packed vector SSE, AVX, AVX2, and AVX-512 micro-ops retired (floating point, integer and store) except for loads (memory-to-register mov-type micro-ops), packed byte and word multiplies",
},
{
	.name = "uops_retired.scalar_simd",
	.event = "period=200003,umask=0x20,event=0xc2",
	.desc = "Counts the number of scalar SSE, AVX, AVX2, AVX-512 micro-ops retired. More specifically, it counts scalar SSE, AVX, AVX2, AVX-512 micro-ops except for loads (memory-to-register mov-type micro ops), division, sqrt",
	.topic = "floating point",
	.long_desc = "This event counts the number of scalar SSE, AVX, AVX2, AVX-512 micro-ops retired (floating point, integer and store) except for loads (memory-to-register mov-type micro ops), division, sqrt",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=200003,umask=0x2,event=0xc3",
	.desc = "Counts the number of times the machine clears due to memory ordering hazards",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_code_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181803091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080803091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180603091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100403091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_data_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080203091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_pf_l2.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000070",
	.desc = "Counts any Prefetch requests that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_pf_l2.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800070",
	.desc = "Counts any Prefetch requests that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_pf_l2.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600070",
	.desc = "Counts any Prefetch requests that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_pf_l2.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400070",
	.desc = "Counts any Prefetch requests that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_pf_l2.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200070",
	.desc = "Counts any Prefetch requests that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x01818032f7",
	.desc = "Counts any Read request  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x01010032f7",
	.desc = "Counts any Read request  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00808032f7",
	.desc = "Counts any Read request  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x01806032f7",
	.desc = "Counts any Read request  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x01004032f7",
	.desc = "Counts any Read request  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_read.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00802032f7",
	.desc = "Counts any Read request  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181808000",
	.desc = "Counts any request that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101008000",
	.desc = "Counts any request that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080808000",
	.desc = "Counts any request that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180608000",
	.desc = "Counts any request that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100408000",
	.desc = "Counts any request that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_request.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080208000",
	.desc = "Counts any request that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000022",
	.desc = "Counts Demand cacheable data write requests  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800022",
	.desc = "Counts Demand cacheable data write requests  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400022",
	.desc = "Counts Demand cacheable data write requests  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.any_rfo.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200022",
	.desc = "Counts Demand cacheable data write requests  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000400",
	.desc = "Counts Bus locks and split lock requests that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800400",
	.desc = "Counts Bus locks and split lock requests that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400400",
	.desc = "Counts Bus locks and split lock requests that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.bus_locks.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200400",
	.desc = "Counts Bus locks and split lock requests that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_code_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_data_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000002",
	.desc = "Counts Demand cacheable data writes that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800002",
	.desc = "Counts Demand cacheable data writes that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400002",
	.desc = "Counts Demand cacheable data writes that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.demand_rfo.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200002",
	.desc = "Counts Demand cacheable data writes that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_reads.non_dram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x2000020080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from any NON_DRAM system address. This includes MMIO transactions",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_writes.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_writes.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_writes.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_writes.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.partial_writes.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1_data_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181802000",
	.desc = "Counts L1 data HW prefetches that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1_data_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101002000",
	.desc = "Counts L1 data HW prefetches that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1_data_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080802000",
	.desc = "Counts L1 data HW prefetches that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1_data_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100402000",
	.desc = "Counts L1 data HW prefetches that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l1_data_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080202000",
	.desc = "Counts L1 data HW prefetches that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800040",
	.desc = "Counts L2 code HW prefetches that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000040",
	.desc = "Counts L2 code HW prefetches that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800040",
	.desc = "Counts L2 code HW prefetches that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400040",
	.desc = "Counts L2 code HW prefetches that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_code_rd.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200040",
	.desc = "Counts L2 code HW prefetches that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_l2_rfo.non_dram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x2000020020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from any NON_DRAM system address. This includes MMIO transactions",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181801000",
	.desc = "Counts Software Prefetches that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101001000",
	.desc = "Counts Software Prefetches that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080801000",
	.desc = "Counts Software Prefetches that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180601000",
	.desc = "Counts Software Prefetches that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100401000",
	.desc = "Counts Software Prefetches that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.pf_software.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080201000",
	.desc = "Counts Software Prefetches that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.ddr",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0181800200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from DDR (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.ddr_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0101000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for data responses from DRAM Far",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.ddr_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080800200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for data responses from DRAM Local",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.mcdram",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0180600200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from MCDRAM (local and far)",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.mcdram_far",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0100400200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for data responses from MCDRAM Far or Other tile L2 hit far",
	.topic = "memory",
},
{
	.name = "offcore_response.uc_code_reads.mcdram_near",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0080200200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for data responses from MCDRAM Local",
	.topic = "memory",
},
{
	.name = "unc_c_tor_inserts.ipq_hit",
	.event = "umask=0x18,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.ipq_miss",
	.event = "umask=0x28,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.irq_hit",
	.event = "umask=0x11,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.irq_miss",
	.event = "umask=0x21,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.loc_all",
	.event = "umask=0x37,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IRQ or PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.prq_hit",
	.event = "umask=0x14,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_c_tor_inserts.prq_miss",
	.event = "umask=0x24,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_e_edc_access.hit_clean",
	.event = "umask=0x1,event=0x2",
	.desc = "Counts the number of read requests and streaming stores that hit in MCDRAM cache and the data in MCDRAM is clean with respect to DDR. This event is only valid in cache and hybrid memory mode. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_edc_access.hit_dirty",
	.event = "umask=0x2,event=0x2",
	.desc = "Counts the number of read requests and streaming stores that hit in MCDRAM cache and the data in MCDRAM is dirty with respect to DDR. This event is only valid in cache and hybrid memory mode. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_edc_access.miss_clean",
	.event = "umask=0x4,event=0x2",
	.desc = "Counts the number of read requests and streaming stores that miss in MCDRAM cache and the data evicted from the MCDRAM is clean with respect to DDR. This event is only valid in cache and hybrid memory mode. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_edc_access.miss_dirty",
	.event = "umask=0x8,event=0x2",
	.desc = "Counts the number of read requests and streaming stores that miss in MCDRAM cache and the data evicted from the MCDRAM is dirty with respect to DDR. This event is only valid in cache and hybrid memory mode. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_edc_access.miss_invalid",
	.event = "umask=0x10,event=0x2",
	.desc = "Number of EDC Hits or Misses. Miss I. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_e_clockticks",
	.event = "event=0",
	.desc = "ECLK count. Unit: uncore_edc_eclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_eclk",
	.perpkg = "1",
},
{
	.name = "unc_e_rpq_inserts",
	.event = "umask=0x1,event=0x1",
	.desc = "Counts the number of read requests received by the MCDRAM controller. This event is valid in all three memory modes: flat, cache and hybrid. In cache and hybrid memory mode, this event counts all read requests as well as streaming stores that hit or miss in the MCDRAM cache. Unit: uncore_edc_eclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_eclk",
	.perpkg = "1",
},
{
	.name = "unc_e_u_clockticks",
	.event = "event=0",
	.desc = "UCLK count. Unit: uncore_edc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_uclk",
	.perpkg = "1",
},
{
	.name = "unc_e_wpq_inserts",
	.event = "umask=0x1,event=0x2",
	.desc = "Counts the number of write requests received by the MCDRAM controller. This event is valid in all three memory modes: flat, cache and hybrid. In cache and hybrid memory mode, this event counts all streaming stores, writebacks and, read requests that miss in MCDRAM cache. Unit: uncore_edc_eclk ",
	.topic = "uncore other",
	.pmu = "uncore_edc_eclk",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr6",
	.event = "umask=0x40,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired.tgr7",
	.event = "umask=0x80,event=0x80",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_acquired_ext.tgr8",
	.event = "umask=0x1,event=0x81",
	.desc = "CMS Agent0 AD Credits Acquired For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr6",
	.event = "umask=0x40,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy.tgr7",
	.event = "umask=0x80,event=0x82",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_ad_crd_occupancy_ext.tgr8",
	.event = "umask=0x1,event=0x83",
	.desc = "CMS Agent0 AD Credits Occupancy For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr6",
	.event = "umask=0x40,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired.tgr7",
	.event = "umask=0x80,event=0x88",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_acquired_ext.tgr8",
	.event = "umask=0x1,event=0x89",
	.desc = "CMS Agent0 BL Credits Acquired For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr6",
	.event = "umask=0x40,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy.tgr7",
	.event = "umask=0x80,event=0x8a",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_bl_crd_occupancy_ext.tgr8",
	.event = "umask=0x1,event=0x8b",
	.desc = "CMS Agent0 BL Credits Occupancy For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr0",
	.event = "umask=0x1,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr1",
	.event = "umask=0x2,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr2",
	.event = "umask=0x4,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr3",
	.event = "umask=0x8,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr4",
	.event = "umask=0x10,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr5",
	.event = "umask=0x20,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr6",
	.event = "umask=0x40,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad.tgr7",
	.event = "umask=0x80,event=0xd0",
	.desc = "Stall on No AD Transgress Credits For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0xd1",
	.desc = "Stall on No AD Transgress Credits For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_ad_ext.tgr8",
	.event = "umask=0x1,event=0xd1",
	.desc = "Stall on No AD Transgress Credits For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr0",
	.event = "umask=0x1,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr1",
	.event = "umask=0x2,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr2",
	.event = "umask=0x4,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr3",
	.event = "umask=0x8,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr4",
	.event = "umask=0x10,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr5",
	.event = "umask=0x20,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr6",
	.event = "umask=0x40,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl.tgr7",
	.event = "umask=0x80,event=0xd4",
	.desc = "Stall on No AD Transgress Credits For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0xd5",
	.desc = "Stall on No AD Transgress Credits For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag0_stall_no_crd_egress_horz_bl_ext.tgr8",
	.event = "umask=0x1,event=0xd5",
	.desc = "Stall on No AD Transgress Credits For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr6",
	.event = "umask=0x40,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired.tgr7",
	.event = "umask=0x80,event=0x84",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_acquired_ext.tgr8",
	.event = "umask=0x1,event=0x85",
	.desc = "CMS Agent1 AD Credits Acquired For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr6",
	.event = "umask=0x40,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy.tgr7",
	.event = "umask=0x80,event=0x86",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_ad_crd_occupancy_ext.tgr8",
	.event = "umask=0x1,event=0x87",
	.desc = "CMS Agent1 AD Credits Occupancy For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr0",
	.event = "umask=0x1,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr1",
	.event = "umask=0x2,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr2",
	.event = "umask=0x4,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr3",
	.event = "umask=0x8,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr4",
	.event = "umask=0x10,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr5",
	.event = "umask=0x20,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr6",
	.event = "umask=0x40,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired.tgr7",
	.event = "umask=0x80,event=0x8c",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_acquired_ext.tgr8",
	.event = "umask=0x1,event=0x8d",
	.desc = "CMS Agent1 BL Credits Acquired For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr0",
	.event = "umask=0x1,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr1",
	.event = "umask=0x2,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr2",
	.event = "umask=0x4,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr3",
	.event = "umask=0x8,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr4",
	.event = "umask=0x10,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr5",
	.event = "umask=0x20,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr6",
	.event = "umask=0x40,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy.tgr7",
	.event = "umask=0x80,event=0x8e",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_bl_crd_occupancy_ext.tgr8",
	.event = "umask=0x1,event=0x8f",
	.desc = "CMS Agent1 BL Credits Occupancy For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr0",
	.event = "umask=0x1,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr1",
	.event = "umask=0x2,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr2",
	.event = "umask=0x4,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr3",
	.event = "umask=0x8,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr4",
	.event = "umask=0x10,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr5",
	.event = "umask=0x20,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr6",
	.event = "umask=0x40,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad.tgr7",
	.event = "umask=0x80,event=0xd2",
	.desc = "Stall on No AD Transgress Credits For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0xd3",
	.desc = "Stall on No AD Transgress Credits For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_ad_ext.tgr8",
	.event = "umask=0x1,event=0xd3",
	.desc = "Stall on No AD Transgress Credits For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr0",
	.event = "umask=0x1,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr1",
	.event = "umask=0x2,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr2",
	.event = "umask=0x4,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 2. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr3",
	.event = "umask=0x8,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 3. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr4",
	.event = "umask=0x10,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 4. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr5",
	.event = "umask=0x20,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 5. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr6",
	.event = "umask=0x40,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 6. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl.tgr7",
	.event = "umask=0x80,event=0xd6",
	.desc = "Stall on No AD Transgress Credits For Transgress 7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl_ext.any_of_tgr0_thru_tgr7",
	.event = "umask=0x2,event=0xd7",
	.desc = "Stall on No AD Transgress Credits For Transgress 0-7. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ag1_stall_no_crd_egress_horz_bl_ext.tgr8",
	.event = "umask=0x1,event=0xd7",
	.desc = "Stall on No AD Transgress Credits For Transgress 8. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.e_state",
	.event = "umask=0x2,event=0x37",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cachable and UC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.f_state",
	.event = "umask=0x8,event=0x37",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.local",
	.event = "umask=0x20,event=0x37",
	.desc = "Lines Victimized that Match NID. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.m_state",
	.event = "umask=0x1,event=0x37",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Read transactions. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.remote",
	.event = "umask=0x80,event=0x37",
	.desc = "Lines Victimized that Does Not Match NID. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_cache_lines_victimized.s_state",
	.event = "umask=0x4,event=0x37",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Filters for only snoop requests coming from the remote socket(s) through the IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_clock",
	.event = "event=0xc0",
	.desc = "Uncore Clocks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_ads_used.ad",
	.event = "umask=0x1,event=0x9d",
	.desc = "CMS Horizontal ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_ads_used.ak",
	.event = "umask=0x2,event=0x9d",
	.desc = "CMS Horizontal ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_ads_used.bl",
	.event = "umask=0x4,event=0x9d",
	.desc = "CMS Horizontal ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_bypass.ad",
	.event = "umask=0x1,event=0x9f",
	.desc = "CMS Horizontal Egress Bypass. AD ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_bypass.ak",
	.event = "umask=0x2,event=0x9f",
	.desc = "CMS Horizontal Egress Bypass. AK ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_bypass.bl",
	.event = "umask=0x4,event=0x9f",
	.desc = "CMS Horizontal Egress Bypass. BL ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_bypass.iv",
	.event = "umask=0x8,event=0x9f",
	.desc = "CMS Horizontal Egress Bypass. IV ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_full.ad",
	.event = "umask=0x1,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_full.ak",
	.event = "umask=0x2,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_full.bl",
	.event = "umask=0x4,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_full.iv",
	.event = "umask=0x8,event=0x96",
	.desc = "Cycles CMS Horizontal Egress Queue is Full IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_ne.ad",
	.event = "umask=0x1,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_ne.ak",
	.event = "umask=0x2,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_ne.bl",
	.event = "umask=0x4,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_cycles_ne.iv",
	.event = "umask=0x8,event=0x97",
	.desc = "Cycles CMS Horizontal Egress Queue is Not Empty IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_inserts.ad",
	.event = "umask=0x1,event=0x95",
	.desc = "CMS Horizontal Egress Inserts AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_inserts.ak",
	.event = "umask=0x2,event=0x95",
	.desc = "CMS Horizontal Egress Inserts AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_inserts.bl",
	.event = "umask=0x4,event=0x95",
	.desc = "CMS Horizontal Egress Inserts BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_inserts.iv",
	.event = "umask=0x8,event=0x95",
	.desc = "CMS Horizontal Egress Inserts IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_nack.ad",
	.event = "umask=0x1,event=0x99",
	.desc = "CMS Horizontal Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_nack.ak",
	.event = "umask=0x2,event=0x99",
	.desc = "CMS Horizontal Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_nack.bl",
	.event = "umask=0x4,event=0x99",
	.desc = "CMS Horizontal Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_nack.iv",
	.event = "umask=0x8,event=0x99",
	.desc = "CMS Horizontal Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_occupancy.ad",
	.event = "umask=0x1,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy AD. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_occupancy.ak",
	.event = "umask=0x2,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy AK. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_occupancy.bl",
	.event = "umask=0x4,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy BL. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_occupancy.iv",
	.event = "umask=0x8,event=0x94",
	.desc = "CMS Horizontal Egress Occupancy IV. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_starved.ad",
	.event = "umask=0x1,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_starved.ak",
	.event = "umask=0x2,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_starved.bl",
	.event = "umask=0x4,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_horz_starved.iv",
	.event = "umask=0x8,event=0x9b",
	.desc = "CMS Horizontal Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snp_go_dn",
	.event = "umask=0x4,event=0xae",
	.desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_ordering.iv_snp_go_up",
	.event = "umask=0x1,event=0xae",
	.desc = "Counts number of cycles IV was blocked in the TGR Egress due to SNP/GO Ordering requirements. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.ad_ag0",
	.event = "umask=0x1,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.ad_ag1",
	.event = "umask=0x10,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.ak_ag0",
	.event = "umask=0x2,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.ak_ag1",
	.event = "umask=0x20,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.bl_ag0",
	.event = "umask=0x4,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_ads_used.bl_ag1",
	.event = "umask=0x40,event=0x9c",
	.desc = "CMS Vertical ADS Used. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.ad_ag0",
	.event = "umask=0x1,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. AD ring agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.ad_ag1",
	.event = "umask=0x10,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. AD ring agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.ak_ag0",
	.event = "umask=0x2,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. AK ring agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.ak_ag1",
	.event = "umask=0x20,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. AK ring agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.bl_ag0",
	.event = "umask=0x4,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. BL ring agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.bl_ag1",
	.event = "umask=0x40,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. BL ring agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_bypass.iv",
	.event = "umask=0x8,event=0x9e",
	.desc = "CMS Vertical Egress Bypass. IV ring agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.ad_ag0",
	.event = "umask=0x1,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.ad_ag1",
	.event = "umask=0x10,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.ak_ag0",
	.event = "umask=0x2,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.ak_ag1",
	.event = "umask=0x20,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.bl_ag0",
	.event = "umask=0x4,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.bl_ag1",
	.event = "umask=0x40,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_full.iv_ag0",
	.event = "umask=0x8,event=0x92",
	.desc = "Cycles CMS Vertical Egress Queue Is Full IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.ad_ag0",
	.event = "umask=0x1,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.ad_ag1",
	.event = "umask=0x10,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.ak_ag0",
	.event = "umask=0x2,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.ak_ag1",
	.event = "umask=0x20,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.bl_ag0",
	.event = "umask=0x4,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.bl_ag1",
	.event = "umask=0x40,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_cycles_ne.iv_ag0",
	.event = "umask=0x8,event=0x93",
	.desc = "Cycles CMS Vertical Egress Queue Is Not Empty IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.ad_ag0",
	.event = "umask=0x1,event=0x91",
	.desc = "CMS Vert Egress Allocations AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.ad_ag1",
	.event = "umask=0x10,event=0x91",
	.desc = "CMS Vert Egress Allocations AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.ak_ag0",
	.event = "umask=0x2,event=0x91",
	.desc = "CMS Vert Egress Allocations AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.ak_ag1",
	.event = "umask=0x20,event=0x91",
	.desc = "CMS Vert Egress Allocations AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.bl_ag0",
	.event = "umask=0x4,event=0x91",
	.desc = "CMS Vert Egress Allocations BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.bl_ag1",
	.event = "umask=0x40,event=0x91",
	.desc = "CMS Vert Egress Allocations BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_inserts.iv_ag0",
	.event = "umask=0x8,event=0x91",
	.desc = "CMS Vert Egress Allocations IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.ad_ag0",
	.event = "umask=0x1,event=0x98",
	.desc = "CMS Vertical Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.ad_ag1",
	.event = "umask=0x10,event=0x98",
	.desc = "CMS Vertical Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.ak_ag0",
	.event = "umask=0x2,event=0x98",
	.desc = "CMS Vertical Egress NACKs Onto AK Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.ak_ag1",
	.event = "umask=0x20,event=0x98",
	.desc = "CMS Vertical Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.bl_ag0",
	.event = "umask=0x4,event=0x98",
	.desc = "CMS Vertical Egress NACKs Onto BL Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.bl_ag1",
	.event = "umask=0x40,event=0x98",
	.desc = "CMS Vertical Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_nack.iv_ag0",
	.event = "umask=0x8,event=0x98",
	.desc = "CMS Vertical Egress NACKs. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.ad_ag0",
	.event = "umask=0x1,event=0x90",
	.desc = "CMS Vert Egress Occupancy AD - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.ad_ag1",
	.event = "umask=0x10,event=0x90",
	.desc = "CMS Vert Egress Occupancy AD - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.ak_ag0",
	.event = "umask=0x2,event=0x90",
	.desc = "CMS Vert Egress Occupancy AK - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.ak_ag1",
	.event = "umask=0x20,event=0x90",
	.desc = "CMS Vert Egress Occupancy AK - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.bl_ag0",
	.event = "umask=0x4,event=0x90",
	.desc = "CMS Vert Egress Occupancy BL - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.bl_ag1",
	.event = "umask=0x40,event=0x90",
	.desc = "CMS Vert Egress Occupancy BL - Agent 1. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_occupancy.iv_ag0",
	.event = "umask=0x8,event=0x90",
	.desc = "CMS Vert Egress Occupancy IV - Agent 0. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.ad_ag0",
	.event = "umask=0x1,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.ad_ag1",
	.event = "umask=0x10,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.ak_ag0",
	.event = "umask=0x2,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation Onto AK Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.ak_ag1",
	.event = "umask=0x20,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.bl_ag0",
	.event = "umask=0x4,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation Onto BL Ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.bl_ag1",
	.event = "umask=0x40,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_egress_vert_starved.iv_ag0",
	.event = "umask=0x8,event=0x9a",
	.desc = "CMS Vertical Egress Injection Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_fast_asserted.horz",
	.event = "umask=0x1,event=0xa5",
	.desc = "Counts cycles source throttling is adderted - horizontal. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_fast_asserted.vert",
	.event = "event=0xa5",
	.desc = "Counts cycles source throttling is adderted - vertical. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_even",
	.event = "umask=0x1,event=0xa7",
	.desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop - Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.left_odd",
	.event = "umask=0x2,event=0xa7",
	.desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop - Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_even",
	.event = "umask=0x4,event=0xa7",
	.desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop - Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ad_in_use.right_odd",
	.event = "umask=0x8,event=0xa7",
	.desc = "Counts the number of cycles that the Horizontal AD ring is being used at this ring stop - Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_even",
	.event = "umask=0x1,event=0xa9",
	.desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop - Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.left_odd",
	.event = "umask=0x2,event=0xa9",
	.desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop - Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_even",
	.event = "umask=0x4,event=0xa9",
	.desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop - Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_ak_in_use.right_odd",
	.event = "umask=0x8,event=0xa9",
	.desc = "Counts the number of cycles that the Horizontal AK ring is being used at this ring stop - Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_even",
	.event = "umask=0x1,event=0xab",
	.desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop - Left and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.left_odd",
	.event = "umask=0x2,event=0xab",
	.desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop - Left and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_even",
	.event = "umask=0x4,event=0xab",
	.desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop - Right and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_bl_in_use.right_odd",
	.event = "umask=0x8,event=0xab",
	.desc = "Counts the number of cycles that the Horizontal BL ring is being used at this ring stop - Right and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.left",
	.event = "umask=0x1,event=0xad",
	.desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop - Left. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_horz_ring_iv_in_use.right",
	.event = "umask=0x4,event=0xad",
	.desc = "Counts the number of cycles that the Horizontal IV ring is being used at this ring stop - Right. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_inserts.ipq",
	.event = "umask=0x4,event=0x13",
	.desc = "Ingress Allocations. Counts number of allocations per cycle into the specified Ingress queue. - IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_inserts.irq",
	.event = "umask=0x1,event=0x13",
	.desc = "Ingress Allocations. Counts number of allocations per cycle into the specified Ingress queue. - IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_inserts.irq_rej",
	.event = "umask=0x2,event=0x13",
	.desc = "Ingress Allocations. Counts number of allocations per cycle into the specified Ingress queue. - IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_inserts.prq",
	.event = "umask=0x10,event=0x13",
	.desc = "Ingress Allocations. Counts number of allocations per cycle into the specified Ingress queue. - PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_inserts.prq_rej",
	.event = "umask=0x20,event=0x13",
	.desc = "Ingress Allocations. Counts number of allocations per cycle into the specified Ingress queue. - PRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_int_starved.ipq",
	.event = "umask=0x4,event=0x14",
	.desc = "Cycles with the IPQ in Internal Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_int_starved.irq",
	.event = "umask=0x1,event=0x14",
	.desc = "Cycles with the IRQ in Internal Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_int_starved.ismq",
	.event = "umask=0x8,event=0x14",
	.desc = "Cycles with the ISMQ in Internal Starvation. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_int_starved.prq",
	.event = "umask=0x10,event=0x14",
	.desc = "Ingress internal starvation cycles. Counts cycles in internal starvation. This occurs when one or more of the entries in the ingress queue are being starved out by other entries in the queue. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_occupancy.ipq",
	.event = "umask=0x4,event=0x11",
	.desc = "Ingress Occupancy. Counts number of entries in the specified Ingress queue in each cycle. - IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_occupancy.irq",
	.event = "umask=0x1,event=0x11",
	.desc = "Ingress Occupancy. Counts number of entries in the specified Ingress queue in each cycle. - IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_occupancy.irq_rej",
	.event = "umask=0x2,event=0x11",
	.desc = "Ingress Occupancy. Counts number of entries in the specified Ingress queue in each cycle. - IRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_occupancy.prq",
	.event = "umask=0x10,event=0x11",
	.desc = "Ingress Occupancy. Counts number of entries in the specified Ingress queue in each cycle. - PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_occupancy.prq_rej",
	.event = "umask=0x20,event=0x11",
	.desc = "Ingress Occupancy. Counts number of entries in the specified Ingress queue in each cycle. - PRQ Rejected. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x22",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq1_reject.allow_snp",
	.event = "umask=0x40,event=0x23",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq1_reject.any_reject_ipq0",
	.event = "umask=0x1,event=0x23",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq1_reject.pa_match",
	.event = "umask=0x80,event=0x23",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq1_reject.sf_victim",
	.event = "umask=0x8,event=0x23",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ipq1_reject.sf_way",
	.event = "umask=0x20,event=0x23",
	.desc = "Ingress Probe Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x18",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq1_reject.allow_snp",
	.event = "umask=0x40,event=0x19",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq1_reject.any_reject_irq0",
	.event = "umask=0x1,event=0x19",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq1_reject.pa_match",
	.event = "umask=0x80,event=0x19",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq1_reject.sf_victim",
	.event = "umask=0x8,event=0x19",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_irq1_reject.sf_way",
	.event = "umask=0x20,event=0x19",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x24",
	.desc = "ISMQ Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_ismq0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2c",
	.desc = "ISMQ Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2e",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other1_retry.allow_snp",
	.event = "umask=0x40,event=0x2f",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other1_retry.any_reject_irq0",
	.event = "umask=0x1,event=0x2f",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other1_retry.pa_match",
	.event = "umask=0x80,event=0x2f",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other1_retry.sf_victim",
	.event = "umask=0x8,event=0x2f",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_other1_retry.sf_way",
	.event = "umask=0x20,event=0x2f",
	.desc = "Other Queue Retries. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.ad_req_vn0",
	.event = "umask=0x1,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.ad_rsp_vn0",
	.event = "umask=0x2,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.ak_non_upi",
	.event = "umask=0x40,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.bl_ncb_vn0",
	.event = "umask=0x10,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.bl_ncs_vn0",
	.event = "umask=0x20,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.bl_rsp_vn0",
	.event = "umask=0x4,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.bl_wb_vn0",
	.event = "umask=0x8,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq0_reject.iv_non_upi",
	.event = "umask=0x80,event=0x20",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq1_reject.allow_snp",
	.event = "umask=0x40,event=0x21",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq1_reject.any_reject_irq0",
	.event = "umask=0x1,event=0x21",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq1_reject.pa_match",
	.event = "umask=0x80,event=0x21",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq1_reject.sf_victim",
	.event = "umask=0x8,event=0x21",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_prq1_reject.sf_way",
	.event = "umask=0x20,event=0x21",
	.desc = "Ingress Request Queue Rejects. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.ad_req_vn0",
	.event = "umask=0x1,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.ad_rsp_vn0",
	.event = "umask=0x2,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.ak_non_upi",
	.event = "umask=0x40,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.bl_ncb_vn0",
	.event = "umask=0x10,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.bl_ncs_vn0",
	.event = "umask=0x20,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.bl_rsp_vn0",
	.event = "umask=0x4,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.bl_wb_vn0",
	.event = "umask=0x8,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q0_retry.iv_non_upi",
	.event = "umask=0x80,event=0x2a",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q1_retry.allow_snp",
	.event = "umask=0x40,event=0x2b",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q1_retry.any_reject_irq0",
	.event = "umask=0x1,event=0x2b",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q1_retry.pa_match",
	.event = "umask=0x80,event=0x2b",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q1_retry.sf_victim",
	.event = "umask=0x8,event=0x2b",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ingress_retry_req_q1_retry.sf_way",
	.event = "umask=0x20,event=0x2b",
	.desc = "REQUESTQ'' includes:  IRQ, PRQ, IPQ, RRQ, WBQ (everything except for ISMQ). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_misc.cv0_pref_miss",
	.event = "umask=0x20,event=0x39",
	.desc = "Miscellaneous events in the Cbo. CV0 Prefetch Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_misc.cv0_pref_vic",
	.event = "umask=0x10,event=0x39",
	.desc = "Miscellaneous events in the Cbo. CV0 Prefetch Victim. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_misc.rfo_hit_s",
	.event = "umask=0x8,event=0x39",
	.desc = "Miscellaneous events in the Cbo. RFO HitS. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_misc.rspi_was_fse",
	.event = "umask=0x1,event=0x39",
	.desc = "Miscellaneous events in the Cbo. Silent Snoop Eviction. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_misc.wc_aliasing",
	.event = "umask=0x2,event=0x39",
	.desc = "Miscellaneous events in the Cbo. Write Combining Aliasing. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ad",
	.event = "umask=0x1,event=0xa1",
	.desc = "Number of incoming messages from the Horizontal ring that were bounced, by ring type. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_horz.ak",
	.event = "umask=0x2,event=0xa1",
	.desc = "Number of incoming messages from the Horizontal ring that were bounced, by ring type - Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_horz.bl",
	.event = "umask=0x4,event=0xa1",
	.desc = "Number of incoming messages from the Horizontal ring that were bounced, by ring type - Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_horz.iv",
	.event = "umask=0x8,event=0xa1",
	.desc = "Number of incoming messages from the Horizontal ring that were bounced, by ring type - Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ad",
	.event = "umask=0x1,event=0xa0",
	.desc = "Number of incoming messages from the Vertical ring that were bounced, by ring type. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_vert.ak",
	.event = "umask=0x2,event=0xa0",
	.desc = "Number of incoming messages from the Vertical ring that were bounced, by ring type - Acknowledgements to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_vert.bl",
	.event = "umask=0x4,event=0xa0",
	.desc = "Number of incoming messages from the Vertical ring that were bounced, by ring type - Data Responses to core. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_bounces_vert.iv",
	.event = "umask=0x8,event=0xa0",
	.desc = "Number of incoming messages from the Vertical ring that were bounced, by ring type - Snoops of processor's cache. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ad",
	.event = "umask=0x1,event=0xa3",
	.desc = "Horizontal ring sink starvation count - AD ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.ak",
	.event = "umask=0x2,event=0xa3",
	.desc = "Horizontal ring sink starvation count - AK ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.bl",
	.event = "umask=0x4,event=0xa3",
	.desc = "Horizontal ring sink starvation count - BL ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_horz.iv",
	.event = "umask=0x8,event=0xa3",
	.desc = "Horizontal ring sink starvation count - IV ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ad",
	.event = "umask=0x1,event=0xa2",
	.desc = "Vertical ring sink starvation count - AD ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.ak",
	.event = "umask=0x2,event=0xa2",
	.desc = "Vertical ring sink starvation count - AK ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.bl",
	.event = "umask=0x4,event=0xa2",
	.desc = "Vertical ring sink starvation count - BL ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_sink_starved_vert.iv",
	.event = "umask=0x8,event=0xa2",
	.desc = "Vertical ring sink starvation count - IV ring. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_ring_src_thrtl",
	.event = "event=0xa4",
	.desc = "Counts cycles in throttle mode. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_sf_lookup.any",
	.event = "umask=0x11,event=0x34",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Filters for any transaction originating from the IPQ or IRQ.  This does not include lookups originating from the ISMQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_sf_lookup.data_read",
	.event = "umask=0x3,event=0x34",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Read transactions. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_sf_lookup.remote_snoop",
	.event = "umask=0x9,event=0x34",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Filters for only snoop requests coming from the remote socket(s) through the IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_sf_lookup.write",
	.event = "umask=0x5,event=0x34",
	.desc = "Cache Lookups. Counts the number of times the LLC was accessed. Writeback transactions from L2 to the LLC  This includes all write transactions -- both Cachable and UC. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_busy_starved.ad_bnc",
	.event = "umask=0x1,event=0xb4",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_busy_starved.ad_crd",
	.event = "umask=0x10,event=0xb4",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_busy_starved.bl_bnc",
	.event = "umask=0x4,event=0xb4",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_busy_starved.bl_crd",
	.event = "umask=0x40,event=0xb4",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, because a message from the other queue has higher priority. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.ad_bnc",
	.event = "umask=0x1,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.ad_crd",
	.event = "umask=0x10,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.ak_bnc",
	.event = "umask=0x2,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.bl_bnc",
	.event = "umask=0x4,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.bl_crd",
	.event = "umask=0x40,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_bypass.iv_bnc",
	.event = "umask=0x8,event=0xb2",
	.desc = "Transgress Ingress Bypass. Number of packets bypassing the CMS Ingress . Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.ad_bnc",
	.event = "umask=0x1,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.ad_crd",
	.event = "umask=0x10,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.ak_bnc",
	.event = "umask=0x2,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.bl_bnc",
	.event = "umask=0x4,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.bl_crd",
	.event = "umask=0x40,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.ifv",
	.event = "umask=0x80,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_crd_starved.iv_bnc",
	.event = "umask=0x8,event=0xb3",
	.desc = "Transgress Injection Starvation. Counts cycles under injection starvation mode.  This starvation is triggered when the CMS Ingress cannot send a transaction onto the mesh for a long period of time.  In this case, the Ingress is unable to forward to the Egress due to a lack of credit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.ad_bnc",
	.event = "umask=0x1,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.ad_crd",
	.event = "umask=0x10,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.ak_bnc",
	.event = "umask=0x2,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.bl_bnc",
	.event = "umask=0x4,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.bl_crd",
	.event = "umask=0x40,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_inserts.iv_bnc",
	.event = "umask=0x8,event=0xb1",
	.desc = "Transgress Ingress Allocations. Number of allocations into the CMS Ingress  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.ad_bnc",
	.event = "umask=0x1,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.ad_crd",
	.event = "umask=0x10,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.ak_bnc",
	.event = "umask=0x2,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.bl_bnc",
	.event = "umask=0x4,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.bl_crd",
	.event = "umask=0x40,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tg_ingress_occupancy.iv_bnc",
	.event = "umask=0x8,event=0xb0",
	.desc = "Transgress Ingress Occupancy. Occupancy event for the Ingress buffers in the CMS  The Ingress is used to queue up requests received from the mesh. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.evict",
	.event = "umask=0x32,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.hit",
	.event = "umask=0x1f,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.ipq",
	.event = "umask=0x38,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.irq",
	.event = "umask=0x31,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -IRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.miss",
	.event = "umask=0x2f,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_inserts.prq",
	.event = "umask=0x34,event=0x35",
	.desc = "Counts the number of entries successfully inserted into the TOR that match  qualifications specified by the subevent -PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.evict",
	.event = "umask=0x32,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -SF/LLC Evictions. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.hit",
	.event = "umask=0x1f,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -Hit (Not a Miss). Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.ipq",
	.event = "umask=0x38,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IPQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.ipq_hit",
	.event = "umask=0x18,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IPQ hit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.ipq_miss",
	.event = "umask=0x28,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IPQ miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.irq",
	.event = "umask=0x31,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IRQ or PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.irq_hit",
	.event = "umask=0x11,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IRQ or PRQ hit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.irq_miss",
	.event = "umask=0x21,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -IRQ or PRQ miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.miss",
	.event = "umask=0x2f,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -Miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.prq",
	.event = "umask=0x34,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -PRQ. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.prq_hit",
	.event = "umask=0x14,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -PRQ hit. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_tor_occupancy.prq_miss",
	.event = "umask=0x24,event=0x36",
	.desc = "For each cycle, this event accumulates the number of valid entries in the TOR that match qualifications specified by the subevent -PRQ miss. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_u_clockticks",
	.event = "event=0",
	.desc = "Uncore Clocks. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_even",
	.event = "umask=0x4,event=0xa6",
	.desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop - Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.dn_odd",
	.event = "umask=0x8,event=0xa6",
	.desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop - Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_even",
	.event = "umask=0x1,event=0xa6",
	.desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop - Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ad_in_use.up_odd",
	.event = "umask=0x2,event=0xa6",
	.desc = "Counts the number of cycles that the Vertical AD ring is being used at this ring stop - Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_even",
	.event = "umask=0x4,event=0xa8",
	.desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop - Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.dn_odd",
	.event = "umask=0x8,event=0xa8",
	.desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop - Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_even",
	.event = "umask=0x1,event=0xa8",
	.desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop - Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_ak_in_use.up_odd",
	.event = "umask=0x2,event=0xa8",
	.desc = "Counts the number of cycles that the Vertical AK ring is being used at this ring stop - Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_even",
	.event = "umask=0x4,event=0xaa",
	.desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop - Down and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.dn_odd",
	.event = "umask=0x8,event=0xaa",
	.desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop - Down and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_even",
	.event = "umask=0x1,event=0xaa",
	.desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop - Up and Even. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_bl_in_use.up_odd",
	.event = "umask=0x2,event=0xaa",
	.desc = "Counts the number of cycles that the Vertical BL ring is being used at this ring stop - Up and Odd. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.dn",
	.event = "umask=0x4,event=0xac",
	.desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop - Down. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_h_vert_ring_iv_in_use.up",
	.event = "umask=0x1,event=0xac",
	.desc = "Counts the number of cycles that the Vertical IV ring is being used at this ring stop - Up. Unit: uncore_cha ",
	.topic = "uncore other",
	.pmu = "uncore_cha",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.ad_0",
	.event = "umask=0x1,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  AD_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.ad_1",
	.event = "umask=0x8,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  AD_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.ak_0",
	.event = "umask=0x2,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  AK_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.ak_1",
	.event = "umask=0x10,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  AK_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.bl_0",
	.event = "umask=0x4,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  BL_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_full.bl_1",
	.event = "umask=0x20,event=0x25",
	.desc = "Egress (to CMS) Cycles Full. Counts the number of cycles when the M2PCIe Egress is full.  BL_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.ad_0",
	.event = "umask=0x1,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  AD_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.ad_1",
	.event = "umask=0x8,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  AD_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.ak_0",
	.event = "umask=0x2,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  AK_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.ak_1",
	.event = "umask=0x10,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  AK_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.bl_0",
	.event = "umask=0x4,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  BL_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_cycles_ne.bl_1",
	.event = "umask=0x20,event=0x23",
	.desc = "Egress (to CMS) Cycles Not Empty. Counts the number of cycles when the M2PCIe Egress is not empty.  BL_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ad_0",
	.event = "umask=0x1,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AD_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ad_1",
	.event = "umask=0x10,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AD_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ak_0",
	.event = "umask=0x2,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AK_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ak_1",
	.event = "umask=0x20,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AK_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ak_crd_0",
	.event = "umask=0x8,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AK_CRD_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.ak_crd_1",
	.event = "umask=0x80,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. AK_CRD_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.bl_0",
	.event = "umask=0x4,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. BL_0. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_egress_inserts.bl_1",
	.event = "umask=0x40,event=0x24",
	.desc = "Egress (to CMS) Ingress. Counts the number of number of messages inserted into the  the M2PCIe Egress queue. BL_1. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ingress_cycles_ne.all",
	.event = "umask=0x80,event=0x10",
	.desc = "Ingress Queue Cycles Not Empty. Counts the number of cycles when the M2PCIe Ingress is not empty.ALL. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ingress_cycles_ne.cbo_idi",
	.event = "umask=0x1,event=0x10",
	.desc = "Ingress Queue Cycles Not Empty. Counts the number of cycles when the M2PCIe Ingress is not empty.CBO_IDI. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ingress_cycles_ne.cbo_ncb",
	.event = "umask=0x2,event=0x10",
	.desc = "Ingress Queue Cycles Not Empty. Counts the number of cycles when the M2PCIe Ingress is not empty.CBO_NCB. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m2p_ingress_cycles_ne.cbo_ncs",
	.event = "umask=0x4,event=0x10",
	.desc = "Ingress Queue Cycles Not Empty. Counts the number of cycles when the M2PCIe Ingress is not empty.CBO_NCS. Unit: uncore_m2pcie ",
	.topic = "uncore other",
	.pmu = "uncore_m2pcie",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.all",
	.event = "umask=0x3,event=0x3",
	.desc = "CAS All. Unit: uncore_imc_dclk ",
	.topic = "uncore other",
	.pmu = "uncore_imc_dclk",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.rd",
	.event = "umask=0x1,event=0x3",
	.desc = "CAS Reads. Unit: uncore_imc_dclk ",
	.topic = "uncore other",
	.pmu = "uncore_imc_dclk",
	.perpkg = "1",
},
{
	.name = "unc_m_cas_count.wr",
	.event = "umask=0x2,event=0x3",
	.desc = "CAS Writes. Unit: uncore_imc_dclk ",
	.topic = "uncore other",
	.pmu = "uncore_imc_dclk",
	.perpkg = "1",
},
{
	.name = "unc_m_d_clockticks",
	.event = "event=0",
	.desc = "DCLK count. Unit: uncore_imc_dclk ",
	.topic = "uncore other",
	.pmu = "uncore_imc_dclk",
	.perpkg = "1",
},
{
	.name = "unc_m_u_clockticks",
	.event = "event=0",
	.desc = "UCLK count. Unit: uncore_imc_uclk ",
	.topic = "uncore other",
	.pmu = "uncore_imc_uclk",
	.perpkg = "1",
},
{
	.name = "core_reject_l2q.all",
	.event = "period=200003,event=0x31",
	.desc = "Counts the number of MEC requests that were not accepted into the L2Q because of any L2  queue reject condition. There is no concept of at-ret here. It might include requests due to instructions in the speculative path",
	.topic = "cache",
},
{
	.name = "fetch_stall.icache_fill_pending_cycles",
	.event = "period=200003,umask=0x4,event=0x86",
	.desc = "Counts the number of core cycles the fetch stalls because of an icache miss. This is a cummulative count of core cycles the fetch stalled for all icache misses",
	.topic = "cache",
	.long_desc = "This event counts the number of core cycles the fetch stalls because of an icache miss. This is a cumulative count of cycles the NIP stalled for all icache misses",
},
{
	.name = "l2_requests.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "Counts the number of L2 cache misses",
	.topic = "cache",
},
{
	.name = "l2_requests.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "Counts the total number of L2 cache references",
	.topic = "cache",
},
{
	.name = "l2_requests_reject.all",
	.event = "period=200003,event=0x30",
	.desc = "Counts the number of MEC requests from the L2Q that reference a cache line (cacheable requests) exlcuding SW prefetches filling only to L2 cache and L1 evictions (automatically exlcudes L2HWP, UC, WC) that were rejected - Multiple repeated rejects should be counted multiple times",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x40,event=0x4",
	.desc = "Counts all the load micro-ops retired",
	.topic = "cache",
	.long_desc = "This event counts the number of load micro-ops retired",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x80,event=0x4",
	.desc = "Counts all the store micro-ops retired",
	.topic = "cache",
	.long_desc = "This event counts the number of store micro-ops retired",
},
{
	.name = "mem_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0x4",
	.desc = "Counts the loads retired that get the data from the other core in the same tile in M state  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.l1_miss_loads",
	.event = "period=200003,umask=0x1,event=0x4",
	.desc = "Counts the number of load micro-ops retired that miss in L1 D cache",
	.topic = "cache",
	.long_desc = "This event counts the number of load micro-ops retired that miss in L1 Data cache. Note that prefetch misses will not be counted",
},
{
	.name = "mem_uops_retired.l2_hit_loads",
	.event = "period=200003,umask=0x2,event=0x4",
	.desc = "Counts the number of load micro-ops retired that hit in the L2  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.l2_miss_loads",
	.event = "period=100007,umask=0x4,event=0x4",
	.desc = "Counts the number of load micro-ops retired that miss in the L2  Supports address when precise (Precise event)",
	.topic = "cache",
},
{
	.name = "mem_uops_retired.utlb_miss_loads",
	.event = "period=200003,umask=0x10,event=0x4",
	.desc = "Counts the number of load micro-ops retired that caused micro TLB miss",
	.topic = "cache",
},
{
	.name = "offcore_response",
	.event = "period=100007,umask=0x1,event=0xb7",
	.desc = "Counts the matrix events specified by MSR_OFFCORE_RESPx",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000044",
	.desc = "Counts Demand code reads and prefetch code read requests  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000013091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800403091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800403091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000403091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800183091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800083091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000083091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000003091",
	.desc = "Counts Demand cacheable data and L1 prefetch data read requests  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010070",
	.desc = "Counts any Prefetch requests that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400070",
	.desc = "Counts any Prefetch requests that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400070",
	.desc = "Counts any Prefetch requests that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400070",
	.desc = "Counts any Prefetch requests that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180070",
	.desc = "Counts any Prefetch requests that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080070",
	.desc = "Counts any Prefetch requests that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080070",
	.desc = "Counts any Prefetch requests that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000070",
	.desc = "Counts any Prefetch requests that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000070",
	.desc = "Counts any Prefetch requests that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000070",
	.desc = "Counts any Prefetch requests that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_pf_l2.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000070",
	.desc = "Counts any Prefetch requests that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00000132f7",
	.desc = "Counts any Read request  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x18004032f7",
	.desc = "Counts any Read request  that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x08004032f7",
	.desc = "Counts any Read request  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x10004032f7",
	.desc = "Counts any Read request  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x18001832f7",
	.desc = "Counts any Read request  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x08000832f7",
	.desc = "Counts any Read request  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x10000832f7",
	.desc = "Counts any Read request  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00040032f7",
	.desc = "Counts any Read request  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00100032f7",
	.desc = "Counts any Read request  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00020032f7",
	.desc = "Counts any Read request  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00080032f7",
	.desc = "Counts any Read request  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_read.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x40000032f7",
	.desc = "Counts any Read request  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000018000",
	.desc = "Counts any request that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800408000",
	.desc = "Counts any request that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800408000",
	.desc = "Counts any request that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000408000",
	.desc = "Counts any request that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800188000",
	.desc = "Counts any request that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800088000",
	.desc = "Counts any request that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000088000",
	.desc = "Counts any request that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004008000",
	.desc = "Counts any request that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010008000",
	.desc = "Counts any request that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002008000",
	.desc = "Counts any request that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008008000",
	.desc = "Counts any request that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_request.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000008000",
	.desc = "Counts any request that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010022",
	.desc = "Counts Demand cacheable data write requests  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400022",
	.desc = "Counts Demand cacheable data write requests  that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180022",
	.desc = "Counts Demand cacheable data write requests  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000022",
	.desc = "Counts Demand cacheable data write requests  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.any_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000022",
	.desc = "Counts Demand cacheable data write requests  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010400",
	.desc = "Counts Bus locks and split lock requests that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400400",
	.desc = "Counts Bus locks and split lock requests that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180400",
	.desc = "Counts Bus locks and split lock requests that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000400",
	.desc = "Counts Bus locks and split lock requests that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.bus_locks.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000400",
	.desc = "Counts Bus locks and split lock requests that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000004",
	.desc = "Counts demand code reads and prefetch code reads that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000004",
	.desc = "Counts demand code reads and prefetch code reads that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000001",
	.desc = "Counts demand cacheable data and L1 prefetch data reads that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010002",
	.desc = "Counts Demand cacheable data writes that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400002",
	.desc = "Counts Demand cacheable data writes that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180002",
	.desc = "Counts Demand cacheable data writes that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080002",
	.desc = "Counts Demand cacheable data writes that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000002",
	.desc = "Counts Demand cacheable data writes that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000002",
	.desc = "Counts Demand cacheable data writes that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000002",
	.desc = "Counts Demand cacheable data writes that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000002",
	.desc = "Counts Demand cacheable data writes that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.demand_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000002",
	.desc = "Counts Demand cacheable data writes that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.full_streaming_stores.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010800",
	.desc = "Counts Full streaming stores (WC and should be programmed on PMC1) that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_reads.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000080",
	.desc = "Counts Partial reads (UC or WC and is valid only for Outstanding response type).  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_streaming_stores.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000014000",
	.desc = "Counts Partial streaming stores (WC and should be programmed on PMC1) that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.partial_writes.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000100",
	.desc = "Counts Partial writes (UC or WT or WP and should be programmed on PMC1) that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000012000",
	.desc = "Counts L1 data HW prefetches that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800402000",
	.desc = "Counts L1 data HW prefetches that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800402000",
	.desc = "Counts L1 data HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000402000",
	.desc = "Counts L1 data HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800182000",
	.desc = "Counts L1 data HW prefetches that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800082000",
	.desc = "Counts L1 data HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000082000",
	.desc = "Counts L1 data HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004002000",
	.desc = "Counts L1 data HW prefetches that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010002000",
	.desc = "Counts L1 data HW prefetches that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002002000",
	.desc = "Counts L1 data HW prefetches that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008002000",
	.desc = "Counts L1 data HW prefetches that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l1_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000002000",
	.desc = "Counts L1 data HW prefetches that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010040",
	.desc = "Counts L2 code HW prefetches that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800400040",
	.desc = "Counts L2 code HW prefetches that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400040",
	.desc = "Counts L2 code HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400040",
	.desc = "Counts L2 code HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180040",
	.desc = "Counts L2 code HW prefetches that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080040",
	.desc = "Counts L2 code HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080040",
	.desc = "Counts L2 code HW prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000040",
	.desc = "Counts L2 code HW prefetches that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000040",
	.desc = "Counts L2 code HW prefetches that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000040",
	.desc = "Counts L2 code HW prefetches that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_l2_rfo.supplier_none",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000020020",
	.desc = "Counts L2 data RFO prefetches (includes PREFETCHW instruction) that provides no supplier details",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000011000",
	.desc = "Counts Software Prefetches that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_far_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800401000",
	.desc = "Counts Software Prefetches that accounts for reponses from snoop request hit with data forwarded from it Far(not in the same quadrant as the request)-other tile L2 in E/F/M state. Valid only in SNC4 Cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800401000",
	.desc = "Counts Software Prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000401000",
	.desc = "Counts Software Prefetches that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800181000",
	.desc = "Counts Software Prefetches that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800081000",
	.desc = "Counts Software Prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000081000",
	.desc = "Counts Software Prefetches that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004001000",
	.desc = "Counts Software Prefetches that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010001000",
	.desc = "Counts Software Prefetches that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002001000",
	.desc = "Counts Software Prefetches that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008001000",
	.desc = "Counts Software Prefetches that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.pf_software.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000001000",
	.desc = "Counts Software Prefetches that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = "offcore_response.streaming_stores.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000014800",
	.desc = "Counts all streaming stores (WC and should be programmed on PMC1) that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for any response",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_far_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800400200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in E/F state. Valid only for SNC4 cluster mode",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_far_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000400200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from a snoop request hit with data forwarded from its Far(not in the same quadrant as the request)-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_near_tile",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1800180200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for reponses from snoop request hit with data forwarded from its Near-other tile L2 in E/F/M state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_near_tile_e_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0800080200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in E/F state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_near_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000080200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses from a snoop request hit with data forwarded from its Near-other tile's L2 in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_this_tile_e",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0004000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses which hit its own tile's L2 with data in E state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_this_tile_f",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0010000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses which hit its own tile's L2 with data in F state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_this_tile_m",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0002000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses which hit its own tile's L2 with data in M state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.l2_hit_this_tile_s",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0008000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that accounts for responses which hit its own tile's L2 with data in S state",
	.topic = "cache",
},
{
	.name = "offcore_response.uc_code_reads.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000200",
	.desc = "Counts UC code reads (valid only for Outstanding response type)  that are outstanding, per weighted cycle, from the time of the request to when any response is received. The oustanding response should be programmed only on PMC0",
	.topic = "cache",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_goldmont[] = {
{
	.name = "fetch_stall.all",
	.event = "period=200003,event=0x86",
	.desc = "Cycles code-fetch stalled due to any reason",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to any reason. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes.  This will include cycles due to an ITLB miss, ICache miss and other events",
},
{
	.name = "fetch_stall.itlb_fill_pending_cycles",
	.event = "period=200003,umask=0x1,event=0x86",
	.desc = "Cycles code-fetch stalled due to an outstanding ITLB miss",
	.topic = "other",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ITLB miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ITLB miss.  Note: this event is not the same as page walk cycles to retrieve an instruction translation",
},
{
	.name = "hw_interrupts.masked",
	.event = "period=200003,umask=0x2,event=0xcb",
	.desc = "Cycles hardware interrupts are masked",
	.topic = "other",
	.long_desc = "Counts the number of core cycles during which interrupts are masked (disabled). Increments by 1 each core cycle that EFLAGS.IF is 0, regardless of whether interrupts are pending or not",
},
{
	.name = "hw_interrupts.pending_and_masked",
	.event = "period=200003,umask=0x4,event=0xcb",
	.desc = "Cycles pending interrupts are masked",
	.topic = "other",
	.long_desc = "Counts core cycles during which there are pending interrupts, but interrupts are masked (EFLAGS.IF = 0)",
},
{
	.name = "hw_interrupts.received",
	.event = "period=203,umask=0x1,event=0xcb",
	.desc = "Hardware interrupts received",
	.topic = "other",
	.long_desc = "Counts hardware interrupts received by the processor",
},
{
	.name = "itlb.miss",
	.event = "period=200003,umask=0x4,event=0x81",
	.desc = "ITLB misses",
	.topic = "virtual memory",
	.long_desc = "Counts the number of times the machine was unable to find a translation in the Instruction Translation Lookaside Buffer (ITLB) for a linear address of an instruction fetch.  It counts when new translation are filled into the ITLB.  The event is speculative in nature, but will not count translations (page walks) that are begun and not finished, or translations that are finished but not filled into the ITLB",
},
{
	.name = "mem_uops_retired.dtlb_miss",
	.event = "period=200003,umask=0x13,event=0xd0",
	.desc = "Memory uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts uops retired that had a DTLB miss on load, store or either.  Note that when two distinct memory operations to the same page miss the DTLB, only one of them will be recorded as a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.dtlb_miss_loads",
	.event = "period=200003,umask=0x11,event=0xd0",
	.desc = "Load uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts load uops retired that caused a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.dtlb_miss_stores",
	.event = "period=200003,umask=0x12,event=0xd0",
	.desc = "Store uops retired that missed the DTLB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "virtual memory",
	.long_desc = "Counts store uops retired that caused a DTLB miss  Supports address when precise (Must be precise)",
},
{
	.name = "page_walks.cycles",
	.event = "period=200003,umask=0x3,event=0x5",
	.desc = "Duration of page-walks in cycles",
	.topic = "virtual memory",
	.long_desc = "Counts every core cycle a page-walk is in progress due to either a data memory operation or an instruction fetch",
},
{
	.name = "page_walks.d_side_cycles",
	.event = "period=200003,umask=0x1,event=0x5",
	.desc = "Duration of D-side page-walks in cycles",
	.topic = "virtual memory",
	.long_desc = "Counts every core cycle when a Data-side (walks due to a data operation) page walk is in progress",
},
{
	.name = "page_walks.i_side_cycles",
	.event = "period=200003,umask=0x2,event=0x5",
	.desc = "Duration of I-side pagewalks in cycles",
	.topic = "virtual memory",
	.long_desc = "Counts every core cycle when a Instruction-side (walks due to an instruction fetch) page walk is in progress",
},
{
	.name = "baclears.all",
	.event = "period=200003,umask=0x1,event=0xe6",
	.desc = "BACLEARs asserted for any branch type",
	.topic = "frontend",
	.long_desc = "Counts the number of times a BACLEAR is signaled for any reason, including, but not limited to indirect branch/call,  Jcc (Jump on Conditional Code/Jump if Condition is Met) branch, unconditional branch/call, and returns",
},
{
	.name = "baclears.cond",
	.event = "period=200003,umask=0x10,event=0xe6",
	.desc = "BACLEARs asserted for conditional branch",
	.topic = "frontend",
	.long_desc = "Counts BACLEARS on Jcc (Jump on Conditional Code/Jump if Condition is Met) branches",
},
{
	.name = "baclears.return",
	.event = "period=200003,umask=0x8,event=0xe6",
	.desc = "BACLEARs asserted for return branch",
	.topic = "frontend",
	.long_desc = "Counts BACLEARS on return instructions",
},
{
	.name = "decode_restriction.predecode_wrong",
	.event = "period=200003,umask=0x1,event=0xe9",
	.desc = "Decode restrictions due to predicting wrong instruction length",
	.topic = "frontend",
	.long_desc = "Counts the number of times the prediction (from the predecode cache) for instruction length is incorrect",
},
{
	.name = "icache.accesses",
	.event = "period=200003,umask=0x3,event=0x80",
	.desc = "References per ICache line. This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache) for one or more bytes in an ICache Line.  The event strives to count on a cache line basis, so that multiple fetches to a single cache line count as one ICACHE.ACCESS.  Specifically, the event counts when accesses from straight line code crosses the cache line boundary, or when a branch target is to a new line.\r\nThis event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "icache.hit",
	.event = "period=200003,umask=0x1,event=0x80",
	.desc = "References per ICache line that are available in the ICache (hit). This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache) for one or more bytes in an ICache Line and that cache line is in the ICache (hit).  The event strives to count on a cache line basis, so that multiple accesses which hit in a single cache line count as one ICACHE.HIT.  Specifically, the event counts when straight line code crosses the cache line boundary, or when a branch target is to a new line, and that cache line is in the ICache. This event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "icache.misses",
	.event = "period=200003,umask=0x2,event=0x80",
	.desc = "References per ICache line that are not available in the ICache (miss). This event counts differently than Intel processors based on Silvermont microarchitecture",
	.topic = "frontend",
	.long_desc = "Counts requests to the Instruction Cache (ICache)  for one or more bytes in an ICache Line and that cache line is not in the ICache (miss).  The event strives to count on a cache line basis, so that multiple accesses which miss in a single cache line count as one ICACHE.MISS.  Specifically, the event counts when straight line code crosses the cache line boundary, or when a branch target is to a new line, and that cache line is not in the ICache. This event counts differently than Intel processors based on Silvermont microarchitecture",
},
{
	.name = "ms_decoded.ms_entry",
	.event = "period=200003,umask=0x1,event=0xe7",
	.desc = "MS decode starts",
	.topic = "frontend",
	.long_desc = "Counts the number of times the Microcode Sequencer (MS) starts a flow of uops from the MSROM. It does not count every time a uop is read from the MSROM.  The most common case that this counts is when a micro-coded instruction is encountered by the front end of the machine.  Other cases include when an instruction encounters a fault, trap, or microcode assist of any sort that initiates a flow of uops.  The event will count MS startups for uops that are speculative, and subsequently cleared by branch mispredict or a machine clear",
},
{
	.name = "br_inst_retired.all_branches",
	.event = "period=200003,event=0xc4",
	.desc = "Retired branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts branch instructions retired for all branch types.  This is an architectural performance event (Must be precise)",
},
{
	.name = "br_inst_retired.all_taken_branches",
	.event = "period=200003,umask=0x80,event=0xc4",
	.desc = "Retired taken branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of taken branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.call",
	.event = "period=200003,umask=0xf9,event=0xc4",
	.desc = "Retired near call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.far_branch",
	.event = "period=200003,umask=0xbf,event=0xc4",
	.desc = "Retired far branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts far branch instructions retired.  This includes far jump, far call and return, and Interrupt call and return (Must be precise)",
},
{
	.name = "br_inst_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc4",
	.desc = "Retired near indirect call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc4",
	.desc = "Retired conditional branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired, including both when the branch was taken and when it was not taken (Must be precise)",
},
{
	.name = "br_inst_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc4",
	.desc = "Retired instructions of near indirect Jmp or call (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near indirect call or near indirect jmp branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.rel_call",
	.event = "period=200003,umask=0xfd,event=0xc4",
	.desc = "Retired near relative call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near relative CALL branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc4",
	.desc = "Retired near return instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts near return branch instructions retired (Must be precise)",
},
{
	.name = "br_inst_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc4",
	.desc = "Retired conditional branch instructions that were taken (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired that were taken and does not count when the Jcc branch instruction were not taken (Must be precise)",
},
{
	.name = "br_misp_retired.all_branches",
	.event = "period=200003,event=0xc5",
	.desc = "Retired mispredicted branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted branch instructions retired including all branch types (Must be precise)",
},
{
	.name = "br_misp_retired.ind_call",
	.event = "period=200003,umask=0xfb,event=0xc5",
	.desc = "Retired mispredicted near indirect call instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted near indirect CALL branch instructions retired, where the target address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.jcc",
	.event = "period=200003,umask=0x7e,event=0xc5",
	.desc = "Retired mispredicted conditional branch instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired, including both when the branch was supposed to be taken and when it was not supposed to be taken (but the processor predicted the opposite condition) (Must be precise)",
},
{
	.name = "br_misp_retired.non_return_ind",
	.event = "period=200003,umask=0xeb,event=0xc5",
	.desc = "Retired mispredicted instructions of near indirect Jmp or near indirect call. (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted branch instructions retired that were near indirect call or near indirect jmp, where the target address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.return",
	.event = "period=200003,umask=0xf7,event=0xc5",
	.desc = "Retired mispredicted near return instructions (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted near RET branch instructions retired, where the return address taken was not what the processor predicted (Must be precise)",
},
{
	.name = "br_misp_retired.taken_jcc",
	.event = "period=200003,umask=0xfe,event=0xc5",
	.desc = "Retired mispredicted conditional branch instructions that were taken (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts mispredicted retired Jcc (Jump on Conditional Code/Jump if Condition is Met) branch instructions retired that were supposed to be taken but the processor predicted that it would not be taken (Must be precise)",
},
{
	.name = "cpu_clk_unhalted.core",
	.event = "event=0x3c,period=2000003",
	.desc = "Core cycles when core is not halted  (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of core cycles while the core is not in a halt state.  The core enters the halt state when it is running the HLT instruction. In mobile systems the core frequency may change from time to time. For this reason this event may have a changing ratio with regards to time.  This event uses fixed counter 1.  You cannot collect a PEBs record for this event",
},
{
	.name = "cpu_clk_unhalted.core_p",
	.event = "period=2000003,event=0x3c",
	.desc = "Core cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "Core cycles when core is not halted.  This event uses a (_P)rogrammable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref",
	.event = "event=0x0,umask=0x03,period=2000003",
	.desc = "Reference cycles when core is not halted",
	.topic = "pipeline",
	.long_desc = "Reference cycles when core is not halted.  This event uses a programmable general purpose performance counter",
},
{
	.name = "cpu_clk_unhalted.ref_tsc",
	.event = "period=2000003,umask=0x3,event=0",
	.desc = "Reference cycles when core is not halted  (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of reference cycles that the core is not in a halt state. The core enters the halt state when it is running the HLT instruction.  In mobile systems the core frequency may change from time.  This event is not affected by core frequency changes but counts as if the core is running at the maximum frequency all the time.  This event uses fixed counter 2.  You cannot collect a PEBs record for this event",
},
{
	.name = "cycles_div_busy.all",
	.event = "period=2000003,event=0xcd",
	.desc = "Cycles a divider is busy",
	.topic = "pipeline",
	.long_desc = "Counts core cycles if either divide unit is busy",
},
{
	.name = "cycles_div_busy.idiv",
	.event = "period=200003,umask=0x1,event=0xcd",
	.desc = "Cycles the integer divide unit is busy",
	.topic = "pipeline",
	.long_desc = "Counts core cycles the integer divide unit is busy",
},
{
	.name = "inst_retired.any",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Fixed event)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions that retire execution. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. The counter continues counting during hardware interrupts, traps, and inside interrupt handlers.  This event uses fixed counter 0.  You cannot collect a PEBs record for this event",
},
{
	.name = "inst_retired.any_p",
	.event = "event=0xc0,period=2000003",
	.desc = "Instructions retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of instructions that retire execution. For instructions that consist of multiple uops, this event counts the retirement of the last uop of the instruction. The event continues counting during hardware interrupts, traps, and inside interrupt handlers.  This is an architectural performance event.  This event uses a (_P)rogrammable general purpose performance counter. *This event is Precise Event capable:  The EventingRIP field in the PEBS record is precise to the address of the instruction which caused the event.  Note: Because PEBS records can be collected only on IA32_PMC0, only one event can use the PEBS facility at a time (Must be precise)",
},
{
	.name = "issue_slots_not_consumed.any",
	.event = "period=200003,event=0xca",
	.desc = "Unfilled issue slots per cycle",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed by the backend due to either a full resource  in the backend (RESOURCE_FULL) or due to the processor recovering from some event (RECOVERY)",
},
{
	.name = "issue_slots_not_consumed.recovery",
	.event = "period=200003,umask=0x2,event=0xca",
	.desc = "Unfilled issue slots per cycle to recover",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed by the backend because allocation is stalled waiting for a mispredicted jump to retire or other branch-like conditions (e.g. the event is relevant during certain microcode flows).   Counts all issue slots blocked while within this window including slots where uops were not available in the Instruction Queue",
},
{
	.name = "issue_slots_not_consumed.resource_full",
	.event = "period=200003,umask=0x1,event=0xca",
	.desc = "Unfilled issue slots per cycle because of a full resource in the backend",
	.topic = "pipeline",
	.long_desc = "Counts the number of issue slots per core cycle that were not consumed because of a full resource in the backend.  Including but not limited to resources such as the Re-order Buffer (ROB), reservation stations (RS), load/store buffers, physical registers, or any other needed machine resource that is currently unavailable.   Note that uops must be available for consumption in order for this event to fire.  If a uop is not available (Instruction Queue is empty), this event will not count",
},
{
	.name = "ld_blocks.4k_alias",
	.event = "period=200003,umask=0x4,event=0x3",
	.desc = "Loads blocked because address has 4k partial address false dependence (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts loads that block because their address modulo 4K matches a pending store (Must be precise)",
},
{
	.name = "ld_blocks.all_block",
	.event = "period=200003,umask=0x10,event=0x3",
	.desc = "Loads blocked (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts anytime a load that retires is blocked for any reason (Must be precise)",
},
{
	.name = "ld_blocks.data_unknown",
	.event = "period=200003,umask=0x1,event=0x3",
	.desc = "Loads blocked due to store data not ready (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts a load blocked from using a store forward, but did not occur because the store data was not available at the right time.  The forward might occur subsequently when the data is available (Must be precise)",
},
{
	.name = "ld_blocks.store_forward",
	.event = "period=200003,umask=0x2,event=0x3",
	.desc = "Loads blocked due to store forward restriction (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts a load blocked from using a store forward because of an address/size mismatch, only one of the loads blocked from each store will be counted (Must be precise)",
},
{
	.name = "ld_blocks.utlb_miss",
	.event = "period=200003,umask=0x8,event=0x3",
	.desc = "Loads blocked because address in not in the UTLB (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts loads blocked because they are unable to find their physical address in the micro TLB (UTLB) (Must be precise)",
},
{
	.name = "machine_clears.all",
	.event = "period=200003,event=0xc3",
	.desc = "All machine clears",
	.topic = "pipeline",
	.long_desc = "Counts machine clears for any reason",
},
{
	.name = "machine_clears.disambiguation",
	.event = "period=200003,umask=0x8,event=0xc3",
	.desc = "Machine clears due to memory disambiguation",
	.topic = "pipeline",
	.long_desc = "Counts machine clears due to memory disambiguation.  Memory disambiguation happens when a load which has been issued conflicts with a previous unretired store in the pipeline whose address was not known at issue time, but is later resolved to be the same as the load address",
},
{
	.name = "machine_clears.smc",
	.event = "period=200003,umask=0x1,event=0xc3",
	.desc = "Self-Modifying Code detected",
	.topic = "pipeline",
	.long_desc = "Counts the number of times that the processor detects that a program is writing to a code section and has to perform a machine clear because of that modification.  Self-modifying code (SMC) causes a severe penalty in all Intel(R) architecture processors",
},
{
	.name = "uops_issued.any",
	.event = "period=200003,event=0xe",
	.desc = "Uops issued to the back end per cycle",
	.topic = "pipeline",
	.long_desc = "Counts uops issued by the front end and allocated into the back end of the machine.  This event counts uops that retire as well as uops that were speculatively executed but didn't retire. The sort of speculative uops that might be counted includes, but is not limited to those uops issued in the shadow of a miss-predicted branch, those uops that are inserted during an assist (such as for a denormal floating point result), and (previously allocated) uops that might be canceled during a machine clear",
},
{
	.name = "uops_not_delivered.any",
	.event = "period=200003,event=0x9c",
	.desc = "Uops requested but not-delivered to the back-end per cycle",
	.topic = "pipeline",
	.long_desc = "This event used to measure front-end inefficiencies. I.e. when front-end of the machine is not delivering uops to the back-end and the back-end has is not stalled. This event can be used to identify if the machine is truly front-end bound.  When this event occurs, it is an indication that the front-end of the machine is operating at less than its theoretical peak performance. Background: We can think of the processor pipeline as being divided into 2 broader parts: Front-end and Back-end. Front-end is responsible for fetching the instruction, decoding into uops in machine understandable format and putting them into a uop queue to be consumed by back end. The back-end then takes these uops, allocates the required resources.  When all resources are ready, uops are executed. If the back-end is not ready to accept uops from the front-end, then we do not want to count these as front-end bottlenecks.  However, whenever we have bottlenecks in the back-end, we will have allocation unit stalls and eventually forcing the front-end to wait until the back-end is ready to receive more uops. This event counts only when back-end is requesting more uops and front-end is not able to provide them. When 3 uops are requested and no uops are delivered, the event counts 3. When 3 are requested, and only 1 is delivered, the event counts 2. When only 2 are delivered, the event counts 1. Alternatively stated, the event will not count if 3 uops are delivered, or if the back end is stalled and not requesting any uops at all.  Counts indicate missed opportunities for the front-end to deliver a uop to the back end. Some examples of conditions that cause front-end efficiencies are: ICache misses, ITLB misses, and decoder restrictions that limit the front-end bandwidth. Known Issues: Some uops require multiple allocation slots.  These uops will not be charged as a front end 'not delivered' opportunity, and will be regarded as a back end problem. For example, the INC instruction has one uop that requires 2 issue slots.  A stream of INC instructions will not count as UOPS_NOT_DELIVERED, even though only one instruction can be issued per clock.  The low uop issue rate for a stream of INC instructions is considered to be a back end issue",
},
{
	.name = "uops_retired.any",
	.event = "period=2000003,event=0xc2",
	.desc = "Uops retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts uops which retired (Must be precise)",
},
{
	.name = "uops_retired.idiv",
	.event = "period=2000003,umask=0x10,event=0xc2",
	.desc = "Integer divide uops retired. (Precise Event Capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts the number of integer divide uops retired (Must be precise)",
},
{
	.name = "uops_retired.ms",
	.event = "period=2000003,umask=0x1,event=0xc2",
	.desc = "MS uops retired (Precise event capable) (Must be precise)",
	.topic = "pipeline",
	.long_desc = "Counts uops retired that are from the complex flows issued by the micro-sequencer (MS).  Counts both the uops from a micro-coded instruction, and the uops that might be generated from a micro-coded assist (Must be precise)",
},
{
	.name = "cycles_div_busy.fpdiv",
	.event = "period=200003,umask=0x2,event=0xcd",
	.desc = "Cycles the FP divide unit is busy",
	.topic = "floating point",
	.long_desc = "Counts core cycles the floating point divide unit is busy",
},
{
	.name = "machine_clears.fp_assist",
	.event = "period=200003,umask=0x4,event=0xc3",
	.desc = "Machine clears due to FP assists",
	.topic = "floating point",
	.long_desc = "Counts machine clears due to floating point (FP) operations needing assists.  For instance, if the result was a floating point denormal, the hardware clears the pipeline and reissues uops to produce the correct IEEE compliant denormal result",
},
{
	.name = "uops_retired.fpdiv",
	.event = "period=2000003,umask=0x8,event=0xc2",
	.desc = "Floating point divide uops retired. (Precise Event Capable) (Must be precise)",
	.topic = "floating point",
	.long_desc = "Counts the number of floating point divide uops retired (Must be precise)",
},
{
	.name = "machine_clears.memory_ordering",
	.event = "period=200003,umask=0x2,event=0xc3",
	.desc = "Machine clears due to memory ordering issue",
	.topic = "memory",
	.long_desc = "Counts machine clears due to memory ordering issues.  This occurs when a snoop request happens and the machine is uncertain if memory ordering will be preserved as another core is in the process of modifying the data",
},
{
	.name = "misalign_mem_ref.load_page_split",
	.event = "period=200003,umask=0x2,event=0x13",
	.desc = "Load uops that split a page (Precise event capable) (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts when a memory load of a uop spans a page boundary (a split) is retired (Must be precise)",
},
{
	.name = "misalign_mem_ref.store_page_split",
	.event = "period=200003,umask=0x4,event=0x13",
	.desc = "Store uops that split a page (Precise event capable) (Must be precise)",
	.topic = "memory",
	.long_desc = "Counts when a memory store of a uop spans a page boundary (a split) is retired (Must be precise)",
},
{
	.name = "core_reject_l2q.all",
	.event = "period=200003,event=0x31",
	.desc = "Requests rejected by the L2Q",
	.topic = "cache",
	.long_desc = "Counts the number of demand and L1 prefetcher requests rejected by the L2Q due to a full or nearly full condition which likely indicates back pressure from L2Q. It also counts requests that would have gone directly to the XQ, but are rejected due to a full or nearly full condition, indicating back pressure from the IDI link. The L2Q may also reject transactions from a core to ensure fairness between cores, or to delay a core's dirty eviction when the address conflicts with incoming external snoops",
},
{
	.name = "dl1.dirty_eviction",
	.event = "period=200003,umask=0x1,event=0x51",
	.desc = "L1 Cache evictions for dirty data",
	.topic = "cache",
	.long_desc = "Counts when a modified (dirty) cache line is evicted from the data L1 cache and needs to be written back to memory.  No count will occur if the evicted line is clean, and hence does not require a writeback",
},
{
	.name = "fetch_stall.icache_fill_pending_cycles",
	.event = "period=200003,umask=0x2,event=0x86",
	.desc = "Cycles code-fetch stalled due to an outstanding ICache miss",
	.topic = "cache",
	.long_desc = "Counts cycles that fetch is stalled due to an outstanding ICache miss. That is, the decoder queue is able to accept bytes, but the fetch unit is unable to provide bytes due to an ICache miss.  Note: this event is not the same as the total number of cycles spent retrieving instruction cache lines from the memory hierarchy",
},
{
	.name = "l2_reject_xq.all",
	.event = "period=200003,event=0x30",
	.desc = "Requests rejected by the XQ",
	.topic = "cache",
	.long_desc = "Counts the number of demand and prefetch transactions that the L2 XQ rejects due to a full or near full condition which likely indicates back pressure from the intra-die interconnect (IDI) fabric. The XQ may reject transactions from the L2Q (non-cacheable requests), L2 misses and L2 write-back victims",
},
{
	.name = "longest_lat_cache.miss",
	.event = "period=200003,umask=0x41,event=0x2e",
	.desc = "L2 cache request misses",
	.topic = "cache",
	.long_desc = "Counts memory requests originating from the core that miss in the L2 cache",
},
{
	.name = "longest_lat_cache.reference",
	.event = "period=200003,umask=0x4f,event=0x2e",
	.desc = "L2 cache requests",
	.topic = "cache",
	.long_desc = "Counts memory requests originating from the core that reference a cache line in the L2 cache",
},
{
	.name = "mem_load_uops_retired.dram_hit",
	.event = "period=200003,umask=0x80,event=0xd1",
	.desc = "Loads retired that came from DRAM (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory load uops retired where the data is retrieved from DRAM.  Event is counted at retirement, so the speculative loads are ignored.  A memory load can hit (or miss) the L1 cache, hit (or miss) the L2 cache, hit DRAM, hit in the WCB or receive a HITM response  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.hitm",
	.event = "period=200003,umask=0x20,event=0xd1",
	.desc = "Memory uop retired where cross core or cross module HITM occurred (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired where the cache line containing the data was in the modified state of another core or modules cache (HITM).  More specifically, this means that when the load address was checked by other caching agents (typically another processor) in the system, one of those caching agents indicated that they had a dirty copy of the data.  Loads that obtain a HITM response incur greater latency than most is typical for a load.  In addition, since HITM indicates that some other processor had this data in its cache, it implies that the data was shared between processors, or potentially was a lock or semaphore value.  This event is useful for locating sharing, false sharing, and contended locks  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l1_hit",
	.event = "period=200003,umask=0x1,event=0xd1",
	.desc = "Load uops retired that hit L1 data cache (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that hit the L1 data cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l1_miss",
	.event = "period=200003,umask=0x8,event=0xd1",
	.desc = "Load uops retired that missed L1 data cache (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that miss the L1 data cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l2_hit",
	.event = "period=200003,umask=0x2,event=0xd1",
	.desc = "Load uops retired that hit L2 (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that hit in the L2 cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.l2_miss",
	.event = "period=200003,umask=0x10,event=0xd1",
	.desc = "Load uops retired that missed L2 (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired that miss in the L2 cache  Supports address when precise (Must be precise)",
},
{
	.name = "mem_load_uops_retired.wcb_hit",
	.event = "period=200003,umask=0x40,event=0xd1",
	.desc = "Loads retired that hit WCB (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory load uops retired where the data is retrieved from the WCB (or fill buffer), indicating that the load found its data while that data was in the process of being brought into the L1 cache.  Typically a load will receive this indication when some other load or prefetch missed the L1 cache and was in the process of retrieving the cache line containing the data, but that process had not yet finished (and written the data back to the cache). For example, consider load X and Y, both referencing the same cache line that is not in the L1 cache.  If load X misses cache first, it obtains and WCB (or fill buffer) and begins the process of requesting the data.  When load Y requests the data, it will either hit the WCB, or the L1 cache, depending on exactly what time the request to Y occurs  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all",
	.event = "period=200003,umask=0x83,event=0xd0",
	.desc = "Memory uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of memory uops retired that is either a loads or a store or both  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all_loads",
	.event = "period=200003,umask=0x81,event=0xd0",
	.desc = "Load uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of load uops retired  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.all_stores",
	.event = "period=200003,umask=0x82,event=0xd0",
	.desc = "Store uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts the number of store uops retired  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.lock_loads",
	.event = "period=200003,umask=0x21,event=0xd0",
	.desc = "Locked load uops retired (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts locked memory uops retired.  This includes regular locks and bus locks. (To specifically count bus locks only, see the Offcore response event.)  A locked access is one with a lock prefix, or an exchange to memory.  See the SDM for a complete description of which memory load accesses are locks  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split",
	.event = "period=200003,umask=0x43,event=0xd0",
	.desc = "Memory uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts memory uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split_loads",
	.event = "period=200003,umask=0x41,event=0xd0",
	.desc = "Load uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts load uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "mem_uops_retired.split_stores",
	.event = "period=200003,umask=0x42,event=0xd0",
	.desc = "Stores uops retired that split a cache-line (Precise event capable)  Supports address when precise (Must be precise)",
	.topic = "cache",
	.long_desc = "Counts store uops retired where the data requested spans a 64 byte cache line boundary  Supports address when precise (Must be precise)",
},
{
	.name = "offcore_response",
	.event = "period=100007,umask=0x1,event=0xb7",
	.desc = "Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
	.topic = "cache",
},
{
	.name = "offcore_response.any_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000043091",
	.desc = "Counts data reads (demand & prefetch) that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600003091",
	.desc = "Counts data reads (demand & prefetch) that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000003091",
	.desc = "Counts data reads (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400003091",
	.desc = "Counts data reads (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200003091",
	.desc = "Counts data reads (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data reads (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000043010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_pf_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200003010",
	.desc = "Counts data reads generated by L1 or L2 prefetchers that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data reads generated by L1 or L2 prefetchers that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x00000432b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x36000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x10000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x04000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_read.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x02000032b7",
	.desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data read, code read, and read for ownership (RFO) requests (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000018000",
	.desc = "Counts requests to the uncore subsystem that have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem that have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000048000",
	.desc = "Counts requests to the uncore subsystem that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000008000",
	.desc = "Counts requests to the uncore subsystem that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400008000",
	.desc = "Counts requests to the uncore subsystem that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_request.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200008000",
	.desc = "Counts requests to the uncore subsystem that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts requests to the uncore subsystem that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.any_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000022",
	.desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests (demand & prefetch) that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.bus_locks.any_response",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000010400",
	.desc = "Counts bus lock and split lock requests that have any transaction responses from the uncore subsystem",
	.topic = "cache",
	.long_desc = "Counts bus lock and split lock requests that have any transaction responses from the uncore subsystem. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.corewb.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000008",
	.desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts the number of writeback transactions caused by L1 or L2 cache evictions that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_code_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000004",
	.desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand instruction cacheline and I-side prefetch requests that miss the instruction cache that are outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040001",
	.desc = "Counts demand cacheable data reads of full cache lines that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000001",
	.desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000001",
	.desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000001",
	.desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000001",
	.desc = "Counts demand cacheable data reads of full cache lines that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_data_rd.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000001",
	.desc = "Counts demand cacheable data reads of full cache lines that are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand cacheable data reads of full cache lines that are outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.demand_rfo.outstanding",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x4000000002",
	.desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that are outstanding, per cycle, from the time of the L2 miss to when any response is received",
	.topic = "cache",
	.long_desc = "Counts demand reads for ownership (RFO) requests generated by a write to full data cache line that are outstanding, per cycle, from the time of the L2 miss to when any response is received. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.full_streaming_stores.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000800",
	.desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts full cache line data writes to uncacheable write combining (USWC) memory region and full cache-line non-temporal writes that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_reads.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000080",
	.desc = "Counts demand data partial reads, including data in uncacheable (UC) or uncacheable write combining (USWC) memory types that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts demand data partial reads, including data in uncacheable (UC) or uncacheable write combining (USWC) memory types that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_streaming_stores.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000044000",
	.desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_streaming_stores.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600004000",
	.desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_streaming_stores.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000004000",
	.desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_streaming_stores.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400004000",
	.desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_streaming_stores.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200004000",
	.desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts partial cache line data writes to uncacheable write combining (USWC) memory region  that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.partial_writes.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000100",
	.desc = "Counts the number of demand write requests (RFO) generated by a write to partial data cache line, including the writes to uncacheable (UC) and write through (WT), and write protected (WP) types of memory that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts the number of demand write requests (RFO) generated by a write to partial data cache line, including the writes to uncacheable (UC) and write through (WT), and write protected (WP) types of memory that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000042000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l1_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200002000",
	.desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cache line reads generated by hardware L1 data cache prefetcher that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_data_rd.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000010",
	.desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cacheline reads generated by hardware L2 cache prefetcher that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000040020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.pf_l2_rfo.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200000020",
	.desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts reads for ownership (RFO) requests generated by L2 prefetcher that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000044800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.streaming_stores.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600004800",
	.desc = "Counts any data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts any data writes to uncacheable write combining (USWC) memory region  that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_hit",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0000041000",
	.desc = "Counts data cache lines requests by software prefetch instructions that hit the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions that hit the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.any",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x3600001000",
	.desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.hitm_other_core",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x1000001000",
	.desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache with a snoop hit in the other processor module, data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.hit_other_core_no_fwd",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0400001000",
	.desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions that miss the L2 cache with a snoop hit in the other processor module, no data forwarding is required. Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = "offcore_response.sw_prefetch.l2_miss.snoop_miss_or_no_snoop_needed",
	.event = "period=100007,umask=0x1,event=0xb7,offcore_rsp=0x0200001000",
	.desc = "Counts data cache lines requests by software prefetch instructions that true miss for the L2 cache with a snoop miss in the other processor module",
	.topic = "cache",
	.long_desc = "Counts data cache lines requests by software prefetch instructions that true miss for the L2 cache with a snoop miss in the other processor module.  Requires MSR_OFFCORE_RESP[0,1] to specify request type and response. (duplicated for both MSRs)",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_amdzen2[] = {
{
	.desc = "Execution-Time Branch Misprediction Ratio (Non-Speculative)",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(ex_ret_brn_misp, ex_ret_brn)",
	.metric_name = "branch_misprediction_ratio",
	.metric_group = "branch_prediction",
},
{
	.name = "all_dc_accesses",
	.event = "umask=0x07,event=0x29",
	.desc = "All L1 Data Cache Accesses",
	.topic = "recommended",
},
{
	.desc = "All L2 Cache Accesses",
	.topic = "recommended",
	.metric_expr = "l2_request_g1.all_no_prefetch + l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_accesses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_accesses_from_ic_misses",
	.event = "umask=0x10,event=0x60",
	.desc = "L2 Cache Accesses from L1 Instruction Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.name = "l2_cache_accesses_from_dc_misses",
	.event = "umask=0xc8,event=0x60",
	.desc = "L2 Cache Accesses from L1 Data Cache Misses (including prefetch)",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Accesses from L2 HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_hit_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_accesses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Misses",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_miss_in_l2 + l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "all_l2_cache_misses",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_misses_from_ic_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "L2 Cache Misses from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_misses_from_dc_misses",
	.event = "umask=0x08,event=0x64",
	.desc = "L2 Cache Misses from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.desc = "L2 Cache Misses from L2 HWPF",
	.topic = "recommended",
	.metric_expr = "l2_pf_miss_l2_hit_l3 + l2_pf_miss_l2_l3",
	.metric_name = "l2_cache_misses_from_l2_hwpf",
	.metric_group = "l2_cache",
},
{
	.desc = "All L2 Cache Hits",
	.topic = "recommended",
	.metric_expr = "l2_cache_req_stat.ic_dc_hit_in_l2 + l2_pf_hit_l2",
	.metric_name = "all_l2_cache_hits",
	.metric_group = "l2_cache",
},
{
	.name = "l2_cache_hits_from_ic_misses",
	.event = "umask=0x06,event=0x64",
	.desc = "L2 Cache Hits from L1 Instruction Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_dc_misses",
	.event = "umask=0x70,event=0x64",
	.desc = "L2 Cache Hits from L1 Data Cache Misses",
	.topic = "recommended",
},
{
	.name = "l2_cache_hits_from_l2_hwpf",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 Cache Hits from L2 HWPF",
	.topic = "recommended",
},
{
	.name = "l3_accesses",
	.event = "umask=0xff,event=0x4",
	.desc = "L3 Accesses. Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.name = "l3_misses",
	.event = "umask=0x01,event=0x4",
	.desc = "L3 Misses (includes Chg2X). Unit: amd_l3 ",
	.topic = "recommended",
	.pmu = "amd_l3",
},
{
	.desc = "Average L3 Read Miss Latency (in core clocks)",
	.topic = "recommended",
	.unit = "1core clocks",
	.metric_expr = "(xi_sys_fill_latency * 16) / xi_ccx_sdp_req1.all_l3_miss_req_typs",
	.metric_name = "l3_read_miss_latency",
	.metric_group = "l3_cache",
},
{
	.desc = "L1 Instruction Cache (32B) Fetch Miss Ratio",
	.topic = "recommended",
	.unit = "100%",
	.metric_expr = "d_ratio(l2_cache_req_stat.ic_access_in_l2, bp_l1_tlb_fetch_hit + bp_l1_tlb_miss_l2_hit + bp_l1_tlb_miss_l2_tlb_miss)",
	.metric_name = "ic_fetch_miss_ratio",
	.metric_group = "l2_cache",
},
{
	.desc = "L1 ITLB Misses",
	.topic = "recommended",
	.metric_expr = "bp_l1_tlb_miss_l2_hit + bp_l1_tlb_miss_l2_tlb_miss",
	.metric_name = "l1_itlb_misses",
	.metric_group = "tlb",
},
{
	.name = "l2_itlb_misses",
	.event = "umask=0x07,event=0x85",
	.desc = "L2 ITLB Misses & Instruction page walks",
	.topic = "recommended",
},
{
	.name = "l1_dtlb_misses",
	.event = "umask=0xff,event=0x45",
	.desc = "L1 DTLB Misses",
	.topic = "recommended",
},
{
	.name = "l2_dtlb_misses",
	.event = "umask=0xf0,event=0x45",
	.desc = "L2 DTLB Misses & Data page walks",
	.topic = "recommended",
},
{
	.name = "all_tlbs_flushed",
	.event = "umask=0xdf,event=0x78",
	.desc = "All TLBs Flushed",
	.topic = "recommended",
},
{
	.name = "uops_dispatched",
	.event = "umask=0x03,event=0xaa",
	.desc = "Micro-ops Dispatched",
	.topic = "recommended",
},
{
	.name = "sse_avx_stalls",
	.event = "umask=0x0e,event=0xe",
	.desc = "Mixed SSE/AVX Stalls",
	.topic = "recommended",
},
{
	.name = "uops_retired",
	.event = "event=0xc1",
	.desc = "Micro-ops Retired",
	.topic = "recommended",
},
{
	.desc = "Approximate: Outbound data bytes for all Remote Links for a node (die)",
	.topic = "recommended",
	.unit = "3e-5MiB",
	.perpkg = "1",
	.metric_expr = "remote_outbound_data_controller_0 + remote_outbound_data_controller_1 + remote_outbound_data_controller_2 + remote_outbound_data_controller_3",
	.metric_name = "all_remote_links_outbound",
	.metric_group = "data_fabric",
},
{
	.desc = "Approximate: Combined DRAM B/bytes of all channels on a NPS1 node (die) (may need --metric-no-group)",
	.topic = "recommended",
	.unit = "6.1e-5MiB",
	.perpkg = "1",
	.metric_expr = "dram_channel_data_controller_0 + dram_channel_data_controller_1 + dram_channel_data_controller_2 + dram_channel_data_controller_3 + dram_channel_data_controller_4 + dram_channel_data_controller_5 + dram_channel_data_controller_6 + dram_channel_data_controller_7",
	.metric_name = "nps1_die_to_dram",
	.metric_group = "data_fabric",
},
{
	.name = "de_dis_uop_queue_empty_di0",
	.event = "event=0xa9",
	.desc = "Cycles where the Micro-Op Queue is empty",
	.topic = "other",
},
{
	.name = "de_dis_uops_from_decoder",
	.event = "umask=0xff,event=0xaa",
	.desc = "Ops dispatched from either the decoders, OpCache or both",
	.topic = "other",
},
{
	.name = "de_dis_uops_from_decoder.opcache_dispatched",
	.event = "umask=0x02,event=0xaa",
	.desc = "Count of dispatched Ops from OpCache",
	.topic = "other",
},
{
	.name = "de_dis_uops_from_decoder.decoder_dispatched",
	.event = "umask=0x01,event=0xaa",
	.desc = "Count of dispatched Ops from Decoder",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_misc_rsrc_stall",
	.event = "umask=0x80,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. FP Miscellaneous resource unavailable. Applies to the recovery of mispredicts with FP ops",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_sch_rsrc_stall",
	.event = "umask=0x40,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. FP scheduler resource stall. Applies to ops that use the FP scheduler",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.fp_reg_file_rsrc_stall",
	.event = "umask=0x20,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Floating point register file resource stall. Applies to all FP ops that have a destination register",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.taken_branch_buffer_rsrc_stall",
	.event = "umask=0x10,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Taken branch buffer resource stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.int_sched_misc_token_stall",
	.event = "umask=0x08,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Integer Scheduler miscellaneous resource stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.store_queue_token_stall",
	.event = "umask=0x04,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Store queue resource stall. Applies to all ops with store semantics",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.load_queue_token_stall",
	.event = "umask=0x02,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Load queue resource stall. Applies to all ops with load semantics",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls1.int_phy_reg_file_token_stall",
	.event = "umask=0x01,event=0xae",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. Integer Physical Register File resource stall. Applies to all ops that have an integer destination register",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.sc_agu_dispatch_stall",
	.event = "umask=0x40,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. SC AGU dispatch stall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.retire_token_stall",
	.event = "umask=0x20,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. RETIRE Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.agsq_token_stall",
	.event = "umask=0x10,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. AGSQ Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alu_token_stall",
	.event = "umask=0x08,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALU tokens total unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq3_0_token_stall",
	.event = "umask=0x04,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ3_0_TokenStall",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq2_token_stall",
	.event = "umask=0x02,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 2 Tokens unavailable",
	.topic = "other",
},
{
	.name = "de_dis_dispatch_token_stalls0.alsq1_token_stall",
	.event = "umask=0x01,event=0xaf",
	.desc = "Cycles where a dispatch group is valid but does not get dispatched due to a token stall. ALSQ 1 Tokens unavailable",
	.topic = "other",
},
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 Branch Prediction Overrides Existing Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 Branch Prediction Overrides Existing Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_dyn_ind_pred",
	.event = "event=0x8e",
	.desc = "Dynamic Indirect Predictions",
	.topic = "branch",
	.long_desc = "Indirect Branch Prediction for potential multi-target branch (speculative)",
},
{
	.name = "bp_de_redirect",
	.event = "event=0x91",
	.desc = "Decoder Overrides Existing Branch Prediction (speculative)",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit",
	.event = "umask=0xff,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if1g",
	.event = "umask=0x04,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. Instruction fetches to a 1GB page",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if2m",
	.event = "umask=0x02,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. Instruction fetches to a 2MB page",
	.topic = "branch",
},
{
	.name = "bp_l1_tlb_fetch_hit.if4k",
	.event = "umask=0x01,event=0x94",
	.desc = "The number of instruction fetches that hit in the L1 ITLB. Instruction fetches to a 4KB page",
	.topic = "branch",
},
{
	.name = "bp_tlb_rel",
	.event = "event=0x99",
	.desc = "The number of ITLB reload requests",
	.topic = "branch",
},
{
	.name = "ex_ret_instr",
	.event = "event=0xc0",
	.desc = "Retired Instructions",
	.topic = "core",
},
{
	.name = "ex_ret_cops",
	.event = "event=0xc1",
	.desc = "Retired Uops",
	.topic = "core",
	.long_desc = "The number of micro-ops retired. This count includes all processor activity (instructions, exceptions, interrupts, microcode assists, etc.). The number of events logged per cycle can vary from 0 to 8",
},
{
	.name = "ex_ret_brn",
	.event = "event=0xc2",
	.desc = "Retired Branch Instructions",
	.topic = "core",
	.long_desc = "The number of branch instructions retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_misp",
	.event = "event=0xc3",
	.desc = "Retired Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of branch instructions retired, of any type, that were not correctly predicted. This includes those for which prediction is not attempted (far control transfers, exceptions and interrupts)",
},
{
	.name = "ex_ret_brn_tkn",
	.event = "event=0xc4",
	.desc = "Retired Taken Branch Instructions",
	.topic = "core",
	.long_desc = "The number of taken branches that were retired. This includes all types of architectural control flow changes, including exceptions and interrupts",
},
{
	.name = "ex_ret_brn_tkn_misp",
	.event = "event=0xc5",
	.desc = "Retired Taken Branch Instructions Mispredicted",
	.topic = "core",
	.long_desc = "The number of retired taken branch instructions that were mispredicted",
},
{
	.name = "ex_ret_brn_far",
	.event = "event=0xc6",
	.desc = "Retired Far Control Transfers",
	.topic = "core",
	.long_desc = "The number of far control transfers retired including far call/jump/return, IRET, SYSCALL and SYSRET, plus exceptions and interrupts. Far control transfers are not subject to branch prediction",
},
{
	.name = "ex_ret_brn_resync",
	.event = "event=0xc7",
	.desc = "Retired Branch Resyncs",
	.topic = "core",
	.long_desc = "The number of resync branches. These reflect pipeline restarts due to certain microcode assists and events such as writes to the active instruction stream, among other things. Each occurrence reflects a restart penalty similar to a branch mispredict. This is relatively rare",
},
{
	.name = "ex_ret_near_ret",
	.event = "event=0xc8",
	.desc = "Retired Near Returns",
	.topic = "core",
	.long_desc = "The number of near return instructions (RET or RET Iw) retired",
},
{
	.name = "ex_ret_near_ret_mispred",
	.event = "event=0xc9",
	.desc = "Retired Near Returns Mispredicted",
	.topic = "core",
	.long_desc = "The number of near returns retired that were not correctly predicted by the return address predictor. Each such mispredict incurs the same penalty as a mispredicted conditional branch instruction",
},
{
	.name = "ex_ret_brn_ind_misp",
	.event = "event=0xca",
	.desc = "Retired Indirect Branch Instructions Mispredicted",
	.topic = "core",
},
{
	.name = "ex_ret_mmx_fp_instr.sse_instr",
	.event = "umask=0x04,event=0xcb",
	.desc = "SSE instructions (SSE, SSE2, SSE3, SSSE3, SSE4A, SSE41, SSE42, AVX)",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. SSE instructions (SSE, SSE2, SSE3, SSSE3, SSE4A, SSE41, SSE42, AVX)",
},
{
	.name = "ex_ret_mmx_fp_instr.mmx_instr",
	.event = "umask=0x02,event=0xcb",
	.desc = "MMX instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. MMX instructions",
},
{
	.name = "ex_ret_mmx_fp_instr.x87_instr",
	.event = "umask=0x01,event=0xcb",
	.desc = "x87 instructions",
	.topic = "core",
	.long_desc = "The number of MMX, SSE or x87 instructions retired. The UnitMask allows the selection of the individual classes of instructions as given in the table. Each increment represents one complete instruction. Since this event includes non-numeric instructions it is not suitable for measuring MFLOPS. x87 instructions",
},
{
	.name = "ex_ret_cond",
	.event = "event=0xd1",
	.desc = "Retired Conditional Branch Instructions",
	.topic = "core",
},
{
	.name = "ex_ret_cond_misp",
	.event = "event=0xd2",
	.desc = "Retired Conditional Branch Instructions Mispredicted",
	.topic = "core",
},
{
	.name = "ex_div_busy",
	.event = "event=0xd3",
	.desc = "Div Cycles Busy count",
	.topic = "core",
},
{
	.name = "ex_div_count",
	.event = "event=0xd4",
	.desc = "Div Op Count",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_count_rollover",
	.event = "umask=0x04,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of times an op could not be tagged by IBS because of a previous tagged op that has not retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops_ret",
	.event = "umask=0x02,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS that retired",
	.topic = "core",
},
{
	.name = "ex_tagged_ibs_ops.ibs_tagged_ops",
	.event = "umask=0x01,event=0x1cf",
	.desc = "Tagged IBS Ops. Number of Ops tagged by IBS",
	.topic = "core",
},
{
	.name = "ex_ret_fus_brnch_inst",
	.event = "event=0x1d0",
	.desc = "Retired Fused Instructions. The number of fuse-branch instructions retired per cycle. The number of events logged per cycle can vary from 0-8",
	.topic = "core",
},
{
	.name = "remote_outbound_data_controller_0",
	.event = "umask=0x02,event=0x7c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_1",
	.event = "umask=0x02,event=0x807",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 1",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_2",
	.event = "umask=0x02,event=0x847",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 2",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "remote_outbound_data_controller_3",
	.event = "umask=0x02,event=0x887",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "Remote Link Controller Outbound Packet Types: Data (32B): Remote Link Controller 3",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_0",
	.event = "umask=0x38,event=0x7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_1",
	.event = "umask=0x38,event=0x47",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_2",
	.event = "umask=0x38,event=0x87",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_3",
	.event = "umask=0x38,event=0xc7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_4",
	.event = "umask=0x38,event=0x107",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_5",
	.event = "umask=0x38,event=0x147",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_6",
	.event = "umask=0x38,event=0x187",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "dram_channel_data_controller_7",
	.event = "umask=0x38,event=0x1c7",
	.desc = "Unit: amd_df ",
	.topic = "data fabric",
	.long_desc = "DRAM Channel Controller Request Types: Requests with Data (64B): DRAM Channel Controller 0",
	.pmu = "amd_df",
	.perpkg = "1",
},
{
	.name = "fpu_pipe_assignment.total",
	.event = "umask=0x0f,event=0",
	.desc = "Total number of fp uOps",
	.topic = "floating point",
	.long_desc = "Total number of fp uOps. The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS",
},
{
	.name = "fpu_pipe_assignment.total3",
	.event = "umask=0x08,event=0",
	.desc = "Total number uOps assigned to pipe 3",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one-cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 3",
},
{
	.name = "fpu_pipe_assignment.total2",
	.event = "umask=0x04,event=0",
	.desc = "Total number uOps assigned to pipe 2",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 2",
},
{
	.name = "fpu_pipe_assignment.total1",
	.event = "umask=0x02,event=0",
	.desc = "Total number uOps assigned to pipe 1",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 1",
},
{
	.name = "fpu_pipe_assignment.total0",
	.event = "umask=0x01,event=0",
	.desc = "Total number of fp uOps  on pipe 0",
	.topic = "floating point",
	.long_desc = "The number of operations (uOps) dispatched to each of the 4 FPU execution pipelines. This event reflects how busy the FPU pipelines are and may be used for workload characterization. This includes all operations performed by x87, MMX, and SSE instructions, including moves. Each increment represents a one- cycle dispatch event. This event is a speculative event. Since this event includes non-numeric operations it is not suitable for measuring MFLOPS. Total number uOps assigned to pipe 0",
},
{
	.name = "fp_ret_sse_avx_ops.all",
	.event = "umask=0xff,event=0x3",
	.desc = "All FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mac_flops",
	.event = "umask=0x08,event=0x3",
	.desc = "Multiply-add FLOPS. Multiply-add counts as 2 FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.div_flops",
	.event = "umask=0x04,event=0x3",
	.desc = "Divide/square root FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.mult_flops",
	.event = "umask=0x02,event=0x3",
	.desc = "Multiply FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_ret_sse_avx_ops.add_sub_flops",
	.event = "umask=0x01,event=0x3",
	.desc = "Add/subtract FLOPS. This is a retire-based event. The number of retired SSE/AVX FLOPS. The number of events logged per cycle can vary from 0 to 64. This event can count above 15",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.optimized",
	.event = "umask=0x08,event=0x4",
	.desc = "Number of Scalar Ops optimized. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.opt_potential",
	.event = "umask=0x04,event=0x4",
	.desc = "Number of Ops that are candidates for optimization (have Z-bit either set or pass). This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops_elim",
	.event = "umask=0x02,event=0x4",
	.desc = "Number of SSE Move Ops eliminated. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_num_mov_elim_scal_op.sse_mov_ops",
	.event = "umask=0x01,event=0x4",
	.desc = "Number of SSE Move Ops. This is a dispatch based speculative event, and is useful for measuring the effectiveness of the Move elimination and Scalar code optimization schemes",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_bot_ret",
	.event = "umask=0x08,event=0x5",
	.desc = "SSE bottom-executing uOps retired. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.sse_ctrl_ret",
	.event = "umask=0x04,event=0x5",
	.desc = "The number of serializing Ops retired. SSE control word mispredict traps due to mispredictions in RC, FTZ or DAZ, or changes in mask bits",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_bot_ret",
	.event = "umask=0x02,event=0x5",
	.desc = "x87 bottom-executing uOps retired. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_retired_ser_ops.x87_ctrl_ret",
	.event = "umask=0x01,event=0x5",
	.desc = "x87 control word mispredict traps due to mispredictions in RC or PC, or changes in mask bits. The number of serializing Ops retired",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_spill_fault",
	.event = "umask=0x08,event=0xe",
	.desc = "Floating Point Dispatch Faults. YMM spill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.ymm_fill_fault",
	.event = "umask=0x04,event=0xe",
	.desc = "Floating Point Dispatch Faults. YMM fill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.xmm_fill_fault",
	.event = "umask=0x02,event=0xe",
	.desc = "Floating Point Dispatch Faults. XMM fill fault",
	.topic = "floating point",
},
{
	.name = "fp_disp_faults.x87_fill_fault",
	.event = "umask=0x01,event=0xe",
	.desc = "Floating Point Dispatch Faults. x87 fill fault",
	.topic = "floating point",
},
{
	.name = "ls_bad_status2.stli_other",
	.event = "umask=0x02,event=0x24",
	.desc = "Non-forwardable conflict; used to reduce STLI's via software. All reasons. Store To Load Interlock (STLI) are loads that were unable to complete because of a possible match with an older store, and the older store could not do STLF for some reason",
	.topic = "memory",
	.long_desc = "Store-to-load conflicts: A load was unable to complete due to a non-forwardable conflict with an older store. Most commonly, a load's address range partially but not completely overlaps with an uncompleted older store. Software can avoid this problem by using same-size and same-alignment loads and stores when accessing the same data. Vector/SIMD code is particularly susceptible to this problem; software should construct wide vector stores by manipulating vector elements in registers using shuffle/blend/swap instructions prior to storing to memory, instead of using narrow element-by-element stores",
},
{
	.name = "ls_locks.spec_lock_hi_spec",
	.event = "umask=0x08,event=0x25",
	.desc = "Retired lock instructions. High speculative cacheable lock speculation succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.spec_lock_lo_spec",
	.event = "umask=0x04,event=0x25",
	.desc = "Retired lock instructions. Low speculative cacheable lock speculation succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.non_spec_lock",
	.event = "umask=0x02,event=0x25",
	.desc = "Retired lock instructions. Non-speculative lock succeeded",
	.topic = "memory",
},
{
	.name = "ls_locks.bus_lock",
	.event = "umask=0x01,event=0x25",
	.desc = "Retired lock instructions. Bus lock when a locked operations crosses a cache boundary or is done on an uncacheable memory type. Comparable to legacy bus lock",
	.topic = "memory",
},
{
	.name = "ls_ret_cl_flush",
	.event = "event=0x26",
	.desc = "Number of retired CLFLUSH instructions",
	.topic = "memory",
},
{
	.name = "ls_ret_cpuid",
	.event = "event=0x27",
	.desc = "Number of retired CPUID instructions",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_st_dispatch",
	.event = "umask=0x04,event=0x29",
	.desc = "Dispatch of a single op that performs a load from and store to the same memory address. Number of single ops that do load/store to an address",
	.topic = "memory",
},
{
	.name = "ls_dispatch.store_dispatch",
	.event = "umask=0x02,event=0x29",
	.desc = "Number of stores dispatched. Counts the number of operations dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_dispatch.ld_dispatch",
	.event = "umask=0x01,event=0x29",
	.desc = "Number of loads dispatched. Counts the number of operations dispatched to the LS unit. Unit Masks ADDed",
	.topic = "memory",
},
{
	.name = "ls_smi_rx",
	.event = "event=0x2b",
	.desc = "Number of SMIs received",
	.topic = "memory",
},
{
	.name = "ls_int_taken",
	.event = "event=0x2c",
	.desc = "Number of interrupts taken",
	.topic = "memory",
},
{
	.name = "ls_rdtsc",
	.event = "event=0x2d",
	.desc = "Number of reads of the TSC (RDTSC instructions). The count is speculative",
	.topic = "memory",
},
{
	.name = "ls_stlf",
	.event = "event=0x35",
	.desc = "Number of STLF hits",
	.topic = "memory",
},
{
	.name = "ls_st_commit_cancel2.st_commit_cancel_wcb_full",
	.event = "event=0x37",
	.desc = "A non-cacheable store and the non-cacheable commit buffer is full",
	.topic = "memory",
},
{
	.name = "ls_dc_accesses",
	.event = "event=0x40",
	.desc = "Number of accesses to the dcache for load/store references",
	.topic = "memory",
	.long_desc = "The number of accesses to the data cache for load and store references. This may include certain microcode scratchpad accesses, although these are generally rare. Each increment represents an eight-byte access, although the instruction may only be accessing a portion of that. This event is a speculative event",
},
{
	.name = "ls_mab_alloc.dc_prefetcher",
	.event = "umask=0x08,event=0x41",
	.desc = "LS MAB Allocates by Type. DC prefetcher",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.stores",
	.event = "umask=0x02,event=0x41",
	.desc = "LS MAB Allocates by Type. Stores",
	.topic = "memory",
},
{
	.name = "ls_mab_alloc.loads",
	.event = "umask=0x01,event=0x41",
	.desc = "LS MAB Allocates by Type. Loads",
	.topic = "memory",
},
{
	.name = "ls_refills_from_sys.ls_mabresp_rmt_dram",
	.event = "umask=0x40,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. DRAM or IO from different die",
	.topic = "memory",
},
{
	.name = "ls_refills_from_sys.ls_mabresp_rmt_cache",
	.event = "umask=0x10,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. Hit in cache; Remote CCX and the address's Home Node is on a different die",
	.topic = "memory",
},
{
	.name = "ls_refills_from_sys.ls_mabresp_lcl_dram",
	.event = "umask=0x08,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. DRAM or IO from this thread's die",
	.topic = "memory",
},
{
	.name = "ls_refills_from_sys.ls_mabresp_lcl_cache",
	.event = "umask=0x02,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. Hit in cache; local CCX (not Local L2), or Remote CCX and the address's Home Node is on this thread's die",
	.topic = "memory",
},
{
	.name = "ls_refills_from_sys.ls_mabresp_lcl_l2",
	.event = "umask=0x01,event=0x43",
	.desc = "Demand Data Cache Fills by Data Source. Local L2 hit",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.all",
	.event = "umask=0xff,event=0x45",
	.desc = "All L1 DTLB Misses or Reloads",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_miss",
	.event = "umask=0x80,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 1G page that miss in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_miss",
	.event = "umask=0x40,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 2M page that miss in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_miss",
	.event = "umask=0x20,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload coalesced page miss",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_miss",
	.event = "umask=0x10,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 4K page that miss the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_1g_l2_hit",
	.event = "umask=0x08,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 1G page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_2m_l2_hit",
	.event = "umask=0x04,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 2M page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_coalesced_page_hit",
	.event = "umask=0x02,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload hit a coalesced page",
	.topic = "memory",
},
{
	.name = "ls_l1_d_tlb_miss.tlb_reload_4k_l2_hit",
	.event = "umask=0x01,event=0x45",
	.desc = "L1 DTLB Miss. DTLB reload to a 4K page that hit in the L2 TLB",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.iside",
	.event = "umask=0x0c,event=0x46",
	.desc = "Total Page Table Walks on I-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type1",
	.event = "umask=0x08,event=0x46",
	.desc = "Total Page Table Walks IC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.ic_type0",
	.event = "umask=0x04,event=0x46",
	.desc = "Total Page Table Walks IC Type 0",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dside",
	.event = "umask=0x03,event=0x46",
	.desc = "Total Page Table Walks on D-side",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type1",
	.event = "umask=0x02,event=0x46",
	.desc = "Total Page Table Walks DC Type 1",
	.topic = "memory",
},
{
	.name = "ls_tablewalker.dc_type0",
	.event = "umask=0x01,event=0x46",
	.desc = "Total Page Table Walks DC Type 0",
	.topic = "memory",
},
{
	.name = "ls_misal_accesses",
	.event = "event=0x47",
	.desc = "Misaligned loads",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp",
	.event = "umask=0xff,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative)",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch_nta",
	.event = "umask=0x04,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). PrefetchNTA instruction. See docAPM3 PREFETCHlevel",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch_w",
	.event = "umask=0x02,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). See docAPM3 PREFETCHW",
	.topic = "memory",
},
{
	.name = "ls_pref_instr_disp.prefetch",
	.event = "umask=0x01,event=0x4b",
	.desc = "Software Prefetch Instructions Dispatched (Speculative). Prefetch_T0_T1_T2. PrefetchT0, T1 and T2 instructions. See docAPM3 PREFETCHlevel",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.mab_mch_cnt",
	.event = "umask=0x02,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a match on an already-allocated miss request buffer",
	.topic = "memory",
},
{
	.name = "ls_inef_sw_pref.data_pipe_sw_pf_dc_hit",
	.event = "umask=0x01,event=0x52",
	.desc = "The number of software prefetches that did not fetch data outside of the processor core. Software PREFETCH instruction saw a DC hit",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fill.ls_mabresp_rmt_dram",
	.event = "umask=0x40,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From DRAM (home node remote)",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fill.ls_mabresp_rmt_cache",
	.event = "umask=0x10,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From another cache (home node remote)",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fill.ls_mabresp_lcl_dram",
	.event = "umask=0x08,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. DRAM or IO from this thread's die.  From DRAM (home node local)",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fill.ls_mabresp_lcl_cache",
	.event = "umask=0x02,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. From another cache (home node local)",
	.topic = "memory",
},
{
	.name = "ls_sw_pf_dc_fill.ls_mabresp_lcl_l2",
	.event = "umask=0x01,event=0x59",
	.desc = "Software Prefetch Data Cache Fills by Data Source. Local L2 hit",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fill.ls_mabresp_rmt_dram",
	.event = "umask=0x40,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From DRAM (home node remote)",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fill.ls_mabresp_rmt_cache",
	.event = "umask=0x10,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From another cache (home node remote)",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fill.ls_mabresp_lcl_dram",
	.event = "umask=0x08,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From DRAM (home node local)",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fill.ls_mabresp_lcl_cache",
	.event = "umask=0x02,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. From another cache (home node local)",
	.topic = "memory",
},
{
	.name = "ls_hw_pf_dc_fill.ls_mabresp_lcl_l2",
	.event = "umask=0x01,event=0x5a",
	.desc = "Hardware Prefetch Data Cache Fills by Data Source. Local L2 hit",
	.topic = "memory",
},
{
	.name = "ls_not_halted_cyc",
	.event = "event=0x76",
	.desc = "Cycles not in Halt",
	.topic = "memory",
},
{
	.name = "ls_tlb_flush",
	.event = "event=0x78",
	.desc = "All TLB Flushes",
	.topic = "memory",
},
{
	.name = "l2_request_g1.rd_blk_l",
	.event = "umask=0x80,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache reads (including hardware and software prefetch)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.rd_blk_x",
	.event = "umask=0x40,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache stores",
	.topic = "cache",
},
{
	.name = "l2_request_g1.ls_rd_blk_c_s",
	.event = "umask=0x20,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache shared reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.cacheable_ic_read",
	.event = "umask=0x10,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Instruction cache reads",
	.topic = "cache",
},
{
	.name = "l2_request_g1.change_to_x",
	.event = "umask=0x08,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). Data cache state change requests. Request change to writable, check L2 for current state",
	.topic = "cache",
},
{
	.name = "l2_request_g1.prefetch_l2_cmd",
	.event = "umask=0x04,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). PrefetchL2Cmd",
	.topic = "cache",
},
{
	.name = "l2_request_g1.l2_hw_pf",
	.event = "umask=0x02,event=0x60",
	.desc = "All L2 Cache Requests (Breakdown 1 - Common). L2 Prefetcher. All prefetches accepted by L2 pipeline, hit or miss. Types of PF and L2 hit/miss broken out in a separate perfmon event",
	.topic = "cache",
},
{
	.name = "l2_request_g1.group2",
	.event = "umask=0x01,event=0x60",
	.desc = "Miscellaneous events covered in more detail by l2_request_g2 (PMCx061)",
	.topic = "cache",
},
{
	.name = "l2_request_g1.all_no_prefetch",
	.event = "umask=0xf9,event=0x60",
	.desc = "(null)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.group1",
	.event = "umask=0x80,event=0x61",
	.desc = "Miscellaneous events covered in more detail by l2_request_g1 (PMCx060)",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized",
	.event = "umask=0x40,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ls_rd_sized_nc",
	.event = "umask=0x20,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Data cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized",
	.event = "umask=0x10,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized",
	.topic = "cache",
},
{
	.name = "l2_request_g2.ic_rd_sized_nc",
	.event = "umask=0x08,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Instruction cache read sized non-cacheable",
	.topic = "cache",
},
{
	.name = "l2_request_g2.smc_inval",
	.event = "umask=0x04,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Self-modifying code invalidates",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_originator",
	.event = "umask=0x02,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus locks",
	.topic = "cache",
},
{
	.name = "l2_request_g2.bus_locks_responses",
	.event = "umask=0x01,event=0x61",
	.desc = "All L2 Cache Requests (Breakdown 2 - Rare). Bus lock response",
	.topic = "cache",
},
{
	.name = "l2_latency.l2_cycles_waiting_on_fills",
	.event = "umask=0x01,event=0x62",
	.desc = "Total cycles spent waiting for L2 fills to complete from L3 or memory, divided by four. Event counts are for both threads. To calculate average latency, the number of fills from both threads must be used",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_write",
	.event = "umask=0x40,event=0x63",
	.desc = "LS to L2 WCB write requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) write requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.wcb_close",
	.event = "umask=0x20,event=0x63",
	.desc = "LS to L2 WCB close requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) close requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.zero_byte_store",
	.event = "umask=0x04,event=0x63",
	.desc = "LS to L2 WCB zero byte store requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) zero byte store requests",
	.topic = "cache",
},
{
	.name = "l2_wcb_req.cl_zero",
	.event = "umask=0x01,event=0x63",
	.desc = "LS to L2 WCB cache line zeroing requests. LS (Load/Store unit) to L2 WCB (Write Combining Buffer) cache line zeroing requests",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_cs",
	.event = "umask=0x80,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache shared read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_x",
	.event = "umask=0x40,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_l_hit_s",
	.event = "umask=0x20,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache read hit on shared line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_x",
	.event = "umask=0x10,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache store or state change hit in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ls_rd_blk_c",
	.event = "umask=0x08,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Data cache request miss in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_x",
	.event = "umask=0x04,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit modifiable line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_hit_s",
	.event = "umask=0x02,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache hit clean line in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_fill_miss",
	.event = "umask=0x01,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_access_in_l2",
	.event = "umask=0x07,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache requests in L2",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_miss_in_l2",
	.event = "umask=0x09,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request miss in L2 and Data cache request miss in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_cache_req_stat.ic_dc_hit_in_l2",
	.event = "umask=0xf6,event=0x64",
	.desc = "Core to L2 cacheable request access status (not including L2 Prefetch). Instruction cache request hit in L2 and Data cache request hit in L2 (all types)",
	.topic = "cache",
},
{
	.name = "l2_fill_pending.l2_fill_busy",
	.event = "umask=0x01,event=0x6d",
	.desc = "Cycles with fill pending from L2. Total cycles spent with one or more fill requests in flight from L2",
	.topic = "cache",
},
{
	.name = "l2_pf_hit_l2",
	.event = "umask=0xff,event=0x70",
	.desc = "L2 prefetch hit in L2. Use l2_cache_hits_from_l2_hwpf instead",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_hit_l3",
	.event = "umask=0xff,event=0x71",
	.desc = "L2 prefetcher hits in L3. Counts all L2 prefetches accepted by the L2 pipeline which miss the L2 cache and hit the L3",
	.topic = "cache",
},
{
	.name = "l2_pf_miss_l2_l3",
	.event = "umask=0xff,event=0x72",
	.desc = "L2 prefetcher misses in L3. All L2 prefetches accepted by the L2 pipeline which miss the L2 and the L3 caches",
	.topic = "cache",
},
{
	.name = "ic_fw32",
	.event = "event=0x80",
	.desc = "The number of 32B fetch windows transferred from IC pipe to DE instruction decoder (includes non-cacheable and cacheable fill responses)",
	.topic = "cache",
},
{
	.name = "ic_fw32_miss",
	.event = "event=0x81",
	.desc = "The number of 32B fetch windows tried to read the L1 IC and missed in the full tag",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_l2",
	.event = "event=0x82",
	.desc = "The number of 64 byte instruction cache line was fulfilled from the L2 cache",
	.topic = "cache",
},
{
	.name = "ic_cache_fill_sys",
	.event = "event=0x83",
	.desc = "The number of 64 byte instruction cache line fulfilled from system memory or another cache",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_hit",
	.event = "event=0x84",
	.desc = "The number of instruction fetches that miss in the L1 ITLB but hit in the L2 ITLB",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss",
	.event = "umask=0xff,event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if1g",
	.event = "umask=0x04,event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs. Instruction fetches to a 1GB page",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if2m",
	.event = "umask=0x02,event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs. Instruction fetches to a 2MB page",
	.topic = "cache",
},
{
	.name = "bp_l1_tlb_miss_l2_tlb_miss.if4k",
	.event = "umask=0x01,event=0x85",
	.desc = "The number of instruction fetches that miss in both the L1 and L2 TLBs. Instruction fetches to a 4KB page",
	.topic = "cache",
},
{
	.name = "bp_snp_re_sync",
	.event = "event=0x86",
	.desc = "The number of pipeline restarts caused by invalidating probes that hit on the instruction stream currently being executed. This would happen if the active instruction stream was being modified by another processor in an MP system - typically a highly unlikely event",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_any",
	.event = "umask=0x04,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle for any reason (nothing valid in pipe ICM1)",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_dq_empty",
	.event = "umask=0x02,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to DQ empty",
	.topic = "cache",
},
{
	.name = "ic_fetch_stall.ic_stall_back_pressure",
	.event = "umask=0x01,event=0x87",
	.desc = "Instruction Pipe Stall. IC pipe was stalled during this clock cycle (including IC to OC fetches) due to back-pressure",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.l2_invalidating_probe",
	.event = "umask=0x02,event=0x8c",
	.desc = "IC line invalidated due to L2 invalidating probe (external or LS). The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "ic_cache_inval.fill_invalidated",
	.event = "umask=0x01,event=0x8c",
	.desc = "IC line invalidated due to overwriting fill response. The number of instruction cache lines invalidated. A non-SMC event is CMC (cross modifying code), either from the other thread of the core or another core",
	.topic = "cache",
},
{
	.name = "ic_oc_mode_switch.oc_ic_mode_switch",
	.event = "umask=0x02,event=0x28a",
	.desc = "OC Mode Switch. OC to IC mode switch",
	.topic = "cache",
},
{
	.name = "ic_oc_mode_switch.ic_oc_mode_switch",
	.event = "umask=0x01,event=0x28a",
	.desc = "OC Mode Switch. IC to OC mode switch",
	.topic = "cache",
},
{
	.name = "l3_request_g1.caching_l3_cache_accesses",
	.event = "umask=0x80,event=0x1",
	.desc = "Caching: L3 cache accesses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_lookup_state.all_l3_req_typs",
	.event = "umask=0xff,event=0x4",
	.desc = "All L3 Request Types. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.other_l3_miss_typs",
	.event = "umask=0xfe,event=0x6",
	.desc = "Other L3 Miss Request Types. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "l3_comb_clstr_state.request_miss",
	.event = "umask=0x01,event=0x6",
	.desc = "L3 cache misses. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_sys_fill_latency",
	.event = "umask=0x00,event=0x90",
	.desc = "L3 Cache Miss Latency. Total cycles for all transactions divided by 16. Ignores SliceMask and ThreadMask. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = "xi_ccx_sdp_req1.all_l3_miss_req_typs",
	.event = "umask=0x3f,event=0x9a",
	.desc = "All L3 Miss Request Types. Ignores SliceMask and ThreadMask. Unit: amd_l3 ",
	.topic = "cache",
	.pmu = "amd_l3",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_test_cpu[] = {
{
	.name = "segment_reg_loads.any",
	.event = "umask=0x80,period=200000,event=0x6",
	.desc = "Number of segment register loads",
	.topic = "other",
},
{
	.name = "dispatch_blocked.any",
	.event = "umask=0x20,period=200000,event=0x9",
	.desc = "Memory cluster signals to block micro-op dispatch for any reason",
	.topic = "other",
},
{
	.name = "eist_trans",
	.event = "umask=0x0,period=200000,event=0x3a",
	.desc = "Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions",
	.topic = "other",
},
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 BTB Correction",
	.topic = "branch",
},
{
	.name = "uncore_hisi_ddrc.flux_wcmd",
	.event = "event=0x2",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore",
	.long_desc = "DDRC write commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "Unit: uncore_cbox A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.topic = "uncore",
	.long_desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.pmu = "uncore_cbox",
},
{
	.name = "l3_cache_rd",
	.event = "event=0x40",
	.desc = "L3 cache access, read",
	.topic = "cache",
	.long_desc = "Attributable Level 3 cache access, read",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_events_map pmu_events_map[] = {
{
	.cpuid = "GenuineIntel-6-(97|9A|B7|BA|BF)",
	.version = "v1.16",
	.type = "core",
	.table = pme_alderlake
},
{
	.cpuid = "GenuineIntel-6-BE",
	.version = "v1.16",
	.type = "core",
	.table = pme_alderlaken
},
{
	.cpuid = "GenuineIntel-6-(1C|26|27|35|36)",
	.version = "v4",
	.type = "core",
	.table = pme_bonnell
},
{
	.cpuid = "GenuineIntel-6-(3D|47)",
	.version = "v26",
	.type = "core",
	.table = pme_broadwell
},
{
	.cpuid = "GenuineIntel-6-56",
	.version = "v7",
	.type = "core",
	.table = pme_broadwellde
},
{
	.cpuid = "GenuineIntel-6-4F",
	.version = "v19",
	.type = "core",
	.table = pme_broadwellx
},
{
	.cpuid = "GenuineIntel-6-55-[56789ABCDEF]",
	.version = "v1.16",
	.type = "core",
	.table = pme_cascadelakex
},
{
	.cpuid = "GenuineIntel-6-9[6C]",
	.version = "v1.03",
	.type = "core",
	.table = pme_elkhartlake
},
{
	.cpuid = "GenuineIntel-6-5[CF]",
	.version = "v13",
	.type = "core",
	.table = pme_goldmont
},
{
	.cpuid = "GenuineIntel-6-7A",
	.version = "v1.01",
	.type = "core",
	.table = pme_goldmontplus
},
{
	.cpuid = "GenuineIntel-6-(3C|45|46)",
	.version = "v32",
	.type = "core",
	.table = pme_haswell
},
{
	.cpuid = "GenuineIntel-6-3F",
	.version = "v26",
	.type = "core",
	.table = pme_haswellx
},
{
	.cpuid = "GenuineIntel-6-(7D|7E|A7)",
	.version = "v1.15",
	.type = "core",
	.table = pme_icelake
},
{
	.cpuid = "GenuineIntel-6-6[AC]",
	.version = "v1.17",
	.type = "core",
	.table = pme_icelakex
},
{
	.cpuid = "GenuineIntel-6-3A",
	.version = "v23",
	.type = "core",
	.table = pme_ivybridge
},
{
	.cpuid = "GenuineIntel-6-3E",
	.version = "v22",
	.type = "core",
	.table = pme_ivytown
},
{
	.cpuid = "GenuineIntel-6-2D",
	.version = "v21",
	.type = "core",
	.table = pme_jaketown
},
{
	.cpuid = "GenuineIntel-6-(57|85)",
	.version = "v9",
	.type = "core",
	.table = pme_knightslanding
},
{
	.cpuid = "GenuineIntel-6-A[AC]",
	.version = "v1.00",
	.type = "core",
	.table = pme_meteorlake
},
{
	.cpuid = "GenuineIntel-6-1[AEF]",
	.version = "v3",
	.type = "core",
	.table = pme_nehalemep
},
{
	.cpuid = "GenuineIntel-6-2E",
	.version = "v3",
	.type = "core",
	.table = pme_nehalemex
},
{
	.cpuid = "GenuineIntel-6-2A",
	.version = "v17",
	.type = "core",
	.table = pme_sandybridge
},
{
	.cpuid = "GenuineIntel-6-8F",
	.version = "v1.09",
	.type = "core",
	.table = pme_sapphirerapids
},
{
	.cpuid = "GenuineIntel-6-(37|4A|4C|4D|5A)",
	.version = "v14",
	.type = "core",
	.table = pme_silvermont
},
{
	.cpuid = "GenuineIntel-6-(4E|5E|8E|9E|A5|A6)",
	.version = "v53",
	.type = "core",
	.table = pme_skylake
},
{
	.cpuid = "GenuineIntel-6-55-[01234]",
	.version = "v1.28",
	.type = "core",
	.table = pme_skylakex
},
{
	.cpuid = "GenuineIntel-6-86",
	.version = "v1.20",
	.type = "core",
	.table = pme_snowridgex
},
{
	.cpuid = "GenuineIntel-6-8[CD]",
	.version = "v1.08",
	.type = "core",
	.table = pme_tigerlake
},
{
	.cpuid = "GenuineIntel-6-2C",
	.version = "v3",
	.type = "core",
	.table = pme_westmereep_dp
},
{
	.cpuid = "GenuineIntel-6-25",
	.version = "v3",
	.type = "core",
	.table = pme_westmereep_sp
},
{
	.cpuid = "GenuineIntel-6-2F",
	.version = "v3",
	.type = "core",
	.table = pme_westmereex
},
{
	.cpuid = "AuthenticAMD-23-([12][0-9A-F]|[0-9A-F])",
	.version = "v2",
	.type = "core",
	.table = pme_amdzen1
},
{
	.cpuid = "AuthenticAMD-23-[[:xdigit:]]+",
	.version = "v1",
	.type = "core",
	.table = pme_amdzen2
},
{
	.cpuid = "AuthenticAMD-25-([245][[:xdigit:]]|[[:xdigit:]])",
	.version = "v1",
	.type = "core",
	.table = pme_amdzen3
},
{
	.cpuid = "AuthenticAMD-25-[[:xdigit:]]+",
	.version = "v1",
	.type = "core",
	.table = pme_amdzen4
},
{
	.cpuid = "testcpu",
	.version = "v1",
	.type = "core",
	.table = pme_test_cpu,
},
{
	.cpuid = 0,
	.version = 0,
	.type = 0,
	.table = 0,
},
};

struct pmu_sys_events pmu_sys_event_tables[] = {
	{
		.table = 0
	},
};
